## 1
### 11zip (linux)


| Description | *Dead simple zipping / unzipping C++ Lib* |
| -- | -- |
| Homepage | [https://github.com/Sygmei/11Zip](https://github.com/Sygmei/11Zip) |
| License | MIT |
| Versions | 2023.05.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [11zip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/1/11zip/xmake.lua) |

##### Install command

```console
xrepo install 11zip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("11zip")
```



## 7
### 7z (linux)


| Description | *A file archiver with a high compression ratio.* |
| -- | -- |
| Homepage | [https://www.7-zip.org/](https://www.7-zip.org/) |
| Versions | 21.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [7z/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/7/7z/xmake.lua) |

##### Install command

```console
xrepo install 7z
```

##### Integration in the project (xmake.lua)

```lua
add_requires("7z")
```



## a
### abseil (linux)


| Description | *C++ Common Libraries* |
| -- | -- |
| Homepage | [https://abseil.io](https://abseil.io) |
| License | Apache-2.0 |
| Versions | 20200225.1, 20210324.1, 20210324.2, 20211102.0, 20220623.0, 20230125.2, 20230802.1, 20240116.1, 20240116.2, 20240722.0, 20250127.0, 20250127.1, 20250512.0, 20250512.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [abseil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/abseil/xmake.lua) |

##### Install command

```console
xrepo install abseil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("abseil")
```


### access_private (linux)


| Description | *Access private members and statics of a C++ class* |
| -- | -- |
| Homepage | [https://github.com/martong/access_private](https://github.com/martong/access_private) |
| License | MIT |
| Versions | 2024.02.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [access_private/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/access_private/xmake.lua) |

##### Install command

```console
xrepo install access_private
```

##### Integration in the project (xmake.lua)

```lua
add_requires("access_private")
```


### ace (linux)


| Description | *ACE (ADAPTIVE Communication Environment) is a C++ framework for implementing distributed and networked applications.* |
| -- | -- |
| Homepage | [https://www.dre.vanderbilt.edu/~schmidt/ACE.html](https://www.dre.vanderbilt.edu/~schmidt/ACE.html) |
| License | DOC |
| Versions | 8.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/ace/xmake.lua) |

##### Install command

```console
xrepo install ace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ace")
```


### acl (linux)


| Description | *Commands for Manipulating POSIX Access Control Lists* |
| -- | -- |
| Homepage | [http://savannah.nongnu.org/projects/acl/](http://savannah.nongnu.org/projects/acl/) |
| License | GPL-2.0 |
| Versions | 2.3.1, 2.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [acl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/acl/xmake.lua) |

##### Install command

```console
xrepo install acl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("acl")
```


### acl-dev (linux)


| Description | *C/C++ server and network library, including coroutine, redis client, http/https/websocket, mqtt, mysql/postgresql/sqlite client with C/C++ for Linux, Android, iOS, MacOS, Windows.* |
| -- | -- |
| Homepage | [https://acl-dev.cn](https://acl-dev.cn) |
| License | LGPL-3.0 |
| Versions | v3.6.2, v3.6.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [acl-dev/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/acl-dev/xmake.lua) |

##### Install command

```console
xrepo install acl-dev
```

##### Integration in the project (xmake.lua)

```lua
add_requires("acl-dev")
```


### actor-framework (linux)


| Description | *An Open Source Implementation of the Actor Model in C++* |
| -- | -- |
| Homepage | [http://actor-framework.org/](http://actor-framework.org/) |
| License | BSD-3-Clause |
| Versions | 0.19.2, 0.19.6, 1.0.0, 1.0.1, 1.0.2, 1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [actor-framework/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/actor-framework/xmake.lua) |

##### Install command

```console
xrepo install actor-framework
```

##### Integration in the project (xmake.lua)

```lua
add_requires("actor-framework")
```


### ada (linux)


| Description | *WHATWG-compliant and fast URL parser written in modern C++* |
| -- | -- |
| Homepage | [https://www.ada-url.com](https://www.ada-url.com) |
| License | Apache-2.0 |
| Versions | v2.3.1, v2.4.0, v2.4.1, v2.7.6, v2.7.7, v2.7.8, v2.8.0, v2.9.0, v2.9.1, v2.9.2, v3.0.1, v3.1.3, v3.2.1, v3.2.2, v3.2.3, v3.2.4, v3.2.5, v3.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ada/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/ada/xmake.lua) |

##### Install command

```console
xrepo install ada
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ada")
```


### ade (linux)


| Description | *ADE Framework is a graph construction, manipulation, and processing framework.* |
| -- | -- |
| Homepage | [https://github.com/opencv/ade](https://github.com/opencv/ade) |
| License | Apache-2.0 |
| Versions | v0.1.2d, v0.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ade/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/ade/xmake.lua) |

##### Install command

```console
xrepo install ade
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ade")
```


### agg (linux)


| Description | *Anti-Grain Geometry: A High Quality Rendering Engine for C++* |
| -- | -- |
| Homepage | [https://agg.sourceforge.net/antigrain.com/index.html](https://agg.sourceforge.net/antigrain.com/index.html) |
| License | BSD-3-Clause |
| Versions | 2.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [agg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/agg/xmake.lua) |

##### Install command

```console
xrepo install agg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("agg")
```


### aitoolkit (linux)


| Description | *Give a brain to your game's NPCs* |
| -- | -- |
| Homepage | [https://linkdd.github.io/aitoolkit/](https://linkdd.github.io/aitoolkit/) |
| License | MIT |
| Versions | v0.3.0, v0.5.0, v0.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aitoolkit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aitoolkit/xmake.lua) |

##### Install command

```console
xrepo install aitoolkit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aitoolkit")
```


### aklomp-base64 (linux)


| Description | *Fast Base64 stream encoder/decoder in C99, with SIMD acceleration.* |
| -- | -- |
| Homepage | [https://github.com/aklomp/base64](https://github.com/aklomp/base64) |
| License | BSD-2-Clause |
| Versions | v0.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aklomp-base64/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aklomp-base64/xmake.lua) |

##### Install command

```console
xrepo install aklomp-base64
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aklomp-base64")
```


### alembic (linux)


| Description | *Open framework for storing and sharing scene data that includes a C++ library, a file format, and client plugins and applications.* |
| -- | -- |
| Homepage | [https://alembic.io/](https://alembic.io/) |
| License | BSD-3-Clause |
| Versions | 1.8.5, 1.8.6, 1.8.7, 1.8.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [alembic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/alembic/xmake.lua) |

##### Install command

```console
xrepo install alembic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("alembic")
```


### algo_plus (linux)


| Description | *AlgoPlus is a C++17 library for complex data structures and algorithms* |
| -- | -- |
| Homepage | [https://csrt-ntua.github.io/AlgoPlus](https://csrt-ntua.github.io/AlgoPlus) |
| License | Apache-2.0 |
| Versions | 2024.07.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [algo_plus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/algo_plus/xmake.lua) |

##### Install command

```console
xrepo install algo_plus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("algo_plus")
```


### alpaca (linux)


| Description | *Serialization library written in C++17 - Pack C++ structs into a compact byte-array without any macros or boilerplate code* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/alpaca](https://github.com/p-ranav/alpaca) |
| License | MIT |
| Versions | v0.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [alpaca/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/alpaca/xmake.lua) |

##### Install command

```console
xrepo install alpaca
```

##### Integration in the project (xmake.lua)

```lua
add_requires("alpaca")
```


### alsa-lib (linux)


| Description | *The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality to the Linux operating system.* |
| -- | -- |
| Homepage | [https://alsa-project.org/wiki/Main_Page](https://alsa-project.org/wiki/Main_Page) |
| License | LGPL-2.1 |
| Versions | 1.2.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [alsa-lib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/alsa-lib/xmake.lua) |

##### Install command

```console
xrepo install alsa-lib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("alsa-lib")
```


### amgcl (linux)


| Description | *C++ library for solving large sparse linear systems with algebraic multigrid method* |
| -- | -- |
| Homepage | [https://github.com/ddemidov/amgcl/](https://github.com/ddemidov/amgcl/) |
| License | MIT |
| Versions | 1.4.0, 1.4.2, 1.4.3, 1.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [amgcl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amgcl/xmake.lua) |

##### Install command

```console
xrepo install amgcl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amgcl")
```


### amgx (linux)


| Description | *Distributed multigrid linear solver library on GPU* |
| -- | -- |
| Homepage | [https://developer.nvidia.com/amgx](https://developer.nvidia.com/amgx) |
| License | BSD-3-Clause |
| Versions | v2.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [amgx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amgx/xmake.lua) |

##### Install command

```console
xrepo install amgx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amgx")
```


### amqp-cpp (linux)


| Description | *C++ library for asynchronous non-blocking communication with RabbitMQ* |
| -- | -- |
| Homepage | [https://github.com/CopernicaMarketingSoftware/AMQP-CPP](https://github.com/CopernicaMarketingSoftware/AMQP-CPP) |
| License | Apache-2.0 |
| Versions | v4.3.26, v4.3.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [amqp-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amqp-cpp/xmake.lua) |

##### Install command

```console
xrepo install amqp-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amqp-cpp")
```


### amrex (linux)


| Description | *AMReX: Software Framework for Block Structured AMR* |
| -- | -- |
| Homepage | [https://amrex-codes.github.io/amrex](https://amrex-codes.github.io/amrex) |
| Versions | 24.09, 24.12, 25.02, 25.03, 25.04, 25.05, 25.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [amrex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amrex/xmake.lua) |

##### Install command

```console
xrepo install amrex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amrex")
```


### anari (linux)


| Description | *ANARI Software Development Kit (SDK)* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/ANARI-SDK](https://github.com/KhronosGroup/ANARI-SDK) |
| License | Apache-2.0 |
| Versions | v0.12.1, v0.13.1, v0.14.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [anari/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/anari/xmake.lua) |

##### Install command

```console
xrepo install anari
```

##### Integration in the project (xmake.lua)

```lua
add_requires("anari")
```


### angelscript (linux)


| Description | *Extremely flexible cross-platform scripting library designed to allow applications to extend their functionality through external scripts* |
| -- | -- |
| Homepage | [http://angelcode.com/angelscript/](http://angelcode.com/angelscript/) |
| License | zlib |
| Versions | 2.34.0, 2.35.0, 2.35.1, 2.36.0, 2.37.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [angelscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/angelscript/xmake.lua) |

##### Install command

```console
xrepo install angelscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("angelscript")
```


### angle (linux)


| Description | *ANGLE - Almost Native Graphics Layer Engine* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/angle/angle](https://chromium.googlesource.com/angle/angle) |
| License | BSD-3-Clause |
| Versions | 6288 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [angle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/angle/xmake.lua) |

##### Install command

```console
xrepo install angle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("angle")
```


### annoy (linux)


| Description | *Approximate Nearest Neighbors in C++/Python optimized for memory usage and loading/saving to disk* |
| -- | -- |
| Homepage | [https://github.com/spotify/annoy](https://github.com/spotify/annoy) |
| License | Apache-2.0 |
| Versions | v1.17.2, v1.17.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [annoy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/annoy/xmake.lua) |

##### Install command

```console
xrepo install annoy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("annoy")
```


### antlr4 (linux)


| Description | *powerful parser generator for reading, processing, executing, or translating structured text or binary files.* |
| -- | -- |
| Homepage | [https://www.antlr.org](https://www.antlr.org) |
| License | BSD-3-Clause |
| Versions | 4.13.1, 4.13.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [antlr4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/antlr4/xmake.lua) |

##### Install command

```console
xrepo install antlr4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("antlr4")
```


### antlr4-runtime (linux)


| Description | *ANTLR (ANother Tool for Language Recognition) is a powerful parser generator for reading, processing, executing, or translating structured text or binary files.* |
| -- | -- |
| Homepage | [http://antlr.org](http://antlr.org) |
| License | BSD-3-Clause |
| Versions | 4.13.1, 4.13.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [antlr4-runtime/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/antlr4-runtime/xmake.lua) |

##### Install command

```console
xrepo install antlr4-runtime
```

##### Integration in the project (xmake.lua)

```lua
add_requires("antlr4-runtime")
```


### aom (linux)


| Description | *AV1 Codec Library* |
| -- | -- |
| Homepage | [https://aomedia.googlesource.com/aom](https://aomedia.googlesource.com/aom) |
| License | BSD-2-Clause |
| Versions | 3.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aom/xmake.lua) |

##### Install command

```console
xrepo install aom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aom")
```


### apr (linux)


| Description | *Mirror of Apache Portable Runtime* |
| -- | -- |
| Homepage | [https://github.com/apache/apr](https://github.com/apache/apr) |
| License | Apache-2.0 |
| Versions | 1.7.0, 1.7.4, 1.7.5, 1.7.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [apr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/apr/xmake.lua) |

##### Install command

```console
xrepo install apr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("apr")
```


### aqt (linux)


| Description | *aqt: Another (unofficial) Qt CLI Installer on multi-platforms* |
| -- | -- |
| Homepage | [https://github.com/miurahr/aqtinstall](https://github.com/miurahr/aqtinstall) |
| License | MIT |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aqt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aqt/xmake.lua) |

##### Install command

```console
xrepo install aqt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aqt")
```


### aravis (linux)


| Description | *A vision library for genicam based cameras* |
| -- | -- |
| Homepage | [https://github.com/AravisProject/aravis](https://github.com/AravisProject/aravis) |
| License | LGPL-2.1 |
| Versions | 0.8.33 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aravis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aravis/xmake.lua) |

##### Install command

```console
xrepo install aravis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aravis")
```


### arduinojson (linux)


| Description | *📟 JSON library for Arduino and embedded C++. Simple and efficient.* |
| -- | -- |
| Homepage | [https://arduinojson.org](https://arduinojson.org) |
| License | MIT |
| Versions | v6.21.4, v7.0.3, v7.0.4, v7.1.0, v7.2.0, v7.2.1, v7.3.0, v7.3.1, v7.4.1, v7.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [arduinojson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/arduinojson/xmake.lua) |

##### Install command

```console
xrepo install arduinojson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("arduinojson")
```


### argh (linux)


| Description | *Argh! A minimalist argument handler.* |
| -- | -- |
| Homepage | [https://github.com/adishavit/argh](https://github.com/adishavit/argh) |
| License | BSD-3-Clause |
| Versions | v1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [argh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argh/xmake.lua) |

##### Install command

```console
xrepo install argh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argh")
```


### argparse (linux)


| Description | *A single header argument parser for C++17* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/argparse](https://github.com/p-ranav/argparse) |
| License | MIT |
| Versions | 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [argparse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argparse/xmake.lua) |

##### Install command

```console
xrepo install argparse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argparse")
```


### argtable3 (linux)


| Description | *A single-file, ANSI C, command-line parsing library that parses GNU-style command-line options.* |
| -- | -- |
| Homepage | [http://www.argtable.org](http://www.argtable.org) |
| License | BSD-3-Clause |
| Versions | v3.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [argtable3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argtable3/xmake.lua) |

##### Install command

```console
xrepo install argtable3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argtable3")
```


### argus (linux)


| Description | *Argus is a cross-platform modern feature-rich command-line argument parser for C* |
| -- | -- |
| Homepage | [https://argus-lib.com](https://argus-lib.com) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [argus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argus/xmake.lua) |

##### Install command

```console
xrepo install argus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argus")
```


### argz (linux)


| Description | *A light weight C++ in memory argument parser* |
| -- | -- |
| Homepage | [https://github.com/stephenberry/argz](https://github.com/stephenberry/argz) |
| License | Apache-2.0 |
| Versions | v0.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [argz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argz/xmake.lua) |

##### Install command

```console
xrepo install argz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argz")
```


### armadillo (linux)


| Description | *C++ library for linear algebra & scientific computing* |
| -- | -- |
| Homepage | [http://arma.sourceforge.net/](http://arma.sourceforge.net/) |
| License | Apache-2.0 |
| Versions | 10.7.0, 10.7.3, 10.8.1, 11.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [armadillo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/armadillo/xmake.lua) |

##### Install command

```console
xrepo install armadillo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("armadillo")
```


### arrow (linux)


| Description | *Apache Arrow is a multi-language toolbox for accelerated data interchange and in-memory processing* |
| -- | -- |
| Homepage | [https://arrow.apache.org/](https://arrow.apache.org/) |
| License | Apache-2.0 |
| Versions | 7.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [arrow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/arrow/xmake.lua) |

##### Install command

```console
xrepo install arrow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("arrow")
```


### asap (linux)


| Description | *A C++ header-only library for creating, displaying, iterating and manipulating dates* |
| -- | -- |
| Homepage | [https://github.com/mobius3/asap](https://github.com/mobius3/asap) |
| License | MIT |
| Versions | 2023.04.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asap/xmake.lua) |

##### Install command

```console
xrepo install asap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asap")
```


### asbind20 (linux)


| Description | *C++20 AngelScript binding library* |
| -- | -- |
| Homepage | [https://asbind20.readthedocs.io/](https://asbind20.readthedocs.io/) |
| License | MIT |
| Versions | 1.6.0, 1.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asbind20/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asbind20/xmake.lua) |

##### Install command

```console
xrepo install asbind20
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asbind20")
```


### aseprite-tga (linux)


| Description | *C++ library to read/write Truevision TGA/TARGA files* |
| -- | -- |
| Homepage | [https://github.com/aseprite/tga](https://github.com/aseprite/tga) |
| License | MIT |
| Versions | 2023.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aseprite-tga/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aseprite-tga/xmake.lua) |

##### Install command

```console
xrepo install aseprite-tga
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aseprite-tga")
```


### asio (linux)


| Description | *Asio is a cross-platform C++ library for network and low-level I/O programming that provides developers with a consistent asynchronous model using a modern C++ approach.* |
| -- | -- |
| Homepage | [http://think-async.com/Asio/](http://think-async.com/Asio/) |
| License | BSL-1.0 |
| Versions | 1.20.0, 1.21.0, 1.24.0, 1.28.0, 1.29.0, 1.30.2, 1.32.0, 1.34.0, 1.34.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asio/xmake.lua) |

##### Install command

```console
xrepo install asio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asio")
```


### asio2 (linux)


| Description | *Header only c++ network library, based on asio, support tcp,udp,http,websocket,rpc,ssl,icmp,serial_port.* |
| -- | -- |
| Homepage | [https://github.com/zhllxt/asio2](https://github.com/zhllxt/asio2) |
| License | BSL-1.0 |
| Versions | v2.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asio2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asio2/xmake.lua) |

##### Install command

```console
xrepo install asio2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asio2")
```


### asio3 (linux)


| Description | *Header only c++ network library, based on c++ 20 coroutine and asio* |
| -- | -- |
| Homepage | [https://github.com/zhllxt/asio3](https://github.com/zhllxt/asio3) |
| License | BSL-1.0 |
| Versions | 2023.12.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asio3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asio3/xmake.lua) |

##### Install command

```console
xrepo install asio3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asio3")
```


### asmjit (linux)


| Description | *AsmJit is a lightweight library for machine code generation written in C++ language.* |
| -- | -- |
| Homepage | [https://asmjit.com/](https://asmjit.com/) |
| License | zlib |
| Versions | 2021.06.27, 2022.01.18, 2024.03.09, 2024.05.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asmjit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asmjit/xmake.lua) |

##### Install command

```console
xrepo install asmjit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asmjit")
```


### asmtk (linux)


| Description | *Assembler toolkit based on AsmJit* |
| -- | -- |
| Homepage | [https://github.com/asmjit/asmtk](https://github.com/asmjit/asmtk) |
| License | zlib |
| Versions | 2023.07.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asmtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asmtk/xmake.lua) |

##### Install command

```console
xrepo install asmtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asmtk")
```


### asn1c (linux)


| Description | *The ASN.1 Compiler* |
| -- | -- |
| Homepage | [http://lionet.info/asn1c/](http://lionet.info/asn1c/) |
| Versions | v0.9.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [asn1c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asn1c/xmake.lua) |

##### Install command

```console
xrepo install asn1c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asn1c")
```


### assimp (linux)


| Description | *Portable Open-Source library to import various well-known 3D model formats in a uniform manner* |
| -- | -- |
| Homepage | [https://assimp.org](https://assimp.org) |
| License | BSD-3-Clause |
| Versions | v5.0.1, v5.1.4, v5.2.1, v5.2.2, v5.2.3, v5.2.4, v5.2.5, v5.3.0, v5.3.1, v5.4.0, v5.4.1, v5.4.2, v5.4.3, v6.0.1, v6.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [assimp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/assimp/xmake.lua) |

##### Install command

```console
xrepo install assimp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("assimp")
```


### astc-encoder (linux)


| Description | *The Arm ASTC Encoder, a compressor for the Adaptive Scalable Texture Compression data format.* |
| -- | -- |
| Homepage | [https://developer.arm.com/graphics](https://developer.arm.com/graphics) |
| License | Apache-2.0 |
| Versions | 4.6.1, 4.7.0, 4.8.0, 5.2.0, 5.3.0 |
| Architectures | armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [astc-encoder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/astc-encoder/xmake.lua) |

##### Install command

```console
xrepo install astc-encoder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("astc-encoder")
```


### async_simple (linux)


| Description | *Simple, light-weight and easy-to-use asynchronous components* |
| -- | -- |
| Homepage | [https://github.com/alibaba/async_simple](https://github.com/alibaba/async_simple) |
| License | Apache-2.0 |
| Versions | 1.1, 1.2, 1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [async_simple/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/async_simple/xmake.lua) |

##### Install command

```console
xrepo install async_simple
```

##### Integration in the project (xmake.lua)

```lua
add_requires("async_simple")
```


### at-spi2-core (linux)


| Description | *contains the DBus interface definitions for AT-SPI - the core of an accessibility stack for free software systems.* |
| -- | -- |
| Homepage | [https://gitlab.gnome.org/GNOME/at-spi2-core](https://gitlab.gnome.org/GNOME/at-spi2-core) |
| License | LGPL-2.1 |
| Versions | 2.53.90 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [at-spi2-core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/at-spi2-core/xmake.lua) |

##### Install command

```console
xrepo install at-spi2-core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("at-spi2-core")
```


### atk (linux)


| Description | *ATK - The Accessibility Toolkit* |
| -- | -- |
| Homepage | [https://gitlab.gnome.org/GNOME/atk](https://gitlab.gnome.org/GNOME/atk) |
| License | LGPL-2.0 |
| Versions | 2.38.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [atk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/atk/xmake.lua) |

##### Install command

```console
xrepo install atk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("atk")
```


### atomic_queue (linux)


| Description | *C++ lockless queue.* |
| -- | -- |
| Homepage | [https://github.com/max0x7ba/atomic_queue](https://github.com/max0x7ba/atomic_queue) |
| License | MIT |
| Versions | v1.5, v1.6.3, v1.6.4, v1.6.5, v1.6.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [atomic_queue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/atomic_queue/xmake.lua) |

##### Install command

```console
xrepo install atomic_queue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("atomic_queue")
```


### attr (linux)


| Description | *Commands for Manipulating Filesystem Extended Attributes* |
| -- | -- |
| Homepage | [https://savannah.nongnu.org/projects/attr](https://savannah.nongnu.org/projects/attr) |
| License | GPL-2.0 |
| Versions | 2.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [attr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/attr/xmake.lua) |

##### Install command

```console
xrepo install attr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("attr")
```


### audiofile (linux)


| Description | *A simple C++ library for reading and writing audio files.* |
| -- | -- |
| Homepage | [https://github.com/adamstark/AudioFile](https://github.com/adamstark/AudioFile) |
| License | MIT |
| Versions | 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.0.7, 1.0.8, 1.0.9, 1.1.0, 1.1.1, 1.1.2, 1.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [audiofile/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/audiofile/xmake.lua) |

##### Install command

```console
xrepo install audiofile
```

##### Integration in the project (xmake.lua)

```lua
add_requires("audiofile")
```


### aurora-au (linux)


| Description | *A C++14-compatible physical units library with no dependencies and a single-file delivery option. Emphasis on safety, accessibility, performance, and developer experience.* |
| -- | -- |
| Homepage | [https://aurora-opensource.github.io/au](https://aurora-opensource.github.io/au) |
| License | Apache-2.0 |
| Versions | 0.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aurora-au/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aurora-au/xmake.lua) |

##### Install command

```console
xrepo install aurora-au
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aurora-au")
```


### autoconf (linux)


| Description | *An extensible package of M4 macros that produce shell scripts to automatically configure software source code packages.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/autoconf/autoconf.html](https://www.gnu.org/software/autoconf/autoconf.html) |
| Versions | 2.68, 2.69, 2.71, 2.72 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [autoconf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autoconf/xmake.lua) |

##### Install command

```console
xrepo install autoconf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autoconf")
```


### autoconf-archive (linux)


| Description | *A mirror of the GNU Autoconf Archive, a collection of more than 500 macros for GNU Autoconf that have been contributed as free software by friendly supporters of the cause from all over the Internet.* |
| -- | -- |
| Homepage | [http://www.gnu.org/software/autoconf-archive/](http://www.gnu.org/software/autoconf-archive/) |
| License | GPL-3.0-or-later |
| Versions | 2023.02.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [autoconf-archive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autoconf-archive/xmake.lua) |

##### Install command

```console
xrepo install autoconf-archive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autoconf-archive")
```


### autodiff (linux)


| Description | *automatic differentiation made easier for C++* |
| -- | -- |
| Homepage | [https://autodiff.github.io](https://autodiff.github.io) |
| License | MIT |
| Versions | v1.0.3, v1.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [autodiff/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autodiff/xmake.lua) |

##### Install command

```console
xrepo install autodiff
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autodiff")
```


### automake (linux)


| Description | *A tool for automatically generating Makefile.in files compliant with the GNU Coding Standards.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/automake/](https://www.gnu.org/software/automake/) |
| Versions | 1.9.5, 1.9.6, 1.15.1, 1.16.1, 1.16.4, 1.16.5, 1.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [automake/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/automake/xmake.lua) |

##### Install command

```console
xrepo install automake
```

##### Integration in the project (xmake.lua)

```lua
add_requires("automake")
```


### autotools (linux)


| Description | *%s* |
| -- | -- |
| Homepage | [%s](%s) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [autotools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autotools/xmake.lua) |

##### Install command

```console
xrepo install autotools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autotools")
```


### avir (linux)


| Description | *High-quality pro image resizing / scaling C++ library, including a very fast Lanczos resizer* |
| -- | -- |
| Homepage | [https://github.com/avaneev/avir](https://github.com/avaneev/avir) |
| License | MIT |
| Versions | 3.0, 3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [avir/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/avir/xmake.lua) |

##### Install command

```console
xrepo install avir
```

##### Integration in the project (xmake.lua)

```lua
add_requires("avir")
```


### awk (linux)


| Description | *One true awk* |
| -- | -- |
| Homepage | [https://github.com/onetrueawk/awk](https://github.com/onetrueawk/awk) |
| Versions | 2021.12.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [awk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/awk/xmake.lua) |

##### Install command

```console
xrepo install awk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("awk")
```


### aws-c-auth (linux)


| Description | *C99 library implementation of AWS client-side authentication: standard credentials providers and signing.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-auth](https://github.com/awslabs/aws-c-auth) |
| License | Apache-2.0 |
| Versions | v0.7.3, v0.7.17, v0.7.18, v0.7.22, v0.7.25, v0.7.29, v0.7.31, v0.8.0, v0.8.6, v0.8.7, v0.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-auth/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-auth/xmake.lua) |

##### Install command

```console
xrepo install aws-c-auth
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-auth")
```


### aws-c-cal (linux)


| Description | *Aws Crypto Abstraction Layer: Cross-Platform, C99 wrapper for cryptography primitives.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-cal](https://github.com/awslabs/aws-c-cal) |
| License | Apache-2.0 |
| Versions | v0.6.2, v0.6.11, v0.6.12, v0.6.14, v0.6.15, v0.7.1, v0.7.2, v0.7.4, v0.8.0, v0.8.1, v0.8.3, v0.8.7, v0.9.0, v0.9.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-cal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-cal/xmake.lua) |

##### Install command

```console
xrepo install aws-c-cal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-cal")
```


### aws-c-common (linux)


| Description | *Core c99 package for AWS SDK for C* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-common](https://github.com/awslabs/aws-c-common) |
| License | Apache-2.0 |
| Versions | v0.9.3, v0.9.13, v0.9.14, v0.9.15, v0.9.17, v0.9.19, v0.9.23, v0.9.24, v0.9.25, v0.9.27, v0.9.28, v0.10.0, v0.10.3, v0.10.6, v0.11.1, v0.11.3, v0.12.0, v0.12.2, v0.12.3, v0.12.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-common/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-common/xmake.lua) |

##### Install command

```console
xrepo install aws-c-common
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-common")
```


### aws-c-compression (linux)


| Description | *C99 implementation of huffman encoding/decoding* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-compression](https://github.com/awslabs/aws-c-compression) |
| License | Apache-2.0 |
| Versions | v0.2.17, v0.2.18, v0.2.19, v0.3.0, v0.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-compression/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-compression/xmake.lua) |

##### Install command

```console
xrepo install aws-c-compression
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-compression")
```


### aws-c-event-stream (linux)


| Description | *C99 implementation of the vnd.amazon.eventstream content-type.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-event-stream](https://github.com/awslabs/aws-c-event-stream) |
| License | Apache-2.0 |
| Versions | v0.3.2, v0.4.1, v0.4.2, v0.4.3, v0.5.0, v0.5.1, v0.5.4, v0.5.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-event-stream/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-event-stream/xmake.lua) |

##### Install command

```console
xrepo install aws-c-event-stream
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-event-stream")
```


### aws-c-http (linux)


| Description | *C99 implementation of the HTTP/1.1 and HTTP/2 specifications* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-http](https://github.com/awslabs/aws-c-http) |
| License | Apache-2.0 |
| Versions | v0.7.12, v0.8.1, v0.8.2, v0.8.7, v0.8.10, v0.9.0, v0.9.2, v0.9.3, v0.9.4, v0.9.5, v0.10.0, v0.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-http/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-http/xmake.lua) |

##### Install command

```console
xrepo install aws-c-http
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-http")
```


### aws-c-io (linux)


| Description | *This is a module for the AWS SDK for C. It handles all IO and TLS work for application protocols. * |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-io](https://github.com/awslabs/aws-c-io) |
| License | Apache-2.0 |
| Versions | v0.13.32, v0.14.5, v0.14.6, v0.14.7, v0.14.8, v0.14.9, v0.14.13, v0.14.14, v0.14.16, v0.14.18, v0.14.19, v0.15.0, v0.15.1, v0.15.3, v0.17.0, v0.18.0, v0.18.1, v0.19.1, v0.20.1, v0.21.0, v0.21.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-io/xmake.lua) |

##### Install command

```console
xrepo install aws-c-io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-io")
```


### aws-c-mqtt (linux)


| Description | *C99 implementation of the MQTT 3.1.1 specification.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-mqtt](https://github.com/awslabs/aws-c-mqtt) |
| License | Apache-2.0 |
| Versions | v0.9.5, v0.10.3, v0.10.4, v0.10.6, v0.10.7, v0.11.0, v0.12.1, v0.12.3, v0.13.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-mqtt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-mqtt/xmake.lua) |

##### Install command

```console
xrepo install aws-c-mqtt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-mqtt")
```


### aws-c-s3 (linux)


| Description | *C99 library implementation for communicating with the S3 service, designed for maximizing throughput on high bandwidth EC2 instances.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-s3](https://github.com/awslabs/aws-c-s3) |
| License | Apache-2.0 |
| Versions | v0.3.17, v0.5.7, v0.5.9, v0.6.0, v0.6.5, v0.7.0, v0.7.1, v0.7.4, v0.7.5, v0.7.7, v0.7.12, v0.7.14, v0.7.15, v0.8.1, v0.8.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-s3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-s3/xmake.lua) |

##### Install command

```console
xrepo install aws-c-s3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-s3")
```


### aws-c-sdkutils (linux)


| Description | *C99 library implementing AWS SDK specific utilities. Includes utilities for ARN parsing, reading AWS profiles, etc...* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-sdkutils](https://github.com/awslabs/aws-c-sdkutils) |
| License | Apache-2.0 |
| Versions | v0.1.12, v0.1.15, v0.1.16, v0.1.19, v0.2.0, v0.2.1, v0.2.2, v0.2.3, v0.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-c-sdkutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-sdkutils/xmake.lua) |

##### Install command

```console
xrepo install aws-c-sdkutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-sdkutils")
```


### aws-checksums (linux)


| Description | *Cross platform HW accelerated CRC32c and CRC32 with fallback to efficient SW implementations - C interface with language bindings for AWS SDKs* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-checksums](https://github.com/awslabs/aws-checksums) |
| License | Apache-2.0 |
| Versions | v0.1.17, v0.1.18, v0.1.19, v0.1.20, v0.2.0, v0.2.2, v0.2.3, v0.2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-checksums/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-checksums/xmake.lua) |

##### Install command

```console
xrepo install aws-checksums
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-checksums")
```


### aws-crt-cpp (linux)


| Description | *C++ wrapper around the aws-c-* libraries. Provides Cross-Platform Transport Protocols and SSL/TLS implementations for C++.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-crt-cpp](https://github.com/awslabs/aws-crt-cpp) |
| License | Apache-2.0 |
| Versions | v0.23.1, v0.26.4, v0.26.8, v0.26.9, v0.26.11, v0.27.0, v0.27.2, v0.27.4, v0.27.5, v0.28.2, v0.28.3, v0.29.5, v0.29.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-crt-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-crt-cpp/xmake.lua) |

##### Install command

```console
xrepo install aws-crt-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-crt-cpp")
```


### aws-lc (linux)


| Description | *AWS-LC is a general-purpose cryptographic library maintained by the AWS Cryptography team for AWS and their customers. It іs based on code from the Google BoringSSL project and the OpenSSL project.* |
| -- | -- |
| Homepage | [https://github.com/aws/aws-lc](https://github.com/aws/aws-lc) |
| Versions | v1.32.0, v1.34.2, v1.37.0, v1.39.0, v1.40.0, v1.41.1, v1.45.0, v1.48.1, v1.48.5, v1.49.1, v1.51.2, v1.53.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-lc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-lc/xmake.lua) |

##### Install command

```console
xrepo install aws-lc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-lc")
```


### aws-sdk-cpp (linux)


| Description | *AWS SDK for C++* |
| -- | -- |
| Homepage | [https://github.com/aws/aws-sdk-cpp](https://github.com/aws/aws-sdk-cpp) |
| Versions | 1.9.362 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [aws-sdk-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-sdk-cpp/xmake.lua) |

##### Install command

```console
xrepo install aws-sdk-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-sdk-cpp")
```



## b
### b2 (linux)


| Description | *B2 makes it easy to build C++ projects, everywhere.* |
| -- | -- |
| Homepage | [https://www.bfgroup.xyz/b2/](https://www.bfgroup.xyz/b2/) |
| License | BSL-1.0 |
| Versions | 4.9.6, 5.0.0, 5.0.1, 5.1.0, 5.2.1, 5.3.0, 5.3.2, 5.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [b2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/b2/xmake.lua) |

##### Install command

```console
xrepo install b2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("b2")
```


### babl (linux)


| Description | *A pixel encoding and color space conversion engine.* |
| -- | -- |
| Homepage | [https://gegl.org/babl/](https://gegl.org/babl/) |
| License | LGPL-3.0-or-later |
| Versions | 0.1.110 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [babl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/babl/xmake.lua) |

##### Install command

```console
xrepo install babl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("babl")
```


### backportcpp (linux)


| Description | *Library of backported modern C++ types to work with C++11* |
| -- | -- |
| Homepage | [https://github.com/bitwizeshift/BackportCpp](https://github.com/bitwizeshift/BackportCpp) |
| License | MIT |
| Versions | v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [backportcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/backportcpp/xmake.lua) |

##### Install command

```console
xrepo install backportcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("backportcpp")
```


### backward-cpp (linux)


| Description | *Backward is a beautiful stack trace pretty printer for C++.* |
| -- | -- |
| Homepage | [https://github.com/bombela/backward-cpp](https://github.com/bombela/backward-cpp) |
| License | MIT |
| Versions | v1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [backward-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/backward-cpp/xmake.lua) |

##### Install command

```console
xrepo install backward-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("backward-cpp")
```


### bandit (linux)


| Description | *Human-friendly unit testing for C++11* |
| -- | -- |
| Homepage | [https://banditcpp.github.io/bandit/](https://banditcpp.github.io/bandit/) |
| Versions | 2023.08.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bandit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bandit/xmake.lua) |

##### Install command

```console
xrepo install bandit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bandit")
```


### barkeep (linux)


| Description | *Small C++ header to display async animations, counters, and progress bars* |
| -- | -- |
| Homepage | [https://oir.github.io/barkeep/](https://oir.github.io/barkeep/) |
| License | Apache-2.0 |
| Versions | v0.1.3, v0.1.4, v0.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [barkeep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/barkeep/xmake.lua) |

##### Install command

```console
xrepo install barkeep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("barkeep")
```


### base-n (linux)


| Description | *A small, single-header library which provides standard Base16, Base32, Base64, and custom Base-N encoding support.* |
| -- | -- |
| Homepage | [https://github.com/azawadzki/base-n](https://github.com/azawadzki/base-n) |
| License | MIT |
| Versions | 2020.05.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [base-n/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/base-n/xmake.lua) |

##### Install command

```console
xrepo install base-n
```

##### Integration in the project (xmake.lua)

```lua
add_requires("base-n")
```


### base64-terrakuh (linux)


| Description | *Simple, open source, header-only base64 encoder* |
| -- | -- |
| Homepage | [https://terrakuh.github.io/base64/classbase64.html](https://terrakuh.github.io/base64/classbase64.html) |
| License | Unlicense |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [base64-terrakuh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/base64-terrakuh/xmake.lua) |

##### Install command

```console
xrepo install base64-terrakuh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("base64-terrakuh")
```


### basisu (linux)


| Description | *Basis Universal GPU Texture Codec* |
| -- | -- |
| Homepage | [https://github.com/BinomialLLC/basis_universal](https://github.com/BinomialLLC/basis_universal) |
| License | Apache-2.0 |
| Versions | 1.16.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [basisu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/basisu/xmake.lua) |

##### Install command

```console
xrepo install basisu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("basisu")
```


### bass24 (linux)


| Description | *BASS is an audio library for use in software. It provides efficient sample, stream, MOD music, MO3 music, and recording functions.* |
| -- | -- |
| Homepage | [https://www.un4seen.com/](https://www.un4seen.com/) |
| Versions | 2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bass24/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bass24/xmake.lua) |

##### Install command

```console
xrepo install bass24
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bass24")
```


### bazel (linux)


| Description | *A fast, scalable, multi-language and extensible build system* |
| -- | -- |
| Homepage | [https://bazel.build/](https://bazel.build/) |
| Versions | 5.0.0, 7.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bazel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bazel/xmake.lua) |

##### Install command

```console
xrepo install bazel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bazel")
```


### bc (linux)


| Description | *Arbitrary precision numeric processing language* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/bc/](https://www.gnu.org/software/bc/) |
| License | GPL-3.0-or-later |
| Versions | 1.07.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bc/xmake.lua) |

##### Install command

```console
xrepo install bc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bc")
```


### bcg729 (linux)


| Description | *Bcg729 is an opensource implementation of both encoder and decoder of the ITU G729 Annex A/B speech codec.* |
| -- | -- |
| Homepage | [http://linphone.org](http://linphone.org) |
| Versions | 1.0.4, 1.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bcg729/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bcg729/xmake.lua) |

##### Install command

```console
xrepo install bcg729
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bcg729")
```


### bddisasm (linux)


| Description | *bddisasm is a fast, lightweight, x86/x64 instruction decoder.  The project also features a fast, basic, x86/x64 instruction emulator, designed specifically to detect shellcode-like behavior.* |
| -- | -- |
| Homepage | [https://github.com/bitdefender/bddisasm](https://github.com/bitdefender/bddisasm) |
| License | Apache-2.0 |
| Versions | v2.2.0, v3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bddisasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bddisasm/xmake.lua) |

##### Install command

```console
xrepo install bddisasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bddisasm")
```


### bdwgc (linux)


| Description | *The Boehm-Demers-Weiser conservative C/C++ Garbage Collector (bdwgc, also known as bdw-gc, boehm-gc, libgc)* |
| -- | -- |
| Homepage | [https://www.hboehm.info/gc/](https://www.hboehm.info/gc/) |
| Versions | v8.2.4, v8.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bdwgc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bdwgc/xmake.lua) |

##### Install command

```console
xrepo install bdwgc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bdwgc")
```


### benchmark (linux)


| Description | *A microbenchmark support library* |
| -- | -- |
| Homepage | [https://github.com/google/benchmark](https://github.com/google/benchmark) |
| License | Apache-2.0 |
| Versions | v1.5.2, v1.5.3, v1.5.4, v1.5.5, v1.5.6, v1.6.0, v1.6.1, v1.7.0, v1.7.1, v1.8.0, v1.8.3, v1.8.4, v1.8.5, v1.9.0, v1.9.1, v1.9.2, v1.9.3, v1.9.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [benchmark/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/benchmark/xmake.lua) |

##### Install command

```console
xrepo install benchmark
```

##### Integration in the project (xmake.lua)

```lua
add_requires("benchmark")
```


### bento4 (linux)


| Description | *Full-featured MP4 format, MPEG DASH, HLS, CMAF SDK and tools* |
| -- | -- |
| Homepage | [http://www.bento4.com](http://www.bento4.com) |
| Versions | 2023.08.08, 2024.11.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bento4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bento4/xmake.lua) |

##### Install command

```console
xrepo install bento4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bento4")
```


### better-enums (linux)


| Description | *C++ compile-time enum to string, iteration, in a single header file* |
| -- | -- |
| Homepage | [http://aantron.github.io/better-enums](http://aantron.github.io/better-enums) |
| License | BSD-2-Clause |
| Versions | 0.11.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [better-enums/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/better-enums/xmake.lua) |

##### Install command

```console
xrepo install better-enums
```

##### Integration in the project (xmake.lua)

```lua
add_requires("better-enums")
```


### bgfx (linux)


| Description | *Cross-platform, graphics API agnostic, “Bring Your Own Engine/Framework” style rendering library* |
| -- | -- |
| Homepage | [https://bkaradzic.github.io/bgfx/](https://bkaradzic.github.io/bgfx/) |
| License | BSD-2-Clause |
| Versions | 7816, 8203, 8674, 8752 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bgfx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bgfx/xmake.lua) |

##### Install command

```console
xrepo install bgfx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bgfx")
```


### bght (linux)


| Description | *BGHT: Better GPU Hash Tables* |
| -- | -- |
| Homepage | [https://owensgroup.github.io/BGHT/](https://owensgroup.github.io/BGHT/) |
| License | Apache-2.0 |
| Versions | 2024.03.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bght/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bght/xmake.lua) |

##### Install command

```console
xrepo install bght
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bght")
```


### bin2c (linux)


| Description | *A simple utility for converting a binary file to a c application* |
| -- | -- |
| Homepage | [https://github.com/gwilymk/bin2c](https://github.com/gwilymk/bin2c) |
| Versions | 0.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bin2c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bin2c/xmake.lua) |

##### Install command

```console
xrepo install bin2c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bin2c")
```


### binn (linux)


| Description | *Binary Serialization* |
| -- | -- |
| Homepage | [https://github.com/liteserver/binn](https://github.com/liteserver/binn) |
| License | Apache-2.0 |
| Versions | v3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [binn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/binn/xmake.lua) |

##### Install command

```console
xrepo install binn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("binn")
```


### binutils (linux)


| Description | *GNU binary tools for native development* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/binutils/binutils.html](https://www.gnu.org/software/binutils/binutils.html) |
| License | GPL-2.0 |
| Versions | 2.34, 2.38, 2.41 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [binutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/binutils/xmake.lua) |

##### Install command

```console
xrepo install binutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("binutils")
```


### bison (linux)


| Description | *A general-purpose parser generator.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/bison/](https://www.gnu.org/software/bison/) |
| License | GPL-3.0 |
| Versions | 3.7.4, 3.7.6, 3.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bison/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bison/xmake.lua) |

##### Install command

```console
xrepo install bison
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bison")
```


### bitsery (linux)


| Description | *Header only C++ binary serialization library. It is designed around the networking requirements for real-time data delivery, especially for games.* |
| -- | -- |
| Homepage | [https://github.com/fraillt/bitsery](https://github.com/fraillt/bitsery) |
| License | MIT |
| Versions | v5.2.3, v5.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bitsery/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bitsery/xmake.lua) |

##### Install command

```console
xrepo install bitsery
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bitsery")
```


### blah (linux)


| Description | *A small 2d c++ game framework* |
| -- | -- |
| Homepage | [https://github.com/NoelFB/blah](https://github.com/NoelFB/blah) |
| License | MIT |
| Versions | 2023.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blah/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blah/xmake.lua) |

##### Install command

```console
xrepo install blah
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blah")
```


### blake2 (linux)


| Description | *BLAKE2 official implementations* |
| -- | -- |
| Homepage | [https://blake2.net](https://blake2.net) |
| License | CC0-1.0 |
| Versions | 2023.02.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blake2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blake2/xmake.lua) |

##### Install command

```console
xrepo install blake2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blake2")
```


### blake3 (linux)


| Description | *BLAKE3 is a cryptographic hash function that is much faster than MD5, SHA-1, SHA-2, SHA-3, and BLAKE2; secure, unlike MD5 and SHA-1 (and secure against length extension, unlike SHA-2); highly parallelizable across any number of threads and SIMD lanes, because it's a Merkle tree on the inside; capable of verified streaming and incremental updates (Merkle tree); a PRF, MAC, KDF, and XOF, as well as a regular hash; and is a single algorithm with no variants, fast on x86-64 and also on smaller architectures.* |
| -- | -- |
| Homepage | [https://blake3.io/](https://blake3.io/) |
| License | CC0-1.0 |
| Versions | 1.3.1, 1.3.3, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.6.1, 1.8.1, 1.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blake3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blake3/xmake.lua) |

##### Install command

```console
xrepo install blake3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blake3")
```


### blaze (linux)


| Description | *A high performance C++ math library.* |
| -- | -- |
| Homepage | [https://bitbucket.org/blaze-lib/blaze/](https://bitbucket.org/blaze-lib/blaze/) |
| License | BSD-3-Clause |
| Versions | 3.8, 3.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blaze/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blaze/xmake.lua) |

##### Install command

```console
xrepo install blaze
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blaze")
```


### blend2d (linux)


| Description | *2D Vector Graphics Engine Powered by a JIT Compiler* |
| -- | -- |
| Homepage | [https://blend2d.com](https://blend2d.com) |
| License | zlib |
| Versions | 0.11.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blend2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blend2d/xmake.lua) |

##### Install command

```console
xrepo install blend2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blend2d")
```


### blitz (linux)


| Description | *Blitz++ Multi-Dimensional Array Library for C++* |
| -- | -- |
| Homepage | [https://github.com/blitzpp/blitz](https://github.com/blitzpp/blitz) |
| License | LGPL-3.0 |
| Versions | 1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blitz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blitz/xmake.lua) |

##### Install command

```console
xrepo install blitz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blitz")
```


### blobify (linux)


| Description | *C++17 library for all your binary de-/serialization needs* |
| -- | -- |
| Homepage | [https://github.com/neobrain/blobify](https://github.com/neobrain/blobify) |
| License | BSL-1.0 |
| Versions | 2023.12.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blobify/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blobify/xmake.lua) |

##### Install command

```console
xrepo install blobify
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blobify")
```


### blosc (linux)


| Description | *A blocking, shuffling and loss-less compression library* |
| -- | -- |
| Homepage | [https://www.blosc.org/](https://www.blosc.org/) |
| License | BSD-3-Clause |
| Versions | v1.5.0, v1.20.1, v1.21.1, v1.21.4, v1.21.5, v1.21.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [blosc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blosc/xmake.lua) |

##### Install command

```console
xrepo install blosc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blosc")
```


### bluez (linux)


| Description | *Library for the Bluetooth protocol stack for Linux* |
| -- | -- |
| Homepage | [http://www.bluez.org](http://www.bluez.org) |
| License | GPL-2.0-or-later |
| Versions | 5.68, 5.69, 5.70, 5.71, 5.72, 5.73, 5.74, 5.75, 5.76, 5.77, 5.78, 5.79 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bluez/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bluez/xmake.lua) |

##### Install command

```console
xrepo install bluez
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bluez")
```


### boost (linux)


| Description | *Collection of portable C++ source libraries.* |
| -- | -- |
| Homepage | [https://www.boost.org/](https://www.boost.org/) |
| License | BSL-1.0 |
| Versions | 1.70.0, 1.72.0, 1.73.0, 1.74.0, 1.75.0, 1.76.0, 1.77.0, 1.78.0, 1.79.0, 1.80.0, 1.81.0, 1.82.0, 1.83.0, 1.84.0, 1.85.0, 1.86.0, 1.87.0, 1.88.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost/xmake.lua) |

##### Install command

```console
xrepo install boost
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost")
```


### boost_di (linux)


| Description | *DI: C++14 Dependency Injection Library* |
| -- | -- |
| Homepage | [https://boost-ext.github.io/di](https://boost-ext.github.io/di) |
| Versions | v1.3.0, v1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost_di/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_di/xmake.lua) |

##### Install command

```console
xrepo install boost_di
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_di")
```


### boost_pfr (linux)


| Description | *C++14 library for struct reflection* |
| -- | -- |
| Homepage | [https://github.com/boostorg/pfr](https://github.com/boostorg/pfr) |
| License | BSL-1.0 |
| Versions | 2.1.0, 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost_pfr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_pfr/xmake.lua) |

##### Install command

```console
xrepo install boost_pfr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_pfr")
```


### boost_reflect (linux)


| Description | *C++20 static reflection library* |
| -- | -- |
| Homepage | [https://github.com/boost-ext/reflect](https://github.com/boost-ext/reflect) |
| Versions | v1.1.1, v1.2.3, v1.2.4, v1.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost_reflect/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_reflect/xmake.lua) |

##### Install command

```console
xrepo install boost_reflect
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_reflect")
```


### boost_sml (linux)


| Description | *SML: C++14 State Machine Library* |
| -- | -- |
| Homepage | [https://boost-ext.github.io/sml](https://boost-ext.github.io/sml) |
| License | BSL-1.0 |
| Versions | v1.1.8, v1.1.11, v1.1.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost_sml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_sml/xmake.lua) |

##### Install command

```console
xrepo install boost_sml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_sml")
```


### boost_ut (linux)


| Description | *UT: C++20 μ(micro)/Unit Testing Framework* |
| -- | -- |
| Homepage | [https://boost-ext.github.io/ut/](https://boost-ext.github.io/ut/) |
| License | BSL-1.0 |
| Versions | v1.1.9, v2.0.1, v2.1.0, v2.1.1, v2.3.0, v2.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boost_ut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_ut/xmake.lua) |

##### Install command

```console
xrepo install boost_ut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_ut")
```


### boostdep (linux)


| Description | *A tool to create Boost module dependency reports* |
| -- | -- |
| Homepage | [https://boost.org/tools/boostdep](https://boost.org/tools/boostdep) |
| License | BSL-1.0 |
| Versions | 2024.10.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boostdep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boostdep/xmake.lua) |

##### Install command

```console
xrepo install boostdep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boostdep")
```


### boringssl (linux)


| Description | *BoringSSL is a fork of OpenSSL that is designed to meet Google's needs.* |
| -- | -- |
| Homepage | [https://boringssl.googlesource.com/boringssl](https://boringssl.googlesource.com/boringssl) |
| Versions | 2021.12.29, 2022.06.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boringssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boringssl/xmake.lua) |

##### Install command

```console
xrepo install boringssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boringssl")
```


### botan (linux)


| Description | *Cryptography Toolkit* |
| -- | -- |
| Homepage | [https://botan.randombit.net](https://botan.randombit.net) |
| License | BSD-2-Clause |
| Versions | 3.4.0, 3.5.0, 3.6.0, 3.6.1, 3.7.0, 3.7.1, 3.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [botan/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/botan/xmake.lua) |

##### Install command

```console
xrepo install botan
```

##### Integration in the project (xmake.lua)

```lua
add_requires("botan")
```


### box2d (linux)


| Description | *A 2D Physics Engine for Games* |
| -- | -- |
| Homepage | [https://box2d.org](https://box2d.org) |
| License | MIT |
| Versions | v2.4.2, v3.0.0, v3.1.0, v3.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [box2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/box2d/xmake.lua) |

##### Install command

```console
xrepo install box2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("box2d")
```


### boxfort (linux)


| Description | *Convenient & cross-platform sandboxing C library* |
| -- | -- |
| Homepage | [https://github.com/Snaipe/BoxFort](https://github.com/Snaipe/BoxFort) |
| License | MIT |
| Versions | 2024.05.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [boxfort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boxfort/xmake.lua) |

##### Install command

```console
xrepo install boxfort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boxfort")
```


### bqlog (linux)


| Description | *Maybe the world's fastest logging library, originating from the client of the top mobile game Honor of Kings, is lightweight, works on PC, mobile, and servers, supports C#, Java, and C++, and is well adapted to Unity and Unreal engines.* |
| -- | -- |
| Homepage | [https://github.com/Tencent/BqLog](https://github.com/Tencent/BqLog) |
| Versions | 1.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bqlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bqlog/xmake.lua) |

##### Install command

```console
xrepo install bqlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bqlog")
```


### branchless-utf8 (linux)


| Description | *Branchless UTF-8 decoder* |
| -- | -- |
| Homepage | [https://github.com/skeeto/branchless-utf8](https://github.com/skeeto/branchless-utf8) |
| Versions | 2022.08.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [branchless-utf8/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/branchless-utf8/xmake.lua) |

##### Install command

```console
xrepo install branchless-utf8
```

##### Integration in the project (xmake.lua)

```lua
add_requires("branchless-utf8")
```


### breakpad (linux)


| Description | *Mirror of Google Breakpad project* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/breakpad/breakpad](https://chromium.googlesource.com/breakpad/breakpad) |
| Versions | v2023.01.27, v2023.06.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [breakpad/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/breakpad/xmake.lua) |

##### Install command

```console
xrepo install breakpad
```

##### Integration in the project (xmake.lua)

```lua
add_requires("breakpad")
```


### bredis (linux)


| Description | *Boost::ASIO low-level redis client (connector)* |
| -- | -- |
| Homepage | [https://github.com/basiliscos/cpp-bredis](https://github.com/basiliscos/cpp-bredis) |
| License | MIT |
| Versions | v0.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bredis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bredis/xmake.lua) |

##### Install command

```console
xrepo install bredis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bredis")
```


### brotli (linux)


| Description | *Brotli compression format.* |
| -- | -- |
| Homepage | [https://github.com/google/brotli](https://github.com/google/brotli) |
| License | MIT |
| Versions | v1.0.9, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [brotli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/brotli/xmake.lua) |

##### Install command

```console
xrepo install brotli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("brotli")
```


### brpc (linux)


| Description | *brpc is an Industrial-grade RPC framework using C++ Language, which is often used in high performance system such as Search, Storage, Machine learning, Advertisement, Recommendation etc.* |
| -- | -- |
| Homepage | [https://brpc.apache.org](https://brpc.apache.org) |
| License | Apache-2.0 |
| Versions | 1.3.0, 1.4.0, 1.5.0, 1.6.1, 1.7.0, 1.8.0, 1.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [brpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/brpc/xmake.lua) |

##### Install command

```console
xrepo install brpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("brpc")
```


### brynet (linux)


| Description | *A Header-Only cross-platform C++ TCP network library* |
| -- | -- |
| Homepage | [https://github.com/IronsDu/brynet](https://github.com/IronsDu/brynet) |
| License | MIT |
| Versions | 2024.06.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [brynet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/brynet/xmake.lua) |

##### Install command

```console
xrepo install brynet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("brynet")
```


### bsdiff (linux)


| Description | *BSDIFF is a binary diffing/patching library* |
| -- | -- |
| Homepage | [https://android.googlesource.com/platform/external/bsdiff/](https://android.googlesource.com/platform/external/bsdiff/) |
| Versions | 2021.11.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bsdiff/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bsdiff/xmake.lua) |

##### Install command

```console
xrepo install bsdiff
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bsdiff")
```


### buddy (linux)


| Description | *Binary Decision Diagrams* |
| -- | -- |
| Homepage | [https://github.com/xmake-mirror/Buddy](https://github.com/xmake-mirror/Buddy) |
| Versions | 2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [buddy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/buddy/xmake.lua) |

##### Install command

```console
xrepo install buddy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("buddy")
```


### bullet3 (linux)


| Description | *Bullet Physics SDK.* |
| -- | -- |
| Homepage | [http://bulletphysics.org](http://bulletphysics.org) |
| License | zlib |
| Versions | 2.88, 3.05, 3.09, 3.24, 3.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bullet3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bullet3/xmake.lua) |

##### Install command

```console
xrepo install bullet3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bullet3")
```


### bvh (linux)


| Description | *A modern C++ BVH construction and traversal library* |
| -- | -- |
| Homepage | [https://github.com/madmann91/bvh](https://github.com/madmann91/bvh) |
| License | MIT |
| Versions | 2023.6.30, 2024.7.8, 2025.06.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bvh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bvh/xmake.lua) |

##### Install command

```console
xrepo install bvh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bvh")
```


### bytepack (linux)


| Description | *C++ Binary Serialization Made Easy: Header-only, configurable endianness, cross-platform, no IDL, no exceptions, and no macros* |
| -- | -- |
| Homepage | [https://github.com/farukeryilmaz/bytepack](https://github.com/farukeryilmaz/bytepack) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bytepack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bytepack/xmake.lua) |

##### Install command

```console
xrepo install bytepack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bytepack")
```


### bzip2 (linux)


| Description | *Freely available, patent free, high-quality data compressor.* |
| -- | -- |
| Homepage | [https://sourceware.org/bzip2/](https://sourceware.org/bzip2/) |
| Versions | 1.0.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bzip2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bzip2/xmake.lua) |

##### Install command

```console
xrepo install bzip2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bzip2")
```


### bzip3 (linux)


| Description | *A better and stronger spiritual successor to BZip2.* |
| -- | -- |
| Homepage | [https://github.com/kspalaiologos/bzip3](https://github.com/kspalaiologos/bzip3) |
| License | LGPL-3.0 |
| Versions | 1.4.0, 1.5.1, 1.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [bzip3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bzip3/xmake.lua) |

##### Install command

```console
xrepo install bzip3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bzip3")
```



## c
### c-ares (linux)


| Description | *A C library for asynchronous DNS requests* |
| -- | -- |
| Homepage | [https://c-ares.org/](https://c-ares.org/) |
| License | MIT |
| Versions | 1.16.1, 1.17.0, 1.17.1, 1.17.2, 1.18.0, 1.18.1, 1.19.0, 1.27.0, 1.28.1, 1.29.0, 1.30.0, 1.31.0, 1.32.2, 1.32.3, 1.33.0, 1.33.1, 1.34.1, 1.34.3, 1.34.4, 1.34.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [c-ares/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-ares/xmake.lua) |

##### Install command

```console
xrepo install c-ares
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-ares")
```


### c-blosc2 (linux)


| Description | *A fast, compressed, persistent binary data store library for C.* |
| -- | -- |
| Homepage | [https://www.blosc.org](https://www.blosc.org) |
| License | BSD-3-Clause |
| Versions | v2.10.2, v2.13.2, v2.14.3, v2.14.4, v2.15.0, v2.15.1, v2.15.2, v2.16.0, v2.17.0, v2.17.1, v2.18.0, v2.19.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [c-blosc2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-blosc2/xmake.lua) |

##### Install command

```console
xrepo install c-blosc2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-blosc2")
```


### c-vector (linux)


| Description | *A simple vector library for C that can store any type.* |
| -- | -- |
| Homepage | [https://github.com/Mashpoe/c-vector](https://github.com/Mashpoe/c-vector) |
| License | BSD-3-Clause |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [c-vector/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-vector/xmake.lua) |

##### Install command

```console
xrepo install c-vector
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-vector")
```


### c4core (linux)


| Description | *C++ utilities* |
| -- | -- |
| Homepage | [https://github.com/biojppm/c4core](https://github.com/biojppm/c4core) |
| License | MIT |
| Versions | 0.2.1, 0.2.2, 0.2.5, 0.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [c4core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c4core/xmake.lua) |

##### Install command

```console
xrepo install c4core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c4core")
```


### ca-certificates (linux)


| Description | *Mozilla’s carefully curated collection of Root Certificates for validating the trustworthiness of SSL certificates while verifying the identity of TLS hosts.* |
| -- | -- |
| Homepage | [https://mkcert.org/](https://mkcert.org/) |
| Versions | 20211118, 20220604, 20230306, 20240207, 20250131 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ca-certificates/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ca-certificates/xmake.lua) |

##### Install command

```console
xrepo install ca-certificates
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ca-certificates")
```


### cairo (linux)


| Description | *Vector graphics library with cross-device output support.* |
| -- | -- |
| Homepage | [https://cairographics.org/](https://cairographics.org/) |
| License | MPL-1.1 |
| Versions | 1.17.6, 1.17.8, 1.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cairo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cairo/xmake.lua) |

##### Install command

```console
xrepo install cairo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cairo")
```


### capnproto (linux)


| Description | *Cap'n Proto serialization/RPC system - core tools and C++ library.* |
| -- | -- |
| Homepage | [https://github.com/capnproto/capnproto](https://github.com/capnproto/capnproto) |
| License | MIT |
| Versions | 0.7.0, 0.8.0, 0.9.0, 1.0.2, 1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [capnproto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/capnproto/xmake.lua) |

##### Install command

```console
xrepo install capnproto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("capnproto")
```


### capstone (linux)


| Description | *Capstone disassembly/disassembler framework for ARM, ARM64 (ARMv8), Alpha, BPF, Ethereum VM, HPPA, LoongArch, M68K, M680X, Mips, MOS65XX, PPC, RISC-V(rv32G/rv64G), SH, Sparc, SystemZ, TMS320C64X, TriCore, Webassembly, XCore and X86.* |
| -- | -- |
| Homepage | [http://www.capstone-engine.org](http://www.capstone-engine.org) |
| License | BSD-3-Clause |
| Versions | 5.0.3, 5.0.5, 5.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [capstone/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/capstone/xmake.lua) |

##### Install command

```console
xrepo install capstone
```

##### Integration in the project (xmake.lua)

```lua
add_requires("capstone")
```


### cargs (linux)


| Description | *A lightweight cross-platform getopt alternative that works on Linux, Windows and macOS. Command line argument parser library for C/C++. Can be used to parse argv and argc parameters.* |
| -- | -- |
| Homepage | [https://likle.github.io/cargs/](https://likle.github.io/cargs/) |
| License | MIT |
| Versions | v1.0.3, v1.1.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cargs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cargs/xmake.lua) |

##### Install command

```console
xrepo install cargs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cargs")
```


### cartographer (linux)


| Description | *Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.* |
| -- | -- |
| Homepage | [https://github.com/cartographer-project/cartographer](https://github.com/cartographer-project/cartographer) |
| License | Apache-2.0 |
| Versions | 1.0.0, 2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cartographer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cartographer/xmake.lua) |

##### Install command

```console
xrepo install cartographer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cartographer")
```


### catch2 (linux)


| Description | *Catch2 is a multi-paradigm test framework for C++. which also supports Objective-C (and maybe C). * |
| -- | -- |
| Homepage | [https://github.com/catchorg/Catch2](https://github.com/catchorg/Catch2) |
| License | BSL-1.0 |
| Versions | v2.9.2, v2.13.5, v2.13.6, v2.13.7, v2.13.8, v2.13.9, v2.13.10, v3.1.0, v3.1.1, v3.2.0, v3.2.1, v3.3.2, v3.4.0, v3.5.0, v3.5.1, v3.5.2, v3.5.3, v3.5.4, v3.6.0, v3.7.0, v3.7.1, v3.8.0, v3.8.1, v3.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [catch2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/catch2/xmake.lua) |

##### Install command

```console
xrepo install catch2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("catch2")
```


### caudio (linux)


| Description | *3D Audio Engine Based on Openal* |
| -- | -- |
| Homepage | [https://github.com/R4stl1n/cAudio](https://github.com/R4stl1n/cAudio) |
| Versions | 2.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [caudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/caudio/xmake.lua) |

##### Install command

```console
xrepo install caudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("caudio")
```


### cdt (linux)


| Description | *Constrained Delaunay Triangulation (C++)* |
| -- | -- |
| Homepage | [https://artem-ogre.github.io/CDT/](https://artem-ogre.github.io/CDT/) |
| License | MPL-2.0 |
| Versions | 1.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cdt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cdt/xmake.lua) |

##### Install command

```console
xrepo install cdt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cdt")
```


### celero (linux)


| Description | *C++ Benchmarking Library* |
| -- | -- |
| Homepage | [https://github.com/DigitalInBlue/Celero](https://github.com/DigitalInBlue/Celero) |
| License | Apache-2.0 |
| Versions | v2.8.2, v2.8.5, v2.9.0, v2.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [celero/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/celero/xmake.lua) |

##### Install command

```console
xrepo install celero
```

##### Integration in the project (xmake.lua)

```lua
add_requires("celero")
```


### cello (linux)


| Description | *Higher level programming in C* |
| -- | -- |
| Homepage | [http://libcello.org/](http://libcello.org/) |
| Versions | 2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cello/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cello/xmake.lua) |

##### Install command

```console
xrepo install cello
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cello")
```


### centurion (linux)


| Description | *A modern C++ wrapper library for SDL2 in order to improve type-safety, memory safety and overall ease-of-use.* |
| -- | -- |
| Homepage | [https://github.com/albin-johansson/centurion](https://github.com/albin-johansson/centurion) |
| License | MIT |
| Versions | v7.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [centurion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/centurion/xmake.lua) |

##### Install command

```console
xrepo install centurion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("centurion")
```


### cereal (linux)


| Description | *cereal is a header-only C++11 serialization library.* |
| -- | -- |
| Homepage | [https://uscilab.github.io/cereal/index.html](https://uscilab.github.io/cereal/index.html) |
| License | BSD-3-Clause |
| Versions | v1.3.0, v1.3.1, v1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cereal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cereal/xmake.lua) |

##### Install command

```console
xrepo install cereal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cereal")
```


### ceres-solver (linux)


| Description | *Ceres Solver is an open source C++ library for modeling and solving large, complicated optimization problems.* |
| -- | -- |
| Homepage | [http://ceres-solver.org/](http://ceres-solver.org/) |
| License | BSD-3-Clause |
| Versions | 2.0.0, 2.1.0, 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ceres-solver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ceres-solver/xmake.lua) |

##### Install command

```console
xrepo install ceres-solver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ceres-solver")
```


### ceval (linux)


| Description | *A C/C++ library for parsing and evaluation of arithmetic expressions.* |
| -- | -- |
| Homepage | [https://github.com/erstan/ceval](https://github.com/erstan/ceval) |
| License | MIT |
| Versions | 1.0.0, 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ceval/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ceval/xmake.lua) |

##### Install command

```console
xrepo install ceval
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ceval")
```


### cfitsio (linux)


| Description | *CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format.* |
| -- | -- |
| Homepage | [https://heasarc.gsfc.nasa.gov/fitsio/](https://heasarc.gsfc.nasa.gov/fitsio/) |
| Versions | 4.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cfitsio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cfitsio/xmake.lua) |

##### Install command

```console
xrepo install cfitsio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cfitsio")
```


### cgal (linux)


| Description | *CGAL is a software project that provides easy access to efficient and reliable geometric algorithms in the form of a C++ library.* |
| -- | -- |
| Homepage | [https://www.cgal.org/](https://www.cgal.org/) |
| License | LGPL-3.0 |
| Versions | 5.1.1, 5.2.1, 5.3, 5.4, 5.5.2, 5.6.1, 6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgal/xmake.lua) |

##### Install command

```console
xrepo install cgal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgal")
```


### cgetopt (linux)


| Description | *A GNU getopt() implementation written in pure C.* |
| -- | -- |
| Homepage | [https://github.com/xq114/cgetopt/](https://github.com/xq114/cgetopt/) |
| License | zlib |
| Versions | 1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgetopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgetopt/xmake.lua) |

##### Install command

```console
xrepo install cgetopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgetopt")
```


### cgif (linux)


| Description | *GIF encoder written in C* |
| -- | -- |
| Homepage | [https://github.com/dloebl/cgif](https://github.com/dloebl/cgif) |
| License | MIT |
| Versions | v0.4.0, v0.4.1, v0.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgif/xmake.lua) |

##### Install command

```console
xrepo install cgif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgif")
```


### cglm (linux)


| Description | *📽 Highly Optimized Graphics Math (glm) for C* |
| -- | -- |
| Homepage | [https://github.com/recp/cglm](https://github.com/recp/cglm) |
| License | MIT |
| Versions | v0.9.0, v0.9.2, v0.9.3, v0.9.4, v0.9.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cglm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cglm/xmake.lua) |

##### Install command

```console
xrepo install cglm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cglm")
```


### cgltf (linux)


| Description | *Single-file glTF 2.0 loader and writer written in C99* |
| -- | -- |
| Homepage | [https://github.com/jkuhlmann/cgltf](https://github.com/jkuhlmann/cgltf) |
| License | MIT |
| Versions | v1.13, v1.14, v1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgltf/xmake.lua) |

##### Install command

```console
xrepo install cgltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgltf")
```


### cgns (linux)


| Description | *CFD General Notation System* |
| -- | -- |
| Homepage | [http://cgns.github.io/](http://cgns.github.io/) |
| Versions | v4.2.0, v4.4.0, v4.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgns/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgns/xmake.lua) |

##### Install command

```console
xrepo install cgns
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgns")
```


### cgraph (linux)


| Description | *A common used C++ DAG framework* |
| -- | -- |
| Homepage | [http://www.chunel.cn](http://www.chunel.cn) |
| License | MIT |
| Versions | v2.5.4, v2.6.0, v2.6.1, v2.6.2, v3.1.0, v3.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cgraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgraph/xmake.lua) |

##### Install command

```console
xrepo install cgraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgraph")
```


### chaiscript (linux)


| Description | *Header-only C++ embedded scripting language loosely based on ECMA script.* |
| -- | -- |
| Homepage | [http://chaiscript.com](http://chaiscript.com) |
| License | BSD-3-Clause |
| Versions | v6.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [chaiscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/chaiscript/xmake.lua) |

##### Install command

```console
xrepo install chaiscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("chaiscript")
```


### charls (linux)


| Description | *CharLS, a C++ JPEG-LS library implementation* |
| -- | -- |
| Homepage | [https://github.com/team-charls/charls](https://github.com/team-charls/charls) |
| License | BSD-3-Clause |
| Versions | 2.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [charls/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/charls/xmake.lua) |

##### Install command

```console
xrepo install charls
```

##### Integration in the project (xmake.lua)

```lua
add_requires("charls")
```


### chipmunk2d (linux)


| Description | *A fast and lightweight 2D game physics library.* |
| -- | -- |
| Homepage | [https://chipmunk-physics.net/](https://chipmunk-physics.net/) |
| License | MIT |
| Versions | 7.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [chipmunk2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/chipmunk2d/xmake.lua) |

##### Install command

```console
xrepo install chipmunk2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("chipmunk2d")
```


### choc (linux)


| Description | *A collection of header only classes, permissively licensed, to provide basic useful tasks with the bare-minimum of dependencies.* |
| -- | -- |
| Homepage | [https://github.com/Tracktion/choc](https://github.com/Tracktion/choc) |
| License | ISC |
| Versions | 2025.01.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [choc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/choc/xmake.lua) |

##### Install command

```console
xrepo install choc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("choc")
```


### chromium_zlib (linux)


| Description | *zlib from chromium* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/chromium/src/third_party/zlib/](https://chromium.googlesource.com/chromium/src/third_party/zlib/) |
| License | zlib |
| Versions | 2022.02.22, 2023.03.14, 2024.01.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [chromium_zlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/chromium_zlib/xmake.lua) |

##### Install command

```console
xrepo install chromium_zlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("chromium_zlib")
```


### cimg (linux)


| Description | *Small and open-source C++ toolkit for image processing* |
| -- | -- |
| Homepage | [https://cimg.eu/](https://cimg.eu/) |
| License | CeCILL-C |
| Versions | v3.2.6, v3.3.6, v3.4.0, v3.4.1, v3.4.2, v3.4.3, v3.5.0, v3.5.1, v3.5.2, v3.5.3, v3.5.4, v3.5.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cimg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cimg/xmake.lua) |

##### Install command

```console
xrepo install cimg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cimg")
```


### cimgui (linux)


| Description | *c-api for imgui (https://github.com/ocornut/imgui) Look at: https://github.com/cimgui for other widgets* |
| -- | -- |
| Homepage | [https://github.com/cimgui/cimgui](https://github.com/cimgui/cimgui) |
| License | MIT |
| Versions | 2023.08.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cimgui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cimgui/xmake.lua) |

##### Install command

```console
xrepo install cimgui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cimgui")
```


### cinatra (linux)


| Description | *modern c++(c++20), cross-platform, header-only, easy to use http framework* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/cinatra](https://github.com/qicosmos/cinatra) |
| License | MIT |
| Versions | v0.8.0, v0.8.9, 0.9.1, 0.9.4, 0.9.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cinatra/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cinatra/xmake.lua) |

##### Install command

```console
xrepo install cinatra
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cinatra")
```


### cista (linux)


| Description | *Cista is a simple, high-performance, zero-copy C++ serialization & reflection library.* |
| -- | -- |
| Homepage | [https://cista.rocks](https://cista.rocks) |
| License | MIT |
| Versions | v0.14, v0.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cista/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cista/xmake.lua) |

##### Install command

```console
xrepo install cista
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cista")
```


### civetweb (linux)


| Description | *Embedded C/C++ web server* |
| -- | -- |
| Homepage | [https://github.com/civetweb/civetweb](https://github.com/civetweb/civetweb) |
| License | MIT |
| Versions | v1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [civetweb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/civetweb/xmake.lua) |

##### Install command

```console
xrepo install civetweb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("civetweb")
```


### cjson (linux)


| Description | *Ultralightweight JSON parser in ANSI C.* |
| -- | -- |
| Homepage | [https://github.com/DaveGamble/cJSON](https://github.com/DaveGamble/cJSON) |
| License | MIT |
| Versions | v1.7.15, v1.7.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cjson/xmake.lua) |

##### Install command

```console
xrepo install cjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cjson")
```


### ck (linux)


| Description | *Concurrency primitives, safe memory reclamation mechanisms and non-blocking (including lock-free) data structures designed to aid in the research, design and implementation of high performance concurrent systems developed in C99+.* |
| -- | -- |
| Homepage | [http://concurrencykit.org/](http://concurrencykit.org/) |
| Versions | 0.7.1, 0.7.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ck/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ck/xmake.lua) |

##### Install command

```console
xrepo install ck
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ck")
```


### clara (linux)


| Description | *A simple to use, composable, command line parser for C++ 11 and beyond.* |
| -- | -- |
| Homepage | [https://github.com/catchorg/Clara](https://github.com/catchorg/Clara) |
| License | BSL-1.0 |
| Versions | 1.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clara/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clara/xmake.lua) |

##### Install command

```console
xrepo install clara
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clara")
```


### clay (linux)


| Description | *High performance UI layout library in C.* |
| -- | -- |
| Homepage | [https://nicbarker.com/clay](https://nicbarker.com/clay) |
| License | zlib |
| Versions | v0.12, v0.13, v0.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clay/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clay/xmake.lua) |

##### Install command

```console
xrepo install clay
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clay")
```


### clblast (linux)


| Description | *Tuned OpenCL BLAS * |
| -- | -- |
| Homepage | [https://github.com/CNugteren/CLBlast](https://github.com/CNugteren/CLBlast) |
| License | Apache-2.0 |
| Versions | 1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clblast/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clblast/xmake.lua) |

##### Install command

```console
xrepo install clblast
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clblast")
```


### clean-test (linux)


| Description | *A modern C++-20 testing framework.* |
| -- | -- |
| Homepage | [https://clean-test.dev](https://clean-test.dev) |
| License | BSL-1.0 |
| Versions | 2023.05.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clean-test/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clean-test/xmake.lua) |

##### Install command

```console
xrepo install clean-test
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clean-test")
```


### clhep (linux)


| Description | *CLHEP - A Class Library for High Energy Physics* |
| -- | -- |
| Homepage | [https://proj-clhep.web.cern.ch/proj-clhep/](https://proj-clhep.web.cern.ch/proj-clhep/) |
| License | LGPL-3.0 |
| Versions | 2.4.5+1, 2.4.6+3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clhep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clhep/xmake.lua) |

##### Install command

```console
xrepo install clhep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clhep")
```


### cli (linux)


| Description | *A library for interactive command line interfaces in modern C++* |
| -- | -- |
| Homepage | [https://github.com/daniele77/cli](https://github.com/daniele77/cli) |
| License | BSL-1.0 |
| Versions | v2.0.0, v2.1.0, v2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cli/xmake.lua) |

##### Install command

```console
xrepo install cli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cli")
```


### cli11 (linux)


| Description | *CLI11 is a command line parser for C++11 and beyond that provides a rich feature set with a simple and intuitive interface.* |
| -- | -- |
| Homepage | [https://github.com/CLIUtils/CLI11](https://github.com/CLIUtils/CLI11) |
| License | BSD |
| Versions | v2.2.0, v2.3.2, v2.4.1, v2.4.2, v2.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cli11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cli11/xmake.lua) |

##### Install command

```console
xrepo install cli11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cli11")
```


### clib (linux)


| Description | *Header-only library for C99 that implements the most important classes from GLib: GList, GHashTable and GString.* |
| -- | -- |
| Homepage | [https://github.com/aheck/clib](https://github.com/aheck/clib) |
| License | MIT |
| Versions | 2022.12.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clib/xmake.lua) |

##### Install command

```console
xrepo install clib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clib")
```


### clip (linux)


| Description | *Library to copy/retrieve content to/from the clipboard/pasteboard.* |
| -- | -- |
| Homepage | [https://github.com/dacap/clip](https://github.com/dacap/clip) |
| License | MIT |
| Versions | 1.5, 1.8, 1.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clip/xmake.lua) |

##### Install command

```console
xrepo install clip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clip")
```


### clipper2 (linux)


| Description | *Polygon Clipping and Offsetting - C++, C# and Delphi* |
| -- | -- |
| Homepage | [https://github.com/AngusJohnson/Clipper2](https://github.com/AngusJohnson/Clipper2) |
| License | BSL-1.0 |
| Versions | 1.2.2, 1.2.3, 1.2.4, 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clipper2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clipper2/xmake.lua) |

##### Install command

```console
xrepo install clipper2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clipper2")
```


### clove-unit (linux)


| Description | *Single-Header Unit Testing framework for C (interoperable with C++) with test autodiscovery feature* |
| -- | -- |
| Homepage | [https://github.com/fdefelici/clove-unit](https://github.com/fdefelici/clove-unit) |
| License | MIT |
| Versions | v2.4.4, v2.4.5, v2.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [clove-unit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clove-unit/xmake.lua) |

##### Install command

```console
xrepo install clove-unit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clove-unit")
```


### cmake (linux)


| Description | *A cross-platform family of tool designed to build, test and package software* |
| -- | -- |
| Homepage | [https://cmake.org](https://cmake.org) |
| Versions | 3.11.4, 3.15.4, 3.18.4, 3.21.0, 3.22.1, 3.24.1, 3.24.2, 3.26.4, 3.28.1, 3.28.3, 3.29.2, 3.30.1, 3.30.2, 4.0.0, 4.0.1, 4.0.2, 4.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmake/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmake/xmake.lua) |

##### Install command

```console
xrepo install cmake
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmake")
```


### cmark (linux)


| Description | *CommonMark parsing and rendering library and program in C* |
| -- | -- |
| Homepage | [https://github.com/commonmark/cmark](https://github.com/commonmark/cmark) |
| Versions | 0.31.0, 0.31.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmark/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmark/xmake.lua) |

##### Install command

```console
xrepo install cmark
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmark")
```


### cmdline (linux)


| Description | *A Command Line Parser* |
| -- | -- |
| Homepage | [https://github.com/tanakh/cmdline](https://github.com/tanakh/cmdline) |
| License | BSD-3-Clause |
| Versions | 2014.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmdline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmdline/xmake.lua) |

##### Install command

```console
xrepo install cmdline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmdline")
```


### cmdparser (linux)


| Description | *A simple and lightweight command line parser using C++11.* |
| -- | -- |
| Homepage | [https://github.com/FlorianRappl/CmdParser](https://github.com/FlorianRappl/CmdParser) |
| License | MIT |
| Versions | 2024.02.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmdparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmdparser/xmake.lua) |

##### Install command

```console
xrepo install cmdparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmdparser")
```


### cmidi2 (linux)


| Description | *header-only MIDI 2.0 UMP and MIDI-CI binary processor library* |
| -- | -- |
| Homepage | [https://github.com/atsushieno/cmidi2](https://github.com/atsushieno/cmidi2) |
| License | MIT |
| Versions | 2023.08.07, 2025.06.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmidi2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmidi2/xmake.lua) |

##### Install command

```console
xrepo install cmidi2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmidi2")
```


### cminpack (linux)


| Description | *A C/C++ rewrite of the MINPACK software (originally in FORTRAN) for solving nonlinear equations and nonlinear least squares problems* |
| -- | -- |
| Homepage | [https://devernay.github.io/cminpack/](https://devernay.github.io/cminpack/) |
| Versions | v1.3.9, v1.3.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cminpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cminpack/xmake.lua) |

##### Install command

```console
xrepo install cminpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cminpack")
```


### cmocka (linux)


| Description | *cmocka is an elegant unit testing framework for C with support for mock objects.* |
| -- | -- |
| Homepage | [https://cmocka.org/](https://cmocka.org/) |
| License | Apache-2.0 |
| Versions | 1.1.5, 1.1.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cmocka/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmocka/xmake.lua) |

##### Install command

```console
xrepo install cmocka
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmocka")
```


### cnats (linux)


| Description | *A C client for NATS* |
| -- | -- |
| Homepage | [https://github.com/nats-io/nats.c](https://github.com/nats-io/nats.c) |
| License | Apache-2.0 |
| Versions | v3.8.2, v3.9.2, v3.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cnats/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnats/xmake.lua) |

##### Install command

```console
xrepo install cnats
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnats")
```


### cnl (linux)


| Description | *A Compositional Numeric Library for C++* |
| -- | -- |
| Homepage | [https://github.com/johnmcfarlane/cnl](https://github.com/johnmcfarlane/cnl) |
| License | BSL-1.0 |
| Versions | 2023.12.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cnl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnl/xmake.lua) |

##### Install command

```console
xrepo install cnl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnl")
```


### cnpy (linux)


| Description | *library to read/write .npy and .npz files in C/C++* |
| -- | -- |
| Homepage | [https://github.com/rogersce/cnpy](https://github.com/rogersce/cnpy) |
| License | MIT |
| Versions | 2018.06.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cnpy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnpy/xmake.lua) |

##### Install command

```console
xrepo install cnpy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnpy")
```


### coin-or-asl (linux)


| Description | *The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality to the Linux operating system.* |
| -- | -- |
| Homepage | [https://github.com/coin-or-tools/ThirdParty-ASL/](https://github.com/coin-or-tools/ThirdParty-ASL/) |
| License | EPL-1.0 |
| Versions | 2.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coin-or-asl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-asl/xmake.lua) |

##### Install command

```console
xrepo install coin-or-asl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-asl")
```


### coin-or-clp (linux)


| Description | *COIN-OR Linear Programming Solver* |
| -- | -- |
| Homepage | [https://github.com/coin-or/Clp](https://github.com/coin-or/Clp) |
| License | EPL-2.0 |
| Versions | 1.17.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coin-or-clp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-clp/xmake.lua) |

##### Install command

```console
xrepo install coin-or-clp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-clp")
```


### coin-or-coinutils (linux)


| Description | *COIN-OR Utilities* |
| -- | -- |
| Homepage | [https://github.com/coin-or/CoinUtils](https://github.com/coin-or/CoinUtils) |
| License | EPL-2.0 |
| Versions | 2.11.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coin-or-coinutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-coinutils/xmake.lua) |

##### Install command

```console
xrepo install coin-or-coinutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-coinutils")
```


### coin-or-ipopt (linux)


| Description | *Ipopt (Interior Point OPTimizer, pronounced eye-pea-Opt) is a software package for large-scale nonlinear optimization.* |
| -- | -- |
| Homepage | [https://github.com/coin-or/Ipopt](https://github.com/coin-or/Ipopt) |
| License | EGPL-2.0 |
| Versions | 3.14.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coin-or-ipopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-ipopt/xmake.lua) |

##### Install command

```console
xrepo install coin-or-ipopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-ipopt")
```


### coin-or-osi (linux)


| Description | *Open Solver Interface* |
| -- | -- |
| Homepage | [https://github.com/coin-or/Osi](https://github.com/coin-or/Osi) |
| Versions | 0.108.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coin-or-osi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-osi/xmake.lua) |

##### Install command

```console
xrepo install coin-or-osi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-osi")
```


### collada-dom (linux)


| Description | *COLLADA Document Object Model (DOM) C++ Library* |
| -- | -- |
| Homepage | [https://github.com/rdiankov/collada-dom/](https://github.com/rdiankov/collada-dom/) |
| Versions | v2.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [collada-dom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/collada-dom/xmake.lua) |

##### Install command

```console
xrepo install collada-dom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("collada-dom")
```


### commata (linux)


| Description | *Just another header-only C++17 CSV parser* |
| -- | -- |
| Homepage | [https://furfurylic.github.io/commata/CommataSpecification.xml](https://furfurylic.github.io/commata/CommataSpecification.xml) |
| License | Unlicense |
| Versions | v1.0.0, v1.0.1, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [commata/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/commata/xmake.lua) |

##### Install command

```console
xrepo install commata
```

##### Integration in the project (xmake.lua)

```lua
add_requires("commata")
```


### concurrentqueue (linux)


| Description | *A fast multi-producer, multi-consumer lock-free concurrent queue for C++11* |
| -- | -- |
| Homepage | [https://github.com/cameron314/concurrentqueue](https://github.com/cameron314/concurrentqueue) |
| License | BSD |
| Versions | v1.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [concurrentqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/concurrentqueue/xmake.lua) |

##### Install command

```console
xrepo install concurrentqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("concurrentqueue")
```


### console-bridge (linux)


| Description | *A ROS-independent package for logging that seamlessly pipes into rosconsole/rosout for ROS-dependent packages.* |
| -- | -- |
| Homepage | [https://github.com/ros/console_bridge](https://github.com/ros/console_bridge) |
| License | BSD-3-Clause |
| Versions | 1.0.1, 1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [console-bridge/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/console-bridge/xmake.lua) |

##### Install command

```console
xrepo install console-bridge
```

##### Integration in the project (xmake.lua)

```lua
add_requires("console-bridge")
```


### continuable (linux)


| Description | *C++14 asynchronous allocation aware futures (supporting then, exception handling, coroutines and connections)* |
| -- | -- |
| Homepage | [https://naios.github.io/continuable/](https://naios.github.io/continuable/) |
| License | MIT |
| Versions | 4.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [continuable/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/continuable/xmake.lua) |

##### Install command

```console
xrepo install continuable
```

##### Integration in the project (xmake.lua)

```lua
add_requires("continuable")
```


### convertutf (linux)


| Description | *Conversions between UTF-32, UTF-16, and UTF-8. Circa 2004.* |
| -- | -- |
| Homepage | [https://home.unicode.org/](https://home.unicode.org/) |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [convertutf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/convertutf/xmake.lua) |

##### Install command

```console
xrepo install convertutf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("convertutf")
```


### coost (linux)


| Description | *A tiny boost library in C++11.* |
| -- | -- |
| Homepage | [https://github.com/idealvin/coost](https://github.com/idealvin/coost) |
| License | MIT |
| Versions | v3.0.0, v3.0.1, v3.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [coost/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coost/xmake.lua) |

##### Install command

```console
xrepo install coost
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coost")
```


### corrade (linux)


| Description | *Corrade is a multiplatform utility library written in C++11/C++14.* |
| -- | -- |
| Homepage | [https://magnum.graphics/corrade/](https://magnum.graphics/corrade/) |
| License | MIT |
| Versions | v2020.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [corrade/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/corrade/xmake.lua) |

##### Install command

```console
xrepo install corrade
```

##### Integration in the project (xmake.lua)

```lua
add_requires("corrade")
```


### cosmocc (linux)


| Description | *build-once run-anywhere c library* |
| -- | -- |
| Homepage | [https://github.com/jart/cosmopolitan](https://github.com/jart/cosmopolitan) |
| License | ISC |
| Versions | 3.2.4, 3.3.2, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.3.8, 3.3.9, 3.3.10, 3.4.0, 3.5.0, 3.5.1, 3.5.2, 3.5.3, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9, 3.6.0, 3.6.1, 3.6.2, 3.7.0, 3.7.1, 3.8.0, 3.9.0, 3.9.1, 3.9.2, 3.9.3, 3.9.4, 3.9.5, 3.9.6, 3.9.7, 4.0.0, 4.0.1, 4.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cosmocc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cosmocc/xmake.lua) |

##### Install command

```console
xrepo install cosmocc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cosmocc")
```


### cpp-async (linux)


| Description | *Support types and functions for C++20 coroutines* |
| -- | -- |
| Homepage | [https://github.com/microsoft/cpp-async](https://github.com/microsoft/cpp-async) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-async/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-async/xmake.lua) |

##### Install command

```console
xrepo install cpp-async
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-async")
```


### cpp-channel (linux)


| Description | *Thread-safe container for sharing data between threads* |
| -- | -- |
| Homepage | [https://github.com/andreiavrammsd/cpp-channel](https://github.com/andreiavrammsd/cpp-channel) |
| License | MIT |
| Versions | v0.8.2, v0.8.3, v1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-channel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-channel/xmake.lua) |

##### Install command

```console
xrepo install cpp-channel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-channel")
```


### cpp-dump (linux)


| Description | *A C++ library for debugging purposes that can print any variable, even user-defined types.* |
| -- | -- |
| Homepage | [https://github.com/philip82148/cpp-dump](https://github.com/philip82148/cpp-dump) |
| License | MIT |
| Versions | v0.5.0, v0.6.0, v0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-dump/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-dump/xmake.lua) |

##### Install command

```console
xrepo install cpp-dump
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-dump")
```


### cpp-httplib (linux)


| Description | *A C++11 single-file header-only cross platform HTTP/HTTPS library.* |
| -- | -- |
| Homepage | [https://github.com/yhirose/cpp-httplib](https://github.com/yhirose/cpp-httplib) |
| License | MIT |
| Versions | v0.8.5, v0.9.2, v0.12.1, v0.12.6, v0.14.0, v0.14.1, v0.14.2, v0.14.3, v0.15.0, v0.15.1, v0.15.2, v0.15.3, v0.16.2, v0.16.3, v0.17.0, v0.17.3, v0.18.1, v0.18.3, v0.18.5, v0.18.6, v0.18.7, v0.19.0, v0.20.0, v0.20.1, v0.21.0, v0.22.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-httplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-httplib/xmake.lua) |

##### Install command

```console
xrepo install cpp-httplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-httplib")
```


### cpp-ipc (linux)


| Description | *A high-performance inter-process communication using shared memory on Linux/Windows* |
| -- | -- |
| Homepage | [https://github.com/mutouyun/cpp-ipc](https://github.com/mutouyun/cpp-ipc) |
| License | MIT |
| Versions | v1.2.0, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-ipc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-ipc/xmake.lua) |

##### Install command

```console
xrepo install cpp-ipc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-ipc")
```


### cpp-jwt (linux)


| Description | *JSON Web Token library for C++* |
| -- | -- |
| Homepage | [https://github.com/arun11299/cpp-jwt](https://github.com/arun11299/cpp-jwt) |
| License | MIT |
| Versions | v1.4, v1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-jwt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-jwt/xmake.lua) |

##### Install command

```console
xrepo install cpp-jwt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-jwt")
```


### cpp-lazy (linux)


| Description | *A fast C++11/14/17/20 header only library for lazy evaluation and function tools* |
| -- | -- |
| Homepage | [https://github.com/MarcDirven/cpp-lazy](https://github.com/MarcDirven/cpp-lazy) |
| License | MIT |
| Versions | v7.0.2, v8.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-lazy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-lazy/xmake.lua) |

##### Install command

```console
xrepo install cpp-lazy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-lazy")
```


### cpp-linenoise (linux)


| Description | *A single file multi-platform (Unix, Windows) C++ header-only linenoise-based readline library.* |
| -- | -- |
| Homepage | [https://github.com/yhirose/cpp-linenoise](https://github.com/yhirose/cpp-linenoise) |
| License | BSD-2-Clause |
| Versions | 2021.11.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-linenoise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-linenoise/xmake.lua) |

##### Install command

```console
xrepo install cpp-linenoise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-linenoise")
```


### cpp-mcp (linux)


| Description | *Lightweight C++ MCP (Model Context Protocol) SDK* |
| -- | -- |
| Homepage | [https://github.com/hkr04/cpp-mcp](https://github.com/hkr04/cpp-mcp) |
| License | MIT |
| Versions | 2025.05.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-mcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-mcp/xmake.lua) |

##### Install command

```console
xrepo install cpp-mcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-mcp")
```


### cpp-peglib (linux)


| Description | *A single file C++ header-only PEG (Parsing Expression Grammars) library* |
| -- | -- |
| Homepage | [https://yhirose.github.io/cpp-peglib](https://yhirose.github.io/cpp-peglib) |
| License | MIT |
| Versions | 1.8.3, 1.8.8, 1.9.0, 1.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-peglib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-peglib/xmake.lua) |

##### Install command

```console
xrepo install cpp-peglib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-peglib")
```


### cpp-rotor (linux)


| Description | *Event loop friendly C++ actor micro-framework, supervisable* |
| -- | -- |
| Homepage | [https://github.com/basiliscos/cpp-rotor](https://github.com/basiliscos/cpp-rotor) |
| License | MIT |
| Versions | v0.30, v0.31, v0.32, v0.33, v0.34 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-rotor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-rotor/xmake.lua) |

##### Install command

```console
xrepo install cpp-rotor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-rotor")
```


### cpp-semver (linux)


| Description | *Semantic Versioning library for modern C++.* |
| -- | -- |
| Homepage | [https://github.com/z4kn4fein/cpp-semver](https://github.com/z4kn4fein/cpp-semver) |
| License | MIT |
| Versions | v0.3.1, v0.3.3, v0.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-semver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-semver/xmake.lua) |

##### Install command

```console
xrepo install cpp-semver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-semver")
```


### cpp-semver-easz (linux)


| Description | *cpp-semver - Semantic Versioning in C++ header-only C++11* |
| -- | -- |
| Homepage | [https://github.com/easz/cpp-semver](https://github.com/easz/cpp-semver) |
| License | MIT |
| Versions | 2021.12.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-semver-easz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-semver-easz/xmake.lua) |

##### Install command

```console
xrepo install cpp-semver-easz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-semver-easz")
```


### cpp-sort (linux)


| Description | *Sorting algorithms & related tools for C++14* |
| -- | -- |
| Homepage | [https://github.com/Morwenn/cpp-sort](https://github.com/Morwenn/cpp-sort) |
| License | MIT |
| Versions | 1.10.0, 1.11.0, 1.12.0, 1.12.1, 1.13.0, 1.13.1, 1.13.2, 1.14.0, 1.15.0, 1.16.0, 1.17.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-sort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-sort/xmake.lua) |

##### Install command

```console
xrepo install cpp-sort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-sort")
```


### cpp-tbox (linux)


| Description | *A complete Linux application software development tool library and runtime framework, aim at make C++ development easy.* |
| -- | -- |
| Homepage | [https://github.com/cpp-main/cpp-tbox](https://github.com/cpp-main/cpp-tbox) |
| License | MIT |
| Versions | 2023.12.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp-tbox/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-tbox/xmake.lua) |

##### Install command

```console
xrepo install cpp-tbox
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-tbox")
```


### cpp20-http-client (linux)


| Description | *An HTTP(S) client library for C++20.* |
| -- | -- |
| Homepage | [https://github.com/avocadoboi/cpp20-http-client](https://github.com/avocadoboi/cpp20-http-client) |
| License | MIT |
| Versions | 2023.08.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpp20-http-client/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp20-http-client/xmake.lua) |

##### Install command

```console
xrepo install cpp20-http-client
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp20-http-client")
```


### cppast (linux)


| Description | *Library to parse and work with the C++ AST* |
| -- | -- |
| Homepage | [https://github.com/foonathan/cppast](https://github.com/foonathan/cppast) |
| License | MIT |
| Versions | 2024.06.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppast/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppast/xmake.lua) |

##### Install command

```console
xrepo install cppast
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppast")
```


### cppcheck (linux)


| Description | *A static analysis tool for C/C++ code* |
| -- | -- |
| Homepage | [https://cppcheck.sourceforge.io/](https://cppcheck.sourceforge.io/) |
| Versions | 2.13.0, 2.13.4, 2.14.1, 2.14.2, 2.15.0, 2.16.2, 2.17.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppcheck/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppcheck/xmake.lua) |

##### Install command

```console
xrepo install cppcheck
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppcheck")
```


### cppcodec (linux)


| Description | *Header-only C++11 library to encode/decode base64, base64url, base32, base32hex and hex (a.k.a. base16) as specified in RFC 4648, plus Crockford's base32. MIT licensed with consistent, flexible API.* |
| -- | -- |
| Homepage | [https://github.com/tplgy/cppcodec](https://github.com/tplgy/cppcodec) |
| License | MIT |
| Versions | 2022.09.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppcodec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppcodec/xmake.lua) |

##### Install command

```console
xrepo install cppcodec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppcodec")
```


### cppfront (linux)


| Description | *A personal experimental C++ Syntax 2 -> Syntax 1 compiler* |
| -- | -- |
| Homepage | [https://github.com/hsutter/cppfront](https://github.com/hsutter/cppfront) |
| Versions | v0.7.0, v0.7.2, v0.7.4, v0.8.0, v0.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppfront/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppfront/xmake.lua) |

##### Install command

```console
xrepo install cppfront
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppfront")
```


### cppgpio (linux)


| Description | *C++14 GPIO library for embedded systems on Linux* |
| -- | -- |
| Homepage | [https://github.com/JoachimSchurig/CppGPIO](https://github.com/JoachimSchurig/CppGPIO) |
| Versions | 2016.03.11, 2016.04.04, 2022.02.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppgpio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppgpio/xmake.lua) |

##### Install command

```console
xrepo install cppgpio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppgpio")
```


### cppitertools (linux)


| Description | *Implementation of python itertools and builtin iteration functions for C++17* |
| -- | -- |
| Homepage | [https://twitter.com/cppitertools](https://twitter.com/cppitertools) |
| License | BSD-2-Clause |
| Versions | 2023.07.04, 2024.10.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppitertools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppitertools/xmake.lua) |

##### Install command

```console
xrepo install cppitertools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppitertools")
```


### cppjieba (linux)


| Description | *"结巴"中文分词的C++版本* |
| -- | -- |
| Homepage | [https://github.com/yanyiwu/cppjieba](https://github.com/yanyiwu/cppjieba) |
| License | MIT |
| Versions | v5.2.0, v5.4.0, v5.4.1, v5.5.0, v5.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppjieba/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppjieba/xmake.lua) |

##### Install command

```console
xrepo install cppjieba
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppjieba")
```


### cppp-reiconv (linux)


| Description | *A character set conversion library based on GNU LIBICONV.* |
| -- | -- |
| Homepage | [https://github.com/cppp-project/cppp-reiconv](https://github.com/cppp-project/cppp-reiconv) |
| License | LGPL-3.0 |
| Versions | v2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppp-reiconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppp-reiconv/xmake.lua) |

##### Install command

```console
xrepo install cppp-reiconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppp-reiconv")
```


### cpptrace (linux)


| Description | *Lightweight, zero-configuration-required, and cross-platform stacktrace library for C++* |
| -- | -- |
| Homepage | [https://github.com/jeremy-rifkin/cpptrace](https://github.com/jeremy-rifkin/cpptrace) |
| License | MIT |
| Versions | v0.1, v0.3.1, v0.4.0, v0.5.1, v0.5.2, v0.5.4, v0.6.0, v0.6.1, v0.6.2, v0.6.3, v0.7.0, v0.7.1, v0.7.3, v0.7.4, v0.7.5, v0.8.2, v0.8.3, v1.0.0, v1.0.1, v1.0.2, v1.0.3, v1.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpptrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpptrace/xmake.lua) |

##### Install command

```console
xrepo install cpptrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpptrace")
```


### cppunit (linux)


| Description | *CppUnit is the C++ port of the famous JUnit framework for unit testing* |
| -- | -- |
| Homepage | [https://freedesktop.org/wiki/Software/cppunit](https://freedesktop.org/wiki/Software/cppunit) |
| License | LGPL-2.1-or-later |
| Versions | 1.15.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppunit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppunit/xmake.lua) |

##### Install command

```console
xrepo install cppunit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppunit")
```


### cppzmq (linux)


| Description | *Header-only C++ binding for libzmq* |
| -- | -- |
| Homepage | [http://www.zeromq.org/](http://www.zeromq.org/) |
| License | MIT |
| Versions | v4.8.1, v4.9.0, v4.10.0, v4.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cppzmq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppzmq/xmake.lua) |

##### Install command

```console
xrepo install cppzmq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppzmq")
```


### cpr (linux)


| Description | *C++ Requests is a simple wrapper around libcurl inspired by the excellent Python Requests project.* |
| -- | -- |
| Homepage | [https://docs.libcpr.org/](https://docs.libcpr.org/) |
| License | MIT |
| Versions | 1.6.2, 1.7.2, 1.8.3, 1.9.4, 1.10.2, 1.10.3, 1.10.5, 1.11.1, 1.11.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpr/xmake.lua) |

##### Install command

```console
xrepo install cpr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpr")
```


### cpu-features (linux)


| Description | *A cross platform C99 library to get cpu features at runtime.* |
| -- | -- |
| Homepage | [https://github.com/google/cpu_features](https://github.com/google/cpu_features) |
| License | Apache-2.0 |
| Versions | v0.6.0, v0.7.0, v0.9.0, v0.10.0, v0.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpu-features/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpu-features/xmake.lua) |

##### Install command

```console
xrepo install cpu-features
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpu-features")
```


### cpuinfo (linux)


| Description | *CPU INFOrmation library (x86/x86-64/ARM/ARM64, Linux/Windows/Android/macOS/iOS)* |
| -- | -- |
| Homepage | [https://github.com/pytorch/cpuinfo](https://github.com/pytorch/cpuinfo) |
| License | BSD-2-Clause |
| Versions | 2023.07.21, 2024.09.26, 2025.03.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cpuinfo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpuinfo/xmake.lua) |

##### Install command

```console
xrepo install cpuinfo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpuinfo")
```


### cr (linux)


| Description | *cr.h: A Simple C Hot Reload Header-only Library* |
| -- | -- |
| Homepage | [https://fungos.github.io/cr-simple-c-hot-reload/](https://fungos.github.io/cr-simple-c-hot-reload/) |
| License | MIT |
| Versions | 2022.11.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cr/xmake.lua) |

##### Install command

```console
xrepo install cr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cr")
```


### crashpad (linux)


| Description | *Crashpad is a crash-reporting system.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/crashpad/crashpad/+/refs/heads/main/README.md](https://chromium.googlesource.com/crashpad/crashpad/+/refs/heads/main/README.md) |
| License | Apache-2.0 |
| Versions | 2024.04.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crashpad/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crashpad/xmake.lua) |

##### Install command

```console
xrepo install crashpad
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crashpad")
```


### crc32c (linux)


| Description | *CRC32C implementation with support for CPU-specific acceleration instructions* |
| -- | -- |
| Homepage | [https://github.com/google/crc32c](https://github.com/google/crc32c) |
| License | BSD-3-Clause |
| Versions | 1.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crc32c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crc32c/xmake.lua) |

##### Install command

```console
xrepo install crc32c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crc32c")
```


### criterion (linux)


| Description | *A cross-platform C and C++ unit testing framework for the 21st century* |
| -- | -- |
| Homepage | [https://github.com/Snaipe/Criterion](https://github.com/Snaipe/Criterion) |
| License | MIT |
| Versions | v2.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [criterion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/criterion/xmake.lua) |

##### Install command

```console
xrepo install criterion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("criterion")
```


### croaring (linux)


| Description | *Roaring bitmaps in C (and C++), with SIMD (AVX2, AVX-512 and NEON) optimizations: used by Apache Doris, ClickHouse, and StarRocks* |
| -- | -- |
| Homepage | [http://roaringbitmap.org/](http://roaringbitmap.org/) |
| License | Apache-2.0 |
| Versions | v2.0.4, v3.0.1, v4.0.0, v4.1.0, v4.1.1, v4.1.5, v4.1.7, v4.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [croaring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/croaring/xmake.lua) |

##### Install command

```console
xrepo install croaring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("croaring")
```


### croncpp (linux)


| Description | *A C++11/14/17 header-only cross-platform library for handling CRON expressions* |
| -- | -- |
| Homepage | [https://github.com/mariusbancila/croncpp](https://github.com/mariusbancila/croncpp) |
| License | MIT |
| Versions | v2023.03.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [croncpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/croncpp/xmake.lua) |

##### Install command

```console
xrepo install croncpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("croncpp")
```


### crossguid (linux)


| Description | *Lightweight cross platform C++ GUID/UUID library* |
| -- | -- |
| Homepage | [https://github.com/graeme-hill/crossguid](https://github.com/graeme-hill/crossguid) |
| License | MIT |
| Versions | 2019.3.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crossguid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crossguid/xmake.lua) |

##### Install command

```console
xrepo install crossguid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crossguid")
```


### crow (linux)


| Description | *A Fast and Easy to use microframework for the web.* |
| -- | -- |
| Homepage | [https://github.com/CrowCpp/Crow](https://github.com/CrowCpp/Crow) |
| License | BSD 3-Clause |
| Versions | v1.2.1+2, v1.2.1+1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crow/xmake.lua) |

##### Install command

```console
xrepo install crow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crow")
```


### crstl (linux)


| Description | *STL whose aim is to compile fast, run fast, and be clear to read* |
| -- | -- |
| Homepage | [https://github.com/redorav/crstl](https://github.com/redorav/crstl) |
| Versions | 2024.06.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crstl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crstl/xmake.lua) |

##### Install command

```console
xrepo install crstl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crstl")
```


### crypto-algorithms (linux)


| Description | *Basic implementations of standard cryptography algorithms, like AES and SHA-1.* |
| -- | -- |
| Homepage | [https://github.com/KorewaWatchful/crypto-algorithms](https://github.com/KorewaWatchful/crypto-algorithms) |
| Versions | 2020.4.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [crypto-algorithms/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crypto-algorithms/xmake.lua) |

##### Install command

```console
xrepo install crypto-algorithms
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crypto-algorithms")
```


### cryptopp (linux)


| Description | *free C++ class library of cryptographic schemes* |
| -- | -- |
| Homepage | [https://cryptopp.com/](https://cryptopp.com/) |
| Versions | 8.4.0, 8.5.0, 8.6.0, 8.7.0, 8.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cryptopp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cryptopp/xmake.lua) |

##### Install command

```console
xrepo install cryptopp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cryptopp")
```


### cs_libguarded (linux)


| Description | *Header-only library for multithreaded programming* |
| -- | -- |
| Homepage | [https://www.copperspice.com/](https://www.copperspice.com/) |
| License | BSD-2-Clause |
| Versions | 2023.08.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cs_libguarded/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cs_libguarded/xmake.lua) |

##### Install command

```console
xrepo install cs_libguarded
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cs_libguarded")
```


### csa (linux)


| Description | *C++ header-only library for Coupled Simulated Annealing* |
| -- | -- |
| Homepage | [https://epwalsh.github.io/software/csa](https://epwalsh.github.io/software/csa) |
| License | MIT |
| Versions | 2018.05.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [csa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csa/xmake.lua) |

##### Install command

```console
xrepo install csa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csa")
```


### cserialport (linux)


| Description | *CSerialPort is a lightweight cross-platform serial port library based on C++, which can easy to read and write serial port on multiple operating system.* |
| -- | -- |
| Homepage | [https://github.com/itas109/CSerialPort](https://github.com/itas109/CSerialPort) |
| License | LGPL-3.0 |
| Versions | v4.3.1, v4.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cserialport/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cserialport/xmake.lua) |

##### Install command

```console
xrepo install cserialport
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cserialport")
```


### csfml (linux)


| Description | *Official binding of SFML for C* |
| -- | -- |
| Homepage | [https://www.sfml-dev.org](https://www.sfml-dev.org) |
| License | zlib |
| Versions | 2.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [csfml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csfml/xmake.lua) |

##### Install command

```console
xrepo install csfml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csfml")
```


### cspice (linux)


| Description | *An Observation Geometry System for Space Science Missions* |
| -- | -- |
| Homepage | [https://naif.jpl.nasa.gov/naif/toolkit.html](https://naif.jpl.nasa.gov/naif/toolkit.html) |
| Versions | v67 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cspice/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cspice/xmake.lua) |

##### Install command

```console
xrepo install cspice
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cspice")
```


### csv2 (linux)


| Description | *A CSV parser library* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/csv2](https://github.com/p-ranav/csv2) |
| License | MIT |
| Versions | v0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [csv2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csv2/xmake.lua) |

##### Install command

```console
xrepo install csv2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csv2")
```


### csvparser (linux)


| Description | *A modern C++ library for reading, writing, and analyzing CSV (and similar) files (by vincentlaucsb)* |
| -- | -- |
| Homepage | [https://github.com/vincentlaucsb/csv-parser](https://github.com/vincentlaucsb/csv-parser) |
| License | MIT |
| Versions | 2.1.1, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [csvparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csvparser/xmake.lua) |

##### Install command

```console
xrepo install csvparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csvparser")
```


### cthash (linux)


| Description | *constexpr implementation of SHA-2 and SHA-3 family of hashes* |
| -- | -- |
| Homepage | [https://github.com/hanickadot/cthash](https://github.com/hanickadot/cthash) |
| License | Apache-2.0 |
| Versions | 2023.10.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cthash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cthash/xmake.lua) |

##### Install command

```console
xrepo install cthash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cthash")
```


### ctpg (linux)


| Description | *Compile Time Parser Generator.* |
| -- | -- |
| Homepage | [https://github.com/peter-winter/ctpg](https://github.com/peter-winter/ctpg) |
| License | MIT |
| Versions | v1.3.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ctpg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctpg/xmake.lua) |

##### Install command

```console
xrepo install ctpg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctpg")
```


### ctrack (linux)


| Description | *A lightweight, high-performance C++ benchmarking and tracking library for effortless function profiling in both development and production environments.* |
| -- | -- |
| Homepage | [https://github.com/Compaile/ctrack](https://github.com/Compaile/ctrack) |
| License | MIT |
| Versions | v1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ctrack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctrack/xmake.lua) |

##### Install command

```console
xrepo install ctrack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctrack")
```


### ctre (linux)


| Description | *ctre is a Compile time PCRE (almost) compatible regular expression matcher.* |
| -- | -- |
| Homepage | [https://github.com/hanickadot/compile-time-regular-expressions/](https://github.com/hanickadot/compile-time-regular-expressions/) |
| License | Apache-2.0 |
| Versions | v3.4.1, v3.5, v3.6, v3.7.2, v3.8.1, v3.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ctre/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctre/xmake.lua) |

##### Install command

```console
xrepo install ctre
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctre")
```


### ctrl-c (linux)


| Description | *Crossplatform code to handle Ctrl+C signal* |
| -- | -- |
| Homepage | [https://github.com/evgenykislov/ctrl-c](https://github.com/evgenykislov/ctrl-c) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ctrl-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctrl-c/xmake.lua) |

##### Install command

```console
xrepo install ctrl-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctrl-c")
```


### cubeb (linux)


| Description | *Cross platform audio library* |
| -- | -- |
| Homepage | [https://github.com/mozilla/cubeb](https://github.com/mozilla/cubeb) |
| License | ISC |
| Versions | 2023.7.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cubeb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cubeb/xmake.lua) |

##### Install command

```console
xrepo install cubeb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cubeb")
```


### cuda-samples (linux)


| Description | *CUDA Sample Utility Code* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/cuda-samples](https://github.com/NVIDIA/cuda-samples) |
| License | BSD-3-Clause |
| Versions | v11.8, v12.3, v12.4.1, v12.5, v12.8, v12.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cuda-samples/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cuda-samples/xmake.lua) |

##### Install command

```console
xrepo install cuda-samples
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cuda-samples")
```


### cumem (linux)


| Description | *CUDA Memory Management Wrapper with Type Safety* |
| -- | -- |
| Homepage | [https://github.com/BinhaoQin/cuMem](https://github.com/BinhaoQin/cuMem) |
| Versions | 1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cumem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cumem/xmake.lua) |

##### Install command

```console
xrepo install cumem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cumem")
```


### cunit (linux)


| Description | *CUnit is a lightweight system for writing, administering, and running unit tests in C.* |
| -- | -- |
| Homepage | [https://gitlab.com/cunity/cunit](https://gitlab.com/cunity/cunit) |
| License | LGPL-2.1 |
| Versions | 3.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cunit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cunit/xmake.lua) |

##### Install command

```console
xrepo install cunit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cunit")
```


### curl (linux)


| Description | *The multiprotocol file transfer library.* |
| -- | -- |
| Homepage | [https://curl.haxx.se/](https://curl.haxx.se/) |
| License | MIT |
| Versions | 7.31.0, 7.32.0, 7.33.0, 7.34.0, 7.35.0, 7.36.0, 7.37.1, 7.38.0, 7.39.0, 7.40.0, 7.41.0, 7.42.1, 7.43.0, 7.44.0, 7.45.0, 7.46.0, 7.47.1, 7.48.0, 7.49.1, 7.50.3, 7.51.0, 7.52.1, 7.53.1, 7.54.1, 7.55.1, 7.56.1, 7.57.0, 7.58.0, 7.59.0, 7.60.0, 7.61.0, 7.61.1, 7.62.0, 7.63.0, 7.64.0, 7.64.1, 7.65.3, 7.66.0, 7.67.0, 7.68.0, 7.69.1, 7.70.0, 7.71.1, 7.72.0, 7.73.0, 7.74.0, 7.75.0, 7.76.1, 7.77.0, 7.78.0, 7.80.0, 7.81.0, 7.82.0, 7.84.0, 7.85.0, 7.86.0, 7.87.0, 8.0.1, 8.4.0, 8.5.0, 8.6.0, 8.7.1, 8.8.0, 8.9.0, 8.9.1, 8.10.0, 8.10.1, 8.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [curl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/curl/xmake.lua) |

##### Install command

```console
xrepo install curl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("curl")
```


### curlcpp (linux)


| Description | *An object oriented C++ wrapper for CURL (libcurl)* |
| -- | -- |
| Homepage | [https://josephp91.github.io/curlcpp](https://josephp91.github.io/curlcpp) |
| License | MIT |
| Versions | 3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [curlcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/curlcpp/xmake.lua) |

##### Install command

```console
xrepo install curlcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("curlcpp")
```


### curlpp (linux)


| Description | *C++ wrapper around libcURL* |
| -- | -- |
| Homepage | [http://www.curlpp.org](http://www.curlpp.org) |
| License | MIT |
| Versions | 2023.07.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [curlpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/curlpp/xmake.lua) |

##### Install command

```console
xrepo install curlpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("curlpp")
```


### cute_headers (linux)


| Description | *Collection of cross-platform one-file C/C++ libraries with no dependencies, primarily used for games* |
| -- | -- |
| Homepage | [https://github.com/RandyGaul/cute_headers](https://github.com/RandyGaul/cute_headers) |
| License | Public Domain |
| Versions | 2024.07.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cute_headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cute_headers/xmake.lua) |

##### Install command

```console
xrepo install cute_headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cute_headers")
```


### cutlass (linux)


| Description | *CUDA Templates for Linear Algebra Subroutines* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/cutlass](https://github.com/NVIDIA/cutlass) |
| License | BSD-3-Clause |
| Versions | v3.2.0, v3.4.1, v3.5.0, v3.5.1, v3.6.0, v3.7.0, v3.8.0, v3.9.0, v4.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cutlass/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cutlass/xmake.lua) |

##### Install command

```console
xrepo install cutlass
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cutlass")
```


### cwt-cucumber (linux)


| Description | *A C++ Cucumber interpreter* |
| -- | -- |
| Homepage | [https://github.com/ThoSe1990/cwt-cucumber](https://github.com/ThoSe1990/cwt-cucumber) |
| License | MIT |
| Versions | 2.5, 2.6, 2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cwt-cucumber/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cwt-cucumber/xmake.lua) |

##### Install command

```console
xrepo install cwt-cucumber
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cwt-cucumber")
```


### cxxgraph (linux)


| Description | *Header-Only C++ Library for Graph Representation and Algorithms* |
| -- | -- |
| Homepage | [https://zigrazor.github.io/CXXGraph](https://zigrazor.github.io/CXXGraph) |
| License | AGPL-3.0 |
| Versions | v3.1.0, v4.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cxxgraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cxxgraph/xmake.lua) |

##### Install command

```console
xrepo install cxxgraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cxxgraph")
```


### cxxopts (linux)


| Description | *Lightweight C++ command line option parser* |
| -- | -- |
| Homepage | [https://github.com/jarro2783/cxxopts](https://github.com/jarro2783/cxxopts) |
| License | MIT |
| Versions | v2.2.0, v3.0.0, v3.1.1, v3.2.0, v3.2.1, v3.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cxxopts/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cxxopts/xmake.lua) |

##### Install command

```console
xrepo install cxxopts
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cxxopts")
```


### cyrus-sasl (linux)


| Description | *Cyrus SASL is an implementation of SASL that makes it easy for application developers to integrate authentication mechanisms into their application in a generic way.* |
| -- | -- |
| Homepage | [https://www.cyrusimap.org/sasl/](https://www.cyrusimap.org/sasl/) |
| Versions | 2.1.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [cyrus-sasl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cyrus-sasl/xmake.lua) |

##### Install command

```console
xrepo install cyrus-sasl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cyrus-sasl")
```



## d
### daemonpp (linux)


| Description | *Simple C++ header only template for creating Linux daemons* |
| -- | -- |
| Homepage | [https://github.com/baderouaich/daemonpp](https://github.com/baderouaich/daemonpp) |
| License | MIT |
| Versions | 2023.05.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [daemonpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/daemonpp/xmake.lua) |

##### Install command

```console
xrepo install daemonpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("daemonpp")
```


### dartsim (linux)


| Description | *Dynamic Animation and Robotics Toolkit* |
| -- | -- |
| Homepage | [https://dartsim.github.io/](https://dartsim.github.io/) |
| License | BSD-2-Clause |
| Versions | v6.13.0, v6.14.2, v6.14.4, v6.14.5, v6.15.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dartsim/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dartsim/xmake.lua) |

##### Install command

```console
xrepo install dartsim
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dartsim")
```


### dataframe (linux)


| Description | *This is a C++ analytical library that provides interface and functionality similar to packages/libraries in Python and R.* |
| -- | -- |
| Homepage | [https://github.com/hosseinmoein/DataFrame](https://github.com/hosseinmoein/DataFrame) |
| License | MIT |
| Versions | 1.21.0, 1.22.0, 3.0.0, 3.1.0, 3.2.0, 3.3.0, 3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dataframe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dataframe/xmake.lua) |

##### Install command

```console
xrepo install dataframe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dataframe")
```


### datatype99 (linux)


| Description | *Algebraic data types for C99* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/datatype99](https://github.com/Hirrolot/datatype99) |
| License | MIT |
| Versions | 1.6.3, 1.6.4, 1.6.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [datatype99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/datatype99/xmake.lua) |

##### Install command

```console
xrepo install datatype99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("datatype99")
```


### date (linux)


| Description | *A date and time library for use with C++11 and C++14.* |
| -- | -- |
| Homepage | [https://github.com/HowardHinnant/date](https://github.com/HowardHinnant/date) |
| License | MIT |
| Versions | v3.0.1, v3.0.3, v3.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [date/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/date/xmake.lua) |

##### Install command

```console
xrepo install date
```

##### Integration in the project (xmake.lua)

```lua
add_requires("date")
```


### dav1d (linux)


| Description | *dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed, size and correctness.* |
| -- | -- |
| Homepage | [https://www.videolan.org/projects/dav1d.html](https://www.videolan.org/projects/dav1d.html) |
| License | BSD-2-Clause |
| Versions | 0.9.0, 1.1.0, 1.4.3, 1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dav1d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dav1d/xmake.lua) |

##### Install command

```console
xrepo install dav1d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dav1d")
```


### davix (linux)


| Description | *High-performance file management over WebDAV/HTTP* |
| -- | -- |
| Homepage | [https://davix.web.cern.ch/](https://davix.web.cern.ch/) |
| License | LGPL-2.1 |
| Versions | 0.8.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [davix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/davix/xmake.lua) |

##### Install command

```console
xrepo install davix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("davix")
```


### daw_header_libraries (linux)


| Description | *Various header libraries mostly future std lib, replacements for(e.g. visit), or some misc * |
| -- | -- |
| Homepage | [https://beached.github.io/header_libraries/](https://beached.github.io/header_libraries/) |
| License | BSL-1.0 |
| Versions | v2.96.1, v2.102.0, v2.106.0, v2.106.1, v2.110.0, v2.114.0, v2.114.1, v2.118.0, v2.123.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [daw_header_libraries/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/daw_header_libraries/xmake.lua) |

##### Install command

```console
xrepo install daw_header_libraries
```

##### Integration in the project (xmake.lua)

```lua
add_requires("daw_header_libraries")
```


### daw_json_link (linux)


| Description | *Fast, convenient JSON serialization and parsing in C++* |
| -- | -- |
| Homepage | [https://beached.github.io/daw_json_link/](https://beached.github.io/daw_json_link/) |
| License | BSL-1.0 |
| Versions | v3.20.1, v3.23.2, v3.24.0, v3.24.1, v3.26.0, v3.28.3, v3.29.2, v3.30.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [daw_json_link/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/daw_json_link/xmake.lua) |

##### Install command

```console
xrepo install daw_json_link
```

##### Integration in the project (xmake.lua)

```lua
add_requires("daw_json_link")
```


### dbg-macro (linux)


| Description | *A dbg(…) macro for C++* |
| -- | -- |
| Homepage | [https://github.com/sharkdp/dbg-macro](https://github.com/sharkdp/dbg-macro) |
| License | MIT |
| Versions | v0.4.0, v0.5.0, v0.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dbg-macro/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dbg-macro/xmake.lua) |

##### Install command

```console
xrepo install dbg-macro
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dbg-macro")
```


### dbus (linux)


| Description | *D-Bus is a message bus system, a simple way for applications to talk to one another.* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/dbus/](https://www.freedesktop.org/wiki/Software/dbus/) |
| License | GPL-2.0-or-later |
| Versions | 1.14.2, 1.14.6, 1.14.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dbus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dbus/xmake.lua) |

##### Install command

```console
xrepo install dbus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dbus")
```


### dcmtk (linux)


| Description | *DCMTK - DICOM Toolkit* |
| -- | -- |
| Homepage | [https://dcmtk.org/dcmtk.php.en](https://dcmtk.org/dcmtk.php.en) |
| License | BSD-3-Clause |
| Versions | 3.6.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dcmtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dcmtk/xmake.lua) |

##### Install command

```console
xrepo install dcmtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dcmtk")
```


### debug-hpp (linux)


| Description | *printing everything including STL containers without pain* |
| -- | -- |
| Homepage | [https://github.com/archibate/debug-hpp](https://github.com/archibate/debug-hpp) |
| License | Unlicense |
| Versions | 2024.09.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [debug-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debug-hpp/xmake.lua) |

##### Install command

```console
xrepo install debug-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debug-hpp")
```


### debug_assert (linux)


| Description | *Simple, flexible and modular assertion macro.* |
| -- | -- |
| Homepage | [http://foonathan.net/blog/2016/09/16/assertions.html](http://foonathan.net/blog/2016/09/16/assertions.html) |
| License | zlib |
| Versions | v1.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [debug_assert/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debug_assert/xmake.lua) |

##### Install command

```console
xrepo install debug_assert
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debug_assert")
```


### debugbreak (linux)


| Description | *break into the debugger programmatically* |
| -- | -- |
| Homepage | [https://github.com/scottt/debugbreak](https://github.com/scottt/debugbreak) |
| License | BSD-2-Clause |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [debugbreak/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debugbreak/xmake.lua) |

##### Install command

```console
xrepo install debugbreak
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debugbreak")
```


### decimal_for_cpp (linux)


| Description | *Decimal data type support, for COBOL-like fixed-point operations on currency/money values.* |
| -- | -- |
| Homepage | [https://github.com/vpiotr/decimal_for_cpp](https://github.com/vpiotr/decimal_for_cpp) |
| License | BSD-3-Clause |
| Versions | 1.19, 1.20, 1.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [decimal_for_cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/decimal_for_cpp/xmake.lua) |

##### Install command

```console
xrepo install decimal_for_cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("decimal_for_cpp")
```


### demumble (linux)


| Description | *A better c++filt and a better undname.exe, in one binary.* |
| -- | -- |
| Homepage | [https://github.com/nico/demumble](https://github.com/nico/demumble) |
| License | Apache-2.0 |
| Versions | 2022.3.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [demumble/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/demumble/xmake.lua) |

##### Install command

```console
xrepo install demumble
```

##### Integration in the project (xmake.lua)

```lua
add_requires("demumble")
```


### depot_tools (linux)


| Description | *Tools for working with Chromium development* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/chromium/tools/depot_tools](https://chromium.googlesource.com/chromium/tools/depot_tools) |
| Versions | 2022.2.1, 2024.2.29, 2024.7.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [depot_tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/depot_tools/xmake.lua) |

##### Install command

```console
xrepo install depot_tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("depot_tools")
```


### devil (linux)


| Description | *Developer's Image Library (DevIL) is a cross-platform image library utilizing a simple syntax to load, save, convert, manipulate, filter and display a variety of images with ease.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/openil/](https://sourceforge.net/projects/openil/) |
| License | LGPL-2.1 |
| Versions | 1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [devil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/devil/xmake.lua) |

##### Install command

```console
xrepo install devil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("devil")
```


### dfdutils (linux)


| Description | *Utilities for working with Khronos data format descriptors* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/dfdutils](https://github.com/KhronosGroup/dfdutils) |
| License | Apache-2.0 |
| Versions | 2023.10.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dfdutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dfdutils/xmake.lua) |

##### Install command

```console
xrepo install dfdutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dfdutils")
```


### digestpp (linux)


| Description | *C++11 header-only message digest library* |
| -- | -- |
| Homepage | [https://github.com/kerukuro/digestpp](https://github.com/kerukuro/digestpp) |
| License | MIT |
| Versions | 2023.11.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [digestpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/digestpp/xmake.lua) |

##### Install command

```console
xrepo install digestpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("digestpp")
```


### diligentcore (linux)


| Description | *A modern cross-platform low-level graphics API* |
| -- | -- |
| Homepage | [http://diligentgraphics.com/diligent-engine/](http://diligentgraphics.com/diligent-engine/) |
| License | Apache-2.0 |
| Versions | v2.5.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [diligentcore/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/diligentcore/xmake.lua) |

##### Install command

```console
xrepo install diligentcore
```

##### Integration in the project (xmake.lua)

```lua
add_requires("diligentcore")
```


### diligentfx (linux)


| Description | *High-level rendering components* |
| -- | -- |
| Homepage | [https://github.com/DiligentGraphics/DiligentFX](https://github.com/DiligentGraphics/DiligentFX) |
| License | Apache-2.0 |
| Versions | v2.5.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [diligentfx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/diligentfx/xmake.lua) |

##### Install command

```console
xrepo install diligentfx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("diligentfx")
```


### diligenttools (linux)


| Description | *Utilities built on top of core module* |
| -- | -- |
| Homepage | [https://github.com/DiligentGraphics/DiligentTools](https://github.com/DiligentGraphics/DiligentTools) |
| License | Apache-2.0 |
| Versions | v2.5.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [diligenttools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/diligenttools/xmake.lua) |

##### Install command

```console
xrepo install diligenttools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("diligenttools")
```


### dipp (linux)


| Description | *C++ Dependency injection inspired inspired by .NET's Microsoft.Extensions.DependencyInjection* |
| -- | -- |
| Homepage | [https://github.com/01Pollux/dipp](https://github.com/01Pollux/dipp) |
| License | MIT |
| Versions | 2024.01.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dipp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dipp/xmake.lua) |

##### Install command

```console
xrepo install dipp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dipp")
```


### directx-headers (linux)


| Description | *Official DirectX headers* |
| -- | -- |
| Homepage | [https://github.com/microsoft/DirectX-Headers](https://github.com/microsoft/DirectX-Headers) |
| License | MIT |
| Versions | v1.610.0, v1.613.0, v1.613.1, v1.614.0, v1.614.1, v1.615.0, v1.616.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [directx-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/directx-headers/xmake.lua) |

##### Install command

```console
xrepo install directx-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("directx-headers")
```


### directxmath (linux)


| Description | *DirectXMath is an all inline SIMD C++ linear algebra library for use in games and graphics apps.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/DirectXMath](https://github.com/microsoft/DirectXMath) |
| License | MIT |
| Versions | 2022.12, 2024.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [directxmath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/directxmath/xmake.lua) |

##### Install command

```console
xrepo install directxmath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("directxmath")
```


### directxshadercompiler (linux)


| Description | *DirectX Shader Compiler* |
| -- | -- |
| Homepage | [https://github.com/microsoft/DirectXShaderCompiler/](https://github.com/microsoft/DirectXShaderCompiler/) |
| License | LLVM |
| Versions | v1.7.2212, v1.8.2403, v1.8.2405 |
| Architectures | x86_64 |
| Definition | [directxshadercompiler/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/directxshadercompiler/xmake.lua) |

##### Install command

```console
xrepo install directxshadercompiler
```

##### Integration in the project (xmake.lua)

```lua
add_requires("directxshadercompiler")
```


### directxtex (linux)


| Description | *DirectXTex texture processing library* |
| -- | -- |
| Homepage | [https://walbourn.github.io/directxtex/](https://walbourn.github.io/directxtex/) |
| License | MIT |
| Versions | 2023.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [directxtex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/directxtex/xmake.lua) |

##### Install command

```console
xrepo install directxtex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("directxtex")
```


### discord (linux)


| Description | *Whether you’re part of a school club, gaming group, worldwide art community, or just a handful of friends that want to spend time together, Discord makes it easy to talk every day and hang out more often.* |
| -- | -- |
| Homepage | [https://discord.com/developers/docs/game-sdk/](https://discord.com/developers/docs/game-sdk/) |
| Versions | 2.5.6, 3.2.1 |
| Architectures | x86_64 |
| Definition | [discord/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/discord/xmake.lua) |

##### Install command

```console
xrepo install discord
```

##### Integration in the project (xmake.lua)

```lua
add_requires("discord")
```


### dispenso (linux)


| Description | *The project provides high-performance concurrency, enabling highly parallel computation.* |
| -- | -- |
| Homepage | [https://github.com/facebookincubator/dispenso](https://github.com/facebookincubator/dispenso) |
| License | MIT |
| Versions | v1.1.0, v1.2.0, v1.3.0, v1.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dispenso/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dispenso/xmake.lua) |

##### Install command

```console
xrepo install dispenso
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dispenso")
```


### distorm (linux)


| Description | *Powerful Disassembler Library For x86/AMD64* |
| -- | -- |
| Homepage | [https://github.com/gdabah/distorm](https://github.com/gdabah/distorm) |
| Versions | 2021.12.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [distorm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/distorm/xmake.lua) |

##### Install command

```console
xrepo install distorm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("distorm")
```


### dlib (linux)


| Description | *A toolkit for making real world machine learning and data analysis applications in C++* |
| -- | -- |
| Homepage | [https://dlib.net](https://dlib.net) |
| License | Boost |
| Versions | v19.22, v19.24.4, v19.24.5, v19.24.6, v19.24.8, v19.24.9, v20.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dlib/xmake.lua) |

##### Install command

```console
xrepo install dlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dlib")
```


### dlpack (linux)


| Description | *common in-memory tensor structure * |
| -- | -- |
| Homepage | [https://dmlc.github.io/dlpack/latest](https://dmlc.github.io/dlpack/latest) |
| License | Apache-2.0 |
| Versions | v0.8, v1.0, v1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dlpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dlpack/xmake.lua) |

##### Install command

```console
xrepo install dlpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dlpack")
```


### dlss (linux)


| Description | *NVIDIA DLSS is a new and improved deep learning neural network that boosts frame rates and generates beautiful, sharp images for your games* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/DLSS](https://github.com/NVIDIA/DLSS) |
| License | NVIDIA RTX SDKs |
| Versions | v3.7.20, v310.1.0, v310.2.1 |
| Architectures | x86_64 |
| Definition | [dlss/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dlss/xmake.lua) |

##### Install command

```console
xrepo install dlss
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dlss")
```


### dobby (linux)


| Description | *a lightweight, multi-platform, multi-architecture hook framework.* |
| -- | -- |
| Homepage | [https://github.com/jmpews/Dobby](https://github.com/jmpews/Dobby) |
| License | Apache-2.0 |
| Versions | 2023.4.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dobby/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dobby/xmake.lua) |

##### Install command

```console
xrepo install dobby
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dobby")
```


### docopt (linux)


| Description | *Pythonic command line arguments parser (C++11 port)* |
| -- | -- |
| Homepage | [https://github.com/docopt/docopt.cpp](https://github.com/docopt/docopt.cpp) |
| License | BSL-1.0 |
| Versions | v0.6.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [docopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/docopt/xmake.lua) |

##### Install command

```console
xrepo install docopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("docopt")
```


### doctest (linux)


| Description | *The fastest feature-rich C++11/14/17/20 single-header testing framework for unit tests and TDD* |
| -- | -- |
| Homepage | [http://bit.ly/doctest-docs](http://bit.ly/doctest-docs) |
| License | MIT |
| Versions | 2.3.1, 2.3.6, 2.4.8, 2.4.9, 2.4.10, 2.4.11, 2.4.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [doctest/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/doctest/xmake.lua) |

##### Install command

```console
xrepo install doctest
```

##### Integration in the project (xmake.lua)

```lua
add_requires("doctest")
```


### dotnet (linux)


| Description | *.NET is the free, open-source, cross-platform framework for building modern apps and powerful cloud services.* |
| -- | -- |
| Homepage | [https://dotnet.microsoft.com/](https://dotnet.microsoft.com/) |
| Versions | 7.0.4, 7.0.15, 8.0.1, 8.0.6, 9.0.3 |
| Architectures | arm64, x86_64 |
| Definition | [dotnet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dotnet/xmake.lua) |

##### Install command

```console
xrepo install dotnet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dotnet")
```


### double-conversion (linux)


| Description | *Efficient binary-decimal and decimal-binary conversion routines for IEEE doubles.* |
| -- | -- |
| Homepage | [https://github.com/google/double-conversion](https://github.com/google/double-conversion) |
| License | BSD-3-Clause |
| Versions | v3.1.5, v3.3.0, v3.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [double-conversion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/double-conversion/xmake.lua) |

##### Install command

```console
xrepo install double-conversion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("double-conversion")
```


### doxygen (linux)


| Description | *%s* |
| -- | -- |
| Homepage | [https://www.doxygen.nl/](https://www.doxygen.nl/) |
| License | GPL-2.0 |
| Versions | 1.9.1, 1.9.2, 1.9.3, 1.9.5, 1.9.6, 1.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [doxygen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/doxygen/xmake.lua) |

##### Install command

```console
xrepo install doxygen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("doxygen")
```


### dpp (linux)


| Description | *D++ Extremely Lightweight C++ Discord Library* |
| -- | -- |
| Homepage | [https://github.com/brainboxdotcc/DPP](https://github.com/brainboxdotcc/DPP) |
| License | Apache-2.0 |
| Versions | v10.0.8, v10.0.10, v10.0.11, v10.0.12, v10.0.13, v10.0.14, v10.0.15, v10.0.16, v10.0.17, v10.0.18, v10.0.19, v10.0.20, v10.0.21, v10.0.22, v10.0.23, v10.0.24, v10.0.25, v10.0.26, v10.0.27, v10.0.28, v10.0.29, v10.0.30, v10.0.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dpp/xmake.lua) |

##### Install command

```console
xrepo install dpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dpp")
```


### dr_flac (linux)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.12.29, 0.12.39, 0.12.41, 0.12.42, 0.12.43 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dr_flac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_flac/xmake.lua) |

##### Install command

```console
xrepo install dr_flac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_flac")
```


### dr_mp3 (linux)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.6.27, 0.6.34, 0.6.36, 0.6.37, 0.6.38, 0.6.39, 0.6.40 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dr_mp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_mp3/xmake.lua) |

##### Install command

```console
xrepo install dr_mp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_mp3")
```


### dr_wav (linux)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.12.19, 0.13.8, 0.13.10, 0.13.11, 0.13.12, 0.13.13, 0.13.16, 0.13.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dr_wav/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_wav/xmake.lua) |

##### Install command

```console
xrepo install dr_wav
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_wav")
```


### draco (linux)


| Description | *Draco is an open-source library for compressing and decompressing 3D geometric meshes and point clouds.* |
| -- | -- |
| Homepage | [https://google.github.io/draco/](https://google.github.io/draco/) |
| License | Apache-2.0 |
| Versions | 1.4.1, 1.5.0, 1.5.6, 1.5.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [draco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/draco/xmake.lua) |

##### Install command

```console
xrepo install draco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("draco")
```


### dragonbox (linux)


| Description | *Reference implementation of Dragonbox in C++* |
| -- | -- |
| Homepage | [https://github.com/jk-jeon/dragonbox](https://github.com/jk-jeon/dragonbox) |
| License | Apache-2.0 |
| Versions | 1.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dragonbox/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dragonbox/xmake.lua) |

##### Install command

```console
xrepo install dragonbox
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dragonbox")
```


### drogon (linux)


| Description | *Drogon: A C++14/17/20 based HTTP web application framework running on Linux/macOS/Unix/Windows* |
| -- | -- |
| Homepage | [https://github.com/an-tao/drogon/](https://github.com/an-tao/drogon/) |
| License | MIT |
| Versions | v1.4.1, v1.6.0, v1.7.1, v1.7.3, v1.7.5, v1.8.0, v1.8.1, v1.8.2, v1.9.1, v1.9.3, v1.9.4, v1.9.5, v1.9.6, v1.9.8, v1.9.9, v1.9.10, v1.9.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [drogon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/drogon/xmake.lua) |

##### Install command

```console
xrepo install drogon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("drogon")
```


### duckdb (linux)


| Description | *DuckDB is an in-process SQL OLAP Database Management System* |
| -- | -- |
| Homepage | [http://duckdb.org/](http://duckdb.org/) |
| License | MIT |
| Versions | v0.10.0, v0.10.1, v0.10.2, v0.10.3, v1.0.0, v1.1.1, v1.1.2, v1.1.3, v1.2.1, v1.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [duckdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/duckdb/xmake.lua) |

##### Install command

```console
xrepo install duckdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("duckdb")
```


### duckx (linux)


| Description | *C++ library for creating and modifying Microsoft Word (.docx) files* |
| -- | -- |
| Homepage | [https://github.com/amiremohamadi/DuckX](https://github.com/amiremohamadi/DuckX) |
| License | MIT |
| Versions | 2021.08.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [duckx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/duckx/xmake.lua) |

##### Install command

```console
xrepo install duckx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("duckx")
```


### duktape (linux)


| Description | *Duktape - embeddable Javascript engine with a focus on portability and compact footprint* |
| -- | -- |
| Homepage | [https://github.com/svaarala/duktape](https://github.com/svaarala/duktape) |
| License | MIT |
| Versions | 2.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [duktape/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/duktape/xmake.lua) |

##### Install command

```console
xrepo install duktape
```

##### Integration in the project (xmake.lua)

```lua
add_requires("duktape")
```


### dune-common (linux)


| Description | *DUNE, the Distributed and Unified Numerics Environment is a modular toolbox for solving partial differential equations with grid-based methods.* |
| -- | -- |
| Homepage | [https://dune-project.org/](https://dune-project.org/) |
| License | GPL-2.0 |
| Versions | 2.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dune-common/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dune-common/xmake.lua) |

##### Install command

```console
xrepo install dune-common
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dune-common")
```


### dylib (linux)


| Description | *C++ cross-platform wrapper around dynamic loading of shared libraries (dll, so, dylib)* |
| -- | -- |
| Homepage | [https://conan.io/center/recipes/dylib](https://conan.io/center/recipes/dylib) |
| License | MIT |
| Versions | v2.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dylib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dylib/xmake.lua) |

##### Install command

```console
xrepo install dylib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dylib")
```


### dynareadout (linux)


| Description | *High-Performance C/C++ library for parsing binary output files and key files of LS Dyna (d3plot, binout, input deck)* |
| -- | -- |
| Homepage | [https://github.com/PucklaJ/dynareadout](https://github.com/PucklaJ/dynareadout) |
| License | zlib |
| Versions | 22.12, 23.01, 23.02, 23.04, 23.05, 23.06, 23.07, 23.08, 23.09, 23.10, 23.10.1, 23.11, 23.12, 24.01, 24.02, 24.03, 24.05, 24.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dynareadout/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dynareadout/xmake.lua) |

##### Install command

```console
xrepo install dynareadout
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dynareadout")
```


### dyncall (linux)


| Description | *dyncall library provides a clean and portable C interface to dynamically issue calls to foreign code using small call kernels written in assembly.* |
| -- | -- |
| Homepage | [https://www.dyncall.org](https://www.dyncall.org) |
| Versions | 1.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [dyncall/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dyncall/xmake.lua) |

##### Install command

```console
xrepo install dyncall
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dyncall")
```



## e
### e2fsprogs (linux)


| Description | *Filesystem utilities for the ext2/3/4 filesystems* |
| -- | -- |
| Homepage | [http://e2fsprogs.sourceforge.net](http://e2fsprogs.sourceforge.net) |
| Versions | 1.46.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [e2fsprogs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/e2fsprogs/xmake.lua) |

##### Install command

```console
xrepo install e2fsprogs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("e2fsprogs")
```


### eabase (linux)


| Description | *EABase is a small set of header files that define platform-independent data types and platform feature macros.* |
| -- | -- |
| Homepage | [https://github.com/electronicarts/EABase](https://github.com/electronicarts/EABase) |
| License | BSD-3-Clause |
| Versions | 2.09.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eabase/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eabase/xmake.lua) |

##### Install command

```console
xrepo install eabase
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eabase")
```


### eastl (linux)


| Description | *EASTL stands for Electronic Arts Standard Template Library.* |
| -- | -- |
| Homepage | [https://github.com/electronicarts/EASTL](https://github.com/electronicarts/EASTL) |
| License | BSD-3-Clause |
| Versions | 3.17.03, 3.17.06, 3.18.00, 3.21.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eastl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eastl/xmake.lua) |

##### Install command

```console
xrepo install eastl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eastl")
```


### easy_profiler (linux)


| Description | *Lightweight profiler library for c++* |
| -- | -- |
| Homepage | [https://github.com/yse/easy_profiler](https://github.com/yse/easy_profiler) |
| License | MIT |
| Versions | v2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [easy_profiler/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easy_profiler/xmake.lua) |

##### Install command

```console
xrepo install easy_profiler
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easy_profiler")
```


### easyloggingpp (linux)


| Description | *Single header C++ logging library.* |
| -- | -- |
| Homepage | [https://github.com/amrayn/easyloggingpp](https://github.com/amrayn/easyloggingpp) |
| License | MIT |
| Versions | v9.97.0, v9.97.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [easyloggingpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easyloggingpp/xmake.lua) |

##### Install command

```console
xrepo install easyloggingpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easyloggingpp")
```


### easywsclient (linux)


| Description | *A short and sweet WebSocket client for C++* |
| -- | -- |
| Homepage | [https://github.com/dhbaird/easywsclient](https://github.com/dhbaird/easywsclient) |
| License | MIT |
| Versions | 2021.01.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [easywsclient/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easywsclient/xmake.lua) |

##### Install command

```console
xrepo install easywsclient
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easywsclient")
```


### ed (linux)


| Description | *Classic UNIX line editor* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/ed/ed.html](https://www.gnu.org/software/ed/ed.html) |
| License | GPL-3.0-or-later |
| Versions | 1.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ed/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/ed/xmake.lua) |

##### Install command

```console
xrepo install ed
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ed")
```


### edlib (linux)


| Description | *Lightweight, super fast C/C++ (& Python) library for sequence alignment using edit (Levenshtein) distance.* |
| -- | -- |
| Homepage | [http://martinsos.github.io/edlib](http://martinsos.github.io/edlib) |
| License | MIT |
| Versions | v1.2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [edlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/edlib/xmake.lua) |

##### Install command

```console
xrepo install edlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("edlib")
```


### effcee (linux)


| Description | *Effcee is a C++ library for stateful pattern matching of strings.* |
| -- | -- |
| Homepage | [https://github.com/google/effcee](https://github.com/google/effcee) |
| License | Apache-2.0 |
| Versions | 2019.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [effcee/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/effcee/xmake.lua) |

##### Install command

```console
xrepo install effcee
```

##### Integration in the project (xmake.lua)

```lua
add_requires("effcee")
```


### effolkronium-random (linux)


| Description | *Random for modern C++ with convenient API* |
| -- | -- |
| Homepage | [https://github.com/effolkronium/random](https://github.com/effolkronium/random) |
| License | MIT |
| Versions | v1.4.1, v1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [effolkronium-random/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/effolkronium-random/xmake.lua) |

##### Install command

```console
xrepo install effolkronium-random
```

##### Integration in the project (xmake.lua)

```lua
add_requires("effolkronium-random")
```


### efsw (linux)


| Description | *efsw is a C++ cross-platform file system watcher and notifier.* |
| -- | -- |
| Homepage | [https://github.com/SpartanJ/efsw](https://github.com/SpartanJ/efsw) |
| License | MIT |
| Versions | 1.1.0, 1.2.0, 1.3.0, 1.3.1, 1.4.0, 1.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [efsw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/efsw/xmake.lua) |

##### Install command

```console
xrepo install efsw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("efsw")
```


### egl-headers (linux)


| Description | *EGL API and Extension Registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/EGL-Registry](https://github.com/KhronosGroup/EGL-Registry) |
| License | MIT |
| Versions | 2023.12.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [egl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/egl-headers/xmake.lua) |

##### Install command

```console
xrepo install egl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("egl-headers")
```


### eigen (linux)


| Description | *C++ template library for linear algebra* |
| -- | -- |
| Homepage | [https://eigen.tuxfamily.org/](https://eigen.tuxfamily.org/) |
| License | MPL-2.0 |
| Versions | 3.3.7, 3.3.8, 3.3.9, 3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eigen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eigen/xmake.lua) |

##### Install command

```console
xrepo install eigen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eigen")
```


### elfio (linux)


| Description | *ELFIO - ELF (Executable and Linkable Format) reader and producer implemented as a header only C++ library* |
| -- | -- |
| Homepage | [http://serge1.github.io/ELFIO](http://serge1.github.io/ELFIO) |
| License | MIT |
| Versions | 3.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [elfio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/elfio/xmake.lua) |

##### Install command

```console
xrepo install elfio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("elfio")
```


### elfutils (linux)


| Description | *Libraries and utilities for handling ELF objects* |
| -- | -- |
| Homepage | [https://fedorahosted.org/elfutils/](https://fedorahosted.org/elfutils/) |
| License | GPL-2.0 |
| Versions | 0.183, 0.189, 0.190 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [elfutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/elfutils/xmake.lua) |

##### Install command

```console
xrepo install elfutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("elfutils")
```


### embree (linux)


| Description | *Intel® Embree is a collection of high-performance ray tracing kernels, developed at Intel.* |
| -- | -- |
| Homepage | [https://www.embree.org/](https://www.embree.org/) |
| License | Apache-2.0 |
| Versions | v3.12.1, v3.13.0, v3.13.3, v3.13.4, v3.13.5, v4.3.0, v4.3.3, v4.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [embree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/embree/xmake.lua) |

##### Install command

```console
xrepo install embree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("embree")
```


### emhash (linux)


| Description | *Fast and memory efficient c++ flat hash map/set* |
| -- | -- |
| Homepage | [https://github.com/ktprime/emhash](https://github.com/ktprime/emhash) |
| License | MIT |
| Versions | 2024.06.01, 2025.03.19, 2025.03.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [emhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emhash/xmake.lua) |

##### Install command

```console
xrepo install emhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emhash")
```


### emio (linux)


| Description | *A safe and fast high-level and low-level character input/output library for bare-metal and RTOS based embedded systems with a very small binary footprint.* |
| -- | -- |
| Homepage | [https://viatorus.github.io/emio/](https://viatorus.github.io/emio/) |
| Versions | 0.4.0, 0.7.0, 0.8.0, 0.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [emio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emio/xmake.lua) |

##### Install command

```console
xrepo install emio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emio")
```


### emmylua_debugger (linux)


| Description | *EmmyLua Debugger* |
| -- | -- |
| Homepage | [https://github.com/EmmyLua/EmmyLuaDebugger](https://github.com/EmmyLua/EmmyLuaDebugger) |
| Versions | 1.6.3, 1.7.1, 1.8.0, 1.8.1, 1.8.2, 1.8.3, 1.8.4, 1.8.5, 1.8.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [emmylua_debugger/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emmylua_debugger/xmake.lua) |

##### Install command

```console
xrepo install emmylua_debugger
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emmylua_debugger")
```


### emscripten (linux)


| Description | *Emscripten: An LLVM-to-WebAssembly Compiler.* |
| -- | -- |
| Homepage | [https://emscripten.org/](https://emscripten.org/) |
| License | MIT |
| Versions | 1.39.8, 3.1.14, 3.1.25, 3.1.42, 3.1.55 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [emscripten/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emscripten/xmake.lua) |

##### Install command

```console
xrepo install emscripten
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emscripten")
```


### enet (linux)


| Description | *Reliable UDP networking library.* |
| -- | -- |
| Homepage | [http://enet.bespin.org](http://enet.bespin.org) |
| License | MIT |
| Versions | v1.3.17, v1.3.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [enet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enet/xmake.lua) |

##### Install command

```console
xrepo install enet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enet")
```


### enet6 (linux)


| Description | *A fork of ENet (reliable UDP networking library) in order to add IPv6 support.* |
| -- | -- |
| Homepage | [https://github.com/SirLynix/enet6](https://github.com/SirLynix/enet6) |
| License | MIT |
| Versions | v6.0.0, v6.0.1, v6.0.2, v6.1.0, v6.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [enet6/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enet6/xmake.lua) |

##### Install command

```console
xrepo install enet6
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enet6")
```


### enkits (linux)


| Description | *A permissively licensed C and C++ Task Scheduler for creating parallel programs.* |
| -- | -- |
| Homepage | [https://github.com/dougbinks/enkiTS](https://github.com/dougbinks/enkiTS) |
| License | zlib |
| Versions | v1.10, v1.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [enkits/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enkits/xmake.lua) |

##### Install command

```console
xrepo install enkits
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enkits")
```


### enoki (linux)


| Description | *Enoki: structured vectorization and differentiation on modern processor architectures* |
| -- | -- |
| Homepage | [https://github.com/mitsuba-renderer/enoki](https://github.com/mitsuba-renderer/enoki) |
| License | BSD-3-Clause |
| Versions | 2024.04.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [enoki/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enoki/xmake.lua) |

##### Install command

```console
xrepo install enoki
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enoki")
```


### ensmallen (linux)


| Description | *flexible C++ library for efficient numerical optimization* |
| -- | -- |
| Homepage | [https://ensmallen.org/](https://ensmallen.org/) |
| License | BSD-3-Clause |
| Versions | 2.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ensmallen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/ensmallen/xmake.lua) |

##### Install command

```console
xrepo install ensmallen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ensmallen")
```


### entt (linux)


| Description | *Gaming meets modern C++ - a fast and reliable entity component system (ECS) and much more.* |
| -- | -- |
| Homepage | [https://github.com/skypjack/entt](https://github.com/skypjack/entt) |
| License | MIT |
| Versions | v3.6.0, v3.7.0, v3.7.1, v3.8.0, v3.8.1, v3.9.0, v3.10.0, v3.10.1, v3.10.3, v3.11.0, v3.11.1, v3.12.1, v3.12.2, v3.13.0, v3.13.1, v3.13.2, v3.14.0, v3.15.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [entt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/entt/xmake.lua) |

##### Install command

```console
xrepo install entt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("entt")
```


### etl (linux)


| Description | *Embedded Template Library* |
| -- | -- |
| Homepage | [https://www.etlcpp.com](https://www.etlcpp.com) |
| License | MIT |
| Versions | 20.38.0, 20.38.10, 20.38.11, 20.38.13, 20.38.16, 20.38.17, 20.39.1, 20.39.2, 20.39.3, 20.39.4, 20.40.0, 20.40.1, 20.41.0, 20.41.1, 20.41.2, 20.41.3, 20.41.4, 20.41.5, 20.41.6, 20.41.7, 20.42.0, 20.42.1, 20.42.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [etl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/etl/xmake.lua) |

##### Install command

```console
xrepo install etl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("etl")
```


### eudev (linux)


| Description | *A fork of systemd with the aim of isolating udev from any particular flavor of system initialization.* |
| -- | -- |
| Homepage | [https://github.com/eudev-project/eudev](https://github.com/eudev-project/eudev) |
| License | GPL-2.0 |
| Versions | v3.2.9, v3.2.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eudev/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eudev/xmake.lua) |

##### Install command

```console
xrepo install eudev
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eudev")
```


### eve (linux)


| Description | *Expressive Vector Engine - SIMD in C++ Goes Brrrr* |
| -- | -- |
| Homepage | [https://jfalcou.github.io/eve/](https://jfalcou.github.io/eve/) |
| License | BSL-1.0 |
| Versions | 2023.02.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eve/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eve/xmake.lua) |

##### Install command

```console
xrepo install eve
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eve")
```


### eventpp (linux)


| Description | *Event Dispatcher and callback list for C++* |
| -- | -- |
| Homepage | [https://github.com/wqking/eventpp](https://github.com/wqking/eventpp) |
| License | Apache-2.0 |
| Versions | v0.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [eventpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eventpp/xmake.lua) |

##### Install command

```console
xrepo install eventpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eventpp")
```


### exosip (linux)


| Description | *eXosip is a library that hides the complexity of using the SIP protocol for mutlimedia session establishement* |
| -- | -- |
| Homepage | [https://savannah.nongnu.org/projects/exosip](https://savannah.nongnu.org/projects/exosip) |
| License | GPL-2.0 |
| Versions | 5.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [exosip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/exosip/xmake.lua) |

##### Install command

```console
xrepo install exosip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("exosip")
```


### expat (linux)


| Description | *XML 1.0 parser* |
| -- | -- |
| Homepage | [https://libexpat.github.io](https://libexpat.github.io) |
| License | MIT |
| Versions | 2.2.6, 2.2.10, 2.3.0, 2.4.1, 2.4.5, 2.4.7, 2.4.8, 2.5.0, 2.6.2, 2.6.3, 2.6.4, 2.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [expat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expat/xmake.lua) |

##### Install command

```console
xrepo install expat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expat")
```


### expected-lite (linux)


| Description | *expected lite - Expected objects in C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/expected-lite](https://github.com/martinmoene/expected-lite) |
| License | BSL-1.0 |
| Versions | v0.6.3, v0.8.0, v0.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [expected-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expected-lite/xmake.lua) |

##### Install command

```console
xrepo install expected-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expected-lite")
```


### expresscpp (linux)


| Description | *Fast, unopinionated, minimalist web framework for C++ Perfect for building REST APIs.* |
| -- | -- |
| Homepage | [https://github.com/expresscpp/expresscpp.git](https://github.com/expresscpp/expresscpp.git) |
| License | MIT |
| Versions | v0.20.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [expresscpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expresscpp/xmake.lua) |

##### Install command

```console
xrepo install expresscpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expresscpp")
```


### exprtk (linux)


| Description | *C++ Mathematical Expression Parsing And Evaluation Library* |
| -- | -- |
| Homepage | [https://www.partow.net/programming/exprtk/index.html](https://www.partow.net/programming/exprtk/index.html) |
| License | MIT |
| Versions | 0.0.1, 0.0.2, 0.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [exprtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/exprtk/xmake.lua) |

##### Install command

```console
xrepo install exprtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("exprtk")
```


### extra-cmake-modules (linux)


| Description | *Extra CMake Modules (ECM) extends CMake with additional modules and scripts.* |
| -- | -- |
| Homepage | [https://invent.kde.org/frameworks/extra-cmake-modules](https://invent.kde.org/frameworks/extra-cmake-modules) |
| Versions | v6.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [extra-cmake-modules/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/extra-cmake-modules/xmake.lua) |

##### Install command

```console
xrepo install extra-cmake-modules
```

##### Integration in the project (xmake.lua)

```lua
add_requires("extra-cmake-modules")
```


### ezc3d (linux)


| Description | *Easy to use C3D reader/writer for C++, Python and Matlab* |
| -- | -- |
| Homepage | [https://github.com/pyomeca/ezc3d](https://github.com/pyomeca/ezc3d) |
| License | MIT |
| Versions | 1.4.5, 1.4.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ezc3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/ezc3d/xmake.lua) |

##### Install command

```console
xrepo install ezc3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ezc3d")
```



## f
### faac (linux)


| Description | *Freeware Advanced Audio Coder faac mirror* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/faac/](https://sourceforge.net/projects/faac/) |
| License | LGPL-2.1 |
| Versions | 1.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [faac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/faac/xmake.lua) |

##### Install command

```console
xrepo install faac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("faac")
```


### faad2 (linux)


| Description | *FAAD2 is a HE, LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/faac](https://sourceforge.net/projects/faac) |
| License | GPL-2.0 |
| Versions | 2.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [faad2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/faad2/xmake.lua) |

##### Install command

```console
xrepo install faad2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("faad2")
```


### faiss (linux)


| Description | *A library for efficient similarity search and clustering of dense vectors.* |
| -- | -- |
| Homepage | [https://github.com/facebookresearch/faiss/](https://github.com/facebookresearch/faiss/) |
| License | MIT |
| Versions | v1.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [faiss/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/faiss/xmake.lua) |

##### Install command

```console
xrepo install faiss
```

##### Integration in the project (xmake.lua)

```lua
add_requires("faiss")
```


### fakeit (linux)


| Description | *C++ mocking made easy. A simple yet very expressive, headers only library for c++ mocking.* |
| -- | -- |
| Homepage | [https://github.com/eranpeer/FakeIt](https://github.com/eranpeer/FakeIt) |
| License | MIT |
| Versions | 2.4.0, 2.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fakeit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fakeit/xmake.lua) |

##### Install command

```console
xrepo install fakeit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fakeit")
```


### faker-cxx (linux)


| Description | *C++ Faker library for generating fake (but realistic) data.* |
| -- | -- |
| Homepage | [https://cieslarmichal.github.io/faker-cxx/](https://cieslarmichal.github.io/faker-cxx/) |
| License | MIT |
| Versions | v2.0.0, v3.0.0, v4.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [faker-cxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/faker-cxx/xmake.lua) |

##### Install command

```console
xrepo install faker-cxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("faker-cxx")
```


### fann (linux)


| Description | *Official github repository for Fast Artificial Neural Network Library (FANN)* |
| -- | -- |
| Homepage | [https://github.com/libfann/fann](https://github.com/libfann/fann) |
| License | LGPL-2.1 |
| Versions | 2021.03.14, 2024.04.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fann/xmake.lua) |

##### Install command

```console
xrepo install fann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fann")
```


### farmhash (linux)


| Description | *FarmHash, a family of hash functions.* |
| -- | -- |
| Homepage | [https://github.com/google/farmhash](https://github.com/google/farmhash) |
| License | MIT |
| Versions | 2019.05.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [farmhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/farmhash/xmake.lua) |

##### Install command

```console
xrepo install farmhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("farmhash")
```


### fast-cdr (linux)


| Description | *eProsima FastCDR library provides two serialization mechanisms. One is the standard CDR serialization mechanism, while the other is a faster implementation of it.* |
| -- | -- |
| Homepage | [https://www.eprosima.com](https://www.eprosima.com) |
| License | Apache-2.0 |
| Versions | v1.1.0, v2.1.3, v2.2.1, v2.2.2, v2.2.3, v2.2.4, v2.2.5, v2.2.6, v2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast-cdr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast-cdr/xmake.lua) |

##### Install command

```console
xrepo install fast-cdr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast-cdr")
```


### fast-lzma2 (linux)


| Description | *Fast LZMA2 Library* |
| -- | -- |
| Homepage | [https://github.com/conor42/fast-lzma2](https://github.com/conor42/fast-lzma2) |
| License | BSD-3-Clause |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast-lzma2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast-lzma2/xmake.lua) |

##### Install command

```console
xrepo install fast-lzma2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast-lzma2")
```


### fast_double_parser (linux)


| Description | *Fast function to parse strings containing decimal numbers into double-precision (binary64) floating-point values.* |
| -- | -- |
| Homepage | [https://github.com/lemire/fast_double_parser](https://github.com/lemire/fast_double_parser) |
| License | Apache-2.0 |
| Versions | v0.5.0, v0.7.0, v0.8.0, v0.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast_double_parser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_double_parser/xmake.lua) |

##### Install command

```console
xrepo install fast_double_parser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_double_parser")
```


### fast_float (linux)


| Description | *Fast and exact implementation of the C++ from_chars functions for float and double types: 4x faster than strtod* |
| -- | -- |
| Homepage | [https://github.com/fastfloat/fast_float](https://github.com/fastfloat/fast_float) |
| License | Apache-2.0 |
| Versions | v3.4.0, v3.5.1, v3.10.1, v5.2.0, v5.3.0, v6.0.0, v6.1.0, v6.1.1, v6.1.3, v6.1.4, v6.1.5, v6.1.6, v7.0.0, v8.0.0, v8.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast_float/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_float/xmake.lua) |

##### Install command

```console
xrepo install fast_float
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_float")
```


### fast_io (linux)


| Description | *Significantly faster input/output for C++20* |
| -- | -- |
| Homepage | [https://github.com/cppfastio/fast_io](https://github.com/cppfastio/fast_io) |
| License | MIT |
| Versions | 2023.1.28, 2024.3.31, 2025.06.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast_io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_io/xmake.lua) |

##### Install command

```console
xrepo install fast_io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_io")
```


### fast_obj (linux)


| Description | *Fast C OBJ parser* |
| -- | -- |
| Homepage | [https://github.com/thisistherk/fast_obj](https://github.com/thisistherk/fast_obj) |
| License | MIT |
| Versions | v1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fast_obj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_obj/xmake.lua) |

##### Install command

```console
xrepo install fast_obj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_obj")
```


### fastcppcsvparser (linux)


| Description | *This is a small, easy-to-use and fast header-only library for reading comma separated value (CSV) files (by ben-strasser)* |
| -- | -- |
| Homepage | [https://github.com/ben-strasser/fast-cpp-csv-parser](https://github.com/ben-strasser/fast-cpp-csv-parser) |
| Versions | 2021.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fastcppcsvparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastcppcsvparser/xmake.lua) |

##### Install command

```console
xrepo install fastcppcsvparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastcppcsvparser")
```


### fastgltf (linux)


| Description | *A modern C++17 glTF 2.0 library focused on speed, correctness, and usability* |
| -- | -- |
| Homepage | [https://fastgltf.readthedocs.io/v0.7.x/](https://fastgltf.readthedocs.io/v0.7.x/) |
| License | MIT |
| Versions | v0.7.1, v0.7.2, v0.8.0, v0.9.0 |
| Architectures | arm64, x86_64 |
| Definition | [fastgltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastgltf/xmake.lua) |

##### Install command

```console
xrepo install fastgltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastgltf")
```


### fastmod (linux)


| Description | *A header file for fast 32-bit division remainders on 64-bit hardware.* |
| -- | -- |
| Homepage | [https://github.com/lemire/fastmod](https://github.com/lemire/fastmod) |
| License | Apache-2.0 |
| Versions | v0.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fastmod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastmod/xmake.lua) |

##### Install command

```console
xrepo install fastmod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastmod")
```


### fastor (linux)


| Description | *A lightweight high performance tensor algebra framework for modern C++* |
| -- | -- |
| Homepage | [https://github.com/romeric/Fastor](https://github.com/romeric/Fastor) |
| License | MIT |
| Versions | 0.6.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fastor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastor/xmake.lua) |

##### Install command

```console
xrepo install fastor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastor")
```


### fatal (linux)


| Description | *Fatal is a library for fast prototyping software in modern C++.* |
| -- | -- |
| Homepage | [https://github.com/facebook/fatal](https://github.com/facebook/fatal) |
| License | BSD |
| Versions | 2024.06.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fatal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fatal/xmake.lua) |

##### Install command

```console
xrepo install fatal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fatal")
```


### fbgemm (linux)


| Description | *FB (Facebook) + GEMM (General Matrix-Matrix Multiplication) - https://code.fb.com/ml-applications/fbgemm/* |
| -- | -- |
| Homepage | [https://github.com/pytorch/FBGEMM](https://github.com/pytorch/FBGEMM) |
| License | BSD |
| Versions | v0.7.0, v0.8.0, v1.1.0, v1.1.2, v1.2.0 |
| Architectures | x86_64 |
| Definition | [fbgemm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fbgemm/xmake.lua) |

##### Install command

```console
xrepo install fbgemm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fbgemm")
```


### fbthrift (linux)


| Description | *Facebook's branch of Apache Thrift, including a new C++ server.* |
| -- | -- |
| Homepage | [https://github.com/facebook/fbthrift](https://github.com/facebook/fbthrift) |
| License | Apache-2.0 |
| Versions | 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fbthrift/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fbthrift/xmake.lua) |

##### Install command

```console
xrepo install fbthrift
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fbthrift")
```


### fcl (linux)


| Description | *Flexible Collision Library* |
| -- | -- |
| Homepage | [https://github.com/flexible-collision-library/fcl](https://github.com/flexible-collision-library/fcl) |
| License | BSD-3-Clause |
| Versions | v0.6.1, 0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fcl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fcl/xmake.lua) |

##### Install command

```console
xrepo install fcl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fcl")
```


### fcpw (linux)


| Description | *FCPW: Fastest Closest Points in the West* |
| -- | -- |
| Homepage | [https://github.com/rohan-sawhney/fcpw](https://github.com/rohan-sawhney/fcpw) |
| License | MIT |
| Versions | v1.0.5, v1.1.2, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fcpw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fcpw/xmake.lua) |

##### Install command

```console
xrepo install fcpw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fcpw")
```


### fdk-aac (linux)


| Description | *A standalone library of the Fraunhofer FDK AAC code from Android.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/opencore-amr/](https://sourceforge.net/projects/opencore-amr/) |
| License | Apache-2.0 |
| Versions | 2.0.0, 2.0.1, 2.0.2, 2.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fdk-aac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fdk-aac/xmake.lua) |

##### Install command

```console
xrepo install fdk-aac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fdk-aac")
```


### ffmpeg (linux)


| Description | *A collection of libraries to process multimedia content such as audio, video, subtitles and related metadata.* |
| -- | -- |
| Homepage | [https://www.ffmpeg.org](https://www.ffmpeg.org) |
| License | GPL-3.0 |
| Versions | 4.0.2, 4.4.4, 5.0.1, 5.1.1, 5.1.2, 6.0.1, 6.1, 7.0, 7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ffmpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/ffmpeg/xmake.lua) |

##### Install command

```console
xrepo install ffmpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ffmpeg")
```


### ffts (linux)


| Description | *The Fastest Fourier Transform in the South* |
| -- | -- |
| Homepage | [http://anthonix.com/ffts](http://anthonix.com/ffts) |
| Versions | 2019.03.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ffts/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/ffts/xmake.lua) |

##### Install command

```console
xrepo install ffts
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ffts")
```


### fftw (linux)


| Description | *A C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions.* |
| -- | -- |
| Homepage | [http://fftw.org/](http://fftw.org/) |
| License | GPL-2.0 |
| Versions | 3.3.8, 3.3.9, 3.3.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fftw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fftw/xmake.lua) |

##### Install command

```console
xrepo install fftw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fftw")
```


### fgt (linux)


| Description | *C++ library for fast Gauss transforms.* |
| -- | -- |
| Homepage | [http://gadomski.github.io/fgt](http://gadomski.github.io/fgt) |
| License | LGPL-2.1 |
| Versions | v0.4.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fgt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fgt/xmake.lua) |

##### Install command

```console
xrepo install fgt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fgt")
```


### field3d (linux)


| Description | *Field3D is an open source library for storing voxel data.* |
| -- | -- |
| Homepage | [https://sites.google.com/site/field3d/](https://sites.google.com/site/field3d/) |
| License | BSD-3-Clause |
| Versions | v1.7.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [field3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/field3d/xmake.lua) |

##### Install command

```console
xrepo install field3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("field3d")
```


### filament (linux)


| Description | *Filament is a real-time physically-based renderer written in C++.* |
| -- | -- |
| Homepage | [https://google.github.io/filament/](https://google.github.io/filament/) |
| License | Apache-2.0 |
| Versions | 1.9.23, 1.20.3, 1.32.0 |
| Architectures | x86_64 |
| Definition | [filament/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/filament/xmake.lua) |

##### Install command

```console
xrepo install filament
```

##### Integration in the project (xmake.lua)

```lua
add_requires("filament")
```


### fixed-containers (linux)


| Description | *C++ Fixed Containers* |
| -- | -- |
| Homepage | [https://github.com/teslamotors/fixed-containers](https://github.com/teslamotors/fixed-containers) |
| License | MIT |
| Versions | 2025.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fixed-containers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fixed-containers/xmake.lua) |

##### Install command

```console
xrepo install fixed-containers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fixed-containers")
```


### fizz (linux)


| Description | *C++14 implementation of the TLS-1.3 standard * |
| -- | -- |
| Homepage | [https://github.com/facebookincubator/fizz](https://github.com/facebookincubator/fizz) |
| License | BSD |
| Versions | 2024.02.26, 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fizz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fizz/xmake.lua) |

##### Install command

```console
xrepo install fizz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fizz")
```


### flann (linux)


| Description | *Fast Library for Approximate Nearest Neighbors* |
| -- | -- |
| Homepage | [https://github.com/flann-lib/flann/](https://github.com/flann-lib/flann/) |
| License | BSD-3-Clause |
| Versions | 1.9.1, 1.9.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flann/xmake.lua) |

##### Install command

```console
xrepo install flann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flann")
```


### flatbuffers (linux)


| Description | *FlatBuffers is a cross platform serialization library architected for maximum memory efficiency.* |
| -- | -- |
| Homepage | [http://google.github.io/flatbuffers/](http://google.github.io/flatbuffers/) |
| License | Apache-2.0 |
| Versions | v1.12.0, v2.0.0, v23.1.21, v23.5.26, v24.3.25, v24.12.23, v25.2.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flatbuffers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flatbuffers/xmake.lua) |

##### Install command

```console
xrepo install flatbuffers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flatbuffers")
```


### flatcc (linux)


| Description | *FlatBuffers Compiler and Library in C for C* |
| -- | -- |
| Homepage | [https://github.com/dvidelabs/flatcc](https://github.com/dvidelabs/flatcc) |
| License | Apache-2.0 |
| Versions | v0.6.1, 2025.04.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flatcc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flatcc/xmake.lua) |

##### Install command

```console
xrepo install flatcc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flatcc")
```


### flecs (linux)


| Description | *A fast entity component system (ECS) for C & C++* |
| -- | -- |
| Homepage | [https://github.com/SanderMertens/flecs](https://github.com/SanderMertens/flecs) |
| License | MIT |
| Versions | v2.4.8, v3.0.0, v3.2.4, v3.2.5, v3.2.6, v3.2.7, v3.2.8, v3.2.9, v3.2.10, v3.2.11, v3.2.12, v4.0.0, v4.0.1, v4.0.2, v4.0.3, v4.0.4, v4.0.5, v4.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flecs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flecs/xmake.lua) |

##### Install command

```console
xrepo install flecs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flecs")
```


### flex (linux)


| Description | *%s* |
| -- | -- |
| Homepage | [https://github.com/westes/flex/](https://github.com/westes/flex/) |
| License | BSD-2-Clause |
| Versions | 2.6.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flex/xmake.lua) |

##### Install command

```console
xrepo install flex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flex")
```


### fltk (linux)


| Description | *Fast Light Toolkit* |
| -- | -- |
| Homepage | [https://www.fltk.org](https://www.fltk.org) |
| Versions | 1.3.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fltk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fltk/xmake.lua) |

##### Install command

```console
xrepo install fltk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fltk")
```


### fluidsynth (linux)


| Description | *FluidSynth is a real-time software synthesizer based on the SoundFont 2 specifications and has reached widespread distribution.* |
| -- | -- |
| Homepage | [https://www.fluidsynth.org/](https://www.fluidsynth.org/) |
| License | LGPL-2.1 |
| Versions | v2.3.3, v2.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fluidsynth/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fluidsynth/xmake.lua) |

##### Install command

```console
xrepo install fluidsynth
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fluidsynth")
```


### flux (linux)


| Description | *A C++20 library for sequence-orientated programming* |
| -- | -- |
| Homepage | [https://tristanbrindle.com/flux/](https://tristanbrindle.com/flux/) |
| License | BSL-1.0 |
| Versions | v0.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [flux/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flux/xmake.lua) |

##### Install command

```console
xrepo install flux
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flux")
```


### fluxsort (linux)


| Description | *A branchless stable quicksort / mergesort hybrid.* |
| -- | -- |
| Homepage | [https://github.com/scandum/fluxsort](https://github.com/scandum/fluxsort) |
| License | MIT |
| Versions | 2023.02.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fluxsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fluxsort/xmake.lua) |

##### Install command

```console
xrepo install fluxsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fluxsort")
```


### fmi (linux)


| Description | *Specification of the Functional Mock-Up Interface (FMI)* |
| -- | -- |
| Homepage | [https://fmi-standard.org/](https://fmi-standard.org/) |
| Versions | v3.0.1, v3.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fmi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmi/xmake.lua) |

##### Install command

```console
xrepo install fmi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmi")
```


### fmi4cpp (linux)


| Description | *A cross-platform FMI 2.0 implementation written in modern C++* |
| -- | -- |
| Homepage | [https://github.com/NTNU-IHB/FMI4cpp](https://github.com/NTNU-IHB/FMI4cpp) |
| Versions | 0.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fmi4cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmi4cpp/xmake.lua) |

##### Install command

```console
xrepo install fmi4cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmi4cpp")
```


### fmt (linux)


| Description | *fmt is an open-source formatting library for C++. It can be used as a safe and fast alternative to (s)printf and iostreams.* |
| -- | -- |
| Homepage | [https://fmt.dev](https://fmt.dev) |
| License | MIT |
| Versions | 5.3.0, 6.0.0, 6.2.0, 7.1.3, 8.0.0, 8.0.1, 8.1.1, 9.0.0, 9.1.0, 10.0.0, 10.1.0, 10.1.1, 10.2.0, 10.2.1, 11.0.0, 11.0.1, 11.0.2, 11.1.0, 11.1.1, 11.1.2, 11.1.3, 11.1.4, 11.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fmt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmt/xmake.lua) |

##### Install command

```console
xrepo install fmt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmt")
```


### fmtlog (linux)


| Description | *fmtlog is a performant fmtlib-style logging library with latency in nanoseconds.* |
| -- | -- |
| Homepage | [https://github.com/MengRao/fmtlog](https://github.com/MengRao/fmtlog) |
| License | MIT |
| Versions | v2.1.2, v2.2.1, v2.2.2, v2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fmtlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmtlog/xmake.lua) |

##### Install command

```console
xrepo install fmtlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmtlog")
```


### folly (linux)


| Description | *An open-source C++ library developed and used at Facebook.* |
| -- | -- |
| Homepage | [https://github.com/facebook/folly](https://github.com/facebook/folly) |
| License | Apache-2.0 |
| Versions | 2021.06.28, 2021.08.02, 2021.11.01, 2022.02.14, 2022.04.25, 2022.08.29, 2023.11.20, 2024.02.26, 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15, 2024.10.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [folly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/folly/xmake.lua) |

##### Install command

```console
xrepo install folly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("folly")
```


### fontconfig (linux)


| Description | *A library for configuring and customizing font access.* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/fontconfig/](https://www.freedesktop.org/wiki/Software/fontconfig/) |
| Versions | 2.13.1, 2.13.93, 2.13.94, 2.14.0, 2.14.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fontconfig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fontconfig/xmake.lua) |

##### Install command

```console
xrepo install fontconfig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fontconfig")
```


### fpm (linux)


| Description | *C++ header-only fixed-point math library* |
| -- | -- |
| Homepage | [https://mikelankamp.github.io/fpm](https://mikelankamp.github.io/fpm) |
| License | MIT |
| Versions | 2024.09.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fpm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fpm/xmake.lua) |

##### Install command

```console
xrepo install fpm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fpm")
```


### fpng (linux)


| Description | *Super fast C++ .PNG writer/reader* |
| -- | -- |
| Homepage | [https://github.com/richgel999/fpng](https://github.com/richgel999/fpng) |
| Versions | v1.0.1, v1.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fpng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fpng/xmake.lua) |

##### Install command

```console
xrepo install fpng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fpng")
```


### freeglut (linux)


| Description | *Free implementation of the OpenGL Utility Toolkit (GLUT)* |
| -- | -- |
| Homepage | [http://freeglut.sourceforge.net](http://freeglut.sourceforge.net) |
| License | MIT |
| Versions | 3.4.0, 3.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [freeglut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freeglut/xmake.lua) |

##### Install command

```console
xrepo install freeglut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freeglut")
```


### freeimage (linux)


| Description | *FreeImage is a library project for developers who would like to support popular graphics image formats (PNG, JPEG, TIFF, BMP and others).* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/freeimage/](https://sourceforge.net/projects/freeimage/) |
| Versions | 3.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [freeimage/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freeimage/xmake.lua) |

##### Install command

```console
xrepo install freeimage
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freeimage")
```


### freerdp (linux)


| Description | *FreeRDP is a free remote desktop protocol library and clients * |
| -- | -- |
| Homepage | [http://www.freerdp.com](http://www.freerdp.com) |
| License | Apache-2.0 |
| Versions | 3.15.0, 3.16.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [freerdp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freerdp/xmake.lua) |

##### Install command

```console
xrepo install freerdp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freerdp")
```


### freetype (linux)


| Description | *A freely available software library to render fonts.* |
| -- | -- |
| Homepage | [https://www.freetype.org](https://www.freetype.org) |
| License | BSD |
| Versions | 2.9.1, 2.10.4, 2.11.0, 2.11.1, 2.12.0, 2.12.1, 2.13.0, 2.13.1, 2.13.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [freetype/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freetype/xmake.lua) |

##### Install command

```console
xrepo install freetype
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freetype")
```


### fribidi (linux)


| Description | *The Free Implementation of the Unicode Bidirectional Algorithm.* |
| -- | -- |
| Homepage | [https://github.com/fribidi/fribidi](https://github.com/fribidi/fribidi) |
| License | LGPL-2.1 |
| Versions | 1.0.10, 1.0.11, 1.0.12, 1.0.13, 1.0.14, 1.0.15, 1.0.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fribidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fribidi/xmake.lua) |

##### Install command

```console
xrepo install fribidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fribidi")
```


### frozen (linux)


| Description | *A header-only, constexpr alternative to gperf for C++14 users* |
| -- | -- |
| Homepage | [https://github.com/serge-sans-paille/frozen](https://github.com/serge-sans-paille/frozen) |
| License | Apache-2.0 |
| Versions | 1.1.1, 1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [frozen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/frozen/xmake.lua) |

##### Install command

```console
xrepo install frozen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("frozen")
```


### frozenca-btree (linux)


| Description | *A general-purpose high-performance lightweight STL-like modern C++ B-Tree* |
| -- | -- |
| Homepage | [https://github.com/frozenca/BTree](https://github.com/frozenca/BTree) |
| License | Apache-2.0 |
| Versions | 2022.08.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [frozenca-btree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/frozenca-btree/xmake.lua) |

##### Install command

```console
xrepo install frozenca-btree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("frozenca-btree")
```


### frugally-deep (linux)


| Description | *Header-only library for using Keras (TensorFlow) models in C++.* |
| -- | -- |
| Homepage | [https://github.com/Dobiasd/frugally-deep](https://github.com/Dobiasd/frugally-deep) |
| License | MIT |
| Versions | v0.15.29, v0.15.31, v0.16.0, v0.16.2, v0.17.1, v0.18.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [frugally-deep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/frugally-deep/xmake.lua) |

##### Install command

```console
xrepo install frugally-deep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("frugally-deep")
```


### fruit (linux)


| Description | *Fruit, a dependency injection framework for C++* |
| -- | -- |
| Homepage | [https://github.com/google/fruit/wiki](https://github.com/google/fruit/wiki) |
| License | Apache-2.0 |
| Versions | v3.7.0, v3.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fruit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fruit/xmake.lua) |

##### Install command

```console
xrepo install fruit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fruit")
```


### ftgl (linux)


| Description | *FTGL is a free open source library to enable developers to use arbitrary fonts in their OpenGL applications.* |
| -- | -- |
| Homepage | [https://github.com/frankheckenbach/ftgl](https://github.com/frankheckenbach/ftgl) |
| License | MIT |
| Versions | v2.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ftgl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/ftgl/xmake.lua) |

##### Install command

```console
xrepo install ftgl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ftgl")
```


### ftxui (linux)


| Description | *:computer: C++ Functional Terminal User Interface. :heart:* |
| -- | -- |
| Homepage | [https://github.com/ArthurSonzogni/FTXUI](https://github.com/ArthurSonzogni/FTXUI) |
| License | MIT |
| Versions | v3.0.0, v4.1.1, v5.0.0, v6.0.2, v6.1.1, v6.1.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ftxui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/ftxui/xmake.lua) |

##### Install command

```console
xrepo install ftxui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ftxui")
```


### funchook (linux)


| Description | *Hook function calls by inserting jump instructions at runtime.* |
| -- | -- |
| Homepage | [https://github.com/kubo/funchook](https://github.com/kubo/funchook) |
| License | GPL-2.0-or-later |
| Versions | v1.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [funchook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/funchook/xmake.lua) |

##### Install command

```console
xrepo install funchook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("funchook")
```


### function2 (linux)


| Description | *Improved and configurable drop-in replacement to std::function that supports move only types, multiple overloads and more* |
| -- | -- |
| Homepage | [http://naios.github.io/function2](http://naios.github.io/function2) |
| License | BSL-1.0 |
| Versions | 4.1.0, 4.2.0, 4.2.1, 4.2.2, 4.2.3, 4.2.4, 4.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [function2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/function2/xmake.lua) |

##### Install command

```console
xrepo install function2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("function2")
```


### functionalplus (linux)


| Description | *Functional Programming Library for C++. Write concise and readable C++ code.* |
| -- | -- |
| Homepage | [http://www.editgym.com/fplus-api-search/](http://www.editgym.com/fplus-api-search/) |
| License | BSL-1.0 |
| Versions | v0.2.22, v0.2.23, v0.2.24, v0.2.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [functionalplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/functionalplus/xmake.lua) |

##### Install command

```console
xrepo install functionalplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("functionalplus")
```


### fx-gltf (linux)


| Description | *A C++14/C++17 header-only library for simple, efficient, and robust serialization/deserialization of glTF 2.0* |
| -- | -- |
| Homepage | [https://github.com/jessey-git/fx-gltf](https://github.com/jessey-git/fx-gltf) |
| License | MIT |
| Versions | v1.2.0, v2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fx-gltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fx-gltf/xmake.lua) |

##### Install command

```console
xrepo install fx-gltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fx-gltf")
```


### fxdiv (linux)


| Description | *C99/C++ header-only library for division via fixed-point multiplication by inverse* |
| -- | -- |
| Homepage | [https://github.com/Maratyszcza/FXdiv](https://github.com/Maratyszcza/FXdiv) |
| License | MIT |
| Versions | 2020.12.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [fxdiv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fxdiv/xmake.lua) |

##### Install command

```console
xrepo install fxdiv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fxdiv")
```



## g
### g2o (linux)


| Description | *g2o: A General Framework for Graph Optimization* |
| -- | -- |
| Homepage | [http://openslam.org/g2o.html](http://openslam.org/g2o.html) |
| Versions | 2020.12.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [g2o/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/g2o/xmake.lua) |

##### Install command

```console
xrepo install g2o
```

##### Integration in the project (xmake.lua)

```lua
add_requires("g2o")
```


### g3log (linux)


| Description | *G3log is  an asynchronous, "crash safe", logger that is easy to use with default logging sinks or you can add your own.  G3log is made with plain C++14 (C++11 support up to release 1.3.2)  with no external libraries (except gtest used for unit tests). G3log is made to be cross-platform, currently running on OSX, Windows and several Linux distros.  See Readme below for details of usage.* |
| -- | -- |
| Homepage | [http://github.com/KjellKod/g3log](http://github.com/KjellKod/g3log) |
| License | Unlicense |
| Versions | 2.3, 2.4, 2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [g3log/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/g3log/xmake.lua) |

##### Install command

```console
xrepo install g3log
```

##### Integration in the project (xmake.lua)

```lua
add_requires("g3log")
```


### gamenetworkingsockets (linux)


| Description | *Reliable & unreliable messages over UDP. Robust message fragmentation & reassembly. P2P networking / NAT traversal. Encryption. * |
| -- | -- |
| Homepage | [https://github.com/ValveSoftware/GameNetworkingSockets](https://github.com/ValveSoftware/GameNetworkingSockets) |
| License | BSD-3-Clause |
| Versions | v1.2.0, v1.3.0, v1.4.0, v1.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gamenetworkingsockets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gamenetworkingsockets/xmake.lua) |

##### Install command

```console
xrepo install gamenetworkingsockets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gamenetworkingsockets")
```


### gcem (linux)


| Description | *A C++ compile-time math library using generalized constant expressions* |
| -- | -- |
| Homepage | [https://www.kthohr.com/gcem.html](https://www.kthohr.com/gcem.html) |
| License | Apache-2.0 |
| Versions | v1.13.1, v1.16.0, v1.17.0, v1.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gcem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gcem/xmake.lua) |

##### Install command

```console
xrepo install gcem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gcem")
```


### gdal (linux)


| Description | *GDAL is a translator library for raster and vector geospatial data formats by the Open Source Geospatial Foundation* |
| -- | -- |
| Homepage | [https://gdal.org/](https://gdal.org/) |
| License | MIT |
| Versions | 3.5.1, 3.8.5, 3.9.0, 3.9.1, 3.9.2, 3.9.3, 3.10.0, 3.10.2, 3.11.1, 3.11.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gdal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gdal/xmake.lua) |

##### Install command

```console
xrepo install gdal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gdal")
```


### gdk-pixbuf (linux)


| Description | *GdkPixbuf is a library that loads image data in various formats and stores it as linear buffers in memory. The buffers can then be scaled, composited, modified, saved, or rendered.* |
| -- | -- |
| Homepage | [https://docs.gtk.org/gdk-pixbuf/](https://docs.gtk.org/gdk-pixbuf/) |
| License | LGPL-2.1 |
| Versions | 2.42.6, 2.42.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gdk-pixbuf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gdk-pixbuf/xmake.lua) |

##### Install command

```console
xrepo install gdk-pixbuf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gdk-pixbuf")
```


### geant4 (linux)


| Description | *Geant4 is a toolkit for the simulation of the passage of particles through matter.* |
| -- | -- |
| Homepage | [https://geant4.web.cern.ch/](https://geant4.web.cern.ch/) |
| Versions | 10.7.2, 11.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [geant4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/geant4/xmake.lua) |

##### Install command

```console
xrepo install geant4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("geant4")
```


### gelldur-eventbus (linux)


| Description | *A lightweight and very fast event bus / event framework for C++17 * |
| -- | -- |
| Homepage | [https://github.com/gelldur/EventBus](https://github.com/gelldur/EventBus) |
| License | Apache-2.0 |
| Versions | v3.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gelldur-eventbus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gelldur-eventbus/xmake.lua) |

##### Install command

```console
xrepo install gelldur-eventbus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gelldur-eventbus")
```


### genie (linux)


| Description | *GENie - Project generator tool* |
| -- | -- |
| Homepage | [https://github.com/bkaradzic/GENie](https://github.com/bkaradzic/GENie) |
| License | BSD-3-Clause |
| Versions | 1160, 1165, 1170 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [genie/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/genie/xmake.lua) |

##### Install command

```console
xrepo install genie
```

##### Integration in the project (xmake.lua)

```lua
add_requires("genie")
```


### geographiclib (linux)


| Description | *GeographicLib is a small C++ library for geodesic and rhumb line calculations and conversions between geographic, UTM, UPS, MGRS, geocentric* |
| -- | -- |
| Homepage | [https://geographiclib.sourceforge.io/C++/doc/index.html](https://geographiclib.sourceforge.io/C++/doc/index.html) |
| License | MIT License |
| Versions | 2.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [geographiclib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/geographiclib/xmake.lua) |

##### Install command

```console
xrepo install geographiclib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("geographiclib")
```


### geos (linux)


| Description | *GEOS (Geometry Engine - Open Source) is a C++ port of the JTS Topology Suite (JTS).* |
| -- | -- |
| Homepage | [https://trac.osgeo.org/geos/](https://trac.osgeo.org/geos/) |
| License | LGPL-2.1 |
| Versions | 3.9.1, 3.11.3, 3.12.1, 3.13.0, 3.13.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [geos/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/geos/xmake.lua) |

##### Install command

```console
xrepo install geos
```

##### Integration in the project (xmake.lua)

```lua
add_requires("geos")
```


### gettext (linux)


| Description | *GNU internationalization (i18n) and localization (l10n) library.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/gettext/](https://www.gnu.org/software/gettext/) |
| Versions | 0.19.8-1, 0.21, 0.21.1, 0.22.5, 0.23.1, 0.24.1, 0.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gettext/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gettext/xmake.lua) |

##### Install command

```console
xrepo install gettext
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gettext")
```


### gflags (linux)


| Description | *The gflags package contains a C++ library that implements commandline flags processing.* |
| -- | -- |
| Homepage | [https://github.com/gflags/gflags/](https://github.com/gflags/gflags/) |
| License | BSD-3-Clause |
| Versions | v2.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gflags/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gflags/xmake.lua) |

##### Install command

```console
xrepo install gflags
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gflags")
```


### gfortran (linux)


| Description | *The GNU Fortran compiler* |
| -- | -- |
| Homepage | [https://gcc.gnu.org/fortran/](https://gcc.gnu.org/fortran/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gfortran/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gfortran/xmake.lua) |

##### Install command

```console
xrepo install gfortran
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gfortran")
```


### gfx-timsort (linux)


| Description | *A C++ implementation of timsort* |
| -- | -- |
| Homepage | [https://github.com/timsort/cpp-TimSort](https://github.com/timsort/cpp-TimSort) |
| License | MIT |
| Versions | v3.0.0, v3.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gfx-timsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gfx-timsort/xmake.lua) |

##### Install command

```console
xrepo install gfx-timsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gfx-timsort")
```


### ggml (linux)


| Description | *Tensor library for machine learning* |
| -- | -- |
| Homepage | [https://github.com/ggml-org/ggml](https://github.com/ggml-org/ggml) |
| License | MIT |
| Versions | 2025.03.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ggml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ggml/xmake.lua) |

##### Install command

```console
xrepo install ggml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ggml")
```


### ghc_filesystem (linux)


| Description | *An implementation of C++17 std::filesystem for C++11/C++14/C++17/C++20 on Windows, macOS, Linux and FreeBSD.* |
| -- | -- |
| Homepage | [https://github.com/gulrak/filesystem](https://github.com/gulrak/filesystem) |
| License | MIT |
| Versions | v1.5.10, v1.5.12, v1.5.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ghc_filesystem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ghc_filesystem/xmake.lua) |

##### Install command

```console
xrepo install ghc_filesystem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ghc_filesystem")
```


### ghostscript (linux)


| Description | *Ghostscript is an interpreter for the PostScript® language and PDF files.* |
| -- | -- |
| Homepage | [https://www.ghostscript.com/](https://www.ghostscript.com/) |
| License | AGPL-3.0 |
| Versions | 9.55.0, 10.0.0, 10.02.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ghostscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ghostscript/xmake.lua) |

##### Install command

```console
xrepo install ghostscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ghostscript")
```


### gifdec (linux)


| Description | *small C GIF decoder* |
| -- | -- |
| Homepage | [https://github.com/lecram/gifdec](https://github.com/lecram/gifdec) |
| Versions | 2021.12.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gifdec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gifdec/xmake.lua) |

##### Install command

```console
xrepo install gifdec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gifdec")
```


### giflib (linux)


| Description | *A library for reading and writing gif images.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/giflib/](https://sourceforge.net/projects/giflib/) |
| License | MIT |
| Versions | 5.2.1, 5.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [giflib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/giflib/xmake.lua) |

##### Install command

```console
xrepo install giflib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("giflib")
```


### ginkgo (linux)


| Description | *Ginkgo is a high-performance linear algebra library for manycore systems, with a focus on solution of sparse linear systems.* |
| -- | -- |
| Homepage | [https://ginkgo-project.github.io/](https://ginkgo-project.github.io/) |
| License | BSD-3-Clause |
| Versions | v1.7.0, v1.8.0, v1.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ginkgo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ginkgo/xmake.lua) |

##### Install command

```console
xrepo install ginkgo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ginkgo")
```


### git-crypt (linux)


| Description | *Transparent file encryption in git* |
| -- | -- |
| Homepage | [https://www.agwa.name/projects/git-crypt/](https://www.agwa.name/projects/git-crypt/) |
| License | GPL-3.0 |
| Versions | 0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [git-crypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/git-crypt/xmake.lua) |

##### Install command

```console
xrepo install git-crypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("git-crypt")
```


### gklib (linux)


| Description | *A library of various helper routines and frameworks used by many of the lab's software* |
| -- | -- |
| Homepage | [https://github.com/KarypisLab/GKlib](https://github.com/KarypisLab/GKlib) |
| License | Apache-2.0 |
| Versions | 2023.03.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gklib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gklib/xmake.lua) |

##### Install command

```console
xrepo install gklib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gklib")
```


### gl2ps (linux)


| Description | *OpenGL to PostScript printing library* |
| -- | -- |
| Homepage | [https://gitlab.onelab.info/gl2ps/gl2ps](https://gitlab.onelab.info/gl2ps/gl2ps) |
| License | LGPL |
| Versions | 1.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gl2ps/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gl2ps/xmake.lua) |

##### Install command

```console
xrepo install gl2ps
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gl2ps")
```


### glad (linux)


| Description | *Multi-Language Vulkan/GL/GLES/EGL/GLX/WGL Loader-Generator based on the official specs.* |
| -- | -- |
| Homepage | [https://glad.dav1d.de/](https://glad.dav1d.de/) |
| License | MIT |
| Versions | v0.1.34, v0.1.36 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glad/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glad/xmake.lua) |

##### Install command

```console
xrepo install glad
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glad")
```


### glaze (linux)


| Description | *Extremely fast, in memory, JSON and interface library for modern C++* |
| -- | -- |
| Homepage | [https://github.com/stephenberry/glaze](https://github.com/stephenberry/glaze) |
| License | MIT |
| Versions | v1.3.5, v2.2.0, v2.3.1, v2.4.2, v2.4.4, v2.5.3, v2.6.4, v2.7.0, v2.9.5, v3.1.7, v3.3.2, v3.6.0, v3.6.2, v4.0.1, v4.2.2, v4.4.2, v4.4.3, v5.0.2, v5.1.0, v5.1.2, v5.2.0, v5.2.1, v5.3.0, v5.3.1, v5.4.0, v5.4.1, v5.5.0, v5.5.1, v5.5.2, v5.5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glaze/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glaze/xmake.lua) |

##### Install command

```console
xrepo install glaze
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glaze")
```


### glbinding (linux)


| Description | *A C++ binding for the OpenGL API, generated using the gl.xml specification. * |
| -- | -- |
| Homepage | [https://glbinding.org](https://glbinding.org) |
| License | MIT |
| Versions | v2.0.0, v2.1.1, v2.1.2, v2.1.3, v2.1.4, v3.0.2, v3.1.0, v3.3.0, v3.4.0, v3.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glbinding/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glbinding/xmake.lua) |

##### Install command

```console
xrepo install glbinding
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glbinding")
```


### glew (linux)


| Description | *A cross-platform open-source C/C++ extension loading library.* |
| -- | -- |
| Homepage | [http://glew.sourceforge.net/](http://glew.sourceforge.net/) |
| Versions | 2.1.0, 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glew/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glew/xmake.lua) |

##### Install command

```console
xrepo install glew
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glew")
```


### glfw (linux)


| Description | *GLFW is an Open Source, multi-platform library for OpenGL, OpenGL ES and Vulkan application development.* |
| -- | -- |
| Homepage | [https://www.glfw.org/](https://www.glfw.org/) |
| License | zlib |
| Versions | 3.3.2, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.3.8, 3.3.9, 3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glfw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glfw/xmake.lua) |

##### Install command

```console
xrepo install glfw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glfw")
```


### glfw3webgpu (linux)


| Description | *An extension for the GLFW library for using WebGPU native.* |
| -- | -- |
| Homepage | [https://github.com/eliemichel/glfw3webgpu](https://github.com/eliemichel/glfw3webgpu) |
| License | MIT |
| Versions | v1.0.1, v1.1.0, v1.2.0, v1.3.0-alpha |
| Architectures | x86_64 |
| Definition | [glfw3webgpu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glfw3webgpu/xmake.lua) |

##### Install command

```console
xrepo install glfw3webgpu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glfw3webgpu")
```


### gli (linux)


| Description | *OpenGL Image (GLI)* |
| -- | -- |
| Homepage | [https://gli.g-truc.net/](https://gli.g-truc.net/) |
| Versions | 0.8.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gli/xmake.lua) |

##### Install command

```console
xrepo install gli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gli")
```


### glib (linux)


| Description | *Low-level core library that forms the basis for projects such as GTK+ and GNOME.* |
| -- | -- |
| Homepage | [https://docs.gtk.org/glib/](https://docs.gtk.org/glib/) |
| License | LGPL-2.1 |
| Versions | 2.71.0, 2.78.1, 2.85.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glib/xmake.lua) |

##### Install command

```console
xrepo install glib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glib")
```


### glm (linux)


| Description | *OpenGL Mathematics (GLM)* |
| -- | -- |
| Homepage | [https://glm.g-truc.net/](https://glm.g-truc.net/) |
| License | MIT |
| Versions | 0.9.9+8, 1.0.0, 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glm/xmake.lua) |

##### Install command

```console
xrepo install glm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glm")
```


### glob (linux)


| Description | *Glob for C++17* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/glob](https://github.com/p-ranav/glob) |
| License | MIT |
| Versions | 2024.04.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glob/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glob/xmake.lua) |

##### Install command

```console
xrepo install glob
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glob")
```


### glog (linux)


| Description | *C++ implementation of the Google logging module* |
| -- | -- |
| Homepage | [https://github.com/google/glog/](https://github.com/google/glog/) |
| License | BSD-3-Clause |
| Versions | v0.4.0, v0.5.0, v0.6.0, v0.7.0, v0.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glog/xmake.lua) |

##### Install command

```console
xrepo install glog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glog")
```


### glpk (linux)


| Description | *The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/glpk/](https://www.gnu.org/software/glpk/) |
| License | GPL-3.0 |
| Versions | 5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glpk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glpk/xmake.lua) |

##### Install command

```console
xrepo install glpk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glpk")
```


### glshaderpp (linux)


| Description | *A lightweight header-only library to compile and link OpenGL GLSL shaders.* |
| -- | -- |
| Homepage | [https://gitlab-lepuy.iut.uca.fr/opengl/glshaderpp](https://gitlab-lepuy.iut.uca.fr/opengl/glshaderpp) |
| License | LGPL-3.0-or-later |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glshaderpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glshaderpp/xmake.lua) |

##### Install command

```console
xrepo install glshaderpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glshaderpp")
```


### glslang (linux)


| Description | *Khronos-reference front end for GLSL/ESSL, partial front end for HLSL, and a SPIR-V generator.* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/glslang/](https://github.com/KhronosGroup/glslang/) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glslang/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glslang/xmake.lua) |

##### Install command

```console
xrepo install glslang
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glslang")
```


### glu (linux)


| Description | *OpenGL utility library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/mesa/glu](https://gitlab.freedesktop.org/mesa/glu) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glu/xmake.lua) |

##### Install command

```console
xrepo install glu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glu")
```


### glut (linux)


| Description | *OpenGL utility toolkit* |
| -- | -- |
| Homepage | [https://www.opengl.org/resources/libraries/glut/](https://www.opengl.org/resources/libraries/glut/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glut/xmake.lua) |

##### Install command

```console
xrepo install glut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glut")
```


### glx (linux)


| Description | *an extension to the X Window System core protocol providing an interface between OpenGL and the X Window System* |
| -- | -- |
| Homepage | [https://www.khronos.org/registry/OpenGL-Refpages/gl2.1/xhtml/glXIntro.xml](https://www.khronos.org/registry/OpenGL-Refpages/gl2.1/xhtml/glXIntro.xml) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [glx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glx/xmake.lua) |

##### Install command

```console
xrepo install glx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glx")
```


### gmm (linux)


| Description | *Gmm++ provides some basic types of sparse and dense matrices and vectors.* |
| -- | -- |
| Homepage | [http://getfem.org/gmm/index.html](http://getfem.org/gmm/index.html) |
| Versions | 5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gmm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmm/xmake.lua) |

##### Install command

```console
xrepo install gmm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmm")
```


### gmp (linux)


| Description | *GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating-point numbers.* |
| -- | -- |
| Homepage | [https://gmplib.org/](https://gmplib.org/) |
| License | LGPL-3.0 |
| Versions | 6.2.1, 6.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gmp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmp/xmake.lua) |

##### Install command

```console
xrepo install gmp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmp")
```


### gmsh (linux)


| Description | *Gmsh is an open source 3D finite element mesh generator with a built-in CAD engine and post-processor.* |
| -- | -- |
| Homepage | [http://gmsh.info/](http://gmsh.info/) |
| License | GPL-2.0 |
| Versions | 4.8.4, 4.11.1, 4.13.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gmsh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmsh/xmake.lua) |

##### Install command

```console
xrepo install gmsh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmsh")
```


### gmssl (linux)


| Description | *Password Toolkit supporting National secret chip SM2/SM3/SM4/SM9/SSL* |
| -- | -- |
| Homepage | [https://github.com/guanzhi/GmSSL](https://github.com/guanzhi/GmSSL) |
| License | Apache-2.0 |
| Versions | v3.1.0, v3.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gmssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmssl/xmake.lua) |

##### Install command

```console
xrepo install gmssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmssl")
```


### gn (linux)


| Description | *GN is a meta-build system that generates build files for Ninja.* |
| -- | -- |
| Homepage | [https://gn.googlesource.com/gn](https://gn.googlesource.com/gn) |
| Versions | 20211117 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gn/xmake.lua) |

##### Install command

```console
xrepo install gn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gn")
```


### gnu-gsl (linux)


| Description | *The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/gsl/](https://www.gnu.org/software/gsl/) |
| License | GPL-3.0 |
| Versions | 2.7, 2.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gnu-gsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gnu-gsl/xmake.lua) |

##### Install command

```console
xrepo install gnu-gsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gnu-gsl")
```


### gnu-rm (linux)


| Description | *GNU Arm Embedded Toolchain* |
| -- | -- |
| Homepage | [https://developer.arm.com/tools-and-software/open-source-software/developer-tools/gnu-toolchain/gnu-rm](https://developer.arm.com/tools-and-software/open-source-software/developer-tools/gnu-toolchain/gnu-rm) |
| Versions | 2020.10, 2021.10, 2024.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gnu-rm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gnu-rm/xmake.lua) |

##### Install command

```console
xrepo install gnu-rm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gnu-rm")
```


### gnu-sed (linux)


| Description | *GNU implementation of the famous stream editor.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/sed/](https://www.gnu.org/software/sed/) |
| License | GPL-3.0 |
| Versions | 4.8, 4.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gnu-sed/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gnu-sed/xmake.lua) |

##### Install command

```console
xrepo install gnu-sed
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gnu-sed")
```


### go (linux)


| Description | *The Go Programming Language* |
| -- | -- |
| Homepage | [https://go.dev](https://go.dev) |
| License | BSD-3-Clause |
| Versions | 1.22.6, 1.22.7, 1.22.8, 1.22.9, 1.22.10, 1.22.11, 1.22.12, 1.23.0, 1.23.1, 1.23.2, 1.23.3, 1.23.4, 1.23.5, 1.23.6, 1.23.7, 1.23.8, 1.23.9, 1.23.10, 1.23.11, 1.24.0, 1.24.1, 1.24.2, 1.24.3, 1.24.4, 1.24.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [go/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/go/xmake.lua) |

##### Install command

```console
xrepo install go
```

##### Integration in the project (xmake.lua)

```lua
add_requires("go")
```


### gobject-introspection (linux)


| Description | *GObject introspection is a middleware layer between C libraries (using GObject) and language bindings.* |
| -- | -- |
| Homepage | [https://gi.readthedocs.io/en/latest/](https://gi.readthedocs.io/en/latest/) |
| License | LGPL-2.0 |
| Versions | 1.70.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gobject-introspection/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gobject-introspection/xmake.lua) |

##### Install command

```console
xrepo install gobject-introspection
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gobject-introspection")
```


### godotcpp (linux)


| Description | *C++ bindings for the Godot script API* |
| -- | -- |
| Homepage | [https://godotengine.org/](https://godotengine.org/) |
| Versions | 3.2, 3.3, 3.4.0, 3.4.3, 3.4.4, 3.4.5, 3.5, 3.5.1, 3.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [godotcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/godotcpp/xmake.lua) |

##### Install command

```console
xrepo install godotcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("godotcpp")
```


### godotcpp4 (linux)


| Description | *C++ bindings for the Godot 4 script API* |
| -- | -- |
| Homepage | [https://godotengine.org/](https://godotengine.org/) |
| License | MIT |
| Versions | 4.0, 4.1, 4.2, 4.3, 4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [godotcpp4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/godotcpp4/xmake.lua) |

##### Install command

```console
xrepo install godotcpp4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("godotcpp4")
```


### google-cloud-cpp (linux)


| Description | *C++ Client Libraries for Google Cloud Services* |
| -- | -- |
| Homepage | [https://github.com/googleapis/google-cloud-cpp](https://github.com/googleapis/google-cloud-cpp) |
| License | Apache-2.0 |
| Versions | v2.33.0, v2.34.0, v2.36.0, v2.37.0, v2.38.0, v2.39.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [google-cloud-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/google-cloud-cpp/xmake.lua) |

##### Install command

```console
xrepo install google-cloud-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("google-cloud-cpp")
```


### gperf (linux)


| Description | *Perfect hash function generator.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/gperf](https://www.gnu.org/software/gperf) |
| License | GPL-3.0-or-later |
| Versions | 3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gperf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gperf/xmake.lua) |

##### Install command

```console
xrepo install gperf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gperf")
```


### gperftools (linux)


| Description | *gperftools is a collection of a high-performance multi-threaded malloc() implementation, plus some pretty nifty performance analysis tools.* |
| -- | -- |
| Homepage | [https://github.com/gperftools/gperftools](https://github.com/gperftools/gperftools) |
| License | BSD-3-Clause |
| Versions | 2.10, 2.11, 2.12, 2.13, 2.14, 2.15, 2.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gperftools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gperftools/xmake.lua) |

##### Install command

```console
xrepo install gperftools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gperftools")
```


### gpujpeg (linux)


| Description | *JPEG encoder and decoder library and console application for NVIDIA GPUs from CESNET and SITOLA of Faculty of Informatics at Masaryk University.* |
| -- | -- |
| Homepage | [https://github.com/CESNET/GPUJPEG](https://github.com/CESNET/GPUJPEG) |
| Versions | continuous |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gpujpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gpujpeg/xmake.lua) |

##### Install command

```console
xrepo install gpujpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gpujpeg")
```


### gr (linux)


| Description | *GR framework: a graphics library for visualisation applications* |
| -- | -- |
| Homepage | [https://gr-framework.org/](https://gr-framework.org/) |
| License | MIT |
| Versions | 0.57.0, 0.58.0, 0.62.0, 0.64.0 |
| Architectures | i386, x86_64 |
| Definition | [gr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gr/xmake.lua) |

##### Install command

```console
xrepo install gr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gr")
```


### graaf (linux)


| Description | *A general-purpose lightweight C++ graph library* |
| -- | -- |
| Homepage | [https://bobluppes.github.io/graaf/](https://bobluppes.github.io/graaf/) |
| License | MIT |
| Versions | v1.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [graaf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/graaf/xmake.lua) |

##### Install command

```console
xrepo install graaf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("graaf")
```


### graphene (linux)


| Description | *A thin layer of graphic data types* |
| -- | -- |
| Homepage | [http://ebassi.github.io/graphene/](http://ebassi.github.io/graphene/) |
| License | MIT |
| Versions | 1.10.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [graphene/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/graphene/xmake.lua) |

##### Install command

```console
xrepo install graphene
```

##### Integration in the project (xmake.lua)

```lua
add_requires("graphene")
```


### grpc (linux)


| Description | *The C based gRPC (C++, Python, Ruby, Objective-C, PHP, C#)* |
| -- | -- |
| Homepage | [https://grpc.io](https://grpc.io) |
| License | Apache-2.0 |
| Versions | v1.51.3, v1.62.1, v1.68.2, v1.69.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [grpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/grpc/xmake.lua) |

##### Install command

```console
xrepo install grpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("grpc")
```


### gsl (linux)


| Description | *Guidelines Support Library* |
| -- | -- |
| Homepage | [https://github.com/microsoft/GSL](https://github.com/microsoft/GSL) |
| License | MIT |
| Versions | v3.1.0, v4.0.0, v4.1.0, v4.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gsl/xmake.lua) |

##### Install command

```console
xrepo install gsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gsl")
```


### gsl-lite (linux)


| Description | *gsl-lite – A single-file header-only version of ISO C++ Guidelines Support Library (GSL) for C++98, C++11, and later* |
| -- | -- |
| Homepage | [https://github.com/gsl-lite/gsl-lite](https://github.com/gsl-lite/gsl-lite) |
| License | MIT |
| Versions | v0.41.0, v0.42.0, v0.43.0, v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gsl-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gsl-lite/xmake.lua) |

##### Install command

```console
xrepo install gsl-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gsl-lite")
```


### gsound (linux)


| Description | *GSound is a small library for playing system sounds.* |
| -- | -- |
| Homepage | [https://wiki.gnome.org/Projects/GSound](https://wiki.gnome.org/Projects/GSound) |
| License | LGPL-2.1 |
| Versions | 1.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gsound/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gsound/xmake.lua) |

##### Install command

```console
xrepo install gsound
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gsound")
```


### gspell (linux)


| Description | *A spell-checking library for GTK applications* |
| -- | -- |
| Homepage | [https://gitlab.gnome.org/GNOME/gspell](https://gitlab.gnome.org/GNOME/gspell) |
| License | LGPL-2.0-or-later |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gspell/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gspell/xmake.lua) |

##### Install command

```console
xrepo install gspell
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gspell")
```


### gstreamer (linux)


| Description | *GStreamer is a development framework for creating applications like media players, video editors, streaming media broadcasters and so on* |
| -- | -- |
| Homepage | [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org) |
| License | LGPL-2.0-or-later |
| Versions | 1.24.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gstreamer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gstreamer/xmake.lua) |

##### Install command

```console
xrepo install gstreamer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gstreamer")
```


### gtest (linux)


| Description | *Google Testing and Mocking Framework.* |
| -- | -- |
| Homepage | [https://github.com/google/googletest](https://github.com/google/googletest) |
| License | BSD-3 |
| Versions | v1.8.1, v1.10.0, v1.11.0, v1.12.0, v1.12.1, v1.13.0, v1.14.0, v1.15.2, v1.16.0, v1.17.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gtest/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gtest/xmake.lua) |

##### Install command

```console
xrepo install gtest
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gtest")
```


### gtk+4 (linux)


| Description | *Toolkit for creating graphical user interfaces* |
| -- | -- |
| Homepage | [https://gtk.org/](https://gtk.org/) |
| License | LGPL-2.0-or-later |
| Versions | 4.13.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gtk+4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gtk+4/xmake.lua) |

##### Install command

```console
xrepo install gtk+4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gtk+4")
```


### gtk3 (linux)


| Description | *Toolkit for creating graphical user interfaces* |
| -- | -- |
| Homepage | [https://gtk.org/](https://gtk.org/) |
| License | LGPL-2.0-or-later |
| Versions | 3.24.43 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gtk3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gtk3/xmake.lua) |

##### Install command

```console
xrepo install gtk3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gtk3")
```


### gtk4 (linux)


| Description | *Toolkit for creating graphical user interfaces* |
| -- | -- |
| Homepage | [https://gtk.org/](https://gtk.org/) |
| License | LGPL-2.0-or-later |
| Versions | 4.13.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gtk4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gtk4/xmake.lua) |

##### Install command

```console
xrepo install gtk4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gtk4")
```


### guetzli (linux)


| Description | *Perceptual JPEG encoder* |
| -- | -- |
| Homepage | [https://github.com/google/guetzli](https://github.com/google/guetzli) |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [guetzli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/guetzli/xmake.lua) |

##### Install command

```console
xrepo install guetzli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("guetzli")
```


### guilite (linux)


| Description | *The smallest header-only GUI library (4 KLOC) for all platforms.* |
| -- | -- |
| Homepage | [https://github.com/idea4good/GuiLite](https://github.com/idea4good/GuiLite) |
| License | Apache-2.0 |
| Versions | v2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [guilite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/guilite/xmake.lua) |

##### Install command

```console
xrepo install guilite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("guilite")
```


### gumbo-parser (linux)


| Description | *An HTML5 parsing library in pure C99* |
| -- | -- |
| Homepage | [https://github.com/google/gumbo-parser](https://github.com/google/gumbo-parser) |
| License | Apache-2.0 |
| Versions | v0.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gumbo-parser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gumbo-parser/xmake.lua) |

##### Install command

```console
xrepo install gumbo-parser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gumbo-parser")
```


### gyp-next (linux)


| Description | *A fork of the GYP build system for use in the Node.js projects* |
| -- | -- |
| Homepage | [https://github.com/nodejs/gyp-next](https://github.com/nodejs/gyp-next) |
| License | BSD-3-Clause |
| Versions | v0.11.0, v0.16.1, v0.16.2, v0.18.0, v0.18.1, v0.18.2, v0.18.3, v0.19.1, v0.20.0, v0.20.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gyp-next/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gyp-next/xmake.lua) |

##### Install command

```console
xrepo install gyp-next
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gyp-next")
```


### gzip-hpp (linux)


| Description | *Gzip header-only C++ library* |
| -- | -- |
| Homepage | [https://github.com/mapbox/gzip-hpp](https://github.com/mapbox/gzip-hpp) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [gzip-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gzip-hpp/xmake.lua) |

##### Install command

```console
xrepo install gzip-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gzip-hpp")
```



## h
### h3 (linux)


| Description | *Hexagonal hierarchical geospatial indexing system* |
| -- | -- |
| Homepage | [https://h3geo.org](https://h3geo.org) |
| License | Apache-2.0 |
| Versions | v4.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [h3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/h3/xmake.lua) |

##### Install command

```console
xrepo install h3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("h3")
```


### h5cpp (linux)


| Description | *C++ wrapper for the HDF5 C-library* |
| -- | -- |
| Homepage | [https://ess-dmsc.github.io/h5cpp/](https://ess-dmsc.github.io/h5cpp/) |
| License | LGPL-2.1 |
| Versions | v0.5.1, v0.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [h5cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/h5cpp/xmake.lua) |

##### Install command

```console
xrepo install h5cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("h5cpp")
```


### haclog (linux)


| Description | *Haclog(Happy Aync C log) is an extremely fast plain C logging library* |
| -- | -- |
| Homepage | [https://github.com/MuggleWei/haclog](https://github.com/MuggleWei/haclog) |
| License | MIT |
| Versions | v0.0.5, v0.1.6, v0.2.0, v0.4.0, v0.4.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [haclog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/haclog/xmake.lua) |

##### Install command

```console
xrepo install haclog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("haclog")
```


### half (linux)


| Description | *C++ library for half precision floating point arithmetics* |
| -- | -- |
| Homepage | [https://half.sourceforge.net](https://half.sourceforge.net) |
| License | MIT |
| Versions | 2.2.0, 2.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [half/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/half/xmake.lua) |

##### Install command

```console
xrepo install half
```

##### Integration in the project (xmake.lua)

```lua
add_requires("half")
```


### handy (linux)


| Description | *A simple C++11 network server framework* |
| -- | -- |
| Homepage | [https://github.com/yedf2/handy](https://github.com/yedf2/handy) |
| License | BSD-2-Clause |
| Versions | 0.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [handy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/handy/xmake.lua) |

##### Install command

```console
xrepo install handy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("handy")
```


### happly (linux)


| Description | *A C++ header-only parser for the PLY file format.* |
| -- | -- |
| Homepage | [https://github.com/nmwsharp/happly](https://github.com/nmwsharp/happly) |
| License | MIT |
| Versions | 2022.01.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [happly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/happly/xmake.lua) |

##### Install command

```console
xrepo install happly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("happly")
```


### harfbuzz (linux)


| Description | *HarfBuzz is a text shaping library.* |
| -- | -- |
| Homepage | [https://harfbuzz.github.io/](https://harfbuzz.github.io/) |
| License | MIT |
| Versions | 2.8.1, 2.9.0, 3.0.0, 3.1.1, 4.4.1, 5.3.1, 6.0.0, 7.3.0, 8.0.0, 8.0.1, 8.1.0, 8.1.1, 8.3.0, 8.4.0, 8.5.0, 9.0.0, 10.0.1, 10.1.0, 10.2.0, 10.3.0, 10.4.0, 11.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [harfbuzz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/harfbuzz/xmake.lua) |

##### Install command

```console
xrepo install harfbuzz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("harfbuzz")
```


### hash-library (linux)


| Description | *Portable C++ hashing library* |
| -- | -- |
| Homepage | [https://create.stephan-brumme.com/hash-library/](https://create.stephan-brumme.com/hash-library/) |
| License | zlib |
| Versions | 2021.09.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hash-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hash-library/xmake.lua) |

##### Install command

```console
xrepo install hash-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hash-library")
```


### hdf5 (linux)


| Description | *High-performance data management and storage suite* |
| -- | -- |
| Homepage | [https://www.hdfgroup.org/solutions/hdf5/](https://www.hdfgroup.org/solutions/hdf5/) |
| License | BSD-3-Clause |
| Versions | 1.10.7, 1.12.0, 1.12.1, 1.12.2, 1.13.2, 1.13.3, 1.14.0, 1.14.4-3, 1.14.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hdf5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hdf5/xmake.lua) |

##### Install command

```console
xrepo install hdf5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hdf5")
```


### hdrhistogram_c (linux)


| Description | *C port of High Dynamic Range (HDR) Histogram* |
| -- | -- |
| Homepage | [https://github.com/HdrHistogram/HdrHistogram_c](https://github.com/HdrHistogram/HdrHistogram_c) |
| Versions | 2021.1.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hdrhistogram_c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hdrhistogram_c/xmake.lua) |

##### Install command

```console
xrepo install hdrhistogram_c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hdrhistogram_c")
```


### hedley (linux)


| Description | *A C/C++ header to help move #ifdefs out of your code* |
| -- | -- |
| Homepage | [https://nemequ.github.io/hedley/](https://nemequ.github.io/hedley/) |
| License | CC0-1.0 |
| Versions | v15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hedley/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hedley/xmake.lua) |

##### Install command

```console
xrepo install hedley
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hedley")
```


### hexl (linux)


| Description | *Intel:registered: Homomorphic Encryption Acceleration Library accelerates modular arithmetic operations used in homomorphic encryption* |
| -- | -- |
| Homepage | [https://intel.github.io/hexl](https://intel.github.io/hexl) |
| License | Apache-2.0 |
| Versions | v1.2.5, v1.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hexl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hexl/xmake.lua) |

##### Install command

```console
xrepo install hexl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hexl")
```


### hffix (linux)


| Description | *C++ Library for FIX (Financial Information Exchange) Protocol.* |
| -- | -- |
| Homepage | [https://github.com/jamesdbrock/hffix](https://github.com/jamesdbrock/hffix) |
| License | BSD-2-Clause |
| Versions | v1.1.0, v1.4.0, v1.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hffix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hffix/xmake.lua) |

##### Install command

```console
xrepo install hffix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hffix")
```


### hidapi (linux)


| Description | *A Simple cross-platform library for communicating with HID devices* |
| -- | -- |
| Homepage | [https://libusb.info/hidapi/](https://libusb.info/hidapi/) |
| License | BSD-3-Clause |
| Versions | 0.14.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hidapi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hidapi/xmake.lua) |

##### Install command

```console
xrepo install hidapi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hidapi")
```


### highfive (linux)


| Description | *HighFive - Header-only C++ HDF5 interface* |
| -- | -- |
| Homepage | [https://github.com/BlueBrain/HighFive](https://github.com/BlueBrain/HighFive) |
| License | BSL-1.0 |
| Versions | v2.3.1, v2.6.1, v2.9.0, v2.10.0, v2.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [highfive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/highfive/xmake.lua) |

##### Install command

```console
xrepo install highfive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("highfive")
```


### highs (linux)


| Description | *Linear optimization software* |
| -- | -- |
| Homepage | [https://github.com/ERGO-Code/HiGHS](https://github.com/ERGO-Code/HiGHS) |
| License | MIT |
| Versions | v1.5.3, v1.7.0, v1.7.1, v1.7.2, v1.8.0, v1.8.1, v1.9.0, v1.10.0, v1.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [highs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/highs/xmake.lua) |

##### Install command

```console
xrepo install highs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("highs")
```


### highway (linux)


| Description | *Performance-portable, length-agnostic SIMD with runtime dispatch* |
| -- | -- |
| Homepage | [https://github.com/google/highway](https://github.com/google/highway) |
| License | Apache-2.0 |
| Versions | 1.1.0, 1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [highway/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/highway/xmake.lua) |

##### Install command

```console
xrepo install highway
```

##### Integration in the project (xmake.lua)

```lua
add_requires("highway")
```


### hiredis (linux)


| Description | *Minimalistic C client for Redis >= 1.2* |
| -- | -- |
| Homepage | [https://github.com/redis/hiredis](https://github.com/redis/hiredis) |
| License | BSD-3-Clause |
| Versions | v1.0.2, v1.1.0, v1.2.0, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hiredis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hiredis/xmake.lua) |

##### Install command

```console
xrepo install hiredis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hiredis")
```


### hlslpp (linux)


| Description | *Math library using hlsl syntax with SSE/NEON support* |
| -- | -- |
| Homepage | [https://github.com/redorav/hlslpp](https://github.com/redorav/hlslpp) |
| License | MIT |
| Versions | 3.1, 3.2.3, 3.4, 3.5, 3.5.1, 3.5.3, 3.6, 3.7 |
| Architectures | armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hlslpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hlslpp/xmake.lua) |

##### Install command

```console
xrepo install hlslpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hlslpp")
```


### hopscotch-map (linux)


| Description | *A C++ implementation of a fast hash map and hash set using hopscotch hashing* |
| -- | -- |
| Homepage | [https://github.com/Tessil/hopscotch-map](https://github.com/Tessil/hopscotch-map) |
| License | MIT |
| Versions | v2.3.0, v2.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hopscotch-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hopscotch-map/xmake.lua) |

##### Install command

```console
xrepo install hopscotch-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hopscotch-map")
```


### houdini (linux)


| Description | *Houdini is built from the ground up to be a procedural system that empowers artists to work freely, create multiple iterations and rapidly share workflows with colleagues.* |
| -- | -- |
| Homepage | [https://www.sidefx.com/](https://www.sidefx.com/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [houdini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/houdini/xmake.lua) |

##### Install command

```console
xrepo install houdini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("houdini")
```


### hpsocket (linux)


| Description | *High Performance Network Framework* |
| -- | -- |
| Homepage | [https://github.com/ldcsaa/HP-Socket](https://github.com/ldcsaa/HP-Socket) |
| License | Apache-2.0 |
| Versions | v5.7.3, v5.8.4, v5.9.1, v6.0.1, v6.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hpsocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hpsocket/xmake.lua) |

##### Install command

```console
xrepo install hpsocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hpsocket")
```


### http_parser (linux)


| Description | *Parser for HTTP messages written in C.* |
| -- | -- |
| Homepage | [https://github.com/nodejs/http-parser](https://github.com/nodejs/http-parser) |
| License | MIT |
| Versions | v2.9.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [http_parser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/http_parser/xmake.lua) |

##### Install command

```console
xrepo install http_parser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("http_parser")
```


### hwdata (linux)


| Description | *hwdata contains various hardware identification and configuration data, such as the pci.ids and usb.ids databases.* |
| -- | -- |
| Homepage | [https://github.com/vcrhonek/hwdata](https://github.com/vcrhonek/hwdata) |
| License | GPL-2.0-or-later |
| Versions | v0.397 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hwdata/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hwdata/xmake.lua) |

##### Install command

```console
xrepo install hwdata
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hwdata")
```


### hwinfo (linux)


| Description | *Cross platform C++ library for hardware information (CPU, RAM, GPU, ...)* |
| -- | -- |
| Homepage | [https://github.com/lfreist/hwinfo](https://github.com/lfreist/hwinfo) |
| License | MIT |
| Versions | 2025.05.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hwinfo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hwinfo/xmake.lua) |

##### Install command

```console
xrepo install hwinfo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hwinfo")
```


### hwloc (linux)


| Description | *Portable Hardware Locality (hwloc)* |
| -- | -- |
| Homepage | [https://www.open-mpi.org/software/hwloc/](https://www.open-mpi.org/software/hwloc/) |
| License | BSD-3-Clause |
| Versions | 2.5.0, 2.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hwloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hwloc/xmake.lua) |

##### Install command

```console
xrepo install hwloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hwloc")
```


### hyperscan (linux)


| Description | *High-performance regular expression matching library* |
| -- | -- |
| Homepage | [https://www.hyperscan.io](https://www.hyperscan.io) |
| License | BSD-3 |
| Versions | v5.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hyperscan/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hyperscan/xmake.lua) |

##### Install command

```console
xrepo install hyperscan
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hyperscan")
```


### hypre (linux)


| Description | *Parallel solvers for sparse linear systems featuring multigrid methods.* |
| -- | -- |
| Homepage | [https://computing.llnl.gov/projects/hypre-scalable-linear-solvers-multigrid-methods](https://computing.llnl.gov/projects/hypre-scalable-linear-solvers-multigrid-methods) |
| License | Apache-2.0 |
| Versions | v2.20.0, v2.23.0, v2.30.0, v2.31.0, v2.32.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hypre/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hypre/xmake.lua) |

##### Install command

```console
xrepo install hypre
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hypre")
```


### hyprwayland-scanner (linux)


| Description | *A Hyprland implementation of wayland-scanner, in and for C++.* |
| -- | -- |
| Homepage | [https://github.com/hyprwm/hyprwayland-scanner](https://github.com/hyprwm/hyprwayland-scanner) |
| License | BSD-3-Clause |
| Versions | v0.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [hyprwayland-scanner/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hyprwayland-scanner/xmake.lua) |

##### Install command

```console
xrepo install hyprwayland-scanner
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hyprwayland-scanner")
```



## i
### icbc (linux)


| Description | *A High Quality SIMD BC1 Encoder* |
| -- | -- |
| Homepage | [https://github.com/castano/icbc](https://github.com/castano/icbc) |
| License | MIT |
| Versions | 1.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [icbc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/icbc/xmake.lua) |

##### Install command

```console
xrepo install icbc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("icbc")
```


### icu4c (linux)


| Description | *C/C++ libraries for Unicode and globalization.* |
| -- | -- |
| Homepage | [http://site.icu-project.org/](http://site.icu-project.org/) |
| Versions | 64.2, 68.1, 68.2, 69.1, 70.1, 71.1, 72.1, 73.1, 73.2, 75.1, 76.1, 77.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [icu4c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/icu4c/xmake.lua) |

##### Install command

```console
xrepo install icu4c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("icu4c")
```


### idna (linux)


| Description | *C++ library implementing the to_ascii and to_unicode functions from the Unicode Technical Standard.* |
| -- | -- |
| Homepage | [https://github.com/ada-url/idna](https://github.com/ada-url/idna) |
| License | Apache-2.0 |
| Versions | 0.2.0, 0.3.2, 0.3.3, 0.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [idna/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/idna/xmake.lua) |

##### Install command

```console
xrepo install idna
```

##### Integration in the project (xmake.lua)

```lua
add_requires("idna")
```


### ifort (linux)


| Description | *The Fortran Compiler provided by Intel®* |
| -- | -- |
| Homepage | [https://www.intel.com/content/www/us/en/developer/tools/oneapi/fortran-compiler.html](https://www.intel.com/content/www/us/en/developer/tools/oneapi/fortran-compiler.html) |
| Versions | 2021.4.0+3224 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ifort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ifort/xmake.lua) |

##### Install command

```console
xrepo install ifort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ifort")
```


### ignite3 (linux)


| Description | *Apache Ignite 3 C++ client library* |
| -- | -- |
| Homepage | [https://ignite.apache.org](https://ignite.apache.org) |
| License | Apache-2.0 |
| Versions | 3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ignite3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ignite3/xmake.lua) |

##### Install command

```console
xrepo install ignite3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ignite3")
```


### igraph (linux)


| Description | *Library for the analysis of networks* |
| -- | -- |
| Homepage | [https://igraph.org](https://igraph.org) |
| License | GPL-2.0 |
| Versions | 0.10.15, 0.10.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [igraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/igraph/xmake.lua) |

##### Install command

```console
xrepo install igraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("igraph")
```


### iguana (linux)


| Description | *universal serialization engine* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/iguana](https://github.com/qicosmos/iguana) |
| License | Apache-2.0 |
| Versions | v1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.0.7, 1.0.8, 1.0.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [iguana/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iguana/xmake.lua) |

##### Install command

```console
xrepo install iguana
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iguana")
```


### im3d (linux)


| Description | *File Dialog for Dear ImGui* |
| -- | -- |
| Homepage | [https://github.com/john-chapman/im3d](https://github.com/john-chapman/im3d) |
| License | MIT |
| Versions | 2023.06.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [im3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/im3d/xmake.lua) |

##### Install command

```console
xrepo install im3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("im3d")
```


### imagemagick (linux)


| Description | *ImageMagick is a FOSS software suite for modifying images. This does NOT provide any of the utilities. It installs the C/C++ Libraries.* |
| -- | -- |
| Homepage | [https://imagemagick.org/script/index.php](https://imagemagick.org/script/index.php) |
| License | Apache-2.0 |
| Versions | 7.0.11-13, 7.1.0-4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imagemagick/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imagemagick/xmake.lua) |

##### Install command

```console
xrepo install imagemagick
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imagemagick")
```


### imath (linux)


| Description | *Imath is a C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics* |
| -- | -- |
| Homepage | [https://github.com/AcademySoftwareFoundation/Imath/](https://github.com/AcademySoftwareFoundation/Imath/) |
| License | BSD-3-Clause |
| Versions | v3.1.0, v3.1.1, v3.1.2, v3.1.3, v3.1.4, v3.1.5, v3.1.9, v3.1.10, v3.1.11, v3.1.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imath/xmake.lua) |

##### Install command

```console
xrepo install imath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imath")
```


### imcoolbar (linux)


| Description | *A Cool bar for Dear ImGui* |
| -- | -- |
| Homepage | [https://github.com/aiekick/ImCoolBar](https://github.com/aiekick/ImCoolBar) |
| License | MIT |
| Versions | 2023.07.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imcoolbar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imcoolbar/xmake.lua) |

##### Install command

```console
xrepo install imcoolbar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imcoolbar")
```


### imgui (linux)


| Description | *Bloat-free Immediate Mode Graphical User interface for C++ with minimal dependencies* |
| -- | -- |
| Homepage | [https://github.com/ocornut/imgui](https://github.com/ocornut/imgui) |
| License | MIT |
| Versions | v1.75, v1.76, v1.77, v1.78, v1.79, v1.80, v1.81, v1.82, v1.83-docking, v1.83, v1.84.1, v1.84.2, v1.85-docking, v1.85, v1.86, v1.87-docking, v1.87, v1.88-docking, v1.88, v1.89-docking, v1.89, v1.89.3-docking, v1.89.3, v1.89.4-docking, v1.89.4, v1.89.5-docking, v1.89.5, v1.89.6-docking, v1.89.6, v1.89.7-docking, v1.89.7, v1.89.8-docking, v1.89.8, v1.89.9-docking, v1.89.9, v1.90-docking, v1.90, v1.90.1-docking, v1.90.1, v1.90.2-docking, v1.90.2, v1.90.3-docking, v1.90.3, v1.90.4-docking, v1.90.4, v1.90.5-docking, v1.90.5, v1.90.6-docking, v1.90.6, v1.90.7-docking, v1.90.7, v1.90.8-docking, v1.90.8, v1.90.9-docking, v1.90.9, v1.91.0-docking, v1.91.0, v1.91.1-docking, v1.91.1, v1.91.2-docking, v1.91.2, v1.91.3-docking, v1.91.3, v1.91.4-docking, v1.91.4, v1.91.5-docking, v1.91.5, v1.91.6-docking, v1.91.6, v1.91.7-docking, v1.91.7, v1.91.8-docking, v1.91.8, v1.91.9-docking, v1.91.9, v1.92.0-docking, v1.92.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imgui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui/xmake.lua) |

##### Install command

```console
xrepo install imgui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui")
```


### imgui-color-text-edit (linux)


| Description | *Colorizing text editor for ImGui* |
| -- | -- |
| Homepage | [https://github.com/BalazsJako/ImGuiColorTextEdit](https://github.com/BalazsJako/ImGuiColorTextEdit) |
| License | MIT |
| Versions | 2019.06.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imgui-color-text-edit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui-color-text-edit/xmake.lua) |

##### Install command

```console
xrepo install imgui-color-text-edit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui-color-text-edit")
```


### imgui-file-dialog (linux)


| Description | *File Dialog for Dear ImGui* |
| -- | -- |
| Homepage | [https://github.com/aiekick/ImGuiFileDialog](https://github.com/aiekick/ImGuiFileDialog) |
| License | MIT |
| Versions | v0.6.5, v0.6.6, v0.6.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imgui-file-dialog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui-file-dialog/xmake.lua) |

##### Install command

```console
xrepo install imgui-file-dialog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui-file-dialog")
```


### imgui-filebrowser (linux)


| Description | *File browser implementation for dear-imgui. C++17 is required.* |
| -- | -- |
| Homepage | [https://github.com/AirGuanZ/imgui-filebrowser](https://github.com/AirGuanZ/imgui-filebrowser) |
| License | MIT |
| Versions | 2024.10.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imgui-filebrowser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui-filebrowser/xmake.lua) |

##### Install command

```console
xrepo install imgui-filebrowser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui-filebrowser")
```


### imgui-sfml (linux)


| Description | *Dear ImGui binding for use with SFML* |
| -- | -- |
| Homepage | [https://github.com/eliasdaler/imgui-sfml](https://github.com/eliasdaler/imgui-sfml) |
| License | MIT |
| Versions | v2.5, v2.6, v3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imgui-sfml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui-sfml/xmake.lua) |

##### Install command

```console
xrepo install imgui-sfml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui-sfml")
```


### imguitextselect (linux)


| Description | *Text selection implementation for Dear ImGui* |
| -- | -- |
| Homepage | [https://github.com/AidanSun05/ImGuiTextSelect](https://github.com/AidanSun05/ImGuiTextSelect) |
| License | MIT |
| Versions | 1.0.0, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imguitextselect/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imguitextselect/xmake.lua) |

##### Install command

```console
xrepo install imguitextselect
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imguitextselect")
```


### imguizmo (linux)


| Description | *Immediate mode 3D gizmo for scene editing and other controls based on Dear Imgui* |
| -- | -- |
| Homepage | [https://github.com/CedricGuillemet/ImGuizmo](https://github.com/CedricGuillemet/ImGuizmo) |
| License | MIT |
| Versions | 1.83, 1.89+wip, 1.91.3+wip |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imguizmo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imguizmo/xmake.lua) |

##### Install command

```console
xrepo install imguizmo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imguizmo")
```


### immer (linux)


| Description | *Library of persistent and immutable data structures written in C++.* |
| -- | -- |
| Homepage | [https://github.com/arximboldi/immer](https://github.com/arximboldi/immer) |
| License | BSL-1.0 |
| Versions | v0.8.0, v0.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [immer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/immer/xmake.lua) |

##### Install command

```console
xrepo install immer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("immer")
```


### imnodes (linux)


| Description | *A small, dependency-free node editor for dear imgui* |
| -- | -- |
| Homepage | [https://github.com/Nelarius/imnodes](https://github.com/Nelarius/imnodes) |
| License | MIT |
| Versions | v0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [imnodes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imnodes/xmake.lua) |

##### Install command

```console
xrepo install imnodes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imnodes")
```


### implot (linux)


| Description | *Immediate Mode Plotting* |
| -- | -- |
| Homepage | [https://github.com/epezent/implot](https://github.com/epezent/implot) |
| License | MIT |
| Versions | v0.15, v0.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [implot/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/implot/xmake.lua) |

##### Install command

```console
xrepo install implot
```

##### Integration in the project (xmake.lua)

```lua
add_requires("implot")
```


### implot3d (linux)


| Description | *Immediate Mode 3D Plotting* |
| -- | -- |
| Homepage | [https://github.com/brenocq/implot3d](https://github.com/brenocq/implot3d) |
| License | MIT |
| Versions | v0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [implot3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/implot3d/xmake.lua) |

##### Install command

```console
xrepo install implot3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("implot3d")
```


### indicators (linux)


| Description | *Activity Indicators for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/indicators](https://github.com/p-ranav/indicators) |
| License | MIT |
| Versions | 2.2, 2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [indicators/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/indicators/xmake.lua) |

##### Install command

```console
xrepo install indicators
```

##### Integration in the project (xmake.lua)

```lua
add_requires("indicators")
```


### infoware (linux)


| Description | *C++ Library for pulling system and hardware information, without hitting the command line.* |
| -- | -- |
| Homepage | [https://github.com/ThePhD/infoware](https://github.com/ThePhD/infoware) |
| License | CC0-1.0 |
| Versions | 2023.04.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [infoware/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/infoware/xmake.lua) |

##### Install command

```console
xrepo install infoware
```

##### Integration in the project (xmake.lua)

```lua
add_requires("infoware")
```


### inifile-cpp (linux)


| Description | *A header-only and easy to use Ini file parser for C++.* |
| -- | -- |
| Homepage | [https://github.com/Rookfighter/inifile-cpp](https://github.com/Rookfighter/inifile-cpp) |
| License | MIT |
| Versions | 2022.06.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [inifile-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inifile-cpp/xmake.lua) |

##### Install command

```console
xrepo install inifile-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inifile-cpp")
```


### inih (linux)


| Description | *Simple .INI file parser in C, good for embedded systems* |
| -- | -- |
| Homepage | [https://github.com/benhoyt/inih](https://github.com/benhoyt/inih) |
| Versions | 58, 59, 60 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [inih/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inih/xmake.lua) |

##### Install command

```console
xrepo install inih
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inih")
```


### iniparser (linux)


| Description | *ini file parser* |
| -- | -- |
| Homepage | [http://ndevilla.free.fr/iniparser](http://ndevilla.free.fr/iniparser) |
| License | MIT |
| Versions | v4.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [iniparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iniparser/xmake.lua) |

##### Install command

```console
xrepo install iniparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iniparser")
```


### inipp (linux)


| Description | *Simple C++ ini parser.* |
| -- | -- |
| Homepage | [https://github.com/mcmtroffaes/inipp](https://github.com/mcmtroffaes/inipp) |
| License | MIT |
| Versions | 2022.02.03, 2025.06.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [inipp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inipp/xmake.lua) |

##### Install command

```console
xrepo install inipp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inipp")
```


### inja (linux)


| Description | *A Template Engine for Modern C++* |
| -- | -- |
| Homepage | [https://pantor.github.io/inja/](https://pantor.github.io/inja/) |
| License | MIT |
| Versions | v2.1.0, v3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [inja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inja/xmake.lua) |

##### Install command

```console
xrepo install inja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inja")
```


### injector (linux)


| Description | *Library for injecting a shared library into a Linux or Windows process* |
| -- | -- |
| Homepage | [https://github.com/kubo/injector](https://github.com/kubo/injector) |
| License | LGPL-2.1 |
| Versions | 2024.02.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [injector/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/injector/xmake.lua) |

##### Install command

```console
xrepo install injector
```

##### Integration in the project (xmake.lua)

```lua
add_requires("injector")
```


### interface99 (linux)


| Description | *Full-featured interfaces for C99* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/interface99](https://github.com/Hirrolot/interface99) |
| License | MIT |
| Versions | 1.0.0, 1.0.1, 1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [interface99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/interface99/xmake.lua) |

##### Install command

```console
xrepo install interface99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("interface99")
```


### intx (linux)


| Description | *Extended precision integer C++ library* |
| -- | -- |
| Homepage | [https://github.com/chfast/intx](https://github.com/chfast/intx) |
| License | Apache-2.0 |
| Versions | v0.11.0, v0.12.0, v0.12.1, v0.13.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [intx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/intx/xmake.lua) |

##### Install command

```console
xrepo install intx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("intx")
```


### iowow (linux)


| Description | *A C utility library and persistent key/value storage engine* |
| -- | -- |
| Homepage | [https://iowow.softmotions.com](https://iowow.softmotions.com) |
| License | MIT |
| Versions | v1.4.17, v1.4.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [iowow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iowow/xmake.lua) |

##### Install command

```console
xrepo install iowow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iowow")
```


### ip2region (linux)


| Description | *IP address region search library.* |
| -- | -- |
| Homepage | [https://github.com/lionsoul2014/ip2region](https://github.com/lionsoul2014/ip2region) |
| License | Apache-2.0 |
| Versions | v2020.10.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ip2region/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ip2region/xmake.lua) |

##### Install command

```console
xrepo install ip2region
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ip2region")
```


### irrlicht (linux)


| Description | *The Irrlicht Engine is an open source realtime 3D engine written in C++.* |
| -- | -- |
| Homepage | [https://irrlicht.sourceforge.io/](https://irrlicht.sourceforge.io/) |
| License | zlib |
| Versions | 1.8.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [irrlicht/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/irrlicht/xmake.lua) |

##### Install command

```console
xrepo install irrlicht
```

##### Integration in the project (xmake.lua)

```lua
add_requires("irrlicht")
```


### irrxml (linux)


| Description | *High speed and easy-to-use XML Parser for C++* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/irrlicht/](https://sourceforge.net/projects/irrlicht/) |
| Versions | 1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [irrxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/irrxml/xmake.lua) |

##### Install command

```console
xrepo install irrxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("irrxml")
```


### iso-codes (linux)


| Description | *Provides lists of various ISO standards* |
| -- | -- |
| Homepage | [https://salsa.debian.org/iso-codes-team/iso-codes](https://salsa.debian.org/iso-codes-team/iso-codes) |
| License | LGPL-2.1-or-later |
| Versions | 4.8.0, 4.16.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [iso-codes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iso-codes/xmake.lua) |

##### Install command

```console
xrepo install iso-codes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iso-codes")
```


### isocline (linux)


| Description | *Isocline is a portable GNU readline alternative * |
| -- | -- |
| Homepage | [https://github.com/daanx/isocline](https://github.com/daanx/isocline) |
| License | MIT |
| Versions | 2022.01.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [isocline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/isocline/xmake.lua) |

##### Install command

```console
xrepo install isocline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("isocline")
```


### ispc (linux)


| Description | *Intel® Implicit SPMD Program Compiler* |
| -- | -- |
| Homepage | [https://ispc.github.io/](https://ispc.github.io/) |
| License | BSD-3-Clause |
| Versions | 1.17.0, 1.25.3, 1.26.0, 1.27.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ispc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ispc/xmake.lua) |

##### Install command

```console
xrepo install ispc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ispc")
```


### itk (linux)


| Description | *ITK is an open-source, cross-platform library that provides developers with an extensive suite of software tools for image analysis.* |
| -- | -- |
| Homepage | [https://itk.org/](https://itk.org/) |
| License | Apache-2.0 |
| Versions | 5.2.0, 5.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [itk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/itk/xmake.lua) |

##### Install command

```console
xrepo install itk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("itk")
```


### itlib (linux)


| Description | *A collection of std-like single-header C++ libraries* |
| -- | -- |
| Homepage | [https://github.com/iboB/itlib](https://github.com/iboB/itlib) |
| License | MIT |
| Versions | v1.10.3, v1.11.0, v1.11.1, v1.11.4, v1.11.5, v1.11.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [itlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/itlib/xmake.lua) |

##### Install command

```console
xrepo install itlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("itlib")
```


### itstool (linux)


| Description | *ITS Tool allows you to translate your XML documents with PO files* |
| -- | -- |
| Homepage | [http://itstool.org/](http://itstool.org/) |
| License | GPL-3.0 |
| Versions | 2.0.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [itstool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/itstool/xmake.lua) |

##### Install command

```console
xrepo install itstool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("itstool")
```


### ittapi (linux)


| Description | *Intel® Instrumentation and Tracing Technology (ITT) and Just-In-Time (JIT) API* |
| -- | -- |
| Homepage | [https://github.com/intel/ittapi](https://github.com/intel/ittapi) |
| License | BSD-3-Clause |
| Versions | v3.24.4, v3.24.6, v3.24.7, v3.24.8, v3.25.1, v3.25.2, v3.25.3, v3.25.4, v3.25.5, v3.26.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ittapi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ittapi/xmake.lua) |

##### Install command

```console
xrepo install ittapi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ittapi")
```


### iverilog (linux)


| Description | *Icarus Verilog* |
| -- | -- |
| Homepage | [https://steveicarus.github.io/iverilog/](https://steveicarus.github.io/iverilog/) |
| Versions | 2023.1.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [iverilog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iverilog/xmake.lua) |

##### Install command

```console
xrepo install iverilog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iverilog")
```


### ixwebsocket (linux)


| Description | *websocket and http client and server library, with TLS support and very few dependencies* |
| -- | -- |
| Homepage | [https://github.com/machinezone/IXWebSocket](https://github.com/machinezone/IXWebSocket) |
| License | BSD-3-Clause |
| Versions | v11.4.4, v11.4.5, v11.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ixwebsocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ixwebsocket/xmake.lua) |

##### Install command

```console
xrepo install ixwebsocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ixwebsocket")
```



## j
### jack2 (linux)


| Description | *Cross-platform API that enables device sharing and inter-application audio routing* |
| -- | -- |
| Homepage | [https://jackaudio.org/](https://jackaudio.org/) |
| License | GPL-2.0 |
| Versions | v1.9.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jack2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jack2/xmake.lua) |

##### Install command

```console
xrepo install jack2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jack2")
```


### jansson (linux)


| Description | *C library for encoding, decoding and manipulating JSON data* |
| -- | -- |
| Homepage | [https://github.com/akheron/jansson](https://github.com/akheron/jansson) |
| License | MIT |
| Versions | 2.14, 2.14.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jansson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jansson/xmake.lua) |

##### Install command

```console
xrepo install jansson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jansson")
```


### jasper (linux)


| Description | *Official Repository for the JasPer Image Coding Toolkit* |
| -- | -- |
| Homepage | [https://www.ece.uvic.ca/~frodo/jasper/](https://www.ece.uvic.ca/~frodo/jasper/) |
| License | BSD-2-Clause |
| Versions | 2.0.28, 2.0.32, 2.0.33 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jasper/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jasper/xmake.lua) |

##### Install command

```console
xrepo install jasper
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jasper")
```


### jemalloc (linux)


| Description | *A general purpose malloc(3) implementation that emphasizes
fragmentation avoidance and scalable concurrency support* |
| -- | -- |
| Homepage | [http://jemalloc.net/](http://jemalloc.net/) |
| Versions | 5.2.1, 5.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jemalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jemalloc/xmake.lua) |

##### Install command

```console
xrepo install jemalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jemalloc")
```


### jerryscript (linux)


| Description | *Ultra-lightweight JavaScript engine for the Internet of Things.* |
| -- | -- |
| Homepage | [https://jerryscript.net](https://jerryscript.net) |
| License | Apache-2.0 |
| Versions | 2024.12.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jerryscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jerryscript/xmake.lua) |

##### Install command

```console
xrepo install jerryscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jerryscript")
```


### jnipp (linux)


| Description | *C++ wrapper for the Java Native Interface* |
| -- | -- |
| Homepage | [https://github.com/mitchdowd/jnipp](https://github.com/mitchdowd/jnipp) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jnipp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jnipp/xmake.lua) |

##### Install command

```console
xrepo install jnipp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jnipp")
```


### johnnyengine (linux)


| Description | *A 2D/3D Engine using OpenGL and SDL for input and the window* |
| -- | -- |
| Homepage | [https://github.com/PucklaJ/JohnnyEngine](https://github.com/PucklaJ/JohnnyEngine) |
| License | zlib |
| Versions | 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [johnnyengine/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/johnnyengine/xmake.lua) |

##### Install command

```console
xrepo install johnnyengine
```

##### Integration in the project (xmake.lua)

```lua
add_requires("johnnyengine")
```


### joltphysics (linux)


| Description | *A multi core friendly rigid body physics and collision detection library suitable for games and VR applications.* |
| -- | -- |
| Homepage | [https://github.com/jrouwe/JoltPhysics](https://github.com/jrouwe/JoltPhysics) |
| License | MIT |
| Versions | v2.0.1, v3.0.0, v3.0.1, v4.0.0, v4.0.1, v4.0.2, v5.0.0, v5.1.0, v5.2.0, v5.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [joltphysics/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/joltphysics/xmake.lua) |

##### Install command

```console
xrepo install joltphysics
```

##### Integration in the project (xmake.lua)

```lua
add_requires("joltphysics")
```


### jpcre2 (linux)


| Description | *C++ wrapper  for PCRE2 Library* |
| -- | -- |
| Homepage | [https://docs.neurobin.org/jpcre2/latest/](https://docs.neurobin.org/jpcre2/latest/) |
| License | BSD-3-Clause |
| Versions | 2021.06.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jpcre2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jpcre2/xmake.lua) |

##### Install command

```console
xrepo install jpcre2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jpcre2")
```


### jrtplib (linux)


| Description | *JRTPLIB is an object-oriented RTP library written in C++* |
| -- | -- |
| Homepage | [https://research.edm.uhasselt.be/jori/page/CS/Jrtplib.html](https://research.edm.uhasselt.be/jori/page/CS/Jrtplib.html) |
| License | MIT |
| Versions | 2023.11.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jrtplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jrtplib/xmake.lua) |

##### Install command

```console
xrepo install jrtplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jrtplib")
```


### jsbsim (linux)


| Description | *An open source flight dynamics & control software library* |
| -- | -- |
| Homepage | [https://github.com/JSBSim-Team/jsbsim](https://github.com/JSBSim-Team/jsbsim) |
| License | LGPL-2.1 |
| Versions | v1.2.0, v1.2.1, v1.2.2, v1.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jsbsim/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsbsim/xmake.lua) |

##### Install command

```console
xrepo install jsbsim
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsbsim")
```


### jsmn (linux)


| Description | *Jsmn is a world fastest JSON parser/tokenizer* |
| -- | -- |
| Homepage | [https://github.com/zserge/jsmn](https://github.com/zserge/jsmn) |
| License | MIT |
| Versions | v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jsmn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsmn/xmake.lua) |

##### Install command

```console
xrepo install jsmn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsmn")
```


### json-c (linux)


| Description | *JSON parser for C* |
| -- | -- |
| Homepage | [https://github.com/json-c/json-c/wiki](https://github.com/json-c/json-c/wiki) |
| License | MIT |
| Versions | 0.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [json-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json-c/xmake.lua) |

##### Install command

```console
xrepo install json-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json-c")
```


### json-glib (linux)


| Description | *JSON-GLib implements a full suite of JSON-related tools using GLib and GObject.* |
| -- | -- |
| Homepage | [https://gitlab.gnome.org/GNOME/json-glib](https://gitlab.gnome.org/GNOME/json-glib) |
| License | LGPL-2.1 |
| Versions | 1.9.2, 1.10.0, 1.10.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [json-glib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json-glib/xmake.lua) |

##### Install command

```console
xrepo install json-glib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json-glib")
```


### json-schema-validator (linux)


| Description | *JSON schema validator for JSON for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/pboettch/json-schema-validator](https://github.com/pboettch/json-schema-validator) |
| Versions | 2.1.0, 2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [json-schema-validator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json-schema-validator/xmake.lua) |

##### Install command

```console
xrepo install json-schema-validator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json-schema-validator")
```


### json.h (linux)


| Description | *single header json parser for C and C++* |
| -- | -- |
| Homepage | [https://github.com/sheredom/json.h](https://github.com/sheredom/json.h) |
| Versions | 2022.11.27, 2024.07.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [json.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json.h/xmake.lua) |

##### Install command

```console
xrepo install json.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json.h")
```


### jsoncons (linux)


| Description | *A C++, header-only library for constructing JSON and JSON-like data formats, with JSON Pointer, JSON Patch, JSONPath, JMESPath, CSV, MessagePack, CBOR, BSON, UBJSON* |
| -- | -- |
| Homepage | [https://danielaparker.github.io/jsoncons/](https://danielaparker.github.io/jsoncons/) |
| License | BSL-1.0 |
| Versions | v0.170.2, v0.176.0, v0.177.0, v0.178.0, v1.0.0, v1.1.0, v1.2.0, v1.3.0, v1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jsoncons/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsoncons/xmake.lua) |

##### Install command

```console
xrepo install jsoncons
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsoncons")
```


### jsoncpp (linux)


| Description | *A C++ library for interacting with JSON.* |
| -- | -- |
| Homepage | [https://github.com/open-source-parsers/jsoncpp/wiki](https://github.com/open-source-parsers/jsoncpp/wiki) |
| License | MIT |
| Versions | 1.9.4, 1.9.5, 1.9.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jsoncpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsoncpp/xmake.lua) |

##### Install command

```console
xrepo install jsoncpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsoncpp")
```


### jthread (linux)


| Description | *The JThread package provides some classes to make use of threads easy on different platforms* |
| -- | -- |
| Homepage | [https://github.com/j0r1/JThread](https://github.com/j0r1/JThread) |
| License | MIT |
| Versions | 2023.08.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jthread/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jthread/xmake.lua) |

##### Install command

```console
xrepo install jthread
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jthread")
```


### jwasm (linux)


| Description | *JWasm continuation* |
| -- | -- |
| Homepage | [https://github.com/JWasm/JWasm](https://github.com/JWasm/JWasm) |
| License | JWasm |
| Versions | 2025.01.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jwasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jwasm/xmake.lua) |

##### Install command

```console
xrepo install jwasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jwasm")
```


### jwt-cpp (linux)


| Description | *A header only library for creating and validating json web tokens in c++* |
| -- | -- |
| Homepage | [https://thalhammer.github.io/jwt-cpp/](https://thalhammer.github.io/jwt-cpp/) |
| License | MIT |
| Versions | v0.6.0, v0.7.0, v0.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jwt-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jwt-cpp/xmake.lua) |

##### Install command

```console
xrepo install jwt-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jwt-cpp")
```


### jxrlib (linux)


| Description | *jxrlib is JPEG XR Image Codec reference implementation library released by Microsoft under BSD-2-Clause License. This repo is a clone of jxrlib as released by Microsoft from it's original Codeplex location https://jxrlib.codeplex.com.  The only changes comprise addition of LICENSE and README.md in repo root.* |
| -- | -- |
| Homepage | [https://github.com/4creators/jxrlib](https://github.com/4creators/jxrlib) |
| License | BSD-2-Clause |
| Versions | v2019.10.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [jxrlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jxrlib/xmake.lua) |

##### Install command

```console
xrepo install jxrlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jxrlib")
```



## k
### kahip (linux)


| Description | *KaHIP - Karlsruhe High Quality Partitioning* |
| -- | -- |
| Homepage | [https://kahip.github.io/](https://kahip.github.io/) |
| License | MIT |
| Versions | v3.15, v3.16, v3.17, v3.18, v3.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kahip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kahip/xmake.lua) |

##### Install command

```console
xrepo install kahip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kahip")
```


### kangaru (linux)


| Description | *🦘 A dependency injection container for C++11, C++14 and later* |
| -- | -- |
| Homepage | [https://github.com/gracicot/kangaru](https://github.com/gracicot/kangaru) |
| License | MIT |
| Versions | v4.3.1, v4.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kangaru/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kangaru/xmake.lua) |

##### Install command

```console
xrepo install kangaru
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kangaru")
```


### kcp (linux)


| Description | *A Fast and Reliable ARQ Protocol.* |
| -- | -- |
| Homepage | [https://github.com/skywind3000/kcp](https://github.com/skywind3000/kcp) |
| License | MIT |
| Versions | 1.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kcp/xmake.lua) |

##### Install command

```console
xrepo install kcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kcp")
```


### kdbindings (linux)


| Description | *Reactive programming & data binding in C++* |
| -- | -- |
| Homepage | [https://github.com/KDAB/KDBindings](https://github.com/KDAB/KDBindings) |
| License | MIT |
| Versions | v1.0.5, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kdbindings/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kdbindings/xmake.lua) |

##### Install command

```console
xrepo install kdbindings
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kdbindings")
```


### keystone (linux)


| Description | *Keystone assembler framework: Core (Arm, Arm64, Hexagon, Mips, PowerPC, Sparc, SystemZ & X86) + bindings* |
| -- | -- |
| Homepage | [http://www.keystone-engine.org](http://www.keystone-engine.org) |
| License | GPL-2.0 |
| Versions | 0.9.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [keystone/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/keystone/xmake.lua) |

##### Install command

```console
xrepo install keystone
```

##### Integration in the project (xmake.lua)

```lua
add_requires("keystone")
```


### khaledhosny-ots (linux)


| Description | *Sanitizer for OpenType* |
| -- | -- |
| Homepage | [https://github.com/khaledhosny/ots](https://github.com/khaledhosny/ots) |
| License | BSD-3-Clause |
| Versions | v9.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [khaledhosny-ots/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/khaledhosny-ots/xmake.lua) |

##### Install command

```console
xrepo install khaledhosny-ots
```

##### Integration in the project (xmake.lua)

```lua
add_requires("khaledhosny-ots")
```


### khrplatform (linux)


| Description | *Khronos Shared Platform Header (<KHR/khrplatform.h>)* |
| -- | -- |
| Homepage | [https://registry.khronos.org/EGL](https://registry.khronos.org/EGL) |
| Versions | latest |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [khrplatform/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/khrplatform/xmake.lua) |

##### Install command

```console
xrepo install khrplatform
```

##### Integration in the project (xmake.lua)

```lua
add_requires("khrplatform")
```


### kiwisolver (linux)


| Description | *Efficient C++ implementation of the Cassowary constraint solving algorithm* |
| -- | -- |
| Homepage | [https://kiwisolver.readthedocs.io/en/latest/](https://kiwisolver.readthedocs.io/en/latest/) |
| Versions | 1.3.1, 1.3.2, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.4.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kiwisolver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kiwisolver/xmake.lua) |

##### Install command

```console
xrepo install kiwisolver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kiwisolver")
```


### klib (linux)


| Description | *A standalone and lightweight C library* |
| -- | -- |
| Homepage | [http://attractivechaos.github.io/klib/](http://attractivechaos.github.io/klib/) |
| License | MIT |
| Versions | 2024.06.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [klib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/klib/xmake.lua) |

##### Install command

```console
xrepo install klib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("klib")
```


### kokkos (linux)


| Description | *Kokkos C++ Performance Portability Programming EcoSystem: The Programming Model* |
| -- | -- |
| Homepage | [https://kokkos.github.io/](https://kokkos.github.io/) |
| License | Apache-2.0 |
| Versions | 4.0.01, 4.2.00, 4.2.01, 4.3.00, 4.3.01, 4.4.00, 4.6.00, 4.6.01, 4.6.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kokkos/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kokkos/xmake.lua) |

##### Install command

```console
xrepo install kokkos
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kokkos")
```


### kokkos-kernels (linux)


| Description | *Kokkos C++ Performance Portability Programming EcoSystem: Math Kernels* |
| -- | -- |
| Homepage | [https://github.com/kokkos/kokkos-kernels](https://github.com/kokkos/kokkos-kernels) |
| License | Apache-2.0 |
| Versions | 4.0.01, 4.2.01, 4.3.00, 4.3.01, 4.4.00, 4.6.00 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kokkos-kernels/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kokkos-kernels/xmake.lua) |

##### Install command

```console
xrepo install kokkos-kernels
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kokkos-kernels")
```


### kokyu (linux)


| Description | *Kokyu - portable middleware scheduling framework designed to provide flexible scheduling/dispatching services within the context of higher-level middleware.* |
| -- | -- |
| Homepage | [https://www.dre.vanderbilt.edu/~schmidt/ACE.html](https://www.dre.vanderbilt.edu/~schmidt/ACE.html) |
| License | DOC |
| Versions | 8.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kokyu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kokyu/xmake.lua) |

##### Install command

```console
xrepo install kokyu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kokyu")
```


### kotlin-native (linux)


| Description | *The Kotlin Programming Language. * |
| -- | -- |
| Homepage | [https://kotlinlang.org](https://kotlinlang.org) |
| Versions | 2.1.10, 2.1.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kotlin-native/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kotlin-native/xmake.lua) |

##### Install command

```console
xrepo install kotlin-native
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kotlin-native")
```


### krb5 (linux)


| Description | *Kerberos: The Network Authentication Protocol* |
| -- | -- |
| Homepage | [http://web.mit.edu/kerberos/](http://web.mit.edu/kerberos/) |
| Versions | 1.19.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [krb5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/krb5/xmake.lua) |

##### Install command

```console
xrepo install krb5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("krb5")
```


### ktx (linux)


| Description | *KTX (Khronos Texture) Library and Tools* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/KTX-Software](https://github.com/KhronosGroup/KTX-Software) |
| License | Apache-2.0 |
| Versions | v4.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ktx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/ktx/xmake.lua) |

##### Install command

```console
xrepo install ktx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ktx")
```


### kuba-zip (linux)


| Description | *A portable, simple zip library written in C* |
| -- | -- |
| Homepage | [https://github.com/kuba--/zip](https://github.com/kuba--/zip) |
| License | Unlicense |
| Versions | v0.2.2, v0.2.5, v0.2.6, v0.3.1, v0.3.2, v0.3.3, v0.3.4, v0.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kuba-zip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kuba-zip/xmake.lua) |

##### Install command

```console
xrepo install kuba-zip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kuba-zip")
```


### kvazaar (linux)


| Description | *An open-source HEVC encoder* |
| -- | -- |
| Homepage | [https://github.com/ultravideo/kvazaar](https://github.com/ultravideo/kvazaar) |
| License | BSD-3-Clause |
| Versions | v2.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [kvazaar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kvazaar/xmake.lua) |

##### Install command

```console
xrepo install kvazaar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kvazaar")
```



## l
### lame (linux)


| Description | *High quality MPEG Audio Layer III (MP3) encoder* |
| -- | -- |
| Homepage | [https://lame.sourceforge.io/](https://lame.sourceforge.io/) |
| License | LGPL-2.0-or-later |
| Versions | 3.100 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lame/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lame/xmake.lua) |

##### Install command

```console
xrepo install lame
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lame")
```


### lapack (linux)


| Description | *LAPACK--Linear Algebra Package is a standard software library for numerical linear algebra* |
| -- | -- |
| Homepage | [https://netlib.org/lapack/](https://netlib.org/lapack/) |
| Versions | v3.12.0, v3.12.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lapack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lapack/xmake.lua) |

##### Install command

```console
xrepo install lapack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lapack")
```


### lastools (linux)


| Description | *efficient tools for LiDAR processing* |
| -- | -- |
| Homepage | [https://github.com/LAStools/LAStools](https://github.com/LAStools/LAStools) |
| License | LGPL-2.0 |
| Versions | v2.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lastools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lastools/xmake.lua) |

##### Install command

```console
xrepo install lastools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lastools")
```


### lbuild (linux)


| Description | *lbuild: a generic, modular code generator in Python 3* |
| -- | -- |
| Homepage | [https://pypi.org/project/lbuild](https://pypi.org/project/lbuild) |
| Versions | 2022.02.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lbuild/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lbuild/xmake.lua) |

##### Install command

```console
xrepo install lbuild
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lbuild")
```


### lcms (linux)


| Description | *A free, open source, CMM engine. It provides fast transforms between ICC profiles.* |
| -- | -- |
| Homepage | [https://www.littlecms.com/](https://www.littlecms.com/) |
| License | MIT |
| Versions | 2.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lcms/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lcms/xmake.lua) |

##### Install command

```console
xrepo install lcms
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lcms")
```


### leancrypto (linux)


| Description | *Lean cryptographic library usable for bare-metal environments* |
| -- | -- |
| Homepage | [https://leancrypto.org](https://leancrypto.org) |
| Versions | v1.2.0, v1.3.0, v1.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [leancrypto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/leancrypto/xmake.lua) |

##### Install command

```console
xrepo install leancrypto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("leancrypto")
```


### lemon (linux)


| Description | *Library for Efficient Modeling and Optimization in Networks.* |
| -- | -- |
| Homepage | [https://lemon.cs.elte.hu/trac/lemon](https://lemon.cs.elte.hu/trac/lemon) |
| License | BSL-1.0 |
| Versions | 1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lemon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lemon/xmake.lua) |

##### Install command

```console
xrepo install lemon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lemon")
```


### leptonica (linux)


| Description | *Leptonica is a pedagogically-oriented open source site containing software that is broadly useful for image processing and image analysis applications.* |
| -- | -- |
| Homepage | [http://www.leptonica.org/](http://www.leptonica.org/) |
| License | BSD-2-Clause |
| Versions | 1.80.0, 1.81.1, 1.82.0, 1.84.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [leptonica/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/leptonica/xmake.lua) |

##### Install command

```console
xrepo install leptonica
```

##### Integration in the project (xmake.lua)

```lua
add_requires("leptonica")
```


### lerc (linux)


| Description | *Limited Error Raster Compression* |
| -- | -- |
| Homepage | [https://github.com/esri/lerc](https://github.com/esri/lerc) |
| License | Apache-2.0 |
| Versions | v4.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lerc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lerc/xmake.lua) |

##### Install command

```console
xrepo install lerc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lerc")
```


### leveldb (linux)


| Description | *LevelDB is a fast key-value storage library written at Google that provides an ordered mapping from string keys to string values.* |
| -- | -- |
| Homepage | [https://github.com/google/leveldb](https://github.com/google/leveldb) |
| License | BSD-3-Clause |
| Versions | 1.22, 1.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [leveldb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/leveldb/xmake.lua) |

##### Install command

```console
xrepo install leveldb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("leveldb")
```


### lexbor (linux)


| Description | *Lexbor is development of an open source HTML Renderer library. https://lexbor.com* |
| -- | -- |
| Homepage | [https://github.com/lexbor/lexbor](https://github.com/lexbor/lexbor) |
| License | Apache-2.0 |
| Versions | v2.2.0, v2.3.0, v2.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lexbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lexbor/xmake.lua) |

##### Install command

```console
xrepo install lexbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lexbor")
```


### lexy (linux)


| Description | *C++ parsing DSL* |
| -- | -- |
| Homepage | [https://lexy.foonathan.net](https://lexy.foonathan.net) |
| License | BSL-1.0 |
| Versions | 2022.03.21, 2022.12.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lexy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lexy/xmake.lua) |

##### Install command

```console
xrepo install lexy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lexy")
```


### liba52 (linux)


| Description | *Library for decoding ATSC A/52 (AC-3) audio streams* |
| -- | -- |
| Homepage | [https://liba52.sourceforge.io](https://liba52.sourceforge.io) |
| License | GPL-2.0-or-later |
| Versions | v0.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liba52/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liba52/xmake.lua) |

##### Install command

```console
xrepo install liba52
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liba52")
```


### libaco (linux)


| Description | *A blazing fast and lightweight C asymmetric coroutine library* |
| -- | -- |
| Homepage | [https://github.com/hnes/libaco](https://github.com/hnes/libaco) |
| License | Apache-2.0 |
| Versions | v1.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libaco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libaco/xmake.lua) |

##### Install command

```console
xrepo install libaco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libaco")
```


### libaesgm (linux)


| Description | *https://repology.org/project/libaesgm/packages* |
| -- | -- |
| Homepage | [https://github.com/xmake-mirror/libaesgm](https://github.com/xmake-mirror/libaesgm) |
| Versions | 2013.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libaesgm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libaesgm/xmake.lua) |

##### Install command

```console
xrepo install libaesgm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libaesgm")
```


### libaio (linux)


| Description | *Linux-native asynchronous I/O access library* |
| -- | -- |
| Homepage | [https://pagure.io/libaio](https://pagure.io/libaio) |
| License | LGPL-2.1-or-later |
| Versions | 0.3.113 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libaio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libaio/xmake.lua) |

##### Install command

```console
xrepo install libaio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libaio")
```


### libarchive (linux)


| Description | *Multi-format archive and compression library* |
| -- | -- |
| Homepage | [https://libarchive.org/](https://libarchive.org/) |
| License | BSD-2-Clause |
| Versions | 3.5.1, 3.5.2, 3.6.2, 3.7.2, 3.7.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libarchive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libarchive/xmake.lua) |

##### Install command

```console
xrepo install libarchive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libarchive")
```


### libargon2 (linux)


| Description | *The password hash Argon2, winner of PHC* |
| -- | -- |
| Homepage | [https://github.com/P-H-C/phc-winner-argon2](https://github.com/P-H-C/phc-winner-argon2) |
| Versions | 20190702 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libargon2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libargon2/xmake.lua) |

##### Install command

```console
xrepo install libargon2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libargon2")
```


### libass (linux)


| Description | *libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format.* |
| -- | -- |
| Homepage | [https://github.com/libass/libass](https://github.com/libass/libass) |
| License | ISC |
| Versions | 0.15.2, 0.16.0, 0.17.0, 0.17.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libass/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libass/xmake.lua) |

##### Install command

```console
xrepo install libass
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libass")
```


### libassert (linux)


| Description | *The most over-engineered and overpowered C++ assertion library.* |
| -- | -- |
| Homepage | [https://github.com/jeremy-rifkin/libassert](https://github.com/jeremy-rifkin/libassert) |
| License | MIT |
| Versions | v1.2, v1.2.2, v2.0.0, v2.0.1, v2.0.2, v2.1.0, v2.1.1, v2.1.2, v2.1.4, v2.1.5, v2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libassert/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libassert/xmake.lua) |

##### Install command

```console
xrepo install libassert
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libassert")
```


### libatomic_ops (linux)


| Description | *The atomic_ops project (Atomic memory update operations portable implementation)* |
| -- | -- |
| Homepage | [https://github.com/bdwgc/libatomic_ops/wiki/Download](https://github.com/bdwgc/libatomic_ops/wiki/Download) |
| License | GPL-2.0 |
| Versions | v7.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libatomic_ops/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libatomic_ops/xmake.lua) |

##### Install command

```console
xrepo install libatomic_ops
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libatomic_ops")
```


### libavif (linux)


| Description | *libavif - Library for encoding and decoding .avif files* |
| -- | -- |
| Homepage | [https://github.com/AOMediaCodec/libavif](https://github.com/AOMediaCodec/libavif) |
| License | BSD-2-Clause |
| Versions | v0.9.1, v1.0.4, v1.1.0, v1.1.1, v1.2.1, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libavif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libavif/xmake.lua) |

##### Install command

```console
xrepo install libavif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libavif")
```


### libb2 (linux)


| Description | *C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp* |
| -- | -- |
| Homepage | [https://blake2.net](https://blake2.net) |
| License | CC0-1.0 |
| Versions | v0.98.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libb2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libb2/xmake.lua) |

##### Install command

```console
xrepo install libb2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libb2")
```


### libbacktrace (linux)


| Description | *A C library that may be linked into a C/C++ program to produce symbolic backtraces* |
| -- | -- |
| Homepage | [https://github.com/ianlancetaylor/libbacktrace](https://github.com/ianlancetaylor/libbacktrace) |
| License | BSD-3-Clause |
| Versions | 2025.04.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libbacktrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbacktrace/xmake.lua) |

##### Install command

```console
xrepo install libbacktrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbacktrace")
```


### libbigwig (linux)


| Description | *A C library for handling bigWig files* |
| -- | -- |
| Homepage | [https://github.com/dpryan79/libBigWig](https://github.com/dpryan79/libBigWig) |
| License | MIT |
| Versions | 0.4.7, 0.4.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libbigwig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbigwig/xmake.lua) |

##### Install command

```console
xrepo install libbigwig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbigwig")
```


### libbpf (linux)


| Description | *Automated upstream mirror for libbpf stand-alone build.* |
| -- | -- |
| Homepage | [https://github.com/libbpf/libbpf](https://github.com/libbpf/libbpf) |
| Versions | v0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libbpf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbpf/xmake.lua) |

##### Install command

```console
xrepo install libbpf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbpf")
```


### libbpg (linux)


| Description | *Image format meant to improve on JPEG quality and file size* |
| -- | -- |
| Homepage | [https://bellard.org/bpg/](https://bellard.org/bpg/) |
| Versions | 0.9.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libbpg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbpg/xmake.lua) |

##### Install command

```console
xrepo install libbpg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbpg")
```


### libbsd (linux)


| Description | *This library provides useful functions commonly found on BSD systems* |
| -- | -- |
| Homepage | [https://libbsd.freedesktop.org/wiki/](https://libbsd.freedesktop.org/wiki/) |
| License | BSD-3-Clause |
| Versions | 0.11.5, 0.12.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libbsd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbsd/xmake.lua) |

##### Install command

```console
xrepo install libbsd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbsd")
```


### libc++ (linux)


| Description | *libc++ is a new implementation of the C++ standard library, targeting C++11 and above.* |
| -- | -- |
| Homepage | [https://libcxx.llvm.org/](https://libcxx.llvm.org/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libc++/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libc++/xmake.lua) |

##### Install command

```console
xrepo install libc++
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libc++")
```


### libcanberra (linux)


| Description | *libcanberra is an implementation of the XDG Sound Theme and Name Specifications* |
| -- | -- |
| Homepage | [https://0pointer.de/lennart/projects/libcanberra/](https://0pointer.de/lennart/projects/libcanberra/) |
| License | LGPL-2.1 |
| Versions | 0.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcanberra/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcanberra/xmake.lua) |

##### Install command

```console
xrepo install libcanberra
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcanberra")
```


### libcap (linux)


| Description | *User-space interfaces to POSIX 1003.1e capabilities* |
| -- | -- |
| Homepage | [https://sites.google.com/site/fullycapable/](https://sites.google.com/site/fullycapable/) |
| Versions | 2.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcap/xmake.lua) |

##### Install command

```console
xrepo install libcap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcap")
```


### libcbor (linux)


| Description | *CBOR protocol implementation for C* |
| -- | -- |
| Homepage | [https://github.com/PJK/libcbor](https://github.com/PJK/libcbor) |
| License | MIT |
| Versions | v0.11.0, v0.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcbor/xmake.lua) |

##### Install command

```console
xrepo install libcbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcbor")
```


### libccd (linux)


| Description | *libccd is library for a collision detection between two convex shapes.* |
| -- | -- |
| Homepage | [https://github.com/danfis/libccd/](https://github.com/danfis/libccd/) |
| License | BSD-3-Clause |
| Versions | v2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libccd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libccd/xmake.lua) |

##### Install command

```console
xrepo install libccd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libccd")
```


### libco (linux)


| Description | *Libco is a c/c++ coroutine library.* |
| -- | -- |
| Homepage | [https://github.com/Tencent/libco](https://github.com/Tencent/libco) |
| License | Apache-2.0 |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libco/xmake.lua) |

##### Install command

```console
xrepo install libco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libco")
```


### libcoro (linux)


| Description | *C++20 coroutine library* |
| -- | -- |
| Homepage | [https://github.com/jbaldwin/libcoro](https://github.com/jbaldwin/libcoro) |
| License | Apache-2.0 |
| Versions | v0.12.1, v0.13.0, v0.14.0, v0.14.1, v0.15.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcoro/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcoro/xmake.lua) |

##### Install command

```console
xrepo install libcoro
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcoro")
```


### libcpuid (linux)


| Description | *a small C library for x86 CPU detection and feature extraction* |
| -- | -- |
| Homepage | [https://github.com/anrieff/libcpuid](https://github.com/anrieff/libcpuid) |
| License | BSD-2-Clause |
| Versions | v0.5.1, v0.6.3, v0.6.4, v0.6.5, v0.7.0, v0.7.1, v0.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcpuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcpuid/xmake.lua) |

##### Install command

```console
xrepo install libcpuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcpuid")
```


### libcroco (linux)


| Description | *Libcroco is a standalone css2 parsing and manipulation library.* |
| -- | -- |
| Homepage | [https://gitlab.com/inkscape/libcroco](https://gitlab.com/inkscape/libcroco) |
| License | LGPL-2.0 |
| Versions | 0.6.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcroco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcroco/xmake.lua) |

##### Install command

```console
xrepo install libcroco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcroco")
```


### libcron (linux)


| Description | *A C++ scheduling library using cron formatting.* |
| -- | -- |
| Homepage | [https://github.com/PerMalmberg/libcron](https://github.com/PerMalmberg/libcron) |
| License | MIT |
| Versions | v1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcron/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcron/xmake.lua) |

##### Install command

```console
xrepo install libcron
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcron")
```


### libcurl (linux)


| Description | *The multiprotocol file transfer library.* |
| -- | -- |
| Homepage | [https://curl.haxx.se/](https://curl.haxx.se/) |
| License | MIT |
| Versions | 7.31.0, 7.32.0, 7.33.0, 7.34.0, 7.35.0, 7.36.0, 7.37.1, 7.38.0, 7.39.0, 7.40.0, 7.41.0, 7.42.1, 7.43.0, 7.44.0, 7.45.0, 7.46.0, 7.47.1, 7.48.0, 7.49.1, 7.50.3, 7.51.0, 7.52.1, 7.53.1, 7.54.1, 7.55.1, 7.56.1, 7.57.0, 7.58.0, 7.59.0, 7.60.0, 7.61.0, 7.61.1, 7.62.0, 7.63.0, 7.64.0, 7.64.1, 7.65.3, 7.66.0, 7.67.0, 7.68.0, 7.69.1, 7.70.0, 7.71.1, 7.72.0, 7.73.0, 7.74.0, 7.75.0, 7.76.1, 7.77.0, 7.78.0, 7.80.0, 7.81.0, 7.82.0, 7.84.0, 7.85.0, 7.86.0, 7.87.0, 8.0.1, 8.4.0, 8.5.0, 8.6.0, 8.7.1, 8.8.0, 8.9.0, 8.9.1, 8.10.0, 8.10.1, 8.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libcurl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcurl/xmake.lua) |

##### Install command

```console
xrepo install libcurl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcurl")
```


### libdatrie (linux)


| Description | *an implementation of double-array structure for representing trie* |
| -- | -- |
| Homepage | [https://github.com/tlwg/libdatrie](https://github.com/tlwg/libdatrie) |
| License | LGPL-2.1 |
| Versions | 0.2.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdatrie/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdatrie/xmake.lua) |

##### Install command

```console
xrepo install libdatrie
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdatrie")
```


### libdc1394 (linux)


| Description | *IIDC Camera Control Library* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/libdc1394/](https://sourceforge.net/projects/libdc1394/) |
| License | LGPL-2.1 |
| Versions | 2.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdc1394/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdc1394/xmake.lua) |

##### Install command

```console
xrepo install libdc1394
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdc1394")
```


### libde265 (linux)


| Description | *Open h.265 video codec implementation.* |
| -- | -- |
| Homepage | [https://www.libde265.org/](https://www.libde265.org/) |
| License | LGPL-3.0 |
| Versions | 1.0.8, 1.0.15, 1.0.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libde265/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libde265/xmake.lua) |

##### Install command

```console
xrepo install libde265
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libde265")
```


### libdeflate (linux)


| Description | *libdeflate is a library for fast, whole-buffer DEFLATE-based compression and decompression.* |
| -- | -- |
| Homepage | [https://github.com/ebiggers/libdeflate](https://github.com/ebiggers/libdeflate) |
| License | MIT |
| Versions | v1.8, v1.10, v1.13, v1.15, v1.17, v1.19, v1.20, v1.21, v1.22, v1.23, v1.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdeflate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdeflate/xmake.lua) |

##### Install command

```console
xrepo install libdeflate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdeflate")
```


### libdicom (linux)


| Description | *C library for reading DICOM files* |
| -- | -- |
| Homepage | [https://libdicom.readthedocs.io](https://libdicom.readthedocs.io) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdicom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdicom/xmake.lua) |

##### Install command

```console
xrepo install libdicom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdicom")
```


### libdill (linux)


| Description | *Structured concurrency in C* |
| -- | -- |
| Homepage | [https://github.com/sustrik/libdill](https://github.com/sustrik/libdill) |
| License | MIT |
| Versions | 2022.08.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdill/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdill/xmake.lua) |

##### Install command

```console
xrepo install libdill
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdill")
```


### libdisasm (linux)


| Description | *The libdisasm library provides basic disassembly of Intel x86 instructions from a binary stream.* |
| -- | -- |
| Homepage | [https://bastard.sourceforge.net/libdisasm.html](https://bastard.sourceforge.net/libdisasm.html) |
| License | MIT |
| Versions | 0.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdisasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdisasm/xmake.lua) |

##### Install command

```console
xrepo install libdisasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdisasm")
```


### libdisplay-info (linux)


| Description | *EDID and DisplayID library* |
| -- | -- |
| Homepage | [https://emersion.pages.freedesktop.org/libdisplay-info/](https://emersion.pages.freedesktop.org/libdisplay-info/) |
| License | MIT |
| Versions | 0.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdisplay-info/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdisplay-info/xmake.lua) |

##### Install command

```console
xrepo install libdisplay-info
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdisplay-info")
```


### libdivide (linux)


| Description | *Official git repository for libdivide: optimized integer division* |
| -- | -- |
| Homepage | [https://libdivide.com](https://libdivide.com) |
| License | BSL-1.0 |
| Versions | 5.0, v5.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdivide/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdivide/xmake.lua) |

##### Install command

```console
xrepo install libdivide
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdivide")
```


### libdivsufsort (linux)


| Description | *A lightweight suffix array sorting library* |
| -- | -- |
| Homepage | [https://android.googlesource.com/platform/external/libdivsufsort/](https://android.googlesource.com/platform/external/libdivsufsort/) |
| Versions | 2021.2.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdivsufsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdivsufsort/xmake.lua) |

##### Install command

```console
xrepo install libdivsufsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdivsufsort")
```


### libdom (linux)


| Description | *LibDOM is an implementation of the W3C DOM* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libdom](https://www.netsurf-browser.org/projects/libdom) |
| License | MIT |
| Versions | 0.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdom/xmake.lua) |

##### Install command

```console
xrepo install libdom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdom")
```


### libdrm (linux)


| Description | *libdrm - userspace library for drm (direct rendering manager)* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/mesa/drm](https://gitlab.freedesktop.org/mesa/drm) |
| License | MIT |
| Versions | 2.4.118, 2.4.123, 2.4.125 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdrm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdrm/xmake.lua) |

##### Install command

```console
xrepo install libdrm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdrm")
```


### libdwarf (linux)


| Description | *Libdwarf is a C library intended to simplify reading (and writing) applications using DWARF2, DWARF3, DWARF4 and DWARF5* |
| -- | -- |
| Homepage | [https://www.prevanders.net/dwarf.html](https://www.prevanders.net/dwarf.html) |
| License | LGPL-2.1 |
| Versions | 0.8.0, 0.9.0, 0.9.1, 0.9.2, 0.10.0, 0.10.1, 0.11.0, 0.11.1, 0.12.0, 2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libdwarf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdwarf/xmake.lua) |

##### Install command

```console
xrepo install libdwarf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdwarf")
```


### libebur128 (linux)


| Description | *A library implementing the EBU R128 loudness standard.* |
| -- | -- |
| Homepage | [https://github.com/jiixyj/libebur128](https://github.com/jiixyj/libebur128) |
| License | MIT |
| Versions | v1.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libebur128/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libebur128/xmake.lua) |

##### Install command

```console
xrepo install libebur128
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libebur128")
```


### libedit (linux)


| Description | *Autotool- and libtoolized port of the NetBSD Editline library (libedit).* |
| -- | -- |
| Homepage | [http://thrysoee.dk/editline](http://thrysoee.dk/editline) |
| License | BSD-3-Clause |
| Versions | 3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libedit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libedit/xmake.lua) |

##### Install command

```console
xrepo install libedit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libedit")
```


### libelf (linux)


| Description | *ELF object file access library* |
| -- | -- |
| Homepage | [https://web.archive.org/web/20181111033959/www.mr511.de/software/english.html](https://web.archive.org/web/20181111033959/www.mr511.de/software/english.html) |
| Versions | 0.8.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libelf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libelf/xmake.lua) |

##### Install command

```console
xrepo install libelf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libelf")
```


### libelfin (linux)


| Description | *C++11 ELF/DWARF parser* |
| -- | -- |
| Homepage | [https://github.com/aclements/libelfin](https://github.com/aclements/libelfin) |
| License | MIT |
| Versions | v0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libelfin/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libelfin/xmake.lua) |

##### Install command

```console
xrepo install libelfin
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libelfin")
```


### libenvpp (linux)


| Description | *A modern C++ library for type-safe environment variable parsing* |
| -- | -- |
| Homepage | [https://github.com/ph3at/libenvpp](https://github.com/ph3at/libenvpp) |
| License | Apache-2.0 |
| Versions | v1.1.0, v1.4.0, v1.4.1, v1.4.2, v1.4.3, v1.4.4, v1.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libenvpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libenvpp/xmake.lua) |

##### Install command

```console
xrepo install libenvpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libenvpp")
```


### libepoxy (linux)


| Description | *Epoxy is a library for handling OpenGL function pointer management for you.* |
| -- | -- |
| Homepage | [https://download.gnome.org/sources/libepoxy/](https://download.gnome.org/sources/libepoxy/) |
| License | MIT |
| Versions | 1.5.9, 1.5.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libepoxy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libepoxy/xmake.lua) |

##### Install command

```console
xrepo install libepoxy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libepoxy")
```


### libev (linux)


| Description | *Full-featured high-performance event loop loosely modelled after libevent.* |
| -- | -- |
| Homepage | [http://software.schmorp.de/pkg/libev](http://software.schmorp.de/pkg/libev) |
| Versions | 4.33 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libev/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libev/xmake.lua) |

##### Install command

```console
xrepo install libev
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libev")
```


### libevdev (linux)


| Description | *libevdev is a wrapper library for evdev devices. it moves the common tasks when dealing with evdev devices into a library and provides a library interface to the callers, thus avoiding erroneous ioctls, etc. The eventual goal is that libevdev wraps all ioctls available to evdev devices, thus making direct access unnecessary.* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/libevdev/](https://www.freedesktop.org/wiki/Software/libevdev/) |
| License | MIT |
| Versions | 1.13.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libevdev/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libevdev/xmake.lua) |

##### Install command

```console
xrepo install libevdev
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libevdev")
```


### libevent (linux)


| Description | *Event notification library* |
| -- | -- |
| Homepage | [https://libevent.org/](https://libevent.org/) |
| License | BSD-3-Clause |
| Versions | 2.1.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libevent/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libevent/xmake.lua) |

##### Install command

```console
xrepo install libevent
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libevent")
```


### libfabric (linux)


| Description | *Open Fabric Interfaces* |
| -- | -- |
| Homepage | [https://ofiwg.github.io/libfabric/](https://ofiwg.github.io/libfabric/) |
| License | BSD-2-Clause |
| Versions | 1.13.0, 1.17.0, 1.20.1, 1.20.2, 1.22.0, 2.0.0, 2.1.0, 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfabric/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfabric/xmake.lua) |

##### Install command

```console
xrepo install libfabric
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfabric")
```


### libfacedetection (linux)


| Description | *An open source library for face detection in images. The face detection speed can reach 1000FPS. * |
| -- | -- |
| Homepage | [https://github.com/ShiqiYu/libfacedetection](https://github.com/ShiqiYu/libfacedetection) |
| License | BSD-3-Clause |
| Versions | v3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfacedetection/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfacedetection/xmake.lua) |

##### Install command

```console
xrepo install libfacedetection
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfacedetection")
```


### libffi (linux)


| Description | *Portable Foreign Function Interface library.* |
| -- | -- |
| Homepage | [https://sourceware.org/libffi/](https://sourceware.org/libffi/) |
| License | MIT |
| Versions | 3.2.1, 3.3, 3.4.2, 3.4.4, 3.4.6, 3.4.7, 3.4.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libffi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libffi/xmake.lua) |

##### Install command

```console
xrepo install libffi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libffi")
```


### libfiber (linux)


| Description | *The high performance coroutine library for Linux/FreeBSD/MacOS/Windows, supporting select/poll/epoll/kqueue/iocp/windows GUI* |
| -- | -- |
| Homepage | [https://github.com/iqiyi/libfiber](https://github.com/iqiyi/libfiber) |
| License | LGPL-3.0 |
| Versions | v0.9.0+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfiber/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfiber/xmake.lua) |

##### Install command

```console
xrepo install libfiber
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfiber")
```


### libfido2 (linux)


| Description | *Provides library functionality for FIDO2, including communication with a device over USB or NFC.* |
| -- | -- |
| Homepage | [https://github.com/Yubico/libfido2](https://github.com/Yubico/libfido2) |
| License | BSD-2-Clause |
| Versions | 1.15.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfido2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfido2/xmake.lua) |

##### Install command

```console
xrepo install libfido2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfido2")
```


### libfive (linux)


| Description | *libfive is a software library and set of tools for solid modeling, especially suited for parametric and procedural design.* |
| -- | -- |
| Homepage | [https://libfive.com/](https://libfive.com/) |
| Versions | 2021.04.08, 2022.02.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfive/xmake.lua) |

##### Install command

```console
xrepo install libfive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfive")
```


### libfixmath (linux)


| Description | *Cross Platform Fixed Point Maths Library* |
| -- | -- |
| Homepage | [https://code.google.com/p/libfixmath/](https://code.google.com/p/libfixmath/) |
| License | MIT |
| Versions | 2023.08.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfixmath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfixmath/xmake.lua) |

##### Install command

```console
xrepo install libfixmath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfixmath")
```


### libfixmatrix (linux)


| Description | *C library for fixed point matrix, quaternion and vector calculations* |
| -- | -- |
| Homepage | [https://github.com/PetteriAimonen/libfixmatrix](https://github.com/PetteriAimonen/libfixmatrix) |
| License | MIT |
| Versions | 2014.01.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfixmatrix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfixmatrix/xmake.lua) |

##### Install command

```console
xrepo install libfixmatrix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfixmatrix")
```


### libflac (linux)


| Description | *Free Lossless Audio Codec* |
| -- | -- |
| Homepage | [https://xiph.org/flac](https://xiph.org/flac) |
| License | BSD |
| Versions | 1.3.3, 1.4.2, 1.4.3, 1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libflac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libflac/xmake.lua) |

##### Install command

```console
xrepo install libflac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libflac")
```


### libfork (linux)


| Description | *A bleeding-edge, lock-free, wait-free, continuation-stealing tasking library built on C++20's coroutines* |
| -- | -- |
| Homepage | [https://conorwilliams.github.io/libfork/](https://conorwilliams.github.io/libfork/) |
| License | MPL-2.0 |
| Versions | v3.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfork/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfork/xmake.lua) |

##### Install command

```console
xrepo install libfork
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfork")
```


### libfreenect2 (linux)


| Description | *Open source drivers for the Kinect for Windows v2 device* |
| -- | -- |
| Homepage | [https://github.com/OpenKinect/libfreenect2](https://github.com/OpenKinect/libfreenect2) |
| License | GPL-2.0 |
| Versions | v0.2.0, v0.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfreenect2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfreenect2/xmake.lua) |

##### Install command

```console
xrepo install libfreenect2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfreenect2")
```


### libfswatch (linux)


| Description | *A cross-platform file change monitor with multiple backends: Apple OS X File System Events, *BSD kqueue, Solaris/Illumos File Events Notification, Linux inotify, Microsoft Windows and a stat()-based backend.* |
| -- | -- |
| Homepage | [https://emcrisostomo.github.io/fswatch/](https://emcrisostomo.github.io/fswatch/) |
| License | GPL-3.0 |
| Versions | 1.17.1, 1.18.2, 1.18.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfswatch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfswatch/xmake.lua) |

##### Install command

```console
xrepo install libfswatch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfswatch")
```


### libfuse (linux)


| Description | *FUSE (Filesystem in Userspace) is an interface for userspace programs to export a filesystem to the Linux kernel.* |
| -- | -- |
| Homepage | [https://github.com/libfuse/libfuse](https://github.com/libfuse/libfuse) |
| License | GPL-2.0 |
| Versions | 3.10.4, 3.17.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfuse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfuse/xmake.lua) |

##### Install command

```console
xrepo install libfuse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfuse")
```


### libfyaml (linux)


| Description | *Fully feature complete YAML parser and emitter, supporting the latest YAML spec and passing the full YAML testsuite.* |
| -- | -- |
| Homepage | [https://github.com/pantoniou/libfyaml](https://github.com/pantoniou/libfyaml) |
| License | MIT |
| Versions | v0.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libfyaml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfyaml/xmake.lua) |

##### Install command

```console
xrepo install libfyaml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfyaml")
```


### libgcrypt (linux)


| Description | *Libgcrypt is a general purpose cryptographic library originally based on code from GnuPG.* |
| -- | -- |
| Homepage | [https://www.gnupg.org/related_software/libgcrypt/](https://www.gnupg.org/related_software/libgcrypt/) |
| License | GPL-2.0 |
| Versions | 1.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgcrypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgcrypt/xmake.lua) |

##### Install command

```console
xrepo install libgcrypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgcrypt")
```


### libgd (linux)


| Description | *GD is an open source code library for the dynamic creation of images by programmers.* |
| -- | -- |
| Homepage | [http://libgd.org/](http://libgd.org/) |
| Versions | 2.3.2, 2023.12.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgd/xmake.lua) |

##### Install command

```console
xrepo install libgd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgd")
```


### libgda (linux)


| Description | *libgda - an interface to the GDA architecture* |
| -- | -- |
| Homepage | [https://github.com/GNOME/libgda/tree/master](https://github.com/GNOME/libgda/tree/master) |
| License | LGPL-2.0 |
| Versions | 2024.08.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgda/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgda/xmake.lua) |

##### Install command

```console
xrepo install libgda
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgda")
```


### libgeotiff (linux)


| Description | *Libgeotiff is an open source library for reading and writing GeoTIFF information tags* |
| -- | -- |
| Homepage | [https://github.com/OSGeo/libgeotiff](https://github.com/OSGeo/libgeotiff) |
| License | MIT |
| Versions | 1.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgeotiff/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgeotiff/xmake.lua) |

##### Install command

```console
xrepo install libgeotiff
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgeotiff")
```


### libgit2 (linux)


| Description | *A cross-platform, linkable library implementation of Git that you can use in your application.* |
| -- | -- |
| Homepage | [https://libgit2.org/](https://libgit2.org/) |
| License | GPL-2.0-only |
| Versions | v1.3.0, v1.7.1, v1.8.0, v1.8.1, v1.8.2, v1.8.4, v1.9.0, v1.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgit2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgit2/xmake.lua) |

##### Install command

```console
xrepo install libgit2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgit2")
```


### libgit2cpp (linux)


| Description | *C++ wrapper for libgit2* |
| -- | -- |
| Homepage | [https://github.com/AndreyG/libgit2cpp](https://github.com/AndreyG/libgit2cpp) |
| Versions | 2024.06.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgit2cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgit2cpp/xmake.lua) |

##### Install command

```console
xrepo install libgit2cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgit2cpp")
```


### libglvnd (linux)


| Description | *libglvnd: the GL Vendor-Neutral Dispatch library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/glvnd/libglvnd](https://gitlab.freedesktop.org/glvnd/libglvnd) |
| Versions | v1.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libglvnd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libglvnd/xmake.lua) |

##### Install command

```console
xrepo install libglvnd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libglvnd")
```


### libgpg-error (linux)


| Description | *Libgpg-error is a small library that originally defined common error values for all GnuPG components.* |
| -- | -- |
| Homepage | [https://www.gnupg.org/related_software/libgpg-error/](https://www.gnupg.org/related_software/libgpg-error/) |
| License | GPL-2.0 |
| Versions | 1.44 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgpg-error/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgpg-error/xmake.lua) |

##### Install command

```console
xrepo install libgpg-error
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgpg-error")
```


### libgpiod (linux)


| Description | *libgpiod - C library and tools for interacting with the linux GPIO character device (gpiod stands for GPIO device)* |
| -- | -- |
| Homepage | [https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/about/](https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/about/) |
| Versions | v1.6.4, v2.0, v2.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libgpiod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgpiod/xmake.lua) |

##### Install command

```console
xrepo install libgpiod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgpiod")
```


### libharu (linux)


| Description | *libHaru is a free, cross platform, open source library for generating PDF files.* |
| -- | -- |
| Homepage | [http://libharu.org/](http://libharu.org/) |
| License | zlib |
| Versions | 2.3.0, v2.4.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libharu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libharu/xmake.lua) |

##### Install command

```console
xrepo install libharu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libharu")
```


### libhat (linux)


| Description | *A high-performance, modern, C++20 library designed around game hacking* |
| -- | -- |
| Homepage | [https://github.com/BasedInc/libhat](https://github.com/BasedInc/libhat) |
| License | MIT |
| Versions | v0.5.0, v0.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libhat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libhat/xmake.lua) |

##### Install command

```console
xrepo install libhat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libhat")
```


### libheif (linux)


| Description | *libheif is an HEIF and AVIF file format decoder and encoder.* |
| -- | -- |
| Homepage | [https://github.com/strukturag/libheif](https://github.com/strukturag/libheif) |
| License | LGPL-3.0 |
| Versions | 1.12.0, 1.17.6, 1.18.0, 1.18.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libheif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libheif/xmake.lua) |

##### Install command

```console
xrepo install libheif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libheif")
```


### libhubbub (linux)


| Description | *Hubbub is an HTML5 compliant parsing library* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libhubbub](https://www.netsurf-browser.org/projects/libhubbub) |
| License | MIT |
| Versions | 0.3.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libhubbub/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libhubbub/xmake.lua) |

##### Install command

```console
xrepo install libhubbub
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libhubbub")
```


### libhv (linux)


| Description | *Like libevent, libev, and libuv, libhv provides event-loop with non-blocking IO and timer, but simpler api and richer protocols.* |
| -- | -- |
| Homepage | [https://github.com/ithewei/libhv](https://github.com/ithewei/libhv) |
| License | BSD-3-Clause |
| Versions | v1.0.0, v1.1.0, v1.1.1, v1.2.1, v1.2.2, v1.2.3, v1.2.4, v1.2.6, v1.3.0, v1.3.1, v1.3.2, v1.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libhv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libhv/xmake.lua) |

##### Install command

```console
xrepo install libhv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libhv")
```


### libice (linux)


| Description | *X.Org: Inter-Client Exchange Library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libice](https://gitlab.freedesktop.org/xorg/lib/libice) |
| Versions | 1.0.10, 1.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libice/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libice/xmake.lua) |

##### Install command

```console
xrepo install libice
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libice")
```


### libiconv (linux)


| Description | *Character set conversion library.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libiconv](https://www.gnu.org/software/libiconv) |
| License | LGPL-2.0 |
| Versions | 1.15, 1.16, 1.17, 1.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libiconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libiconv/xmake.lua) |

##### Install command

```console
xrepo install libiconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libiconv")
```


### libid3tag (linux)


| Description | *ID3 tag manipulation library* |
| -- | -- |
| Homepage | [https://www.underbit.com/products/mad/](https://www.underbit.com/products/mad/) |
| License | GPL-2.0-or-later |
| Versions | 0.16.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libid3tag/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libid3tag/xmake.lua) |

##### Install command

```console
xrepo install libid3tag
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libid3tag")
```


### libidn2 (linux)


| Description | *Libidn2 is an implementation of the IDNA2008 + TR46 specifications.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libidn/](https://www.gnu.org/software/libidn/) |
| License | LGPL-3.0 |
| Versions | 2.3.2, 2.3.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libidn2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libidn2/xmake.lua) |

##### Install command

```console
xrepo install libidn2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libidn2")
```


### libigl (linux)


| Description | *Simple C++ geometry processing library.* |
| -- | -- |
| Homepage | [https://libigl.github.io/](https://libigl.github.io/) |
| License | MPL-2.0 |
| Versions | v2.2.0, v2.3.0, v2.4.0, v2.5.0, v2.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libigl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libigl/xmake.lua) |

##### Install command

```console
xrepo install libigl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libigl")
```


### libimagequant (linux)


| Description | *Small, portable C library for high-quality conversion of RGBA images to 8-bit indexed-color (palette) images.* |
| -- | -- |
| Homepage | [https://pngquant.org/lib/](https://pngquant.org/lib/) |
| License | GPL-3.0 |
| Versions | 2.15.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libimagequant/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libimagequant/xmake.lua) |

##### Install command

```console
xrepo install libimagequant
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libimagequant")
```


### libimobiledevice (linux)


| Description | *A cross-platform protocol library to communicate with iOS devices* |
| -- | -- |
| Homepage | [https://github.com/libimobiledevice/libimobiledevice](https://github.com/libimobiledevice/libimobiledevice) |
| Versions | 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libimobiledevice/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libimobiledevice/xmake.lua) |

##### Install command

```console
xrepo install libimobiledevice
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libimobiledevice")
```


### libimobiledevice-glue (linux)


| Description | *A library with common code used by libraries and tools around the libimobiledevice project* |
| -- | -- |
| Homepage | [https://github.com/libimobiledevice/libimobiledevice-glue](https://github.com/libimobiledevice/libimobiledevice-glue) |
| Versions | 2021.11.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libimobiledevice-glue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libimobiledevice-glue/xmake.lua) |

##### Install command

```console
xrepo install libimobiledevice-glue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libimobiledevice-glue")
```


### libinterpolate (linux)


| Description | *A C++ library for interpolation.* |
| -- | -- |
| Homepage | [https://github.com/CD3/libInterpolate](https://github.com/CD3/libInterpolate) |
| License | MIT |
| Versions | 2024.04.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libinterpolate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libinterpolate/xmake.lua) |

##### Install command

```console
xrepo install libinterpolate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libinterpolate")
```


### libisl (linux)


| Description | *Integer Set Library* |
| -- | -- |
| Homepage | [http://isl.gforge.inria.fr/](http://isl.gforge.inria.fr/) |
| Versions | 0.22, 0.23, 0.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libisl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libisl/xmake.lua) |

##### Install command

```console
xrepo install libisl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libisl")
```


### libjpeg (linux)


| Description | *A widely used C library for reading and writing JPEG image files.* |
| -- | -- |
| Homepage | [http://ijg.org/](http://ijg.org/) |
| Versions | v9b, v9c, v9d, v9e, v9f |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libjpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjpeg/xmake.lua) |

##### Install command

```console
xrepo install libjpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjpeg")
```


### libjpeg-turbo (linux)


| Description | *A JPEG image codec that uses SIMD instructions (MMX, SSE2, AVX2, Neon, AltiVec) to accelerate baseline JPEG compression and decompression on x86, x86-64, Arm, and PowerPC systems.* |
| -- | -- |
| Homepage | [https://libjpeg-turbo.org/](https://libjpeg-turbo.org/) |
| License | BSD-3-Clause |
| Versions | 2.0.5, 2.0.6, 2.0.90, 2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 3.0.1, 3.0.3, 3.0.4, 3.1.0, 3.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libjpeg-turbo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjpeg-turbo/xmake.lua) |

##### Install command

```console
xrepo install libjpeg-turbo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjpeg-turbo")
```


### libjq (linux)


| Description | *Command-line JSON processor* |
| -- | -- |
| Homepage | [https://jqlang.org](https://jqlang.org) |
| License | MIT |
| Versions | 1.7.1, 1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libjq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjq/xmake.lua) |

##### Install command

```console
xrepo install libjq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjq")
```


### libjxl (linux)


| Description | *JPEG XL image format reference implementation* |
| -- | -- |
| Homepage | [https://jpeg.org/jpegxl](https://jpeg.org/jpegxl) |
| License | BSD-3-Clause |
| Versions | v0.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libjxl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjxl/xmake.lua) |

##### Install command

```console
xrepo install libjxl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjxl")
```


### libkdtree (linux)


| Description | *libkdtree++ is an STL-like C++ template container implementation of k-dimensional space sorting, using a kd-tree. It sports a theoretically unlimited number of dimensions, and can store any data structure* |
| -- | -- |
| Homepage | [https://github.com/nvmd/libkdtree](https://github.com/nvmd/libkdtree) |
| Versions | 0.7.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libkdtree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libkdtree/xmake.lua) |

##### Install command

```console
xrepo install libkdtree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libkdtree")
```


### libkeyfinder (linux)


| Description | *Musical key detection for digital audio, GPL v3* |
| -- | -- |
| Homepage | [https://mixxxdj.github.io/libkeyfinder/](https://mixxxdj.github.io/libkeyfinder/) |
| License | GPL-3.0 |
| Versions | 2.2.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libkeyfinder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libkeyfinder/xmake.lua) |

##### Install command

```console
xrepo install libkeyfinder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libkeyfinder")
```


### libkmod (linux)


| Description | *libkmod - Linux kernel module handling* |
| -- | -- |
| Homepage | [https://github.com/kmod-project/kmod](https://github.com/kmod-project/kmod) |
| License | LGPL-2.1 |
| Versions | v30, v31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libkmod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libkmod/xmake.lua) |

##### Install command

```console
xrepo install libkmod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libkmod")
```


### liblas (linux)


| Description | *libLAS - LAS 1.0/1.1/1.2 ASPRS LiDAR data translation toolset* |
| -- | -- |
| Homepage | [https://liblas.org/index.html](https://liblas.org/index.html) |
| License | BSD-3-Clause |
| Versions | 1.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liblas/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liblas/xmake.lua) |

##### Install command

```console
xrepo install liblas
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liblas")
```


### liblifthttp (linux)


| Description | *Safe and easy to use C++17 HTTP client library.* |
| -- | -- |
| Homepage | [https://github.com/jbaldwin/liblifthttp](https://github.com/jbaldwin/liblifthttp) |
| License | Apache-2.0 |
| Versions | v4.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liblifthttp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liblifthttp/xmake.lua) |

##### Install command

```console
xrepo install liblifthttp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liblifthttp")
```


### libllvm (linux)


| Description | *The LLVM Compiler Infrastructure.* |
| -- | -- |
| Homepage | [https://llvm.org/](https://llvm.org/) |
| Versions | 19.1.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libllvm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libllvm/xmake.lua) |

##### Install command

```console
xrepo install libllvm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libllvm")
```


### libmagic (linux)


| Description | *Implementation of the file(1) command* |
| -- | -- |
| Homepage | [https://www.darwinsys.com/file/](https://www.darwinsys.com/file/) |
| Versions | 5.40 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmagic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmagic/xmake.lua) |

##### Install command

```console
xrepo install libmagic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmagic")
```


### libmaxminddb (linux)


| Description | *C library for the MaxMind DB file format* |
| -- | -- |
| Homepage | [https://maxmind.github.io/libmaxminddb/](https://maxmind.github.io/libmaxminddb/) |
| License | Apache-2.0 |
| Versions | 1.10.0, 1.11.0, 1.12.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmaxminddb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmaxminddb/xmake.lua) |

##### Install command

```console
xrepo install libmaxminddb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmaxminddb")
```


### libmd (linux)


| Description | *Message Digest functions from BSD systems* |
| -- | -- |
| Homepage | [https://www.hadrons.org/software/libmd/](https://www.hadrons.org/software/libmd/) |
| License | BSD-3-Clause |
| Versions | 1.0.4, 1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmd/xmake.lua) |

##### Install command

```console
xrepo install libmd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmd")
```


### libmem (linux)


| Description | *Cross-platform game hacking library for C, C++, Rust, and Python, supporting process/memory hacking, hooking, detouring, and DLL/SO injection.* |
| -- | -- |
| Homepage | [https://github.com/rdbo/libmem](https://github.com/rdbo/libmem) |
| License | AGPL-3.0 |
| Versions | 5.0.2, 5.0.3, 5.0.4, 5.0.5 |
| Architectures | armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmem/xmake.lua) |

##### Install command

```console
xrepo install libmem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmem")
```


### libmetalink (linux)


| Description | *C library to read Metalink XML download description format* |
| -- | -- |
| Homepage | [https://github.com/metalink-dev/libmetalink](https://github.com/metalink-dev/libmetalink) |
| License | MIT |
| Versions | 2015.07.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmetalink/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmetalink/xmake.lua) |

##### Install command

```console
xrepo install libmetalink
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmetalink")
```


### libmill (linux)


| Description | *Go-style concurrency in C* |
| -- | -- |
| Homepage | [http://libmill.org](http://libmill.org) |
| Versions | 2021.9.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmill/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmill/xmake.lua) |

##### Install command

```console
xrepo install libmill
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmill")
```


### libmng (linux)


| Description | *libmng - The reference library for reading, displaying, writing and examining Multiple-Image Network Graphics.* |
| -- | -- |
| Homepage | [https://libmng.com/](https://libmng.com/) |
| Versions | 2.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmng/xmake.lua) |

##### Install command

```console
xrepo install libmng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmng")
```


### libmobi (linux)


| Description | *C library for handling Kindle (MOBI) formats of ebook documents* |
| -- | -- |
| Homepage | [https://github.com/bfabiszewski/libmobi](https://github.com/bfabiszewski/libmobi) |
| License | MIT |
| Versions | v0.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmobi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmobi/xmake.lua) |

##### Install command

```console
xrepo install libmobi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmobi")
```


### libmodbus (linux)


| Description | *A Modbus library for Linux, Mac OS, FreeBSD and Windows* |
| -- | -- |
| Homepage | [https://libmodbus.org](https://libmodbus.org) |
| License | LGPL-2.1 |
| Versions | v3.1.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmodbus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmodbus/xmake.lua) |

##### Install command

```console
xrepo install libmodbus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmodbus")
```


### libmodplug (linux)


| Description | *libmodplug GitHub repository* |
| -- | -- |
| Homepage | [http://modplug-xmms.sf.net](http://modplug-xmms.sf.net) |
| License | Public Domain |
| Versions | 2022.1.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmodplug/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmodplug/xmake.lua) |

##### Install command

```console
xrepo install libmodplug
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmodplug")
```


### libmorton (linux)


| Description | *C++ header-only library with methods to efficiently encode/decode Morton codes in/from 2D/3D coordinates* |
| -- | -- |
| Homepage | [https://github.com/Forceflow/libmorton](https://github.com/Forceflow/libmorton) |
| License | MIT |
| Versions | v0.2.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmorton/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmorton/xmake.lua) |

##### Install command

```console
xrepo install libmorton
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmorton")
```


### libmpdclient (linux)


| Description | *A stable, documented, asynchronous API library for interfacing MPD in the C, C++ & Objective C languages.* |
| -- | -- |
| Homepage | [https://musicpd.org/libs/libmpdclient/](https://musicpd.org/libs/libmpdclient/) |
| Versions | 2.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmpdclient/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmpdclient/xmake.lua) |

##### Install command

```console
xrepo install libmpdclient
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmpdclient")
```


### libmspack (linux)


| Description | *libmspack is a portable library for some loosely related Microsoft compression formats.* |
| -- | -- |
| Homepage | [https://www.cabextract.org.uk/libmspack/](https://www.cabextract.org.uk/libmspack/) |
| License | LGPL-2.0 |
| Versions | v0.10.1alpha, v1.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmspack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmspack/xmake.lua) |

##### Install command

```console
xrepo install libmspack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmspack")
```


### libmysofa (linux)


| Description | *Reader for AES SOFA files to get better HRTFs* |
| -- | -- |
| Homepage | [https://github.com/hoene/libmysofa](https://github.com/hoene/libmysofa) |
| License | BSD-3-Clause |
| Versions | v1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libmysofa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmysofa/xmake.lua) |

##### Install command

```console
xrepo install libmysofa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmysofa")
```


### libnest2d (linux)


| Description | *2D irregular bin packaging and nesting library written in modern C++* |
| -- | -- |
| Homepage | [https://github.com/tamasmeszaros/libnest2d](https://github.com/tamasmeszaros/libnest2d) |
| License | LGPL-3.0 |
| Versions | 2022.11.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libnest2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnest2d/xmake.lua) |

##### Install command

```console
xrepo install libnest2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnest2d")
```


### libnet (linux)


| Description | *A portable framework for low-level network packet construction* |
| -- | -- |
| Homepage | [https://codedocs.xyz/libnet/libnet/](https://codedocs.xyz/libnet/libnet/) |
| License | MIT |
| Versions | v1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libnet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnet/xmake.lua) |

##### Install command

```console
xrepo install libnet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnet")
```


### libnpy (linux)


| Description | *C++ library for reading and writing of numpy's .npy files* |
| -- | -- |
| Homepage | [https://github.com/llohse/libnpy](https://github.com/llohse/libnpy) |
| License | MIT |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libnpy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnpy/xmake.lua) |

##### Install command

```console
xrepo install libnpy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnpy")
```


### libnpy-matajoh (linux)


| Description | *C++ library for reading and writing of numpy's .npy files* |
| -- | -- |
| Homepage | [https://github.com/matajoh/libnpy](https://github.com/matajoh/libnpy) |
| License | MIT |
| Versions | v1.5.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libnpy-matajoh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnpy-matajoh/xmake.lua) |

##### Install command

```console
xrepo install libnpy-matajoh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnpy-matajoh")
```


### libntl (linux)


| Description | *NTL: A Library for doing Number Theory* |
| -- | -- |
| Homepage | [https://libntl.org/](https://libntl.org/) |
| License | LGPL-2.1 |
| Versions | v11.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libntl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libntl/xmake.lua) |

##### Install command

```console
xrepo install libntl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libntl")
```


### libnyquist (linux)


| Description | *:microphone: Cross platform C++11 library for decoding audio (mp3, wav, ogg, opus, flac, etc) * |
| -- | -- |
| Homepage | [https://github.com/ddiakopoulos/libnyquist](https://github.com/ddiakopoulos/libnyquist) |
| License | BSD-2-Clause |
| Versions | 2023.02.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libnyquist/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnyquist/xmake.lua) |

##### Install command

```console
xrepo install libnyquist
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnyquist")
```


### liboai (linux)


| Description | *A C++17 library to access the entire OpenAI API.* |
| -- | -- |
| Homepage | [https://github.com/D7EAD/liboai](https://github.com/D7EAD/liboai) |
| License | MIT |
| Versions | v3.2.1, v4.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liboai/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liboai/xmake.lua) |

##### Install command

```console
xrepo install liboai
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liboai")
```


### libogg (linux)


| Description | *Ogg Bitstream Library* |
| -- | -- |
| Homepage | [https://www.xiph.org/ogg/](https://www.xiph.org/ogg/) |
| Versions | v1.3.4, v1.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libogg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libogg/xmake.lua) |

##### Install command

```console
xrepo install libogg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libogg")
```


### libomp (linux)


| Description | *LLVM's OpenMP runtime library.* |
| -- | -- |
| Homepage | [https://openmp.llvm.org/](https://openmp.llvm.org/) |
| Versions | 10.0.1, 11.1.0, 12.0.1, 19.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libomp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libomp/xmake.lua) |

##### Install command

```console
xrepo install libomp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libomp")
```


### libopus (linux)


| Description | *Modern audio compression for the internet.* |
| -- | -- |
| Homepage | [https://opus-codec.org](https://opus-codec.org) |
| Versions | 1.3.1, 1.4, 1.5, 1.5.1, 1.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libopus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libopus/xmake.lua) |

##### Install command

```console
xrepo install libopus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libopus")
```


### liboqs (linux)


| Description | *C library for prototyping and experimenting with quantum-resistant cryptography* |
| -- | -- |
| Homepage | [https://openquantumsafe.org](https://openquantumsafe.org) |
| License | MIT |
| Versions | 0.10.1, 0.11.0, 0.12.0, 0.13.0, 0.14.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liboqs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liboqs/xmake.lua) |

##### Install command

```console
xrepo install liboqs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liboqs")
```


### libp11 (linux)


| Description | *PKCS#11 wrapper library* |
| -- | -- |
| Homepage | [https://github.com/OpenSC/libp11](https://github.com/OpenSC/libp11) |
| License | LGPL-2.1 |
| Versions | 0.4.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libp11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libp11/xmake.lua) |

##### Install command

```console
xrepo install libp11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libp11")
```


### libpaper (linux)


| Description | *library for handling paper characteristics* |
| -- | -- |
| Homepage | [https://packages.debian.org/unstable/libs/libpaper1](https://packages.debian.org/unstable/libs/libpaper1) |
| License | GPL-2.0 |
| Versions | 1.1.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpaper/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpaper/xmake.lua) |

##### Install command

```console
xrepo install libpaper
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpaper")
```


### libparserutils (linux)


| Description | *LibParserUtils is a library for building efficient parsers* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libparserutils](https://www.netsurf-browser.org/projects/libparserutils) |
| License | MIT |
| Versions | 0.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libparserutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libparserutils/xmake.lua) |

##### Install command

```console
xrepo install libparserutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libparserutils")
```


### libpcap (linux)


| Description | *the LIBpcap interface to various kernel packet capture mechanism* |
| -- | -- |
| Homepage | [https://www.tcpdump.org/](https://www.tcpdump.org/) |
| License | BSD-3-Clause |
| Versions | 1.10.1, 1.10.2, 1.10.3, 1.10.4, 1.10.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpcap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpcap/xmake.lua) |

##### Install command

```console
xrepo install libpcap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpcap")
```


### libpfm (linux)


| Description | *improving performance monitoring on Linux* |
| -- | -- |
| Homepage | [http://perfmon2.sourceforge.net/](http://perfmon2.sourceforge.net/) |
| License | MIT |
| Versions | 4.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpfm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpfm/xmake.lua) |

##### Install command

```console
xrepo install libpfm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpfm")
```


### libplist (linux)


| Description | *Library for Apple Binary- and XML-Property Lists* |
| -- | -- |
| Homepage | [https://www.libimobiledevice.org/](https://www.libimobiledevice.org/) |
| License | LGPL-2.1 |
| Versions | 2.2.0, 2.6.0, 2.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libplist/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libplist/xmake.lua) |

##### Install command

```console
xrepo install libplist
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libplist")
```


### libpng (linux)


| Description | *The official PNG reference library* |
| -- | -- |
| Homepage | [http://www.libpng.org/pub/png/libpng.html](http://www.libpng.org/pub/png/libpng.html) |
| License | libpng-2.0 |
| Versions | v1.2.56, v1.6.34, v1.6.35, v1.6.36, v1.6.37, v1.6.40, v1.6.42, v1.6.43, v1.6.44, v1.6.46, v1.6.47, v1.6.48, v1.6.49, v1.6.50 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpng/xmake.lua) |

##### Install command

```console
xrepo install libpng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpng")
```


### libpopcnt (linux)


| Description | *🚀 Fast C/C++ bit population count library* |
| -- | -- |
| Homepage | [https://github.com/kimwalisch/libpopcnt](https://github.com/kimwalisch/libpopcnt) |
| License | BSD-2-Clause |
| Versions | v3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpopcnt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpopcnt/xmake.lua) |

##### Install command

```console
xrepo install libpopcnt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpopcnt")
```


### libpq (linux)


| Description | *Postgres C API library* |
| -- | -- |
| Homepage | [https://www.postgresql.org/docs/14/libpq.html](https://www.postgresql.org/docs/14/libpq.html) |
| License | PostgreSQL |
| Versions | 14.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpq/xmake.lua) |

##### Install command

```console
xrepo install libpq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpq")
```


### libpqxx (linux)


| Description | *The official C++ client API for PostgreSQL.* |
| -- | -- |
| Homepage | [http://pqxx.org/](http://pqxx.org/) |
| Versions | 7.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpqxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpqxx/xmake.lua) |

##### Install command

```console
xrepo install libpqxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpqxx")
```


### libpsl (linux)


| Description | *C library to handle the Public Suffix List* |
| -- | -- |
| Homepage | [https://github.com/rockdaboot/libpsl](https://github.com/rockdaboot/libpsl) |
| License | MIT |
| Versions | 0.21.1, 0.21.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpsl/xmake.lua) |

##### Install command

```console
xrepo install libpsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpsl")
```


### libpthread-stubs (linux)


| Description | *X.Org: pthread-stubs.pc* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 0.4, 0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libpthread-stubs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpthread-stubs/xmake.lua) |

##### Install command

```console
xrepo install libpthread-stubs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpthread-stubs")
```


### libqrencode (linux)


| Description | *A fast and compact QR Code encoding library* |
| -- | -- |
| Homepage | [https://github.com/fukuchi/libqrencode](https://github.com/fukuchi/libqrencode) |
| License | LGPL-2.1 |
| Versions | 4.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libqrencode/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libqrencode/xmake.lua) |

##### Install command

```console
xrepo install libqrencode
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libqrencode")
```


### libraqm (linux)


| Description | *A library for complex text layout* |
| -- | -- |
| Homepage | [https://host-oman.github.io/libraqm](https://host-oman.github.io/libraqm) |
| License | MIT |
| Versions | v0.10.1, v0.10.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libraqm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libraqm/xmake.lua) |

##### Install command

```console
xrepo install libraqm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libraqm")
```


### libraw (linux)


| Description | *LibRaw is a library for reading RAW files from digital cameras.* |
| -- | -- |
| Homepage | [http://www.libraw.org](http://www.libraw.org) |
| License | LGPL-2.1 |
| Versions | 0.19.5, 0.20.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libraw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libraw/xmake.lua) |

##### Install command

```console
xrepo install libraw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libraw")
```


### librdkafka (linux)


| Description | *The Apache Kafka C/C++ library* |
| -- | -- |
| Homepage | [https://github.com/edenhill/librdkafka](https://github.com/edenhill/librdkafka) |
| Versions | v1.6.2, v1.8.2-POST2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [librdkafka/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/librdkafka/xmake.lua) |

##### Install command

```console
xrepo install librdkafka
```

##### Integration in the project (xmake.lua)

```lua
add_requires("librdkafka")
```


### libredwg (linux)


| Description | *A library to allow reading data from a DWG file.* |
| -- | -- |
| Homepage | [https://github.com/LibreDWG/libredwg](https://github.com/LibreDWG/libredwg) |
| License | GPL-3.0 |
| Versions | 0.13.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libredwg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libredwg/xmake.lua) |

##### Install command

```console
xrepo install libredwg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libredwg")
```


### libremidi (linux)


| Description | *A modern C++ MIDI real-time & file I/O library. Supports Windows, macOS, Linux and WebMIDI.* |
| -- | -- |
| Homepage | [https://github.com/jcelerier/libremidi](https://github.com/jcelerier/libremidi) |
| License | BSD-2-Clause |
| Versions | v3.0, v4.5.0, v5.1.0, v5.2.0, v5.3.0, v5.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libremidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libremidi/xmake.lua) |

##### Install command

```console
xrepo install libremidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libremidi")
```


### libressl (linux)


| Description | *LibreSSL is a version of the TLS/crypto stack forked from OpenSSL in 2014, with goals of modernizing the codebase, improving security, and applying best practice development processes.* |
| -- | -- |
| Homepage | [https://www.libressl.org/](https://www.libressl.org/) |
| Versions | 3.4.2, 3.7.3, 3.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libressl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libressl/xmake.lua) |

##### Install command

```console
xrepo install libressl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libressl")
```


### libsais (linux)


| Description | *libsais is a library for linear time suffix array, longest common prefix array and burrows wheeler transform construction based on induced sorting algorithm.* |
| -- | -- |
| Homepage | [https://github.com/IlyaGrebnov/libsais](https://github.com/IlyaGrebnov/libsais) |
| License | Apache-2.0 |
| Versions | v2.7.1, v2.7.3, v2.7.5, v2.8.0, v2.8.1, v2.8.2, v2.8.3, v2.8.4, v2.8.7, v2.10.0, v2.10.1, v2.10.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsais/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsais/xmake.lua) |

##### Install command

```console
xrepo install libsais
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsais")
```


### libsamplerate (linux)


| Description | *An audio Sample Rate Conversion library* |
| -- | -- |
| Homepage | [http://libsndfile.github.io/libsamplerate/](http://libsndfile.github.io/libsamplerate/) |
| License | BSD-2-Clause |
| Versions | 0.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsamplerate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsamplerate/xmake.lua) |

##### Install command

```console
xrepo install libsamplerate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsamplerate")
```


### libsdl (linux)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 2.0.8, 2.0.12, 2.0.14, 2.0.16, 2.0.18, 2.0.20, 2.0.22, 2.24.0, 2.24.2, 2.26.0, 2.26.1, 2.26.2, 2.26.3, 2.26.4, 2.26.5, 2.28.0, 2.28.1, 2.28.2, 2.28.3, 2.28.4, 2.28.5, 2.30.0, 2.30.1, 2.30.2, 2.30.3, 2.30.4, 2.30.5, 2.30.6, 2.30.7, 2.30.8, 2.30.9, 2.30.10, 2.32.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl/xmake.lua) |

##### Install command

```console
xrepo install libsdl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl")
```


### libsdl2 (linux)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 2.0.8, 2.0.12, 2.0.14, 2.0.16, 2.0.18, 2.0.20, 2.0.22, 2.24.0, 2.24.2, 2.26.0, 2.26.1, 2.26.2, 2.26.3, 2.26.4, 2.26.5, 2.28.0, 2.28.1, 2.28.2, 2.28.3, 2.28.4, 2.28.5, 2.30.0, 2.30.1, 2.30.2, 2.30.3, 2.30.4, 2.30.5, 2.30.6, 2.30.7, 2.30.8, 2.30.9, 2.30.10, 2.32.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2/xmake.lua) |

##### Install command

```console
xrepo install libsdl2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2")
```


### libsdl2_gfx (linux)


| Description | *Simple DirectMedia Layer primitives drawing library* |
| -- | -- |
| Homepage | [https://www.ferzkopp.net/wordpress/2016/01/02/sdl_gfx-sdl2_gfx/](https://www.ferzkopp.net/wordpress/2016/01/02/sdl_gfx-sdl2_gfx/) |
| Versions | 1.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2_gfx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_gfx/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_gfx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_gfx")
```


### libsdl2_image (linux)


| Description | *Simple DirectMedia Layer image loading library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 2.6.0, 2.6.1, 2.6.2, 2.6.3, 2.8.0, 2.8.1, 2.8.2, 2.8.3, 2.8.4, 2.8.5, 2.8.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_image")
```


### libsdl2_mixer (linux)


| Description | *Simple DirectMedia Layer mixer audio library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_mixer/](https://www.libsdl.org/projects/SDL_mixer/) |
| License | zlib |
| Versions | 2.0.4, 2.6.0, 2.6.1, 2.6.2, 2.8.0, 2.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2_mixer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_mixer/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_mixer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_mixer")
```


### libsdl2_net (linux)


| Description | *Simple DirectMedia Layer networking library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_net/](https://www.libsdl.org/projects/SDL_net/) |
| License | zlib |
| Versions | 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2_net/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_net/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_net
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_net")
```


### libsdl2_ttf (linux)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 2.20.0, 2.20.1, 2.20.2, 2.22.0, 2.24.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl2_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_ttf")
```


### libsdl3 (linux)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 3.2.0, 3.2.2, 3.2.6, 3.2.8, 3.2.10, 3.2.14, 3.2.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3/xmake.lua) |

##### Install command

```console
xrepo install libsdl3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3")
```


### libsdl3_image (linux)


| Description | *Image decoding for many popular formats for Simple Directmedia Layer.* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 3.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl3_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl3_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3_image")
```


### libsdl3_ttf (linux)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 3.2.0, 3.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl3_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl3_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3_ttf")
```


### libsdl_gfx (linux)


| Description | *Simple DirectMedia Layer primitives drawing library* |
| -- | -- |
| Homepage | [https://www.ferzkopp.net/wordpress/2016/01/02/sdl_gfx-sdl2_gfx/](https://www.ferzkopp.net/wordpress/2016/01/02/sdl_gfx-sdl2_gfx/) |
| Versions | 1.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl_gfx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_gfx/xmake.lua) |

##### Install command

```console
xrepo install libsdl_gfx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_gfx")
```


### libsdl_image (linux)


| Description | *Simple DirectMedia Layer image loading library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 2.6.0, 2.6.1, 2.6.2, 2.6.3, 2.8.0, 2.8.1, 2.8.2, 2.8.3, 2.8.4, 2.8.5, 2.8.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_image")
```


### libsdl_mixer (linux)


| Description | *Simple DirectMedia Layer mixer audio library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_mixer/](https://www.libsdl.org/projects/SDL_mixer/) |
| License | zlib |
| Versions | 2.0.4, 2.6.0, 2.6.1, 2.6.2, 2.8.0, 2.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl_mixer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_mixer/xmake.lua) |

##### Install command

```console
xrepo install libsdl_mixer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_mixer")
```


### libsdl_net (linux)


| Description | *Simple DirectMedia Layer networking library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_net/](https://www.libsdl.org/projects/SDL_net/) |
| License | zlib |
| Versions | 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl_net/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_net/xmake.lua) |

##### Install command

```console
xrepo install libsdl_net
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_net")
```


### libsdl_ttf (linux)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 2.20.0, 2.20.1, 2.20.2, 2.22.0, 2.24.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsdl_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_ttf")
```


### libsigc++ (linux)


| Description | *Callback framework for C++* |
| -- | -- |
| Homepage | [https://libsigcplusplus.github.io/libsigcplusplus](https://libsigcplusplus.github.io/libsigcplusplus) |
| License | LGPL-3.0-or-later |
| Versions | 3.0.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsigc++/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsigc++/xmake.lua) |

##### Install command

```console
xrepo install libsigc++
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsigc++")
```


### libsigcplusplus (linux)


| Description | *libsigc++ implements a typesafe callback system for standard C++. It allows you to define signals and to connect those signals to any callback function, either global or a member function, regardless of whether it is static or virtual.* |
| -- | -- |
| Homepage | [https://libsigcplusplus.github.io/libsigcplusplus/](https://libsigcplusplus.github.io/libsigcplusplus/) |
| License | LGPL-3.0 |
| Versions | 3.4.0, 3.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsigcplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsigcplusplus/xmake.lua) |

##### Install command

```console
xrepo install libsigcplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsigcplusplus")
```


### libsimdpp (linux)


| Description | *Portable header-only C++ low level SIMD library* |
| -- | -- |
| Homepage | [https://github.com/p12tic/libsimdpp](https://github.com/p12tic/libsimdpp) |
| Versions | v2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsimdpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsimdpp/xmake.lua) |

##### Install command

```console
xrepo install libsimdpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsimdpp")
```


### libsm (linux)


| Description | *X.Org: X Session Management Library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libsm](https://gitlab.freedesktop.org/xorg/lib/libsm) |
| Versions | 1.2.3, 1.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsm/xmake.lua) |

##### Install command

```console
xrepo install libsm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsm")
```


### libsmb2 (linux)


| Description | *SMB2/3 userspace client* |
| -- | -- |
| Homepage | [https://github.com/sahlberg/libsmb2](https://github.com/sahlberg/libsmb2) |
| License | LGPL-2.1 |
| Versions | 2024.07.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsmb2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsmb2/xmake.lua) |

##### Install command

```console
xrepo install libsmb2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsmb2")
```


### libsndfile (linux)


| Description | *A C library for reading and writing sound files containing sampled audio data.* |
| -- | -- |
| Homepage | [https://libsndfile.github.io/libsndfile/](https://libsndfile.github.io/libsndfile/) |
| License | LGPL-2.1 |
| Versions | 1.0.31, 1.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsndfile/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsndfile/xmake.lua) |

##### Install command

```console
xrepo install libsndfile
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsndfile")
```


### libsndio (linux)


| Description | *Sndio is a small audio and MIDI framework part of the OpenBSD project and ported to FreeBSD, Linux and NetBSD* |
| -- | -- |
| Homepage | [https://sndio.org](https://sndio.org) |
| Versions | 1.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsndio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsndio/xmake.lua) |

##### Install command

```console
xrepo install libsndio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsndio")
```


### libsodium (linux)


| Description | *Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.* |
| -- | -- |
| Homepage | [https://libsodium.org](https://libsodium.org) |
| License | ISC |
| Versions | 1.0.18, 1.0.19, 1.0.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsodium/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsodium/xmake.lua) |

##### Install command

```console
xrepo install libsodium
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsodium")
```


### libsoundio (linux)


| Description | *C library for cross-platform real-time audio input and output.* |
| -- | -- |
| Homepage | [http://libsound.io/](http://libsound.io/) |
| License | MIT |
| Versions | 2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsoundio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsoundio/xmake.lua) |

##### Install command

```console
xrepo install libsoundio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsoundio")
```


### libspectre (linux)


| Description | *libspectre is a small library for rendering Postscript documents.* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/libspectre/](https://www.freedesktop.org/wiki/Software/libspectre/) |
| License | GPL-2.0 |
| Versions | 0.2.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libspectre/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libspectre/xmake.lua) |

##### Install command

```console
xrepo install libspectre
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libspectre")
```


### libspng (linux)


| Description | *Simple, modern libpng alternative* |
| -- | -- |
| Homepage | [https://libspng.org](https://libspng.org) |
| License | BSD-2-Clause |
| Versions | v0.7.1, v0.7.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libspng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libspng/xmake.lua) |

##### Install command

```console
xrepo install libspng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libspng")
```


### libsquish (linux)


| Description | *The libSquish library compresses images with the DXT standard (also known as S3TC).* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/libsquish/](https://sourceforge.net/projects/libsquish/) |
| License | MIT |
| Versions | 1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsquish/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsquish/xmake.lua) |

##### Install command

```console
xrepo install libsquish
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsquish")
```


### libssh (linux)


| Description | *C library implementing the SSH2 protocol* |
| -- | -- |
| Homepage | [https://www.libssh2.org/](https://www.libssh2.org/) |
| License | BSD-3-Clause |
| Versions | 0.11.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libssh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libssh/xmake.lua) |

##### Install command

```console
xrepo install libssh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libssh")
```


### libssh2 (linux)


| Description | *C library implementing the SSH2 protocol* |
| -- | -- |
| Homepage | [https://www.libssh2.org/](https://www.libssh2.org/) |
| License | BSD-3-Clause |
| Versions | 1.10.0, 1.11.0, 1.11.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libssh2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libssh2/xmake.lua) |

##### Install command

```console
xrepo install libssh2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libssh2")
```


### libstatgrab (linux)


| Description | *A cross platform library for accessing system statistics* |
| -- | -- |
| Homepage | [https://libstatgrab.org/](https://libstatgrab.org/) |
| License | GPL-2.1 |
| Versions | 0.92.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libstatgrab/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libstatgrab/xmake.lua) |

##### Install command

```console
xrepo install libstatgrab
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libstatgrab")
```


### libsv (linux)


| Description | *libsv - Public domain cross-platform semantic versioning in c99* |
| -- | -- |
| Homepage | [https://github.com/uael/sv](https://github.com/uael/sv) |
| Versions | 2021.11.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsv/xmake.lua) |

##### Install command

```console
xrepo install libsv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsv")
```


### libsvgtiny (linux)


| Description | *Libsvgtiny is a library for parsing SVG files for display.* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libsvgtiny](https://www.netsurf-browser.org/projects/libsvgtiny) |
| License | MIT |
| Versions | 0.1.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsvgtiny/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsvgtiny/xmake.lua) |

##### Install command

```console
xrepo install libsvgtiny
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsvgtiny")
```


### libsvm (linux)


| Description | *A simple, easy-to-use, and efficient software for SVM classification and regression* |
| -- | -- |
| Homepage | [https://github.com/cjlin1/libsvm](https://github.com/cjlin1/libsvm) |
| License | BSD-3-Clause |
| Versions | v325, v332, v333, v334, v335, v336 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libsvm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsvm/xmake.lua) |

##### Install command

```console
xrepo install libsvm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsvm")
```


### libtask (linux)


| Description | *a Coroutine Library for C and Unix* |
| -- | -- |
| Homepage | [https://swtch.com/libtask/](https://swtch.com/libtask/) |
| Versions | 1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtask/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtask/xmake.lua) |

##### Install command

```console
xrepo install libtask
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtask")
```


### libtasn1 (linux)


| Description | *Libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some other packages.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libtasn1/](https://www.gnu.org/software/libtasn1/) |
| License | LGPL-2.1 |
| Versions | 4.15.0, 4.19.0, 4.20.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtasn1/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtasn1/xmake.lua) |

##### Install command

```console
xrepo install libtasn1
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtasn1")
```


### libtcod (linux)


| Description | *A collection of tools and algorithms for developing traditional roguelikes.  Such as field-of-view, pathfinding, and a tile-based terminal emulator.* |
| -- | -- |
| Homepage | [https://github.com/libtcod/libtcod](https://github.com/libtcod/libtcod) |
| License | BSD-3-Clause |
| Versions | 2.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtcod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtcod/xmake.lua) |

##### Install command

```console
xrepo install libtcod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtcod")
```


### libthai (linux)


| Description | *LibThai is a set of Thai language support routines* |
| -- | -- |
| Homepage | [https://github.com/tlwg/libthai](https://github.com/tlwg/libthai) |
| License | LGPL-2.1 |
| Versions | 0.1.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libthai/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libthai/xmake.lua) |

##### Install command

```console
xrepo install libthai
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libthai")
```


### libtiff (linux)


| Description | *TIFF Library and Utilities.* |
| -- | -- |
| Homepage | [http://www.simplesystems.org/libtiff/](http://www.simplesystems.org/libtiff/) |
| Versions | v4.1.0, v4.2.0, v4.3.0, v4.4.0, v4.6.0, v4.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtiff/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtiff/xmake.lua) |

##### Install command

```console
xrepo install libtiff
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtiff")
```


### libtins (linux)


| Description | *High-level, multiplatform C++ network packet sniffing and crafting library.* |
| -- | -- |
| Homepage | [http://libtins.github.io/](http://libtins.github.io/) |
| License | BSD-2-Clause |
| Versions | v4.4, v4.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtins/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtins/xmake.lua) |

##### Install command

```console
xrepo install libtins
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtins")
```


### libtomcrypt (linux)


| Description | *A fairly comprehensive, modular and portable cryptographic toolkit.* |
| -- | -- |
| Homepage | [https://www.libtom.net](https://www.libtom.net) |
| License | Unlicense |
| Versions | 2024.06.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtomcrypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtomcrypt/xmake.lua) |

##### Install command

```console
xrepo install libtomcrypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtomcrypt")
```


### libtommath (linux)


| Description | *LibTomMath is a free open source portable number theoretic multiple-precision integer library written entirely in C.* |
| -- | -- |
| Homepage | [https://www.libtom.net](https://www.libtom.net) |
| License | Unlicense |
| Versions | 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtommath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtommath/xmake.lua) |

##### Install command

```console
xrepo install libtommath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtommath")
```


### libtool (linux)


| Description | *A generic library support script.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libtool/](https://www.gnu.org/software/libtool/) |
| Versions | 2.4.5, 2.4.6, 2.4.7, 2.5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtool/xmake.lua) |

##### Install command

```console
xrepo install libtool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtool")
```


### libtorch (linux)


| Description | *An open source machine learning framework that accelerates the path from research prototyping to production deployment.* |
| -- | -- |
| Homepage | [https://pytorch.org/](https://pytorch.org/) |
| License | BSD-3-Clause |
| Versions | v1.8.0, v1.8.1, v1.8.2, v1.9.0, v1.9.1, v1.11.0, v1.12.1, v2.1.0, v2.1.2, v2.2.2, v2.3.1, v2.4.0, v2.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libtorch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtorch/xmake.lua) |

##### Install command

```console
xrepo install libtorch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtorch")
```


### libudev (linux)


| Description | *API for enumerating and introspecting local devices* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/systemd/](https://www.freedesktop.org/wiki/Software/systemd/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libudev/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libudev/xmake.lua) |

##### Install command

```console
xrepo install libudev
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libudev")
```


### libudis86 (linux)


| Description | *Disassembler Library for x86 and x86-64* |
| -- | -- |
| Homepage | [http://udis86.sourceforge.net](http://udis86.sourceforge.net) |
| License | BSD-2-Clause |
| Versions | 2014.12.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libudis86/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libudis86/xmake.lua) |

##### Install command

```console
xrepo install libudis86
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libudis86")
```


### libui (linux)


| Description | *A portable GUI library for C* |
| -- | -- |
| Homepage | [https://libui-ng.github.io/libui-ng/](https://libui-ng.github.io/libui-ng/) |
| Versions | 2022.12.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libui/xmake.lua) |

##### Install command

```console
xrepo install libui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libui")
```


### libunifex (linux)


| Description | *The 'libunifex' project is a prototype implementation of the C++ sender/receiver async programming model that is currently being considered for standardisation.* |
| -- | -- |
| Homepage | [https://github.com/facebookexperimental/libunifex](https://github.com/facebookexperimental/libunifex) |
| License | Apache-2.0 |
| Versions | v0.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libunifex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libunifex/xmake.lua) |

##### Install command

```console
xrepo install libunifex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libunifex")
```


### libunistring (linux)


| Description | *This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libunistring/](https://www.gnu.org/software/libunistring/) |
| License | GPL-3.0 |
| Versions | 0.9.10, 1.1, 1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libunistring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libunistring/xmake.lua) |

##### Install command

```console
xrepo install libunistring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libunistring")
```


### libunwind (linux)


| Description | *A portable and efficient C programming interface (API) to determine the call-chain of a program.* |
| -- | -- |
| Homepage | [https://www.nongnu.org/libunwind/](https://www.nongnu.org/libunwind/) |
| License | MIT |
| Versions | v1.5, v1.6.2, v1.7.2, v1.8.0, v1.8.1, v1.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libunwind/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libunwind/xmake.lua) |

##### Install command

```console
xrepo install libunwind
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libunwind")
```


### liburing (linux)


| Description | *liburing provides helpers to setup and teardown io_uring instances* |
| -- | -- |
| Homepage | [https://github.com/axboe/liburing](https://github.com/axboe/liburing) |
| License | MIT |
| Versions | 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8, 2.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liburing/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liburing/xmake.lua) |

##### Install command

```console
xrepo install liburing
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liburing")
```


### libusb (linux)


| Description | *A cross-platform library to access USB devices * |
| -- | -- |
| Homepage | [https://libusb.info](https://libusb.info) |
| License | LGPL-2.1 |
| Versions | v1.0.26, v1.0.27, v1.0.28, v1.0.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libusb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libusb/xmake.lua) |

##### Install command

```console
xrepo install libusb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libusb")
```


### libusbmuxd (linux)


| Description | *A client library to multiplex connections from and to iOS devices* |
| -- | -- |
| Homepage | [https://github.com/libimobiledevice/libusbmuxd](https://github.com/libimobiledevice/libusbmuxd) |
| License | LGPL-2.1 |
| Versions | 2021.09.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libusbmuxd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libusbmuxd/xmake.lua) |

##### Install command

```console
xrepo install libusbmuxd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libusbmuxd")
```


### libuuid (linux)


| Description | *Portable uuid C library* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/libuuid](https://sourceforge.net/projects/libuuid) |
| License | BSD-3-Clause |
| Versions | 1.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libuuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libuuid/xmake.lua) |

##### Install command

```console
xrepo install libuuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libuuid")
```


### libuv (linux)


| Description | *A multi-platform support library with a focus on asynchronous I/O.* |
| -- | -- |
| Homepage | [http://libuv.org/](http://libuv.org/) |
| License | MIT |
| Versions | v1.22.0, v1.23.0, v1.23.1, v1.23.2, v1.24.0, v1.24.1, v1.25.0, v1.26.0, v1.27.0, v1.28.0, v1.40.0, v1.41.0, v1.42.0, v1.43.0, v1.44.1, v1.45.0, v1.46.0, v1.47.0, v1.48.0, v1.49.0, v1.49.1, v1.49.2, v1.50.0, v1.51.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libuv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libuv/xmake.lua) |

##### Install command

```console
xrepo install libuv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libuv")
```


### libuvc (linux)


| Description | *A cross-platform video device oynchronous I/O.* |
| -- | -- |
| Homepage | [https://github.com/libuvc/libuvc](https://github.com/libuvc/libuvc) |
| License | BSD-3-Clause |
| Versions | 2024.03.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libuvc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libuvc/xmake.lua) |

##### Install command

```console
xrepo install libuvc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libuvc")
```


### libva (linux)


| Description | *Libva is an implementation for VA-API (Video Acceleration API)* |
| -- | -- |
| Homepage | [https://01.org/linuxmedia](https://01.org/linuxmedia) |
| Versions | 2.21.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libva/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libva/xmake.lua) |

##### Install command

```console
xrepo install libva
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libva")
```


### libverto (linux)


| Description | *An async event loop abstraction library* |
| -- | -- |
| Homepage | [https://github.com/latchset/libverto](https://github.com/latchset/libverto) |
| License | MIT |
| Versions | 0.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libverto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libverto/xmake.lua) |

##### Install command

```console
xrepo install libverto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libverto")
```


### libvips (linux)


| Description | *A fast image processing library with low memory needs.* |
| -- | -- |
| Homepage | [https://libvips.github.io/libvips/](https://libvips.github.io/libvips/) |
| License | LGPL-2.1 |
| Versions | v8.15.1, v8.15.2, v8.15.3, v8.15.4, v8.15.5, v8.16.0, v8.16.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libvips/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libvips/xmake.lua) |

##### Install command

```console
xrepo install libvips
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libvips")
```


### libvorbis (linux)


| Description | *Reference implementation of the Ogg Vorbis audio format.* |
| -- | -- |
| Homepage | [https://xiph.org/vorbis](https://xiph.org/vorbis) |
| License | BSD-3 |
| Versions | 1.3.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libvorbis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libvorbis/xmake.lua) |

##### Install command

```console
xrepo install libvorbis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libvorbis")
```


### libvpx (linux)


| Description | *libvpx is a free software video codec library from Google and the Alliance for Open Media (AOMedia)* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/webm/libvpx/](https://chromium.googlesource.com/webm/libvpx/) |
| License | BSD-3-Clause |
| Versions | v1.14.1, v1.15.0, v1.15.1, v1.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libvpx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libvpx/xmake.lua) |

##### Install command

```console
xrepo install libvpx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libvpx")
```


### libwapcaplet (linux)


| Description | *LibWapcaplet is a string internment library* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libwapcaplet](https://www.netsurf-browser.org/projects/libwapcaplet) |
| License | MIT |
| Versions | 0.4.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libwapcaplet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwapcaplet/xmake.lua) |

##### Install command

```console
xrepo install libwapcaplet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwapcaplet")
```


### libwebm (linux)


| Description | *Library for muxing and demuxing WebM media container files* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/webm/libwebm](https://chromium.googlesource.com/webm/libwebm) |
| License | BSD-3-Clause |
| Versions | 1.0.0+31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libwebm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebm/xmake.lua) |

##### Install command

```console
xrepo install libwebm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebm")
```


### libwebp (linux)


| Description | *Library to encode and decode images in WebP format.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/webm/libwebp/](https://chromium.googlesource.com/webm/libwebp/) |
| License | BSD-3-Clause |
| Versions | v1.1.0, v1.2.0, v1.2.1, v1.2.2, v1.2.3, v1.2.4, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libwebp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebp/xmake.lua) |

##### Install command

```console
xrepo install libwebp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebp")
```


### libwebsockets (linux)


| Description | *canonical libwebsockets.org websocket library* |
| -- | -- |
| Homepage | [https://github.com/warmcat/libwebsockets](https://github.com/warmcat/libwebsockets) |
| License | MIT |
| Versions | v4.3.3, v4.3.4, v4.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libwebsockets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebsockets/xmake.lua) |

##### Install command

```console
xrepo install libwebsockets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebsockets")
```


### libwfkafka (linux)


| Description | *The Kafka Client of C++ Workflow* |
| -- | -- |
| Homepage | [https://github.com/sogou/workflow](https://github.com/sogou/workflow) |
| License | Apache-2.0 |
| Versions | v0.10.6, v0.10.7, v0.10.8, v0.10.9, v0.11.1, v0.11.2, v0.11.3, v0.11.4, v0.11.5, v0.11.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libwfkafka/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwfkafka/xmake.lua) |

##### Install command

```console
xrepo install libwfkafka
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwfkafka")
```


### libx11 (linux)


| Description | *X.Org: Core X11 protocol client library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.6.9, 1.7.0, 1.7.3, 1.8.1, 1.8.7, 1.8.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libx11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libx11/xmake.lua) |

##### Install command

```console
xrepo install libx11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libx11")
```


### libxau (linux)


| Description | *X.Org: A Sample Authorization Protocol for X* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.0.10, 1.0.11, 1.0.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxau/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxau/xmake.lua) |

##### Install command

```console
xrepo install libxau
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxau")
```


### libxaw (linux)


| Description | *X.Org: X Athena Widget Set* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libxaw](https://gitlab.freedesktop.org/xorg/lib/libxaw) |
| Versions | 1.0.14, 1.0.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxaw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxaw/xmake.lua) |

##### Install command

```console
xrepo install libxaw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxaw")
```


### libxcb (linux)


| Description | *X.Org: Interface to the X Window System protocol* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.13.1, 1.14, 1.16, 1.17.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxcb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxcb/xmake.lua) |

##### Install command

```console
xrepo install libxcb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxcb")
```


### libxcomposite (linux)


| Description | *libXcomposite provides an X Window System client interface to the Composite extension to the X protocol.* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 0.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxcomposite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxcomposite/xmake.lua) |

##### Install command

```console
xrepo install libxcomposite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxcomposite")
```


### libxcursor (linux)


| Description | *X.Org: X Window System Cursor management library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.2.1, 1.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxcursor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxcursor/xmake.lua) |

##### Install command

```console
xrepo install libxcursor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxcursor")
```


### libxdamage (linux)


| Description | *X.Org: X Damage Extension library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.1.5, 1.1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxdamage/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxdamage/xmake.lua) |

##### Install command

```console
xrepo install libxdamage
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxdamage")
```


### libxdmcp (linux)


| Description | *X.Org: X Display Manager Control Protocol library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.1.3, 1.1.4, 1.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxdmcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxdmcp/xmake.lua) |

##### Install command

```console
xrepo install libxdmcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxdmcp")
```


### libxext (linux)


| Description | *X.Org: Library for common extensions to the X11 protocol* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.3.5, 1.3.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxext/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxext/xmake.lua) |

##### Install command

```console
xrepo install libxext
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxext")
```


### libxfixes (linux)


| Description | *X.Org: Header files for the XFIXES extension* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 6.0.0, 6.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxfixes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxfixes/xmake.lua) |

##### Install command

```console
xrepo install libxfixes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxfixes")
```


### libxft (linux)


| Description | *X.Org: X FreeType library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| License | MIT |
| Versions | 2.3.3, 2.3.7, 2.3.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxft/xmake.lua) |

##### Install command

```console
xrepo install libxft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxft")
```


### libxi (linux)


| Description | *X.Org: Library for the X Input Extension* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.7.10, 1.8, 1.8.1, 1.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxi/xmake.lua) |

##### Install command

```console
xrepo install libxi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxi")
```


### libxinerama (linux)


| Description | *X.Org: API for Xinerama extension to X11 Protocol* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxinerama/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxinerama/xmake.lua) |

##### Install command

```console
xrepo install libxinerama
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxinerama")
```


### libxkbcommon (linux)


| Description | *keymap handling library for toolkits and window systems* |
| -- | -- |
| Homepage | [https://xkbcommon.org/](https://xkbcommon.org/) |
| License | MIT |
| Versions | 1.0.3, 1.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxkbcommon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxkbcommon/xmake.lua) |

##### Install command

```console
xrepo install libxkbcommon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxkbcommon")
```


### libxlsxwriter (linux)


| Description | *A C library for creating Excel XLSX files.* |
| -- | -- |
| Homepage | [https://libxlsxwriter.github.io](https://libxlsxwriter.github.io) |
| License | BSD-2-Clause |
| Versions | 1.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxlsxwriter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxlsxwriter/xmake.lua) |

##### Install command

```console
xrepo install libxlsxwriter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxlsxwriter")
```


### libxmake (linux)


| Description | *The c/c++ bindings of the xmake core engine* |
| -- | -- |
| Homepage | [https://xmake.io](https://xmake.io) |
| Versions | v2.9.8, v2.9.9, v3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxmake/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxmake/xmake.lua) |

##### Install command

```console
xrepo install libxmake
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxmake")
```


### libxml2 (linux)


| Description | *The XML C parser and toolkit of Gnome.* |
| -- | -- |
| Homepage | [http://xmlsoft.org/](http://xmlsoft.org/) |
| License | MIT |
| Versions | v2.11.9, v2.12.9, v2.13.2, v2.13.4, v2.14.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxml2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxml2/xmake.lua) |

##### Install command

```console
xrepo install libxml2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxml2")
```


### libxmu (linux)


| Description | *X.Org: X miscellaneous utility routines library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libxmu](https://gitlab.freedesktop.org/xorg/lib/libxmu) |
| Versions | 1.1.3, 1.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxmu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxmu/xmake.lua) |

##### Install command

```console
xrepo install libxmu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxmu")
```


### libxnvctrl (linux)


| Description | *NVIDIA driver control panel* |
| -- | -- |
| Homepage | [https://www.nvidia.com/en-us/drivers/unix/](https://www.nvidia.com/en-us/drivers/unix/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxnvctrl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxnvctrl/xmake.lua) |

##### Install command

```console
xrepo install libxnvctrl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxnvctrl")
```


### libxpm (linux)


| Description | *X.Org: X Pixmap (XPM) image file format library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libxpm](https://gitlab.freedesktop.org/xorg/lib/libxpm) |
| Versions | 3.5.13, 3.5.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxpm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxpm/xmake.lua) |

##### Install command

```console
xrepo install libxpm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxpm")
```


### libxrandr (linux)


| Description | *X.Org: X Resize, Rotate and Reflection extension library* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.5.2, 1.5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxrandr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxrandr/xmake.lua) |

##### Install command

```console
xrepo install libxrandr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxrandr")
```


### libxrender (linux)


| Description | *X.Org: Library for the Render Extension to the X11 protocol* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 0.9.11, 0.9.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxrender/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxrender/xmake.lua) |

##### Install command

```console
xrepo install libxrender
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxrender")
```


### libxshmfence (linux)


| Description | *X.Org: Shared memory 'SyncFence' synchronization primitive* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.3, 1.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxshmfence/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxshmfence/xmake.lua) |

##### Install command

```console
xrepo install libxshmfence
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxshmfence")
```


### libxslt (linux)


| Description | *Libxslt is the XSLT C library developed for the GNOME project.* |
| -- | -- |
| Homepage | [http://xmlsoft.org/XSLT/](http://xmlsoft.org/XSLT/) |
| License | MIT |
| Versions | v1.1.42, v1.1.43 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxslt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxslt/xmake.lua) |

##### Install command

```console
xrepo install libxslt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxslt")
```


### libxt (linux)


| Description | *X.Org: X Toolkit Intrinsics library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/xorg/lib/libxt](https://gitlab.freedesktop.org/xorg/lib/libxt) |
| Versions | 1.2.1, 1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxt/xmake.lua) |

##### Install command

```console
xrepo install libxt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxt")
```


### libxtst (linux)


| Description | *X.Org: Client API for the XTEST & RECORD extensions* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| License | MIT |
| Versions | 1.2.3, 1.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxtst/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxtst/xmake.lua) |

##### Install command

```console
xrepo install libxtst
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxtst")
```


### libxv (linux)


| Description | *X.Org: X Video (Xv) extension* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.0.11, 1.0.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxv/xmake.lua) |

##### Install command

```console
xrepo install libxv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxv")
```


### libxvmc (linux)


| Description | *X.Org: X-Video Motion Compensation API* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.0.12, 1.0.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxvmc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxvmc/xmake.lua) |

##### Install command

```console
xrepo install libxvmc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxvmc")
```


### libxxf86vm (linux)


| Description | *X.Org: XFree86-VidMode X extension* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.1.5, 1.1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libxxf86vm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxxf86vm/xmake.lua) |

##### Install command

```console
xrepo install libxxf86vm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxxf86vm")
```


### libyaml (linux)


| Description | *Canonical source repository for LibYAML.* |
| -- | -- |
| Homepage | [http://pyyaml.org/wiki/LibYAML](http://pyyaml.org/wiki/LibYAML) |
| License | MIT |
| Versions | 0.2.2, 0.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libyaml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libyaml/xmake.lua) |

##### Install command

```console
xrepo install libyaml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libyaml")
```


### libyuv (linux)


| Description | *libyuv is an open source project that includes YUV scaling and conversion functionality.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/libyuv/libyuv/](https://chromium.googlesource.com/libyuv/libyuv/) |
| License | BSD-3-Clause |
| Versions | 1891, 1913 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libyuv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libyuv/xmake.lua) |

##### Install command

```console
xrepo install libyuv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libyuv")
```


### libzen (linux)


| Description | *Small C++ derivate classes to have an easier life* |
| -- | -- |
| Homepage | [https://mediaarea.net](https://mediaarea.net) |
| License | zlib |
| Versions | v0.4.41 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libzen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzen/xmake.lua) |

##### Install command

```console
xrepo install libzen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzen")
```


### libzip (linux)


| Description | *A C library for reading, creating, and modifying zip archives.* |
| -- | -- |
| Homepage | [https://libzip.org/](https://libzip.org/) |
| License | BSD-3-Clause |
| Versions | v1.8.0, v1.9.2, v1.10.1, v1.11.1, v1.11.2, v1.11.3, v1.11.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzip/xmake.lua) |

##### Install command

```console
xrepo install libzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzip")
```


### libzippp (linux)


| Description | *C++ wrapper for libzip* |
| -- | -- |
| Homepage | [https://github.com/ctabin/libzippp](https://github.com/ctabin/libzippp) |
| Versions | 7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [libzippp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzippp/xmake.lua) |

##### Install command

```console
xrepo install libzippp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzippp")
```


### lief (linux)


| Description | *Library to Instrument Executable Formats.* |
| -- | -- |
| Homepage | [https://lief.quarkslab.com](https://lief.quarkslab.com) |
| License | Apache-2.0 |
| Versions | 0.10.1, 0.11.5, 0.14.0, 0.14.1, 0.15.1, 0.16.0, 0.16.1, 0.16.2, 0.16.3, 0.16.4, 0.16.5, 0.16.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lief/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lief/xmake.lua) |

##### Install command

```console
xrepo install lief
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lief")
```


### lightgbm (linux)


| Description | *LightGBM is a gradient boosting framework that uses tree based learning algorithms.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/LightGBM](https://github.com/microsoft/LightGBM) |
| License | MIT |
| Versions | 3.2.1, 3.3.2, 4.2.0, 4.3.0, 4.4.0, 4.5.0, 4.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lightgbm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lightgbm/xmake.lua) |

##### Install command

```console
xrepo install lightgbm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lightgbm")
```


### lightmapper (linux)


| Description | *A C/C++ single-file library for drop-in lightmap baking. Just use your existing OpenGL renderer to bounce light!* |
| -- | -- |
| Homepage | [https://github.com/ands/lightmapper](https://github.com/ands/lightmapper) |
| Versions | 2022.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lightmapper/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lightmapper/xmake.lua) |

##### Install command

```console
xrepo install lightmapper
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lightmapper")
```


### lightningscanner (linux)


| Description | *A lightning-fast memory signature/pattern scanner, capable of scanning gigabytes of data per second.* |
| -- | -- |
| Homepage | [https://localcc.github.io/LightningScanner/](https://localcc.github.io/LightningScanner/) |
| License | MIT |
| Versions | v1.0.0, v1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lightningscanner/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lightningscanner/xmake.lua) |

##### Install command

```console
xrepo install lightningscanner
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lightningscanner")
```


### limonp (linux)


| Description | *C++ headers(hpp) library with Python style.* |
| -- | -- |
| Homepage | [https://github.com/yanyiwu/limonp](https://github.com/yanyiwu/limonp) |
| License | MIT |
| Versions | v0.9.0, v1.0.0, v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [limonp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/limonp/xmake.lua) |

##### Install command

```console
xrepo install limonp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("limonp")
```


### linalg (linux)


| Description | *linalg.h is a single header, public domain, short vector math library for C++.* |
| -- | -- |
| Homepage | [https://github.com/sgorsten/linalg](https://github.com/sgorsten/linalg) |
| License | Unlicense license |
| Versions | v2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linalg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linalg/xmake.lua) |

##### Install command

```console
xrepo install linalg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linalg")
```


### linenoise (linux)


| Description | *A small self-contained alternative to readline and libedit* |
| -- | -- |
| Homepage | [https://github.com/antirez/linenoise](https://github.com/antirez/linenoise) |
| License | BSD-2-Clause |
| Versions | 2020.3.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linenoise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linenoise/xmake.lua) |

##### Install command

```console
xrepo install linenoise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linenoise")
```


### linmath.h (linux)


| Description | *a lean linear math library, aimed at graphics programming. Supports vec3, vec4, mat4x4 and quaternions* |
| -- | -- |
| Homepage | [https://github.com/datenwolf/linmath.h](https://github.com/datenwolf/linmath.h) |
| License | WTFPL |
| Versions | 2022.06.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linmath.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linmath.h/xmake.lua) |

##### Install command

```console
xrepo install linmath.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linmath.h")
```


### linux-headers (linux)


| Description | *Header files of the Linux kernel* |
| -- | -- |
| Homepage | [https://kernel.org/](https://kernel.org/) |
| License | GPL-2.0-only |
| Versions | 4.20.9, 5.0.8, 5.9.16, 5.10.46, 5.15, 5.16.9, 6.7.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linux-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linux-headers/xmake.lua) |

##### Install command

```console
xrepo install linux-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linux-headers")
```


### linux-syscall-support (linux)


| Description | *Linux Syscall Support provides a header file that can be included into your application whenever you need to make direct system calls.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/linux-syscall-support](https://chromium.googlesource.com/linux-syscall-support) |
| License | BSD-3-Clause |
| Versions | v2022.10.12, v2024.02.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linux-syscall-support/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linux-syscall-support/xmake.lua) |

##### Install command

```console
xrepo install linux-syscall-support
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linux-syscall-support")
```


### linux-tools (linux)


| Description | *Tools of the Linux kernel* |
| -- | -- |
| Homepage | [https://kernel.org/](https://kernel.org/) |
| License | GPL-2.0-only |
| Versions | 4.20.9, 5.0.8, 5.9.16, 5.16.9, 6.7.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [linux-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linux-tools/xmake.lua) |

##### Install command

```console
xrepo install linux-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linux-tools")
```


### liquid-dsp (linux)


| Description | *digital signal processing library for software-defined radios* |
| -- | -- |
| Homepage | [http://liquidsdr.org](http://liquidsdr.org) |
| License | MIT |
| Versions | v1.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [liquid-dsp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liquid-dsp/xmake.lua) |

##### Install command

```console
xrepo install liquid-dsp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liquid-dsp")
```


### litehtml (linux)


| Description | *Fast and lightweight HTML/CSS rendering engine* |
| -- | -- |
| Homepage | [http://www.litehtml.com/](http://www.litehtml.com/) |
| License | BSD-3-Clause |
| Versions | v0.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [litehtml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/litehtml/xmake.lua) |

##### Install command

```console
xrepo install litehtml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("litehtml")
```


### littlefs (linux)


| Description | *A little fail-safe filesystem designed for microcontrollers* |
| -- | -- |
| Homepage | [https://github.com/littlefs-project/littlefs](https://github.com/littlefs-project/littlefs) |
| License | BSD-3-Clause |
| Versions | v2.5.0, v2.8.2, v2.9.2, v2.9.3, v2.10.1, v2.11.0, v2.11.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [littlefs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/littlefs/xmake.lua) |

##### Install command

```console
xrepo install littlefs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("littlefs")
```


### llama.cpp (linux)


| Description | *Port of Facebook's LLaMA model in C/C++* |
| -- | -- |
| Homepage | [https://github.com/ggerganov/llama.cpp](https://github.com/ggerganov/llama.cpp) |
| License | MIT |
| Versions | 3775 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llama.cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llama.cpp/xmake.lua) |

##### Install command

```console
xrepo install llama.cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llama.cpp")
```


### llfio (linux)


| Description | *UTF8-CPP: UTF-8 with C++ in a Portable Way* |
| -- | -- |
| Homepage | [https://github.com/ned14/llfio](https://github.com/ned14/llfio) |
| License | Apache-2.0 |
| Versions | 2022.9.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llfio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llfio/xmake.lua) |

##### Install command

```console
xrepo install llfio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llfio")
```


### llhttp (linux)


| Description | *Port of http_parser to llparse* |
| -- | -- |
| Homepage | [https://github.com/nodejs/llhttp](https://github.com/nodejs/llhttp) |
| License | MIT |
| Versions | v3.0.0, v8.1.0, v9.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llhttp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llhttp/xmake.lua) |

##### Install command

```console
xrepo install llhttp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llhttp")
```


### llvm (linux)


| Description | *The LLVM Compiler Infrastructure* |
| -- | -- |
| Homepage | [https://llvm.org/](https://llvm.org/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llvm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm/xmake.lua) |

##### Install command

```console
xrepo install llvm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm")
```


### llvm-arm (linux)


| Description | *A project dedicated to building LLVM toolchain for 32-bit Arm embedded targets.* |
| -- | -- |
| Homepage | [https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm](https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm) |
| Versions | 17.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llvm-arm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm-arm/xmake.lua) |

##### Install command

```console
xrepo install llvm-arm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm-arm")
```


### llvm-mingw (linux)


| Description | *An LLVM/Clang/LLD based mingw-w64 toolchain* |
| -- | -- |
| Homepage | [https://github.com/mstorsjo/llvm-mingw](https://github.com/mstorsjo/llvm-mingw) |
| Versions | 20211002, 20220323, 20240417 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [llvm-mingw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm-mingw/xmake.lua) |

##### Install command

```console
xrepo install llvm-mingw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm-mingw")
```


### lmdb (linux)


| Description | *Read-only mirror of official repo on openldap.org. Issues and pull requests here are ignored. Use OpenLDAP ITS for issues.* |
| -- | -- |
| Homepage | [http://www.openldap.org/software/repo.html](http://www.openldap.org/software/repo.html) |
| Versions | 0.9.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lmdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lmdb/xmake.lua) |

##### Install command

```console
xrepo install lmdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lmdb")
```


### lockfree (linux)


| Description | *A collection of lock-free data structures written in standard C++11* |
| -- | -- |
| Homepage | [https://github.com/DNedic/lockfree](https://github.com/DNedic/lockfree) |
| License | MIT |
| Versions | 2.0.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lockfree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lockfree/xmake.lua) |

##### Install command

```console
xrepo install lockfree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lockfree")
```


### lodepng (linux)


| Description | *PNG encoder and decoder in C and C++.* |
| -- | -- |
| Homepage | [https://lodev.org/lodepng/](https://lodev.org/lodepng/) |
| License | zlib |
| Versions | 2025.05.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lodepng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lodepng/xmake.lua) |

##### Install command

```console
xrepo install lodepng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lodepng")
```


### log4cplus (linux)


| Description | *log4cplus is a simple to use C++ logging API providing thread-safe, flexible, and arbitrarily granular control over log management and configuration.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/log4cplus/](https://sourceforge.net/projects/log4cplus/) |
| License | BSD-2-Clause |
| Versions | 2.0.6, 2.0.7, 2.1.1, 2.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [log4cplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/log4cplus/xmake.lua) |

##### Install command

```console
xrepo install log4cplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("log4cplus")
```


### loguru (linux)


| Description | *A lightweight C++ logging library* |
| -- | -- |
| Homepage | [https://github.com/emilk/loguru](https://github.com/emilk/loguru) |
| Versions | v2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [loguru/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/loguru/xmake.lua) |

##### Install command

```console
xrepo install loguru
```

##### Integration in the project (xmake.lua)

```lua
add_requires("loguru")
```


### lolly (linux)


| Description | *Lolly is an alternative to the C++ Standard Library.* |
| -- | -- |
| Homepage | [https://github.com/XmacsLabs/lolly](https://github.com/XmacsLabs/lolly) |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lolly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lolly/xmake.lua) |

##### Install command

```console
xrepo install lolly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lolly")
```


### ls-hpack (linux)


| Description | *LiteSpeed HPACK (RFC7541) Library* |
| -- | -- |
| Homepage | [https://github.com/litespeedtech/ls-hpack](https://github.com/litespeedtech/ls-hpack) |
| License | MIT |
| Versions | v2.3.3, v2.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ls-hpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/ls-hpack/xmake.lua) |

##### Install command

```console
xrepo install ls-hpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ls-hpack")
```


### ls-qpack (linux)


| Description | *QPACK compression library for use with HTTP/3* |
| -- | -- |
| Homepage | [https://github.com/litespeedtech/ls-qpack](https://github.com/litespeedtech/ls-qpack) |
| License | MIT |
| Versions | v2.5.3, v2.5.4, v2.5.5, v2.6.0, v2.6.1, v2.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ls-qpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/ls-qpack/xmake.lua) |

##### Install command

```console
xrepo install ls-qpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ls-qpack")
```


### lsp-framework (linux)


| Description | *Language Server Protocol implementation in C++* |
| -- | -- |
| Homepage | [https://github.com/leon-bckl/lsp-framework](https://github.com/leon-bckl/lsp-framework) |
| License | MIT |
| Versions | 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lsp-framework/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lsp-framework/xmake.lua) |

##### Install command

```console
xrepo install lsp-framework
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lsp-framework")
```


### lsquic (linux)


| Description | *LiteSpeed QUIC and HTTP/3 Library* |
| -- | -- |
| Homepage | [https://github.com/litespeedtech/lsquic](https://github.com/litespeedtech/lsquic) |
| License | MIT |
| Versions | v4.0.8, v4.0.9, v4.0.11, v4.0.12, v4.2.0, v4.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lsquic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lsquic/xmake.lua) |

##### Install command

```console
xrepo install lsquic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lsquic")
```


### lua (linux)


| Description | *A powerful, efficient, lightweight, embeddable scripting language.* |
| -- | -- |
| Homepage | [http://lua.org](http://lua.org) |
| Versions | v5.1.1, v5.1.5, v5.2.3, v5.2.4, v5.3.6, v5.4.1, v5.4.2, v5.4.3, v5.4.4, v5.4.6, v5.4.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lua/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lua/xmake.lua) |

##### Install command

```console
xrepo install lua
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lua")
```


### lua-format (linux)


| Description | *Code formatter for Lua* |
| -- | -- |
| Homepage | [https://github.com/Koihik/LuaFormatter](https://github.com/Koihik/LuaFormatter) |
| Versions | 1.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lua-format/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lua-format/xmake.lua) |

##### Install command

```console
xrepo install lua-format
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lua-format")
```


### luabridge3 (linux)


| Description | *LuaBridge3 is a lightweight and dependency-free library for mapping data, functions, and classes back and forth between C++ and Lua.* |
| -- | -- |
| Homepage | [https://kunitoki.github.io/LuaBridge3](https://kunitoki.github.io/LuaBridge3) |
| License | MIT |
| Versions | 3.0-rc3, 3.0-rc4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [luabridge3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/luabridge3/xmake.lua) |

##### Install command

```console
xrepo install luabridge3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("luabridge3")
```


### luajit (linux)


| Description | *A Just-In-Time Compiler (JIT) for the Lua programming language.* |
| -- | -- |
| Homepage | [http://luajit.org](http://luajit.org) |
| License | MIT |
| Versions | v2.1.0-beta3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [luajit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/luajit/xmake.lua) |

##### Install command

```console
xrepo install luajit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("luajit")
```


### luau (linux)


| Description | *A fast, small, safe, gradually typed embeddable scripting language derived from Lua.* |
| -- | -- |
| Homepage | [https://www.luau.org/](https://www.luau.org/) |
| License | MIT |
| Versions | 0.538, 0.623, 0.624, 0.638, 0.640, 0.642, 0.643, 0.683 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [luau/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/luau/xmake.lua) |

##### Install command

```console
xrepo install luau
```

##### Integration in the project (xmake.lua)

```lua
add_requires("luau")
```


### lunasvg (linux)


| Description | *LunaSVG - SVG rendering library in C++* |
| -- | -- |
| Homepage | [https://github.com/sammycage/lunasvg](https://github.com/sammycage/lunasvg) |
| License | MIT |
| Versions | v2.3.5, v2.3.9, v2.4.0, v2.4.1, v3.0.1, v3.1.0, v3.2.0, v3.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lunasvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lunasvg/xmake.lua) |

##### Install command

```console
xrepo install lunasvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lunasvg")
```


### lunzip (linux)


| Description | *Lunzip is a decompressor for the lzip format written in C.* |
| -- | -- |
| Homepage | [https://www.nongnu.org/lzip/lunzip.html](https://www.nongnu.org/lzip/lunzip.html) |
| License | GPL-2.0-or-later |
| Versions | 1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lunzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lunzip/xmake.lua) |

##### Install command

```console
xrepo install lunzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lunzip")
```


### lvgl (linux)


| Description | *Light and Versatile Graphics Library* |
| -- | -- |
| Homepage | [https://lvgl.io](https://lvgl.io) |
| License | MIT |
| Versions | v8.0.2, v8.2.0, v9.0.0, v9.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lvgl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lvgl/xmake.lua) |

##### Install command

```console
xrepo install lvgl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lvgl")
```


### lwlog (linux)


| Description | *Very fast synchronous and asynchronous C++17 logging library* |
| -- | -- |
| Homepage | [https://github.com/ChristianPanov/lwlog](https://github.com/ChristianPanov/lwlog) |
| License | MIT |
| Versions | v1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lwlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lwlog/xmake.lua) |

##### Install command

```console
xrepo install lwlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lwlog")
```


### lyra (linux)


| Description | *A simple to use, composable, command line parser for C++ 11 and beyond* |
| -- | -- |
| Homepage | [https://www.bfgroup.xyz/Lyra/](https://www.bfgroup.xyz/Lyra/) |
| License | BSL-1.0 |
| Versions | 1.5.1, 1.6, 1.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lyra/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lyra/xmake.lua) |

##### Install command

```console
xrepo install lyra
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lyra")
```


### lz4 (linux)


| Description | *LZ4 - Extremely fast compression* |
| -- | -- |
| Homepage | [https://www.lz4.org/](https://www.lz4.org/) |
| Versions | v1.9.3, v1.9.4, v1.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lz4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lz4/xmake.lua) |

##### Install command

```console
xrepo install lz4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lz4")
```


### lzav (linux)


| Description | *Fast In-Memory Data Compression Algorithm (safe, inline C/C++) 460+MB/s compress, 2500+MB/s decompress, ratio better than LZ4* |
| -- | -- |
| Homepage | [https://github.com/avaneev/lzav](https://github.com/avaneev/lzav) |
| License | MIT |
| Versions | 2.14, 4.0, 4.3, 4.4, 4.5, 4.7, 4.9, 4.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lzav/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzav/xmake.lua) |

##### Install command

```console
xrepo install lzav
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzav")
```


### lzham_codec (linux)


| Description | *Lossless data compression codec with LZMA-like ratios but 1.5x-8x faster decompression speed, C/C++* |
| -- | -- |
| Homepage | [https://github.com/richgel999/lzham_codec](https://github.com/richgel999/lzham_codec) |
| Versions | 2023.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lzham_codec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzham_codec/xmake.lua) |

##### Install command

```console
xrepo install lzham_codec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzham_codec")
```


### lzma (linux)


| Description | *LZMA SDK* |
| -- | -- |
| Homepage | [https://www.7-zip.org/sdk.html](https://www.7-zip.org/sdk.html) |
| Versions | 19.00, 21.07, 22.01, 23.01, 24.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lzma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzma/xmake.lua) |

##### Install command

```console
xrepo install lzma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzma")
```


### lzo (linux)


| Description | *LZO is a portable lossless data compression library written in ANSI C.* |
| -- | -- |
| Homepage | [http://www.oberhumer.com/opensource/lzo](http://www.oberhumer.com/opensource/lzo) |
| License | GPL-2.0 |
| Versions | 2.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [lzo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzo/xmake.lua) |

##### Install command

```console
xrepo install lzo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzo")
```



## m
### m4 (linux)


| Description | *Macro processing language* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/m4](https://www.gnu.org/software/m4) |
| Versions | 1.4.18, 1.4.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [m4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/m4/xmake.lua) |

##### Install command

```console
xrepo install m4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("m4")
```


### macdylibbundler (linux)


| Description | *dylibbundler is a small command-line programs that aims to make bundling* |
| -- | -- |
| Homepage | [https://github.com/auriamg/macdylibbundler](https://github.com/auriamg/macdylibbundler) |
| License | MIT |
| Versions | 1.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [macdylibbundler/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/macdylibbundler/xmake.lua) |

##### Install command

```console
xrepo install macdylibbundler
```

##### Integration in the project (xmake.lua)

```lua
add_requires("macdylibbundler")
```


### maddy (linux)


| Description | *C++ Markdown to HTML header-only parser library* |
| -- | -- |
| Homepage | [https://github.com/progsource/maddy](https://github.com/progsource/maddy) |
| License | MIT |
| Versions | 1.2.1, 1.3.0, 1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [maddy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/maddy/xmake.lua) |

##### Install command

```console
xrepo install maddy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("maddy")
```


### magic_enum (linux)


| Description | *Static reflection for enums (to string, from string, iteration) for modern C++, work with any enum type without any macro or boilerplate code* |
| -- | -- |
| Homepage | [https://github.com/Neargye/magic_enum](https://github.com/Neargye/magic_enum) |
| License | MIT |
| Versions | v0.7.3, v0.8.0, v0.8.1, v0.8.2, v0.9.0, v0.9.5, v0.9.6, v0.9.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magic_enum/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magic_enum/xmake.lua) |

##### Install command

```console
xrepo install magic_enum
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magic_enum")
```


### magma (linux)


| Description | *Matrix Algebra on GPU and Multicore Architectures* |
| -- | -- |
| Homepage | [https://icl.utk.edu/magma/](https://icl.utk.edu/magma/) |
| License | BSD-3-Clause |
| Versions | 2.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magma/xmake.lua) |

##### Install command

```console
xrepo install magma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magma")
```


### magnum (linux)


| Description | *Lightweight and modular C++11/C++14 graphics middleware for games and data visualization.* |
| -- | -- |
| Homepage | [https://magnum.graphics/](https://magnum.graphics/) |
| License | MIT |
| Versions | v2020.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magnum/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magnum/xmake.lua) |

##### Install command

```console
xrepo install magnum
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magnum")
```


### magnum-extras (linux)


| Description | *Extras for magnum, Lightweight and modular C++11/C++14 graphics middleware for games and data visualization.* |
| -- | -- |
| Homepage | [https://magnum.graphics/](https://magnum.graphics/) |
| License | MIT |
| Versions | v2020.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magnum-extras/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magnum-extras/xmake.lua) |

##### Install command

```console
xrepo install magnum-extras
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magnum-extras")
```


### magnum-integration (linux)


| Description | *Integration libraries for magnum, Lightweight and modular C++11/C++14 graphics middleware for games and data visualization.* |
| -- | -- |
| Homepage | [https://magnum.graphics/](https://magnum.graphics/) |
| License | MIT |
| Versions | v2020.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magnum-integration/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magnum-integration/xmake.lua) |

##### Install command

```console
xrepo install magnum-integration
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magnum-integration")
```


### magnum-plugins (linux)


| Description | *Plugins for magnum, C++11/C++14 graphics middleware for games and data visualization.* |
| -- | -- |
| Homepage | [https://magnum.graphics/](https://magnum.graphics/) |
| License | MIT |
| Versions | v2020.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [magnum-plugins/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magnum-plugins/xmake.lua) |

##### Install command

```console
xrepo install magnum-plugins
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magnum-plugins")
```


### mailio (linux)


| Description | *mailio is a cross platform C++ library for MIME format and SMTP, POP3 and IMAP protocols. It is based on standard C++ 17 and Boost library.* |
| -- | -- |
| Homepage | [https://github.com/karastojko/mailio](https://github.com/karastojko/mailio) |
| License | BSD |
| Versions | 0.23.0, 0.24.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mailio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mailio/xmake.lua) |

##### Install command

```console
xrepo install mailio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mailio")
```


### make (linux)


| Description | *GNU make tool.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/make/](https://www.gnu.org/software/make/) |
| Versions | 4.2.1, 4.3, 4.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [make/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/make/xmake.lua) |

##### Install command

```console
xrepo install make
```

##### Integration in the project (xmake.lua)

```lua
add_requires("make")
```


### makeself (linux)


| Description | *A self-extracting archiving tool for Unix systems, in 100% shell script.* |
| -- | -- |
| Homepage | [https://makeself.io](https://makeself.io) |
| Versions | 2.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [makeself/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/makeself/xmake.lua) |

##### Install command

```console
xrepo install makeself
```

##### Integration in the project (xmake.lua)

```lua
add_requires("makeself")
```


### mallocvis (linux)


| Description | *allocation visualization in svg graph* |
| -- | -- |
| Homepage | [https://github.com/archibate/mallocvis](https://github.com/archibate/mallocvis) |
| Versions | 2024.07.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mallocvis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mallocvis/xmake.lua) |

##### Install command

```console
xrepo install mallocvis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mallocvis")
```


### managedc (linux)


| Description | *Reference counter garabage collection for C* |
| -- | -- |
| Homepage | [%s](%s) |
| Versions | 1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [managedc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/managedc/xmake.lua) |

##### Install command

```console
xrepo install managedc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("managedc")
```


### manif (linux)


| Description | *A small C++11 header-only library for Lie theory.* |
| -- | -- |
| Homepage | [https://artivis.github.io/manif](https://artivis.github.io/manif) |
| License | MIT |
| Versions | 0.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [manif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/manif/xmake.lua) |

##### Install command

```console
xrepo install manif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("manif")
```


### mapbox_earcut (linux)


| Description | *A C++ port of earcut.js, a fast, header-only polygon triangulation library.* |
| -- | -- |
| Homepage | [https://github.com/mapbox/earcut.hpp](https://github.com/mapbox/earcut.hpp) |
| License | ISC |
| Versions | 2.2.3, 2.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mapbox_earcut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_earcut/xmake.lua) |

##### Install command

```console
xrepo install mapbox_earcut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_earcut")
```


### mapbox_eternal (linux)


| Description | *A C++14 compile-time/constexpr map and hash map with minimal binary footprint* |
| -- | -- |
| Homepage | [https://github.com/mapbox/eternal](https://github.com/mapbox/eternal) |
| License | ISC |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mapbox_eternal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_eternal/xmake.lua) |

##### Install command

```console
xrepo install mapbox_eternal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_eternal")
```


### mapbox_geometry (linux)


| Description | *Provides header-only, generic C++ interfaces for geometry types, geometry collections, and features.* |
| -- | -- |
| Homepage | [https://github.com/mapbox/geometry.hpp](https://github.com/mapbox/geometry.hpp) |
| License | ISC |
| Versions | 1.1.0, 2.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mapbox_geometry/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_geometry/xmake.lua) |

##### Install command

```console
xrepo install mapbox_geometry
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_geometry")
```


### mapbox_polylabel (linux)


| Description | *A fast algorithm for finding the pole of inaccessibility of a polygon (in JavaScript and C++)* |
| -- | -- |
| Homepage | [https://github.com/mapbox/polylabel](https://github.com/mapbox/polylabel) |
| License | ISC |
| Versions | v2.0.0, v2.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mapbox_polylabel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_polylabel/xmake.lua) |

##### Install command

```console
xrepo install mapbox_polylabel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_polylabel")
```


### mapbox_variant (linux)


| Description | *C++11/C++14 Variant* |
| -- | -- |
| Homepage | [https://github.com/mapbox/variant](https://github.com/mapbox/variant) |
| License | BSD |
| Versions | v1.2.0, 2020.12.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mapbox_variant/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_variant/xmake.lua) |

##### Install command

```console
xrepo install mapbox_variant
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_variant")
```


### mariadb-connector-c (linux)


| Description | *MariaDB Connector/C is used to connect applications developed in C/C++ to MariaDB and MySQL databases.* |
| -- | -- |
| Homepage | [https://github.com/mariadb-corporation/mariadb-connector-c](https://github.com/mariadb-corporation/mariadb-connector-c) |
| License | LGPL-2.1 |
| Versions | 3.1.13, 3.3.4, 3.3.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mariadb-connector-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mariadb-connector-c/xmake.lua) |

##### Install command

```console
xrepo install mariadb-connector-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mariadb-connector-c")
```


### marisa (linux)


| Description | *Matching Algorithm with Recursively Implemented StorAge.* |
| -- | -- |
| Homepage | [https://github.com/s-yata/marisa-trie](https://github.com/s-yata/marisa-trie) |
| Versions | v0.2.6, v0.3.0, v0.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [marisa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/marisa/xmake.lua) |

##### Install command

```console
xrepo install marisa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("marisa")
```


### marl (linux)


| Description | *Marl is a hybrid thread / fiber task scheduler written in C++ 11.* |
| -- | -- |
| Homepage | [https://github.com/google/marl](https://github.com/google/marl) |
| Versions | 2021.8.18, 2022.3.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [marl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/marl/xmake.lua) |

##### Install command

```console
xrepo install marl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("marl")
```


### matchit (linux)


| Description | *A lightweight single-header pattern-matching library for C++17 with macro-free APIs.* |
| -- | -- |
| Homepage | [https://bowenfu.github.io/matchit.cpp/](https://bowenfu.github.io/matchit.cpp/) |
| License | Apache-2.0 |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [matchit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matchit/xmake.lua) |

##### Install command

```console
xrepo install matchit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matchit")
```


### materialx (linux)


| Description | *MaterialX is an open standard for the exchange of rich material and look-development content across applications and renderers.* |
| -- | -- |
| Homepage | [http://www.materialx.org/](http://www.materialx.org/) |
| License | Apache-2.0 |
| Versions | v1.38.10, v1.39.0, v1.39.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [materialx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/materialx/xmake.lua) |

##### Install command

```console
xrepo install materialx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("materialx")
```


### mathfu (linux)


| Description | *C++ math library developed primarily for games focused on simplicity and efficiency.* |
| -- | -- |
| Homepage | [http://google.github.io/mathfu](http://google.github.io/mathfu) |
| License | Apache-2.0 |
| Versions | 2022.5.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mathfu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mathfu/xmake.lua) |

##### Install command

```console
xrepo install mathfu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mathfu")
```


### mathter (linux)


| Description | *A flexible and fast matrix, transform and geometry library.* |
| -- | -- |
| Homepage | [https://github.com/petiaccja/Mathter](https://github.com/petiaccja/Mathter) |
| License | MIT |
| Versions | v1.1.1, v1.1.2, v2.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mathter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mathter/xmake.lua) |

##### Install command

```console
xrepo install mathter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mathter")
```


### matio (linux)


| Description | *MATLAB MAT File I/O Library* |
| -- | -- |
| Homepage | [https://matio.sourceforge.io](https://matio.sourceforge.io) |
| License | BSD-2-Clause |
| Versions | v1.5.26, v1.5.27, v1.5.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [matio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matio/xmake.lua) |

##### Install command

```console
xrepo install matio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matio")
```


### matlab (linux)


| Description | *Build MEX function or engine application in matlab* |
| -- | -- |
| Homepage | [https://www.mathworks.com/help/matlab/ref/mex.html](https://www.mathworks.com/help/matlab/ref/mex.html) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [matlab/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matlab/xmake.lua) |

##### Install command

```console
xrepo install matlab
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matlab")
```


### matplotplusplus (linux)


| Description | *A C++ Graphics Library for Data Visualization* |
| -- | -- |
| Homepage | [https://alandefreitas.github.io/matplotplusplus/](https://alandefreitas.github.io/matplotplusplus/) |
| License | MIT |
| Versions | v1.1.0, v1.2.0, v1.2.1, v1.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [matplotplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matplotplusplus/xmake.lua) |

##### Install command

```console
xrepo install matplotplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matplotplusplus")
```


### mbedtls (linux)


| Description | *An open source, portable, easy to use, readable and flexible TLS library, and reference implementation of the PSA Cryptography API* |
| -- | -- |
| Homepage | [https://tls.mbed.org](https://tls.mbed.org) |
| License | Apache-2.0 |
| Versions | v2.7.6, v2.13.0, v2.25.0, v2.28.3, v3.4.0, v3.5.1, v3.6.0, v3.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mbedtls/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mbedtls/xmake.lua) |

##### Install command

```console
xrepo install mbedtls
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mbedtls")
```


### mcut (linux)


| Description | *Fast & robust mesh boolean library in C++* |
| -- | -- |
| Homepage | [https://cutdigital.github.io/mcut.site/](https://cutdigital.github.io/mcut.site/) |
| License | GPL-3.0 |
| Versions | v1.1.0, v1.2.0, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mcut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mcut/xmake.lua) |

##### Install command

```console
xrepo install mcut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mcut")
```


### md4c (linux)


| Description | *C Markdown parser. Fast. SAX-like interface. Compliant to CommonMark specification.* |
| -- | -- |
| Homepage | [https://github.com/mity/md4c](https://github.com/mity/md4c) |
| License | MIT |
| Versions | 2024.02.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [md4c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/md4c/xmake.lua) |

##### Install command

```console
xrepo install md4c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("md4c")
```


### md4qt (linux)


| Description | *Markdown parser for Qt6 or ICU* |
| -- | -- |
| Homepage | [https://github.com/igormironchik/md4qt](https://github.com/igormironchik/md4qt) |
| License | MIT |
| Versions | 2.1.0, 2.4.2, 2.8.0, 2.8.1, 3.0.0 |
| Architectures | x86_64 |
| Definition | [md4qt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/md4qt/xmake.lua) |

##### Install command

```console
xrepo install md4qt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("md4qt")
```


### mdns (linux)


| Description | *Public domain mDNS/DNS-SD library in C* |
| -- | -- |
| Homepage | [https://github.com/mjansson/mdns](https://github.com/mjansson/mdns) |
| License | Unlicense |
| Versions | 1.4.2, 1.4.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mdns/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mdns/xmake.lua) |

##### Install command

```console
xrepo install mdns
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mdns")
```


### mecab (linux)


| Description | *Yet another part-of-speech and morphological analyzer.* |
| -- | -- |
| Homepage | [https://taku910.github.io/mecab/](https://taku910.github.io/mecab/) |
| License | GPL-2.0 |
| Versions | 0.996 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mecab/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mecab/xmake.lua) |

##### Install command

```console
xrepo install mecab
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mecab")
```


### melon (linux)


| Description | *A generic cross-platform C library that includes many commonly used components and frameworks, and a new scripting language interpreter. It currently supports C99 and Aspect-Oriented Programming (AOP).* |
| -- | -- |
| Homepage | [http://doc.melonc.io](http://doc.melonc.io) |
| License | BSD-3-Clause |
| Versions | 2025.01.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [melon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/melon/xmake.lua) |

##### Install command

```console
xrepo install melon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("melon")
```


### mem (linux)


| Description | *A collection of C++11 headers useful for reverse engineering* |
| -- | -- |
| Homepage | [https://github.com/0x1F9F1/mem](https://github.com/0x1F9F1/mem) |
| License | MIT |
| Versions | 1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mem/xmake.lua) |

##### Install command

```console
xrepo install mem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mem")
```


### memplumber (linux)


| Description | *MemPlumber is a library that helps developers with debugging of memory allocations and detection of memory leaks in C++ applications* |
| -- | -- |
| Homepage | [https://github.com/seladb/MemPlumber](https://github.com/seladb/MemPlumber) |
| License | MIT |
| Versions | 2022.01.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [memplumber/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/memplumber/xmake.lua) |

##### Install command

```console
xrepo install memplumber
```

##### Integration in the project (xmake.lua)

```lua
add_requires("memplumber")
```


### meowhash (linux)


| Description | *Official version of the Meow hash, an extremely fast level 1 hash* |
| -- | -- |
| Homepage | [https://mollyrocket.com/meowhash](https://mollyrocket.com/meowhash) |
| License | zlib |
| Versions | 1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [meowhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/meowhash/xmake.lua) |

##### Install command

```console
xrepo install meowhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("meowhash")
```


### meshoptimizer (linux)


| Description | *Mesh optimization library that makes meshes smaller and faster to render* |
| -- | -- |
| Homepage | [https://github.com/zeux/meshoptimizer](https://github.com/zeux/meshoptimizer) |
| License | MIT |
| Versions | v0.18, v0.20, v0.21, v0.22, v0.23, v0.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [meshoptimizer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/meshoptimizer/xmake.lua) |

##### Install command

```console
xrepo install meshoptimizer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("meshoptimizer")
```


### meson (linux)


| Description | *Fast and user friendly build system.* |
| -- | -- |
| Homepage | [https://mesonbuild.com/](https://mesonbuild.com/) |
| License | Apache-2.0 |
| Versions | 0.50.1, 0.56.0, 0.58.0, 0.58.1, 0.59.1, 0.59.2, 0.60.1, 0.61.2, 0.62.1, 1.0.0, 1.1.0, 1.1.1, 1.3.0, 1.3.1, 1.3.2, 1.4.0, 1.4.1, 1.4.2, 1.5.1, 1.5.2, 1.6.0, 1.6.1, 1.7.0, 1.7.2, 1.8.0, 1.8.1, 1.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [meson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/meson/xmake.lua) |

##### Install command

```console
xrepo install meson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("meson")
```


### metalang99 (linux)


| Description | *Full-blown preprocessor metaprogramming* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/metalang99](https://github.com/Hirrolot/metalang99) |
| License | MIT |
| Versions | 1.13.2, 1.13.3, 1.13.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [metalang99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/metalang99/xmake.lua) |

##### Install command

```console
xrepo install metalang99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("metalang99")
```


### metall (linux)


| Description | *Persistent memory allocator for data-centric analytics* |
| -- | -- |
| Homepage | [https://github.com/LLNL/metall](https://github.com/LLNL/metall) |
| License | Apache-2.0 |
| Versions | v0.30, v0.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [metall/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/metall/xmake.lua) |

##### Install command

```console
xrepo install metall
```

##### Integration in the project (xmake.lua)

```lua
add_requires("metall")
```


### metis (linux)


| Description | *Serial Graph Partitioning and Fill-reducing Matrix Ordering* |
| -- | -- |
| Homepage | [http://glaros.dtc.umn.edu/gkhome/metis/metis/overview](http://glaros.dtc.umn.edu/gkhome/metis/metis/overview) |
| License | Apache-2.0 |
| Versions | v5.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [metis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/metis/xmake.lua) |

##### Install command

```console
xrepo install metis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("metis")
```


### mfast (linux)


| Description | *High performance C++ encoding/decoding library for FAST (FIX Adapted for STreaming) protocol.* |
| -- | -- |
| Homepage | [https://github.com/objectcomputing/mFAST](https://github.com/objectcomputing/mFAST) |
| License | BSD-3-Clause |
| Versions | v1.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mfast/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mfast/xmake.lua) |

##### Install command

```console
xrepo install mfast
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mfast")
```


### micro-gl (linux)


| Description | *Realtime, Embeddable, Modular, Headers Only C++11 CPU vector graphics. no STD lib, no FPU and no GPU required !* |
| -- | -- |
| Homepage | [http://micro-gl.github.io/docs/microgl](http://micro-gl.github.io/docs/microgl) |
| Versions | 2023.08.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [micro-gl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/micro-gl/xmake.lua) |

##### Install command

```console
xrepo install micro-gl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("micro-gl")
```


### microprofile (linux)


| Description | *microprofile is an embeddable profiler* |
| -- | -- |
| Homepage | [https://github.com/jonasmr/microprofile](https://github.com/jonasmr/microprofile) |
| License | Unlicense |
| Versions | v4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microprofile/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microprofile/xmake.lua) |

##### Install command

```console
xrepo install microprofile
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microprofile")
```


### microsoft-apsi (linux)


| Description | *APSI is a C++ library for Asymmetric (unlabeled or labeled) Private Set Intersection.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/APSI](https://github.com/microsoft/APSI) |
| License | MIT |
| Versions | v0.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microsoft-apsi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-apsi/xmake.lua) |

##### Install command

```console
xrepo install microsoft-apsi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-apsi")
```


### microsoft-gsl (linux)


| Description | *Guidelines Support Library* |
| -- | -- |
| Homepage | [https://github.com/microsoft/GSL](https://github.com/microsoft/GSL) |
| License | MIT |
| Versions | v3.1.0, v4.0.0, v4.1.0, v4.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microsoft-gsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-gsl/xmake.lua) |

##### Install command

```console
xrepo install microsoft-gsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-gsl")
```


### microsoft-kuku (linux)


| Description | *Kuku is a compact and convenient cuckoo hashing library written in C++.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/Kuku](https://github.com/microsoft/Kuku) |
| License | MIT |
| Versions | v2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microsoft-kuku/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-kuku/xmake.lua) |

##### Install command

```console
xrepo install microsoft-kuku
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-kuku")
```


### microsoft-proxy (linux)


| Description | *Proxy: Easy Polymorphism in C++* |
| -- | -- |
| Homepage | [https://github.com/microsoft/proxy](https://github.com/microsoft/proxy) |
| License | MIT |
| Versions | 1.1.1, 2.2.1, 2.3.0, 2.4.0, 3.0.0, 3.1.0, 3.2.0, 3.2.1, 3.3.0, 3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microsoft-proxy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-proxy/xmake.lua) |

##### Install command

```console
xrepo install microsoft-proxy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-proxy")
```


### microsoft-seal (linux)


| Description | *Microsoft SEAL is an easy-to-use and powerful homomorphic encryption library.* |
| -- | -- |
| Homepage | [https://www.microsoft.com/en-us/research/group/cryptography-research/](https://www.microsoft.com/en-us/research/group/cryptography-research/) |
| License | MIT |
| Versions | v4.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [microsoft-seal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-seal/xmake.lua) |

##### Install command

```console
xrepo install microsoft-seal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-seal")
```


### mikktspace (linux)


| Description | *A common standard for tangent space used in baking tools to produce normal maps.* |
| -- | -- |
| Homepage | [http://www.mikktspace.com/](http://www.mikktspace.com/) |
| Versions | 2020.03.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mikktspace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mikktspace/xmake.lua) |

##### Install command

```console
xrepo install mikktspace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mikktspace")
```


### mimalloc (linux)


| Description | *mimalloc (pronounced 'me-malloc') is a general purpose allocator with excellent performance characteristics.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/mimalloc](https://github.com/microsoft/mimalloc) |
| License | MIT |
| Versions | v1.6.7, v1.7.0, v1.7.1, v1.7.2, v1.7.3, v1.7.6, v1.7.7, v1.8.7, v2.0.1, v2.0.2, v2.0.3, v2.0.5, v2.0.6, v2.0.7, v2.1.2, v2.1.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mimalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mimalloc/xmake.lua) |

##### Install command

```console
xrepo install mimalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mimalloc")
```


### mini (linux)


| Description | *INI file reader and writer* |
| -- | -- |
| Homepage | [https://github.com/metayeti/mINI](https://github.com/metayeti/mINI) |
| License | MIT |
| Versions | 0.9.15, 0.9.16, 0.9.17, 0.9.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mini/xmake.lua) |

##### Install command

```console
xrepo install mini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mini")
```


### miniaudio (linux)


| Description | *Single file audio playback and capture library written in C.* |
| -- | -- |
| Homepage | [https://miniaud.io](https://miniaud.io) |
| License | MIT |
| Versions | 0.11.15, 0.11.16, 0.11.17, 0.11.18, 0.11.21, 0.11.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [miniaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniaudio/xmake.lua) |

##### Install command

```console
xrepo install miniaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniaudio")
```


### miniball (linux)


| Description | *For computing the smallest enclosing balls of points in arbitrary dimensions* |
| -- | -- |
| Homepage | [https://people.inf.ethz.ch/gaertner/subdir/software/miniball.html](https://people.inf.ethz.ch/gaertner/subdir/software/miniball.html) |
| License | GPL-3.0 |
| Versions | v3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [miniball/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniball/xmake.lua) |

##### Install command

```console
xrepo install miniball
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniball")
```


### minifb (linux)


| Description | *MiniFB is a small cross platform library to create a frame buffer that you can draw pixels in* |
| -- | -- |
| Homepage | [https://github.com/emoon/minifb](https://github.com/emoon/minifb) |
| License | MIT |
| Versions | 2023.09.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minifb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minifb/xmake.lua) |

##### Install command

```console
xrepo install minifb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minifb")
```


### minilzo (linux)


| Description | *A very lightweight subset of the LZO library intended for easy inclusion with your application* |
| -- | -- |
| Homepage | [http://www.oberhumer.com/opensource/lzo/#minilzo](http://www.oberhumer.com/opensource/lzo/#minilzo) |
| Versions | 2.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minilzo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minilzo/xmake.lua) |

##### Install command

```console
xrepo install minilzo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minilzo")
```


### minimp3 (linux)


| Description | *Minimalistic MP3 decoder single header library* |
| -- | -- |
| Homepage | [https://github.com/lieff/minimp3](https://github.com/lieff/minimp3) |
| License | CC0 |
| Versions | 2021.05.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minimp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minimp3/xmake.lua) |

##### Install command

```console
xrepo install minimp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minimp3")
```


### minio-cpp (linux)


| Description | *MinIO C++ Client SDK for Amazon S3 Compatible Cloud Storage* |
| -- | -- |
| Homepage | [https://minio-cpp.min.io/](https://minio-cpp.min.io/) |
| License | Apache-2.0 |
| Versions | v0.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minio-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minio-cpp/xmake.lua) |

##### Install command

```console
xrepo install minio-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minio-cpp")
```


### minitrace (linux)


| Description | *Simple C/C++ library for producing JSON traces suitable for Chrome's built-in trace viewer (about:tracing).* |
| -- | -- |
| Homepage | [https://github.com/hrydgard/minitrace](https://github.com/hrydgard/minitrace) |
| License | MIT |
| Versions | 2023.09.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minitrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minitrace/xmake.lua) |

##### Install command

```console
xrepo install minitrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minitrace")
```


### miniz (linux)


| Description | *miniz: Single C source file zlib-replacement library* |
| -- | -- |
| Homepage | [https://github.com/richgel999/miniz/](https://github.com/richgel999/miniz/) |
| License | MIT |
| Versions | 2.1.0, 2.2.0, 3.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [miniz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniz/xmake.lua) |

##### Install command

```console
xrepo install miniz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniz")
```


### minizip (linux)


| Description | *Mini zip and unzip based on zlib* |
| -- | -- |
| Homepage | [https://www.zlib.net/](https://www.zlib.net/) |
| License | zlib |
| Versions | v1.2.10, v1.2.11, v1.2.12, v1.2.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minizip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minizip/xmake.lua) |

##### Install command

```console
xrepo install minizip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minizip")
```


### minizip-ng (linux)


| Description | *Fork of the popular zip manipulation library found in the zlib distribution.* |
| -- | -- |
| Homepage | [https://github.com/zlib-ng/minizip-ng](https://github.com/zlib-ng/minizip-ng) |
| License | zlib |
| Versions | 3.0.3, 3.0.5, 4.0.4, 4.0.5, 4.0.6, 4.0.7, 4.0.8, 4.0.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minizip-ng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minizip-ng/xmake.lua) |

##### Install command

```console
xrepo install minizip-ng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minizip-ng")
```


### minja (linux)


| Description | *A minimalistic C++ Jinja templating engine for LLM chat templates* |
| -- | -- |
| Homepage | [https://github.com/google/minja](https://github.com/google/minja) |
| License | MIT |
| Versions | 2025.01.31 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [minja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minja/xmake.lua) |

##### Install command

```console
xrepo install minja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minja")
```


### mio (linux)


| Description | *Cross-platform C++11 header-only library for memory mapped file IO* |
| -- | -- |
| Homepage | [https://github.com/mandreyel/mio](https://github.com/mandreyel/mio) |
| License | MIT |
| Versions | 2021.9.21, 2023.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mio/xmake.lua) |

##### Install command

```console
xrepo install mio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mio")
```


### mjson (linux)


| Description | *C/C++ JSON parser, emitter, JSON-RPC engine for embedded systems* |
| -- | -- |
| Homepage | [https://github.com/cesanta/mjson](https://github.com/cesanta/mjson) |
| License | MIT |
| Versions | 1.2.6, 1.2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mjson/xmake.lua) |

##### Install command

```console
xrepo install mjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mjson")
```


### mkl (linux)


| Description | *Intel® oneAPI Math Kernel Library* |
| -- | -- |
| Homepage | [https://software.intel.com/content/www/us/en/develop/tools/oneapi/components/onemkl.html](https://software.intel.com/content/www/us/en/develop/tools/oneapi/components/onemkl.html) |
| Versions | 2022.2.0+8748, 2022.2.1+16993, 2024.1.0+691, 2024.2.0+663, 2024.2.1+103, 2024.2.2+15, 2025.0.0+939, 2025.0.1+14, 2025.1.0+801, 2025.2.0+628 |
| Architectures | i386, x86_64 |
| Definition | [mkl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mkl/xmake.lua) |

##### Install command

```console
xrepo install mkl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mkl")
```


### mlpack (linux)


| Description | *mlpack: a fast, header-only C++ machine learning library* |
| -- | -- |
| Homepage | [https://www.mlpack.org/](https://www.mlpack.org/) |
| License | BSD-3-Clause |
| Versions | 4.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mlpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mlpack/xmake.lua) |

##### Install command

```console
xrepo install mlpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mlpack")
```


### mma (linux)


| Description | *A self-contained C++ implementation of MMA and GCMMA.* |
| -- | -- |
| Homepage | [https://github.com/jdumas/mma](https://github.com/jdumas/mma) |
| License | MIT |
| Versions | 2018.08.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mma/xmake.lua) |

##### Install command

```console
xrepo install mma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mma")
```


### mmeter (linux)


| Description | *A simple WIP profiler library for c++. Include the 2 files and you're ready to go.* |
| -- | -- |
| Homepage | [https://github.com/LMauricius/MMeter](https://github.com/LMauricius/MMeter) |
| License | MIT |
| Versions | 2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mmeter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mmeter/xmake.lua) |

##### Install command

```console
xrepo install mmeter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mmeter")
```


### mnn (linux)


| Description | *MNN is a highly efficient and lightweight deep learning framework.* |
| -- | -- |
| Homepage | [https://www.mnn.zone/](https://www.mnn.zone/) |
| License | Apache-2.0 |
| Versions | 1.2.1, 1.2.2, 3.0.5, 3.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mnn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mnn/xmake.lua) |

##### Install command

```console
xrepo install mnn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mnn")
```


### mold (linux)


| Description | *mold: A Modern Linker* |
| -- | -- |
| Homepage | [https://github.com/rui314/mold](https://github.com/rui314/mold) |
| Versions | 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mold/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mold/xmake.lua) |

##### Install command

```console
xrepo install mold
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mold")
```


### mongo-c-driver (linux)


| Description | *The MongoDB C Driver.* |
| -- | -- |
| Homepage | [http://mongoc.org/](http://mongoc.org/) |
| License | Apache-2.0 |
| Versions | 1.19.0, 1.20.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mongo-c-driver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mongo-c-driver/xmake.lua) |

##### Install command

```console
xrepo install mongo-c-driver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mongo-c-driver")
```


### mongo-cxx-driver (linux)


| Description | *mongodb c++ driver* |
| -- | -- |
| Homepage | [https://github.com/mongodb/mongo-cxx-driver](https://github.com/mongodb/mongo-cxx-driver) |
| License | Apache-2.0 |
| Versions | 3.6.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mongo-cxx-driver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mongo-cxx-driver/xmake.lua) |

##### Install command

```console
xrepo install mongo-cxx-driver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mongo-cxx-driver")
```


### mongoose (linux)


| Description | *Embedded Web Server* |
| -- | -- |
| Homepage | [https://mongoose.ws](https://mongoose.ws) |
| License | GPL-2.0 |
| Versions | 7.11, 7.13, 7.14, 7.15, 7.16, 7.17, 7.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mongoose/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mongoose/xmake.lua) |

##### Install command

```console
xrepo install mongoose
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mongoose")
```


### mono (linux)


| Description | *Cross platform, open source .NET development framework* |
| -- | -- |
| Homepage | [https://www.mono-project.com/](https://www.mono-project.com/) |
| Versions | 6.8.0+123 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mono/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mono/xmake.lua) |

##### Install command

```console
xrepo install mono
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mono")
```


### moonjit (linux)


| Description | *A Just-In-Time Compiler (JIT) for the Lua programming language.* |
| -- | -- |
| Homepage | [https://github.com/moonjit/moonjit](https://github.com/moonjit/moonjit) |
| Versions | 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [moonjit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/moonjit/xmake.lua) |

##### Install command

```console
xrepo install moonjit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("moonjit")
```


### morton-nd (linux)


| Description | *A header-only compile-time Morton encoding / decoding library for N dimensions.* |
| -- | -- |
| Homepage | [https://github.com/morton-nd/morton-nd](https://github.com/morton-nd/morton-nd) |
| License | MIT |
| Versions | v4.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [morton-nd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/morton-nd/xmake.lua) |

##### Install command

```console
xrepo install morton-nd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("morton-nd")
```


### mosquitto (linux)


| Description | *Eclipse Mosquitto - An open source MQTT broker* |
| -- | -- |
| Homepage | [https://mosquitto.org](https://mosquitto.org) |
| License | EPL-2.0 |
| Versions | v2.0.15, v2.0.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mosquitto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mosquitto/xmake.lua) |

##### Install command

```console
xrepo install mosquitto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mosquitto")
```


### mpc (linux)


| Description | *GNU MPC is a C library for the arithmetic of complex numbers with arbitrarily high precision and correct rounding of the result.* |
| -- | -- |
| Homepage | [http://www.multiprecision.org/mpc/](http://www.multiprecision.org/mpc/) |
| License | LGPL-3.0 |
| Versions | 1.2.1, 1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpc/xmake.lua) |

##### Install command

```console
xrepo install mpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpc")
```


### mpdecimal (linux)


| Description | *mpdecimal is a package for correctly-rounded arbitrary precision decimal floating point arithmetic.* |
| -- | -- |
| Homepage | [https://www.bytereef.org/mpdecimal/index.html](https://www.bytereef.org/mpdecimal/index.html) |
| License | BSD-2-Clause |
| Versions | 2.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpdecimal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpdecimal/xmake.lua) |

##### Install command

```console
xrepo install mpdecimal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpdecimal")
```


### mpfr (linux)


| Description | *The MPFR library is a C library for multiple-precision floating-point computations with correct rounding.* |
| -- | -- |
| Homepage | [https://www.mpfr.org/](https://www.mpfr.org/) |
| License | LGPL-3.0 |
| Versions | 4.1.0, 4.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpfr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpfr/xmake.lua) |

##### Install command

```console
xrepo install mpfr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpfr")
```


### mpg123 (linux)


| Description | *Fast console MPEG Audio Player and decoder library* |
| -- | -- |
| Homepage | [https://www.mpg123.de/](https://www.mpg123.de/) |
| Versions | 1.30.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpg123/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpg123/xmake.lua) |

##### Install command

```console
xrepo install mpg123
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpg123")
```


### mpich (linux)


| Description | *MPICH is a high performance and widely portable implementation of the Message Passing Interface (MPI) standard.* |
| -- | -- |
| Homepage | [https://www.mpich.org/](https://www.mpich.org/) |
| Versions | 3.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpich/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpich/xmake.lua) |

##### Install command

```console
xrepo install mpich
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpich")
```


### mpmcqueue (linux)


| Description | *A bounded multi-producer multi-consumer concurrent queue written in C++11* |
| -- | -- |
| Homepage | [https://github.com/rigtorp/MPMCQueue](https://github.com/rigtorp/MPMCQueue) |
| License | MIT |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mpmcqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpmcqueue/xmake.lua) |

##### Install command

```console
xrepo install mpmcqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpmcqueue")
```


### mscharconv (linux)


| Description | *<charconv> from Microsoft STL, but multi-platform * |
| -- | -- |
| Homepage | [https://github.com/iboB/mscharconv](https://github.com/iboB/mscharconv) |
| Versions | latest |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mscharconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mscharconv/xmake.lua) |

##### Install command

```console
xrepo install mscharconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mscharconv")
```


### msdf-atlas-gen (linux)


| Description | *Multi-channel signed distance field atlas generator* |
| -- | -- |
| Homepage | [https://github.com/Chlumsky/msdf-atlas-gen](https://github.com/Chlumsky/msdf-atlas-gen) |
| License | MIT |
| Versions | v1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msdf-atlas-gen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msdf-atlas-gen/xmake.lua) |

##### Install command

```console
xrepo install msdf-atlas-gen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msdf-atlas-gen")
```


### msdfgen (linux)


| Description | *Multi-channel signed distance field generator* |
| -- | -- |
| Homepage | [https://github.com/Chlumsky/msdfgen](https://github.com/Chlumsky/msdfgen) |
| License | MIT |
| Versions | v1.10, v1.11, v1.12, v1.12.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msdfgen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msdfgen/xmake.lua) |

##### Install command

```console
xrepo install msdfgen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msdfgen")
```


### msgpack-c (linux)


| Description | *MessagePack implementation for C* |
| -- | -- |
| Homepage | [https://msgpack.org/](https://msgpack.org/) |
| License | BSL-1.0 |
| Versions | 4.0.0, 6.0.1, 6.0.2, 6.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msgpack-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msgpack-c/xmake.lua) |

##### Install command

```console
xrepo install msgpack-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msgpack-c")
```


### msgpack-cxx (linux)


| Description | *MessagePack implementation for C++* |
| -- | -- |
| Homepage | [https://msgpack.org/](https://msgpack.org/) |
| License | BSL-1.0 |
| Versions | 4.1.1, 6.1.0, 6.1.1, 7.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msgpack-cxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msgpack-cxx/xmake.lua) |

##### Install command

```console
xrepo install msgpack-cxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msgpack-cxx")
```


### msgpack23 (linux)


| Description | *A modern, header-only C++ library for MessagePack serialization and deserialization. msgpack.org[c++23]* |
| -- | -- |
| Homepage | [https://github.com/rwindegger/msgpack23](https://github.com/rwindegger/msgpack23) |
| License | MIT |
| Versions | v2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msgpack23/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msgpack23/xmake.lua) |

##### Install command

```console
xrepo install msgpack23
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msgpack23")
```


### msquic (linux)


| Description | *Cross-platform, C implementation of the IETF QUIC protocol.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/msquic](https://github.com/microsoft/msquic) |
| License | MIT |
| Versions | v1.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msquic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msquic/xmake.lua) |

##### Install command

```console
xrepo install msquic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msquic")
```


### msvc (linux)


| Description | *Microsoft Visual C/C++ Compiler* |
| -- | -- |
| Homepage | [https://visualstudio.microsoft.com/zh-hans/visual-cpp-build-tools/](https://visualstudio.microsoft.com/zh-hans/visual-cpp-build-tools/) |
| Versions | 14.29.16+11, 14.30.17+0, 14.31.17+1, 14.32.17+2, 14.33.17+3, 14.34.17+4, 14.35.17+5, 14.36.17+6, 14.37.17+7, 14.38.17+8, 14.39.17+9, 14.40.17+10, 14.41.17+11, 14.42.17+12, 14.43.17+13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msvc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msvc/xmake.lua) |

##### Install command

```console
xrepo install msvc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msvc")
```


### msvc-wine (linux)


| Description | *Scripts for setting up and running MSVC in Wine on Linux* |
| -- | -- |
| Homepage | [https://github.com/mstorsjo/msvc-wine](https://github.com/mstorsjo/msvc-wine) |
| Versions | 2025.03.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [msvc-wine/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msvc-wine/xmake.lua) |

##### Install command

```console
xrepo install msvc-wine
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msvc-wine")
```


### muduo (linux)


| Description | *Event-driven network library for multi-threaded Linux server in C++11* |
| -- | -- |
| Homepage | [https://github.com/chenshuo/muduo](https://github.com/chenshuo/muduo) |
| Versions | 2022.11.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [muduo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/muduo/xmake.lua) |

##### Install command

```console
xrepo install muduo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("muduo")
```


### mujs (linux)


| Description | *An embeddable Javascript interpreter in C.* |
| -- | -- |
| Homepage | [http://mujs.com/](http://mujs.com/) |
| License | ISC |
| Versions | 1.3.4, 1.3.5, 1.3.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mujs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mujs/xmake.lua) |

##### Install command

```console
xrepo install mujs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mujs")
```


### mumps (linux)


| Description | *MUMPS: MUltifrontal Massively Parallel sparse direct Solver* |
| -- | -- |
| Homepage | [https://mumps-solver.org/index.php](https://mumps-solver.org/index.php) |
| Versions | 5.4.1, 5.7.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mumps/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mumps/xmake.lua) |

##### Install command

```console
xrepo install mumps
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mumps")
```


### munkres-algorithm (linux)


| Description | *Modern C++ implementation of Munkres (Hungarian) algorithm* |
| -- | -- |
| Homepage | [https://github.com/aaron-michaux/munkres-algorithm](https://github.com/aaron-michaux/munkres-algorithm) |
| License | MIT |
| Versions | 2021.04.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [munkres-algorithm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/munkres-algorithm/xmake.lua) |

##### Install command

```console
xrepo install munkres-algorithm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("munkres-algorithm")
```


### muparserx (linux)


| Description | *A C++ Library for Parsing Expressions with Strings, Complex Numbers, Vectors, Matrices and more.* |
| -- | -- |
| Homepage | [http://beltoforion.de/en/muparserx](http://beltoforion.de/en/muparserx) |
| License | BSD-2-Clause |
| Versions | v4.0.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [muparserx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/muparserx/xmake.lua) |

##### Install command

```console
xrepo install muparserx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("muparserx")
```


### muslcc (linux)


| Description | *static cross- and native- musl-based toolchains.* |
| -- | -- |
| Homepage | [https://musl.cc/](https://musl.cc/) |
| Versions | 20210202 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [muslcc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/muslcc/xmake.lua) |

##### Install command

```console
xrepo install muslcc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("muslcc")
```


### mustache (linux)


| Description | *Mustache text templates for modern C++* |
| -- | -- |
| Homepage | [https://github.com/kainjow/Mustache](https://github.com/kainjow/Mustache) |
| License | BSL-1.0 |
| Versions | 2021.12.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mustache/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mustache/xmake.lua) |

##### Install command

```console
xrepo install mustache
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mustache")
```


### mvfst (linux)


| Description | *An implementation of the QUIC transport protocol.* |
| -- | -- |
| Homepage | [https://github.com/facebook/mvfst](https://github.com/facebook/mvfst) |
| License | MIT |
| Versions | 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mvfst/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mvfst/xmake.lua) |

##### Install command

```console
xrepo install mvfst
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mvfst")
```


### mxml (linux)


| Description | *Mini-XML is a tiny XML library that you can use to read and write XML and XML-like data files in your application without requiring large non-standard libraries.* |
| -- | -- |
| Homepage | [https://www.msweet.org/mxml/](https://www.msweet.org/mxml/) |
| License | Apache-2.0 |
| Versions | 3.3, 3.3.1, 4.0.2, 4.0.3, 4.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mxml/xmake.lua) |

##### Install command

```console
xrepo install mxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mxml")
```


### mysql (linux)


| Description | *A real-time, open source transactional database.* |
| -- | -- |
| Homepage | [http://www.mysql.com](http://www.mysql.com) |
| License | GPL-2.0 |
| Versions | 8.0.39 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mysql/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mysql/xmake.lua) |

##### Install command

```console
xrepo install mysql
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mysql")
```


### mysql-build-tools (linux)


| Description | *This package help for mysql corss compilation* |
| -- | -- |
| Homepage | [http://www.mysql.com](http://www.mysql.com) |
| License | GPL-2.0 |
| Versions | 8.0.39 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mysql-build-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mysql-build-tools/xmake.lua) |

##### Install command

```console
xrepo install mysql-build-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mysql-build-tools")
```


### mysqlpp (linux)


| Description | *MySQL++ is a C++ wrapper for the MySQL and MariaDB C APIs* |
| -- | -- |
| Homepage | [https://tangentsoft.com/mysqlpp/wiki?name=MySQL%2B%2B&p&nsm](https://tangentsoft.com/mysqlpp/wiki?name=MySQL%2B%2B&p&nsm) |
| Versions | 3.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [mysqlpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mysqlpp/xmake.lua) |

##### Install command

```console
xrepo install mysqlpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mysqlpp")
```



## n
### named_type (linux)


| Description | *Implementation of strong types in C++.* |
| -- | -- |
| Homepage | [https://github.com/joboccara/NamedType](https://github.com/joboccara/NamedType) |
| License | MIT |
| Versions | v1.1.0.20210209 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [named_type/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/named_type/xmake.lua) |

##### Install command

```console
xrepo install named_type
```

##### Integration in the project (xmake.lua)

```lua
add_requires("named_type")
```


### nameof (linux)


| Description | *Nameof operator for modern C++, simply obtain the name of a variable, type, function, macro, and enum* |
| -- | -- |
| Homepage | [https://github.com/Neargye/nameof](https://github.com/Neargye/nameof) |
| License | MIT |
| Versions | 0.10.3, 0.10.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nameof/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nameof/xmake.lua) |

##### Install command

```console
xrepo install nameof
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nameof")
```


### nana (linux)


| Description | *A modern C++ GUI library.* |
| -- | -- |
| Homepage | [http://nanapro.org](http://nanapro.org) |
| Versions | 1.6.2, 1.7.2, 1.7.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nana/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nana/xmake.lua) |

##### Install command

```console
xrepo install nana
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nana")
```


### nanoarrow (linux)


| Description | *Helpers for Arrow C Data & Arrow C Stream interfaces* |
| -- | -- |
| Homepage | [https://arrow.apache.org/nanoarrow](https://arrow.apache.org/nanoarrow) |
| License | Apache-2.0 |
| Versions | 0.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanoarrow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanoarrow/xmake.lua) |

##### Install command

```console
xrepo install nanoarrow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanoarrow")
```


### nanobench (linux)


| Description | *Simple, fast, accurate single-header microbenchmarking functionality for C++11/14/17/20* |
| -- | -- |
| Homepage | [https://nanobench.ankerl.com](https://nanobench.ankerl.com) |
| License | MIT |
| Versions | v4.3.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanobench/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanobench/xmake.lua) |

##### Install command

```console
xrepo install nanobench
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanobench")
```


### nanobind (linux)


| Description | *nanobind: tiny and efficient C++/Python bindings* |
| -- | -- |
| Homepage | [https://github.com/wjakob/nanobind](https://github.com/wjakob/nanobind) |
| License | BSD-3-Clause |
| Versions | v2.2.0, v2.6.1, v2.7.0, v2.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanobind/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanobind/xmake.lua) |

##### Install command

```console
xrepo install nanobind
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanobind")
```


### nanoflann (linux)


| Description | *nanoflann: a C++11 header-only library for Nearest Neighbor (NN) search with KD-trees* |
| -- | -- |
| Homepage | [https://github.com/jlblancoc/nanoflann/](https://github.com/jlblancoc/nanoflann/) |
| License | BSD-2-Clause |
| Versions | v1.3.2, v1.4.2, v1.5.0, v1.5.5, v1.6.0, v1.6.1, v1.6.2, v1.7.0, v1.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanoflann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanoflann/xmake.lua) |

##### Install command

```console
xrepo install nanoflann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanoflann")
```


### nanogui (linux)


| Description | *Minimalistic GUI library for OpenGL* |
| -- | -- |
| Homepage | [https://github.com/wjakob/nanogui](https://github.com/wjakob/nanogui) |
| Versions | 2019.9.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanogui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanogui/xmake.lua) |

##### Install command

```console
xrepo install nanogui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanogui")
```


### nanomsg (linux)


| Description | *A simple high-performance implementation of several "scalability protocols".* |
| -- | -- |
| Homepage | [https://nanomsg.org](https://nanomsg.org) |
| License | MIT |
| Versions | 1.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanomsg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanomsg/xmake.lua) |

##### Install command

```console
xrepo install nanomsg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanomsg")
```


### nanopb (linux)


| Description | *Protocol Buffers with small code size* |
| -- | -- |
| Homepage | [https://jpa.kapsi.fi/nanopb/](https://jpa.kapsi.fi/nanopb/) |
| License | zlib |
| Versions | 0.4.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanopb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanopb/xmake.lua) |

##### Install command

```console
xrepo install nanopb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanopb")
```


### nanosvg (linux)


| Description | *Simple stupid SVG parser* |
| -- | -- |
| Homepage | [https://github.com/memononen/nanosvg](https://github.com/memononen/nanosvg) |
| License | zlib |
| Versions | 2022.07.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanosvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanosvg/xmake.lua) |

##### Install command

```console
xrepo install nanosvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanosvg")
```


### nanovdb (linux)


| Description | *Developed by NVIDIA, NanoVDB adds real-time rendering GPU support for OpenVDB.* |
| -- | -- |
| Homepage | [https://developer.nvidia.com/nanovdb](https://developer.nvidia.com/nanovdb) |
| Versions | 20201219 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanovdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanovdb/xmake.lua) |

##### Install command

```console
xrepo install nanovdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanovdb")
```


### nanovg (linux)


| Description | *Antialiased 2D vector drawing library on top of OpenGL for UI and visualizations.* |
| -- | -- |
| Homepage | [https://github.com/memononen/nanovg/](https://github.com/memononen/nanovg/) |
| License | zlib |
| Versions | 2021.11.2, 2023.8.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nanovg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanovg/xmake.lua) |

##### Install command

```console
xrepo install nanovg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanovg")
```


### nasm (linux)


| Description | *Netwide Assembler (NASM) is an 80x86 assembler.* |
| -- | -- |
| Homepage | [https://www.nasm.us/](https://www.nasm.us/) |
| License | BSD-2-Clause |
| Versions | 2.13.03, 2.15.05, 2.16.01, 2.16.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nasm/xmake.lua) |

##### Install command

```console
xrepo install nasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nasm")
```


### nativefiledialog (linux)


| Description | *A tiny, neat C library that portably invokes native file open and save dialogs.* |
| -- | -- |
| Homepage | [https://github.com/mlabbe/nativefiledialog](https://github.com/mlabbe/nativefiledialog) |
| License | zlib |
| Versions | 1.1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nativefiledialog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nativefiledialog/xmake.lua) |

##### Install command

```console
xrepo install nativefiledialog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nativefiledialog")
```


### nativefiledialog-extended (linux)


| Description | *Cross platform (Windows, Mac, Linux) native file dialog library with C and C++ bindings, based on mlabbe/nativefiledialog.* |
| -- | -- |
| Homepage | [https://github.com/btzy/nativefiledialog-extended](https://github.com/btzy/nativefiledialog-extended) |
| Versions | v1.0.2, v1.1.0, v1.1.1, v1.2.0, v1.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nativefiledialog-extended/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nativefiledialog-extended/xmake.lua) |

##### Install command

```console
xrepo install nativefiledialog-extended
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nativefiledialog-extended")
```


### nazarautils (linux)


| Description | *Header-only utility library for Nazara projects* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/NazaraUtils](https://github.com/NazaraEngine/NazaraUtils) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nazarautils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nazarautils/xmake.lua) |

##### Install command

```console
xrepo install nazarautils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nazarautils")
```


### ncnn (linux)


| Description | *High-performance neural network inference framework optimized for the mobile platform* |
| -- | -- |
| Homepage | [https://github.com/Tencent/ncnn](https://github.com/Tencent/ncnn) |
| License | BSD-3-Clause |
| Versions | 20250503 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ncnn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ncnn/xmake.lua) |

##### Install command

```console
xrepo install ncnn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ncnn")
```


### ncurses (linux)


| Description | *A free software emulation of curses.* |
| -- | -- |
| Homepage | [https://invisible-island.net/ncurses/](https://invisible-island.net/ncurses/) |
| License | MIT |
| Versions | 6.1, 6.2, 6.3, 6.4, 6.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ncurses/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ncurses/xmake.lua) |

##### Install command

```console
xrepo install ncurses
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ncurses")
```


### ndarray (linux)


| Description | *NumPy-friendly multidimensional arrays in C++* |
| -- | -- |
| Homepage | [https://github.com/ndarray/ndarray](https://github.com/ndarray/ndarray) |
| Versions | 1.6.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ndarray/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ndarray/xmake.lua) |

##### Install command

```console
xrepo install ndarray
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ndarray")
```


### ndk (linux)


| Description | *Android NDK toolchain.* |
| -- | -- |
| Homepage | [https://developer.android.com/ndk](https://developer.android.com/ndk) |
| Versions | 21.0, 22.0, 26.0, 27.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ndk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ndk/xmake.lua) |

##### Install command

```console
xrepo install ndk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ndk")
```


### neargye-scope_guard (linux)


| Description | *Scope Guard & Defer C++* |
| -- | -- |
| Homepage | [https://github.com/Neargye/scope_guard](https://github.com/Neargye/scope_guard) |
| License | MIT |
| Versions | 2022.04.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [neargye-scope_guard/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/neargye-scope_guard/xmake.lua) |

##### Install command

```console
xrepo install neargye-scope_guard
```

##### Integration in the project (xmake.lua)

```lua
add_requires("neargye-scope_guard")
```


### neco (linux)


| Description | *Concurrency library for C (coroutines)* |
| -- | -- |
| Homepage | [https://github.com/tidwall/neco](https://github.com/tidwall/neco) |
| License | MIT |
| Versions | v0.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [neco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/neco/xmake.lua) |

##### Install command

```console
xrepo install neco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("neco")
```


### nettle (linux)


| Description | *Nettle is a cryptographic library that is designed to fit easily in more or less any context.* |
| -- | -- |
| Homepage | [https://www.lysator.liu.se/~nisse/nettle/](https://www.lysator.liu.se/~nisse/nettle/) |
| License | LGPL-3.0 |
| Versions | 3.6, 3.9.1, 3.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nettle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nettle/xmake.lua) |

##### Install command

```console
xrepo install nettle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nettle")
```


### newtondynamics (linux)


| Description | *Newton Dynamics is an integrated solution for real time simulation of physics environments.* |
| -- | -- |
| Homepage | [http://newtondynamics.com](http://newtondynamics.com) |
| License | zlib |
| Versions | v3.14d |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [newtondynamics/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/newtondynamics/xmake.lua) |

##### Install command

```console
xrepo install newtondynamics
```

##### Integration in the project (xmake.lua)

```lua
add_requires("newtondynamics")
```


### newtondynamics3 (linux)


| Description | *Newton Dynamics is an integrated solution for real time simulation of physics environments.* |
| -- | -- |
| Homepage | [http://newtondynamics.com](http://newtondynamics.com) |
| License | zlib |
| Versions | v3.14d |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [newtondynamics3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/newtondynamics3/xmake.lua) |

##### Install command

```console
xrepo install newtondynamics3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("newtondynamics3")
```


### newtondynamics4 (linux)


| Description | *Newton Dynamics is an integrated solution for real time simulation of physics environments.* |
| -- | -- |
| Homepage | [http://newtondynamics.com](http://newtondynamics.com) |
| License | zlib |
| Versions | v4.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [newtondynamics4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/newtondynamics4/xmake.lua) |

##### Install command

```console
xrepo install newtondynamics4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("newtondynamics4")
```


### nghttp2 (linux)


| Description | *nghttp2 is an implementation of HTTP/2 and its header compression algorithm HPACK in C.* |
| -- | -- |
| Homepage | [http://nghttp2.org/](http://nghttp2.org/) |
| License | MIT |
| Versions | 1.46.0, 1.58.0, 1.59.0, 1.60.0, 1.61.0, 1.62.0, 1.62.1, 1.63.0, 1.64.0, 1.65.0, 1.66.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nghttp2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nghttp2/xmake.lua) |

##### Install command

```console
xrepo install nghttp2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nghttp2")
```


### nghttp3 (linux)


| Description | *HTTP/3 library written in C* |
| -- | -- |
| Homepage | [https://github.com/ngtcp2/nghttp3](https://github.com/ngtcp2/nghttp3) |
| License | MIT |
| Versions | v1.3.0, v1.4.0, v1.5.0, v1.6.0, v1.7.0, v1.8.0, v1.10.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nghttp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nghttp3/xmake.lua) |

##### Install command

```console
xrepo install nghttp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nghttp3")
```


### ngtcp2 (linux)


| Description | *ngtcp2 project is an effort to implement IETF QUIC protocol* |
| -- | -- |
| Homepage | [https://github.com/ngtcp2/ngtcp2](https://github.com/ngtcp2/ngtcp2) |
| License | MIT |
| Versions | 0.1.0, 1.1.0, 1.2.0, 1.3.0, 1.4.0, 1.5.0, 1.6.0, 1.7.0, 1.8.0, 1.8.1, 1.9.0, 1.9.1, 1.10.0, 1.11.0, 1.12.0, 1.13.0, 1.14.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ngtcp2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ngtcp2/xmake.lua) |

##### Install command

```console
xrepo install ngtcp2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ngtcp2")
```


### nifly (linux)


| Description | *C++ NIF library for the Gamebryo/NetImmerse File Format* |
| -- | -- |
| Homepage | [https://github.com/ousnius/nifly](https://github.com/ousnius/nifly) |
| License | GPL-3.0 |
| Versions | 2024.09.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nifly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nifly/xmake.lua) |

##### Install command

```console
xrepo install nifly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nifly")
```


### nifti (linux)


| Description | *C libraries for NIFTI support* |
| -- | -- |
| Homepage | [https://github.com/NIFTI-Imaging/nifti_clib](https://github.com/NIFTI-Imaging/nifti_clib) |
| Versions | 2024.01.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nifti/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nifti/xmake.lua) |

##### Install command

```console
xrepo install nifti
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nifti")
```


### niftiheader (linux)


| Description | *Header structure descriptions for the nifti1 and nifti2 file formats.* |
| -- | -- |
| Homepage | [https://nifti.nimh.nih.gov/](https://nifti.nimh.nih.gov/) |
| License | Public Domain |
| Versions | 0.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [niftiheader/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/niftiheader/xmake.lua) |

##### Install command

```console
xrepo install niftiheader
```

##### Integration in the project (xmake.lua)

```lua
add_requires("niftiheader")
```


### nim (linux)


| Description | *Nim is a statically typed compiled systems programming language* |
| -- | -- |
| Homepage | [https://nim-lang.org/](https://nim-lang.org/) |
| Versions | 2.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nim/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nim/xmake.lua) |

##### Install command

```console
xrepo install nim
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nim")
```


### ninja (linux)


| Description | *Small build system for use with gyp or CMake.* |
| -- | -- |
| Homepage | [https://ninja-build.org/](https://ninja-build.org/) |
| License | Apache-2.0 |
| Versions | v1.9.0, v1.10.1, v1.10.2, v1.11.0, v1.11.1, v1.12.1, v1.13.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ninja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ninja/xmake.lua) |

##### Install command

```console
xrepo install ninja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ninja")
```


### nlohmann_json (linux)


| Description | *JSON for Modern C++* |
| -- | -- |
| Homepage | [https://nlohmann.github.io/json/](https://nlohmann.github.io/json/) |
| License | MIT |
| Versions | v3.9.1, v3.10.0, v3.10.5, v3.11.2, v3.11.3, v3.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nlohmann_json/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nlohmann_json/xmake.lua) |

##### Install command

```console
xrepo install nlohmann_json
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nlohmann_json")
```


### nlopt (linux)


| Description | *library for nonlinear optimization, wrapping many algorithms for global and local, constrained or unconstrained, optimization* |
| -- | -- |
| Homepage | [https://github.com/stevengj/nlopt](https://github.com/stevengj/nlopt) |
| License | LGPL-2.1 |
| Versions | v2.7.0, v2.7.1, v2.8.0, v2.9.1, v2.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nlopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nlopt/xmake.lua) |

##### Install command

```console
xrepo install nlopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nlopt")
```


### nmd (linux)


| Description | *An x86 assembler and disassembler along with a C89 header file (nmd_assembly.h), and a C89 2D graphics library (nmd_graphics.h).* |
| -- | -- |
| Homepage | [https://github.com/Nomade040/nmd](https://github.com/Nomade040/nmd) |
| License | Unlicense |
| Versions | 2021.03.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nmd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nmd/xmake.lua) |

##### Install command

```console
xrepo install nmd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nmd")
```


### nng (linux)


| Description | *NNG, like its predecessors nanomsg (and to some extent ZeroMQ), is a lightweight, broker-less library, offering a simple API to solve common recurring messaging problems.* |
| -- | -- |
| Homepage | [https://nng.nanomsg.org](https://nng.nanomsg.org) |
| License | MIT |
| Versions | v1.3.2, v1.4.0, v1.5.2, v1.7.3, v1.8.0, v1.10.1, v1.10.2, v1.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nng/xmake.lua) |

##### Install command

```console
xrepo install nng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nng")
```


### nngpp (linux)


| Description | *C++ wrapper around the nanomsg NNG API.* |
| -- | -- |
| Homepage | [https://github.com/cwzx/nngpp](https://github.com/cwzx/nngpp) |
| Versions | v2020.10.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nngpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nngpp/xmake.lua) |

##### Install command

```console
xrepo install nngpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nngpp")
```


### nod (linux)


| Description | *Small, header only signals and slots C++11 library.* |
| -- | -- |
| Homepage | [https://github.com/fr00b0/nod](https://github.com/fr00b0/nod) |
| License | MIT |
| Versions | v0.5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nod/xmake.lua) |

##### Install command

```console
xrepo install nod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nod")
```


### node-addon-api (linux)


| Description | *Module for using Node-API from C++* |
| -- | -- |
| Homepage | [https://github.com/nodejs/node-addon-api](https://github.com/nodejs/node-addon-api) |
| License | MIT |
| Versions | v8.0.0, v8.2.2, v8.3.0, v8.3.1, v8.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [node-addon-api/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-addon-api/xmake.lua) |

##### Install command

```console
xrepo install node-addon-api
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-addon-api")
```


### node-api-headers (linux)


| Description | *C-based Node-API headers* |
| -- | -- |
| Homepage | [https://github.com/nodejs/node-api-headers](https://github.com/nodejs/node-api-headers) |
| License | MIT |
| Versions | v1.1.0, v1.2.0, v1.3.0, v1.4.0, v1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [node-api-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-api-headers/xmake.lua) |

##### Install command

```console
xrepo install node-api-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-api-headers")
```


### node-api-stub (linux)


| Description | *Node-API stub* |
| -- | -- |
| Homepage | [https://github.com/napi-bindings/node-api-stub](https://github.com/napi-bindings/node-api-stub) |
| License | MIT |
| Versions | 8.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [node-api-stub/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-api-stub/xmake.lua) |

##### Install command

```console
xrepo install node-api-stub
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-api-stub")
```


### nodeeditor (linux)


| Description | *Qt Node Editor. Dataflow programming framework* |
| -- | -- |
| Homepage | [https://github.com/paceholder/nodeeditor](https://github.com/paceholder/nodeeditor) |
| License | BSD-3 |
| Versions | 2.1.3, 2.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nodeeditor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nodeeditor/xmake.lua) |

##### Install command

```console
xrepo install nodeeditor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nodeeditor")
```


### nodesoup (linux)


| Description | *Force-directed graph layout with Fruchterman-Reingold* |
| -- | -- |
| Homepage | [https://github.com/olvb/nodesoup](https://github.com/olvb/nodesoup) |
| License | Unlicense |
| Versions | 2020.09.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nodesoup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nodesoup/xmake.lua) |

##### Install command

```console
xrepo install nodesoup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nodesoup")
```


### noise-c (linux)


| Description | *Noise-C, a plain C implementation of the Noise protocol* |
| -- | -- |
| Homepage | [https://github.com/rweather/noise-c](https://github.com/rweather/noise-c) |
| License | MIT |
| Versions | 2021.04.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [noise-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/noise-c/xmake.lua) |

##### Install command

```console
xrepo install noise-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("noise-c")
```


### noisy (linux)


| Description | *A C++ type to trace calls to special member functions.* |
| -- | -- |
| Homepage | [https://vzalzal.com/posts/noisy-the-class-you-wrote-a-hundred-times/](https://vzalzal.com/posts/noisy-the-class-you-wrote-a-hundred-times/) |
| License | MIT |
| Versions | 2024.04.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [noisy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/noisy/xmake.lua) |

##### Install command

```console
xrepo install noisy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("noisy")
```


### nowide_standalone (linux)


| Description | *C++ implementation of the Python Numpy library* |
| -- | -- |
| Homepage | [https://github.com/boostorg/nowide/tree/standalone](https://github.com/boostorg/nowide/tree/standalone) |
| License | Boost Software License, Version 1.0 |
| Versions | 11.2.0, 11.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nowide_standalone/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nowide_standalone/xmake.lua) |

##### Install command

```console
xrepo install nowide_standalone
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nowide_standalone")
```


### nsync (linux)


| Description | *nsync is a C library that exports various synchronization primitives, such as mutexes* |
| -- | -- |
| Homepage | [https://github.com/google/nsync](https://github.com/google/nsync) |
| License | Apache-2.0 |
| Versions | 1.28.1, 1.29.1, 1.29.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nsync/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nsync/xmake.lua) |

##### Install command

```console
xrepo install nsync
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nsync")
```


### ntkernel-error-category (linux)


| Description | *A C++ 11 std::error_category for the NT kernel's NTSTATUS error codes * |
| -- | -- |
| Homepage | [https://github.com/ned14/ntkernel-error-category](https://github.com/ned14/ntkernel-error-category) |
| License | Apache-2.0 |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ntkernel-error-category/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ntkernel-error-category/xmake.lua) |

##### Install command

```console
xrepo install ntkernel-error-category
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ntkernel-error-category")
```


### nuklear (linux)


| Description | *A single-header ANSI C immediate mode cross-platform GUI library* |
| -- | -- |
| Homepage | [https://immediate-mode-ui.github.io/Nuklear/doc/index.html](https://immediate-mode-ui.github.io/Nuklear/doc/index.html) |
| License | MIT |
| Versions | 4.10.5, 4.12.0, 4.12.2, 4.12.3, 4.12.4, 4.12.5, 4.12.6, 4.12.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nuklear/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nuklear/xmake.lua) |

##### Install command

```console
xrepo install nuklear
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nuklear")
```


### numactl (linux)


| Description | *NUMA support for Linux* |
| -- | -- |
| Homepage | [https://github.com/numactl/numactl](https://github.com/numactl/numactl) |
| License | LGPL-2.1 |
| Versions | 2.0.14, 2.0.18, 2.0.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [numactl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/numactl/xmake.lua) |

##### Install command

```console
xrepo install numactl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("numactl")
```


### numcpp (linux)


| Description | *C++ implementation of the Python Numpy library* |
| -- | -- |
| Homepage | [https://github.com/dpilger26/NumCpp](https://github.com/dpilger26/NumCpp) |
| License | MIT |
| Versions | 2.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [numcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/numcpp/xmake.lua) |

##### Install command

```console
xrepo install numcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("numcpp")
```


### nvtt (linux)


| Description | *The NVIDIA Texture Tools is a collection of image processing and texture manipulation tools.* |
| -- | -- |
| Homepage | [https://developer.nvidia.com/legacy-texture-tools](https://developer.nvidia.com/legacy-texture-tools) |
| License | MIT |
| Versions | 2.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nvtt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nvtt/xmake.lua) |

##### Install command

```console
xrepo install nvtt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nvtt")
```


### nvtx (linux)


| Description | *A C-based Application Programming Interface (API) for annotating events, code ranges, and resources in your applications.* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/NVTX](https://github.com/NVIDIA/NVTX) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nvtx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nvtx/xmake.lua) |

##### Install command

```console
xrepo install nvtx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nvtx")
```


### nzsl (linux)


| Description | *NZSL is a shader language inspired by Rust and C++ which compiles to GLSL or SPIRV* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/ShaderLang](https://github.com/NazaraEngine/ShaderLang) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [nzsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nzsl/xmake.lua) |

##### Install command

```console
xrepo install nzsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nzsl")
```



## o
### oatpp (linux)


| Description | *Modern Web Framework for C++. High performance, simple API, cross platform, zero dependency.* |
| -- | -- |
| Homepage | [https://oatpp.io/](https://oatpp.io/) |
| License | Apache-2.0 |
| Versions | 1.0.0, 1.2.5, 1.3.0, 1.4.0-preview |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [oatpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/oatpp/xmake.lua) |

##### Install command

```console
xrepo install oatpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("oatpp")
```


### oatpp-openssl (linux)


| Description | *It provides secure server and client connection providers for oatpp applications.* |
| -- | -- |
| Homepage | [https://oatpp.io/](https://oatpp.io/) |
| License | Apache-2.0 |
| Versions | 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [oatpp-openssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/oatpp-openssl/xmake.lua) |

##### Install command

```console
xrepo install oatpp-openssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("oatpp-openssl")
```


### oatpp-websocket (linux)


| Description | *It provides WebSocket functionality for oatpp applications.* |
| -- | -- |
| Homepage | [https://oatpp.io/](https://oatpp.io/) |
| License | Apache-2.0 |
| Versions | 1.0.0, 1.2.5, 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [oatpp-websocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/oatpp-websocket/xmake.lua) |

##### Install command

```console
xrepo install oatpp-websocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("oatpp-websocket")
```


### obfuscate (linux)


| Description | *Guaranteed compile-time string literal obfuscation header-only library for C++14* |
| -- | -- |
| Homepage | [https://github.com/adamyaxley/Obfuscate](https://github.com/adamyaxley/Obfuscate) |
| License | Unlicense |
| Versions | 2024.02.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [obfuscate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/obfuscate/xmake.lua) |

##### Install command

```console
xrepo install obfuscate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("obfuscate")
```


### obfusheader.h (linux)


| Description | *Obfusheader.h is a portable header file for C++14 compile-time obfuscation.* |
| -- | -- |
| Homepage | [https://github.com/ac3ss0r/obfusheader.h](https://github.com/ac3ss0r/obfusheader.h) |
| License | Apache-2.0 |
| Versions | 2024.08.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [obfusheader.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/obfusheader.h/xmake.lua) |

##### Install command

```console
xrepo install obfusheader.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("obfusheader.h")
```


### objfw (linux)


| Description | *Portable framework for the Objective-C language.* |
| -- | -- |
| Homepage | [https://objfw.nil.im](https://objfw.nil.im) |
| License | LGPL-3.0 |
| Versions | 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.0.7, 1.0.8, 1.0.9, 1.0.10, 1.0.11, 1.0.12, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.1.7, 1.2.0, 1.2.1, 1.2.2, 1.2.3, 1.2.4, 1.3, 1.3.1, 1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [objfw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/objfw/xmake.lua) |

##### Install command

```console
xrepo install objfw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("objfw")
```


### ocilib (linux)


| Description | *OCILIB (C and C++ Drivers for Oracle) - Open source C and C++ library for accessing Oracle databases* |
| -- | -- |
| Homepage | [http://www.ocilib.net](http://www.ocilib.net) |
| License | Apache-2.0 |
| Versions | v4.7.6, v4.7.7, v4.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ocilib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ocilib/xmake.lua) |

##### Install command

```console
xrepo install ocilib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ocilib")
```


### octomap (linux)


| Description | *An Efficient Probabilistic 3D Mapping Framework Based on Octrees* |
| -- | -- |
| Homepage | [https://octomap.github.io/](https://octomap.github.io/) |
| License | BSD-3-Clause |
| Versions | v1.9.7, v1.9.8, v1.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [octomap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/octomap/xmake.lua) |

##### Install command

```console
xrepo install octomap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("octomap")
```


### octree (linux)


| Description | *Octree/Quadtree/N-dimensional linear tree* |
| -- | -- |
| Homepage | [https://github.com/attcs/Octree](https://github.com/attcs/Octree) |
| License | MIT |
| Versions | v2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [octree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/octree/xmake.lua) |

##### Install command

```console
xrepo install octree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("octree")
```


### ode (linux)


| Description | *ODE is an open source, high performance library for simulating rigid body dynamics.* |
| -- | -- |
| Homepage | [http://ode.org/](http://ode.org/) |
| License | BSD-3-Clause |
| Versions | 0.16.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ode/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ode/xmake.lua) |

##### Install command

```console
xrepo install ode
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ode")
```


### offsetallocator (linux)


| Description | *Fast O(1) offset allocator with minimal fragmentation* |
| -- | -- |
| Homepage | [https://github.com/sebbbi/OffsetAllocator](https://github.com/sebbbi/OffsetAllocator) |
| License | MIT |
| Versions | 2023.03.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [offsetallocator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/offsetallocator/xmake.lua) |

##### Install command

```console
xrepo install offsetallocator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("offsetallocator")
```


### ogre-next (linux)


| Description | *scene-oriented, flexible 3D engine written in C++* |
| -- | -- |
| Homepage | [https://www.ogre3d.org/](https://www.ogre3d.org/) |
| License | MIT |
| Versions | v2.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ogre-next/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ogre-next/xmake.lua) |

##### Install command

```console
xrepo install ogre-next
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ogre-next")
```


### ois (linux)


| Description | *Official OIS repository. Object oriented Input System* |
| -- | -- |
| Homepage | [https://wgois.github.io/OIS/](https://wgois.github.io/OIS/) |
| License | zlib |
| Versions | v1.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ois/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ois/xmake.lua) |

##### Install command

```console
xrepo install ois
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ois")
```


### olive.c (linux)


| Description | *Simple 2D Graphics Library for C* |
| -- | -- |
| Homepage | [https://tsoding.github.io/olive.c/](https://tsoding.github.io/olive.c/) |
| License | MIT |
| Versions | 2022.12.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [olive.c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/olive.c/xmake.lua) |

##### Install command

```console
xrepo install olive.c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("olive.c")
```


### omath (linux)


| Description | *Cross-platform modern general purpose math library written in C++23* |
| -- | -- |
| Homepage | [http://libomath.org](http://libomath.org) |
| License | zlib |
| Versions | v3.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [omath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/omath/xmake.lua) |

##### Install command

```console
xrepo install omath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("omath")
```


### onednn (linux)


| Description | *oneAPI Deep Neural Network Library* |
| -- | -- |
| Homepage | [https://oneapi-src.github.io/oneDNN/](https://oneapi-src.github.io/oneDNN/) |
| License | Apache-2.0 |
| Versions | v2.5.4, v3.3.4, v3.4, v3.4.1, v3.4.2, v3.4.3, v3.5, v3.5.1, v3.5.2, v3.5.3, v3.6, v3.6.1, v3.6.2, v3.7.1, v3.7.2, v3.8, v3.8.1 |
| Architectures | x86_64 |
| Definition | [onednn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/onednn/xmake.lua) |

##### Install command

```console
xrepo install onednn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("onednn")
```


### onedpl (linux)


| Description | *oneDPL is part of the UXL Foundation and is an implementation of the oneAPI specification for the oneDPL component.* |
| -- | -- |
| Homepage | [https://www.intel.com/content/www/us/en/developer/tools/oneapi/dpc-library.html](https://www.intel.com/content/www/us/en/developer/tools/oneapi/dpc-library.html) |
| Versions | 2021.6.1, 2022.5.0-rc1, 2022.6.0-rc1, 2022.7.0, 2022.7.1, 2022.8.0, 2022.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [onedpl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/onedpl/xmake.lua) |

##### Install command

```console
xrepo install onedpl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("onedpl")
```


### oniguruma (linux)


| Description | *regular expression library* |
| -- | -- |
| Homepage | [https://github.com/kkos/oniguruma](https://github.com/kkos/oniguruma) |
| License | BSD |
| Versions | v6.9.9, v6.9.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [oniguruma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/oniguruma/xmake.lua) |

##### Install command

```console
xrepo install oniguruma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("oniguruma")
```


### onnx (linux)


| Description | *Open standard for machine learning interoperability* |
| -- | -- |
| Homepage | [https://onnx.ai/](https://onnx.ai/) |
| License | Apache-2.0 |
| Versions | v1.11.0, v1.12.0, v1.15.0, v1.16.0, v1.16.1, v1.16.2, v1.17.0, v1.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [onnx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/onnx/xmake.lua) |

##### Install command

```console
xrepo install onnx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("onnx")
```


### onnxruntime (linux)


| Description | *ONNX Runtime: cross-platform, high performance ML inferencing and training accelerator* |
| -- | -- |
| Homepage | [https://www.onnxruntime.ai](https://www.onnxruntime.ai) |
| License | MIT |
| Versions | 1.11.1, 1.14.1, 1.15.1, 1.16.1, 1.17.0, 1.17.1, 1.19.2 |
| Architectures | arm64, x86_64 |
| Definition | [onnxruntime/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/onnxruntime/xmake.lua) |

##### Install command

```console
xrepo install onnxruntime
```

##### Integration in the project (xmake.lua)

```lua
add_requires("onnxruntime")
```


### open3d (linux)


| Description | *Open3D: A Modern Library for 3D Data Processing* |
| -- | -- |
| Homepage | [http://www.open3d.org/](http://www.open3d.org/) |
| License | MIT |
| Versions | v0.15.1, v0.17.0 |
| Architectures | x86_64 |
| Definition | [open3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/open3d/xmake.lua) |

##### Install command

```console
xrepo install open3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("open3d")
```


### openal-soft (linux)


| Description | *OpenAL Soft is a software implementation of the OpenAL 3D audio API.* |
| -- | -- |
| Homepage | [https://openal-soft.org](https://openal-soft.org) |
| License | LGPL-2.0 |
| Versions | 1.21.1, 1.22.0, 1.22.2, 1.23.1, 1.24.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openal-soft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openal-soft/xmake.lua) |

##### Install command

```console
xrepo install openal-soft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openal-soft")
```


### openblas (linux)


| Description | *OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.* |
| -- | -- |
| Homepage | [http://www.openblas.net/](http://www.openblas.net/) |
| License | BSD-3-Clause |
| Versions | 0.3.12, 0.3.13, 0.3.15, 0.3.17, 0.3.18, 0.3.19, 0.3.20, 0.3.21, 0.3.23, 0.3.24, 0.3.26, 0.3.27, 0.3.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openblas/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openblas/xmake.lua) |

##### Install command

```console
xrepo install openblas
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openblas")
```


### opencascade (linux)


| Description | *Open CASCADE Technology (OCCT) is an open-source software development platform for 3D CAD, CAM, CAE.* |
| -- | -- |
| Homepage | [https://dev.opencascade.org/](https://dev.opencascade.org/) |
| License | LGPL-2.1 |
| Versions | 7.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencascade/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencascade/xmake.lua) |

##### Install command

```console
xrepo install opencascade
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencascade")
```


### opencc (linux)


| Description | *Conversion between Traditional and Simplified Chinese.* |
| -- | -- |
| Homepage | [https://github.com/BYVoid/OpenCC](https://github.com/BYVoid/OpenCC) |
| Versions | 1.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencc/xmake.lua) |

##### Install command

```console
xrepo install opencc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencc")
```


### opencl (linux)


| Description | *OpenCL is an open, royalty-free industry standard that makes much faster computations possible through parallel computing.* |
| -- | -- |
| Homepage | [https://opencl.org/](https://opencl.org/) |
| Versions | v2023.04.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencl/xmake.lua) |

##### Install command

```console
xrepo install opencl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencl")
```


### opencl-clhpp (linux)


| Description | *OpenCL API C++ bindings* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenCL-CLHPP/](https://github.com/KhronosGroup/OpenCL-CLHPP/) |
| License | Apache-2.0 |
| Versions | 1.2.8, 2.0.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencl-clhpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencl-clhpp/xmake.lua) |

##### Install command

```console
xrepo install opencl-clhpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencl-clhpp")
```


### opencl-headers (linux)


| Description | *Khronos OpenCL-Headers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenCL-Headers/](https://github.com/KhronosGroup/OpenCL-Headers/) |
| License | Apache-2.0 |
| Versions | v2021.06.30, v2023.12.14, v2024.05.08, v2024.10.24, v2025.06.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencl-headers/xmake.lua) |

##### Install command

```console
xrepo install opencl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencl-headers")
```


### opencolorio (linux)


| Description | *A complete color management solution geared towards motion picture production with an emphasis on visual effects and computer animation.* |
| -- | -- |
| Homepage | [https://opencolorio.org/](https://opencolorio.org/) |
| License | BSD-3-Clause |
| Versions | v2.1.0, v2.1.1, v2.3.2, v2.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencolorio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencolorio/xmake.lua) |

##### Install command

```console
xrepo install opencolorio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencolorio")
```


### opencore-amr (linux)


| Description | *Library of OpenCORE Framework implementation of Adaptive Multi Rate Narrowband and Wideband (AMR-NB and AMR-WB) speech codec.* |
| -- | -- |
| Homepage | [https://opencore-amr.sourceforge.io](https://opencore-amr.sourceforge.io) |
| Versions | 0.1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencore-amr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencore-amr/xmake.lua) |

##### Install command

```console
xrepo install opencore-amr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencore-amr")
```


### opencv (linux)


| Description | *A open source computer vision library.* |
| -- | -- |
| Homepage | [https://opencv.org/](https://opencv.org/) |
| License | Apache-2.0 |
| Versions | 3.4.9, 4.2.0, 4.5.1, 4.5.2, 4.5.3, 4.5.4, 4.5.5, 4.6.0, 4.8.0, 4.9.0, 4.10.0, 4.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencv/xmake.lua) |

##### Install command

```console
xrepo install opencv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencv")
```


### opencv-mobile (linux)


| Description | *The minimal opencv for Android, iOS, ARM Linux, Windows, Linux, MacOS, WebAssembly* |
| -- | -- |
| Homepage | [https://github.com/nihui/opencv-mobile](https://github.com/nihui/opencv-mobile) |
| License | Apache-2.0 |
| Versions | 3.4.20, 4.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opencv-mobile/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencv-mobile/xmake.lua) |

##### Install command

```console
xrepo install opencv-mobile
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencv-mobile")
```


### openexr (linux)


| Description | *OpenEXR provides the specification and reference implementation of the EXR file format, the professional-grade image storage format of the motion picture industry.* |
| -- | -- |
| Homepage | [https://www.openexr.com/](https://www.openexr.com/) |
| License | BSD-3-Clause |
| Versions | v2.5.3, v2.5.5, v2.5.7, v3.1.0, v3.1.1, v3.1.3, v3.1.4, v3.1.5, v3.2.1, v3.2.3, v3.2.4, v3.3.0, v3.3.1, v3.3.2, v3.3.3, v3.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openexr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openexr/xmake.lua) |

##### Install command

```console
xrepo install openexr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openexr")
```


### openfbx (linux)


| Description | *Lightweight open source FBX importer* |
| -- | -- |
| Homepage | [https://github.com/nem0/OpenFBX](https://github.com/nem0/OpenFBX) |
| License | MIT |
| Versions | v0.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openfbx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openfbx/xmake.lua) |

##### Install command

```console
xrepo install openfbx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openfbx")
```


### opengl (linux)


| Description | *OpenGL - The Industry Standard for High Performance Graphics* |
| -- | -- |
| Homepage | [https://opengl.org/](https://opengl.org/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opengl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opengl/xmake.lua) |

##### Install command

```console
xrepo install opengl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opengl")
```


### opengl-headers (linux)


| Description | *OpenGL, OpenGL ES, and OpenGL ES-SC API and Extension Registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenGL-Registry/](https://github.com/KhronosGroup/OpenGL-Registry/) |
| License | MIT |
| Versions | 2024.01.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opengl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opengl-headers/xmake.lua) |

##### Install command

```console
xrepo install opengl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opengl-headers")
```


### openh264 (linux)


| Description | *OpenH264 is a codec library which supports H.264 encoding and decoding.* |
| -- | -- |
| Homepage | [http://www.openh264.org/](http://www.openh264.org/) |
| License | BSD-2-Clause |
| Versions | v2.1.1, v2.4.1, v2.5.0, v2.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openh264/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openh264/xmake.lua) |

##### Install command

```console
xrepo install openh264
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openh264")
```


### openimageio (linux)


| Description | *OpenImageIO is a library for reading and writing images, and a bunch of related classes, utilities, and applications.* |
| -- | -- |
| Homepage | [https://sites.google.com/site/openimageio/home](https://sites.google.com/site/openimageio/home) |
| License | BSD-3-Clause |
| Versions | 2.2.19+0, 2.3.10+1, 2.3.13+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openimageio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openimageio/xmake.lua) |

##### Install command

```console
xrepo install openimageio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openimageio")
```


### openjdk (linux)


| Description | *Java Development Kit builds, from Oracle* |
| -- | -- |
| Homepage | [https://jdk.java.net](https://jdk.java.net) |
| License | GPL-2.0 |
| Versions | 21.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openjdk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openjdk/xmake.lua) |

##### Install command

```console
xrepo install openjdk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openjdk")
```


### openjpeg (linux)


| Description | *OpenJPEG is an open-source JPEG 2000 codec written in C language.* |
| -- | -- |
| Homepage | [http://www.openjpeg.org/](http://www.openjpeg.org/) |
| License | BSD-2-Clause |
| Versions | v2.3.1, v2.4.0, v2.5.0, v2.5.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openjpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openjpeg/xmake.lua) |

##### Install command

```console
xrepo install openjpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openjpeg")
```


### openldap (linux)


| Description | *OpenLDAP Software is an open source implementation of the Lightweight Directory Access Protocol.* |
| -- | -- |
| Homepage | [https://www.openldap.org/](https://www.openldap.org/) |
| Versions | 2.5.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openldap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openldap/xmake.lua) |

##### Install command

```console
xrepo install openldap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openldap")
```


### openmesh (linux)


| Description | *OpenMesh is a generic and efficient data structure for representing and manipulating polygonal meshes.* |
| -- | -- |
| Homepage | [https://www.graphics.rwth-aachen.de/software/openmesh/](https://www.graphics.rwth-aachen.de/software/openmesh/) |
| License | BSD-3-Clause |
| Versions | 8.1, 9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openmesh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openmesh/xmake.lua) |

##### Install command

```console
xrepo install openmesh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openmesh")
```


### openmp (linux)


| Description | *The OpenMP API specification for parallel programming* |
| -- | -- |
| Homepage | [https://openmp.org/](https://openmp.org/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openmp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openmp/xmake.lua) |

##### Install command

```console
xrepo install openmp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openmp")
```


### openmvg (linux)


| Description | *open Multiple View Geometry library. Basis for 3D computer vision and Structure from Motion.* |
| -- | -- |
| Homepage | [https://github.com/openMVG/openMVG](https://github.com/openMVG/openMVG) |
| License | MPL-2.0 |
| Versions | v2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openmvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openmvg/xmake.lua) |

##### Install command

```console
xrepo install openmvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openmvg")
```


### openpgl (linux)


| Description | *Intel(R) Open Path Guiding Library* |
| -- | -- |
| Homepage | [http://www.openpgl.org/](http://www.openpgl.org/) |
| License | Apache-2.0 |
| Versions | 0.5.0, 0.6.0, 0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openpgl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openpgl/xmake.lua) |

##### Install command

```console
xrepo install openpgl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openpgl")
```


### openrestry-luajit (linux)


| Description | *OpenResty's Branch of LuaJIT 2* |
| -- | -- |
| Homepage | [https://github.com/openresty/luajit2](https://github.com/openresty/luajit2) |
| Versions | v2.1-20220310, v2.1-20230119 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openrestry-luajit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openrestry-luajit/xmake.lua) |

##### Install command

```console
xrepo install openrestry-luajit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openrestry-luajit")
```


### openscenegraph (linux)


| Description | *The OpenSceneGraph is an open source high performance 3D graphics toolkit.* |
| -- | -- |
| Homepage | [https://www.openscenegraph.com/](https://www.openscenegraph.com/) |
| Versions | 3.6.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openscenegraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openscenegraph/xmake.lua) |

##### Install command

```console
xrepo install openscenegraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openscenegraph")
```


### openssl (linux)


| Description | *A robust, commercial-grade, and full-featured toolkit for TLS and SSL.* |
| -- | -- |
| Homepage | [https://www.openssl.org/](https://www.openssl.org/) |
| License | Apache-2.0 |
| Versions | 1.0.0, 1.0.2-u, 1.1.0-l, 1.1.1-h, 1.1.1-k, 1.1.1-l, 1.1.1-m, 1.1.1-n, 1.1.1-o, 1.1.1-p, 1.1.1-q, 1.1.1-r, 1.1.1-s, 1.1.1-t, 1.1.1-w |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openssl/xmake.lua) |

##### Install command

```console
xrepo install openssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openssl")
```


### openssl3 (linux)


| Description | *A robust, commercial-grade, and full-featured toolkit for TLS and SSL.* |
| -- | -- |
| Homepage | [https://www.openssl.org/](https://www.openssl.org/) |
| License | Apache-2.0 |
| Versions | 3.0.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.0.5, 3.0.6, 3.0.7, 3.0.14, 3.3.1, 3.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openssl3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openssl3/xmake.lua) |

##### Install command

```console
xrepo install openssl3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openssl3")
```


### opensubdiv (linux)


| Description | *OpenSubdiv is a set of open source libraries that implement high performance subdivision surface (subdiv) evaluation on massively parallel CPU and GPU architectures.* |
| -- | -- |
| Homepage | [https://graphics.pixar.com/opensubdiv/docs/intro.html](https://graphics.pixar.com/opensubdiv/docs/intro.html) |
| License | Apache-2.0 |
| Versions | 3.4.4, 3.5.0, 3.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opensubdiv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opensubdiv/xmake.lua) |

##### Install command

```console
xrepo install opensubdiv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opensubdiv")
```


### opentelemetry-cpp (linux)


| Description | *OpenTelemetry is a collection of tools, APIs, and SDKs. Use it to instrument, generate, collect, and export telemetry data (metrics, logs, and traces) to help you analyze your software’s performance and behavior.* |
| -- | -- |
| Homepage | [https://opentelemetry.io/](https://opentelemetry.io/) |
| License | Apache-2.0 |
| Versions | v1.16.1, v1.19.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [opentelemetry-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opentelemetry-cpp/xmake.lua) |

##### Install command

```console
xrepo install opentelemetry-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opentelemetry-cpp")
```


### openvdb (linux)


| Description | *OpenVDB - Sparse volume data structure and tools* |
| -- | -- |
| Homepage | [https://www.openvdb.org/](https://www.openvdb.org/) |
| License | MPL-2.0 |
| Versions | v7.1.0, v8.0.1, v8.1.0, v8.2.0, v9.0.0, v9.1.0, v10.0.1, v10.1.0, v11.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openvdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openvdb/xmake.lua) |

##### Install command

```console
xrepo install openvdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openvdb")
```


### openvr (linux)


| Description | *OpenVR SDK* |
| -- | -- |
| Homepage | [https://www.steamvr.com/](https://www.steamvr.com/) |
| License | BSD-3-Clause |
| Versions | v1.26.7, v2.5.1, v2.12.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openvr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openvr/xmake.lua) |

##### Install command

```console
xrepo install openvr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openvr")
```


### openxlsx (linux)


| Description | *A C++ library for reading, writing, creating and modifying Microsoft Excel® (.xlsx) files.* |
| -- | -- |
| Homepage | [https://github.com/troldal/OpenXLSX](https://github.com/troldal/OpenXLSX) |
| License | BSD-3-Clause |
| Versions | 2024.10.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openxlsx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openxlsx/xmake.lua) |

##### Install command

```console
xrepo install openxlsx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openxlsx")
```


### openxr (linux)


| Description | *Generated headers and sources for OpenXR loader.* |
| -- | -- |
| Homepage | [https://khronos.org/openxr](https://khronos.org/openxr) |
| License | Apache-2.0 |
| Versions | 1.1.49 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [openxr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openxr/xmake.lua) |

##### Install command

```console
xrepo install openxr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openxr")
```


### optick (linux)


| Description | *C++ Profiler For Games (API)* |
| -- | -- |
| Homepage | [https://optick.dev](https://optick.dev) |
| License | MIT |
| Versions | 1.3.1, 1.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [optick/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/optick/xmake.lua) |

##### Install command

```console
xrepo install optick
```

##### Integration in the project (xmake.lua)

```lua
add_requires("optick")
```


### optional-lite (linux)


| Description | *optional lite - A C++17-like optional, a nullable object for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/optional-lite](https://github.com/martinmoene/optional-lite) |
| License | BSL-1.0 |
| Versions | v3.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [optional-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/optional-lite/xmake.lua) |

##### Install command

```console
xrepo install optional-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("optional-lite")
```


### optix (linux)


| Description | *NVIDIA OPTIX™ RAY TRACING ENGINE* |
| -- | -- |
| Homepage | [https://developer.nvidia.com/optix](https://developer.nvidia.com/optix) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [optix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/optix/xmake.lua) |

##### Install command

```console
xrepo install optix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("optix")
```


### orangeduck_mpc (linux)


| Description | *A Parser Combinator library for C* |
| -- | -- |
| Homepage | [https://github.com/orangeduck/mpc](https://github.com/orangeduck/mpc) |
| Versions | 0.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [orangeduck_mpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/orangeduck_mpc/xmake.lua) |

##### Install command

```console
xrepo install orangeduck_mpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("orangeduck_mpc")
```


### orc (linux)


| Description | *ORC is a self-describing type-aware columnar file format designed for Hadoop workloads.* |
| -- | -- |
| Homepage | [https://arrow.apache.org/](https://arrow.apache.org/) |
| License | Apache-2.0 |
| Versions | v2.0.3, v2.1.0, v2.1.1, v2.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [orc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/orc/xmake.lua) |

##### Install command

```console
xrepo install orc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("orc")
```


### ordered_map (linux)


| Description | *C++ hash map and hash set which preserve the order of insertion* |
| -- | -- |
| Homepage | [https://github.com/Tessil/ordered-map](https://github.com/Tessil/ordered-map) |
| License | MIT |
| Versions | v1.0.0, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ordered_map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ordered_map/xmake.lua) |

##### Install command

```console
xrepo install ordered_map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ordered_map")
```


### ormpp (linux)


| Description | *modern C++ ORM, C++17, support mysql, postgresql,sqlite* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/ormpp](https://github.com/qicosmos/ormpp) |
| License | Apache-2.0 |
| Versions | v0.1.1, v0.1.2, 0.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ormpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ormpp/xmake.lua) |

##### Install command

```console
xrepo install ormpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ormpp")
```


### osip (linux)


| Description | *oSIP is an LGPL implementation of SIP. It is used mostly with eXosip2 stack (GPL) which provides simpler API for User-Agent implementation.* |
| -- | -- |
| Homepage | [https://savannah.gnu.org/projects/osip](https://savannah.gnu.org/projects/osip) |
| License | LGPL |
| Versions | 5.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [osip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/osip/xmake.lua) |

##### Install command

```console
xrepo install osip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("osip")
```


### osmanip (linux)


| Description | *A cross-platform library for output stream manipulation using ANSI escape sequences.* |
| -- | -- |
| Homepage | [https://github.com/JustWhit3/osmanip](https://github.com/JustWhit3/osmanip) |
| License | MIT |
| Versions | v4.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [osmanip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/osmanip/xmake.lua) |

##### Install command

```console
xrepo install osmanip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("osmanip")
```


### osqp (linux)


| Description | *The Operator Splitting QP Solver* |
| -- | -- |
| Homepage | [https://osqp.org/](https://osqp.org/) |
| License | Apache-2.0 |
| Versions | v0.6.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [osqp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/osqp/xmake.lua) |

##### Install command

```console
xrepo install osqp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("osqp")
```


### out_ptr (linux)


| Description | *Repository for a C++11 implementation of std::out_ptr (p1132), as a standalone library!* |
| -- | -- |
| Homepage | [https://github.com/soasis/out_ptr](https://github.com/soasis/out_ptr) |
| License | Apache-2.0 |
| Versions | 2022.10.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [out_ptr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/out_ptr/xmake.lua) |

##### Install command

```console
xrepo install out_ptr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("out_ptr")
```


### outcome (linux)


| Description | *Provides very lightweight outcome<T> and result<T> (non-Boost edition)* |
| -- | -- |
| Homepage | [https://github.com/ned14/outcome](https://github.com/ned14/outcome) |
| License | Apache-2.0 |
| Versions | v2.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [outcome/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/outcome/xmake.lua) |

##### Install command

```console
xrepo install outcome
```

##### Integration in the project (xmake.lua)

```lua
add_requires("outcome")
```


### ozz-animation (linux)


| Description | *Open source c++ skeletal animation library and toolset* |
| -- | -- |
| Homepage | [http://guillaumeblanc.github.io/ozz-animation/](http://guillaumeblanc.github.io/ozz-animation/) |
| License | MIT |
| Versions | 0.14.2, 0.14.3, 0.15.0, 0.16.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ozz-animation/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ozz-animation/xmake.lua) |

##### Install command

```console
xrepo install ozz-animation
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ozz-animation")
```



## p
### p11-kit (linux)


| Description | *Provides a way to load and enumerate PKCS#11 modules.* |
| -- | -- |
| Homepage | [https://p11-glue.github.io/p11-glue/p11-kit.html](https://p11-glue.github.io/p11-glue/p11-kit.html) |
| License | BSD-3-Clause |
| Versions | 0.25.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [p11-kit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/p11-kit/xmake.lua) |

##### Install command

```console
xrepo install p11-kit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("p11-kit")
```


### pagmo (linux)


| Description | *pagmo is a C++ scientific library for massively parallel optimization.* |
| -- | -- |
| Homepage | [https://esa.github.io/pagmo2/index.html](https://esa.github.io/pagmo2/index.html) |
| License | LGPL-3.0 |
| Versions | v2.18.0, v2.19.0, v2.19.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pagmo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pagmo/xmake.lua) |

##### Install command

```console
xrepo install pagmo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pagmo")
```


### pahomqttc (linux)


| Description | *Eclipse Paho MQTT C Client Library* |
| -- | -- |
| Homepage | [https://github.com/eclipse/paho.mqtt.c](https://github.com/eclipse/paho.mqtt.c) |
| License | EPL-2.0 |
| Versions | v1.3.13, v1.3.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pahomqttc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pahomqttc/xmake.lua) |

##### Install command

```console
xrepo install pahomqttc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pahomqttc")
```


### pahomqttcpp (linux)


| Description | *Eclipse Paho MQTT C++ Client Library* |
| -- | -- |
| Homepage | [https://github.com/eclipse/paho.mqtt.cpp](https://github.com/eclipse/paho.mqtt.cpp) |
| License | EPL-2.0 |
| Versions | v1.2.0, v1.3.2, v1.4.0, v1.4.1, v1.5.0, v1.5.1, v1.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pahomqttcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pahomqttcpp/xmake.lua) |

##### Install command

```console
xrepo install pahomqttcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pahomqttcpp")
```


### pango (linux)


| Description | *Framework for layout and rendering of i18n text* |
| -- | -- |
| Homepage | [https://www.pango.org/](https://www.pango.org/) |
| License | LGPL-2.0 |
| Versions | 1.50.3, 1.51.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pango/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pango/xmake.lua) |

##### Install command

```console
xrepo install pango
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pango")
```


### papi (linux)


| Description | *Performance Application Programming Interface* |
| -- | -- |
| Homepage | [https://icl.utk.edu/papi/index.html](https://icl.utk.edu/papi/index.html) |
| License | BSD-3-Clause |
| Versions | 6.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [papi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/papi/xmake.lua) |

##### Install command

```console
xrepo install papi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("papi")
```


### parallel-hashmap (linux)


| Description | *A family of header-only, very fast and memory-friendly hashmap and btree containers.* |
| -- | -- |
| Homepage | [https://greg7mdp.github.io/parallel-hashmap/](https://greg7mdp.github.io/parallel-hashmap/) |
| License | Apache-2.0 |
| Versions | v1.3.12, 1.33, 1.34, 1.35, 1.37, v2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [parallel-hashmap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/parallel-hashmap/xmake.lua) |

##### Install command

```console
xrepo install parallel-hashmap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("parallel-hashmap")
```


### partio (linux)


| Description | *Partio is an open source C++ library for reading, writing and manipulating a variety of standard particle formats (GEO, BGEO, PTC, PDB, PDA).* |
| -- | -- |
| Homepage | [http://partio.us/](http://partio.us/) |
| License | BSD-3-Clause |
| Versions | v1.14.0, v1.14.6, v1.17.1, v1.17.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [partio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/partio/xmake.lua) |

##### Install command

```console
xrepo install partio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("partio")
```


### patch (linux)


| Description | *GNU patch, which applies diff files to original files.* |
| -- | -- |
| Homepage | [http://www.gnu.org/software/patch/patch.html](http://www.gnu.org/software/patch/patch.html) |
| Versions | 2.7.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [patch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/patch/xmake.lua) |

##### Install command

```console
xrepo install patch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("patch")
```


### patchelf (linux)


| Description | *A small utility to modify the dynamic linker and RPATH of ELF executables* |
| -- | -- |
| Homepage | [https://github.com/NixOS/patchelf](https://github.com/NixOS/patchelf) |
| License | GPL-3.0 |
| Versions | 0.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [patchelf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/patchelf/xmake.lua) |

##### Install command

```console
xrepo install patchelf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("patchelf")
```


### paul_thread_pool (linux)


| Description | *A modern, fast, lightweight thread pool library based on C++20* |
| -- | -- |
| Homepage | [https://github.com/DeveloperPaul123/thread-pool](https://github.com/DeveloperPaul123/thread-pool) |
| License | MIT |
| Versions | 0.6.2, 0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [paul_thread_pool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/paul_thread_pool/xmake.lua) |

##### Install command

```console
xrepo install paul_thread_pool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("paul_thread_pool")
```


### pca9685 (linux)


| Description | *PCA9685 C++ Library. Works with SunFounder* |
| -- | -- |
| Homepage | [https://github.com/chaoticmachinery/pca9685](https://github.com/chaoticmachinery/pca9685) |
| License | LGPL-2.1 |
| Versions | 2017.12.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pca9685/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pca9685/xmake.lua) |

##### Install command

```console
xrepo install pca9685
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pca9685")
```


### pcapplusplus (linux)


| Description | *PcapPlusPlus is a multiplatform C++ library for capturing, parsing and crafting of network packets.* |
| -- | -- |
| Homepage | [https://github.com/seladb/PcapPlusPlus](https://github.com/seladb/PcapPlusPlus) |
| License | Unlicense |
| Versions | v23.09, v24.09, v25.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcapplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcapplusplus/xmake.lua) |

##### Install command

```console
xrepo install pcapplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcapplusplus")
```


### pcg-cpp (linux)


| Description | *PCG — C++ Implementation* |
| -- | -- |
| Homepage | [http://www.pcg-random.org](http://www.pcg-random.org) |
| License | Apache-2.0 |
| Versions | 2022.04.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcg-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcg-cpp/xmake.lua) |

##### Install command

```console
xrepo install pcg-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcg-cpp")
```


### pcg32 (linux)


| Description | *Tiny self-contained C++ version of the PCG32 pseudorandom number generator* |
| -- | -- |
| Homepage | [https://github.com/wjakob/pcg32](https://github.com/wjakob/pcg32) |
| License | Apache-2.0 |
| Versions | 2016.06.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcg32/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcg32/xmake.lua) |

##### Install command

```console
xrepo install pcg32
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcg32")
```


### pciutils (linux)


| Description | *The PCI Utilities* |
| -- | -- |
| Homepage | [https://mj.ucw.cz/sw/pciutils/](https://mj.ucw.cz/sw/pciutils/) |
| License | GPL-2.0 |
| Versions | 3.7.0, 3.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pciutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pciutils/xmake.lua) |

##### Install command

```console
xrepo install pciutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pciutils")
```


### pcl (linux)


| Description | *The Point Cloud Library (PCL) is a standalone, large scale, open project for 2D/3D image and point cloud processing.* |
| -- | -- |
| Homepage | [https://pointclouds.org/](https://pointclouds.org/) |
| License | BSD-3-Clause |
| Versions | 1.12.0, 1.12.1, 1.14.0, 1.14.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcl/xmake.lua) |

##### Install command

```console
xrepo install pcl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcl")
```


### pcre (linux)


| Description | *A Perl Compatible Regular Expressions Library* |
| -- | -- |
| Homepage | [https://www.pcre.org/](https://www.pcre.org/) |
| License | BSD-3-Clause |
| Versions | 8.45 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcre/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcre/xmake.lua) |

##### Install command

```console
xrepo install pcre
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcre")
```


### pcre2 (linux)


| Description | *A Perl Compatible Regular Expressions Library* |
| -- | -- |
| Homepage | [https://www.pcre.org/](https://www.pcre.org/) |
| License | BSD-3-Clause |
| Versions | 10.39, 10.40, 10.42, 10.43, 10.44 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pcre2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcre2/xmake.lua) |

##### Install command

```console
xrepo install pcre2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcre2")
```


### pdcurses (linux)


| Description | *PDCurses - a curses library for environments that don't fit the termcap/terminfo model.* |
| -- | -- |
| Homepage | [https://pdcurses.org/](https://pdcurses.org/) |
| Versions | 3.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pdcurses/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pdcurses/xmake.lua) |

##### Install command

```console
xrepo install pdcurses
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pdcurses")
```


### pdcursesmod (linux)


| Description | *PDCurses Modified - a curses library modified and extended from the 'official' pdcurses* |
| -- | -- |
| Homepage | [https://projectpluto.com/win32a.htm](https://projectpluto.com/win32a.htm) |
| Versions | v4.3.4, v4.4.0, v4.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pdcursesmod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pdcursesmod/xmake.lua) |

##### Install command

```console
xrepo install pdcursesmod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pdcursesmod")
```


### pdfhummus (linux)


| Description | *High performance library for creating, modiyfing and parsing PDF files in C++ * |
| -- | -- |
| Homepage | [https://www.pdfhummus.com/](https://www.pdfhummus.com/) |
| License | Apache-2.0 |
| Versions | 4.1, v4.5.6, v4.5.7, v4.5.8, v4.5.9, v4.5.10, v4.6.1, v4.6.2, v4.6.3, v4.6.4, v4.6.6, v4.6.7, v4.6.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pdfhummus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pdfhummus/xmake.lua) |

##### Install command

```console
xrepo install pdfhummus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pdfhummus")
```


### pdfio (linux)


| Description | *PDFio is a simple C library for reading and writing PDF files.* |
| -- | -- |
| Homepage | [https://www.msweet.org/pdfio](https://www.msweet.org/pdfio) |
| License | Apache-2.0 |
| Versions | v1.3.0, v1.3.1, v1.3.2, v1.4.0, v1.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pdfio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pdfio/xmake.lua) |

##### Install command

```console
xrepo install pdfio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pdfio")
```


### pe-parse (linux)


| Description | *Principled, lightweight C/C++ PE parser* |
| -- | -- |
| Homepage | [https://github.com/trailofbits/pe-parse](https://github.com/trailofbits/pe-parse) |
| License | MIT |
| Versions | 2024.06.04 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pe-parse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pe-parse/xmake.lua) |

##### Install command

```console
xrepo install pe-parse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pe-parse")
```


### pedeps (linux)


| Description | *Cross-platform C library to read data from PE/PE+ files (the format of Windows .exe and .dll files)* |
| -- | -- |
| Homepage | [https://github.com/brechtsanders/pedeps](https://github.com/brechtsanders/pedeps) |
| License | MIT |
| Versions | 0.1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pedeps/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pedeps/xmake.lua) |

##### Install command

```console
xrepo install pedeps
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pedeps")
```


### pegtl (linux)


| Description | *Parsing Expression Grammar Template Library* |
| -- | -- |
| Homepage | [https://github.com/taocpp/PEGTL](https://github.com/taocpp/PEGTL) |
| License | BSL-1.0 |
| Versions | 3.2.2, 3.2.5, 3.2.7, 3.2.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pegtl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pegtl/xmake.lua) |

##### Install command

```console
xrepo install pegtl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pegtl")
```


### perlinnoise (linux)


| Description | *Header-only Perlin noise library for modern C++ (C++17/C++20)* |
| -- | -- |
| Homepage | [https://github.com/Reputeless/PerlinNoise](https://github.com/Reputeless/PerlinNoise) |
| License | MIT |
| Versions | v3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [perlinnoise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/perlinnoise/xmake.lua) |

##### Install command

```console
xrepo install perlinnoise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("perlinnoise")
```


### pffft (linux)


| Description | *PFFFT, a pretty fast Fourier Transform.* |
| -- | -- |
| Homepage | [https://bitbucket.org/jpommier/pffft/](https://bitbucket.org/jpommier/pffft/) |
| License | BSD-like (FFTPACK license) |
| Versions | 2024.11.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pffft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pffft/xmake.lua) |

##### Install command

```console
xrepo install pffft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pffft")
```


### physfs (linux)


| Description | *A portable, flexible file i/o abstraction* |
| -- | -- |
| Homepage | [https://icculus.org/physfs/](https://icculus.org/physfs/) |
| License | zlib |
| Versions | 2024.09.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [physfs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/physfs/xmake.lua) |

##### Install command

```console
xrepo install physfs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("physfs")
```


### picobench (linux)


| Description | *A micro microbenchmarking library for C++11 in a single header file* |
| -- | -- |
| Homepage | [https://github.com/iboB/picobench](https://github.com/iboB/picobench) |
| License | MIT |
| Versions | 2.06, 2.07, 2.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [picobench/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picobench/xmake.lua) |

##### Install command

```console
xrepo install picobench
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picobench")
```


### picojson (linux)


| Description | *A header-file-only, JSON parser serializer in C++* |
| -- | -- |
| Homepage | [https://pocoproject.org/](https://pocoproject.org/) |
| License | BSD-2-Clause |
| Versions | v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [picojson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picojson/xmake.lua) |

##### Install command

```console
xrepo install picojson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picojson")
```


### picosha2 (linux)


| Description | *a header-file-only, SHA256 hash generator in C++* |
| -- | -- |
| Homepage | [https://github.com/okdshin/PicoSHA2](https://github.com/okdshin/PicoSHA2) |
| License | MIT |
| Versions | 2022.08.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [picosha2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picosha2/xmake.lua) |

##### Install command

```console
xrepo install picosha2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picosha2")
```


### piex (linux)


| Description | *Preview Image Extractor (PIEX)* |
| -- | -- |
| Homepage | [https://github.com/google/piex](https://github.com/google/piex) |
| License | Apache-2.0 |
| Versions | 20190530 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [piex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/piex/xmake.lua) |

##### Install command

```console
xrepo install piex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("piex")
```


### pigpio (linux)


| Description | *pigpio is a C library for the Raspberry which allows control of the General Purpose Input Outputs (GPIO).* |
| -- | -- |
| Homepage | [https://github.com/joan2937/pigpio](https://github.com/joan2937/pigpio) |
| Versions | v79 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pigpio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pigpio/xmake.lua) |

##### Install command

```console
xrepo install pigpio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pigpio")
```


### pigz (linux)


| Description | *A parallel implementation of gzip for modern multi-processor, multi-core machines.* |
| -- | -- |
| Homepage | [http://zlib.net/pigz/](http://zlib.net/pigz/) |
| Versions | 2022.01.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pigz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pigz/xmake.lua) |

##### Install command

```console
xrepo install pigz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pigz")
```


### pixman (linux)


| Description | *Low-level library for pixel manipulation.* |
| -- | -- |
| Homepage | [https://cairographics.org/](https://cairographics.org/) |
| License | MIT |
| Versions | 0.42.0, 0.42.2, 0.43.2, 0.43.4, 0.46.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pixman/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pixman/xmake.lua) |

##### Install command

```console
xrepo install pixman
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pixman")
```


### pkg-config (linux)


| Description | *A helper tool used when compiling applications and libraries.* |
| -- | -- |
| Homepage | [https://freedesktop.org/wiki/Software/pkg-config/](https://freedesktop.org/wiki/Software/pkg-config/) |
| Versions | 0.29.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pkg-config/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pkg-config/xmake.lua) |

##### Install command

```console
xrepo install pkg-config
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pkg-config")
```


### pkgconf (linux)


| Description | *A program which helps to configure compiler and linker flags for development frameworks.* |
| -- | -- |
| Homepage | [http://pkgconf.org](http://pkgconf.org) |
| Versions | 1.7.4, 1.8.0, 1.9.3, 1.9.4, 1.9.5, 2.0.3, 2.4.3, 2.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pkgconf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pkgconf/xmake.lua) |

##### Install command

```console
xrepo install pkgconf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pkgconf")
```


### pl_mpeg (linux)


| Description | *Single file C library for decoding MPEG1 Video and MP2 Audio* |
| -- | -- |
| Homepage | [https://github.com/phoboslab/pl_mpeg](https://github.com/phoboslab/pl_mpeg) |
| License | MIT |
| Versions | 2024.04.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pl_mpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pl_mpeg/xmake.lua) |

##### Install command

```console
xrepo install pl_mpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pl_mpeg")
```


### platformfolders (linux)


| Description | *A C++ library to look for special directories like "My Documents" and "%APPDATA%" so that you do not need to write Linux, Windows or Mac OS X specific code* |
| -- | -- |
| Homepage | [https://github.com/sago007/PlatformFolders](https://github.com/sago007/PlatformFolders) |
| License | MIT |
| Versions | 4.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [platformfolders/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/platformfolders/xmake.lua) |

##### Install command

```console
xrepo install platformfolders
```

##### Integration in the project (xmake.lua)

```lua
add_requires("platformfolders")
```


### plf_colony (linux)


| Description | *An unordered C++ data container providing fast iteration/insertion/erasure while maintaining pointer/iterator validity to non-erased elements regardless of insertions/erasures. Provides higher-performance than std:: library containers for high-modification scenarios with unordered data.* |
| -- | -- |
| Homepage | [https://plflib.org/colony.htm](https://plflib.org/colony.htm) |
| License | zlib |
| Versions | v7.41 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_colony/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_colony/xmake.lua) |

##### Install command

```console
xrepo install plf_colony
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_colony")
```


### plf_hive (linux)


| Description | *plf::hive is a fork of plf::colony to match the current C++ standards proposal.* |
| -- | -- |
| Homepage | [https://plflib.org/colony.htm](https://plflib.org/colony.htm) |
| License | zlib |
| Versions | 2024.04.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_hive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_hive/xmake.lua) |

##### Install command

```console
xrepo install plf_hive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_hive")
```


### plf_indiesort (linux)


| Description | *A sort wrapper enabling both use of random-access sorting on non-random access containers, and increased performance for the sorting of large types.* |
| -- | -- |
| Homepage | [https://plflib.org/indiesort.htm](https://plflib.org/indiesort.htm) |
| License | zlib |
| Versions | v1.41 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_indiesort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_indiesort/xmake.lua) |

##### Install command

```console
xrepo install plf_indiesort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_indiesort")
```


### plf_list (linux)


| Description | *A data container replicating std::list functionality but with (on average) 333% faster insertion, 81% faster erasure and 16% faster iteration.* |
| -- | -- |
| Homepage | [https://plflib.org/list.htm](https://plflib.org/list.htm) |
| License | zlib |
| Versions | 2.73 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_list/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_list/xmake.lua) |

##### Install command

```console
xrepo install plf_list
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_list")
```


### plf_nanotimer (linux)


| Description | *A cross-platform lowest-overhead microsecond-precision timer for simple benchmarking on Linux/BSD/Windows/Mac.* |
| -- | -- |
| Homepage | [https://plflib.org/nanotimer.htm](https://plflib.org/nanotimer.htm) |
| License | zlib |
| Versions | v1.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_nanotimer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_nanotimer/xmake.lua) |

##### Install command

```console
xrepo install plf_nanotimer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_nanotimer")
```


### plf_queue (linux)


| Description | *A data container replicating std::queue functionality but with better performance than standard library containers in a queue context.* |
| -- | -- |
| Homepage | [https://plflib.org/queue.htm](https://plflib.org/queue.htm) |
| License | zlib |
| Versions | v2.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_queue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_queue/xmake.lua) |

##### Install command

```console
xrepo install plf_queue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_queue")
```


### plf_rand (linux)


| Description | *A replacement for rand()/srand() that's ~700% faster with (typically) better statistical distribution. An adaptation of PCG with fallback to xorshift for C++98/03.* |
| -- | -- |
| Homepage | [https://plflib.org/rand.htm](https://plflib.org/rand.htm) |
| License | zlib |
| Versions | v1.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_rand/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_rand/xmake.lua) |

##### Install command

```console
xrepo install plf_rand
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_rand")
```


### plf_reorderase (linux)


| Description | *A faster method for singular erasures, ranged erasures, and erase_if-style erasures for vector/deque/static_vector when element order is not important.* |
| -- | -- |
| Homepage | [https://plflib.org/reorderase.htm](https://plflib.org/reorderase.htm) |
| License | zlib |
| Versions | v1.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_reorderase/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_reorderase/xmake.lua) |

##### Install command

```console
xrepo install plf_reorderase
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_reorderase")
```


### plf_stack (linux)


| Description | *A data container replicating std::stack functionality but with better performance than standard library containers in a stack context.* |
| -- | -- |
| Homepage | [https://plflib.org/stack.htm](https://plflib.org/stack.htm) |
| License | zlib |
| Versions | v2.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plf_stack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_stack/xmake.lua) |

##### Install command

```console
xrepo install plf_stack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_stack")
```


### plfit (linux)


| Description | *Fitting power-law distributions to empirical data, according to the method of Clauset, Shalizi and Newman* |
| -- | -- |
| Homepage | [https://github.com/ntamas/plfit](https://github.com/ntamas/plfit) |
| License | GPL-2.0 |
| Versions | 1.0.0, 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plfit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plfit/xmake.lua) |

##### Install command

```console
xrepo install plfit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plfit")
```


### plog (linux)


| Description | *Portable, simple and extensible C++ logging library* |
| -- | -- |
| Homepage | [https://github.com/SergiusTheBest/plog](https://github.com/SergiusTheBest/plog) |
| License | MIT |
| Versions | 1.1.9, 1.1.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plog/xmake.lua) |

##### Install command

```console
xrepo install plog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plog")
```


### plusaes (linux)


| Description | *Header only C++ AES cipher library* |
| -- | -- |
| Homepage | [https://kkayataka.github.io/plusaes/doc/index.html](https://kkayataka.github.io/plusaes/doc/index.html) |
| License | BSL-1.0 |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plusaes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plusaes/xmake.lua) |

##### Install command

```console
xrepo install plusaes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plusaes")
```


### plutosvg (linux)


| Description | *Tiny SVG rendering library in C* |
| -- | -- |
| Homepage | [https://github.com/sammycage/plutosvg](https://github.com/sammycage/plutosvg) |
| License | MIT |
| Versions | v0.0.2, v0.0.3, v0.0.4, v0.0.5, v0.0.6, v0.0.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plutosvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plutosvg/xmake.lua) |

##### Install command

```console
xrepo install plutosvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plutosvg")
```


### plutovg (linux)


| Description | *Tiny 2D vector graphics library in C* |
| -- | -- |
| Homepage | [https://github.com/sammycage/plutovg](https://github.com/sammycage/plutovg) |
| License | MIT |
| Versions | v0.0.1, v0.0.6, v0.0.7, v0.0.8, v0.0.9, v0.0.12, v0.0.13, v1.0.0, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [plutovg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plutovg/xmake.lua) |

##### Install command

```console
xrepo install plutovg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plutovg")
```


### pmp (linux)


| Description | *The Polygon Mesh Processing Library* |
| -- | -- |
| Homepage | [http://www.pmp-library.org/](http://www.pmp-library.org/) |
| License | MIT |
| Versions | 1.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pmp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pmp/xmake.lua) |

##### Install command

```console
xrepo install pmp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pmp")
```


### pocketfft (linux)


| Description | *FFT implementation based on FFTPack, but with several improvements* |
| -- | -- |
| Homepage | [https://github.com/mreineck/pocketfft](https://github.com/mreineck/pocketfft) |
| License | BSD-3-Clause |
| Versions | 2023.02.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pocketfft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pocketfft/xmake.lua) |

##### Install command

```console
xrepo install pocketfft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pocketfft")
```


### pocketpy (linux)


| Description | *C++17 header-only Python interpreter for game engines.* |
| -- | -- |
| Homepage | [https://github.com/blueloveTH/pocketpy](https://github.com/blueloveTH/pocketpy) |
| License | MIT |
| Versions | v0.9.0, v1.4.5, v1.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pocketpy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pocketpy/xmake.lua) |

##### Install command

```console
xrepo install pocketpy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pocketpy")
```


### poco (linux)


| Description | *The POCO C++ Libraries are powerful cross-platform C++ libraries for building network- and internet-based applications that run on desktop, server, mobile, IoT, and embedded systems.* |
| -- | -- |
| Homepage | [https://pocoproject.org/](https://pocoproject.org/) |
| License | BSL-1.0 |
| Versions | 1.11.0, 1.11.1, 1.11.6, 1.11.8, 1.12.1, 1.12.2, 1.12.4, 1.12.5, 1.13.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [poco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poco/xmake.lua) |

##### Install command

```console
xrepo install poco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poco")
```


### poly2tri (linux)


| Description | *2D constrained Delaunay triangulation library* |
| -- | -- |
| Homepage | [https://github.com/jhasse/poly2tri](https://github.com/jhasse/poly2tri) |
| License | BSD-3-Clause |
| Versions | 2024.02.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [poly2tri/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poly2tri/xmake.lua) |

##### Install command

```console
xrepo install poly2tri
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poly2tri")
```


### polyclipping (linux)


| Description | *Polygon and line clipping and offsetting library* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/polyclipping](https://sourceforge.net/projects/polyclipping) |
| License | BSL-1.0 |
| Versions | 6.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [polyclipping/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/polyclipping/xmake.lua) |

##### Install command

```console
xrepo install polyclipping
```

##### Integration in the project (xmake.lua)

```lua
add_requires("polyclipping")
```


### polyhook2 (linux)


| Description | *C++20, x86/x64 Hooking Libary v2.0* |
| -- | -- |
| Homepage | [https://github.com/stevemk14ebr/PolyHook_2_0](https://github.com/stevemk14ebr/PolyHook_2_0) |
| License | MIT |
| Versions | 2023.7.15, 2024.8.1 |
| Architectures | i386, x86_64 |
| Definition | [polyhook2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/polyhook2/xmake.lua) |

##### Install command

```console
xrepo install polyhook2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("polyhook2")
```


### polyscope (linux)


| Description | *A C++ & Python viewer for 3D data like meshes and point clouds* |
| -- | -- |
| Homepage | [https://polyscope.run/](https://polyscope.run/) |
| License | MIT |
| Versions | v1.3.0, v2.1.0, v2.2.1, v2.3, v2.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [polyscope/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/polyscope/xmake.lua) |

##### Install command

```console
xrepo install polyscope
```

##### Integration in the project (xmake.lua)

```lua
add_requires("polyscope")
```


### poppler (linux)


| Description | *Poppler, a PDF rendering library* |
| -- | -- |
| Homepage | [https://poppler.freedesktop.org/](https://poppler.freedesktop.org/) |
| License | GPL-2.0 |
| Versions | 21.03.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [poppler/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poppler/xmake.lua) |

##### Install command

```console
xrepo install poppler
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poppler")
```


### popt (linux)


| Description | *C library for parsing command line parameters* |
| -- | -- |
| Homepage | [http://ftp.rpm.org/popt/](http://ftp.rpm.org/popt/) |
| License | MIT |
| Versions | 1.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [popt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/popt/xmake.lua) |

##### Install command

```console
xrepo install popt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("popt")
```


### portaudio (linux)


| Description | *PortAudio is a cross-platform, open-source C language library for real-time audio input and output.* |
| -- | -- |
| Homepage | [http://www.portaudio.com](http://www.portaudio.com) |
| Versions | 2023.08.05, 2024.08.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [portaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/portaudio/xmake.lua) |

##### Install command

```console
xrepo install portaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("portaudio")
```


### portmidi (linux)


| Description | *portmidi is a cross-platform MIDI input/output library* |
| -- | -- |
| Homepage | [https://github.com/PortMidi/portmidi](https://github.com/PortMidi/portmidi) |
| Versions | v2.0.4, v2.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [portmidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/portmidi/xmake.lua) |

##### Install command

```console
xrepo install portmidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("portmidi")
```


### poselib (linux)


| Description | *Minimal solvers for calibrated camera pose estimation* |
| -- | -- |
| Homepage | [https://github.com/PoseLib/PoseLib](https://github.com/PoseLib/PoseLib) |
| License | BSD-3-Clause |
| Versions | v2.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [poselib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poselib/xmake.lua) |

##### Install command

```console
xrepo install poselib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poselib")
```


### postgresql (linux)


| Description | *PostgreSQL Database Management System* |
| -- | -- |
| Homepage | [https://www.postgresql.org/](https://www.postgresql.org/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [postgresql/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/postgresql/xmake.lua) |

##### Install command

```console
xrepo install postgresql
```

##### Integration in the project (xmake.lua)

```lua
add_requires("postgresql")
```


### ppqsort (linux)


| Description | *Efficient implementation of parallel quicksort algorithm* |
| -- | -- |
| Homepage | [https://github.com/GabTux/PPQSort](https://github.com/GabTux/PPQSort) |
| Versions | v1.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ppqsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/ppqsort/xmake.lua) |

##### Install command

```console
xrepo install ppqsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ppqsort")
```


### pprint (linux)


| Description | *Pretty Printer for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/pprint](https://github.com/p-ranav/pprint) |
| License | MIT |
| Versions | 2020.2.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pprint/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pprint/xmake.lua) |

##### Install command

```console
xrepo install pprint
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pprint")
```


### pqp (linux)


| Description | *A Proximity Query Package* |
| -- | -- |
| Homepage | [http://gamma.cs.unc.edu/SSV/](http://gamma.cs.unc.edu/SSV/) |
| Versions | 1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pqp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pqp/xmake.lua) |

##### Install command

```console
xrepo install pqp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pqp")
```


### premake5 (linux)


| Description | *Premake - Powerfully simple build configuration* |
| -- | -- |
| Homepage | [https://premake.github.io/](https://premake.github.io/) |
| Versions | 2022.11.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [premake5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/premake5/xmake.lua) |

##### Install command

```console
xrepo install premake5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("premake5")
```


### proj (linux)


| Description | *PROJ is a generic coordinate transformation software that transforms geospatial coordinates from one coordinate reference system (CRS) to another.* |
| -- | -- |
| Homepage | [https://proj.org/index.html](https://proj.org/index.html) |
| License | MIT |
| Versions | 6.3.1, 8.2.1, 9.0.1, 9.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [proj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/proj/xmake.lua) |

##### Install command

```console
xrepo install proj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("proj")
```


### prometheus-cpp (linux)


| Description | *Prometheus Client Library for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/jupp0r/prometheus-cpp](https://github.com/jupp0r/prometheus-cpp) |
| License | MIT |
| Versions | v1.0.0, v1.2.1, v1.2.4, v1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [prometheus-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/prometheus-cpp/xmake.lua) |

##### Install command

```console
xrepo install prometheus-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("prometheus-cpp")
```


### promise-cpp (linux)


| Description | *C++ promise/A+ library in Javascript style.* |
| -- | -- |
| Homepage | [https://github.com/xhawk18/promise-cpp](https://github.com/xhawk18/promise-cpp) |
| License | MIT |
| Versions | 2.1.3, 2.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [promise-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/promise-cpp/xmake.lua) |

##### Install command

```console
xrepo install promise-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("promise-cpp")
```


### protobuf-c (linux)


| Description | *Google's data interchange format for c* |
| -- | -- |
| Homepage | [https://github.com/protobuf-c/protobuf-c](https://github.com/protobuf-c/protobuf-c) |
| Versions | 1.3.1, 1.5.0, 1.5.1, 1.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [protobuf-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/protobuf-c/xmake.lua) |

##### Install command

```console
xrepo install protobuf-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("protobuf-c")
```


### protobuf-cpp (linux)


| Description | *Google's data interchange format for cpp* |
| -- | -- |
| Homepage | [https://developers.google.com/protocol-buffers/](https://developers.google.com/protocol-buffers/) |
| License | BSD-3-Clause |
| Versions | 3.8.0, 3.11.2, 3.12.0, 3.12.3, 3.13.0, 3.14.0, 3.15.5, 3.15.8, 3.17.3, 3.19.4, 26.1, 27.0, 27.2, 27.3, 28.0, 28.1, 29.2, 29.3, 30.2, 31.0, 31.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [protobuf-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/protobuf-cpp/xmake.lua) |

##### Install command

```console
xrepo install protobuf-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("protobuf-cpp")
```


### protoc (linux)


| Description | *Google's data interchange format compiler* |
| -- | -- |
| Homepage | [https://developers.google.com/protocol-buffers/](https://developers.google.com/protocol-buffers/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [protoc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/protoc/xmake.lua) |

##### Install command

```console
xrepo install protoc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("protoc")
```


### proxygen (linux)


| Description | *A collection of C++ HTTP libraries including an easy to use HTTP server.* |
| -- | -- |
| Homepage | [https://github.com/facebook/proxygen](https://github.com/facebook/proxygen) |
| License | BSD |
| Versions | 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [proxygen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/proxygen/xmake.lua) |

##### Install command

```console
xrepo install proxygen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("proxygen")
```


### prvhash (linux)


| Description | *PRVHASH - Pseudo-Random-Value Hash* |
| -- | -- |
| Homepage | [https://github.com/avaneev/prvhash](https://github.com/avaneev/prvhash) |
| License | MIT |
| Versions | 4.0, 4.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [prvhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/prvhash/xmake.lua) |

##### Install command

```console
xrepo install prvhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("prvhash")
```


### pseudo-double-c (linux)


| Description | *A relatively fast C and C++ 64 bit floating point library written using only integer operations for cross platform consistency. Tested with gcc/clang/Visual Studio, on x86-64/ARMv8 (64 bit)* |
| -- | -- |
| Homepage | [https://github.com/royward/pseudo-double](https://github.com/royward/pseudo-double) |
| License | BSD-3-Clause |
| Versions | 2024.01.17 |
| Architectures | x86_64 |
| Definition | [pseudo-double-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pseudo-double-c/xmake.lua) |

##### Install command

```console
xrepo install pseudo-double-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pseudo-double-c")
```


### pseudo-double-cpp (linux)


| Description | *A relatively fast C and C++ 64 bit floating point library written using only integer operations for cross platform consistency. Tested with gcc/clang/Visual Studio, on x86-64/ARMv8 (64 bit)* |
| -- | -- |
| Homepage | [https://github.com/royward/pseudo-double](https://github.com/royward/pseudo-double) |
| License | BSD-3-Clause |
| Versions | 2024.01.17 |
| Architectures | x86_64 |
| Definition | [pseudo-double-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pseudo-double-cpp/xmake.lua) |

##### Install command

```console
xrepo install pseudo-double-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pseudo-double-cpp")
```


### psimd (linux)


| Description | *Portable 128-bit SIMD intrinsics* |
| -- | -- |
| Homepage | [https://github.com/Maratyszcza/psimd](https://github.com/Maratyszcza/psimd) |
| License | MIT |
| Versions | 2020.5.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [psimd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/psimd/xmake.lua) |

##### Install command

```console
xrepo install psimd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("psimd")
```


### ptex (linux)


| Description | *Per-Face Texture Mapping for Production Rendering* |
| -- | -- |
| Homepage | [http://ptex.us/](http://ptex.us/) |
| License | BSD-3-Clause |
| Versions | v2.3.2, v2.4.1, v2.4.2, v2.4.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ptex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/ptex/xmake.lua) |

##### Install command

```console
xrepo install ptex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ptex")
```


### pthreadpool (linux)


| Description | *Portable (POSIX/Windows/Emscripten) thread pool for C/C++* |
| -- | -- |
| Homepage | [https://github.com/Maratyszcza/pthreadpool](https://github.com/Maratyszcza/pthreadpool) |
| License | BSD-2-Clause |
| Versions | 2021.05.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pthreadpool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pthreadpool/xmake.lua) |

##### Install command

```console
xrepo install pthreadpool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pthreadpool")
```


### ptl (linux)


| Description | *Lightweight C++11 multithreading tasking system featuring thread-pool, task-groups, and lock-free task queue* |
| -- | -- |
| Homepage | [https://github.com/jrmadsen/PTL](https://github.com/jrmadsen/PTL) |
| License | MIT |
| Versions | v2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ptl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/ptl/xmake.lua) |

##### Install command

```console
xrepo install ptl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ptl")
```


### pugixml (linux)


| Description | *Light-weight, simple and fast XML parser for C++ with XPath support* |
| -- | -- |
| Homepage | [https://pugixml.org/](https://pugixml.org/) |
| License | MIT |
| Versions | v1.11.4, v1.13, v1.14, v1.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pugixml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pugixml/xmake.lua) |

##### Install command

```console
xrepo install pugixml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pugixml")
```


### pulsar (linux)


| Description | *Pulsar C++ client library* |
| -- | -- |
| Homepage | [https://github.com/apache/pulsar-client-cpp](https://github.com/apache/pulsar-client-cpp) |
| License | Apache-2.0 |
| Versions | 3.1.2, 3.5.0, 3.5.1, 3.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pulsar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pulsar/xmake.lua) |

##### Install command

```console
xrepo install pulsar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pulsar")
```


### pupnp (linux)


| Description | *Build UPnP-compliant control points, devices, and bridges on several operating systems.* |
| -- | -- |
| Homepage | [https://pupnp.github.io/pupnp](https://pupnp.github.io/pupnp) |
| Versions | 1.14.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pupnp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pupnp/xmake.lua) |

##### Install command

```console
xrepo install pupnp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pupnp")
```


### pybind11 (linux)


| Description | *Seamless operability between C++11 and Python.* |
| -- | -- |
| Homepage | [https://github.com/pybind/pybind11](https://github.com/pybind/pybind11) |
| License | BSD-3-Clause |
| Versions | v2.5.0, v2.6.2, v2.7.1, v2.8.1, v2.9.1, v2.9.2, v2.10.0, v2.12.0, v2.13.1, v2.13.5, v2.13.6, v3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pybind11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pybind11/xmake.lua) |

##### Install command

```console
xrepo install pybind11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pybind11")
```


### pycdc (linux)


| Description | *C++ python bytecode disassembler and decompiler* |
| -- | -- |
| Homepage | [https://github.com/zrax/pycdc](https://github.com/zrax/pycdc) |
| License | GPL-3.0 |
| Versions | 2024.08.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pycdc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pycdc/xmake.lua) |

##### Install command

```console
xrepo install pycdc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pycdc")
```


### pyincpp (linux)


| Description | *A C++ type library that is as easy to use as Python built-in types.* |
| -- | -- |
| Homepage | [https://github.com/chen-qingyu/pyincpp](https://github.com/chen-qingyu/pyincpp) |
| License | MIT |
| Versions | v1.3.2, v1.3.3, v1.4.1, v1.6.0, v1.6.1, v2.3.0, v2.4.0, v2.4.1, v2.5.1, v2.5.2, v2.6.0, v2.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pyincpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pyincpp/xmake.lua) |

##### Install command

```console
xrepo install pyincpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pyincpp")
```


### pystring (linux)


| Description | *Pystring is a collection of C++ functions which match the interface and behavior of python's string class methods using std::string.* |
| -- | -- |
| Homepage | [https://github.com/imageworks/pystring](https://github.com/imageworks/pystring) |
| License | BSD-3-Clause |
| Versions | 2020.02.04, 2023.07.23, 2025.06.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [pystring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pystring/xmake.lua) |

##### Install command

```console
xrepo install pystring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pystring")
```


### python (linux)


| Description | *The python programming language.* |
| -- | -- |
| Homepage | [https://www.python.org/](https://www.python.org/) |
| License | PSF |
| Versions | 2.7.18, 3.7.9, 3.8.10, 3.9.5, 3.9.6, 3.9.10, 3.9.13, 3.10.6, 3.10.11, 3.11.3, 3.11.8, 3.11.9, 3.12.3, 3.12.8, 3.12.10, 3.13.0, 3.13.1, 3.13.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [python/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/python/xmake.lua) |

##### Install command

```console
xrepo install python
```

##### Integration in the project (xmake.lua)

```lua
add_requires("python")
```


### python2 (linux)


| Description | *The python programming language.* |
| -- | -- |
| Homepage | [https://www.python.org/](https://www.python.org/) |
| Versions | 2.7.15, 2.7.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [python2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/python2/xmake.lua) |

##### Install command

```console
xrepo install python2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("python2")
```



## q
### qcbor (linux)


| Description | *Comprehensive, powerful, commercial-quality CBOR encoder/ decoder that is still suited for small devices.* |
| -- | -- |
| Homepage | [https://github.com/laurencelundblade/QCBOR](https://github.com/laurencelundblade/QCBOR) |
| License | BSD-3-Clause |
| Versions | v1.4.1, v1.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qcbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qcbor/xmake.lua) |

##### Install command

```console
xrepo install qcbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qcbor")
```


### qdcae (linux)


| Description | *qd python (and C++) library for CAE (currently mostly LS-Dyna) * |
| -- | -- |
| Homepage | [https://github.com/qd-cae/qd-cae-python](https://github.com/qd-cae/qd-cae-python) |
| Versions | 0.8.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qdcae/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qdcae/xmake.lua) |

##### Install command

```console
xrepo install qdcae
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qdcae")
```


### qdldl (linux)


| Description | *A free LDL factorisation routine* |
| -- | -- |
| Homepage | [https://github.com/osqp/qdldl](https://github.com/osqp/qdldl) |
| License | Apache-2.0 |
| Versions | v0.1.7, v0.1.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qdldl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qdldl/xmake.lua) |

##### Install command

```console
xrepo install qdldl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qdldl")
```


### qhull (linux)


| Description | *Qhull computes the convex hull, Delaunay triangulation, Voronoi diagram, halfspace intersection about a point, furthest-site Delaunay triangulation, and furthest-site Voronoi diagram.* |
| -- | -- |
| Homepage | [http://www.qhull.org/](http://www.qhull.org/) |
| Versions | 2020.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qhull/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qhull/xmake.lua) |

##### Install command

```console
xrepo install qhull
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qhull")
```


### qmsetup (linux)


| Description | *CMake Modules and Basic Libraries for C/C++ projects.* |
| -- | -- |
| Homepage | [https://github.com/stdware/qmsetup](https://github.com/stdware/qmsetup) |
| License | MIT |
| Versions | 2024.09.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qmsetup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qmsetup/xmake.lua) |

##### Install command

```console
xrepo install qmsetup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qmsetup")
```


### qoa (linux)


| Description | *The “Quite OK Audio Format” for fast, lossy audio compression* |
| -- | -- |
| Homepage | [https://github.com/phoboslab/qoa](https://github.com/phoboslab/qoa) |
| License | MIT |
| Versions | 2024.07.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qoa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qoa/xmake.lua) |

##### Install command

```console
xrepo install qoa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qoa")
```


### qoi (linux)


| Description | *The Quite OK Image Format for fast, lossless image compression* |
| -- | -- |
| Homepage | [https://qoiformat.org/](https://qoiformat.org/) |
| License | MIT |
| Versions | 2021.12.22, 2022.11.17, 2024.03.18, 2025.06.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qoi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qoi/xmake.lua) |

##### Install command

```console
xrepo install qoi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qoi")
```


### qr-code-generator-c (linux)


| Description | *High-quality QR Code generator library in Java, TypeScript/JavaScript, Python, Rust, C++, C.* |
| -- | -- |
| Homepage | [https://www.nayuki.io/page/qr-code-generator-library](https://www.nayuki.io/page/qr-code-generator-library) |
| Versions | v1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qr-code-generator-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qr-code-generator-c/xmake.lua) |

##### Install command

```console
xrepo install qr-code-generator-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qr-code-generator-c")
```


### qr-code-generator-cpp (linux)


| Description | *High-quality QR Code generator library in Java, TypeScript/JavaScript, Python, Rust, C++, C.* |
| -- | -- |
| Homepage | [https://www.nayuki.io/page/qr-code-generator-library](https://www.nayuki.io/page/qr-code-generator-library) |
| Versions | v1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qr-code-generator-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qr-code-generator-cpp/xmake.lua) |

##### Install command

```console
xrepo install qr-code-generator-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qr-code-generator-cpp")
```


### qt-tools (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2, 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt-tools/xmake.lua) |

##### Install command

```console
xrepo install qt-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt-tools")
```


### qt5base (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5base/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5base/xmake.lua) |

##### Install command

```console
xrepo install qt5base
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5base")
```


### qt5core (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5core/xmake.lua) |

##### Install command

```console
xrepo install qt5core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5core")
```


### qt5gui (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5gui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5gui/xmake.lua) |

##### Install command

```console
xrepo install qt5gui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5gui")
```


### qt5network (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5network/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5network/xmake.lua) |

##### Install command

```console
xrepo install qt5network
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5network")
```


### qt5webview (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5webview/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5webview/xmake.lua) |

##### Install command

```console
xrepo install qt5webview
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5webview")
```


### qt5widgets (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 5.12.5, 5.15.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [qt5widgets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt5widgets/xmake.lua) |

##### Install command

```console
xrepo install qt5widgets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt5widgets")
```


### qt6base (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6base/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6base/xmake.lua) |

##### Install command

```console
xrepo install qt6base
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6base")
```


### qt6core (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6core/xmake.lua) |

##### Install command

```console
xrepo install qt6core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6core")
```


### qt6gui (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6gui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6gui/xmake.lua) |

##### Install command

```console
xrepo install qt6gui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6gui")
```


### qt6network (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6network/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6network/xmake.lua) |

##### Install command

```console
xrepo install qt6network
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6network")
```


### qt6qml (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6qml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6qml/xmake.lua) |

##### Install command

```console
xrepo install qt6qml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6qml")
```


### qt6quick (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6quick/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6quick/xmake.lua) |

##### Install command

```console
xrepo install qt6quick
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6quick")
```


### qt6widgets (linux)


| Description | *Qt is the faster, smarter way to create innovative devices, modern UIs & applications for multiple screens. Cross-platform software development at its best.* |
| -- | -- |
| Homepage | [https://www.qt.io](https://www.qt.io) |
| License | LGPL-3 |
| Versions | 6.3.0, 6.3.1, 6.3.2, 6.4.0, 6.4.1, 6.4.2, 6.4.3, 6.5.0, 6.5.1, 6.5.2, 6.5.3, 6.6.0, 6.6.1, 6.6.2, 6.6.3, 6.7.0, 6.7.1, 6.7.2, 6.8.0 |
| Architectures | x86_64 |
| Definition | [qt6widgets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qt6widgets/xmake.lua) |

##### Install command

```console
xrepo install qt6widgets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qt6widgets")
```


### qtawesome (linux)


| Description | *QtAwesome - Font Awesome for Qt Applications* |
| -- | -- |
| Homepage | [https://github.com/gamecreature/QtAwesome](https://github.com/gamecreature/QtAwesome) |
| License | MIT |
| Versions | 6.4.2 |
| Architectures | x86_64 |
| Definition | [qtawesome/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qtawesome/xmake.lua) |

##### Install command

```console
xrepo install qtawesome
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qtawesome")
```


### qtpromise (linux)


| Description | *Promises/A+ implementation for Qt/C++* |
| -- | -- |
| Homepage | [https://qtpromise.netlify.com](https://qtpromise.netlify.com) |
| License | MIT |
| Versions | v0.7.0 |
| Architectures | x86_64 |
| Definition | [qtpromise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qtpromise/xmake.lua) |

##### Install command

```console
xrepo install qtpromise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qtpromise")
```


### quadsort (linux)


| Description | *Quadsort is a branchless stable adaptive mergesort faster than quicksort.* |
| -- | -- |
| Homepage | [https://github.com/scandum/quadsort](https://github.com/scandum/quadsort) |
| License | Unlicense |
| Versions | 1.1.5+4, 1.2.1+3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quadsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quadsort/xmake.lua) |

##### Install command

```console
xrepo install quadsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quadsort")
```


### quake_triangle (linux)


| Description | *A Two-Dimensional Quality Mesh Generator and Delaunay Triangulator.* |
| -- | -- |
| Homepage | [http://www.cs.cmu.edu/~quake/triangle.html](http://www.cs.cmu.edu/~quake/triangle.html) |
| Versions | 1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quake_triangle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quake_triangle/xmake.lua) |

##### Install command

```console
xrepo install quake_triangle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quake_triangle")
```


### quantlib (linux)


| Description | *The QuantLib C++ library* |
| -- | -- |
| Homepage | [http://quantlib.org](http://quantlib.org) |
| Versions | 1.33, 1.34, 1.35 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quantlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quantlib/xmake.lua) |

##### Install command

```console
xrepo install quantlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quantlib")
```


### quickcpplib (linux)


| Description | *Eliminate all the tedious hassle when making state-of-the-art C++ 14 - 23 libraries!* |
| -- | -- |
| Homepage | [https://github.com/ned14/quickcpplib](https://github.com/ned14/quickcpplib) |
| License | Apache-2.0 |
| Versions | 20221116 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quickcpplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickcpplib/xmake.lua) |

##### Install command

```console
xrepo install quickcpplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickcpplib")
```


### quickjs (linux)


| Description | *QuickJS is a small and embeddable Javascript engine* |
| -- | -- |
| Homepage | [https://bellard.org/quickjs/](https://bellard.org/quickjs/) |
| Versions | 2021.03.27, 2023.12.09, 2024.01.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quickjs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickjs/xmake.lua) |

##### Install command

```console
xrepo install quickjs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickjs")
```


### quickjs-ng (linux)


| Description | *QuickJS, the Next Generation: a mighty JavaScript engine* |
| -- | -- |
| Homepage | [https://github.com/quickjs-ng/quickjs](https://github.com/quickjs-ng/quickjs) |
| License | MIT |
| Versions | v0.5.0, v0.6.1, v0.7.0, v0.8.0, v0.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quickjs-ng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickjs-ng/xmake.lua) |

##### Install command

```console
xrepo install quickjs-ng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickjs-ng")
```


### quickjspp (linux)


| Description | *QuickJS C++ wrapper* |
| -- | -- |
| Homepage | [https://github.com/ftk/quickjspp](https://github.com/ftk/quickjspp) |
| Versions | 2022.6.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quickjspp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickjspp/xmake.lua) |

##### Install command

```console
xrepo install quickjspp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickjspp")
```


### quill (linux)


| Description | *Asynchronous Low Latency C++ Logging Library* |
| -- | -- |
| Homepage | [https://github.com/odygrd/quill](https://github.com/odygrd/quill) |
| License | MIT |
| Versions | v2.8.0, v2.9.0, v2.9.1, v3.3.1, v3.6.0, v3.8.0, v4.3.0, v4.5.0, v5.0.0, v5.1.0, v6.1.0, v6.1.2, v7.0.0, v7.1.0, v7.2.2, v7.3.0, v7.4.0, v7.5.0, v8.0.0, v8.1.1, v8.2.0, v9.0.2, v9.0.3, v10.0.0, v10.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quill/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quill/xmake.lua) |

##### Install command

```console
xrepo install quill
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quill")
```


### quirc (linux)


| Description | *QR decoder library* |
| -- | -- |
| Homepage | [https://github.com/dlbeer/quirc](https://github.com/dlbeer/quirc) |
| License | ISC |
| Versions | v1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [quirc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quirc/xmake.lua) |

##### Install command

```console
xrepo install quirc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quirc")
```


### qwindowkit (linux)


| Description | *Cross-platform frameless window framework for Qt. Support Windows, macOS, Linux.* |
| -- | -- |
| Homepage | [https://github.com/stdware/qwindowkit](https://github.com/stdware/qwindowkit) |
| License | Apache-2.0 |
| Versions | 1.1, 1.2 |
| Architectures | x86_64 |
| Definition | [qwindowkit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qwindowkit/xmake.lua) |

##### Install command

```console
xrepo install qwindowkit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qwindowkit")
```



## r
### radeonrays (linux)


| Description | *Radeon Rays is ray intersection acceleration library for hardware and software multiplatforms using CPU and GPU* |
| -- | -- |
| Homepage | [https://github.com/GPUOpen-LibrariesAndSDKs/RadeonRays_SDK](https://github.com/GPUOpen-LibrariesAndSDKs/RadeonRays_SDK) |
| License | MIT |
| Versions | 4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [radeonrays/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/radeonrays/xmake.lua) |

##### Install command

```console
xrepo install radeonrays
```

##### Integration in the project (xmake.lua)

```lua
add_requires("radeonrays")
```


### ragel (linux)


| Description | *Ragel State Machine Compiler* |
| -- | -- |
| Homepage | [https://www.colm.net/open-source/ragel/](https://www.colm.net/open-source/ragel/) |
| License | MIT |
| Versions | 6.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ragel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ragel/xmake.lua) |

##### Install command

```console
xrepo install ragel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ragel")
```


### rang (linux)


| Description | *A Minimal, Header only Modern c++ library for terminal goodies 💄✨* |
| -- | -- |
| Homepage | [https://agauniyal.github.io/rang/](https://agauniyal.github.io/rang/) |
| License | Unlicense |
| Versions | 2022.07.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rang/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rang/xmake.lua) |

##### Install command

```console
xrepo install rang
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rang")
```


### range-v3 (linux)


| Description | *Range library for C++14/17/20, basis for C++20's std::ranges* |
| -- | -- |
| Homepage | [https://github.com/ericniebler/range-v3/](https://github.com/ericniebler/range-v3/) |
| License | BSL-1.0 |
| Versions | 0.11.0, 0.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [range-v3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/range-v3/xmake.lua) |

##### Install command

```console
xrepo install range-v3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("range-v3")
```


### rapidcsv (linux)


| Description | *C++ header-only library for CSV parsing (by d99kris)* |
| -- | -- |
| Homepage | [https://github.com/d99kris/rapidcsv](https://github.com/d99kris/rapidcsv) |
| License | BSD-3-Clause |
| Versions | v8.50, v8.80, v8.82, v8.83, v8.84, v8.85, v8.87 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidcsv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidcsv/xmake.lua) |

##### Install command

```console
xrepo install rapidcsv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidcsv")
```


### rapidfuzz (linux)


| Description | *Rapid fuzzy string matching in C++ using the Levenshtein Distance* |
| -- | -- |
| Homepage | [https://rapidfuzz.github.io/rapidfuzz-cpp](https://rapidfuzz.github.io/rapidfuzz-cpp) |
| License | MIT |
| Versions | v3.0.2, v3.0.4, v3.0.5, v3.1.1, v3.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidfuzz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidfuzz/xmake.lua) |

##### Install command

```console
xrepo install rapidfuzz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidfuzz")
```


### rapidhash (linux)


| Description | *Very fast, high quality, platform independant hashing algorithm.* |
| -- | -- |
| Homepage | [https://github.com/Nicoshev/rapidhash](https://github.com/Nicoshev/rapidhash) |
| License | BSD-2-Clause |
| Versions | v1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidhash/xmake.lua) |

##### Install command

```console
xrepo install rapidhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidhash")
```


### rapidjson (linux)


| Description | *RapidJSON is a JSON parser and generator for C++.* |
| -- | -- |
| Homepage | [https://github.com/Tencent/rapidjson](https://github.com/Tencent/rapidjson) |
| License | MIT |
| Versions | v1.1.0-arrow, v1.1.0, 2022.7.20, 2023.12.6, 2024.08.16, 2025.02.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidjson/xmake.lua) |

##### Install command

```console
xrepo install rapidjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidjson")
```


### rapidobj (linux)


| Description | *A fast, header-only, C++17 library for parsing Wavefront .obj files.* |
| -- | -- |
| Homepage | [https://github.com/guybrush77/rapidobj](https://github.com/guybrush77/rapidobj) |
| License | MIT |
| Versions | v1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidobj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidobj/xmake.lua) |

##### Install command

```console
xrepo install rapidobj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidobj")
```


### rapidxml (linux)


| Description | *An attempt to create the fastest XML parser possible* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/rapidxml](https://sourceforge.net/projects/rapidxml) |
| License | MIT |
| Versions | 1.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rapidxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidxml/xmake.lua) |

##### Install command

```console
xrepo install rapidxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidxml")
```


### raw_pdb (linux)


| Description | *A C++11 library for reading Microsoft Program DataBase PDB files* |
| -- | -- |
| Homepage | [https://github.com/MolecularMatters/raw_pdb](https://github.com/MolecularMatters/raw_pdb) |
| License | BSD-2-Clause |
| Versions | 2022.10.17, 2024.08.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [raw_pdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/raw_pdb/xmake.lua) |

##### Install command

```console
xrepo install raw_pdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("raw_pdb")
```


### raygui (linux)


| Description | *A simple and easy-to-use immediate-mode gui library* |
| -- | -- |
| Homepage | [https://github.com/raysan5/raygui](https://github.com/raysan5/raygui) |
| License | zlib |
| Versions | 3.0, 3.2, 4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [raygui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/raygui/xmake.lua) |

##### Install command

```console
xrepo install raygui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("raygui")
```


### raylib (linux)


| Description | *A simple and easy-to-use library to enjoy videogames programming.* |
| -- | -- |
| Homepage | [http://www.raylib.com](http://www.raylib.com) |
| Versions | 2.5.0, 3.0.0, 3.5.0, 3.7.0, 4.0.0, 4.2.0, 4.5.0, 5.0, 5.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [raylib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/raylib/xmake.lua) |

##### Install command

```console
xrepo install raylib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("raylib")
```


### raylib-cpp (linux)


| Description | *C++ Object Oriented Wrapper for raylib* |
| -- | -- |
| Homepage | [https://github.com/RobLoach/raylib-cpp](https://github.com/RobLoach/raylib-cpp) |
| License | zlib |
| Versions | v5.0.1, v5.0.2, v5.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [raylib-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/raylib-cpp/xmake.lua) |

##### Install command

```console
xrepo install raylib-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("raylib-cpp")
```


### rcmp (linux)


| Description | *C++17, multi-architecture cross-platform hooking library with clean API.* |
| -- | -- |
| Homepage | [https://github.com/Smertig/rcmp](https://github.com/Smertig/rcmp) |
| License | MIT |
| Versions | v0.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rcmp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rcmp/xmake.lua) |

##### Install command

```console
xrepo install rcmp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rcmp")
```


### re-flex (linux)


| Description | *A high-performance C++ regex library and lexical analyzer generator with Unicode support.* |
| -- | -- |
| Homepage | [https://www.genivia.com/doc/reflex/html](https://www.genivia.com/doc/reflex/html) |
| License | BSD-3-Clause |
| Versions | v4.3.0, v4.4.0, v4.5.0, v5.0.1, v5.2.2, v5.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [re-flex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re-flex/xmake.lua) |

##### Install command

```console
xrepo install re-flex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re-flex")
```


### re-spirv (linux)


| Description | *Lightweight and fast SPIR-V re-optimizer designed around spec constant usage.* |
| -- | -- |
| Homepage | [https://github.com/rt64/re-spirv](https://github.com/rt64/re-spirv) |
| License | MIT |
| Versions | 2024.08.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [re-spirv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re-spirv/xmake.lua) |

##### Install command

```console
xrepo install re-spirv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re-spirv")
```


### re2 (linux)


| Description | *RE2 is a fast, safe, thread-friendly alternative to backtracking regular expression engines like those used in PCRE, Perl, and Python. It is a C++ library.* |
| -- | -- |
| Homepage | [https://github.com/google/re2](https://github.com/google/re2) |
| License | BSD-3-Clause |
| Versions | 2020.11.01, 2021.06.01, 2021.08.01, 2021.11.01, 2022.02.01, 2023.11.01, 2024.03.01, 2024.04.01, 2024.06.01, 2024.07.02, 2025.07.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [re2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re2/xmake.lua) |

##### Install command

```console
xrepo install re2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re2")
```


### re2c (linux)


| Description | *Lexer generator for C, C++, D, Go, Haskell, Java, JS, OCaml, Python, Rust, Swift, V and Zig.* |
| -- | -- |
| Homepage | [https://re2c.org](https://re2c.org) |
| License | Public Domain |
| Versions | 4.2, 4.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [re2c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re2c/xmake.lua) |

##### Install command

```console
xrepo install re2c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re2c")
```


### reaction (linux)


| Description | *A lightweight, header-only reactive programming framework leveraging modern C++20 features for building efficient dataflow applications.* |
| -- | -- |
| Homepage | [https://github.com/lumia431/reaction](https://github.com/lumia431/reaction) |
| License | MIT |
| Versions | 2025.04.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [reaction/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reaction/xmake.lua) |

##### Install command

```console
xrepo install reaction
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reaction")
```


### reactiveplusplus (linux)


| Description | *Implementation of async observable/observer (Reactive Programming) in C++ with care about performance and templates in mind in ReactiveX approach* |
| -- | -- |
| Homepage | [https://victimsnino.github.io/ReactivePlusPlus/v2/docs/html/md_docs_2readme.html](https://victimsnino.github.io/ReactivePlusPlus/v2/docs/html/md_docs_2readme.html) |
| License | BSL-1.0 |
| Versions | v0.2.3, v2.1.0, v2.1.1, v2.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [reactiveplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reactiveplusplus/xmake.lua) |

##### Install command

```console
xrepo install reactiveplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reactiveplusplus")
```


### readerwriterqueue (linux)


| Description | *A fast single-producer, single-consumer lock-free queue for C++* |
| -- | -- |
| Homepage | [https://github.com/cameron314/readerwriterqueue](https://github.com/cameron314/readerwriterqueue) |
| License | BSD-3-Clause |
| Versions | v1.0.6, v1.0.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [readerwriterqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/readerwriterqueue/xmake.lua) |

##### Install command

```console
xrepo install readerwriterqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("readerwriterqueue")
```


### readline (linux)


| Description | *Library for command-line editing* |
| -- | -- |
| Homepage | [https://tiswww.case.edu/php/chet/readline/rltop.html](https://tiswww.case.edu/php/chet/readline/rltop.html) |
| License | GPL-3.0-or-later |
| Versions | 8.1, 8.2, 8.2.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [readline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/readline/xmake.lua) |

##### Install command

```console
xrepo install readline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("readline")
```


### recastnavigation (linux)


| Description | *Navigation-mesh Toolset for Games* |
| -- | -- |
| Homepage | [https://github.com/recastnavigation/recastnavigation](https://github.com/recastnavigation/recastnavigation) |
| License | zlib |
| Versions | 1.5.1, v1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [recastnavigation/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/recastnavigation/xmake.lua) |

##### Install command

```console
xrepo install recastnavigation
```

##### Integration in the project (xmake.lua)

```lua
add_requires("recastnavigation")
```


### reckless (linux)


| Description | *Reckless logging. Low-latency, high-throughput, asynchronous logging library for C++.* |
| -- | -- |
| Homepage | [https://github.com/mattiasflodin/reckless](https://github.com/mattiasflodin/reckless) |
| Versions | v3.0.3 |
| Architectures | i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [reckless/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reckless/xmake.lua) |

##### Install command

```console
xrepo install reckless
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reckless")
```


### redex (linux)


| Description | *A bytecode optimizer for Android apps* |
| -- | -- |
| Homepage | [https://fbredex.com/](https://fbredex.com/) |
| License | MIT |
| Versions | 2022.6.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [redex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/redex/xmake.lua) |

##### Install command

```console
xrepo install redex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("redex")
```


### redis-plus-plus (linux)


| Description | *Redis client written in C++* |
| -- | -- |
| Homepage | [https://github.com/sewenew/redis-plus-plus](https://github.com/sewenew/redis-plus-plus) |
| Versions | 1.3.5, 1.3.6, 1.3.7, 1.3.8, 1.3.9, 1.3.11, 1.3.12, 1.3.13, 1.3.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [redis-plus-plus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/redis-plus-plus/xmake.lua) |

##### Install command

```console
xrepo install redis-plus-plus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("redis-plus-plus")
```


### reflect-cpp (linux)


| Description | *A C++20 library for fast serialization, deserialization and validation using reflection. Supports JSON, BSON, CBOR, flexbuffers, msgpack, TOML, XML, YAML / msgpack.org[C++20]* |
| -- | -- |
| Homepage | [https://github.com/getml/reflect-cpp](https://github.com/getml/reflect-cpp) |
| License | MIT |
| Versions | v0.10.0, v0.11.1, v0.12.0, v0.13.0, v0.14.0, v0.14.1, v0.16.0, v0.17.0, v0.18.0, v0.19.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [reflect-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reflect-cpp/xmake.lua) |

##### Install command

```console
xrepo install reflect-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reflect-cpp")
```


### remotery (linux)


| Description | *Single C file, Realtime CPU/GPU Profiler with Remote Web Viewer* |
| -- | -- |
| Homepage | [https://github.com/Celtoys/Remotery](https://github.com/Celtoys/Remotery) |
| License | Apache-2.0 |
| Versions | 2023.08.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [remotery/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/remotery/xmake.lua) |

##### Install command

```console
xrepo install remotery
```

##### Integration in the project (xmake.lua)

```lua
add_requires("remotery")
```


### rendergraph (linux)


| Description | *Vulkan render graph management library.* |
| -- | -- |
| Homepage | [https://github.com/DragonJoker/RenderGraph/](https://github.com/DragonJoker/RenderGraph/) |
| License | MIT |
| Versions | v1.0.0, v1.1.0, v1.2.0, v1.3.0, v1.4.0, v1.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rendergraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rendergraph/xmake.lua) |

##### Install command

```console
xrepo install rendergraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rendergraph")
```


### replxx (linux)


| Description | *A readline and libedit replacement that supports UTF-8, syntax highlighting, hints and Windows and is BSD licensed.* |
| -- | -- |
| Homepage | [https://github.com/AmokHuginnsson/replxx](https://github.com/AmokHuginnsson/replxx) |
| License | BSD-3-Clause |
| Versions | 2021.11.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [replxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/replxx/xmake.lua) |

##### Install command

```console
xrepo install replxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("replxx")
```


### reproc (linux)


| Description | *a cross-platform C/C++ library that simplifies starting, stopping and communicating with external programs.* |
| -- | -- |
| Homepage | [https://github.com/DaanDeMeyer/reproc](https://github.com/DaanDeMeyer/reproc) |
| License | MIT |
| Versions | v14.2.4, v14.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [reproc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reproc/xmake.lua) |

##### Install command

```console
xrepo install reproc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reproc")
```


### resiprocate (linux)


| Description | *C++ implementation of SIP, ICE, TURN and related protocols.* |
| -- | -- |
| Homepage | [https://resiprocate.org/Main_Page](https://resiprocate.org/Main_Page) |
| License | VSL-1.0 |
| Versions | 1.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [resiprocate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/resiprocate/xmake.lua) |

##### Install command

```console
xrepo install resiprocate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("resiprocate")
```


### rest_rpc (linux)


| Description | *c++11, high performance, cross platform, easy to use rpc framework.* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/rest_rpc](https://github.com/qicosmos/rest_rpc) |
| License | MIT |
| Versions | 2023.6.14, 2024.7.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rest_rpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rest_rpc/xmake.lua) |

##### Install command

```console
xrepo install rest_rpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rest_rpc")
```


### restinio (linux)


| Description | *Cross-platform, efficient, customizable, and robust asynchronous HTTP/WebSocket server C++14 library with the right balance between performance and ease of use* |
| -- | -- |
| Homepage | [https://github.com/Stiffstream/restinio](https://github.com/Stiffstream/restinio) |
| License | BSD-3-Clause |
| Versions | 0.6.17, 0.6.18, 0.6.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [restinio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/restinio/xmake.lua) |

##### Install command

```console
xrepo install restinio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("restinio")
```


### rhash (linux)


| Description | *RHash (Recursive Hasher) is a console utility for computing and verifying hash sums of files.* |
| -- | -- |
| Homepage | [http://rhash.sourceforge.net/](http://rhash.sourceforge.net/) |
| Versions | 1.4.2, 1.4.4, 1.4.5, 1.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rhash/xmake.lua) |

##### Install command

```console
xrepo install rhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rhash")
```


### ricab-scope_guard (linux)


| Description | *A modern C++ scope guard that is easy to use but hard to misuse.* |
| -- | -- |
| Homepage | [https://ricab.github.io/scope_guard/](https://ricab.github.io/scope_guard/) |
| License | Unlicense |
| Versions | v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ricab-scope_guard/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ricab-scope_guard/xmake.lua) |

##### Install command

```console
xrepo install ricab-scope_guard
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ricab-scope_guard")
```


### ring-span-lite (linux)


| Description | *ring-span lite - A C++yy-like ring_span type for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/ring-span-lite](https://github.com/martinmoene/ring-span-lite) |
| License | BSL-1.0 |
| Versions | v0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ring-span-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ring-span-lite/xmake.lua) |

##### Install command

```console
xrepo install ring-span-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ring-span-lite")
```


### rlottie (linux)


| Description | *A platform independent standalone library that plays Lottie Animation. * |
| -- | -- |
| Homepage | [https://github.com/Samsung/rlottie](https://github.com/Samsung/rlottie) |
| Versions | 0.1, 0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rlottie/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rlottie/xmake.lua) |

##### Install command

```console
xrepo install rlottie
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rlottie")
```


### rmlui (linux)


| Description | *RmlUi is the C++ user interface library based on the HTML and CSS standards.* |
| -- | -- |
| Homepage | [https://mikke89.github.io/RmlUiDoc/](https://mikke89.github.io/RmlUiDoc/) |
| License | MIT |
| Versions | 5.0, 5.1, 6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rmlui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rmlui/xmake.lua) |

##### Install command

```console
xrepo install rmlui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rmlui")
```


### robin-hood-hashing (linux)


| Description | *Fast & memory efficient hashtable based on robin hood hashing for C++11/14/17/20* |
| -- | -- |
| Homepage | [https://github.com/martinus/robin-hood-hashing](https://github.com/martinus/robin-hood-hashing) |
| License | MIT |
| Versions | 3.11.3, 3.11.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [robin-hood-hashing/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robin-hood-hashing/xmake.lua) |

##### Install command

```console
xrepo install robin-hood-hashing
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robin-hood-hashing")
```


### robin-map (linux)


| Description | *A C++ implementation of a fast hash map and hash set using robin hood hashing* |
| -- | -- |
| Homepage | [https://github.com/Tessil/robin-map](https://github.com/Tessil/robin-map) |
| License | MIT |
| Versions | v0.6.3, v1.2.1, v1.2.2, v1.3.0, v1.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [robin-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robin-map/xmake.lua) |

##### Install command

```console
xrepo install robin-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robin-map")
```


### robotstxt (linux)


| Description | *The repository contains Google's robots.txt parser and matcher as a C++ librar.* |
| -- | -- |
| Homepage | [https://github.com/google/robotstxt](https://github.com/google/robotstxt) |
| License | Apache-2.0 |
| Versions | 2021.11.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [robotstxt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robotstxt/xmake.lua) |

##### Install command

```console
xrepo install robotstxt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robotstxt")
```


### rocket (linux)


| Description | *Fast single header signal/slots library for C++* |
| -- | -- |
| Homepage | [https://github.com/tripleslash/rocket](https://github.com/tripleslash/rocket) |
| Versions | 2020.06.03, 2024.08.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rocket/xmake.lua) |

##### Install command

```console
xrepo install rocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rocket")
```


### rocksdb (linux)


| Description | *A library that provides an embeddable, persistent key-value store for fast storage.* |
| -- | -- |
| Homepage | [http://rocksdb.org](http://rocksdb.org) |
| License | Apache-2.0 |
| Versions | v7.10.2, v9.0.0, v9.1.1, v9.2.1, v9.3.1, v9.4.0, v9.5.2, v9.6.1, v9.7.2, v9.7.3, v9.7.4, v9.9.3, v9.10.0, v9.11.2, v10.0.1, v10.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rocksdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rocksdb/xmake.lua) |

##### Install command

```console
xrepo install rocksdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rocksdb")
```


### rpclib (linux)


| Description | *rpclib is a modern C++ msgpack-RPC server and client library* |
| -- | -- |
| Homepage | [http://rpclib.net](http://rpclib.net) |
| License | MIT |
| Versions | v2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rpclib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rpclib/xmake.lua) |

##### Install command

```console
xrepo install rpclib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rpclib")
```


### rply (linux)


| Description | *RPly is a library that lets applications read and write PLY files.* |
| -- | -- |
| Homepage | [http://w3.impa.br/~diego/software/rply/](http://w3.impa.br/~diego/software/rply/) |
| License | MIT |
| Versions | 1.1.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rply/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rply/xmake.lua) |

##### Install command

```console
xrepo install rply
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rply")
```


### rpm (linux)


| Description | *Standard unix software packaging tool* |
| -- | -- |
| Homepage | [https://rpm.org](https://rpm.org) |
| Versions | 4.19.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rpm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rpm/xmake.lua) |

##### Install command

```console
xrepo install rpm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rpm")
```


### rpmalloc (linux)


| Description | *Public domain cross platform lock free thread caching 16-byte aligned memory allocator implemented in C* |
| -- | -- |
| Homepage | [https://github.com/mjansson/rpmalloc](https://github.com/mjansson/rpmalloc) |
| License | MIT |
| Versions | 1.4.4, 1.4.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rpmalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rpmalloc/xmake.lua) |

##### Install command

```console
xrepo install rpmalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rpmalloc")
```


### rsm-autotoml (linux)


| Description | *toml++ wrapper for basic node types* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/AutoTOML](https://github.com/Ryan-rsm-McKenzie/AutoTOML) |
| License | MIT |
| Versions | 2020.12.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rsm-autotoml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-autotoml/xmake.lua) |

##### Install command

```console
xrepo install rsm-autotoml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-autotoml")
```


### rsm-binary-io (linux)


| Description | *A binary i/o library for C++, without the agonizing pain* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/binary_io](https://github.com/Ryan-rsm-McKenzie/binary_io) |
| License | MIT |
| Versions | 2.0.5, 2.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rsm-binary-io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-binary-io/xmake.lua) |

##### Install command

```console
xrepo install rsm-binary-io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-binary-io")
```


### rsm-bsa (linux)


| Description | *C++ library for working with the Bethesda archive file format* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/bsa](https://github.com/Ryan-rsm-McKenzie/bsa) |
| License | MIT |
| Versions | 4.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rsm-bsa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-bsa/xmake.lua) |

##### Install command

```console
xrepo install rsm-bsa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-bsa")
```


### rsm-mmio (linux)


| Description | *A cross-platform memory-mapped io library for C++* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/mmio](https://github.com/Ryan-rsm-McKenzie/mmio) |
| License | MIT |
| Versions | 2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rsm-mmio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-mmio/xmake.lua) |

##### Install command

```console
xrepo install rsm-mmio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-mmio")
```


### rsync (linux)


| Description | *rsync is an open source utility that provides fast incremental file transfer.* |
| -- | -- |
| Homepage | [https://rsync.samba.org/](https://rsync.samba.org/) |
| License | GPL-3.0 |
| Versions | 3.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rsync/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsync/xmake.lua) |

##### Install command

```console
xrepo install rsync
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsync")
```


### rtaudio (linux)


| Description | *A set of C++ classes that provide a common API for realtime audio input/output across Linux (native ALSA, JACK, PulseAudio and OSS), Macintosh OS X (CoreAudio and JACK), and Windows (DirectSound, ASIO, and WASAPI) operating systems.* |
| -- | -- |
| Homepage | [https://github.com/thestk/rtaudio](https://github.com/thestk/rtaudio) |
| Versions | 6.0.0, 6.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rtaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rtaudio/xmake.lua) |

##### Install command

```console
xrepo install rtaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rtaudio")
```


### rtm (linux)


| Description | *Realtime Math* |
| -- | -- |
| Homepage | [https://github.com/nfrechette/rtm](https://github.com/nfrechette/rtm) |
| License | MIT |
| Versions | v2.1.5, v2.3.0, v2.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rtm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rtm/xmake.lua) |

##### Install command

```console
xrepo install rtm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rtm")
```


### rtmidi (linux)


| Description | *A set of C++ classes that provide a common API for realtime MIDI input/output across Linux (ALSA & JACK), Macintosh OS X (CoreMIDI) and Windows (Multimedia)* |
| -- | -- |
| Homepage | [https://github.com/thestk/rtmidi](https://github.com/thestk/rtmidi) |
| Versions | 6.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rtmidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rtmidi/xmake.lua) |

##### Install command

```console
xrepo install rtmidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rtmidi")
```


### rttr (linux)


| Description | *rttr: An open source library, which adds reflection to C++.* |
| -- | -- |
| Homepage | [https://www.rttr.org](https://www.rttr.org) |
| License | MIT |
| Versions | 0.9.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rttr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rttr/xmake.lua) |

##### Install command

```console
xrepo install rttr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rttr")
```


### ruapu (linux)


| Description | *Detect CPU features with single-file* |
| -- | -- |
| Homepage | [https://github.com/nihui/ruapu](https://github.com/nihui/ruapu) |
| License | MIT |
| Versions | 0.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ruapu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ruapu/xmake.lua) |

##### Install command

```console
xrepo install ruapu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ruapu")
```


### rust (linux)


| Description | *Rust is a general-purpose programming language emphasizing performance, type safety, and concurrency.* |
| -- | -- |
| Homepage | [https://rust-lang.org](https://rust-lang.org) |
| Versions | 1.86.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rust/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rust/xmake.lua) |

##### Install command

```console
xrepo install rust
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rust")
```


### rustup (linux)


| Description | *An installer for the systems programming language Rust* |
| -- | -- |
| Homepage | [https://rustup.rs](https://rustup.rs) |
| Versions | 1.28.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rustup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rustup/xmake.lua) |

##### Install command

```console
xrepo install rustup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rustup")
```


### ruy (linux)


| Description | *Matrix multiplication library* |
| -- | -- |
| Homepage | [https://github.com/google/ruy](https://github.com/google/ruy) |
| License | Apache-2.0 |
| Versions | 2022.09.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ruy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ruy/xmake.lua) |

##### Install command

```console
xrepo install ruy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ruy")
```


### rxcpp (linux)


| Description | *Compose async and event-based programs using observable sequences and LINQ-style query operators.* |
| -- | -- |
| Homepage | [http://reactivex.io/RxCpp/](http://reactivex.io/RxCpp/) |
| License | Apache-2.0 |
| Versions | v3.0.0, v4.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [rxcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rxcpp/xmake.lua) |

##### Install command

```console
xrepo install rxcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rxcpp")
```



## s
### s2n-tls (linux)


| Description | *An implementation of the TLS/SSL protocols* |
| -- | -- |
| Homepage | [https://aws.github.io/s2n-tls/doxygen/s2n_8h.html](https://aws.github.io/s2n-tls/doxygen/s2n_8h.html) |
| License | Apache-2.0 |
| Versions | v1.3.51, v1.4.3, v1.4.12, v1.4.14, v1.4.16, v1.4.17, v1.4.18, v1.5.0, v1.5.1, v1.5.5, v1.5.6, v1.5.7, v1.5.9, v1.5.10, v1.5.12, v1.5.14, v1.5.15, v1.5.17, v1.5.21, v1.5.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [s2n-tls/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/s2n-tls/xmake.lua) |

##### Install command

```console
xrepo install s2n-tls
```

##### Integration in the project (xmake.lua)

```lua
add_requires("s2n-tls")
```


### s7 (linux)


| Description | *s7 is a Scheme interpreter intended as an extension language for other applications.* |
| -- | -- |
| Homepage | [https://ccrma.stanford.edu/software/snd/snd/s7.html](https://ccrma.stanford.edu/software/snd/snd/s7.html) |
| Versions | 2023.04.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [s7/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/s7/xmake.lua) |

##### Install command

```console
xrepo install s7
```

##### Integration in the project (xmake.lua)

```lua
add_requires("s7")
```


### safetyhook (linux)


| Description | *C++23 procedure hooking library.* |
| -- | -- |
| Homepage | [https://cursey.dev/safetyhook](https://cursey.dev/safetyhook) |
| License | BSL-1.0 |
| Versions | v0.6.4, v0.6.5, v0.6.6, v0.6.7, v0.6.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [safetyhook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/safetyhook/xmake.lua) |

##### Install command

```console
xrepo install safetyhook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("safetyhook")
```


### sailormoon_flags (linux)


| Description | *Simple, extensible, header-only C++17 argument parser released into the public domain.* |
| -- | -- |
| Homepage | [https://github.com/sailormoon/flags](https://github.com/sailormoon/flags) |
| License | MIT |
| Versions | 1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sailormoon_flags/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sailormoon_flags/xmake.lua) |

##### Install command

```console
xrepo install sailormoon_flags
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sailormoon_flags")
```


### samurai (linux)


| Description | *Intervals coupled with algebra of set to handle adaptive mesh refinement and operators on it.* |
| -- | -- |
| Homepage | [https://hpc-math-samurai.readthedocs.io](https://hpc-math-samurai.readthedocs.io) |
| License | BSD-3-Clause |
| Versions | v0.6.0, v0.10.0, v0.12.0, v0.14.0, v0.16.0, v0.18.0, v0.19.0, v0.21.1, v0.22.0, v0.23.0, v0.25.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [samurai/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/samurai/xmake.lua) |

##### Install command

```console
xrepo install samurai
```

##### Integration in the project (xmake.lua)

```lua
add_requires("samurai")
```


### scnlib (linux)


| Description | *scnlib is a modern C++ library for replacing scanf and std::istream* |
| -- | -- |
| Homepage | [https://scnlib.readthedocs.io/](https://scnlib.readthedocs.io/) |
| License | Apache-2.0 |
| Versions | v0.4, v1.1.2, v2.0.2, v2.0.3, v3.0.1, v4.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [scnlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/scnlib/xmake.lua) |

##### Install command

```console
xrepo install scnlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("scnlib")
```


### scons (linux)


| Description | *A software construction tool* |
| -- | -- |
| Homepage | [https://scons.org](https://scons.org) |
| Versions | 4.1.0, 4.3.0, 4.6.0, 4.7.0, 4.8.0, 4.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [scons/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/scons/xmake.lua) |

##### Install command

```console
xrepo install scons
```

##### Integration in the project (xmake.lua)

```lua
add_requires("scons")
```


### scotch (linux)


| Description | *Scotch: a software package for graph and mesh/hypergraph partitioning, graph clustering, and sparse matrix ordering* |
| -- | -- |
| Homepage | [https://www.labri.fr/perso/pelegrin/scotch/](https://www.labri.fr/perso/pelegrin/scotch/) |
| Versions | v6.1.1, v7.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [scotch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/scotch/xmake.lua) |

##### Install command

```console
xrepo install scotch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("scotch")
```


### screen_capture_lite (linux)


| Description | *cross platform screen/window capturing library* |
| -- | -- |
| Homepage | [https://github.com/smasherprog/screen_capture_lite](https://github.com/smasherprog/screen_capture_lite) |
| License | MIT |
| Versions | 17.1.1368, 17.1.1369, 17.1.2539 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [screen_capture_lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/screen_capture_lite/xmake.lua) |

##### Install command

```console
xrepo install screen_capture_lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("screen_capture_lite")
```


### sdsl-lite (linux)


| Description | *Succinct Data Structure Library 3.0* |
| -- | -- |
| Homepage | [https://github.com/xxsds/sdsl-lite](https://github.com/xxsds/sdsl-lite) |
| Versions | v3.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sdsl-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sdsl-lite/xmake.lua) |

##### Install command

```console
xrepo install sdsl-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sdsl-lite")
```


### seasocks (linux)


| Description | *Simple, small, C++ embeddable webserver with WebSockets support* |
| -- | -- |
| Homepage | [https://github.com/mattgodbolt/seasocks](https://github.com/mattgodbolt/seasocks) |
| License | BSD-2-Clause |
| Versions | v1.4.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [seasocks/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/seasocks/xmake.lua) |

##### Install command

```console
xrepo install seasocks
```

##### Integration in the project (xmake.lua)

```lua
add_requires("seasocks")
```


### semi-static-conditions (linux)


| Description | *Branch Optimisation for High-frequency Trading* |
| -- | -- |
| Homepage | [https://github.com/maxlucuta/semi-static-conditions](https://github.com/maxlucuta/semi-static-conditions) |
| License | MIT |
| Versions | 2023.09.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [semi-static-conditions/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/semi-static-conditions/xmake.lua) |

##### Install command

```console
xrepo install semi-static-conditions
```

##### Integration in the project (xmake.lua)

```lua
add_requires("semi-static-conditions")
```


### semver (linux)


| Description | *Semantic Versioning for modern C++* |
| -- | -- |
| Homepage | [https://github.com/Neargye/semver](https://github.com/Neargye/semver) |
| License | MIT |
| Versions | v1.0.0-rc |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [semver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/semver/xmake.lua) |

##### Install command

```console
xrepo install semver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("semver")
```


### sentencepiece (linux)


| Description | *Unsupervised text tokenizer for Neural Network-based text generation. .* |
| -- | -- |
| Homepage | [https://github.com/google/sentencepiece](https://github.com/google/sentencepiece) |
| License | Apache-2.0 |
| Versions | v0.1.97 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sentencepiece/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sentencepiece/xmake.lua) |

##### Install command

```console
xrepo install sentencepiece
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sentencepiece")
```


### sentry-native (linux)


| Description | *Sentry SDK for C, C++ and native applications.* |
| -- | -- |
| Homepage | [https://sentry.io](https://sentry.io) |
| Versions | 0.4.4, 0.4.15, 0.5.0, 0.6.3, 0.6.4, 0.6.5, 0.6.6, 0.6.7, 0.7.0, 0.7.1, 0.7.2, 0.7.5, 0.7.6, 0.7.9, 0.7.10, 0.7.11, 0.7.12, 0.7.15, 0.7.16, 0.7.17, 0.7.20, 0.8.1, 0.8.3, 0.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sentry-native/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sentry-native/xmake.lua) |

##### Install command

```console
xrepo install sentry-native
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sentry-native")
```


### seqan3 (linux)


| Description | *The modern C++ library for sequence analysis. Contains version 3 of the library and API docs.* |
| -- | -- |
| Homepage | [https://www.seqan.de](https://www.seqan.de) |
| License | BSD-3-Clause |
| Versions | 3.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [seqan3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/seqan3/xmake.lua) |

##### Install command

```console
xrepo install seqan3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("seqan3")
```


### serial (linux)


| Description | *Cross-platform, Serial Port library written in C++* |
| -- | -- |
| Homepage | [http://wjwwood.github.io/serial](http://wjwwood.github.io/serial) |
| License | MIT |
| Versions | 2022.3.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [serial/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/serial/xmake.lua) |

##### Install command

```console
xrepo install serial
```

##### Integration in the project (xmake.lua)

```lua
add_requires("serial")
```


### sfgui (linux)


| Description | *Simple and Fast Graphical User Interface* |
| -- | -- |
| Homepage | [https://github.com/TankOs/SFGUI](https://github.com/TankOs/SFGUI) |
| License | zlib |
| Versions | 1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sfgui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfgui/xmake.lua) |

##### Install command

```console
xrepo install sfgui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfgui")
```


### sfl-library (linux)


| Description | *C++11 header-only library. Small and static vector. Small and static flat map/set. Compact vector. Segmented vector.* |
| -- | -- |
| Homepage | [https://github.com/slavenf/sfl-library](https://github.com/slavenf/sfl-library) |
| License | zlib |
| Versions | 1.5.0, 1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sfl-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfl-library/xmake.lua) |

##### Install command

```console
xrepo install sfl-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfl-library")
```


### sfml (linux)


| Description | *Simple and Fast Multimedia Library* |
| -- | -- |
| Homepage | [https://www.sfml-dev.org](https://www.sfml-dev.org) |
| License | zlib |
| Versions | 2.5.1, 2.6.0, 2.6.1, 3.0.0, 3.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sfml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfml/xmake.lua) |

##### Install command

```console
xrepo install sfml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfml")
```


### sfntly (linux)


| Description | *The sfntly project contains Java and C++ libraries for reading, editing, and writing sfnt container fonts (OpenType, TrueType, AAT/GX, and Graphite.)* |
| -- | -- |
| Homepage | [https://github.com/googlefonts/sfntly](https://github.com/googlefonts/sfntly) |
| Versions | 20190917 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sfntly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfntly/xmake.lua) |

##### Install command

```console
xrepo install sfntly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfntly")
```


### sfparse (linux)


| Description | *Structured Field Values parser* |
| -- | -- |
| Homepage | [https://github.com/ngtcp2/sfparse](https://github.com/ngtcp2/sfparse) |
| License | MIT |
| Versions | 2024.05.12, 2024.12.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sfparse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfparse/xmake.lua) |

##### Install command

```console
xrepo install sfparse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfparse")
```


### shaderc (linux)


| Description | *A collection of tools, libraries, and tests for Vulkan shader compilation.* |
| -- | -- |
| Homepage | [https://github.com/google/shaderc](https://github.com/google/shaderc) |
| License | Apache-2.0 |
| Versions | v2022.2, v2024.0, v2024.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [shaderc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/shaderc/xmake.lua) |

##### Install command

```console
xrepo install shaderc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("shaderc")
```


### shaderwriter (linux)


| Description | *Library used to write shaders from C++, and export them in either GLSL, HLSL or SPIR-V.* |
| -- | -- |
| Homepage | [https://github.com/DragonJoker/ShaderWriter](https://github.com/DragonJoker/ShaderWriter) |
| Versions | 0.1, 1.0, 1.1, 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.6.1, 2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [shaderwriter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/shaderwriter/xmake.lua) |

##### Install command

```console
xrepo install shaderwriter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("shaderwriter")
```


### shared-mime-info (linux)


| Description | *The shared-mime-info package contains the core database of common types and the update-mime-database command used to extend it.* |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/shared-mime-info/](https://www.freedesktop.org/wiki/Software/shared-mime-info/) |
| License | GPL-2.0 |
| Versions | 2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [shared-mime-info/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/shared-mime-info/xmake.lua) |

##### Install command

```console
xrepo install shared-mime-info
```

##### Integration in the project (xmake.lua)

```lua
add_requires("shared-mime-info")
```


### sheenbidi (linux)


| Description | *A sophisticated implementation of Unicode Bidirectional Algorithm* |
| -- | -- |
| Homepage | [https://github.com/Tehreer/SheenBidi](https://github.com/Tehreer/SheenBidi) |
| License | Apache-2.0 |
| Versions | v2.6, v2.7, v2.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sheenbidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sheenbidi/xmake.lua) |

##### Install command

```console
xrepo install sheenbidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sheenbidi")
```


### simage (linux)


| Description | *Simage is a library capable of loading, manipulating and saving images, creating and saving movies (AVI and MPEG), and loading audio.* |
| -- | -- |
| Homepage | [https://coin3d.github.io/simage/html/](https://coin3d.github.io/simage/html/) |
| License | MIT |
| Versions | 1.8.1, 1.8.3, 1.8.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simage/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simage/xmake.lua) |

##### Install command

```console
xrepo install simage
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simage")
```


### simbody (linux)


| Description | *High-performance C++ multibody dynamics/physics library for simulating articulated biomechanical and mechanical systems like vehicles, robots, and the human skeleton.* |
| -- | -- |
| Homepage | [https://simtk.org/home/simbody](https://simtk.org/home/simbody) |
| License | Apache-2.0 |
| Versions | 3.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simbody/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simbody/xmake.lua) |

##### Install command

```console
xrepo install simbody
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simbody")
```


### simdcomp (linux)


| Description | *A simple C library for compressing lists of integers using binary packing* |
| -- | -- |
| Homepage | [https://github.com/lemire/simdcomp](https://github.com/lemire/simdcomp) |
| License | BSD-3-Clause |
| Versions | 2023.08.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simdcomp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simdcomp/xmake.lua) |

##### Install command

```console
xrepo install simdcomp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simdcomp")
```


### simde (linux)


| Description | *Implementations of SIMD instruction sets for systems which don't natively support them.* |
| -- | -- |
| Homepage | [simd-everywhere.github.io/blog/](simd-everywhere.github.io/blog/) |
| License | MIT |
| Versions | 0.7.2, 0.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simde/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simde/xmake.lua) |

##### Install command

```console
xrepo install simde
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simde")
```


### simdjson (linux)


| Description | *Ridiculously fast JSON parsing, UTF-8 validation and JSON minifying for popular 64 bit systems.* |
| -- | -- |
| Homepage | [https://simdjson.org](https://simdjson.org) |
| License | Apache-2.0 |
| Versions | v0.9.5, v0.9.7, v1.0.0, v1.1.0, v3.0.0, v3.1.1, v3.6.0, v3.7.0, v3.8.0, v3.9.1, v3.9.2, v3.9.3, v3.9.4, v3.9.5, v3.10.0, v3.10.1, v3.11.2, v3.11.3, v3.12.2, v3.12.3 |
| Architectures | arm64, x86_64 |
| Definition | [simdjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simdjson/xmake.lua) |

##### Install command

```console
xrepo install simdjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simdjson")
```


### simdutf (linux)


| Description | *Unicode routines (UTF8, UTF16, UTF32): billions of characters per second using SSE2, AVX2, NEON, AVX-512. Part of Node.js.* |
| -- | -- |
| Homepage | [https://simdutf.github.io/simdutf/](https://simdutf.github.io/simdutf/) |
| License | Apache-2.0 |
| Versions | v3.2.17, v4.0.9, v5.2.3, v5.2.4, v5.2.6, v5.2.8, v5.3.0, v5.3.4, v5.3.11, v5.4.15, v5.5.0, v5.6.3, v5.7.1, v5.7.2, v6.2.0, v6.5.0, v7.0.0, v7.2.1, v7.3.2, v7.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simdutf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simdutf/xmake.lua) |

##### Install command

```console
xrepo install simdutf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simdutf")
```


### simple_http (linux)


| Description | *A header-only HTTP library that supports both HTTP/2 and HTTP/1, based on Beast, nghttp2, and Asio.* |
| -- | -- |
| Homepage | [https://github.com/fantasy-peak/simple_http](https://github.com/fantasy-peak/simple_http) |
| License | MIT |
| Versions | v0.2.0, v0.3.0, v0.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simple_http/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simple_http/xmake.lua) |

##### Install command

```console
xrepo install simple_http
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simple_http")
```


### simpleini (linux)


| Description | *Cross-platform C++ library providing a simple API to read and write INI-style configuration files.* |
| -- | -- |
| Homepage | [https://github.com/brofield/simpleini](https://github.com/brofield/simpleini) |
| License | MIT |
| Versions | v4.19, v4.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simpleini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simpleini/xmake.lua) |

##### Install command

```console
xrepo install simpleini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simpleini")
```


### simplethreadpool (linux)


| Description | *Simple thread pooling library in C++* |
| -- | -- |
| Homepage | [https://github.com/romch007/simplethreadpool](https://github.com/romch007/simplethreadpool) |
| License | MIT |
| Versions | 2022.11.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simplethreadpool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simplethreadpool/xmake.lua) |

##### Install command

```console
xrepo install simplethreadpool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simplethreadpool")
```


### simsimd (linux)


| Description | *Vector Similarity Functions 3x-200x Faster than SciPy and NumPy* |
| -- | -- |
| Homepage | [https://ashvardanian.com/posts/simsimd-faster-scipy/](https://ashvardanian.com/posts/simsimd-faster-scipy/) |
| License | Apache-2.0 |
| Versions | v3.9.0, v4.3.1, v4.3.2, v5.4.4, v5.6.0, v5.6.4, v5.9.6, v6.0.5, v6.1.1, v6.2.1, v6.2.3, v6.4.0, v6.4.1, v6.4.3, v6.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [simsimd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simsimd/xmake.lua) |

##### Install command

```console
xrepo install simsimd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simsimd")
```


### skia (linux)


| Description | *A complete 2D graphic library for drawing Text, Geometries, and Images.* |
| -- | -- |
| Homepage | [https://skia.org/](https://skia.org/) |
| License | BSD-3-Clause |
| Versions | 88, 89, 90, 132 |
| Architectures | armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [skia/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/skia/xmake.lua) |

##### Install command

```console
xrepo install skia
```

##### Integration in the project (xmake.lua)

```lua
add_requires("skia")
```


### slang (linux)


| Description | *Making it easier to work with shaders* |
| -- | -- |
| Homepage | [https://github.com/shader-slang/slang](https://github.com/shader-slang/slang) |
| License | MIT |
| Versions | v2024.1.17, v2024.1.18, v2025.6.3, v2025.11.0 |
| Architectures | x86_64 |
| Definition | [slang/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/slang/xmake.lua) |

##### Install command

```console
xrepo install slang
```

##### Integration in the project (xmake.lua)

```lua
add_requires("slang")
```


### smoothcpp (linux)


| Description | *Easy to use first cross platform cpp library. Intended as a supplement to the c++ standard library.* |
| -- | -- |
| Homepage | [https://github.com/heheda123123/smoothcpp](https://github.com/heheda123123/smoothcpp) |
| License | MIT |
| Versions | 2023.12.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [smoothcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/smoothcpp/xmake.lua) |

##### Install command

```console
xrepo install smoothcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("smoothcpp")
```


### snappy (linux)


| Description | *A fast compressor/decompressor* |
| -- | -- |
| Homepage | [https://github.com/google/snappy](https://github.com/google/snappy) |
| Versions | 1.1.8, 1.1.9, 1.1.10, 1.2.0, 1.2.1, 1.2.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [snappy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snappy/xmake.lua) |

##### Install command

```console
xrepo install snappy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snappy")
```


### snitch (linux)


| Description | *Lightweight C++20 testing framework.* |
| -- | -- |
| Homepage | [https://github.com/cschreib/snitch](https://github.com/cschreib/snitch) |
| License | BSL-1.0 |
| Versions | 1.0.0, 1.2.4, 1.2.5, 1.3.1, 1.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [snitch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snitch/xmake.lua) |

##### Install command

```console
xrepo install snitch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snitch")
```


### snmalloc (linux)


| Description | *Message passing based allocator* |
| -- | -- |
| Homepage | [https://github.com/microsoft/snmalloc](https://github.com/microsoft/snmalloc) |
| License | MIT |
| Versions | 0.6.0, 0.6.2, 0.7.0, 0.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [snmalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snmalloc/xmake.lua) |

##### Install command

```console
xrepo install snmalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snmalloc")
```


### snowhouse (linux)


| Description | *An assertion library for C++* |
| -- | -- |
| Homepage | [https://github.com/banditcpp/snowhouse](https://github.com/banditcpp/snowhouse) |
| License | BSL-1.0 |
| Versions | v5.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [snowhouse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snowhouse/xmake.lua) |

##### Install command

```console
xrepo install snowhouse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snowhouse")
```


### sobjectizer (linux)


| Description | *An implementation of Actor, Publish-Subscribe, and CSP models in one rather small C++ framework. With performance, quality, and stability proved by years in the production.* |
| -- | -- |
| Homepage | [https://stiffstream.com/en/products/sobjectizer.html](https://stiffstream.com/en/products/sobjectizer.html) |
| Versions | 5.8.0, 5.8.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sobjectizer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sobjectizer/xmake.lua) |

##### Install command

```console
xrepo install sobjectizer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sobjectizer")
```


### soci (linux)


| Description | *Official repository of the SOCI - The C++ Database Access Library* |
| -- | -- |
| Homepage | [http://soci.sourceforge.net/](http://soci.sourceforge.net/) |
| License | BSL-1.0 |
| Versions | v4.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [soci/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soci/xmake.lua) |

##### Install command

```console
xrepo install soci
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soci")
```


### socket-io-client (linux)


| Description | *C++11 implementation of Socket.IO client* |
| -- | -- |
| Homepage | [https://github.com/socketio/socket.io-client-cpp](https://github.com/socketio/socket.io-client-cpp) |
| License | MIT |
| Versions | 2024.07.17 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [socket-io-client/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/socket-io-client/xmake.lua) |

##### Install command

```console
xrepo install socket-io-client
```

##### Integration in the project (xmake.lua)

```lua
add_requires("socket-io-client")
```


### sockpp (linux)


| Description | *Modern C++ socket library* |
| -- | -- |
| Homepage | [https://github.com/fpagliughi/sockpp](https://github.com/fpagliughi/sockpp) |
| License | BSD-3-Clause |
| Versions | v0.8.1, v0.8.3, v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sockpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sockpp/xmake.lua) |

##### Install command

```console
xrepo install sockpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sockpp")
```


### sokol (linux)


| Description | *Simple STB-style cross-platform libraries for C and C++, written in C.* |
| -- | -- |
| Homepage | [https://github.com/floooh/sokol](https://github.com/floooh/sokol) |
| License | zlib |
| Versions | 2022.02.10, 2023.01.27, 2024.07.10, 2024.12.08, 2025.03.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sokol/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sokol/xmake.lua) |

##### Install command

```console
xrepo install sokol
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sokol")
```


### sokol-tools (linux)


| Description | *Command line tools for use with sokol headers* |
| -- | -- |
| Homepage | [https://github.com/floooh/sokol-tools](https://github.com/floooh/sokol-tools) |
| License | MIT |
| Versions | 2025.02.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sokol-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sokol-tools/xmake.lua) |

##### Install command

```console
xrepo install sokol-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sokol-tools")
```


### sol2 (linux)


| Description | *A C++ library binding to Lua.* |
| -- | -- |
| Homepage | [https://github.com/ThePhD/sol2](https://github.com/ThePhD/sol2) |
| Versions | v3.2.1, v3.2.2, v3.2.3, v3.3.0, v3.3.1, v3.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sol2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sol2/xmake.lua) |

##### Install command

```console
xrepo install sol2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sol2")
```


### soloud (linux)


| Description | *SoLoud is an easy to use, free, portable c/c++ audio engine for games.* |
| -- | -- |
| Homepage | [https://github.com/jarikomppa/soloud](https://github.com/jarikomppa/soloud) |
| License | zlib |
| Versions | 2020.02.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [soloud/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soloud/xmake.lua) |

##### Install command

```console
xrepo install soloud
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soloud")
```


### sonic-cpp (linux)


| Description | *A fast JSON serializing & deserializing library, accelerated by SIMD.* |
| -- | -- |
| Homepage | [https://github.com/bytedance/sonic-cpp](https://github.com/bytedance/sonic-cpp) |
| License | Apache-2.0 |
| Versions | 1.0.0, 1.0.1, 1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sonic-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sonic-cpp/xmake.lua) |

##### Install command

```console
xrepo install sonic-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sonic-cpp")
```


### sophus (linux)


| Description | *C++ implementation of Lie Groups using Eigen.* |
| -- | -- |
| Homepage | [https://strasdat.github.io/Sophus/](https://strasdat.github.io/Sophus/) |
| License | MIT |
| Versions | 1.22.10, 1.24.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sophus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sophus/xmake.lua) |

##### Install command

```console
xrepo install sophus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sophus")
```


### soplex (linux)


| Description | *SoPlex is an optimization package for solving linear programming problems (LPs) based on an advanced implementation of the primal and dual revised simplex algorithm.* |
| -- | -- |
| Homepage | [https://soplex.zib.de/](https://soplex.zib.de/) |
| Versions | 5.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [soplex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soplex/xmake.lua) |

##### Install command

```console
xrepo install soplex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soplex")
```


### soundtouch (linux)


| Description | *SoundTouch Audio Processing Library* |
| -- | -- |
| Homepage | [https://modplug-xmms.sourceforge.net](https://modplug-xmms.sourceforge.net) |
| License | LGPL-2.1 |
| Versions | 2.3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [soundtouch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soundtouch/xmake.lua) |

##### Install command

```console
xrepo install soundtouch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soundtouch")
```


### soxr (linux)


| Description | *The SoX Resampler library libsoxr performs fast, high-quality one-dimensional sample rate conversion.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/soxr](https://sourceforge.net/projects/soxr) |
| License | LGPL-2.1 |
| Versions | 0.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [soxr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soxr/xmake.lua) |

##### Install command

```console
xrepo install soxr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soxr")
```


### span-lite (linux)


| Description | *span lite - A C++20-like span for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/span-lite](https://github.com/martinmoene/span-lite) |
| License | BSL |
| Versions | 0.10.3, 0.11.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [span-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/span-lite/xmake.lua) |

##### Install command

```console
xrepo install span-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("span-lite")
```


### sparse-map (linux)


| Description | *C++ implementation of a memory efficient hash map and hash set* |
| -- | -- |
| Homepage | [https://github.com/Tessil/sparse-map](https://github.com/Tessil/sparse-map) |
| License | MIT |
| Versions | v0.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sparse-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sparse-map/xmake.lua) |

##### Install command

```console
xrepo install sparse-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sparse-map")
```


### sparsepp (linux)


| Description | *A fast, memory efficient hash map for C++* |
| -- | -- |
| Homepage | [https://github.com/greg7mdp/sparsepp](https://github.com/greg7mdp/sparsepp) |
| Versions | 1.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sparsepp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sparsepp/xmake.lua) |

##### Install command

```console
xrepo install sparsepp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sparsepp")
```


### spdlog (linux)


| Description | *Fast C++ logging library.* |
| -- | -- |
| Homepage | [https://github.com/gabime/spdlog](https://github.com/gabime/spdlog) |
| License | MIT |
| Versions | v1.2.1, v1.3.1, v1.4.2, v1.5.0, v1.8.0, v1.8.1, v1.8.2, v1.8.5, v1.9.0, v1.9.1, v1.9.2, v1.10.0, v1.11.0, v1.12.0, v1.13.0, v1.14.0, v1.14.1, v1.15.0, v1.15.1, v1.15.2, v1.15.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spdlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spdlog/xmake.lua) |

##### Install command

```console
xrepo install spdlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spdlog")
```


### spectra (linux)


| Description | *Sparse Eigenvalue Computation Toolkit as a Redesigned ARPACK* |
| -- | -- |
| Homepage | [https://spectralib.org/](https://spectralib.org/) |
| License | MPL-2.0 |
| Versions | v1.0.1, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spectra/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spectra/xmake.lua) |

##### Install command

```console
xrepo install spectra
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spectra")
```


### speex (linux)


| Description | *A free codec for free speech* |
| -- | -- |
| Homepage | [https://www.speex.org/](https://www.speex.org/) |
| License | BSD-3-Clause |
| Versions | 1.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [speex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/speex/xmake.lua) |

##### Install command

```console
xrepo install speex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("speex")
```


### spine-runtimes (linux)


| Description | *2D skeletal animation runtimes for Spine.* |
| -- | -- |
| Homepage | [http://esotericsoftware.com](http://esotericsoftware.com) |
| License | Spine Runtimes |
| Versions | 3.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spine-runtimes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spine-runtimes/xmake.lua) |

##### Install command

```console
xrepo install spine-runtimes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spine-runtimes")
```


### spirv-cross (linux)


| Description | *SPIRV-Cross is a practical tool and library for performing reflection on SPIR-V and disassembling SPIR-V back to high level languages.* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Cross/](https://github.com/KhronosGroup/SPIRV-Cross/) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.231+1, 1.3.268+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spirv-cross/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-cross/xmake.lua) |

##### Install command

```console
xrepo install spirv-cross
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-cross")
```


### spirv-headers (linux)


| Description | *SPIR-V Headers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Headers/](https://github.com/KhronosGroup/SPIRV-Headers/) |
| License | MIT |
| Versions | 1.2.198+0, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spirv-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-headers/xmake.lua) |

##### Install command

```console
xrepo install spirv-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-headers")
```


### spirv-reflect (linux)


| Description | *SPIRV-Reflect is a lightweight library that provides a C/C++ reflection API for SPIR-V shader bytecode in Vulkan applications.* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Reflect](https://github.com/KhronosGroup/SPIRV-Reflect) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.231+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spirv-reflect/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-reflect/xmake.lua) |

##### Install command

```console
xrepo install spirv-reflect
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-reflect")
```


### spirv-tools (linux)


| Description | *SPIR-V Tools* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Tools/](https://github.com/KhronosGroup/SPIRV-Tools/) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spirv-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-tools/xmake.lua) |

##### Install command

```console
xrepo install spirv-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-tools")
```


### spot (linux)


| Description | *Spot: a platform for LTL and ω-automata manipulation* |
| -- | -- |
| Homepage | [https://spot.lrde.epita.fr/](https://spot.lrde.epita.fr/) |
| License | GPL-3.0 |
| Versions | 2.10.1, 2.13.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [spot/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spot/xmake.lua) |

##### Install command

```console
xrepo install spot
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spot")
```


### sqlcipher (linux)


| Description | *SQLCipher is a standalone fork of the SQLite database library that adds 256 bit AES encryption of database files and other security features* |
| -- | -- |
| Homepage | [https://www.zetetic.net/sqlcipher/](https://www.zetetic.net/sqlcipher/) |
| Versions | 4.5.3, 4.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlcipher/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlcipher/xmake.lua) |

##### Install command

```console
xrepo install sqlcipher
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlcipher")
```


### sqlite-vec (linux)


| Description | *A vector search SQLite extension that runs anywhere!* |
| -- | -- |
| Homepage | [https://github.com/asg017/sqlite-vec](https://github.com/asg017/sqlite-vec) |
| License | Apache-2.0 |
| Versions | 0.1.3, 0.1.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlite-vec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite-vec/xmake.lua) |

##### Install command

```console
xrepo install sqlite-vec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite-vec")
```


### sqlite3 (linux)


| Description | *The most used database engine in the world* |
| -- | -- |
| Homepage | [https://sqlite.org/](https://sqlite.org/) |
| License | Public Domain |
| Versions | 3.23.0+0, 3.24.0+0, 3.34.0+100, 3.35.0+300, 3.35.0+400, 3.36.0+0, 3.37.0+200, 3.39.0+200, 3.43.0+200, 3.45.0+300, 3.45.0+100, 3.45.0+200, 3.46.0+100, 3.46.0+0, 3.47.0+200, 3.47.0+0, 3.47.0+100, 3.48.0+0, 3.49.0+0, 3.49.0+200, 3.49.0+100, 3.50.0+0, 3.50.0+200, 3.50.0+100, 3.50.0+300 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlite3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite3/xmake.lua) |

##### Install command

```console
xrepo install sqlite3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite3")
```


### sqlite3-lemon (linux)


| Description | *A parser generator* |
| -- | -- |
| Homepage | [https://sqlite.org/](https://sqlite.org/) |
| License | Public Domain |
| Versions | 3.49.0+200 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlite3-lemon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite3-lemon/xmake.lua) |

##### Install command

```console
xrepo install sqlite3-lemon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite3-lemon")
```


### sqlite_orm (linux)


| Description | *SQLite ORM light header only library for modern C++* |
| -- | -- |
| Homepage | [https://github.com/fnc12/sqlite_orm](https://github.com/fnc12/sqlite_orm) |
| Versions | v1.8.2, v1.9, v1.9.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlite_orm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite_orm/xmake.lua) |

##### Install command

```console
xrepo install sqlite_orm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite_orm")
```


### sqlitecpp (linux)


| Description | *SQLiteC++ (SQLiteCpp) is a smart and easy to use C++ SQLite3 wrapper.* |
| -- | -- |
| Homepage | [http://srombauts.github.io/SQLiteCpp](http://srombauts.github.io/SQLiteCpp) |
| License | MIT |
| Versions | 3.2.1, 3.3.1, 3.3.2, 3.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlitecpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlitecpp/xmake.lua) |

##### Install command

```console
xrepo install sqlitecpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlitecpp")
```


### sqlpp11 (linux)


| Description | *A type safe SQL template library for C++* |
| -- | -- |
| Homepage | [https://github.com/rbock/sqlpp11](https://github.com/rbock/sqlpp11) |
| License | BSD-2-Clause |
| Versions | 0.61, 0.64, 0.65 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqlpp11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlpp11/xmake.lua) |

##### Install command

```console
xrepo install sqlpp11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlpp11")
```


### sqrat (linux)


| Description | *Sqrat is a C++ library for Squirrel that facilitates exposing classes and other native functionality to Squirrel scripts.* |
| -- | -- |
| Homepage | [http://scrat.sourceforge.net/](http://scrat.sourceforge.net/) |
| License | zlib |
| Versions | 0.9.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sqrat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqrat/xmake.lua) |

##### Install command

```console
xrepo install sqrat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqrat")
```


### squirrel (linux)


| Description | *Official repository for the programming language Squirrel* |
| -- | -- |
| Homepage | [http://www.squirrel-lang.org](http://www.squirrel-lang.org) |
| License | MIT |
| Versions | v3.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [squirrel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/squirrel/xmake.lua) |

##### Install command

```console
xrepo install squirrel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("squirrel")
```


### srell (linux)


| Description | *SRELL (std::regex-like library) is a Unicode-aware regular expression template library for C++.* |
| -- | -- |
| Homepage | [https://akenotsuki.com/misc/srell](https://akenotsuki.com/misc/srell) |
| License | BSD-2-Clause |
| Versions | 3.018, 4.019, 4.063 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [srell/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/srell/xmake.lua) |

##### Install command

```console
xrepo install srell
```

##### Integration in the project (xmake.lua)

```lua
add_requires("srell")
```


### srpc (linux)


| Description | *RPC framework based on C++ Workflow. Supports SRPC, Baidu bRPC, Tencent tRPC, thrift protocols.* |
| -- | -- |
| Homepage | [https://github.com/sogou/srpc](https://github.com/sogou/srpc) |
| License | Apache-2.0 |
| Versions | v0.10.2, v0.10.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [srpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/srpc/xmake.lua) |

##### Install command

```console
xrepo install srpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("srpc")
```


### srt (linux)


| Description | *Secure Reliable Transport (SRT) Protocol* |
| -- | -- |
| Homepage | [https://www.srtalliance.org/](https://www.srtalliance.org/) |
| License | MPL-2.0 |
| Versions | v1.4.2, v1.5.3, v1.5.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [srt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/srt/xmake.lua) |

##### Install command

```console
xrepo install srt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("srt")
```


### srtp (linux)


| Description | *Library for SRTP (Secure Realtime Transport Protocol)* |
| -- | -- |
| Homepage | [https://github.com/cisco/libsrtp](https://github.com/cisco/libsrtp) |
| Versions | v2.5.0, v2.6, v2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [srtp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/srtp/xmake.lua) |

##### Install command

```console
xrepo install srtp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("srtp")
```


### sse2neon (linux)


| Description | *A translator from Intel SSE intrinsics to Arm/Aarch64 NEON implementation* |
| -- | -- |
| Homepage | [https://github.com/DLTcollab/sse2neon](https://github.com/DLTcollab/sse2neon) |
| License | MIT |
| Versions | v1.7.0, v1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sse2neon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sse2neon/xmake.lua) |

##### Install command

```console
xrepo install sse2neon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sse2neon")
```


### sse2rvv (linux)


| Description | *A translator from Intel SSE intrinsics to RISCV-V Extension implementation* |
| -- | -- |
| Homepage | [https://github.com/pattonkan/sse2rvv](https://github.com/pattonkan/sse2rvv) |
| License | MIT |
| Versions | 2024.02.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [sse2rvv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sse2rvv/xmake.lua) |

##### Install command

```console
xrepo install sse2rvv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sse2rvv")
```


### ssp (linux)


| Description | *C++ CSV parser* |
| -- | -- |
| Homepage | [https://github.com/red0124/ssp](https://github.com/red0124/ssp) |
| License | MIT |
| Versions | v1.6.1, v1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ssp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/ssp/xmake.lua) |

##### Install command

```console
xrepo install ssp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ssp")
```


### standardlib (linux)


| Description | *A complete standardlib for c for once* |
| -- | -- |
| Homepage | [https://github.com/gregoryc/standardlib](https://github.com/gregoryc/standardlib) |
| License | Public Domain |
| Versions | 2024.03.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [standardlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/standardlib/xmake.lua) |

##### Install command

```console
xrepo install standardlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("standardlib")
```


### starpu (linux)


| Description | *StarPU is a task programming library for hybrid architectures* |
| -- | -- |
| Homepage | [https://starpu.gitlabpages.inria.fr/](https://starpu.gitlabpages.inria.fr/) |
| License | LGPL-2.1 |
| Versions | 1.3.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [starpu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/starpu/xmake.lua) |

##### Install command

```console
xrepo install starpu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("starpu")
```


### stb (linux)


| Description | *single-file public domain (or MIT licensed) libraries for C/C++* |
| -- | -- |
| Homepage | [https://github.com/nothings/stb](https://github.com/nothings/stb) |
| Versions | 2019.02.07, 2021.07.13, 2021.09.10, 2023.01.30, 2023.12.15, 2024.06.01, 2025.03.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stb/xmake.lua) |

##### Install command

```console
xrepo install stb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stb")
```


### stc (linux)


| Description | *A modern, user friendly, generic, type-safe and fast C99 container library: String, Vector, Sorted and Unordered Map and Set, Deque, Forward List, Smart Pointers, Bitset and Random numbers.* |
| -- | -- |
| Homepage | [https://github.com/stclib/STC](https://github.com/stclib/STC) |
| License | MIT |
| Versions | v4.2, v5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stc/xmake.lua) |

##### Install command

```console
xrepo install stc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stc")
```


### stdexec (linux)


| Description | *`std::execution`, the proposed C++ framework for asynchronous and parallel programming. * |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/stdexec](https://github.com/NVIDIA/stdexec) |
| License | Apache-2.0 |
| Versions | 2024.03.08, 2024.12.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stdexec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stdexec/xmake.lua) |

##### Install command

```console
xrepo install stdexec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stdexec")
```


### stduuid (linux)


| Description | *A C++17 cross-platform implementation for UUIDs* |
| -- | -- |
| Homepage | [https://github.com/mariusbancila/stduuid](https://github.com/mariusbancila/stduuid) |
| License | MIT |
| Versions | v1.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stduuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stduuid/xmake.lua) |

##### Install command

```console
xrepo install stduuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stduuid")
```


### steam-audio (linux)


| Description | *Valve's steam audio library* |
| -- | -- |
| Homepage | [https://valvesoftware.github.io/steam-audio/](https://valvesoftware.github.io/steam-audio/) |
| License | Apache-2.0 |
| Versions | v4.6.0, v4.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [steam-audio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/steam-audio/xmake.lua) |

##### Install command

```console
xrepo install steam-audio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("steam-audio")
```


### step20 (linux)


| Description | *Step20 is a C++20, header-only library of STL-like algorithms and data structures* |
| -- | -- |
| Homepage | [https://github.com/storm-ptr/step20](https://github.com/storm-ptr/step20) |
| License | MIT |
| Versions | 2023.08.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [step20/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/step20/xmake.lua) |

##### Install command

```console
xrepo install step20
```

##### Integration in the project (xmake.lua)

```lua
add_requires("step20")
```


### stfl (linux)


| Description | *stfl with Newsboat-related bugfixes* |
| -- | -- |
| Homepage | [https://github.com/newsboat/stfl](https://github.com/newsboat/stfl) |
| License | LGPL-3.0 |
| Versions | 2024.12.24 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stfl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stfl/xmake.lua) |

##### Install command

```console
xrepo install stfl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stfl")
```


### stlab (linux)


| Description | *Adobe Source Libraries from Software Technology Lab* |
| -- | -- |
| Homepage | [https://stlab.cc/](https://stlab.cc/) |
| License | BSL-1.0 |
| Versions | v1.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stlab/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stlab/xmake.lua) |

##### Install command

```console
xrepo install stlab
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stlab")
```


### streamvbyte (linux)


| Description | *Fast integer compression in C using the StreamVByte codec* |
| -- | -- |
| Homepage | [https://github.com/lemire/streamvbyte](https://github.com/lemire/streamvbyte) |
| License | Apache-2.0 |
| Versions | v1.0.0, v2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [streamvbyte/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/streamvbyte/xmake.lua) |

##### Install command

```console
xrepo install streamvbyte
```

##### Integration in the project (xmake.lua)

```lua
add_requires("streamvbyte")
```


### string-view-lite (linux)


| Description | *string_view lite - A C++17-like string_view for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/string-view-lite](https://github.com/martinmoene/string-view-lite) |
| License | BSL-1.0 |
| Versions | v1.7.0, v1.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [string-view-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/string-view-lite/xmake.lua) |

##### Install command

```console
xrepo install string-view-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("string-view-lite")
```


### stringbuilder (linux)


| Description | *Fast, efficient and convenient alternative to std::stringstream and std::string concatenation.* |
| -- | -- |
| Homepage | [https://github.com/Isameru/stringbuilder](https://github.com/Isameru/stringbuilder) |
| License | MIT |
| Versions | 2023.7.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stringbuilder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stringbuilder/xmake.lua) |

##### Install command

```console
xrepo install stringbuilder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stringbuilder")
```


### stringzilla (linux)


| Description | *Up to 10x faster strings for C, C++, Python, Rust, and Swift, leveraging NEON, AVX2, AVX-512, and SWAR to accelerate search, sort, edit distances, alignment scores, etc 🦖* |
| -- | -- |
| Homepage | [https://ashvardanian.com/posts/stringzilla/](https://ashvardanian.com/posts/stringzilla/) |
| License | Apache-2.0 |
| Versions | v1.2.2, v2.0.3, v2.0.4, v3.0.0, v3.1.0, v3.1.1, v3.1.2, v3.2.0, v3.3.0, v3.3.1, v3.4.0, v3.4.1, v3.5.0, v3.6.0, v3.6.1, v3.6.2, v3.6.3, v3.6.4, v3.6.5, v3.6.6, v3.6.7, v3.6.8, v3.7.0, v3.7.1, v3.7.2, v3.7.3, v3.8.0, v3.8.1, v3.8.2, v3.8.3, v3.8.4, v3.9.5, v3.9.6, v3.9.8, v3.10.0, v3.10.5, v3.10.6, v3.10.7, v3.10.8, v3.10.9, v3.10.10, v3.10.11, v3.11.0, v3.11.1, v3.11.3, v3.12.1, v3.12.2, v3.12.3, v3.12.4, v3.12.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stringzilla/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stringzilla/xmake.lua) |

##### Install command

```console
xrepo install stringzilla
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stringzilla")
```


### strong_type (linux)


| Description | *An additive strong typedef library for C++14/17/20.* |
| -- | -- |
| Homepage | [https://github.com/rollbear/strong_type](https://github.com/rollbear/strong_type) |
| License | BSL-1.0 |
| Versions | v15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [strong_type/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/strong_type/xmake.lua) |

##### Install command

```console
xrepo install strong_type
```

##### Integration in the project (xmake.lua)

```lua
add_requires("strong_type")
```


### strtk (linux)


| Description | *C++ String Toolkit Library* |
| -- | -- |
| Homepage | [https://www.partow.net/programming/strtk/index.html](https://www.partow.net/programming/strtk/index.html) |
| License | MIT |
| Versions | 2020.01.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [strtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/strtk/xmake.lua) |

##### Install command

```console
xrepo install strtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("strtk")
```


### stx (linux)


| Description | *C++17 & C++ 20 error-handling and utility extensions. * |
| -- | -- |
| Homepage | [https://lamarrr.github.io/STX](https://lamarrr.github.io/STX) |
| License | MIT |
| Versions | v1.0.3, v1.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [stx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stx/xmake.lua) |

##### Install command

```console
xrepo install stx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stx")
```


### subhook (linux)


| Description | *Simple hooking library for C/C++ (x86 only, 32/64-bit, no dependencies)* |
| -- | -- |
| Homepage | [https://github.com/Zeex/subhook](https://github.com/Zeex/subhook) |
| License | BSD-2-Clause |
| Versions | 2023.02.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [subhook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/subhook/xmake.lua) |

##### Install command

```console
xrepo install subhook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("subhook")
```


### subprocess.h (linux)


| Description | *single header process launching solution for C and C++ * |
| -- | -- |
| Homepage | [https://github.com/sheredom/subprocess.h](https://github.com/sheredom/subprocess.h) |
| Versions | 2022.12.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [subprocess.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/subprocess.h/xmake.lua) |

##### Install command

```console
xrepo install subprocess.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("subprocess.h")
```


### suitesparse (linux)


| Description | *SuiteSparse is a suite of sparse matrix algorithms* |
| -- | -- |
| Homepage | [https://people.engr.tamu.edu/davis/suitesparse.html](https://people.engr.tamu.edu/davis/suitesparse.html) |
| Versions | v5.10.1, v5.12.0, v5.13.0, v7.5.1, v7.6.0, v7.7.0, v7.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [suitesparse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/suitesparse/xmake.lua) |

##### Install command

```console
xrepo install suitesparse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("suitesparse")
```


### superlu (linux)


| Description | *SuperLU is a general purpose library for the direct solution of large, sparse, nonsymmetric systems of linear equations.* |
| -- | -- |
| Homepage | [https://portal.nersc.gov/project/sparse/superlu/](https://portal.nersc.gov/project/sparse/superlu/) |
| License | BSD-3-Clause |
| Versions | v5.2.2, v5.3.0, v7.0.0, v7.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [superlu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/superlu/xmake.lua) |

##### Install command

```console
xrepo install superlu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("superlu")
```


### svector (linux)


| Description | *Compact SVO optimized vector for C++17 or higher* |
| -- | -- |
| Homepage | [https://github.com/martinus/svector](https://github.com/martinus/svector) |
| License | MIT |
| Versions | v1.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [svector/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/svector/xmake.lua) |

##### Install command

```console
xrepo install svector
```

##### Integration in the project (xmake.lua)

```lua
add_requires("svector")
```


### svt-av1 (linux)


| Description | *Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder)* |
| -- | -- |
| Homepage | [https://gitlab.com/AOMediaCodec/SVT-AV1](https://gitlab.com/AOMediaCodec/SVT-AV1) |
| License | BSD-3-Clause |
| Versions | v1.4.0, v1.4.1, v1.5.0, v1.6.0, v2.1.0, v2.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [svt-av1/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/svt-av1/xmake.lua) |

##### Install command

```console
xrepo install svt-av1
```

##### Integration in the project (xmake.lua)

```lua
add_requires("svt-av1")
```


### swig (linux)


| Description | *SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages.* |
| -- | -- |
| Homepage | [http://swig.org/](http://swig.org/) |
| License | GPL-3.0 |
| Versions | 4.0.2, 4.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [swig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swig/xmake.lua) |

##### Install command

```console
xrepo install swig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swig")
```


### swisseph (linux)


| Description | *Swiss Ephemeris source code, official release by Astrodienst.* |
| -- | -- |
| Homepage | [https://www.astro.com/swisseph/swephinfo_e.htm](https://www.astro.com/swisseph/swephinfo_e.htm) |
| License | AGPL-3.0 |
| Versions | v2.10.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [swisseph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swisseph/xmake.lua) |

##### Install command

```console
xrepo install swisseph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swisseph")
```


### swxjson (linux)


| Description | *A easy to use & convenient JSON library for C++11.* |
| -- | -- |
| Homepage | [https://github.com/swxlion/swxJson](https://github.com/swxlion/swxJson) |
| License | MIT |
| Versions | v1.0.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [swxjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swxjson/xmake.lua) |

##### Install command

```console
xrepo install swxjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swxjson")
```


### symengine (linux)


| Description | *SymEngine is a fast symbolic manipulation library, written in C++* |
| -- | -- |
| Homepage | [https://symengine.org](https://symengine.org) |
| License | MIT |
| Versions | v0.11.2, v0.12.0, v0.13.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [symengine/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/symengine/xmake.lua) |

##### Install command

```console
xrepo install symengine
```

##### Integration in the project (xmake.lua)

```lua
add_requires("symengine")
```


### syscmdline (linux)


| Description | *C++ Advanced Command Line Parser* |
| -- | -- |
| Homepage | [https://github.com/SineStriker/syscmdline](https://github.com/SineStriker/syscmdline) |
| License | MIT |
| Versions | 2024.03.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [syscmdline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/syscmdline/xmake.lua) |

##### Install command

```console
xrepo install syscmdline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("syscmdline")
```


### szip (linux)


| Description | *Szip is an implementation of the extended-Rice lossless compression algorithm.* |
| -- | -- |
| Homepage | [https://support.hdfgroup.org/doc_resource/SZIP/](https://support.hdfgroup.org/doc_resource/SZIP/) |
| Versions | 2.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [szip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/szip/xmake.lua) |

##### Install command

```console
xrepo install szip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("szip")
```



## t
### ta-lib (linux)


| Description | *Technical Analysis Library for financial market trading applications* |
| -- | -- |
| Homepage | [https://ta-lib.org/](https://ta-lib.org/) |
| License | BSD-3-Clause |
| Versions | 0.6.2, 0.6.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ta-lib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/ta-lib/xmake.lua) |

##### Install command

```console
xrepo install ta-lib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ta-lib")
```


### tabulate (linux)


| Description | *Table Maker for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/tabulate](https://github.com/p-ranav/tabulate) |
| License | MIT |
| Versions | v1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tabulate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tabulate/xmake.lua) |

##### Install command

```console
xrepo install tabulate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tabulate")
```


### taglib (linux)


| Description | *TagLib Audio Meta-Data Library* |
| -- | -- |
| Homepage | [http://taglib.org/](http://taglib.org/) |
| License | LGPL-2.1 |
| Versions | v2.1, v2.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [taglib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taglib/xmake.lua) |

##### Install command

```console
xrepo install taglib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taglib")
```


### talloc (linux)


| Description | *talloc is a hierarchical, reference counted memory pool system with destructors.* |
| -- | -- |
| Homepage | [https://talloc.samba.org/talloc/doc/html/index.html](https://talloc.samba.org/talloc/doc/html/index.html) |
| Versions | 2.3.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [talloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/talloc/xmake.lua) |

##### Install command

```console
xrepo install talloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("talloc")
```


### tao_idl (linux)


| Description | *tao_idl is TAO's Interface Description Language (IDL) compiler, based on Sun Microsystems' OMG IDL Compiler Front End (CFE) version 1.3, implements most IDL v3 & some IDL v4 features.* |
| -- | -- |
| Homepage | [https://www.dre.vanderbilt.edu/~schmidt/TAO.html](https://www.dre.vanderbilt.edu/~schmidt/TAO.html) |
| License | DOC |
| Versions | 8.0.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tao_idl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tao_idl/xmake.lua) |

##### Install command

```console
xrepo install tao_idl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tao_idl")
```


### taocpp-json (linux)


| Description | *C++ header-only JSON library* |
| -- | -- |
| Homepage | [https://github.com/taocpp/json](https://github.com/taocpp/json) |
| License | MIT |
| Versions | 2025.03.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [taocpp-json/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taocpp-json/xmake.lua) |

##### Install command

```console
xrepo install taocpp-json
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taocpp-json")
```


### taskflow (linux)


| Description | *A fast C++ header-only library to help you quickly write parallel programs with complex task dependencies* |
| -- | -- |
| Homepage | [https://taskflow.github.io/](https://taskflow.github.io/) |
| License | MIT |
| Versions | v3.0.0, v3.1.0, v3.2.0, v3.3.0, v3.4.0, v3.5.0, v3.6.0, v3.7.0, v3.8.0, v3.9.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [taskflow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taskflow/xmake.lua) |

##### Install command

```console
xrepo install taskflow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taskflow")
```


### taywee_args (linux)


| Description | *A simple header-only C++ argument parser library.* |
| -- | -- |
| Homepage | [https://taywee.github.io/args/](https://taywee.github.io/args/) |
| License | MIT |
| Versions | 6.3.0, 6.4.6, 6.4.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [taywee_args/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taywee_args/xmake.lua) |

##### Install command

```console
xrepo install taywee_args
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taywee_args")
```


### tbb (linux)


| Description | *Threading Building Blocks (TBB) lets you easily write parallel C++ programs that take full advantage of multicore performance, that are portable, composable and have future-proof scalability.* |
| -- | -- |
| Homepage | [https://software.intel.com/en-us/tbb/](https://software.intel.com/en-us/tbb/) |
| License | Apache-2.0 |
| Versions | 2020.3, 2021.2.0, 2021.3.0, 2021.4.0, 2021.5.0, 2021.7.0, 2021.10.0, 2021.11.0, 2021.12.0, 2021.13.0, 2022.0.0, 2022.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tbb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tbb/xmake.lua) |

##### Install command

```console
xrepo install tbb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tbb")
```


### tbox (linux)


| Description | *A glib-like multi-platform c library* |
| -- | -- |
| Homepage | [https://tboox.org](https://tboox.org) |
| Versions | v1.6.2, v1.6.3, v1.6.4, v1.6.5, v1.6.6, v1.6.7, v1.6.9, v1.7.1, v1.7.4, v1.7.5, v1.7.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tbox/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tbox/xmake.lua) |

##### Install command

```console
xrepo install tbox
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tbox")
```


### tcb-span (linux)


| Description | *Implementation of C++20's std::span for older compilers* |
| -- | -- |
| Homepage | [https://github.com/tcbrindle/span](https://github.com/tcbrindle/span) |
| License | BSL-1.0 |
| Versions | 2022.06.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tcb-span/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tcb-span/xmake.lua) |

##### Install command

```console
xrepo install tcb-span
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tcb-span")
```


### tclap (linux)


| Description | *This is a simple templatized C++ library for parsing command line arguments.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/tclap/](https://sourceforge.net/projects/tclap/) |
| License | MIT |
| Versions | 1.4.0-rc1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tclap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tclap/xmake.lua) |

##### Install command

```console
xrepo install tclap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tclap")
```


### tclsh (linux)


| Description | *The Tcl Core. (Mirror of core.tcl-lang.org) * |
| -- | -- |
| Homepage | [https://core.tcl-lang.org/tcl/](https://core.tcl-lang.org/tcl/) |
| Versions | 2024.06.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tclsh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tclsh/xmake.lua) |

##### Install command

```console
xrepo install tclsh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tclsh")
```


### teascript (linux)


| Description | *TeaScript C++ Library - embedded scripting language for C++ Applications* |
| -- | -- |
| Homepage | [https://tea-age.solutions/teascript/overview-and-highlights/](https://tea-age.solutions/teascript/overview-and-highlights/) |
| License | MPL-2.0 |
| Versions | v0.13.0, v0.14.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [teascript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/teascript/xmake.lua) |

##### Install command

```console
xrepo install teascript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("teascript")
```


### telebot (linux)


| Description | *Telegram Bot API in C* |
| -- | -- |
| Homepage | [https://elmurod.net/telebot](https://elmurod.net/telebot) |
| License | Apache-2.0 |
| Versions | 2024.05.11 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [telebot/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/telebot/xmake.lua) |

##### Install command

```console
xrepo install telebot
```

##### Integration in the project (xmake.lua)

```lua
add_requires("telebot")
```


### termcap (linux)


| Description | *Enables programs to use display terminals in a terminal-independent manner* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/termcap](https://www.gnu.org/software/termcap) |
| License | GPL-2.0-or-later |
| Versions | 1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [termcap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/termcap/xmake.lua) |

##### Install command

```console
xrepo install termcap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("termcap")
```


### termcolor (linux)


| Description | *Termcolor is a header-only C++ library for printing colored messages to the terminal. Written just for fun with a help of the Force.* |
| -- | -- |
| Homepage | [https://github.com/ikalnytskyi/termcolor](https://github.com/ikalnytskyi/termcolor) |
| License | BSD-3-Clause |
| Versions | 2.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [termcolor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/termcolor/xmake.lua) |

##### Install command

```console
xrepo install termcolor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("termcolor")
```


### tesseract (linux)


| Description | *Tesseract Open Source OCR Engine* |
| -- | -- |
| Homepage | [https://tesseract-ocr.github.io/](https://tesseract-ocr.github.io/) |
| License | Apache-2.0 |
| Versions | 4.1.1, 4.1.3, 5.0.1, 5.2.0, 5.3.4, 5.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tesseract/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tesseract/xmake.lua) |

##### Install command

```console
xrepo install tesseract
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tesseract")
```


### tetgen (linux)


| Description | *A Quality Tetrahedral Mesh Generator and a 3D Delaunay Triangulator* |
| -- | -- |
| Homepage | [https://www.wias-berlin.de/software/index.jsp?id=TetGen](https://www.wias-berlin.de/software/index.jsp?id=TetGen) |
| License | AGPL-3.0 |
| Versions | 1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tetgen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tetgen/xmake.lua) |

##### Install command

```console
xrepo install tetgen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tetgen")
```


### texinfo (linux)


| Description | *Official documentation format of the GNU project* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/texinfo/](https://www.gnu.org/software/texinfo/) |
| License | GPL-3.0 |
| Versions | 6.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [texinfo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/texinfo/xmake.lua) |

##### Install command

```console
xrepo install texinfo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("texinfo")
```


### tf_workstealingqueue (linux)


| Description | *A fast work-stealing queue template in C++* |
| -- | -- |
| Homepage | [https://github.com/taskflow/work-stealing-queue](https://github.com/taskflow/work-stealing-queue) |
| License | MIT |
| Versions | 2022.07.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tf_workstealingqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tf_workstealingqueue/xmake.lua) |

##### Install command

```console
xrepo install tf_workstealingqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tf_workstealingqueue")
```


### tgbot-cpp (linux)


| Description | *C++ library for Telegram bot API* |
| -- | -- |
| Homepage | [http://reo7sp.github.io/tgbot-cpp](http://reo7sp.github.io/tgbot-cpp) |
| License | MIT |
| Versions | v1.7.2, v1.7.3, v1.8, v1.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tgbot-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tgbot-cpp/xmake.lua) |

##### Install command

```console
xrepo install tgbot-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tgbot-cpp")
```


### theora (linux)


| Description | *Reference implementation of the Theora video compression format.* |
| -- | -- |
| Homepage | [https://theora.org/](https://theora.org/) |
| License | BSD-3-Clause |
| Versions | v1.0, v1.1.0, v1.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [theora/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/theora/xmake.lua) |

##### Install command

```console
xrepo install theora
```

##### Integration in the project (xmake.lua)

```lua
add_requires("theora")
```


### think-cell-library (linux)


| Description | *Think-cell core library* |
| -- | -- |
| Homepage | [https://www.think-cell.com/en/career/devblog/overview](https://www.think-cell.com/en/career/devblog/overview) |
| License | BSL-1.0 |
| Versions | 2023.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [think-cell-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/think-cell-library/xmake.lua) |

##### Install command

```console
xrepo install think-cell-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("think-cell-library")
```


### thorvg (linux)


| Description | *Thor Vector Graphics is a lightweight portable library used for drawing vector-based scenes and animations including SVG and Lottie. It can be freely utilized across various software platforms and applications to visualize graphical contents.* |
| -- | -- |
| Homepage | [https://www.thorvg.org](https://www.thorvg.org) |
| License | MIT |
| Versions | v0.13.2, v0.13.5, v0.13.6, v0.13.8, v0.14.1, v0.14.2, v0.14.3, v0.14.6, v0.14.10, v0.15.1, v0.15.2, v0.15.8, v1.0-pre10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [thorvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thorvg/xmake.lua) |

##### Install command

```console
xrepo install thorvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thorvg")
```


### thread-pool (linux)


| Description | *BS::thread_pool: a fast, lightweight, and easy-to-use C++17 thread pool library* |
| -- | -- |
| Homepage | [https://github.com/bshoshany/thread-pool](https://github.com/bshoshany/thread-pool) |
| License | MIT |
| Versions | v3.3.0, v4.1.0, v5.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [thread-pool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thread-pool/xmake.lua) |

##### Install command

```console
xrepo install thread-pool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thread-pool")
```


### thrift (linux)


| Description | *Thrift is a lightweight, language-independent software stack for point-to-point RPC implementation.* |
| -- | -- |
| Homepage | [https://thrift.apache.org/](https://thrift.apache.org/) |
| License | Apache-2.0 |
| Versions | v0.16.0, v0.17.0, v0.18.0, v0.18.1, v0.19.0, v0.20.0, v0.21.0, v0.22.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [thrift/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thrift/xmake.lua) |

##### Install command

```console
xrepo install thrift
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thrift")
```


### thrust (linux)


| Description | *The C++ parallel algorithms library.* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/thrust](https://github.com/NVIDIA/thrust) |
| License | Apache-2.0 |
| Versions | 1.17.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [thrust/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thrust/xmake.lua) |

##### Install command

```console
xrepo install thrust
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thrust")
```


### ti-cgt (linux)


| Description | *TI CGT (code generate tool) are TI's compilers for TI C2000 DSP, TI C6000 DSP, TI Arm board.* |
| -- | -- |
| Homepage | [https://www.ti.com](https://www.ti.com) |
| Versions | 8.3.12, 8.3.13 |
| Architectures | x86_64 |
| Definition | [ti-cgt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/ti-cgt/xmake.lua) |

##### Install command

```console
xrepo install ti-cgt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ti-cgt")
```


### tidy-html5 (linux)


| Description | *The granddaddy of HTML tools, with support for modern standards* |
| -- | -- |
| Homepage | [http://www.html-tidy.org](http://www.html-tidy.org) |
| Versions | 5.9.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tidy-html5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tidy-html5/xmake.lua) |

##### Install command

```console
xrepo install tidy-html5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tidy-html5")
```


### tiltedcore (linux)


| Description | *Core library from Tilted Phoques* |
| -- | -- |
| Homepage | [https://github.com/tiltedphoques/TiltedCore](https://github.com/tiltedphoques/TiltedCore) |
| Versions | v0.1.3, v0.1.4, v0.1.5, v0.1.6, v0.2.0, v0.2.1, v0.2.2, v0.2.3, v0.2.4, v0.2.5, v0.2.6, v0.2.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tiltedcore/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiltedcore/xmake.lua) |

##### Install command

```console
xrepo install tiltedcore
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiltedcore")
```


### tiny-aes-c (linux)


| Description | *Small portable AES128/192/256 in C* |
| -- | -- |
| Homepage | [https://github.com/kokke/tiny-AES-c](https://github.com/kokke/tiny-AES-c) |
| License | Unlicense |
| Versions | 2021.12.22 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tiny-aes-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-aes-c/xmake.lua) |

##### Install command

```console
xrepo install tiny-aes-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-aes-c")
```


### tiny-optional (linux)


| Description | *Replacement for std::optional that does not unnecessarily waste memory* |
| -- | -- |
| Homepage | [https://github.com/Sedeniono/tiny-optional](https://github.com/Sedeniono/tiny-optional) |
| License | BSL-1.0 |
| Versions | v1.2.0, v1.2.1, v1.3.1, v1.4.0 |
| Architectures | i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tiny-optional/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-optional/xmake.lua) |

##### Install command

```console
xrepo install tiny-optional
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-optional")
```


### tiny-process-library (linux)


| Description | *A small platform independent library making it simple to create and stop new processes in C++, as well as writing to stdin and reading from stdout and stderr of a new process* |
| -- | -- |
| Homepage | [https://gitlab.com/eidheim/tiny-process-library](https://gitlab.com/eidheim/tiny-process-library) |
| License | MIT |
| Versions | v2.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tiny-process-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-process-library/xmake.lua) |

##### Install command

```console
xrepo install tiny-process-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-process-library")
```


### tinyalloc (linux)


| Description | *malloc / free replacement for unmanaged, linear memory situations (e.g. WASM, embedded devices...)* |
| -- | -- |
| Homepage | [https://github.com/thi-ng/tinyalloc](https://github.com/thi-ng/tinyalloc) |
| License | Apache-2.0 |
| Versions | 2021.10.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyalloc/xmake.lua) |

##### Install command

```console
xrepo install tinyalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyalloc")
```


### tinycbor (linux)


| Description | *Concise Binary Object Representation (CBOR) Library* |
| -- | -- |
| Homepage | [https://github.com/intel/tinycbor](https://github.com/intel/tinycbor) |
| License | MIT |
| Versions | v0.6.0, v0.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinycbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycbor/xmake.lua) |

##### Install command

```console
xrepo install tinycbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycbor")
```


### tinycc (linux)


| Description | *Tiny C Compiler* |
| -- | -- |
| Homepage | [https://bellard.org/tcc/](https://bellard.org/tcc/) |
| Versions | 0.9.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinycc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycc/xmake.lua) |

##### Install command

```console
xrepo install tinycc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycc")
```


### tinycolormap (linux)


| Description | *A header-only, single-file library for colormaps written in C++11* |
| -- | -- |
| Homepage | [https://github.com/yuki-koyama/tinycolormap](https://github.com/yuki-koyama/tinycolormap) |
| License | MIT |
| Versions | v0.7.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinycolormap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycolormap/xmake.lua) |

##### Install command

```console
xrepo install tinycolormap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycolormap")
```


### tinycrypt (linux)


| Description | *TinyCrypt Cryptographic Library* |
| -- | -- |
| Homepage | [https://github.com/intel/tinycrypt](https://github.com/intel/tinycrypt) |
| Versions | 2019.9.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinycrypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycrypt/xmake.lua) |

##### Install command

```console
xrepo install tinycrypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycrypt")
```


### tinycthread (linux)


| Description | *A small, portable implementation of the C11 threads API.* |
| -- | -- |
| Homepage | [https://github.com/tinycthread/tinycthread](https://github.com/tinycthread/tinycthread) |
| License | MIT |
| Versions | 2016.09.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinycthread/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycthread/xmake.lua) |

##### Install command

```console
xrepo install tinycthread
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycthread")
```


### tinydir (linux)


| Description | *Lightweight, portable and easy to integrate C directory and file reader* |
| -- | -- |
| Homepage | [https://github.com/cxong/tinydir](https://github.com/cxong/tinydir) |
| Versions | 1.2.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinydir/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinydir/xmake.lua) |

##### Install command

```console
xrepo install tinydir
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinydir")
```


### tinyexpr (linux)


| Description | *TinyExpr is a very small parser and evaluation library for evaluating math expressions from C.* |
| -- | -- |
| Homepage | [https://codeplea.com/tinyexpr](https://codeplea.com/tinyexpr) |
| License | zlib |
| Versions | 2022.11.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyexpr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyexpr/xmake.lua) |

##### Install command

```console
xrepo install tinyexpr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyexpr")
```


### tinyexr (linux)


| Description | *Tiny OpenEXR image loader/saver library* |
| -- | -- |
| Homepage | [https://github.com/syoyo/tinyexr/](https://github.com/syoyo/tinyexr/) |
| License | BSD-3-Clause |
| Versions | v1.0.1, v1.0.8, v1.0.9, v1.0.10, v1.0.12 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyexr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyexr/xmake.lua) |

##### Install command

```console
xrepo install tinyexr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyexr")
```


### tinyfiledialogs (linux)


| Description | *Native dialog library for WINDOWS MAC OSX GTK+ QT CONSOLE* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/tinyfiledialogs/](https://sourceforge.net/projects/tinyfiledialogs/) |
| License | zlib |
| Versions | 3.8.8, 3.15.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyfiledialogs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyfiledialogs/xmake.lua) |

##### Install command

```console
xrepo install tinyfiledialogs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyfiledialogs")
```


### tinyformat (linux)


| Description | *Minimal, type safe printf replacement library for C++* |
| -- | -- |
| Homepage | [https://github.com/c42f/tinyformat/](https://github.com/c42f/tinyformat/) |
| Versions | 2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyformat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyformat/xmake.lua) |

##### Install command

```console
xrepo install tinyformat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyformat")
```


### tinygltf (linux)


| Description | *Header only C++11 tiny glTF 2.0 library* |
| -- | -- |
| Homepage | [https://github.com/syoyo/tinygltf/](https://github.com/syoyo/tinygltf/) |
| License | MIT |
| Versions | v2.5.0, v2.6.3, v2.8.9, v2.8.13, v2.8.21, v2.8.22, v2.9.2, v2.9.3, v2.9.5, v2.9.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinygltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinygltf/xmake.lua) |

##### Install command

```console
xrepo install tinygltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinygltf")
```


### tinyjpeg (linux)


| Description | *Single header lib for JPEG encoding. Public domain. C99. stb style.* |
| -- | -- |
| Homepage | [https://github.com/serge-rgb/TinyJPEG](https://github.com/serge-rgb/TinyJPEG) |
| Versions | 2022.08.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyjpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyjpeg/xmake.lua) |

##### Install command

```console
xrepo install tinyjpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyjpeg")
```


### tinymcp (linux)


| Description | *A lightweight C++ SDK for implementing the MCP Server.* |
| -- | -- |
| Homepage | [https://github.com/Qihoo360/TinyMCP](https://github.com/Qihoo360/TinyMCP) |
| License | MIT |
| Versions | 2025.05.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinymcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinymcp/xmake.lua) |

##### Install command

```console
xrepo install tinymcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinymcp")
```


### tinyobjloader (linux)


| Description | *Tiny but powerful single file wavefront obj loader* |
| -- | -- |
| Homepage | [https://github.com/tinyobjloader/tinyobjloader](https://github.com/tinyobjloader/tinyobjloader) |
| License | MIT |
| Versions | v1.0.7, v2.0.0rc10, v2.0.0rc13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyobjloader/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyobjloader/xmake.lua) |

##### Install command

```console
xrepo install tinyobjloader
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyobjloader")
```


### tinyply (linux)


| Description | *C++11 ply 3d mesh format importer & exporter* |
| -- | -- |
| Homepage | [https://github.com/ddiakopoulos/tinyply](https://github.com/ddiakopoulos/tinyply) |
| License | BSD-2-Clause |
| Versions | 2.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyply/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyply/xmake.lua) |

##### Install command

```console
xrepo install tinyply
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyply")
```


### tinyspline (linux)


| Description | *ANSI C library for NURBS, B-Splines, and Bézier curves with interfaces for C++, C#, D, Go, Java, Javascript, Lua, Octave, PHP, Python, R, and Ruby.* |
| -- | -- |
| Homepage | [https://github.com/msteinbeck/tinyspline](https://github.com/msteinbeck/tinyspline) |
| License | MIT |
| Versions | v0.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyspline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyspline/xmake.lua) |

##### Install command

```console
xrepo install tinyspline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyspline")
```


### tinyxml (linux)


| Description | *TinyXML is a simple, small, minimal, C++ XML parser that can be easily integrating into other programs.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/tinyxml/](https://sourceforge.net/projects/tinyxml/) |
| License | zlib |
| Versions | 2.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyxml/xmake.lua) |

##### Install command

```console
xrepo install tinyxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyxml")
```


### tinyxml2 (linux)


| Description | *simple, small, efficient, C++ XML parser that can be easily integrating into other programs.* |
| -- | -- |
| Homepage | [http://www.grinninglizard.com/tinyxml2/](http://www.grinninglizard.com/tinyxml2/) |
| License | zlib |
| Versions | 8.0.0, 9.0.0, 10.0.0, 11.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tinyxml2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyxml2/xmake.lua) |

##### Install command

```console
xrepo install tinyxml2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyxml2")
```


### tl_expected (linux)


| Description | *C++11/14/17 std::expected with functional-style extensions* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/expected](https://github.com/TartanLlama/expected) |
| License | CC0 |
| Versions | v1.0.0, v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tl_expected/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_expected/xmake.lua) |

##### Install command

```console
xrepo install tl_expected
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_expected")
```


### tl_function_ref (linux)


| Description | *A lightweight, non-owning reference to a callable.* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/function_ref](https://github.com/TartanLlama/function_ref) |
| License | CC0 |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tl_function_ref/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_function_ref/xmake.lua) |

##### Install command

```console
xrepo install tl_function_ref
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_function_ref")
```


### tl_optional (linux)


| Description | *C++11/14/17 std::optional with functional-style extensions and support for references.* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/optional](https://github.com/TartanLlama/optional) |
| License | CC0 |
| Versions | v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tl_optional/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_optional/xmake.lua) |

##### Install command

```console
xrepo install tl_optional
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_optional")
```


### tlsf (linux)


| Description | *Two-Level Segregated Fit memory allocator implementation.* |
| -- | -- |
| Homepage | [https://github.com/mattconte/tlsf](https://github.com/mattconte/tlsf) |
| License | BSD-3-Clause |
| Versions | 2020.03.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tlsf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tlsf/xmake.lua) |

##### Install command

```console
xrepo install tlsf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tlsf")
```


### tmx (linux)


| Description | *C tmx map loader* |
| -- | -- |
| Homepage | [http://libtmx.rtfd.io/](http://libtmx.rtfd.io/) |
| License | BSD-2-Clause |
| Versions | 1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tmx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tmx/xmake.lua) |

##### Install command

```console
xrepo install tmx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tmx")
```


### tmxlite (linux)


| Description | *lightweight C++14 parser for Tiled tmx files* |
| -- | -- |
| Homepage | [https://github.com/fallahn/tmxlite](https://github.com/fallahn/tmxlite) |
| License | zlib |
| Versions | v1.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tmxlite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tmxlite/xmake.lua) |

##### Install command

```console
xrepo install tmxlite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tmxlite")
```


### tmxparser (linux)


| Description | *C++11 library for parsing the maps generated by Tiled Map Editor* |
| -- | -- |
| Homepage | [https://github.com/sainteos/tmxparser](https://github.com/sainteos/tmxparser) |
| Versions | 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tmxparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tmxparser/xmake.lua) |

##### Install command

```console
xrepo install tmxparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tmxparser")
```


### tobiaslocker_base64 (linux)


| Description | *A modern C++ base64 encoder / decoder * |
| -- | -- |
| Homepage | [https://github.com/tobiaslocker/base64](https://github.com/tobiaslocker/base64) |
| License | MIT |
| Versions | 2024.02.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tobiaslocker_base64/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tobiaslocker_base64/xmake.lua) |

##### Install command

```console
xrepo install tobiaslocker_base64
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tobiaslocker_base64")
```


### toml++ (linux)


| Description | *toml++ is a header-only TOML config file parser and serializer for C++17 (and later!).* |
| -- | -- |
| Homepage | [https://marzer.github.io/tomlplusplus/](https://marzer.github.io/tomlplusplus/) |
| License | MIT |
| Versions | v2.5.0, v3.0.0, v3.1.0, v3.2.0, v3.3.0, v3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [toml++/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toml++/xmake.lua) |

##### Install command

```console
xrepo install toml++
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toml++")
```


### toml11 (linux)


| Description | *TOML for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/ToruNiina/toml11](https://github.com/ToruNiina/toml11) |
| License | MIT |
| Versions | v3.7.0, v3.8.1, v4.0.1, v4.0.2, v4.0.3, v4.1.0, v4.2.0, v4.3.0, v4.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [toml11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toml11/xmake.lua) |

##### Install command

```console
xrepo install toml11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toml11")
```


### tomlc99 (linux)


| Description | *TOML C library* |
| -- | -- |
| Homepage | [https://github.com/cktan/tomlc99](https://github.com/cktan/tomlc99) |
| License | MIT |
| Versions | 2023.09.30 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tomlc99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tomlc99/xmake.lua) |

##### Install command

```console
xrepo install tomlc99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tomlc99")
```


### tomlcpp (linux)


| Description | *No fanfare TOML C++ Library* |
| -- | -- |
| Homepage | [https://github.com/cktan/tomlcpp](https://github.com/cktan/tomlcpp) |
| License | MIT |
| Versions | 2022.06.25 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tomlcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tomlcpp/xmake.lua) |

##### Install command

```console
xrepo install tomlcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tomlcpp")
```


### toojpeg (linux)


| Description | *A JPEG encoder in a single C++ file* |
| -- | -- |
| Homepage | [https://create.stephan-brumme.com/toojpeg/](https://create.stephan-brumme.com/toojpeg/) |
| License | zlib |
| Versions | 1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [toojpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toojpeg/xmake.lua) |

##### Install command

```console
xrepo install toojpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toojpeg")
```


### tracy (linux)


| Description | *C++ frame profiler* |
| -- | -- |
| Homepage | [https://github.com/wolfpld/tracy](https://github.com/wolfpld/tracy) |
| Versions | v0.8.2, v0.9, v0.9.1, v0.10, v0.11.0, v0.11.1, v0.12.0, v0.12.1, v0.12.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tracy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tracy/xmake.lua) |

##### Install command

```console
xrepo install tracy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tracy")
```


### transwarp (linux)


| Description | *A header-only C++ library for task concurrency* |
| -- | -- |
| Homepage | [https://github.com/bloomen/transwarp](https://github.com/bloomen/transwarp) |
| License | MIT |
| Versions | 2.2.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [transwarp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/transwarp/xmake.lua) |

##### Install command

```console
xrepo install transwarp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("transwarp")
```


### trantor (linux)


| Description | *a non-blocking I/O tcp network lib based on c++14/17* |
| -- | -- |
| Homepage | [https://github.com/an-tao/trantor/](https://github.com/an-tao/trantor/) |
| License | BSD-3-Clause |
| Versions | v1.3.0, v1.4.1, v1.5.0, v1.5.2, v1.5.5, v1.5.6, v1.5.7, v1.5.8, v1.5.14, v1.5.17, v1.5.18, v1.5.19, v1.5.20, v1.5.21, v1.5.22, v1.5.23 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [trantor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/trantor/xmake.lua) |

##### Install command

```console
xrepo install trantor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("trantor")
```


### tree-sitter (linux)


| Description | *An incremental parsing system for programming tools* |
| -- | -- |
| Homepage | [https://tree-sitter.github.io/](https://tree-sitter.github.io/) |
| License | MIT |
| Versions | v0.21.0, v0.22.2, v0.22.5, v0.22.6, v0.23.0, v0.24.2, v0.24.3, v0.24.4, v0.24.5, v0.24.6, v0.25.3, v0.25.5, v0.25.6, v0.25.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tree-sitter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tree-sitter/xmake.lua) |

##### Install command

```console
xrepo install tree-sitter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tree-sitter")
```


### trompeloeil (linux)


| Description | *A thread-safe header-only mocking framework for C++11/14 using the Boost Software License 1.0* |
| -- | -- |
| Homepage | [https://github.com/rollbear/trompeloeil](https://github.com/rollbear/trompeloeil) |
| License | BSL-1.0 |
| Versions | v43, v47, v48, v49 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [trompeloeil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/trompeloeil/xmake.lua) |

##### Install command

```console
xrepo install trompeloeil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("trompeloeil")
```


### tuplet (linux)


| Description | *A fast, simple tuple implementation that implements tuple as an aggregate* |
| -- | -- |
| Homepage | [https://github.com/codeinred/tuplet](https://github.com/codeinred/tuplet) |
| License | BSL-1.0 |
| Versions | v2.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tuplet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tuplet/xmake.lua) |

##### Install command

```console
xrepo install tuplet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tuplet")
```


### turbobase64 (linux)


| Description | *Turbo Base64 - Fastest Base64 SIMD/Neon/Altivec* |
| -- | -- |
| Homepage | [https://github.com/powturbo/Turbo-Base64](https://github.com/powturbo/Turbo-Base64) |
| License | GPL-3.0 |
| Versions | 2022.02.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [turbobase64/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/turbobase64/xmake.lua) |

##### Install command

```console
xrepo install turbobase64
```

##### Integration in the project (xmake.lua)

```lua
add_requires("turbobase64")
```


### tweeny (linux)


| Description | *A modern C++ tweening library* |
| -- | -- |
| Homepage | [http://mobius3.github.io/tweeny](http://mobius3.github.io/tweeny) |
| License | MIT |
| Versions | 2023.05.09 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [tweeny/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tweeny/xmake.lua) |

##### Install command

```console
xrepo install tweeny
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tweeny")
```


### type_safe (linux)


| Description | *Zero overhead utilities for preventing bugs at compile time* |
| -- | -- |
| Homepage | [https://type_safe.foonathan.net](https://type_safe.foonathan.net) |
| License | MIT |
| Versions | v0.2.2, v0.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [type_safe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/type_safe/xmake.lua) |

##### Install command

```console
xrepo install type_safe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("type_safe")
```



## u
### uchardet (linux)


| Description | *uchardet is an encoding detector library, which takes a sequence of bytes in an unknown character encoding without any additional information, and attempts to determine the encoding of the text. * |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/uchardet/](https://www.freedesktop.org/wiki/Software/uchardet/) |
| License | MPL-1.1 |
| Versions | 0.0.7, 0.0.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uchardet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uchardet/xmake.lua) |

##### Install command

```console
xrepo install uchardet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uchardet")
```


### ucx (linux)


| Description | *Unified Communication X* |
| -- | -- |
| Homepage | [https://openucx.org/](https://openucx.org/) |
| License | BSD-3-Clause |
| Versions | 1.11.0, 1.15.0, 1.16.0, 1.17.0, 1.18.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ucx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/ucx/xmake.lua) |

##### Install command

```console
xrepo install ucx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ucx")
```


### udt (linux)


| Description | *UDP-based Data Transfer Protocol* |
| -- | -- |
| Homepage | [https://github.com/dorkbox/UDT](https://github.com/dorkbox/UDT) |
| License | Apache-2.0 |
| Versions | 2017.12.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [udt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/udt/xmake.lua) |

##### Install command

```console
xrepo install udt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("udt")
```


### ufbx (linux)


| Description | *Single source file FBX loader* |
| -- | -- |
| Homepage | [https://github.com/ufbx/ufbx](https://github.com/ufbx/ufbx) |
| License | MIT |
| Versions | v0.6.1, v0.11.1, v0.12.0, v0.13.0, v0.14.0, v0.14.2, v0.14.3, v0.15.0, v0.15.1, v0.18.2, v0.20.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ufbx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/ufbx/xmake.lua) |

##### Install command

```console
xrepo install ufbx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ufbx")
```


### ultralight (linux)


| Description | *Ultralight makes it easy for C/C++ developers to seamlessly integrate web-content into games and desktop apps.* |
| -- | -- |
| Homepage | [https://ultralig.ht](https://ultralig.ht) |
| License | LGPL |
| Versions | 1.3.0, 1.4.0-beta, 1.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [ultralight/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/ultralight/xmake.lua) |

##### Install command

```console
xrepo install ultralight
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ultralight")
```


### uni_algo (linux)


| Description | *Unicode Algorithms Implementation for C/C++* |
| -- | -- |
| Homepage | [https://github.com/uni-algo/uni-algo/](https://github.com/uni-algo/uni-algo/) |
| License | MIT |
| Versions | v0.7.1, v0.8.0, v0.8.1, v0.8.2, v1.0.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uni_algo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uni_algo/xmake.lua) |

##### Install command

```console
xrepo install uni_algo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uni_algo")
```


### unicorn (linux)


| Description | *Unicorn CPU emulator framework (ARM, AArch64, M68K, Mips, Sparc, PowerPC, RiscV, S390x, TriCore, X86)* |
| -- | -- |
| Homepage | [http://www.unicorn-engine.org](http://www.unicorn-engine.org) |
| License | GPL-2.0 |
| Versions | 2.1.1, 2.1.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [unicorn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unicorn/xmake.lua) |

##### Install command

```console
xrepo install unicorn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unicorn")
```


### units (linux)


| Description | *A compile-time, header-only, dimensional analysis library built on c++14 with no dependencies.* |
| -- | -- |
| Homepage | [https://nholthaus.github.io/units/](https://nholthaus.github.io/units/) |
| License | MIT |
| Versions | v2.3.3, v2.3.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [units/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/units/xmake.lua) |

##### Install command

```console
xrepo install units
```

##### Integration in the project (xmake.lua)

```lua
add_requires("units")
```


### unity_test (linux)


| Description | *Simple Unit Testing for C* |
| -- | -- |
| Homepage | [http://www.throwtheswitch.org/unity](http://www.throwtheswitch.org/unity) |
| License | MIT |
| Versions | v2.4.3, v2.5.0, v2.5.1, v2.5.2, v2.6.0, v2.6.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [unity_test/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unity_test/xmake.lua) |

##### Install command

```console
xrepo install unity_test
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unity_test")
```


### universal_stacktrace (linux)


| Description | *C++ Stacktrace for windows linux and os/x* |
| -- | -- |
| Homepage | [https://github.com/MisterTea/UniversalStacktrace](https://github.com/MisterTea/UniversalStacktrace) |
| License | Apache-2.0 |
| Versions | 2022.11.06, 2023.10.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [universal_stacktrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/universal_stacktrace/xmake.lua) |

##### Install command

```console
xrepo install universal_stacktrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("universal_stacktrace")
```


### unordered_dense (linux)


| Description | *A fast & densely stored hashmap and hashset based on robin-hood backward shift deletion.* |
| -- | -- |
| Homepage | [https://github.com/martinus/unordered_dense](https://github.com/martinus/unordered_dense) |
| License | MIT |
| Versions | v1.1.0, v1.4.0, v2.0.2, v3.0.0, v4.0.4, v4.4.0, v4.5.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [unordered_dense/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unordered_dense/xmake.lua) |

##### Install command

```console
xrepo install unordered_dense
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unordered_dense")
```


### unqlite (linux)


| Description | *An Embedded NoSQL, Transactional Database Engine.* |
| -- | -- |
| Homepage | [https://unqlite.org](https://unqlite.org) |
| Versions | 1.1.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [unqlite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unqlite/xmake.lua) |

##### Install command

```console
xrepo install unqlite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unqlite")
```


### unzip (linux)


| Description | *UnZip is an extraction utility for archives compressed in .zip format.* |
| -- | -- |
| Homepage | [http://infozip.sourceforge.net/UnZip.html](http://infozip.sourceforge.net/UnZip.html) |
| Versions | 6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [unzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unzip/xmake.lua) |

##### Install command

```console
xrepo install unzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unzip")
```


### upa-url (linux)


| Description | *An implementation of the WHATWG URL Standard in C++* |
| -- | -- |
| Homepage | [https://upa-url.github.io/docs/](https://upa-url.github.io/docs/) |
| License | BSD-2-Clause |
| Versions | v1.0.0, v1.0.1, v1.0.2, v1.2.0, v2.0.0, v2.1.0, v2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [upa-url/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/upa-url/xmake.lua) |

##### Install command

```console
xrepo install upa-url
```

##### Integration in the project (xmake.lua)

```lua
add_requires("upa-url")
```


### urdfdom (linux)


| Description | *A C++ parser for the Unified Robot Description Format (URDF)* |
| -- | -- |
| Homepage | [https://wiki.ros.org/urdf](https://wiki.ros.org/urdf) |
| License | BSD-3-Clause |
| Versions | 1.0.4, 4.0.0, 4.0.1, 5.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [urdfdom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/urdfdom/xmake.lua) |

##### Install command

```console
xrepo install urdfdom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("urdfdom")
```


### urdfdom-headers (linux)


| Description | *Headers for URDF parsers* |
| -- | -- |
| Homepage | [http://ros.org/wiki/urdf](http://ros.org/wiki/urdf) |
| License | BSD-3-Clause |
| Versions | 1.0.5, 1.1.1, 1.1.2, 2.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [urdfdom-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/urdfdom-headers/xmake.lua) |

##### Install command

```console
xrepo install urdfdom-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("urdfdom-headers")
```


### uriparser (linux)


| Description | *uriparser is a strictly RFC 3986 compliant URI parsing and handling library written in C89.* |
| -- | -- |
| Homepage | [https://uriparser.github.io/](https://uriparser.github.io/) |
| License | BSD-3-Clause |
| Versions | 0.9.5, 0.9.6, 0.9.7, 0.9.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uriparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uriparser/xmake.lua) |

##### Install command

```console
xrepo install uriparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uriparser")
```


### usd (linux)


| Description | *Universal Scene Description* |
| -- | -- |
| Homepage | [http://www.openusd.org](http://www.openusd.org) |
| License | Apache-2.0 |
| Versions | v22.11, v23.02, v24.03, v24.05, v24.08, v25.05, v25.05.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [usd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/usd/xmake.lua) |

##### Install command

```console
xrepo install usd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("usd")
```


### usockets (linux)


| Description | *µSockets is the non-blocking, thread-per-CPU foundation library used by µWebSockets. It provides optimized networking - using the same opaque API (programming interface) across all supported transports, event-loops and platforms.* |
| -- | -- |
| Homepage | [https://github.com/uNetworking](https://github.com/uNetworking) |
| License | Apache-2.0 |
| Versions | v0.8.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [usockets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/usockets/xmake.lua) |

##### Install command

```console
xrepo install usockets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("usockets")
```


### usrsctp (linux)


| Description | *A portable SCTP userland stack* |
| -- | -- |
| Homepage | [https://github.com/sctplab/usrsctp](https://github.com/sctplab/usrsctp) |
| License | BSD-3-Clause |
| Versions | 0.9.5+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [usrsctp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/usrsctp/xmake.lua) |

##### Install command

```console
xrepo install usrsctp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("usrsctp")
```


### utest.h (linux)


| Description | *single header unit testing framework for C and C++* |
| -- | -- |
| Homepage | [https://www.duskborn.com/utest_h/](https://www.duskborn.com/utest_h/) |
| Versions | 2022.09.01 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [utest.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utest.h/xmake.lua) |

##### Install command

```console
xrepo install utest.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utest.h")
```


### utf8.h (linux)


| Description | *single header utf8 string functions for C and C++* |
| -- | -- |
| Homepage | [https://github.com/sheredom/utf8.h](https://github.com/sheredom/utf8.h) |
| Versions | 2022.07.04, 2025.01.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [utf8.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utf8.h/xmake.lua) |

##### Install command

```console
xrepo install utf8.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utf8.h")
```


### utf8_range (linux)


| Description | *Utf8 range* |
| -- | -- |
| Homepage | [https://github.com/protocolbuffers/utf8_range](https://github.com/protocolbuffers/utf8_range) |
| License | MIT |
| Versions | 2022.11.15, 2023.11.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [utf8_range/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utf8_range/xmake.lua) |

##### Install command

```console
xrepo install utf8_range
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utf8_range")
```


### utf8proc (linux)


| Description | *A clean C library for processing UTF-8 Unicode data* |
| -- | -- |
| Homepage | [https://juliastrings.github.io/utf8proc/](https://juliastrings.github.io/utf8proc/) |
| License | MIT |
| Versions | v2.7.0, v2.8.0, v2.9.0, v2.10.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [utf8proc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utf8proc/xmake.lua) |

##### Install command

```console
xrepo install utf8proc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utf8proc")
```


### utfcpp (linux)


| Description | *UTF8-CPP: UTF-8 with C++ in a Portable Way* |
| -- | -- |
| Homepage | [https://github.com/nemtrif/utfcpp](https://github.com/nemtrif/utfcpp) |
| License | BSL-1.0 |
| Versions | v3.2.1, v3.2.3, v3.2.4, v3.2.5, v4.0.0, v4.0.1, v4.0.2, v4.0.3, v4.0.4, v4.0.5, v4.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [utfcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utfcpp/xmake.lua) |

##### Install command

```console
xrepo install utfcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utfcpp")
```


### uthash (linux)


| Description | *C macros for hash tables and more* |
| -- | -- |
| Homepage | [https://troydhanson.github.io/uthash](https://troydhanson.github.io/uthash) |
| License | BSD |
| Versions | 2023.7.11, 2025.05.05 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uthash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uthash/xmake.lua) |

##### Install command

```console
xrepo install uthash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uthash")
```


### util-linux (linux)


| Description | *Collection of Linux utilities.* |
| -- | -- |
| Homepage | [https://github.com/util-linux/util-linux](https://github.com/util-linux/util-linux) |
| License | GPL-2.0 |
| Versions | 2.32.1, 2.36.2, 2.39, 2.39.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [util-linux/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/util-linux/xmake.lua) |

##### Install command

```console
xrepo install util-linux
```

##### Integration in the project (xmake.lua)

```lua
add_requires("util-linux")
```


### util-macros (linux)


| Description | *X.Org: Set of autoconf macros used to build other xorg packages* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.19.3, 1.20.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [util-macros/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/util-macros/xmake.lua) |

##### Install command

```console
xrepo install util-macros
```

##### Integration in the project (xmake.lua)

```lua
add_requires("util-macros")
```


### uuid_v4 (linux)


| Description | *Super fast C++ library to generate and parse UUIDv4* |
| -- | -- |
| Homepage | [https://github.com/crashoz/uuid_v4](https://github.com/crashoz/uuid_v4) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uuid_v4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uuid_v4/xmake.lua) |

##### Install command

```console
xrepo install uuid_v4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uuid_v4")
```


### uvw (linux)


| Description | *Header-only, event based, tiny and easy to use libuv wrapper in modern C++* |
| -- | -- |
| Homepage | [https://github.com/skypjack/uvw](https://github.com/skypjack/uvw) |
| License | MIT |
| Versions | v2.10.0, v2.11.0, v2.12.1, v3.0.0, v3.1.0, v3.2.0, v3.3.0, v3.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uvw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uvw/xmake.lua) |

##### Install command

```console
xrepo install uvw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uvw")
```


### uvwasi (linux)


| Description | *WASI syscall API built atop libuv* |
| -- | -- |
| Homepage | [https://github.com/nodejs/uvwasi](https://github.com/nodejs/uvwasi) |
| License | MIT |
| Versions | v0.0.12, v0.0.20, v0.0.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uvwasi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uvwasi/xmake.lua) |

##### Install command

```console
xrepo install uvwasi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uvwasi")
```


### uwebsockets (linux)


| Description | *Simple, secure & standards compliant web server for the most demanding of applications.* |
| -- | -- |
| Homepage | [https://github.com/uNetworking](https://github.com/uNetworking) |
| License | Apache-2.0 |
| Versions | v20.60.0, v20.61.0, v20.62.0, v20.64.0, v20.65.0, v20.66.0, v20.67.0, v20.70.0, v20.72.0, v20.74.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [uwebsockets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uwebsockets/xmake.lua) |

##### Install command

```console
xrepo install uwebsockets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uwebsockets")
```



## v
### v8 (linux)


| Description | *V8 JavaScript Engine* |
| -- | -- |
| Homepage | [https://v8.dev](https://v8.dev) |
| Versions | 13.5.212.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [v8/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/v8/xmake.lua) |

##### Install command

```console
xrepo install v8
```

##### Integration in the project (xmake.lua)

```lua
add_requires("v8")
```


### variant-lite (linux)


| Description | *variant lite - A C++17-like variant, a type-safe union for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/variant-lite](https://github.com/martinmoene/variant-lite) |
| License | BSL-1.0 |
| Versions | 2022.12.03 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [variant-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/variant-lite/xmake.lua) |

##### Install command

```console
xrepo install variant-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("variant-lite")
```


### vc (linux)


| Description | *SIMD Vector Classes for C++* |
| -- | -- |
| Homepage | [https://github.com/VcDevel/Vc](https://github.com/VcDevel/Vc) |
| License | BSD-3-Clause |
| Versions | 1.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vc/xmake.lua) |

##### Install command

```console
xrepo install vc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vc")
```


### vcglib (linux)


| Description | *The Visualization and Computer Graphics Library (VCG for short) is a open source portable C++ templated library for manipulation, processing and displaying with OpenGL of triangle and tetrahedral meshes.* |
| -- | -- |
| Homepage | [http://www.vcglib.net/](http://www.vcglib.net/) |
| License | GPL-3.0 |
| Versions | 2020.12, 2021.07, 2021.10, 2022.02, 2023.12, 2025.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vcglib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vcglib/xmake.lua) |

##### Install command

```console
xrepo install vcglib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vcglib")
```


### vcpkg (linux)


| Description | *C++ Library Manager for Windows, Linux, and MacOS* |
| -- | -- |
| Homepage | [https://github.com/microsoft/vcpkg](https://github.com/microsoft/vcpkg) |
| License | MIT |
| Versions | 2024.05.24, 2024.07.12, 2024.08.23, 2024.09.30, 2024.10.21, 2024.11.16 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vcpkg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vcpkg/xmake.lua) |

##### Install command

```console
xrepo install vcpkg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vcpkg")
```


### vectorial (linux)


| Description | *Vector math library with NEON/SSE support* |
| -- | -- |
| Homepage | [https://github.com/scoopr/vectorial](https://github.com/scoopr/vectorial) |
| Versions | 2019.06.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vectorial/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vectorial/xmake.lua) |

##### Install command

```console
xrepo install vectorial
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vectorial")
```


### verdict (linux)


| Description | *Compute quality functions of 2 and 3-dimensional regions.* |
| -- | -- |
| Homepage | [https://github.com/sandialabs/verdict](https://github.com/sandialabs/verdict) |
| Versions | 1.4.2, 1.4.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [verdict/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/verdict/xmake.lua) |

##### Install command

```console
xrepo install verdict
```

##### Integration in the project (xmake.lua)

```lua
add_requires("verdict")
```


### verilator (linux)


| Description | *Verilator open-source SystemVerilog simulator and lint system* |
| -- | -- |
| Homepage | [https://verilator.org](https://verilator.org) |
| License | LGPL-3.0 |
| Versions | v5.016, v5.032, v5.034, v5.036 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [verilator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/verilator/xmake.lua) |

##### Install command

```console
xrepo install verilator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("verilator")
```


### vexcl (linux)


| Description | *VexCL is a C++ vector expression template library for OpenCL/CUDA/OpenMP* |
| -- | -- |
| Homepage | [https://github.com/ddemidov/vexcl](https://github.com/ddemidov/vexcl) |
| License | MIT |
| Versions | 1.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vexcl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vexcl/xmake.lua) |

##### Install command

```console
xrepo install vexcl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vexcl")
```


### viennacl (linux)


| Description | *ViennaCL is a free open-source linear algebra library for computations on many-core architectures (GPUs, MIC) and multi-core CPUs.* |
| -- | -- |
| Homepage | [http://viennacl.sourceforge.net/](http://viennacl.sourceforge.net/) |
| License | MIT |
| Versions | 1.7.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [viennacl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/viennacl/xmake.lua) |

##### Install command

```console
xrepo install viennacl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("viennacl")
```


### visit_struct (linux)


| Description | *A miniature library for struct-field reflection in C++* |
| -- | -- |
| Homepage | [https://github.com/cbeck88/visit_struct](https://github.com/cbeck88/visit_struct) |
| License | BSL-1.0 |
| Versions | v1.1.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [visit_struct/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/visit_struct/xmake.lua) |

##### Install command

```console
xrepo install visit_struct
```

##### Integration in the project (xmake.lua)

```lua
add_requires("visit_struct")
```


### vk-bootstrap (linux)


| Description | *Vulkan Bootstrapping Iibrary.* |
| -- | -- |
| Homepage | [https://github.com/charles-lunarg/vk-bootstrap](https://github.com/charles-lunarg/vk-bootstrap) |
| License | MIT |
| Versions | v0.5, v0.6, v0.7, v1.3.268, v1.3.275, v1.3.280, v1.3.282, v1.3.283, v1.3.284, v1.3.285, v1.3.289, v1.3.290, v1.3.292, v1.3.295, v1.3.302, v1.4.307, v1.4.311, v1.4.312, v1.4.315 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vk-bootstrap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vk-bootstrap/xmake.lua) |

##### Install command

```console
xrepo install vk-bootstrap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vk-bootstrap")
```


### vladimirshaleev-ipaddress (linux)


| Description | *A library for working and manipulating IPv4/IPv6 addresses and networks* |
| -- | -- |
| Homepage | [https://vladimirshaleev.github.io/ipaddress/](https://vladimirshaleev.github.io/ipaddress/) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vladimirshaleev-ipaddress/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vladimirshaleev-ipaddress/xmake.lua) |

##### Install command

```console
xrepo install vladimirshaleev-ipaddress
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vladimirshaleev-ipaddress")
```


### vmaf (linux)


| Description | *Perceptual video quality assessment based on multi-method fusion.* |
| -- | -- |
| Homepage | [https://github.com/Netflix/vmaf](https://github.com/Netflix/vmaf) |
| License | BSD-2-Clause |
| Versions | v3.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vmaf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vmaf/xmake.lua) |

##### Install command

```console
xrepo install vmaf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vmaf")
```


### volk (linux)


| Description | *volk is a meta-loader for Vulkan* |
| -- | -- |
| Homepage | [https://github.com/zeux/volk](https://github.com/zeux/volk) |
| License | MIT |
| Versions | 1.2.162, 1.2.190, 1.3.204, 1.3.231+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [volk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/volk/xmake.lua) |

##### Install command

```console
xrepo install volk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("volk")
```


### vtk (linux)


| Description | *The Visualization Toolkit (VTK) is open source software for manipulating and displaying scientific data.* |
| -- | -- |
| Homepage | [https://vtk.org/](https://vtk.org/) |
| License | BSD-3-Clause |
| Versions | 9.0.1, 9.0.3, 9.1.0, 9.2.2, 9.2.6, 9.3.1, 9.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vtk/xmake.lua) |

##### Install command

```console
xrepo install vtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vtk")
```


### vulkan-headers (linux)


| Description | *Vulkan Header files and API registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Headers/](https://github.com/KhronosGroup/Vulkan-Headers/) |
| License | Apache-2.0 |
| Versions | 1.2.154+0, 1.2.162+0, 1.2.182+0, 1.2.189+1, 1.2.198+0, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-headers/xmake.lua) |

##### Install command

```console
xrepo install vulkan-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-headers")
```


### vulkan-hpp (linux)


| Description | *Open-Source Vulkan C++ API* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Hpp/](https://github.com/KhronosGroup/Vulkan-Hpp/) |
| License | Apache-2.0 |
| Versions | v1.2.180, v1.2.189, v1.2.198, v1.3.231, v1.3.236, v1.3.240, v1.3.244, v1.3.254, v1.3.261, v1.3.268, v1.3.272, v1.3.275, v1.3.276, v1.3.277, v1.3.278, v1.3.279, v1.3.280, v1.3.281, v1.3.282, v1.3.283, v1.3.290, v1.4.309 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-hpp/xmake.lua) |

##### Install command

```console
xrepo install vulkan-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-hpp")
```


### vulkan-loader (linux)


| Description | *This project provides the Khronos official Vulkan ICD desktop loader for Windows, Linux, and MacOS.* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Loader](https://github.com/KhronosGroup/Vulkan-Loader) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.182+0, 1.2.189+1, 1.2.198+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-loader/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-loader/xmake.lua) |

##### Install command

```console
xrepo install vulkan-loader
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-loader")
```


### vulkan-memory-allocator (linux)


| Description | *Easy to integrate Vulkan memory allocation library.* |
| -- | -- |
| Homepage | [https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/](https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/) |
| License | MIT |
| Versions | v3.0.0, v3.0.1, v3.1.0, v3.2.0, v3.2.1, v3.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-memory-allocator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-memory-allocator/xmake.lua) |

##### Install command

```console
xrepo install vulkan-memory-allocator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-memory-allocator")
```


### vulkan-memory-allocator-hpp (linux)


| Description | *C++ bindings for VulkanMemoryAllocator.* |
| -- | -- |
| Homepage | [https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/](https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/) |
| License | CC0 |
| Versions | v3.0.0, v3.0.1-1, v3.0.1-3, v3.1.0, v3.2.0, v3.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-memory-allocator-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-memory-allocator-hpp/xmake.lua) |

##### Install command

```console
xrepo install vulkan-memory-allocator-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-memory-allocator-hpp")
```


### vulkan-tools (linux)


| Description | *Vulkan Utilities and Tools* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Tools](https://github.com/KhronosGroup/Vulkan-Tools) |
| License | Apache-2.0 |
| Versions | 1.2.154+0, 1.2.162+0, 1.2.189+1, 1.2.198+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-tools/xmake.lua) |

##### Install command

```console
xrepo install vulkan-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-tools")
```


### vulkan-utility-libraries (linux)


| Description | *Utility libraries for Vulkan developers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Utility-Libraries](https://github.com/KhronosGroup/Vulkan-Utility-Libraries) |
| License | Apache-2.0 |
| Versions | 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-utility-libraries/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-utility-libraries/xmake.lua) |

##### Install command

```console
xrepo install vulkan-utility-libraries
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-utility-libraries")
```


### vulkan-validationlayers (linux)


| Description | *Vulkan Validation Layers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-ValidationLayers/](https://github.com/KhronosGroup/Vulkan-ValidationLayers/) |
| License | Apache-2.0 |
| Versions | 1.2.154+0, 1.2.162+0, 1.2.182+0, 1.2.189+1, 1.2.198+0, 1.3.275+0, 1.3.290+0, 1.4.309+0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkan-validationlayers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-validationlayers/xmake.lua) |

##### Install command

```console
xrepo install vulkan-validationlayers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-validationlayers")
```


### vulkanscenegraph (linux)


| Description | *Vulkan & C++17 based Scene Graph Project* |
| -- | -- |
| Homepage | [http://www.vulkanscenegraph.org](http://www.vulkanscenegraph.org) |
| License | MIT |
| Versions | 1.0.2, v1.1.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkanscenegraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkanscenegraph/xmake.lua) |

##### Install command

```console
xrepo install vulkanscenegraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkanscenegraph")
```


### vulkansdk (linux)


| Description | *LunarG Vulkan® SDK* |
| -- | -- |
| Homepage | [https://www.lunarg.com/vulkan-sdk/](https://www.lunarg.com/vulkan-sdk/) |
| Versions |  |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vulkansdk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkansdk/xmake.lua) |

##### Install command

```console
xrepo install vulkansdk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkansdk")
```


### vvenc (linux)


| Description | *Fraunhofer Versatile Video Encoder (VVenC)* |
| -- | -- |
| Homepage | [https://www.hhi.fraunhofer.de/en/departments/vca/technologies-and-solutions/h266-vvc.html](https://www.hhi.fraunhofer.de/en/departments/vca/technologies-and-solutions/h266-vvc.html) |
| License | BSD-3-Clause-Clear |
| Versions | v1.9.0, v1.11.1, v1.12.0, v1.12.1, v1.13.0, v1.13.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [vvenc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vvenc/xmake.lua) |

##### Install command

```console
xrepo install vvenc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vvenc")
```



## w
### wangle (linux)


| Description | *Wangle is a framework providing a set of common client/server abstractions for building services in a consistent, modular, and composable way.* |
| -- | -- |
| Homepage | [https://github.com/facebook/wangle](https://github.com/facebook/wangle) |
| License | Apache-2.0 |
| Versions | 2024.02.26, 2024.03.04, 2024.03.11, 2024.03.18, 2024.03.25, 2024.04.01, 2024.06.10, 2024.06.17, 2024.06.24, 2024.07.01, 2024.07.08, 2024.07.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wangle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wangle/xmake.lua) |

##### Install command

```console
xrepo install wangle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wangle")
```


### wasm-micro-runtime (linux)


| Description | *WebAssembly Micro Runtime (WAMR)* |
| -- | -- |
| Homepage | [https://github.com/bytecodealliance/wasm-micro-runtime](https://github.com/bytecodealliance/wasm-micro-runtime) |
| License | Apache-2.0 |
| Versions | 1.2.3, 1.3.2, 2.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wasm-micro-runtime/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wasm-micro-runtime/xmake.lua) |

##### Install command

```console
xrepo install wasm-micro-runtime
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wasm-micro-runtime")
```


### watcher (linux)


| Description | *Filesystem watcher. Works anywhere. Simple, efficient and friendly.* |
| -- | -- |
| Homepage | [https://github.com/e-dant/watcher](https://github.com/e-dant/watcher) |
| License | MIT |
| Versions | 0.9.5, 0.11.0, 0.12.2, 0.13.2, 0.13.5, 0.13.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [watcher/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/watcher/xmake.lua) |

##### Install command

```console
xrepo install watcher
```

##### Integration in the project (xmake.lua)

```lua
add_requires("watcher")
```


### wavpack (linux)


| Description | *WavPack encode/decode library, command-line programs, and several plugins* |
| -- | -- |
| Homepage | [https://github.com/dbry/WavPack](https://github.com/dbry/WavPack) |
| License | BSD-3-Clause |
| Versions | 4.80.0, 5.4.0, 5.5.0, 5.6.0, 5.7.0, 5.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wavpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wavpack/xmake.lua) |

##### Install command

```console
xrepo install wavpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wavpack")
```


### wayland (linux)


| Description | *Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol.* |
| -- | -- |
| Homepage | [https://wayland.freedesktop.org/](https://wayland.freedesktop.org/) |
| License | MIT |
| Versions | 1.18.0, 1.19.0, 1.23.0, 1.23.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wayland/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wayland/xmake.lua) |

##### Install command

```console
xrepo install wayland
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wayland")
```


### wayland-protocols (linux)


| Description | *Additional Wayland protocols* |
| -- | -- |
| Homepage | [https://wayland.freedesktop.org](https://wayland.freedesktop.org) |
| License | MIT |
| Versions | 1.24, 1.25, 1.26, 1.27, 1.28, 1.29, 1.30, 1.31, 1.32, 1.39, 1.42, 1.43, 1.44, 1.45 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wayland-protocols/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wayland-protocols/xmake.lua) |

##### Install command

```console
xrepo install wayland-protocols
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wayland-protocols")
```


### webdriverxx (linux)


| Description | *A C++ client library for Selenium Webdriver* |
| -- | -- |
| Homepage | [https://GermanAizek.github.io/webdriverxx](https://GermanAizek.github.io/webdriverxx) |
| License | MIT |
| Versions | 2023.04.22, 2025.03.20 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [webdriverxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/webdriverxx/xmake.lua) |

##### Install command

```console
xrepo install webdriverxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("webdriverxx")
```


### websocketpp (linux)


| Description | *C++ websocket client/server library* |
| -- | -- |
| Homepage | [http://www.zaphoyd.com/websocketpp](http://www.zaphoyd.com/websocketpp) |
| Versions | 0.8.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [websocketpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/websocketpp/xmake.lua) |

##### Install command

```console
xrepo install websocketpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("websocketpp")
```


### webthing-cpp (linux)


| Description | *Webthing-CPP is a modern CPP/C++17 implementation of the WebThings API.* |
| -- | -- |
| Homepage | [https://github.com/bw-hro/webthing-cpp](https://github.com/bw-hro/webthing-cpp) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [webthing-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/webthing-cpp/xmake.lua) |

##### Install command

```console
xrepo install webthing-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("webthing-cpp")
```


### webui (linux)


| Description | *Use any web browser as GUI, with your preferred language in the backend and HTML5 in the frontend, all in a lightweight portable lib.* |
| -- | -- |
| Homepage | [https://webui.me](https://webui.me) |
| License | MIT |
| Versions | 2.3.0, 2.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [webui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/webui/xmake.lua) |

##### Install command

```console
xrepo install webui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("webui")
```


### wfrest (linux)


| Description | *C++ Web Framework REST API* |
| -- | -- |
| Homepage | [https://github.com/wfrest/wfrest](https://github.com/wfrest/wfrest) |
| License | Apache-2.0 |
| Versions | v0.9.3, v0.9.4, v0.9.5, v0.9.6, v0.9.7, v0.9.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wfrest/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wfrest/xmake.lua) |

##### Install command

```console
xrepo install wfrest
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wfrest")
```


### wgpu-native (linux)


| Description | *Native WebGPU implementation based on wgpu-core* |
| -- | -- |
| Homepage | [https://github.com/gfx-rs/wgpu-native](https://github.com/gfx-rs/wgpu-native) |
| License | Apache-2.0 |
| Versions | v0.17.0+2, v0.19.4+1, v24.0.0+1, v25.0.2+1 |
| Architectures | arm64, x86_64 |
| Definition | [wgpu-native/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wgpu-native/xmake.lua) |

##### Install command

```console
xrepo install wgpu-native
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wgpu-native")
```


### wgsl-validator (linux)


| Description | *WGSL validator in Rust with C bindings.* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/wgsl-validator](https://github.com/NazaraEngine/wgsl-validator) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wgsl-validator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wgsl-validator/xmake.lua) |

##### Install command

```console
xrepo install wgsl-validator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wgsl-validator")
```


### whereami (linux)


| Description | *Locate the current running executable and the current running module/library on the file system 🔎* |
| -- | -- |
| Homepage | [https://github.com/gpakosz/whereami](https://github.com/gpakosz/whereami) |
| License | MIT |
| Versions | 2024.08.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [whereami/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/whereami/xmake.lua) |

##### Install command

```console
xrepo install whereami
```

##### Integration in the project (xmake.lua)

```lua
add_requires("whereami")
```


### which (linux)


| Description | *shows the full path of (shell) commands* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/which/](https://www.gnu.org/software/which/) |
| Versions | 2.16, 2.17, 2.19, 2.20, 2.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [which/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/which/xmake.lua) |

##### Install command

```console
xrepo install which
```

##### Integration in the project (xmake.lua)

```lua
add_requires("which")
```


### whisper.cpp (linux)


| Description | *Port of OpenAI's Whisper model in C/C++* |
| -- | -- |
| Homepage | [https://github.com/ggerganov/whisper.cpp](https://github.com/ggerganov/whisper.cpp) |
| Versions | 1.4.2, 1.5.4, 1.5.5, 1.6.0, 1.6.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [whisper.cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/whisper.cpp/xmake.lua) |

##### Install command

```console
xrepo install whisper.cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("whisper.cpp")
```


### wigxjpf (linux)


| Description | *WIGXJPF evaluates Wigner 3j, 6j and 9j symbols accurately using prime factorisation and multi-word integer arithmetic.* |
| -- | -- |
| Homepage | [https://fy.chalmers.se/subatom/wigxjpf/](https://fy.chalmers.se/subatom/wigxjpf/) |
| License | table: 0x55ab47d7ee90 |
| Versions | 1.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wigxjpf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wigxjpf/xmake.lua) |

##### Install command

```console
xrepo install wigxjpf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wigxjpf")
```


### wirehair (linux)


| Description | *Wirehair : O(N) Fountain Code for Large Data* |
| -- | -- |
| Homepage | [http://wirehairfec.com](http://wirehairfec.com) |
| License | BSD-3-Clause |
| Versions | 2023.12.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wirehair/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wirehair/xmake.lua) |

##### Install command

```console
xrepo install wirehair
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wirehair")
```


### wjakob_filesystem (linux)


| Description | *A tiny self-contained path manipulation library for C++* |
| -- | -- |
| Homepage | [https://github.com/wjakob/filesystem](https://github.com/wjakob/filesystem) |
| License | BSD-3-Clause |
| Versions | 2021.10.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wjakob_filesystem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wjakob_filesystem/xmake.lua) |

##### Install command

```console
xrepo install wjakob_filesystem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wjakob_filesystem")
```


### woff2 (linux)


| Description | *Font compression reference code.* |
| -- | -- |
| Homepage | [https://github.com/google/woff2](https://github.com/google/woff2) |
| License | MIT |
| Versions | v1.0.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [woff2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/woff2/xmake.lua) |

##### Install command

```console
xrepo install woff2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("woff2")
```


### wolfssl (linux)


| Description | *The wolfSSL library is a small, fast, portable implementation of TLS/SSL for embedded devices to the cloud.  wolfSSL supports up to TLS 1.3!* |
| -- | -- |
| Homepage | [https://www.wolfssl.com](https://www.wolfssl.com) |
| License | GPL-2.0 |
| Versions | 5.3.0, 5.6.2, 5.6.3, 5.6.4, 5.6.6, 5.7.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wolfssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wolfssl/xmake.lua) |

##### Install command

```console
xrepo install wolfssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wolfssl")
```


### workflow (linux)


| Description | *C++ Parallel Computing and Asynchronous Networking Framework* |
| -- | -- |
| Homepage | [https://github.com/sogou/workflow](https://github.com/sogou/workflow) |
| License | Apache-2.0 |
| Versions | v0.10.6, v0.10.7, v0.10.8, v0.10.9, v0.11.1, v0.11.2, v0.11.3, v0.11.4, v0.11.9 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [workflow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/workflow/xmake.lua) |

##### Install command

```console
xrepo install workflow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("workflow")
```


### workspace_hanya (linux)


| Description | *Workspace is a lightweight asynchronous execution framework based on C++11* |
| -- | -- |
| Homepage | [https://github.com/CodingHanYa/workspace](https://github.com/CodingHanYa/workspace) |
| License | Apache-2.0 |
| Versions | 2023.5.8 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [workspace_hanya/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/workspace_hanya/xmake.lua) |

##### Install command

```console
xrepo install workspace_hanya
```

##### Integration in the project (xmake.lua)

```lua
add_requires("workspace_hanya")
```


### wren (linux)


| Description | *Wren is a small, fast, class-based concurrent scripting language.* |
| -- | -- |
| Homepage | [http://wren.io](http://wren.io) |
| License | MIT |
| Versions | 0.4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wren/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wren/xmake.lua) |

##### Install command

```console
xrepo install wren
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wren")
```


### wxwidgets (linux)


| Description | *Cross-Platform C++ GUI Library* |
| -- | -- |
| Homepage | [https://www.wxwidgets.org/](https://www.wxwidgets.org/) |
| Versions | 3.2.0, 3.2.2, 3.2.3, 3.2.4, 3.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wxwidgets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wxwidgets/xmake.lua) |

##### Install command

```console
xrepo install wxwidgets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wxwidgets")
```


### wyhash (linux)


| Description | *The FASTEST QUALITY hash function, random number generators (PRNG) and hash map.* |
| -- | -- |
| Homepage | [https://github.com/wangyi-fudan/wyhash](https://github.com/wangyi-fudan/wyhash) |
| License | Unlicense |
| Versions | 2023.04.10, 2024.06.07 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [wyhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wyhash/xmake.lua) |

##### Install command

```console
xrepo install wyhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wyhash")
```



## x
### x264 (linux)


| Description | *A free software library and application for encoding video streams into the H.264/MPEG-4 AVC compression format.* |
| -- | -- |
| Homepage | [https://www.videolan.org/developers/x264.html](https://www.videolan.org/developers/x264.html) |
| License | GPL-2.0 |
| Versions | v2018.09.25, v2021.09.29, v2023.04.04, v2024.02.27 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [x264/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/x264/xmake.lua) |

##### Install command

```console
xrepo install x264
```

##### Integration in the project (xmake.lua)

```lua
add_requires("x264")
```


### x265 (linux)


| Description | *A free software library and application for encoding video streams into the H.265/MPEG-H HEVC compression format.* |
| -- | -- |
| Homepage | [http://x265.org](http://x265.org) |
| License | GPL-2.0 |
| Versions | 3.2, 3.2.1, 3.3, 3.4, 4.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [x265/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/x265/xmake.lua) |

##### Install command

```console
xrepo install x265
```

##### Integration in the project (xmake.lua)

```lua
add_requires("x265")
```


### xapian-core (linux)


| Description | *Xapian is an Open Source Search Engine Library, with bindings to allow use from Perl, Python 2, Python 3, PHP 5, PHP 7, Java, Tcl, C#, Ruby, Lua, Erlang, Node.js, R.* |
| -- | -- |
| Homepage | [https://savannah.gnu.org/projects/osip](https://savannah.gnu.org/projects/osip) |
| License | GPL-2.0-or-later |
| Versions | 1.4.27, 1.4.28, 1.4.29 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xapian-core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xapian-core/xmake.lua) |

##### Install command

```console
xrepo install xapian-core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xapian-core")
```


### xbyak (linux)


| Description | *JIT assembler for x86(IA-32)/x64(AMD64, x86-64) MMX/SSE/SSE2/SSE3/SSSE3/SSE4/FPU/AVX/AVX2/AVX-512* |
| -- | -- |
| Homepage | [https://github.com/herumi/xbyak](https://github.com/herumi/xbyak) |
| Versions | v6.02, v6.03, v6.73, v7.06 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xbyak/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xbyak/xmake.lua) |

##### Install command

```console
xrepo install xbyak
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xbyak")
```


### xcb-proto (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.13, 1.14, 1.14.1, 1.16.0, 1.17.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-proto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-proto/xmake.lua) |

##### Install command

```console
xrepo install xcb-proto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-proto")
```


### xcb-util (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.3.6, 0.3.8, 0.3.9, 0.4.0, 0.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util/xmake.lua) |

##### Install command

```console
xrepo install xcb-util
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util")
```


### xcb-util-cursor (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.1.0, 0.1.1, 0.1.2, 0.1.3, 0.1.4, 0.1.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-cursor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-cursor/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-cursor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-cursor")
```


### xcb-util-errors (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 1.0, 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-errors/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-errors/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-errors
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-errors")
```


### xcb-util-image (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.3.8, 0.3.9, 0.4.0, 0.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-image/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-image")
```


### xcb-util-keysyms (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.3.8, 0.3.9, 0.4.0, 0.4.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-keysyms/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-keysyms/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-keysyms
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-keysyms")
```


### xcb-util-renderutil (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.3.8, 0.3.9, 0.3.10 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-renderutil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-renderutil/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-renderutil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-renderutil")
```


### xcb-util-wm (linux)


| Description | *X.Org: XML-XCB protocol descriptions for libxcb code generation* |
| -- | -- |
| Homepage | [https://xcb.freedesktop.org](https://xcb.freedesktop.org) |
| Versions | 0.3.8, 0.3.9, 0.4.0, 0.4.1, 0.4.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xcb-util-wm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xcb-util-wm/xmake.lua) |

##### Install command

```console
xrepo install xcb-util-wm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xcb-util-wm")
```


### xerces-c (linux)


| Description | *Xerces-C++ is a validating XML parser written in a portable subset of C++.* |
| -- | -- |
| Homepage | [https://xerces.apache.org/xerces-c/](https://xerces.apache.org/xerces-c/) |
| License | Apache-2.0 |
| Versions | 3.2.4, 3.2.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xerces-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xerces-c/xmake.lua) |

##### Install command

```console
xrepo install xerces-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xerces-c")
```


### xframe (linux)


| Description | *C++ multi-dimensional labeled arrays and dataframe based on xtensor* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xframe/](https://github.com/xtensor-stack/xframe/) |
| License | BSD-3-Clause |
| Versions | 0.2.0, 0.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xframe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xframe/xmake.lua) |

##### Install command

```console
xrepo install xframe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xframe")
```


### xgrammar (linux)


| Description | *Fast, Flexible and Portable Structured Generation* |
| -- | -- |
| Homepage | [https://xgrammar.mlc.ai/](https://xgrammar.mlc.ai/) |
| License | Apache-2.0 |
| Versions | v0.1.19, v0.1.21 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xgrammar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xgrammar/xmake.lua) |

##### Install command

```console
xrepo install xgrammar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xgrammar")
```


### xlnt (linux)


| Description | *Cross-platform user-friendly xlsx library for C++11+* |
| -- | -- |
| Homepage | [https://github.com/tfussell/xlnt](https://github.com/tfussell/xlnt) |
| License | MIT |
| Versions | 2023.03.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xlnt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xlnt/xmake.lua) |

##### Install command

```console
xrepo install xlnt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xlnt")
```


### xlsxio (linux)


| Description | *XLSX I/O - C library for reading and writing .xlsx files* |
| -- | -- |
| Homepage | [https://github.com/brechtsanders/xlsxio](https://github.com/brechtsanders/xlsxio) |
| License | MIT |
| Versions | 0.2.34, 0.2.35 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xlsxio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xlsxio/xmake.lua) |

##### Install command

```console
xrepo install xlsxio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xlsxio")
```


### xmlto (linux)


| Description | *Convert XML to another format (based on XSL or other tools)* |
| -- | -- |
| Homepage | [https://pagure.io/xmlto](https://pagure.io/xmlto) |
| License | GPL-2.0 |
| Versions | 0.0.28 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xmlto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xmlto/xmake.lua) |

##### Install command

```console
xrepo install xmlto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xmlto")
```


### xorgproto (linux)


| Description | *X.Org: Protocol Headers* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 2021.5, 2022.2, 2023.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xorgproto/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xorgproto/xmake.lua) |

##### Install command

```console
xrepo install xorgproto
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xorgproto")
```


### xpack (linux)


| Description | *convert json/xml/bson to c++ struct* |
| -- | -- |
| Homepage | [https://github.com/xyz347/xpack](https://github.com/xyz347/xpack) |
| License | Apache-2.0 |
| Versions | v1.0.5, v1.0.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xpack/xmake.lua) |

##### Install command

```console
xrepo install xpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xpack")
```


### xproperty (linux)


| Description | *Traitlets-like C++ properties and implementation of the observer pattern* |
| -- | -- |
| Homepage | [https://github.com/jupyter-xeus/xproperty](https://github.com/jupyter-xeus/xproperty) |
| License | BSD-3-Clause |
| Versions | 0.12.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xproperty/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xproperty/xmake.lua) |

##### Install command

```console
xrepo install xproperty
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xproperty")
```


### xquic (linux)


| Description | *A client and server implementation of QUIC and HTTP/3 as specified by the IETF* |
| -- | -- |
| Homepage | [https://github.com/alibaba/xquic](https://github.com/alibaba/xquic) |
| License | Apache-2.0 |
| Versions | 2022.01.08 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xquic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xquic/xmake.lua) |

##### Install command

```console
xrepo install xquic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xquic")
```


### xsimd (linux)


| Description | *C++ wrappers for SIMD intrinsics* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xsimd/](https://github.com/xtensor-stack/xsimd/) |
| License | BSD-3-Clause |
| Versions | 7.6.0, 8.0.3, 8.0.5, 9.0.1, 10.0.0, 11.0.0, 12.1.1, 13.0.0, 13.1.0, 13.2.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xsimd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xsimd/xmake.lua) |

##### Install command

```console
xrepo install xsimd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xsimd")
```


### xtd (linux)


| Description | *xtd is a modern C++17/20 framework to create console, GUI (forms like WinForms) and unit test applications on Microsoft Windows, Apple macOS, Linux, iOS and android (*).* |
| -- | -- |
| Homepage | [https://github.com/gammasoft71/xtd](https://github.com/gammasoft71/xtd) |
| License | MIT |
| Versions | v0.1.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtd/xmake.lua) |

##### Install command

```console
xrepo install xtd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtd")
```


### xtensor (linux)


| Description | *Multi-dimensional arrays with broadcasting and lazy computing* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xtensor/](https://github.com/xtensor-stack/xtensor/) |
| License | BSD-3-Clause |
| Versions | 0.23.10, 0.24.0, 0.24.1, 0.24.3, 0.24.7, 0.25.0, 0.26.0, 0.27.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtensor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtensor/xmake.lua) |

##### Install command

```console
xrepo install xtensor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtensor")
```


### xtensor-blas (linux)


| Description | *BLAS extension to xtensor* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xtensor-blas/](https://github.com/xtensor-stack/xtensor-blas/) |
| License | BSD-3-Clause |
| Versions | 0.19.1, 0.20.0, 0.21.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtensor-blas/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtensor-blas/xmake.lua) |

##### Install command

```console
xrepo install xtensor-blas
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtensor-blas")
```


### xtensor-io (linux)


| Description | *xtensor plugin to read and write images, audio files, numpy (compressed) npz and HDF5* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xtensor-io](https://github.com/xtensor-stack/xtensor-io) |
| License | BSD-3-Clause |
| Versions | 0.13.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtensor-io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtensor-io/xmake.lua) |

##### Install command

```console
xrepo install xtensor-io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtensor-io")
```


### xtl (linux)


| Description | *Basic tools (containers, algorithms) used by other quantstack packages* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xtl/](https://github.com/xtensor-stack/xtl/) |
| License | BSD-3-Clause |
| Versions | 0.7.2, 0.7.3, 0.7.4, 0.7.6, 0.7.7, 0.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtl/xmake.lua) |

##### Install command

```console
xrepo install xtl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtl")
```


### xtrans (linux)


| Description | *X.Org: X Network Transport layer shared code* |
| -- | -- |
| Homepage | [https://www.x.org/](https://www.x.org/) |
| Versions | 1.4.0, 1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xtrans/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtrans/xmake.lua) |

##### Install command

```console
xrepo install xtrans
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtrans")
```


### xxhash (linux)


| Description | *xxHash is an extremely fast non-cryptographic hash algorithm, working at RAM speed limit.* |
| -- | -- |
| Homepage | [http://cyan4973.github.io/xxHash/](http://cyan4973.github.io/xxHash/) |
| License | BSD-2-Clause |
| Versions | v0.8.0, v0.8.1, v0.8.2, v0.8.3 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xxhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xxhash/xmake.lua) |

##### Install command

```console
xrepo install xxhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xxhash")
```


### xz (linux)


| Description | *General-purpose data compression with high compression ratio.* |
| -- | -- |
| Homepage | [https://tukaani.org/xz/](https://tukaani.org/xz/) |
| Versions | 5.2.11, 5.2.12, 5.2.13, 5.4.2, 5.4.3, 5.4.4, 5.4.5, 5.4.6, 5.4.7, 5.6.2, 5.6.3, 5.6.4, 5.8.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [xz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xz/xmake.lua) |

##### Install command

```console
xrepo install xz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xz")
```



## y
### yalantinglibs (linux)


| Description | *A collection of modern C++ libraries* |
| -- | -- |
| Homepage | [https://github.com/alibaba/yalantinglibs](https://github.com/alibaba/yalantinglibs) |
| License | Apache-2.0 |
| Versions | 0.3.4, 0.3.5, 0.3.6, 0.3.7, 0.3.8, 0.3.9, 0.3.11, 0.4.0, 0.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yalantinglibs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yalantinglibs/xmake.lua) |

##### Install command

```console
xrepo install yalantinglibs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yalantinglibs")
```


### yaml-cpp (linux)


| Description | *A YAML parser and emitter in C++* |
| -- | -- |
| Homepage | [https://github.com/jbeder/yaml-cpp/](https://github.com/jbeder/yaml-cpp/) |
| License | MIT |
| Versions | 0.6.3, 0.7.0, 0.8.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yaml-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yaml-cpp/xmake.lua) |

##### Install command

```console
xrepo install yaml-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yaml-cpp")
```


### yaml_cpp_struct (linux)


| Description | *It's easy to mapping yaml to cpp's struct* |
| -- | -- |
| Homepage | [https://github.com/fantasy-peak/yaml_cpp_struct](https://github.com/fantasy-peak/yaml_cpp_struct) |
| License | MIT |
| Versions | v1.0.2, v1.0.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yaml_cpp_struct/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yaml_cpp_struct/xmake.lua) |

##### Install command

```console
xrepo install yaml_cpp_struct
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yaml_cpp_struct")
```


### yas (linux)


| Description | *Yet Another Serialization* |
| -- | -- |
| Homepage | [https://github.com/niXman/yas](https://github.com/niXman/yas) |
| Versions | 2023.09.13, 2025.02.19 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yas/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yas/xmake.lua) |

##### Install command

```console
xrepo install yas
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yas")
```


### yasm (linux)


| Description | *Modular BSD reimplementation of NASM.* |
| -- | -- |
| Homepage | [https://yasm.tortall.net/](https://yasm.tortall.net/) |
| Versions | 1.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yasm/xmake.lua) |

##### Install command

```console
xrepo install yasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yasm")
```


### yoga (linux)


| Description | *Yoga is a cross-platform layout engine which implements Flexbox. Follow https://twitter.com/yogalayout for updates.* |
| -- | -- |
| Homepage | [https://yogalayout.com/](https://yogalayout.com/) |
| License | MIT |
| Versions | v2.0.1, v3.0.0, v3.0.2, v3.0.3, v3.0.4, v3.1.0, v3.2.0, v3.2.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yoga/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yoga/xmake.lua) |

##### Install command

```console
xrepo install yoga
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yoga")
```


### yomm2 (linux)


| Description | *Fast, orthogonal, open multi-methods. Solve the Expression Problem in C++17.* |
| -- | -- |
| Homepage | [https://github.com/jll63/yomm2](https://github.com/jll63/yomm2) |
| License | BSL-1.0 |
| Versions | v1.4.0, v1.5.0, v1.5.1, v1.5.2, v1.6.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yomm2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yomm2/xmake.lua) |

##### Install command

```console
xrepo install yomm2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yomm2")
```


### yxml (linux)


| Description | *Yxml - A small, fast and correct* XML parser* |
| -- | -- |
| Homepage | [https://dev.yorhel.nl/yxml](https://dev.yorhel.nl/yxml) |
| License | MIT |
| Versions | 2020.08.13 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yxml/xmake.lua) |

##### Install command

```console
xrepo install yxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yxml")
```


### yyjson (linux)


| Description | *The fastest JSON library in C.* |
| -- | -- |
| Homepage | [https://github.com/ibireme/yyjson](https://github.com/ibireme/yyjson) |
| License | MIT |
| Versions | 0.2.0, 0.3.0, 0.4.0, 0.5.0, 0.5.1, 0.8.0, 0.9.0, 0.10.0, 0.11.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [yyjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yyjson/xmake.lua) |

##### Install command

```console
xrepo install yyjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yyjson")
```



## z
### z3 (linux)


| Description | *Z3 is a theorem prover from Microsoft Research.* |
| -- | -- |
| Homepage | [https://github.com/Z3Prover/z3](https://github.com/Z3Prover/z3) |
| License | MIT |
| Versions | 4.8.15 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [z3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/z3/xmake.lua) |

##### Install command

```console
xrepo install z3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("z3")
```


### zasm (linux)


| Description | *x86-64 Assembler based on Zydis* |
| -- | -- |
| Homepage | [https://github.com/zyantific/zasm](https://github.com/zyantific/zasm) |
| Versions | 2023.06.21, 2024.05.14, 2025.03.02 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zasm/xmake.lua) |

##### Install command

```console
xrepo install zasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zasm")
```


### zbar (linux)


| Description | *Library for reading bar codes from various sources* |
| -- | -- |
| Homepage | [https://github.com/mchehab/zbar](https://github.com/mchehab/zbar) |
| License | LGPL-2.1 |
| Versions | 0.23.93 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zbar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zbar/xmake.lua) |

##### Install command

```console
xrepo install zbar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zbar")
```


### zeromq (linux)


| Description | *High-performance, asynchronous messaging library* |
| -- | -- |
| Homepage | [https://zeromq.org/](https://zeromq.org/) |
| License | MPL-2.0 |
| Versions | 4.3.2, 4.3.4, 4.3.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zeromq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zeromq/xmake.lua) |

##### Install command

```console
xrepo install zeromq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zeromq")
```


### zeus_expected (linux)


| Description | *Backporting std::expected to C++17.* |
| -- | -- |
| Homepage | [https://github.com/zeus-cpp/expected](https://github.com/zeus-cpp/expected) |
| License | MIT |
| Versions | v1.0.0, v1.0.1, v1.1.0, v1.1.1, v1.2.0, v1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zeus_expected/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zeus_expected/xmake.lua) |

##### Install command

```console
xrepo install zeus_expected
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zeus_expected")
```


### zfp (linux)


| Description | *zfp is a compressed format for representing multidimensional floating-point and integer arrays.* |
| -- | -- |
| Homepage | [https://computing.llnl.gov/projects/zfp](https://computing.llnl.gov/projects/zfp) |
| License | BSD-3-Clause |
| Versions | 0.5.5, 1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zfp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zfp/xmake.lua) |

##### Install command

```console
xrepo install zfp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zfp")
```


### zig (linux)


| Description | *Zig is a general-purpose programming language and toolchain for maintaining robust, optimal, and reusable software.* |
| -- | -- |
| Homepage | [https://ziglang.org](https://ziglang.org) |
| Versions | 0.10.1, 0.11.0, 0.12.0, 0.13.0, 0.14.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zig/xmake.lua) |

##### Install command

```console
xrepo install zig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zig")
```


### zimg (linux)


| Description | *Scaling, colorspace conversion, and dithering library* |
| -- | -- |
| Homepage | [https://github.com/sekrit-twc/zimg](https://github.com/sekrit-twc/zimg) |
| License | WTFPL |
| Versions | 3.0.3, 3.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zimg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zimg/xmake.lua) |

##### Install command

```console
xrepo install zimg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zimg")
```


### zint (linux)


| Description | *A barcode encoding library supporting over 50 symbologies including Code 128, Data Matrix, USPS OneCode, EAN-128, UPC/EAN, ITF, QR Code, Code 16k, PDF417, MicroPDF417, LOGMARS, Maxicode, GS1 DataBar, Aztec, Composite Symbols and more.* |
| -- | -- |
| Homepage | [http://www.zint.org.uk](http://www.zint.org.uk) |
| License | GPL-3.0 |
| Versions | 2.14.0, 2.15.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zint/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zint/xmake.lua) |

##### Install command

```console
xrepo install zint
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zint")
```


### zip (linux)


| Description | *Info-ZIP zip utility* |
| -- | -- |
| Homepage | [http://www.info-zip.org/Zip.html](http://www.info-zip.org/Zip.html) |
| Versions | 3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zip/xmake.lua) |

##### Install command

```console
xrepo install zip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zip")
```


### zlib (linux)


| Description | *A Massively Spiffy Yet Delicately Unobtrusive Compression Library* |
| -- | -- |
| Homepage | [http://www.zlib.net](http://www.zlib.net) |
| License | zlib |
| Versions | v1.2.10, v1.2.11, v1.2.12, v1.2.13, v1.3, v1.3.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlib/xmake.lua) |

##### Install command

```console
xrepo install zlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlib")
```


### zlib-ng (linux)


| Description | *zlib replacement with optimizations for next generation systems.* |
| -- | -- |
| Homepage | [https://github.com/zlib-ng/zlib-ng](https://github.com/zlib-ng/zlib-ng) |
| License | zlib |
| Versions | 2.0.5, 2.0.6, 2.1.5, 2.1.6, 2.2.1, 2.2.2, 2.2.4 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zlib-ng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlib-ng/xmake.lua) |

##### Install command

```console
xrepo install zlib-ng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlib-ng")
```


### zlibcomplete (linux)


| Description | *C++ interface to the ZLib library supporting compression with FLUSH, decompression, and std::string. RAII* |
| -- | -- |
| Homepage | [https://github.com/rudi-cilibrasi/zlibcomplete](https://github.com/rudi-cilibrasi/zlibcomplete) |
| License | MIT |
| Versions | 1.0.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zlibcomplete/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlibcomplete/xmake.lua) |

##### Install command

```console
xrepo install zlibcomplete
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlibcomplete")
```


### zlmediakit (linux)


| Description | *WebRTC/RTSP/RTMP/HTTP/HLS/HTTP-FLV/WebSocket-FLV/HTTP-TS/HTTP-fMP4/WebSocket-TS/WebSocket-fMP4/GB28181/SRT server and client framework based on C++11* |
| -- | -- |
| Homepage | [https://github.com/ZLMediaKit/ZLMediaKit](https://github.com/ZLMediaKit/ZLMediaKit) |
| License | MIT |
| Versions | 2023.8.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zlmediakit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlmediakit/xmake.lua) |

##### Install command

```console
xrepo install zlmediakit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlmediakit")
```


### zlog (linux)


| Description | *A reliable, high-performance, thread safe, flexsible, clear-model, pure C logging library.* |
| -- | -- |
| Homepage | [https://github.com/HardySimpson/zlog](https://github.com/HardySimpson/zlog) |
| License | Apache-2.0 |
| Versions | 1.2.17, 1.2.18 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlog/xmake.lua) |

##### Install command

```console
xrepo install zlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlog")
```


### zltoolkit (linux)


| Description | *A lightweight network framework based on C++11 that utilizes thread pool technology to achieve high concurrent network I/O.* |
| -- | -- |
| Homepage | [https://github.com/ZLMediaKit/ZLToolKit](https://github.com/ZLMediaKit/ZLToolKit) |
| License | MIT |
| Versions | 2023.7.8, 2023.8.26 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zltoolkit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zltoolkit/xmake.lua) |

##### Install command

```console
xrepo install zltoolkit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zltoolkit")
```


### zmqpb (linux)


| Description | *A helper to use zeromq and protobuf together* |
| -- | -- |
| Homepage | [https://github.com/SFGrenade/ZmqPb-Cpp/](https://github.com/SFGrenade/ZmqPb-Cpp/) |
| License | MPL-2.0 |
| Versions | 0.1, 0.2, 0.3, 0.4, 0.8, 0.9, 0.10.2, 0.10.3, 0.10.4, 0.10.5 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zmqpb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zmqpb/xmake.lua) |

##### Install command

```console
xrepo install zmqpb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zmqpb")
```


### zoe (linux)


| Description | *C++ File Download Library.* |
| -- | -- |
| Homepage | [https://github.com/winsoft666/zoe](https://github.com/winsoft666/zoe) |
| License | MIT |
| Versions | v3.6 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zoe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zoe/xmake.lua) |

##### Install command

```console
xrepo install zoe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zoe")
```


### zopfli (linux)


| Description | *Zopfli Compression Algorithm is a compression library programmed in C to perform very good, but slow, deflate or zlib compression.* |
| -- | -- |
| Homepage | [https://github.com/google/zopfli](https://github.com/google/zopfli) |
| License | Apache-2.0 |
| Versions | 2021.06.14 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zopfli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zopfli/xmake.lua) |

##### Install command

```console
xrepo install zopfli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zopfli")
```


### zpp_bits (linux)


| Description | *A lightweight C++20 serialization and RPC library* |
| -- | -- |
| Homepage | [https://github.com/eyalz800/zpp_bits](https://github.com/eyalz800/zpp_bits) |
| License | MIT |
| Versions | v4.4.25, v4.5, v4.5.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zpp_bits/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zpp_bits/xmake.lua) |

##### Install command

```console
xrepo install zpp_bits
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zpp_bits")
```


### zpp_throwing (linux)


| Description | *Using coroutines to implement C++ exceptions for freestanding environments* |
| -- | -- |
| Homepage | [https://github.com/eyalz800/zpp_throwing](https://github.com/eyalz800/zpp_throwing) |
| License | MIT |
| Versions | v1.0.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zpp_throwing/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zpp_throwing/xmake.lua) |

##### Install command

```console
xrepo install zpp_throwing
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zpp_throwing")
```


### zstd (linux)


| Description | *Zstandard - Fast real-time compression algorithm* |
| -- | -- |
| Homepage | [https://www.zstd.net/](https://www.zstd.net/) |
| License | BSD-3-Clause |
| Versions | v1.4.5, v1.5.0, v1.5.2, v1.5.5, v1.5.6, v1.5.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zstd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zstd/xmake.lua) |

##### Install command

```console
xrepo install zstd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zstd")
```


### zstr (linux)


| Description | *A C++ header-only ZLib wrapper.* |
| -- | -- |
| Homepage | [https://github.com/mateidavid/zstr](https://github.com/mateidavid/zstr) |
| License | MIT |
| Versions | v1.0.7 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zstr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zstr/xmake.lua) |

##### Install command

```console
xrepo install zstr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zstr")
```


### zxing-cpp (linux)


| Description | *C++ port of ZXing* |
| -- | -- |
| Homepage | [https://github.com/zxing-cpp/zxing-cpp](https://github.com/zxing-cpp/zxing-cpp) |
| License | Apache-2.0 |
| Versions | v2.2.1, v2.3.0 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zxing-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zxing-cpp/xmake.lua) |

##### Install command

```console
xrepo install zxing-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zxing-cpp")
```


### zycore-c (linux)


| Description | *Internal library providing platform independent types, macros and a fallback for environments without LibC.* |
| -- | -- |
| Homepage | [https://github.com/zyantific/zycore-c](https://github.com/zyantific/zycore-c) |
| License | MIT |
| Versions | v1.0.0, v1.1.0, v1.2.0, v1.3.0, v1.4.0, v1.4.1, v1.5.0, v1.5.2 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zycore-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zycore-c/xmake.lua) |

##### Install command

```console
xrepo install zycore-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zycore-c")
```


### zydis (linux)


| Description | *Fast and lightweight x86/x86-64 disassembler and code generation library* |
| -- | -- |
| Homepage | [https://zydis.re](https://zydis.re) |
| License | MIT |
| Versions | v3.2.1, v4.0.0, v4.1.0, v4.1.1 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zydis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zydis/xmake.lua) |

##### Install command

```console
xrepo install zydis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zydis")
```


### zziplib (linux)


| Description | *The zziplib library is intentionally lightweight, it offers the ability to easily extract data from files archived in a single zip file.* |
| -- | -- |
| Homepage | [http://zziplib.sourceforge.net/](http://zziplib.sourceforge.net/) |
| License | GPL-2.0 |
| Versions | v0.13.72, v0.13.73, v0.13.74, v0.13.76, v0.13.77, v0.13.78, v0.13.79, v0.13.80 |
| Architectures | arm64, armv7, armv7s, i386, loong64, mips, mips64, mips64el, mipsel, x86_64 |
| Definition | [zziplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zziplib/xmake.lua) |

##### Install command

```console
xrepo install zziplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zziplib")
```



