## a
### abseil (msys)


| Description | *C++ Common Libraries* |
| -- | -- |
| Homepage | [https://abseil.io](https://abseil.io) |
| License | Apache-2.0 |
| Versions | 20200225.1, 20210324.1, 20210324.2, 20211102.0, 20220623.0, 20230125.2, 20230802.1, 20240116.1, 20240116.2, 20240722.0, 20250127.0, 20250127.1, 20250512.0, 20250512.1 |
| Architectures | i386, x86_64 |
| Definition | [abseil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/abseil/xmake.lua) |

##### Install command

```console
xrepo install abseil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("abseil")
```


### access_private (msys)


| Description | *Access private members and statics of a C++ class* |
| -- | -- |
| Homepage | [https://github.com/martong/access_private](https://github.com/martong/access_private) |
| License | MIT |
| Versions | 2024.02.01 |
| Architectures | i386, x86_64 |
| Definition | [access_private/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/access_private/xmake.lua) |

##### Install command

```console
xrepo install access_private
```

##### Integration in the project (xmake.lua)

```lua
add_requires("access_private")
```


### ada (msys)


| Description | *WHATWG-compliant and fast URL parser written in modern C++* |
| -- | -- |
| Homepage | [https://www.ada-url.com](https://www.ada-url.com) |
| License | Apache-2.0 |
| Versions | v2.3.1, v2.4.0, v2.4.1, v2.7.6, v2.7.7, v2.7.8, v2.8.0, v2.9.0, v2.9.1, v2.9.2, v3.0.1, v3.1.3, v3.2.1, v3.2.2, v3.2.3, v3.2.4, v3.2.5, v3.2.6 |
| Architectures | i386, x86_64 |
| Definition | [ada/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/ada/xmake.lua) |

##### Install command

```console
xrepo install ada
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ada")
```


### ade (msys)


| Description | *ADE Framework is a graph construction, manipulation, and processing framework.* |
| -- | -- |
| Homepage | [https://github.com/opencv/ade](https://github.com/opencv/ade) |
| License | Apache-2.0 |
| Versions | v0.1.2d, v0.1.2 |
| Architectures | i386, x86_64 |
| Definition | [ade/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/ade/xmake.lua) |

##### Install command

```console
xrepo install ade
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ade")
```


### aitoolkit (msys)


| Description | *Give a brain to your game's NPCs* |
| -- | -- |
| Homepage | [https://linkdd.github.io/aitoolkit/](https://linkdd.github.io/aitoolkit/) |
| License | MIT |
| Versions | v0.3.0, v0.5.0, v0.5.1 |
| Architectures | i386, x86_64 |
| Definition | [aitoolkit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aitoolkit/xmake.lua) |

##### Install command

```console
xrepo install aitoolkit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aitoolkit")
```


### aklomp-base64 (msys)


| Description | *Fast Base64 stream encoder/decoder in C99, with SIMD acceleration.* |
| -- | -- |
| Homepage | [https://github.com/aklomp/base64](https://github.com/aklomp/base64) |
| License | BSD-2-Clause |
| Versions | v0.5.2 |
| Architectures | i386, x86_64 |
| Definition | [aklomp-base64/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aklomp-base64/xmake.lua) |

##### Install command

```console
xrepo install aklomp-base64
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aklomp-base64")
```


### alembic (msys)


| Description | *Open framework for storing and sharing scene data that includes a C++ library, a file format, and client plugins and applications.* |
| -- | -- |
| Homepage | [https://alembic.io/](https://alembic.io/) |
| License | BSD-3-Clause |
| Versions | 1.8.5, 1.8.6, 1.8.7, 1.8.8 |
| Architectures | i386, x86_64 |
| Definition | [alembic/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/alembic/xmake.lua) |

##### Install command

```console
xrepo install alembic
```

##### Integration in the project (xmake.lua)

```lua
add_requires("alembic")
```


### algo_plus (msys)


| Description | *AlgoPlus is a C++17 library for complex data structures and algorithms* |
| -- | -- |
| Homepage | [https://csrt-ntua.github.io/AlgoPlus](https://csrt-ntua.github.io/AlgoPlus) |
| License | Apache-2.0 |
| Versions | 2024.07.02 |
| Architectures | i386, x86_64 |
| Definition | [algo_plus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/algo_plus/xmake.lua) |

##### Install command

```console
xrepo install algo_plus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("algo_plus")
```


### alpaca (msys)


| Description | *Serialization library written in C++17 - Pack C++ structs into a compact byte-array without any macros or boilerplate code* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/alpaca](https://github.com/p-ranav/alpaca) |
| License | MIT |
| Versions | v0.2.1 |
| Architectures | i386, x86_64 |
| Definition | [alpaca/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/alpaca/xmake.lua) |

##### Install command

```console
xrepo install alpaca
```

##### Integration in the project (xmake.lua)

```lua
add_requires("alpaca")
```


### amqp-cpp (msys)


| Description | *C++ library for asynchronous non-blocking communication with RabbitMQ* |
| -- | -- |
| Homepage | [https://github.com/CopernicaMarketingSoftware/AMQP-CPP](https://github.com/CopernicaMarketingSoftware/AMQP-CPP) |
| License | Apache-2.0 |
| Versions | v4.3.26, v4.3.27 |
| Architectures | i386, x86_64 |
| Definition | [amqp-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amqp-cpp/xmake.lua) |

##### Install command

```console
xrepo install amqp-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amqp-cpp")
```


### amrex (msys)


| Description | *AMReX: Software Framework for Block Structured AMR* |
| -- | -- |
| Homepage | [https://amrex-codes.github.io/amrex](https://amrex-codes.github.io/amrex) |
| Versions | 24.09, 24.12, 25.02, 25.03, 25.04, 25.05, 25.06 |
| Architectures | i386, x86_64 |
| Definition | [amrex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/amrex/xmake.lua) |

##### Install command

```console
xrepo install amrex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("amrex")
```


### anari (msys)


| Description | *ANARI Software Development Kit (SDK)* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/ANARI-SDK](https://github.com/KhronosGroup/ANARI-SDK) |
| License | Apache-2.0 |
| Versions | v0.12.1, v0.13.1, v0.14.1 |
| Architectures | i386, x86_64 |
| Definition | [anari/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/anari/xmake.lua) |

##### Install command

```console
xrepo install anari
```

##### Integration in the project (xmake.lua)

```lua
add_requires("anari")
```


### angelscript (msys)


| Description | *Extremely flexible cross-platform scripting library designed to allow applications to extend their functionality through external scripts* |
| -- | -- |
| Homepage | [http://angelcode.com/angelscript/](http://angelcode.com/angelscript/) |
| License | zlib |
| Versions | 2.34.0, 2.35.0, 2.35.1, 2.36.0, 2.37.0 |
| Architectures | i386, x86_64 |
| Definition | [angelscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/angelscript/xmake.lua) |

##### Install command

```console
xrepo install angelscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("angelscript")
```


### annoy (msys)


| Description | *Approximate Nearest Neighbors in C++/Python optimized for memory usage and loading/saving to disk* |
| -- | -- |
| Homepage | [https://github.com/spotify/annoy](https://github.com/spotify/annoy) |
| License | Apache-2.0 |
| Versions | v1.17.2, v1.17.3 |
| Architectures | i386, x86_64 |
| Definition | [annoy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/annoy/xmake.lua) |

##### Install command

```console
xrepo install annoy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("annoy")
```


### antlr4 (msys)


| Description | *powerful parser generator for reading, processing, executing, or translating structured text or binary files.* |
| -- | -- |
| Homepage | [https://www.antlr.org](https://www.antlr.org) |
| License | BSD-3-Clause |
| Versions | 4.13.1, 4.13.2 |
| Architectures | i386, x86_64 |
| Definition | [antlr4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/antlr4/xmake.lua) |

##### Install command

```console
xrepo install antlr4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("antlr4")
```


### antlr4-runtime (msys)


| Description | *ANTLR (ANother Tool for Language Recognition) is a powerful parser generator for reading, processing, executing, or translating structured text or binary files.* |
| -- | -- |
| Homepage | [http://antlr.org](http://antlr.org) |
| License | BSD-3-Clause |
| Versions | 4.13.1, 4.13.2 |
| Architectures | i386, x86_64 |
| Definition | [antlr4-runtime/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/antlr4-runtime/xmake.lua) |

##### Install command

```console
xrepo install antlr4-runtime
```

##### Integration in the project (xmake.lua)

```lua
add_requires("antlr4-runtime")
```


### aom (msys)


| Description | *AV1 Codec Library* |
| -- | -- |
| Homepage | [https://aomedia.googlesource.com/aom](https://aomedia.googlesource.com/aom) |
| License | BSD-2-Clause |
| Versions | 3.9.1 |
| Architectures | i386, x86_64 |
| Definition | [aom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aom/xmake.lua) |

##### Install command

```console
xrepo install aom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aom")
```


### aqt (msys)


| Description | *aqt: Another (unofficial) Qt CLI Installer on multi-platforms* |
| -- | -- |
| Homepage | [https://github.com/miurahr/aqtinstall](https://github.com/miurahr/aqtinstall) |
| License | MIT |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [aqt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aqt/xmake.lua) |

##### Install command

```console
xrepo install aqt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aqt")
```


### arduinojson (msys)


| Description | *📟 JSON library for Arduino and embedded C++. Simple and efficient.* |
| -- | -- |
| Homepage | [https://arduinojson.org](https://arduinojson.org) |
| License | MIT |
| Versions | v6.21.4, v7.0.3, v7.0.4, v7.1.0, v7.2.0, v7.2.1, v7.3.0, v7.3.1, v7.4.1, v7.4.2 |
| Architectures | i386, x86_64 |
| Definition | [arduinojson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/arduinojson/xmake.lua) |

##### Install command

```console
xrepo install arduinojson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("arduinojson")
```


### argh (msys)


| Description | *Argh! A minimalist argument handler.* |
| -- | -- |
| Homepage | [https://github.com/adishavit/argh](https://github.com/adishavit/argh) |
| License | BSD-3-Clause |
| Versions | v1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [argh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argh/xmake.lua) |

##### Install command

```console
xrepo install argh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argh")
```


### argparse (msys)


| Description | *A single header argument parser for C++17* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/argparse](https://github.com/p-ranav/argparse) |
| License | MIT |
| Versions | 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2 |
| Architectures | i386, x86_64 |
| Definition | [argparse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argparse/xmake.lua) |

##### Install command

```console
xrepo install argparse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argparse")
```


### argtable3 (msys)


| Description | *A single-file, ANSI C, command-line parsing library that parses GNU-style command-line options.* |
| -- | -- |
| Homepage | [http://www.argtable.org](http://www.argtable.org) |
| License | BSD-3-Clause |
| Versions | v3.2.2 |
| Architectures | i386, x86_64 |
| Definition | [argtable3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argtable3/xmake.lua) |

##### Install command

```console
xrepo install argtable3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argtable3")
```


### argus (msys)


| Description | *Argus is a cross-platform modern feature-rich command-line argument parser for C* |
| -- | -- |
| Homepage | [https://argus-lib.com](https://argus-lib.com) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | i386, x86_64 |
| Definition | [argus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argus/xmake.lua) |

##### Install command

```console
xrepo install argus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argus")
```


### argz (msys)


| Description | *A light weight C++ in memory argument parser* |
| -- | -- |
| Homepage | [https://github.com/stephenberry/argz](https://github.com/stephenberry/argz) |
| License | Apache-2.0 |
| Versions | v0.2.1 |
| Architectures | i386, x86_64 |
| Definition | [argz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/argz/xmake.lua) |

##### Install command

```console
xrepo install argz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("argz")
```


### asap (msys)


| Description | *A C++ header-only library for creating, displaying, iterating and manipulating dates* |
| -- | -- |
| Homepage | [https://github.com/mobius3/asap](https://github.com/mobius3/asap) |
| License | MIT |
| Versions | 2023.04.21 |
| Architectures | i386, x86_64 |
| Definition | [asap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asap/xmake.lua) |

##### Install command

```console
xrepo install asap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asap")
```


### asbind20 (msys)


| Description | *C++20 AngelScript binding library* |
| -- | -- |
| Homepage | [https://asbind20.readthedocs.io/](https://asbind20.readthedocs.io/) |
| License | MIT |
| Versions | 1.6.0, 1.7.0 |
| Architectures | i386, x86_64 |
| Definition | [asbind20/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asbind20/xmake.lua) |

##### Install command

```console
xrepo install asbind20
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asbind20")
```


### aseprite-tga (msys)


| Description | *C++ library to read/write Truevision TGA/TARGA files* |
| -- | -- |
| Homepage | [https://github.com/aseprite/tga](https://github.com/aseprite/tga) |
| License | MIT |
| Versions | 2023.6.2 |
| Architectures | i386, x86_64 |
| Definition | [aseprite-tga/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aseprite-tga/xmake.lua) |

##### Install command

```console
xrepo install aseprite-tga
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aseprite-tga")
```


### asio (msys)


| Description | *Asio is a cross-platform C++ library for network and low-level I/O programming that provides developers with a consistent asynchronous model using a modern C++ approach.* |
| -- | -- |
| Homepage | [http://think-async.com/Asio/](http://think-async.com/Asio/) |
| License | BSL-1.0 |
| Versions | 1.20.0, 1.21.0, 1.24.0, 1.28.0, 1.29.0, 1.30.2, 1.32.0, 1.34.0, 1.34.2 |
| Architectures | i386, x86_64 |
| Definition | [asio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asio/xmake.lua) |

##### Install command

```console
xrepo install asio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asio")
```


### asmjit (msys)


| Description | *AsmJit is a lightweight library for machine code generation written in C++ language.* |
| -- | -- |
| Homepage | [https://asmjit.com/](https://asmjit.com/) |
| License | zlib |
| Versions | 2021.06.27, 2022.01.18, 2024.03.09, 2024.05.21 |
| Architectures | i386, x86_64 |
| Definition | [asmjit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asmjit/xmake.lua) |

##### Install command

```console
xrepo install asmjit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asmjit")
```


### asmtk (msys)


| Description | *Assembler toolkit based on AsmJit* |
| -- | -- |
| Homepage | [https://github.com/asmjit/asmtk](https://github.com/asmjit/asmtk) |
| License | zlib |
| Versions | 2023.07.18 |
| Architectures | i386, x86_64 |
| Definition | [asmtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/asmtk/xmake.lua) |

##### Install command

```console
xrepo install asmtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("asmtk")
```


### assimp (msys)


| Description | *Portable Open-Source library to import various well-known 3D model formats in a uniform manner* |
| -- | -- |
| Homepage | [https://assimp.org](https://assimp.org) |
| License | BSD-3-Clause |
| Versions | v5.0.1, v5.1.4, v5.2.1, v5.2.2, v5.2.3, v5.2.4, v5.2.5, v5.3.0, v5.3.1, v5.4.0, v5.4.1, v5.4.2, v5.4.3, v6.0.1, v6.0.2 |
| Architectures | i386, x86_64 |
| Definition | [assimp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/assimp/xmake.lua) |

##### Install command

```console
xrepo install assimp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("assimp")
```


### astc-encoder (msys)


| Description | *The Arm ASTC Encoder, a compressor for the Adaptive Scalable Texture Compression data format.* |
| -- | -- |
| Homepage | [https://developer.arm.com/graphics](https://developer.arm.com/graphics) |
| License | Apache-2.0 |
| Versions | 4.6.1, 4.7.0, 4.8.0, 5.2.0, 5.3.0 |
| Architectures | i386, x86_64 |
| Definition | [astc-encoder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/astc-encoder/xmake.lua) |

##### Install command

```console
xrepo install astc-encoder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("astc-encoder")
```


### async_simple (msys)


| Description | *Simple, light-weight and easy-to-use asynchronous components* |
| -- | -- |
| Homepage | [https://github.com/alibaba/async_simple](https://github.com/alibaba/async_simple) |
| License | Apache-2.0 |
| Versions | 1.1, 1.2, 1.3 |
| Architectures | i386, x86_64 |
| Definition | [async_simple/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/async_simple/xmake.lua) |

##### Install command

```console
xrepo install async_simple
```

##### Integration in the project (xmake.lua)

```lua
add_requires("async_simple")
```


### atomic_queue (msys)


| Description | *C++ lockless queue.* |
| -- | -- |
| Homepage | [https://github.com/max0x7ba/atomic_queue](https://github.com/max0x7ba/atomic_queue) |
| License | MIT |
| Versions | v1.5, v1.6.3, v1.6.4, v1.6.5, v1.6.9 |
| Architectures | i386, x86_64 |
| Definition | [atomic_queue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/atomic_queue/xmake.lua) |

##### Install command

```console
xrepo install atomic_queue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("atomic_queue")
```


### audiofile (msys)


| Description | *A simple C++ library for reading and writing audio files.* |
| -- | -- |
| Homepage | [https://github.com/adamstark/AudioFile](https://github.com/adamstark/AudioFile) |
| License | MIT |
| Versions | 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.0.7, 1.0.8, 1.0.9, 1.1.0, 1.1.1, 1.1.2, 1.1.3 |
| Architectures | i386, x86_64 |
| Definition | [audiofile/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/audiofile/xmake.lua) |

##### Install command

```console
xrepo install audiofile
```

##### Integration in the project (xmake.lua)

```lua
add_requires("audiofile")
```


### aurora-au (msys)


| Description | *A C++14-compatible physical units library with no dependencies and a single-file delivery option. Emphasis on safety, accessibility, performance, and developer experience.* |
| -- | -- |
| Homepage | [https://aurora-opensource.github.io/au](https://aurora-opensource.github.io/au) |
| License | Apache-2.0 |
| Versions | 0.4.1 |
| Architectures | i386, x86_64 |
| Definition | [aurora-au/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aurora-au/xmake.lua) |

##### Install command

```console
xrepo install aurora-au
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aurora-au")
```


### autoconf (msys)


| Description | *An extensible package of M4 macros that produce shell scripts to automatically configure software source code packages.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/autoconf/autoconf.html](https://www.gnu.org/software/autoconf/autoconf.html) |
| Versions | 2.68, 2.69, 2.71, 2.72 |
| Architectures | i386, x86_64 |
| Definition | [autoconf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autoconf/xmake.lua) |

##### Install command

```console
xrepo install autoconf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autoconf")
```


### autoconf-archive (msys)


| Description | *A mirror of the GNU Autoconf Archive, a collection of more than 500 macros for GNU Autoconf that have been contributed as free software by friendly supporters of the cause from all over the Internet.* |
| -- | -- |
| Homepage | [http://www.gnu.org/software/autoconf-archive/](http://www.gnu.org/software/autoconf-archive/) |
| License | GPL-3.0-or-later |
| Versions | 2023.02.20 |
| Architectures | i386, x86_64 |
| Definition | [autoconf-archive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autoconf-archive/xmake.lua) |

##### Install command

```console
xrepo install autoconf-archive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autoconf-archive")
```


### automake (msys)


| Description | *A tool for automatically generating Makefile.in files compliant with the GNU Coding Standards.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/automake/](https://www.gnu.org/software/automake/) |
| Versions | 1.9.5, 1.9.6, 1.15.1, 1.16.1, 1.16.4, 1.16.5, 1.17 |
| Architectures | i386, x86_64 |
| Definition | [automake/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/automake/xmake.lua) |

##### Install command

```console
xrepo install automake
```

##### Integration in the project (xmake.lua)

```lua
add_requires("automake")
```


### autotools (msys)


| Description | *%s* |
| -- | -- |
| Homepage | [%s](%s) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [autotools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/autotools/xmake.lua) |

##### Install command

```console
xrepo install autotools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("autotools")
```


### avir (msys)


| Description | *High-quality pro image resizing / scaling C++ library, including a very fast Lanczos resizer* |
| -- | -- |
| Homepage | [https://github.com/avaneev/avir](https://github.com/avaneev/avir) |
| License | MIT |
| Versions | 3.0, 3.1 |
| Architectures | i386, x86_64 |
| Definition | [avir/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/avir/xmake.lua) |

##### Install command

```console
xrepo install avir
```

##### Integration in the project (xmake.lua)

```lua
add_requires("avir")
```


### aws-c-auth (msys)


| Description | *C99 library implementation of AWS client-side authentication: standard credentials providers and signing.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-auth](https://github.com/awslabs/aws-c-auth) |
| License | Apache-2.0 |
| Versions | v0.7.3, v0.7.17, v0.7.18, v0.7.22, v0.7.25, v0.7.29, v0.7.31, v0.8.0, v0.8.6, v0.8.7, v0.9.0 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-auth/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-auth/xmake.lua) |

##### Install command

```console
xrepo install aws-c-auth
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-auth")
```


### aws-c-cal (msys)


| Description | *Aws Crypto Abstraction Layer: Cross-Platform, C99 wrapper for cryptography primitives.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-cal](https://github.com/awslabs/aws-c-cal) |
| License | Apache-2.0 |
| Versions | v0.6.2, v0.6.11, v0.6.12, v0.6.14, v0.6.15, v0.7.1, v0.7.2, v0.7.4, v0.8.0, v0.8.1, v0.8.3, v0.8.7, v0.9.0, v0.9.2 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-cal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-cal/xmake.lua) |

##### Install command

```console
xrepo install aws-c-cal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-cal")
```


### aws-c-common (msys)


| Description | *Core c99 package for AWS SDK for C* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-common](https://github.com/awslabs/aws-c-common) |
| License | Apache-2.0 |
| Versions | v0.9.3, v0.9.13, v0.9.14, v0.9.15, v0.9.17, v0.9.19, v0.9.23, v0.9.24, v0.9.25, v0.9.27, v0.9.28, v0.10.0, v0.10.3, v0.10.6, v0.11.1, v0.11.3, v0.12.0, v0.12.2, v0.12.3, v0.12.4 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-common/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-common/xmake.lua) |

##### Install command

```console
xrepo install aws-c-common
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-common")
```


### aws-c-compression (msys)


| Description | *C99 implementation of huffman encoding/decoding* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-compression](https://github.com/awslabs/aws-c-compression) |
| License | Apache-2.0 |
| Versions | v0.2.17, v0.2.18, v0.2.19, v0.3.0, v0.3.1 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-compression/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-compression/xmake.lua) |

##### Install command

```console
xrepo install aws-c-compression
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-compression")
```


### aws-c-event-stream (msys)


| Description | *C99 implementation of the vnd.amazon.eventstream content-type.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-event-stream](https://github.com/awslabs/aws-c-event-stream) |
| License | Apache-2.0 |
| Versions | v0.3.2, v0.4.1, v0.4.2, v0.4.3, v0.5.0, v0.5.1, v0.5.4, v0.5.5 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-event-stream/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-event-stream/xmake.lua) |

##### Install command

```console
xrepo install aws-c-event-stream
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-event-stream")
```


### aws-c-http (msys)


| Description | *C99 implementation of the HTTP/1.1 and HTTP/2 specifications* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-http](https://github.com/awslabs/aws-c-http) |
| License | Apache-2.0 |
| Versions | v0.7.12, v0.8.1, v0.8.2, v0.8.7, v0.8.10, v0.9.0, v0.9.2, v0.9.3, v0.9.4, v0.9.5, v0.10.0, v0.10.1 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-http/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-http/xmake.lua) |

##### Install command

```console
xrepo install aws-c-http
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-http")
```


### aws-c-io (msys)


| Description | *This is a module for the AWS SDK for C. It handles all IO and TLS work for application protocols. * |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-io](https://github.com/awslabs/aws-c-io) |
| License | Apache-2.0 |
| Versions | v0.13.32, v0.14.5, v0.14.6, v0.14.7, v0.14.8, v0.14.9, v0.14.13, v0.14.14, v0.14.16, v0.14.18, v0.14.19, v0.15.0, v0.15.1, v0.15.3, v0.17.0, v0.18.0, v0.18.1, v0.19.1, v0.20.1, v0.21.0, v0.21.1 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-io/xmake.lua) |

##### Install command

```console
xrepo install aws-c-io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-io")
```


### aws-c-mqtt (msys)


| Description | *C99 implementation of the MQTT 3.1.1 specification.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-mqtt](https://github.com/awslabs/aws-c-mqtt) |
| License | Apache-2.0 |
| Versions | v0.9.5, v0.10.3, v0.10.4, v0.10.6, v0.10.7, v0.11.0, v0.12.1, v0.12.3, v0.13.2 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-mqtt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-mqtt/xmake.lua) |

##### Install command

```console
xrepo install aws-c-mqtt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-mqtt")
```


### aws-c-s3 (msys)


| Description | *C99 library implementation for communicating with the S3 service, designed for maximizing throughput on high bandwidth EC2 instances.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-s3](https://github.com/awslabs/aws-c-s3) |
| License | Apache-2.0 |
| Versions | v0.3.17, v0.5.7, v0.5.9, v0.6.0, v0.6.5, v0.7.0, v0.7.1, v0.7.4, v0.7.5, v0.7.7, v0.7.12, v0.7.14, v0.7.15, v0.8.1, v0.8.3 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-s3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-s3/xmake.lua) |

##### Install command

```console
xrepo install aws-c-s3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-s3")
```


### aws-c-sdkutils (msys)


| Description | *C99 library implementing AWS SDK specific utilities. Includes utilities for ARN parsing, reading AWS profiles, etc...* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-c-sdkutils](https://github.com/awslabs/aws-c-sdkutils) |
| License | Apache-2.0 |
| Versions | v0.1.12, v0.1.15, v0.1.16, v0.1.19, v0.2.0, v0.2.1, v0.2.2, v0.2.3, v0.2.4 |
| Architectures | i386, x86_64 |
| Definition | [aws-c-sdkutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-c-sdkutils/xmake.lua) |

##### Install command

```console
xrepo install aws-c-sdkutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-c-sdkutils")
```


### aws-checksums (msys)


| Description | *Cross platform HW accelerated CRC32c and CRC32 with fallback to efficient SW implementations - C interface with language bindings for AWS SDKs* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-checksums](https://github.com/awslabs/aws-checksums) |
| License | Apache-2.0 |
| Versions | v0.1.17, v0.1.18, v0.1.19, v0.1.20, v0.2.0, v0.2.2, v0.2.3, v0.2.7 |
| Architectures | i386, x86_64 |
| Definition | [aws-checksums/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-checksums/xmake.lua) |

##### Install command

```console
xrepo install aws-checksums
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-checksums")
```


### aws-crt-cpp (msys)


| Description | *C++ wrapper around the aws-c-* libraries. Provides Cross-Platform Transport Protocols and SSL/TLS implementations for C++.* |
| -- | -- |
| Homepage | [https://github.com/awslabs/aws-crt-cpp](https://github.com/awslabs/aws-crt-cpp) |
| License | Apache-2.0 |
| Versions | v0.23.1, v0.26.4, v0.26.8, v0.26.9, v0.26.11, v0.27.0, v0.27.2, v0.27.4, v0.27.5, v0.28.2, v0.28.3, v0.29.5, v0.29.8 |
| Architectures | i386, x86_64 |
| Definition | [aws-crt-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-crt-cpp/xmake.lua) |

##### Install command

```console
xrepo install aws-crt-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-crt-cpp")
```


### aws-lc (msys)


| Description | *AWS-LC is a general-purpose cryptographic library maintained by the AWS Cryptography team for AWS and their customers. It іs based on code from the Google BoringSSL project and the OpenSSL project.* |
| -- | -- |
| Homepage | [https://github.com/aws/aws-lc](https://github.com/aws/aws-lc) |
| Versions | v1.32.0, v1.34.2, v1.37.0, v1.39.0, v1.40.0, v1.41.1, v1.45.0, v1.48.1, v1.48.5, v1.49.1, v1.51.2, v1.53.0 |
| Architectures | i386, x86_64 |
| Definition | [aws-lc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/a/aws-lc/xmake.lua) |

##### Install command

```console
xrepo install aws-lc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("aws-lc")
```



## b
### b2 (msys)


| Description | *B2 makes it easy to build C++ projects, everywhere.* |
| -- | -- |
| Homepage | [https://www.bfgroup.xyz/b2/](https://www.bfgroup.xyz/b2/) |
| License | BSL-1.0 |
| Versions | 4.9.6, 5.0.0, 5.0.1, 5.1.0, 5.2.1, 5.3.0, 5.3.2, 5.3.3 |
| Architectures | i386, x86_64 |
| Definition | [b2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/b2/xmake.lua) |

##### Install command

```console
xrepo install b2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("b2")
```


### babl (msys)


| Description | *A pixel encoding and color space conversion engine.* |
| -- | -- |
| Homepage | [https://gegl.org/babl/](https://gegl.org/babl/) |
| License | LGPL-3.0-or-later |
| Versions | 0.1.110 |
| Architectures | i386, x86_64 |
| Definition | [babl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/babl/xmake.lua) |

##### Install command

```console
xrepo install babl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("babl")
```


### backportcpp (msys)


| Description | *Library of backported modern C++ types to work with C++11* |
| -- | -- |
| Homepage | [https://github.com/bitwizeshift/BackportCpp](https://github.com/bitwizeshift/BackportCpp) |
| License | MIT |
| Versions | v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [backportcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/backportcpp/xmake.lua) |

##### Install command

```console
xrepo install backportcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("backportcpp")
```


### backward-cpp (msys)


| Description | *Backward is a beautiful stack trace pretty printer for C++.* |
| -- | -- |
| Homepage | [https://github.com/bombela/backward-cpp](https://github.com/bombela/backward-cpp) |
| License | MIT |
| Versions | v1.6 |
| Architectures | i386, x86_64 |
| Definition | [backward-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/backward-cpp/xmake.lua) |

##### Install command

```console
xrepo install backward-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("backward-cpp")
```


### bandit (msys)


| Description | *Human-friendly unit testing for C++11* |
| -- | -- |
| Homepage | [https://banditcpp.github.io/bandit/](https://banditcpp.github.io/bandit/) |
| Versions | 2023.08.05 |
| Architectures | i386, x86_64 |
| Definition | [bandit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bandit/xmake.lua) |

##### Install command

```console
xrepo install bandit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bandit")
```


### barkeep (msys)


| Description | *Small C++ header to display async animations, counters, and progress bars* |
| -- | -- |
| Homepage | [https://oir.github.io/barkeep/](https://oir.github.io/barkeep/) |
| License | Apache-2.0 |
| Versions | v0.1.3, v0.1.4, v0.1.5 |
| Architectures | i386, x86_64 |
| Definition | [barkeep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/barkeep/xmake.lua) |

##### Install command

```console
xrepo install barkeep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("barkeep")
```


### base-n (msys)


| Description | *A small, single-header library which provides standard Base16, Base32, Base64, and custom Base-N encoding support.* |
| -- | -- |
| Homepage | [https://github.com/azawadzki/base-n](https://github.com/azawadzki/base-n) |
| License | MIT |
| Versions | 2020.05.28 |
| Architectures | i386, x86_64 |
| Definition | [base-n/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/base-n/xmake.lua) |

##### Install command

```console
xrepo install base-n
```

##### Integration in the project (xmake.lua)

```lua
add_requires("base-n")
```


### base64-terrakuh (msys)


| Description | *Simple, open source, header-only base64 encoder* |
| -- | -- |
| Homepage | [https://terrakuh.github.io/base64/classbase64.html](https://terrakuh.github.io/base64/classbase64.html) |
| License | Unlicense |
| Versions | v1.0 |
| Architectures | i386, x86_64 |
| Definition | [base64-terrakuh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/base64-terrakuh/xmake.lua) |

##### Install command

```console
xrepo install base64-terrakuh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("base64-terrakuh")
```


### basisu (msys)


| Description | *Basis Universal GPU Texture Codec* |
| -- | -- |
| Homepage | [https://github.com/BinomialLLC/basis_universal](https://github.com/BinomialLLC/basis_universal) |
| License | Apache-2.0 |
| Versions | 1.16.4 |
| Architectures | i386, x86_64 |
| Definition | [basisu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/basisu/xmake.lua) |

##### Install command

```console
xrepo install basisu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("basisu")
```


### bazel (msys)


| Description | *A fast, scalable, multi-language and extensible build system* |
| -- | -- |
| Homepage | [https://bazel.build/](https://bazel.build/) |
| Versions | 5.0.0, 7.1.0 |
| Architectures | i386, x86_64 |
| Definition | [bazel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bazel/xmake.lua) |

##### Install command

```console
xrepo install bazel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bazel")
```


### bcg729 (msys)


| Description | *Bcg729 is an opensource implementation of both encoder and decoder of the ITU G729 Annex A/B speech codec.* |
| -- | -- |
| Homepage | [http://linphone.org](http://linphone.org) |
| Versions | 1.0.4, 1.1.1 |
| Architectures | i386, x86_64 |
| Definition | [bcg729/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bcg729/xmake.lua) |

##### Install command

```console
xrepo install bcg729
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bcg729")
```


### bddisasm (msys)


| Description | *bddisasm is a fast, lightweight, x86/x64 instruction decoder.  The project also features a fast, basic, x86/x64 instruction emulator, designed specifically to detect shellcode-like behavior.* |
| -- | -- |
| Homepage | [https://github.com/bitdefender/bddisasm](https://github.com/bitdefender/bddisasm) |
| License | Apache-2.0 |
| Versions | v2.2.0, v3.0.0 |
| Architectures | i386, x86_64 |
| Definition | [bddisasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bddisasm/xmake.lua) |

##### Install command

```console
xrepo install bddisasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bddisasm")
```


### bdwgc (msys)


| Description | *The Boehm-Demers-Weiser conservative C/C++ Garbage Collector (bdwgc, also known as bdw-gc, boehm-gc, libgc)* |
| -- | -- |
| Homepage | [https://www.hboehm.info/gc/](https://www.hboehm.info/gc/) |
| Versions | v8.2.4, v8.2.6 |
| Architectures | i386, x86_64 |
| Definition | [bdwgc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bdwgc/xmake.lua) |

##### Install command

```console
xrepo install bdwgc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bdwgc")
```


### benchmark (msys)


| Description | *A microbenchmark support library* |
| -- | -- |
| Homepage | [https://github.com/google/benchmark](https://github.com/google/benchmark) |
| License | Apache-2.0 |
| Versions | v1.5.2, v1.5.3, v1.5.4, v1.5.5, v1.5.6, v1.6.0, v1.6.1, v1.7.0, v1.7.1, v1.8.0, v1.8.3, v1.8.4, v1.8.5, v1.9.0, v1.9.1, v1.9.2, v1.9.3, v1.9.4 |
| Architectures | i386, x86_64 |
| Definition | [benchmark/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/benchmark/xmake.lua) |

##### Install command

```console
xrepo install benchmark
```

##### Integration in the project (xmake.lua)

```lua
add_requires("benchmark")
```


### bento4 (msys)


| Description | *Full-featured MP4 format, MPEG DASH, HLS, CMAF SDK and tools* |
| -- | -- |
| Homepage | [http://www.bento4.com](http://www.bento4.com) |
| Versions | 2023.08.08, 2024.11.15 |
| Architectures | i386, x86_64 |
| Definition | [bento4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bento4/xmake.lua) |

##### Install command

```console
xrepo install bento4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bento4")
```


### better-enums (msys)


| Description | *C++ compile-time enum to string, iteration, in a single header file* |
| -- | -- |
| Homepage | [http://aantron.github.io/better-enums](http://aantron.github.io/better-enums) |
| License | BSD-2-Clause |
| Versions | 0.11.3 |
| Architectures | i386, x86_64 |
| Definition | [better-enums/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/better-enums/xmake.lua) |

##### Install command

```console
xrepo install better-enums
```

##### Integration in the project (xmake.lua)

```lua
add_requires("better-enums")
```


### bght (msys)


| Description | *BGHT: Better GPU Hash Tables* |
| -- | -- |
| Homepage | [https://owensgroup.github.io/BGHT/](https://owensgroup.github.io/BGHT/) |
| License | Apache-2.0 |
| Versions | 2024.03.06 |
| Architectures | i386, x86_64 |
| Definition | [bght/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bght/xmake.lua) |

##### Install command

```console
xrepo install bght
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bght")
```


### bin2c (msys)


| Description | *A simple utility for converting a binary file to a c application* |
| -- | -- |
| Homepage | [https://github.com/gwilymk/bin2c](https://github.com/gwilymk/bin2c) |
| Versions | 0.0.1 |
| Architectures | i386, x86_64 |
| Definition | [bin2c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bin2c/xmake.lua) |

##### Install command

```console
xrepo install bin2c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bin2c")
```


### binn (msys)


| Description | *Binary Serialization* |
| -- | -- |
| Homepage | [https://github.com/liteserver/binn](https://github.com/liteserver/binn) |
| License | Apache-2.0 |
| Versions | v3.0 |
| Architectures | i386, x86_64 |
| Definition | [binn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/binn/xmake.lua) |

##### Install command

```console
xrepo install binn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("binn")
```


### binutils (msys)


| Description | *GNU binary tools for native development* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/binutils/binutils.html](https://www.gnu.org/software/binutils/binutils.html) |
| License | GPL-2.0 |
| Versions | 2.34, 2.38, 2.41 |
| Architectures | i386, x86_64 |
| Definition | [binutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/binutils/xmake.lua) |

##### Install command

```console
xrepo install binutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("binutils")
```


### bison (msys)


| Description | *A general-purpose parser generator.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/bison/](https://www.gnu.org/software/bison/) |
| License | GPL-3.0 |
| Versions | 3.7.4, 3.7.6, 3.8.2 |
| Architectures | i386, x86_64 |
| Definition | [bison/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bison/xmake.lua) |

##### Install command

```console
xrepo install bison
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bison")
```


### bitsery (msys)


| Description | *Header only C++ binary serialization library. It is designed around the networking requirements for real-time data delivery, especially for games.* |
| -- | -- |
| Homepage | [https://github.com/fraillt/bitsery](https://github.com/fraillt/bitsery) |
| License | MIT |
| Versions | v5.2.3, v5.2.4 |
| Architectures | i386, x86_64 |
| Definition | [bitsery/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bitsery/xmake.lua) |

##### Install command

```console
xrepo install bitsery
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bitsery")
```


### blake2 (msys)


| Description | *BLAKE2 official implementations* |
| -- | -- |
| Homepage | [https://blake2.net](https://blake2.net) |
| License | CC0-1.0 |
| Versions | 2023.02.12 |
| Architectures | i386, x86_64 |
| Definition | [blake2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blake2/xmake.lua) |

##### Install command

```console
xrepo install blake2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blake2")
```


### blake3 (msys)


| Description | *BLAKE3 is a cryptographic hash function that is much faster than MD5, SHA-1, SHA-2, SHA-3, and BLAKE2; secure, unlike MD5 and SHA-1 (and secure against length extension, unlike SHA-2); highly parallelizable across any number of threads and SIMD lanes, because it's a Merkle tree on the inside; capable of verified streaming and incremental updates (Merkle tree); a PRF, MAC, KDF, and XOF, as well as a regular hash; and is a single algorithm with no variants, fast on x86-64 and also on smaller architectures.* |
| -- | -- |
| Homepage | [https://blake3.io/](https://blake3.io/) |
| License | CC0-1.0 |
| Versions | 1.3.1, 1.3.3, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.6.1, 1.8.1, 1.8.2 |
| Architectures | i386, x86_64 |
| Definition | [blake3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blake3/xmake.lua) |

##### Install command

```console
xrepo install blake3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blake3")
```


### blend2d (msys)


| Description | *2D Vector Graphics Engine Powered by a JIT Compiler* |
| -- | -- |
| Homepage | [https://blend2d.com](https://blend2d.com) |
| License | zlib |
| Versions | 0.11.1 |
| Architectures | i386, x86_64 |
| Definition | [blend2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blend2d/xmake.lua) |

##### Install command

```console
xrepo install blend2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blend2d")
```


### blobify (msys)


| Description | *C++17 library for all your binary de-/serialization needs* |
| -- | -- |
| Homepage | [https://github.com/neobrain/blobify](https://github.com/neobrain/blobify) |
| License | BSL-1.0 |
| Versions | 2023.12.07 |
| Architectures | i386, x86_64 |
| Definition | [blobify/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/blobify/xmake.lua) |

##### Install command

```console
xrepo install blobify
```

##### Integration in the project (xmake.lua)

```lua
add_requires("blobify")
```


### boost (msys)


| Description | *Collection of portable C++ source libraries.* |
| -- | -- |
| Homepage | [https://www.boost.org/](https://www.boost.org/) |
| License | BSL-1.0 |
| Versions | 1.70.0, 1.72.0, 1.73.0, 1.74.0, 1.75.0, 1.76.0, 1.77.0, 1.78.0, 1.79.0, 1.80.0, 1.81.0, 1.82.0, 1.83.0, 1.84.0, 1.85.0, 1.86.0, 1.87.0, 1.88.0 |
| Architectures | i386, x86_64 |
| Definition | [boost/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost/xmake.lua) |

##### Install command

```console
xrepo install boost
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost")
```


### boost_di (msys)


| Description | *DI: C++14 Dependency Injection Library* |
| -- | -- |
| Homepage | [https://boost-ext.github.io/di](https://boost-ext.github.io/di) |
| Versions | v1.3.0, v1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [boost_di/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_di/xmake.lua) |

##### Install command

```console
xrepo install boost_di
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_di")
```


### boost_pfr (msys)


| Description | *C++14 library for struct reflection* |
| -- | -- |
| Homepage | [https://github.com/boostorg/pfr](https://github.com/boostorg/pfr) |
| License | BSL-1.0 |
| Versions | 2.1.0, 2.2.0 |
| Architectures | i386, x86_64 |
| Definition | [boost_pfr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_pfr/xmake.lua) |

##### Install command

```console
xrepo install boost_pfr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_pfr")
```


### boost_sml (msys)


| Description | *SML: C++14 State Machine Library* |
| -- | -- |
| Homepage | [https://boost-ext.github.io/sml](https://boost-ext.github.io/sml) |
| License | BSL-1.0 |
| Versions | v1.1.8, v1.1.11, v1.1.12 |
| Architectures | i386, x86_64 |
| Definition | [boost_sml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boost_sml/xmake.lua) |

##### Install command

```console
xrepo install boost_sml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boost_sml")
```


### boostdep (msys)


| Description | *A tool to create Boost module dependency reports* |
| -- | -- |
| Homepage | [https://boost.org/tools/boostdep](https://boost.org/tools/boostdep) |
| License | BSL-1.0 |
| Versions | 2024.10.07 |
| Architectures | i386, x86_64 |
| Definition | [boostdep/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boostdep/xmake.lua) |

##### Install command

```console
xrepo install boostdep
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boostdep")
```


### botan (msys)


| Description | *Cryptography Toolkit* |
| -- | -- |
| Homepage | [https://botan.randombit.net](https://botan.randombit.net) |
| License | BSD-2-Clause |
| Versions | 3.4.0, 3.5.0, 3.6.0, 3.6.1, 3.7.0, 3.7.1, 3.8.1 |
| Architectures | i386, x86_64 |
| Definition | [botan/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/botan/xmake.lua) |

##### Install command

```console
xrepo install botan
```

##### Integration in the project (xmake.lua)

```lua
add_requires("botan")
```


### box2d (msys)


| Description | *A 2D Physics Engine for Games* |
| -- | -- |
| Homepage | [https://box2d.org](https://box2d.org) |
| License | MIT |
| Versions | v2.4.2, v3.0.0, v3.1.0, v3.1.1 |
| Architectures | i386, x86_64 |
| Definition | [box2d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/box2d/xmake.lua) |

##### Install command

```console
xrepo install box2d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("box2d")
```


### boxfort (msys)


| Description | *Convenient & cross-platform sandboxing C library* |
| -- | -- |
| Homepage | [https://github.com/Snaipe/BoxFort](https://github.com/Snaipe/BoxFort) |
| License | MIT |
| Versions | 2024.05.02 |
| Architectures | i386, x86_64 |
| Definition | [boxfort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/boxfort/xmake.lua) |

##### Install command

```console
xrepo install boxfort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("boxfort")
```


### branchless-utf8 (msys)


| Description | *Branchless UTF-8 decoder* |
| -- | -- |
| Homepage | [https://github.com/skeeto/branchless-utf8](https://github.com/skeeto/branchless-utf8) |
| Versions | 2022.08.30 |
| Architectures | i386, x86_64 |
| Definition | [branchless-utf8/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/branchless-utf8/xmake.lua) |

##### Install command

```console
xrepo install branchless-utf8
```

##### Integration in the project (xmake.lua)

```lua
add_requires("branchless-utf8")
```


### brotli (msys)


| Description | *Brotli compression format.* |
| -- | -- |
| Homepage | [https://github.com/google/brotli](https://github.com/google/brotli) |
| License | MIT |
| Versions | v1.0.9, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [brotli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/brotli/xmake.lua) |

##### Install command

```console
xrepo install brotli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("brotli")
```


### brynet (msys)


| Description | *A Header-Only cross-platform C++ TCP network library* |
| -- | -- |
| Homepage | [https://github.com/IronsDu/brynet](https://github.com/IronsDu/brynet) |
| License | MIT |
| Versions | 2024.06.03 |
| Architectures | i386, x86_64 |
| Definition | [brynet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/brynet/xmake.lua) |

##### Install command

```console
xrepo install brynet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("brynet")
```


### bullet3 (msys)


| Description | *Bullet Physics SDK.* |
| -- | -- |
| Homepage | [http://bulletphysics.org](http://bulletphysics.org) |
| License | zlib |
| Versions | 2.88, 3.05, 3.09, 3.24, 3.25 |
| Architectures | i386, x86_64 |
| Definition | [bullet3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bullet3/xmake.lua) |

##### Install command

```console
xrepo install bullet3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bullet3")
```


### bvh (msys)


| Description | *A modern C++ BVH construction and traversal library* |
| -- | -- |
| Homepage | [https://github.com/madmann91/bvh](https://github.com/madmann91/bvh) |
| License | MIT |
| Versions | 2023.6.30, 2024.7.8, 2025.06.16 |
| Architectures | i386, x86_64 |
| Definition | [bvh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bvh/xmake.lua) |

##### Install command

```console
xrepo install bvh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bvh")
```


### bytepack (msys)


| Description | *C++ Binary Serialization Made Easy: Header-only, configurable endianness, cross-platform, no IDL, no exceptions, and no macros* |
| -- | -- |
| Homepage | [https://github.com/farukeryilmaz/bytepack](https://github.com/farukeryilmaz/bytepack) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | i386, x86_64 |
| Definition | [bytepack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bytepack/xmake.lua) |

##### Install command

```console
xrepo install bytepack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bytepack")
```


### bzip2 (msys)


| Description | *Freely available, patent free, high-quality data compressor.* |
| -- | -- |
| Homepage | [https://sourceware.org/bzip2/](https://sourceware.org/bzip2/) |
| Versions | 1.0.8 |
| Architectures | i386, x86_64 |
| Definition | [bzip2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bzip2/xmake.lua) |

##### Install command

```console
xrepo install bzip2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bzip2")
```


### bzip3 (msys)


| Description | *A better and stronger spiritual successor to BZip2.* |
| -- | -- |
| Homepage | [https://github.com/kspalaiologos/bzip3](https://github.com/kspalaiologos/bzip3) |
| License | LGPL-3.0 |
| Versions | 1.4.0, 1.5.1, 1.5.2 |
| Architectures | i386, x86_64 |
| Definition | [bzip3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/b/bzip3/xmake.lua) |

##### Install command

```console
xrepo install bzip3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("bzip3")
```



## c
### c-ares (msys)


| Description | *A C library for asynchronous DNS requests* |
| -- | -- |
| Homepage | [https://c-ares.org/](https://c-ares.org/) |
| License | MIT |
| Versions | 1.16.1, 1.17.0, 1.17.1, 1.17.2, 1.18.0, 1.18.1, 1.19.0, 1.27.0, 1.28.1, 1.29.0, 1.30.0, 1.31.0, 1.32.2, 1.32.3, 1.33.0, 1.33.1, 1.34.1, 1.34.3, 1.34.4, 1.34.5 |
| Architectures | i386, x86_64 |
| Definition | [c-ares/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-ares/xmake.lua) |

##### Install command

```console
xrepo install c-ares
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-ares")
```


### c-blosc2 (msys)


| Description | *A fast, compressed, persistent binary data store library for C.* |
| -- | -- |
| Homepage | [https://www.blosc.org](https://www.blosc.org) |
| License | BSD-3-Clause |
| Versions | v2.10.2, v2.13.2, v2.14.3, v2.14.4, v2.15.0, v2.15.1, v2.15.2, v2.16.0, v2.17.0, v2.17.1, v2.18.0, v2.19.1 |
| Architectures | i386, x86_64 |
| Definition | [c-blosc2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-blosc2/xmake.lua) |

##### Install command

```console
xrepo install c-blosc2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-blosc2")
```


### c-vector (msys)


| Description | *A simple vector library for C that can store any type.* |
| -- | -- |
| Homepage | [https://github.com/Mashpoe/c-vector](https://github.com/Mashpoe/c-vector) |
| License | BSD-3-Clause |
| Versions | v1.0 |
| Architectures | i386, x86_64 |
| Definition | [c-vector/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c-vector/xmake.lua) |

##### Install command

```console
xrepo install c-vector
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c-vector")
```


### c4core (msys)


| Description | *C++ utilities* |
| -- | -- |
| Homepage | [https://github.com/biojppm/c4core](https://github.com/biojppm/c4core) |
| License | MIT |
| Versions | 0.2.1, 0.2.2, 0.2.5, 0.2.6 |
| Architectures | i386, x86_64 |
| Definition | [c4core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/c4core/xmake.lua) |

##### Install command

```console
xrepo install c4core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("c4core")
```


### ca-certificates (msys)


| Description | *Mozilla’s carefully curated collection of Root Certificates for validating the trustworthiness of SSL certificates while verifying the identity of TLS hosts.* |
| -- | -- |
| Homepage | [https://mkcert.org/](https://mkcert.org/) |
| Versions | 20211118, 20220604, 20230306, 20240207, 20250131 |
| Architectures | i386, x86_64 |
| Definition | [ca-certificates/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ca-certificates/xmake.lua) |

##### Install command

```console
xrepo install ca-certificates
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ca-certificates")
```


### capstone (msys)


| Description | *Capstone disassembly/disassembler framework for ARM, ARM64 (ARMv8), Alpha, BPF, Ethereum VM, HPPA, LoongArch, M68K, M680X, Mips, MOS65XX, PPC, RISC-V(rv32G/rv64G), SH, Sparc, SystemZ, TMS320C64X, TriCore, Webassembly, XCore and X86.* |
| -- | -- |
| Homepage | [http://www.capstone-engine.org](http://www.capstone-engine.org) |
| License | BSD-3-Clause |
| Versions | 5.0.3, 5.0.5, 5.0.6 |
| Architectures | i386, x86_64 |
| Definition | [capstone/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/capstone/xmake.lua) |

##### Install command

```console
xrepo install capstone
```

##### Integration in the project (xmake.lua)

```lua
add_requires("capstone")
```


### cargs (msys)


| Description | *A lightweight cross-platform getopt alternative that works on Linux, Windows and macOS. Command line argument parser library for C/C++. Can be used to parse argv and argc parameters.* |
| -- | -- |
| Homepage | [https://likle.github.io/cargs/](https://likle.github.io/cargs/) |
| License | MIT |
| Versions | v1.0.3, v1.1.0, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [cargs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cargs/xmake.lua) |

##### Install command

```console
xrepo install cargs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cargs")
```


### catch2 (msys)


| Description | *Catch2 is a multi-paradigm test framework for C++. which also supports Objective-C (and maybe C). * |
| -- | -- |
| Homepage | [https://github.com/catchorg/Catch2](https://github.com/catchorg/Catch2) |
| License | BSL-1.0 |
| Versions | v2.9.2, v2.13.5, v2.13.6, v2.13.7, v2.13.8, v2.13.9, v2.13.10, v3.1.0, v3.1.1, v3.2.0, v3.2.1, v3.3.2, v3.4.0, v3.5.0, v3.5.1, v3.5.2, v3.5.3, v3.5.4, v3.6.0, v3.7.0, v3.7.1, v3.8.0, v3.8.1, v3.9.0 |
| Architectures | i386, x86_64 |
| Definition | [catch2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/catch2/xmake.lua) |

##### Install command

```console
xrepo install catch2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("catch2")
```


### cdt (msys)


| Description | *Constrained Delaunay Triangulation (C++)* |
| -- | -- |
| Homepage | [https://artem-ogre.github.io/CDT/](https://artem-ogre.github.io/CDT/) |
| License | MPL-2.0 |
| Versions | 1.4.1 |
| Architectures | i386, x86_64 |
| Definition | [cdt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cdt/xmake.lua) |

##### Install command

```console
xrepo install cdt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cdt")
```


### celero (msys)


| Description | *C++ Benchmarking Library* |
| -- | -- |
| Homepage | [https://github.com/DigitalInBlue/Celero](https://github.com/DigitalInBlue/Celero) |
| License | Apache-2.0 |
| Versions | v2.8.2, v2.8.5, v2.9.0, v2.9.1 |
| Architectures | i386, x86_64 |
| Definition | [celero/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/celero/xmake.lua) |

##### Install command

```console
xrepo install celero
```

##### Integration in the project (xmake.lua)

```lua
add_requires("celero")
```


### cello (msys)


| Description | *Higher level programming in C* |
| -- | -- |
| Homepage | [http://libcello.org/](http://libcello.org/) |
| Versions | 2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [cello/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cello/xmake.lua) |

##### Install command

```console
xrepo install cello
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cello")
```


### centurion (msys)


| Description | *A modern C++ wrapper library for SDL2 in order to improve type-safety, memory safety and overall ease-of-use.* |
| -- | -- |
| Homepage | [https://github.com/albin-johansson/centurion](https://github.com/albin-johansson/centurion) |
| License | MIT |
| Versions | v7.3.0 |
| Architectures | i386, x86_64 |
| Definition | [centurion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/centurion/xmake.lua) |

##### Install command

```console
xrepo install centurion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("centurion")
```


### cereal (msys)


| Description | *cereal is a header-only C++11 serialization library.* |
| -- | -- |
| Homepage | [https://uscilab.github.io/cereal/index.html](https://uscilab.github.io/cereal/index.html) |
| License | BSD-3-Clause |
| Versions | v1.3.0, v1.3.1, v1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [cereal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cereal/xmake.lua) |

##### Install command

```console
xrepo install cereal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cereal")
```


### ceval (msys)


| Description | *A C/C++ library for parsing and evaluation of arithmetic expressions.* |
| -- | -- |
| Homepage | [https://github.com/erstan/ceval](https://github.com/erstan/ceval) |
| License | MIT |
| Versions | 1.0.0, 1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [ceval/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ceval/xmake.lua) |

##### Install command

```console
xrepo install ceval
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ceval")
```


### cgetopt (msys)


| Description | *A GNU getopt() implementation written in pure C.* |
| -- | -- |
| Homepage | [https://github.com/xq114/cgetopt/](https://github.com/xq114/cgetopt/) |
| License | zlib |
| Versions | 1.0 |
| Architectures | i386, x86_64 |
| Definition | [cgetopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgetopt/xmake.lua) |

##### Install command

```console
xrepo install cgetopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgetopt")
```


### cgif (msys)


| Description | *GIF encoder written in C* |
| -- | -- |
| Homepage | [https://github.com/dloebl/cgif](https://github.com/dloebl/cgif) |
| License | MIT |
| Versions | v0.4.0, v0.4.1, v0.5.0 |
| Architectures | i386, x86_64 |
| Definition | [cgif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgif/xmake.lua) |

##### Install command

```console
xrepo install cgif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgif")
```


### cglm (msys)


| Description | *📽 Highly Optimized Graphics Math (glm) for C* |
| -- | -- |
| Homepage | [https://github.com/recp/cglm](https://github.com/recp/cglm) |
| License | MIT |
| Versions | v0.9.0, v0.9.2, v0.9.3, v0.9.4, v0.9.6 |
| Architectures | i386, x86_64 |
| Definition | [cglm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cglm/xmake.lua) |

##### Install command

```console
xrepo install cglm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cglm")
```


### cgltf (msys)


| Description | *Single-file glTF 2.0 loader and writer written in C99* |
| -- | -- |
| Homepage | [https://github.com/jkuhlmann/cgltf](https://github.com/jkuhlmann/cgltf) |
| License | MIT |
| Versions | v1.13, v1.14, v1.15 |
| Architectures | i386, x86_64 |
| Definition | [cgltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgltf/xmake.lua) |

##### Install command

```console
xrepo install cgltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgltf")
```


### cgraph (msys)


| Description | *A common used C++ DAG framework* |
| -- | -- |
| Homepage | [http://www.chunel.cn](http://www.chunel.cn) |
| License | MIT |
| Versions | v2.5.4, v2.6.0, v2.6.1, v2.6.2, v3.1.0, v3.1.1 |
| Architectures | i386, x86_64 |
| Definition | [cgraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cgraph/xmake.lua) |

##### Install command

```console
xrepo install cgraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cgraph")
```


### charls (msys)


| Description | *CharLS, a C++ JPEG-LS library implementation* |
| -- | -- |
| Homepage | [https://github.com/team-charls/charls](https://github.com/team-charls/charls) |
| License | BSD-3-Clause |
| Versions | 2.4.2 |
| Architectures | i386, x86_64 |
| Definition | [charls/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/charls/xmake.lua) |

##### Install command

```console
xrepo install charls
```

##### Integration in the project (xmake.lua)

```lua
add_requires("charls")
```


### choc (msys)


| Description | *A collection of header only classes, permissively licensed, to provide basic useful tasks with the bare-minimum of dependencies.* |
| -- | -- |
| Homepage | [https://github.com/Tracktion/choc](https://github.com/Tracktion/choc) |
| License | ISC |
| Versions | 2025.01.27 |
| Architectures | i386, x86_64 |
| Definition | [choc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/choc/xmake.lua) |

##### Install command

```console
xrepo install choc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("choc")
```


### chromium_zlib (msys)


| Description | *zlib from chromium* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/chromium/src/third_party/zlib/](https://chromium.googlesource.com/chromium/src/third_party/zlib/) |
| License | zlib |
| Versions | 2022.02.22, 2023.03.14, 2024.01.29 |
| Architectures | i386, x86_64 |
| Definition | [chromium_zlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/chromium_zlib/xmake.lua) |

##### Install command

```console
xrepo install chromium_zlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("chromium_zlib")
```


### civetweb (msys)


| Description | *Embedded C/C++ web server* |
| -- | -- |
| Homepage | [https://github.com/civetweb/civetweb](https://github.com/civetweb/civetweb) |
| License | MIT |
| Versions | v1.15 |
| Architectures | i386, x86_64 |
| Definition | [civetweb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/civetweb/xmake.lua) |

##### Install command

```console
xrepo install civetweb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("civetweb")
```


### cjson (msys)


| Description | *Ultralightweight JSON parser in ANSI C.* |
| -- | -- |
| Homepage | [https://github.com/DaveGamble/cJSON](https://github.com/DaveGamble/cJSON) |
| License | MIT |
| Versions | v1.7.15, v1.7.18 |
| Architectures | i386, x86_64 |
| Definition | [cjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cjson/xmake.lua) |

##### Install command

```console
xrepo install cjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cjson")
```


### clara (msys)


| Description | *A simple to use, composable, command line parser for C++ 11 and beyond.* |
| -- | -- |
| Homepage | [https://github.com/catchorg/Clara](https://github.com/catchorg/Clara) |
| License | BSL-1.0 |
| Versions | 1.1.5 |
| Architectures | i386, x86_64 |
| Definition | [clara/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clara/xmake.lua) |

##### Install command

```console
xrepo install clara
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clara")
```


### clay (msys)


| Description | *High performance UI layout library in C.* |
| -- | -- |
| Homepage | [https://nicbarker.com/clay](https://nicbarker.com/clay) |
| License | zlib |
| Versions | v0.12, v0.13, v0.14 |
| Architectures | i386, x86_64 |
| Definition | [clay/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clay/xmake.lua) |

##### Install command

```console
xrepo install clay
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clay")
```


### clean-test (msys)


| Description | *A modern C++-20 testing framework.* |
| -- | -- |
| Homepage | [https://clean-test.dev](https://clean-test.dev) |
| License | BSL-1.0 |
| Versions | 2023.05.15 |
| Architectures | i386, x86_64 |
| Definition | [clean-test/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clean-test/xmake.lua) |

##### Install command

```console
xrepo install clean-test
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clean-test")
```


### cli (msys)


| Description | *A library for interactive command line interfaces in modern C++* |
| -- | -- |
| Homepage | [https://github.com/daniele77/cli](https://github.com/daniele77/cli) |
| License | BSL-1.0 |
| Versions | v2.0.0, v2.1.0, v2.2.0 |
| Architectures | i386, x86_64 |
| Definition | [cli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cli/xmake.lua) |

##### Install command

```console
xrepo install cli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cli")
```


### clib (msys)


| Description | *Header-only library for C99 that implements the most important classes from GLib: GList, GHashTable and GString.* |
| -- | -- |
| Homepage | [https://github.com/aheck/clib](https://github.com/aheck/clib) |
| License | MIT |
| Versions | 2022.12.25 |
| Architectures | i386, x86_64 |
| Definition | [clib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clib/xmake.lua) |

##### Install command

```console
xrepo install clib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clib")
```


### clipper2 (msys)


| Description | *Polygon Clipping and Offsetting - C++, C# and Delphi* |
| -- | -- |
| Homepage | [https://github.com/AngusJohnson/Clipper2](https://github.com/AngusJohnson/Clipper2) |
| License | BSL-1.0 |
| Versions | 1.2.2, 1.2.3, 1.2.4, 1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [clipper2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clipper2/xmake.lua) |

##### Install command

```console
xrepo install clipper2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clipper2")
```


### clove-unit (msys)


| Description | *Single-Header Unit Testing framework for C (interoperable with C++) with test autodiscovery feature* |
| -- | -- |
| Homepage | [https://github.com/fdefelici/clove-unit](https://github.com/fdefelici/clove-unit) |
| License | MIT |
| Versions | v2.4.4, v2.4.5, v2.4.6 |
| Architectures | i386, x86_64 |
| Definition | [clove-unit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/clove-unit/xmake.lua) |

##### Install command

```console
xrepo install clove-unit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("clove-unit")
```


### cmake (msys)


| Description | *A cross-platform family of tool designed to build, test and package software* |
| -- | -- |
| Homepage | [https://cmake.org](https://cmake.org) |
| Versions | 3.11.4, 3.15.4, 3.18.4, 3.21.0, 3.22.1, 3.24.1, 3.24.2, 3.26.4, 3.28.1, 3.28.3, 3.29.2, 3.30.1, 3.30.2, 4.0.0, 4.0.1, 4.0.2, 4.0.3 |
| Architectures | i386, x86_64 |
| Definition | [cmake/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmake/xmake.lua) |

##### Install command

```console
xrepo install cmake
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmake")
```


### cmark (msys)


| Description | *CommonMark parsing and rendering library and program in C* |
| -- | -- |
| Homepage | [https://github.com/commonmark/cmark](https://github.com/commonmark/cmark) |
| Versions | 0.31.0, 0.31.1 |
| Architectures | i386, x86_64 |
| Definition | [cmark/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmark/xmake.lua) |

##### Install command

```console
xrepo install cmark
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmark")
```


### cmdparser (msys)


| Description | *A simple and lightweight command line parser using C++11.* |
| -- | -- |
| Homepage | [https://github.com/FlorianRappl/CmdParser](https://github.com/FlorianRappl/CmdParser) |
| License | MIT |
| Versions | 2024.02.13 |
| Architectures | i386, x86_64 |
| Definition | [cmdparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmdparser/xmake.lua) |

##### Install command

```console
xrepo install cmdparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmdparser")
```


### cmidi2 (msys)


| Description | *header-only MIDI 2.0 UMP and MIDI-CI binary processor library* |
| -- | -- |
| Homepage | [https://github.com/atsushieno/cmidi2](https://github.com/atsushieno/cmidi2) |
| License | MIT |
| Versions | 2023.08.07, 2025.06.25 |
| Architectures | i386, x86_64 |
| Definition | [cmidi2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmidi2/xmake.lua) |

##### Install command

```console
xrepo install cmidi2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmidi2")
```


### cminpack (msys)


| Description | *A C/C++ rewrite of the MINPACK software (originally in FORTRAN) for solving nonlinear equations and nonlinear least squares problems* |
| -- | -- |
| Homepage | [https://devernay.github.io/cminpack/](https://devernay.github.io/cminpack/) |
| Versions | v1.3.9, v1.3.11 |
| Architectures | i386, x86_64 |
| Definition | [cminpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cminpack/xmake.lua) |

##### Install command

```console
xrepo install cminpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cminpack")
```


### cmocka (msys)


| Description | *cmocka is an elegant unit testing framework for C with support for mock objects.* |
| -- | -- |
| Homepage | [https://cmocka.org/](https://cmocka.org/) |
| License | Apache-2.0 |
| Versions | 1.1.5, 1.1.7 |
| Architectures | i386, x86_64 |
| Definition | [cmocka/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cmocka/xmake.lua) |

##### Install command

```console
xrepo install cmocka
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cmocka")
```


### cnats (msys)


| Description | *A C client for NATS* |
| -- | -- |
| Homepage | [https://github.com/nats-io/nats.c](https://github.com/nats-io/nats.c) |
| License | Apache-2.0 |
| Versions | v3.8.2, v3.9.2, v3.10.1 |
| Architectures | i386, x86_64 |
| Definition | [cnats/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnats/xmake.lua) |

##### Install command

```console
xrepo install cnats
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnats")
```


### cnl (msys)


| Description | *A Compositional Numeric Library for C++* |
| -- | -- |
| Homepage | [https://github.com/johnmcfarlane/cnl](https://github.com/johnmcfarlane/cnl) |
| License | BSL-1.0 |
| Versions | 2023.12.23 |
| Architectures | i386, x86_64 |
| Definition | [cnl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnl/xmake.lua) |

##### Install command

```console
xrepo install cnl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnl")
```


### cnpy (msys)


| Description | *library to read/write .npy and .npz files in C/C++* |
| -- | -- |
| Homepage | [https://github.com/rogersce/cnpy](https://github.com/rogersce/cnpy) |
| License | MIT |
| Versions | 2018.06.01 |
| Architectures | i386, x86_64 |
| Definition | [cnpy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cnpy/xmake.lua) |

##### Install command

```console
xrepo install cnpy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cnpy")
```


### coin-or-clp (msys)


| Description | *COIN-OR Linear Programming Solver* |
| -- | -- |
| Homepage | [https://github.com/coin-or/Clp](https://github.com/coin-or/Clp) |
| License | EPL-2.0 |
| Versions | 1.17.10 |
| Architectures | i386, x86_64 |
| Definition | [coin-or-clp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-clp/xmake.lua) |

##### Install command

```console
xrepo install coin-or-clp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-clp")
```


### coin-or-coinutils (msys)


| Description | *COIN-OR Utilities* |
| -- | -- |
| Homepage | [https://github.com/coin-or/CoinUtils](https://github.com/coin-or/CoinUtils) |
| License | EPL-2.0 |
| Versions | 2.11.12 |
| Architectures | i386, x86_64 |
| Definition | [coin-or-coinutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-coinutils/xmake.lua) |

##### Install command

```console
xrepo install coin-or-coinutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-coinutils")
```


### coin-or-osi (msys)


| Description | *Open Solver Interface* |
| -- | -- |
| Homepage | [https://github.com/coin-or/Osi](https://github.com/coin-or/Osi) |
| Versions | 0.108.11 |
| Architectures | i386, x86_64 |
| Definition | [coin-or-osi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/coin-or-osi/xmake.lua) |

##### Install command

```console
xrepo install coin-or-osi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("coin-or-osi")
```


### commata (msys)


| Description | *Just another header-only C++17 CSV parser* |
| -- | -- |
| Homepage | [https://furfurylic.github.io/commata/CommataSpecification.xml](https://furfurylic.github.io/commata/CommataSpecification.xml) |
| License | Unlicense |
| Versions | v1.0.0, v1.0.1, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [commata/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/commata/xmake.lua) |

##### Install command

```console
xrepo install commata
```

##### Integration in the project (xmake.lua)

```lua
add_requires("commata")
```


### concurrentqueue (msys)


| Description | *A fast multi-producer, multi-consumer lock-free concurrent queue for C++11* |
| -- | -- |
| Homepage | [https://github.com/cameron314/concurrentqueue](https://github.com/cameron314/concurrentqueue) |
| License | BSD |
| Versions | v1.0.4 |
| Architectures | i386, x86_64 |
| Definition | [concurrentqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/concurrentqueue/xmake.lua) |

##### Install command

```console
xrepo install concurrentqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("concurrentqueue")
```


### console-bridge (msys)


| Description | *A ROS-independent package for logging that seamlessly pipes into rosconsole/rosout for ROS-dependent packages.* |
| -- | -- |
| Homepage | [https://github.com/ros/console_bridge](https://github.com/ros/console_bridge) |
| License | BSD-3-Clause |
| Versions | 1.0.1, 1.0.2 |
| Architectures | i386, x86_64 |
| Definition | [console-bridge/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/console-bridge/xmake.lua) |

##### Install command

```console
xrepo install console-bridge
```

##### Integration in the project (xmake.lua)

```lua
add_requires("console-bridge")
```


### continuable (msys)


| Description | *C++14 asynchronous allocation aware futures (supporting then, exception handling, coroutines and connections)* |
| -- | -- |
| Homepage | [https://naios.github.io/continuable/](https://naios.github.io/continuable/) |
| License | MIT |
| Versions | 4.2.2 |
| Architectures | i386, x86_64 |
| Definition | [continuable/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/continuable/xmake.lua) |

##### Install command

```console
xrepo install continuable
```

##### Integration in the project (xmake.lua)

```lua
add_requires("continuable")
```


### convertutf (msys)


| Description | *Conversions between UTF-32, UTF-16, and UTF-8. Circa 2004.* |
| -- | -- |
| Homepage | [https://home.unicode.org/](https://home.unicode.org/) |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [convertutf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/convertutf/xmake.lua) |

##### Install command

```console
xrepo install convertutf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("convertutf")
```


### cosmocc (msys)


| Description | *build-once run-anywhere c library* |
| -- | -- |
| Homepage | [https://github.com/jart/cosmopolitan](https://github.com/jart/cosmopolitan) |
| License | ISC |
| Versions | 3.2.4, 3.3.2, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.3.8, 3.3.9, 3.3.10, 3.4.0, 3.5.0, 3.5.1, 3.5.2, 3.5.3, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9, 3.6.0, 3.6.1, 3.6.2, 3.7.0, 3.7.1, 3.8.0, 3.9.0, 3.9.1, 3.9.2, 3.9.3, 3.9.4, 3.9.5, 3.9.6, 3.9.7, 4.0.0, 4.0.1, 4.0.2 |
| Architectures | i386, x86_64 |
| Definition | [cosmocc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cosmocc/xmake.lua) |

##### Install command

```console
xrepo install cosmocc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cosmocc")
```


### cpp-async (msys)


| Description | *Support types and functions for C++20 coroutines* |
| -- | -- |
| Homepage | [https://github.com/microsoft/cpp-async](https://github.com/microsoft/cpp-async) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [cpp-async/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-async/xmake.lua) |

##### Install command

```console
xrepo install cpp-async
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-async")
```


### cpp-channel (msys)


| Description | *Thread-safe container for sharing data between threads* |
| -- | -- |
| Homepage | [https://github.com/andreiavrammsd/cpp-channel](https://github.com/andreiavrammsd/cpp-channel) |
| License | MIT |
| Versions | v0.8.2, v0.8.3, v1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [cpp-channel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-channel/xmake.lua) |

##### Install command

```console
xrepo install cpp-channel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-channel")
```


### cpp-dump (msys)


| Description | *A C++ library for debugging purposes that can print any variable, even user-defined types.* |
| -- | -- |
| Homepage | [https://github.com/philip82148/cpp-dump](https://github.com/philip82148/cpp-dump) |
| License | MIT |
| Versions | v0.5.0, v0.6.0, v0.7.0 |
| Architectures | i386, x86_64 |
| Definition | [cpp-dump/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-dump/xmake.lua) |

##### Install command

```console
xrepo install cpp-dump
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-dump")
```


### cpp-httplib (msys)


| Description | *A C++11 single-file header-only cross platform HTTP/HTTPS library.* |
| -- | -- |
| Homepage | [https://github.com/yhirose/cpp-httplib](https://github.com/yhirose/cpp-httplib) |
| License | MIT |
| Versions | v0.8.5, v0.9.2, v0.12.1, v0.12.6, v0.14.0, v0.14.1, v0.14.2, v0.14.3, v0.15.0, v0.15.1, v0.15.2, v0.15.3, v0.16.2, v0.16.3, v0.17.0, v0.17.3, v0.18.1, v0.18.3, v0.18.5, v0.18.6, v0.18.7, v0.19.0, v0.20.0, v0.20.1, v0.21.0, v0.22.0 |
| Architectures | i386, x86_64 |
| Definition | [cpp-httplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-httplib/xmake.lua) |

##### Install command

```console
xrepo install cpp-httplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-httplib")
```


### cpp-jwt (msys)


| Description | *JSON Web Token library for C++* |
| -- | -- |
| Homepage | [https://github.com/arun11299/cpp-jwt](https://github.com/arun11299/cpp-jwt) |
| License | MIT |
| Versions | v1.4, v1.5 |
| Architectures | i386, x86_64 |
| Definition | [cpp-jwt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-jwt/xmake.lua) |

##### Install command

```console
xrepo install cpp-jwt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-jwt")
```


### cpp-linenoise (msys)


| Description | *A single file multi-platform (Unix, Windows) C++ header-only linenoise-based readline library.* |
| -- | -- |
| Homepage | [https://github.com/yhirose/cpp-linenoise](https://github.com/yhirose/cpp-linenoise) |
| License | BSD-2-Clause |
| Versions | 2021.11.05 |
| Architectures | i386, x86_64 |
| Definition | [cpp-linenoise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-linenoise/xmake.lua) |

##### Install command

```console
xrepo install cpp-linenoise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-linenoise")
```


### cpp-mcp (msys)


| Description | *Lightweight C++ MCP (Model Context Protocol) SDK* |
| -- | -- |
| Homepage | [https://github.com/hkr04/cpp-mcp](https://github.com/hkr04/cpp-mcp) |
| License | MIT |
| Versions | 2025.05.24 |
| Architectures | i386, x86_64 |
| Definition | [cpp-mcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-mcp/xmake.lua) |

##### Install command

```console
xrepo install cpp-mcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-mcp")
```


### cpp-peglib (msys)


| Description | *A single file C++ header-only PEG (Parsing Expression Grammars) library* |
| -- | -- |
| Homepage | [https://yhirose.github.io/cpp-peglib](https://yhirose.github.io/cpp-peglib) |
| License | MIT |
| Versions | 1.8.3, 1.8.8, 1.9.0, 1.9.1 |
| Architectures | i386, x86_64 |
| Definition | [cpp-peglib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-peglib/xmake.lua) |

##### Install command

```console
xrepo install cpp-peglib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-peglib")
```


### cpp-semver (msys)


| Description | *Semantic Versioning library for modern C++.* |
| -- | -- |
| Homepage | [https://github.com/z4kn4fein/cpp-semver](https://github.com/z4kn4fein/cpp-semver) |
| License | MIT |
| Versions | v0.3.1, v0.3.3, v0.4.0 |
| Architectures | i386, x86_64 |
| Definition | [cpp-semver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-semver/xmake.lua) |

##### Install command

```console
xrepo install cpp-semver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-semver")
```


### cpp-semver-easz (msys)


| Description | *cpp-semver - Semantic Versioning in C++ header-only C++11* |
| -- | -- |
| Homepage | [https://github.com/easz/cpp-semver](https://github.com/easz/cpp-semver) |
| License | MIT |
| Versions | 2021.12.10 |
| Architectures | i386, x86_64 |
| Definition | [cpp-semver-easz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-semver-easz/xmake.lua) |

##### Install command

```console
xrepo install cpp-semver-easz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-semver-easz")
```


### cpp-sort (msys)


| Description | *Sorting algorithms & related tools for C++14* |
| -- | -- |
| Homepage | [https://github.com/Morwenn/cpp-sort](https://github.com/Morwenn/cpp-sort) |
| License | MIT |
| Versions | 1.10.0, 1.11.0, 1.12.0, 1.12.1, 1.13.0, 1.13.1, 1.13.2, 1.14.0, 1.15.0, 1.16.0, 1.17.0 |
| Architectures | i386, x86_64 |
| Definition | [cpp-sort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpp-sort/xmake.lua) |

##### Install command

```console
xrepo install cpp-sort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpp-sort")
```


### cppcheck (msys)


| Description | *A static analysis tool for C/C++ code* |
| -- | -- |
| Homepage | [https://cppcheck.sourceforge.io/](https://cppcheck.sourceforge.io/) |
| Versions | 2.13.0, 2.13.4, 2.14.1, 2.14.2, 2.15.0, 2.16.2, 2.17.1 |
| Architectures | i386, x86_64 |
| Definition | [cppcheck/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppcheck/xmake.lua) |

##### Install command

```console
xrepo install cppcheck
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppcheck")
```


### cppcodec (msys)


| Description | *Header-only C++11 library to encode/decode base64, base64url, base32, base32hex and hex (a.k.a. base16) as specified in RFC 4648, plus Crockford's base32. MIT licensed with consistent, flexible API.* |
| -- | -- |
| Homepage | [https://github.com/tplgy/cppcodec](https://github.com/tplgy/cppcodec) |
| License | MIT |
| Versions | 2022.09.07 |
| Architectures | i386, x86_64 |
| Definition | [cppcodec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppcodec/xmake.lua) |

##### Install command

```console
xrepo install cppcodec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppcodec")
```


### cppitertools (msys)


| Description | *Implementation of python itertools and builtin iteration functions for C++17* |
| -- | -- |
| Homepage | [https://twitter.com/cppitertools](https://twitter.com/cppitertools) |
| License | BSD-2-Clause |
| Versions | 2023.07.04, 2024.10.19 |
| Architectures | i386, x86_64 |
| Definition | [cppitertools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppitertools/xmake.lua) |

##### Install command

```console
xrepo install cppitertools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppitertools")
```


### cppjieba (msys)


| Description | *"结巴"中文分词的C++版本* |
| -- | -- |
| Homepage | [https://github.com/yanyiwu/cppjieba](https://github.com/yanyiwu/cppjieba) |
| License | MIT |
| Versions | v5.2.0, v5.4.0, v5.4.1, v5.5.0, v5.6.0 |
| Architectures | i386, x86_64 |
| Definition | [cppjieba/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppjieba/xmake.lua) |

##### Install command

```console
xrepo install cppjieba
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppjieba")
```


### cppp-reiconv (msys)


| Description | *A character set conversion library based on GNU LIBICONV.* |
| -- | -- |
| Homepage | [https://github.com/cppp-project/cppp-reiconv](https://github.com/cppp-project/cppp-reiconv) |
| License | LGPL-3.0 |
| Versions | v2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [cppp-reiconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppp-reiconv/xmake.lua) |

##### Install command

```console
xrepo install cppp-reiconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppp-reiconv")
```


### cppunit (msys)


| Description | *CppUnit is the C++ port of the famous JUnit framework for unit testing* |
| -- | -- |
| Homepage | [https://freedesktop.org/wiki/Software/cppunit](https://freedesktop.org/wiki/Software/cppunit) |
| License | LGPL-2.1-or-later |
| Versions | 1.15.1 |
| Architectures | i386, x86_64 |
| Definition | [cppunit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppunit/xmake.lua) |

##### Install command

```console
xrepo install cppunit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppunit")
```


### cppzmq (msys)


| Description | *Header-only C++ binding for libzmq* |
| -- | -- |
| Homepage | [http://www.zeromq.org/](http://www.zeromq.org/) |
| License | MIT |
| Versions | v4.8.1, v4.9.0, v4.10.0, v4.11.0 |
| Architectures | i386, x86_64 |
| Definition | [cppzmq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cppzmq/xmake.lua) |

##### Install command

```console
xrepo install cppzmq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cppzmq")
```


### cpr (msys)


| Description | *C++ Requests is a simple wrapper around libcurl inspired by the excellent Python Requests project.* |
| -- | -- |
| Homepage | [https://docs.libcpr.org/](https://docs.libcpr.org/) |
| License | MIT |
| Versions | 1.6.2, 1.7.2, 1.8.3, 1.9.4, 1.10.2, 1.10.3, 1.10.5, 1.11.1, 1.11.2 |
| Architectures | i386, x86_64 |
| Definition | [cpr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpr/xmake.lua) |

##### Install command

```console
xrepo install cpr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpr")
```


### cpu-features (msys)


| Description | *A cross platform C99 library to get cpu features at runtime.* |
| -- | -- |
| Homepage | [https://github.com/google/cpu_features](https://github.com/google/cpu_features) |
| License | Apache-2.0 |
| Versions | v0.6.0, v0.7.0, v0.9.0, v0.10.0, v0.10.1 |
| Architectures | i386, x86_64 |
| Definition | [cpu-features/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpu-features/xmake.lua) |

##### Install command

```console
xrepo install cpu-features
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpu-features")
```


### cpuinfo (msys)


| Description | *CPU INFOrmation library (x86/x86-64/ARM/ARM64, Linux/Windows/Android/macOS/iOS)* |
| -- | -- |
| Homepage | [https://github.com/pytorch/cpuinfo](https://github.com/pytorch/cpuinfo) |
| License | BSD-2-Clause |
| Versions | 2023.07.21, 2024.09.26, 2025.03.28 |
| Architectures | i386, x86_64 |
| Definition | [cpuinfo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cpuinfo/xmake.lua) |

##### Install command

```console
xrepo install cpuinfo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cpuinfo")
```


### cr (msys)


| Description | *cr.h: A Simple C Hot Reload Header-only Library* |
| -- | -- |
| Homepage | [https://fungos.github.io/cr-simple-c-hot-reload/](https://fungos.github.io/cr-simple-c-hot-reload/) |
| License | MIT |
| Versions | 2022.11.06 |
| Architectures | i386, x86_64 |
| Definition | [cr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cr/xmake.lua) |

##### Install command

```console
xrepo install cr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cr")
```


### crc32c (msys)


| Description | *CRC32C implementation with support for CPU-specific acceleration instructions* |
| -- | -- |
| Homepage | [https://github.com/google/crc32c](https://github.com/google/crc32c) |
| License | BSD-3-Clause |
| Versions | 1.1.2 |
| Architectures | i386, x86_64 |
| Definition | [crc32c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crc32c/xmake.lua) |

##### Install command

```console
xrepo install crc32c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crc32c")
```


### criterion (msys)


| Description | *A cross-platform C and C++ unit testing framework for the 21st century* |
| -- | -- |
| Homepage | [https://github.com/Snaipe/Criterion](https://github.com/Snaipe/Criterion) |
| License | MIT |
| Versions | v2.4.2 |
| Architectures | i386, x86_64 |
| Definition | [criterion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/criterion/xmake.lua) |

##### Install command

```console
xrepo install criterion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("criterion")
```


### croaring (msys)


| Description | *Roaring bitmaps in C (and C++), with SIMD (AVX2, AVX-512 and NEON) optimizations: used by Apache Doris, ClickHouse, and StarRocks* |
| -- | -- |
| Homepage | [http://roaringbitmap.org/](http://roaringbitmap.org/) |
| License | Apache-2.0 |
| Versions | v2.0.4, v3.0.1, v4.0.0, v4.1.0, v4.1.1, v4.1.5, v4.1.7, v4.3.5 |
| Architectures | i386, x86_64 |
| Definition | [croaring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/croaring/xmake.lua) |

##### Install command

```console
xrepo install croaring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("croaring")
```


### croncpp (msys)


| Description | *A C++11/14/17 header-only cross-platform library for handling CRON expressions* |
| -- | -- |
| Homepage | [https://github.com/mariusbancila/croncpp](https://github.com/mariusbancila/croncpp) |
| License | MIT |
| Versions | v2023.03.30 |
| Architectures | i386, x86_64 |
| Definition | [croncpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/croncpp/xmake.lua) |

##### Install command

```console
xrepo install croncpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("croncpp")
```


### crow (msys)


| Description | *A Fast and Easy to use microframework for the web.* |
| -- | -- |
| Homepage | [https://github.com/CrowCpp/Crow](https://github.com/CrowCpp/Crow) |
| License | BSD 3-Clause |
| Versions | v1.2.1+2, v1.2.1+1 |
| Architectures | i386, x86_64 |
| Definition | [crow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crow/xmake.lua) |

##### Install command

```console
xrepo install crow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crow")
```


### crstl (msys)


| Description | *STL whose aim is to compile fast, run fast, and be clear to read* |
| -- | -- |
| Homepage | [https://github.com/redorav/crstl](https://github.com/redorav/crstl) |
| Versions | 2024.06.04 |
| Architectures | i386, x86_64 |
| Definition | [crstl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crstl/xmake.lua) |

##### Install command

```console
xrepo install crstl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crstl")
```


### crypto-algorithms (msys)


| Description | *Basic implementations of standard cryptography algorithms, like AES and SHA-1.* |
| -- | -- |
| Homepage | [https://github.com/KorewaWatchful/crypto-algorithms](https://github.com/KorewaWatchful/crypto-algorithms) |
| Versions | 2020.4.20 |
| Architectures | i386, x86_64 |
| Definition | [crypto-algorithms/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/crypto-algorithms/xmake.lua) |

##### Install command

```console
xrepo install crypto-algorithms
```

##### Integration in the project (xmake.lua)

```lua
add_requires("crypto-algorithms")
```


### cryptopp (msys)


| Description | *free C++ class library of cryptographic schemes* |
| -- | -- |
| Homepage | [https://cryptopp.com/](https://cryptopp.com/) |
| Versions | 8.4.0, 8.5.0, 8.6.0, 8.7.0, 8.9.0 |
| Architectures | i386, x86_64 |
| Definition | [cryptopp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cryptopp/xmake.lua) |

##### Install command

```console
xrepo install cryptopp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cryptopp")
```


### cs_libguarded (msys)


| Description | *Header-only library for multithreaded programming* |
| -- | -- |
| Homepage | [https://www.copperspice.com/](https://www.copperspice.com/) |
| License | BSD-2-Clause |
| Versions | 2023.08.02 |
| Architectures | i386, x86_64 |
| Definition | [cs_libguarded/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cs_libguarded/xmake.lua) |

##### Install command

```console
xrepo install cs_libguarded
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cs_libguarded")
```


### cserialport (msys)


| Description | *CSerialPort is a lightweight cross-platform serial port library based on C++, which can easy to read and write serial port on multiple operating system.* |
| -- | -- |
| Homepage | [https://github.com/itas109/CSerialPort](https://github.com/itas109/CSerialPort) |
| License | LGPL-3.0 |
| Versions | v4.3.1, v4.3.2 |
| Architectures | i386, x86_64 |
| Definition | [cserialport/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cserialport/xmake.lua) |

##### Install command

```console
xrepo install cserialport
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cserialport")
```


### csv2 (msys)


| Description | *A CSV parser library* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/csv2](https://github.com/p-ranav/csv2) |
| License | MIT |
| Versions | v0.1 |
| Architectures | i386, x86_64 |
| Definition | [csv2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csv2/xmake.lua) |

##### Install command

```console
xrepo install csv2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csv2")
```


### csvparser (msys)


| Description | *A modern C++ library for reading, writing, and analyzing CSV (and similar) files (by vincentlaucsb)* |
| -- | -- |
| Homepage | [https://github.com/vincentlaucsb/csv-parser](https://github.com/vincentlaucsb/csv-parser) |
| License | MIT |
| Versions | 2.1.1, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.3.0 |
| Architectures | i386, x86_64 |
| Definition | [csvparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/csvparser/xmake.lua) |

##### Install command

```console
xrepo install csvparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("csvparser")
```


### cthash (msys)


| Description | *constexpr implementation of SHA-2 and SHA-3 family of hashes* |
| -- | -- |
| Homepage | [https://github.com/hanickadot/cthash](https://github.com/hanickadot/cthash) |
| License | Apache-2.0 |
| Versions | 2023.10.24 |
| Architectures | i386, x86_64 |
| Definition | [cthash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cthash/xmake.lua) |

##### Install command

```console
xrepo install cthash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cthash")
```


### ctpg (msys)


| Description | *Compile Time Parser Generator.* |
| -- | -- |
| Homepage | [https://github.com/peter-winter/ctpg](https://github.com/peter-winter/ctpg) |
| License | MIT |
| Versions | v1.3.7 |
| Architectures | i386, x86_64 |
| Definition | [ctpg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctpg/xmake.lua) |

##### Install command

```console
xrepo install ctpg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctpg")
```


### ctrack (msys)


| Description | *A lightweight, high-performance C++ benchmarking and tracking library for effortless function profiling in both development and production environments.* |
| -- | -- |
| Homepage | [https://github.com/Compaile/ctrack](https://github.com/Compaile/ctrack) |
| License | MIT |
| Versions | v1.0.2 |
| Architectures | i386, x86_64 |
| Definition | [ctrack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctrack/xmake.lua) |

##### Install command

```console
xrepo install ctrack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctrack")
```


### ctre (msys)


| Description | *ctre is a Compile time PCRE (almost) compatible regular expression matcher.* |
| -- | -- |
| Homepage | [https://github.com/hanickadot/compile-time-regular-expressions/](https://github.com/hanickadot/compile-time-regular-expressions/) |
| License | Apache-2.0 |
| Versions | v3.4.1, v3.5, v3.6, v3.7.2, v3.8.1, v3.9.0 |
| Architectures | i386, x86_64 |
| Definition | [ctre/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctre/xmake.lua) |

##### Install command

```console
xrepo install ctre
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctre")
```


### ctrl-c (msys)


| Description | *Crossplatform code to handle Ctrl+C signal* |
| -- | -- |
| Homepage | [https://github.com/evgenykislov/ctrl-c](https://github.com/evgenykislov/ctrl-c) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [ctrl-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/ctrl-c/xmake.lua) |

##### Install command

```console
xrepo install ctrl-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ctrl-c")
```


### cubeb (msys)


| Description | *Cross platform audio library* |
| -- | -- |
| Homepage | [https://github.com/mozilla/cubeb](https://github.com/mozilla/cubeb) |
| License | ISC |
| Versions | 2023.7.31 |
| Architectures | i386, x86_64 |
| Definition | [cubeb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cubeb/xmake.lua) |

##### Install command

```console
xrepo install cubeb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cubeb")
```


### cuda-samples (msys)


| Description | *CUDA Sample Utility Code* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/cuda-samples](https://github.com/NVIDIA/cuda-samples) |
| License | BSD-3-Clause |
| Versions | v11.8, v12.3, v12.4.1, v12.5, v12.8, v12.9 |
| Architectures | i386, x86_64 |
| Definition | [cuda-samples/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cuda-samples/xmake.lua) |

##### Install command

```console
xrepo install cuda-samples
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cuda-samples")
```


### cunit (msys)


| Description | *CUnit is a lightweight system for writing, administering, and running unit tests in C.* |
| -- | -- |
| Homepage | [https://gitlab.com/cunity/cunit](https://gitlab.com/cunity/cunit) |
| License | LGPL-2.1 |
| Versions | 3.4.4 |
| Architectures | i386, x86_64 |
| Definition | [cunit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cunit/xmake.lua) |

##### Install command

```console
xrepo install cunit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cunit")
```


### curl (msys)


| Description | *The multiprotocol file transfer library.* |
| -- | -- |
| Homepage | [https://curl.haxx.se/](https://curl.haxx.se/) |
| License | MIT |
| Versions | 7.31.0, 7.32.0, 7.33.0, 7.34.0, 7.35.0, 7.36.0, 7.37.1, 7.38.0, 7.39.0, 7.40.0, 7.41.0, 7.42.1, 7.43.0, 7.44.0, 7.45.0, 7.46.0, 7.47.1, 7.48.0, 7.49.1, 7.50.3, 7.51.0, 7.52.1, 7.53.1, 7.54.1, 7.55.1, 7.56.1, 7.57.0, 7.58.0, 7.59.0, 7.60.0, 7.61.0, 7.61.1, 7.62.0, 7.63.0, 7.64.0, 7.64.1, 7.65.3, 7.66.0, 7.67.0, 7.68.0, 7.69.1, 7.70.0, 7.71.1, 7.72.0, 7.73.0, 7.74.0, 7.75.0, 7.76.1, 7.77.0, 7.78.0, 7.80.0, 7.81.0, 7.82.0, 7.84.0, 7.85.0, 7.86.0, 7.87.0, 8.0.1, 8.4.0, 8.5.0, 8.6.0, 8.7.1, 8.8.0, 8.9.0, 8.9.1, 8.10.0, 8.10.1, 8.11.0 |
| Architectures | i386, x86_64 |
| Definition | [curl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/curl/xmake.lua) |

##### Install command

```console
xrepo install curl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("curl")
```


### cute_headers (msys)


| Description | *Collection of cross-platform one-file C/C++ libraries with no dependencies, primarily used for games* |
| -- | -- |
| Homepage | [https://github.com/RandyGaul/cute_headers](https://github.com/RandyGaul/cute_headers) |
| License | Public Domain |
| Versions | 2024.07.22 |
| Architectures | i386, x86_64 |
| Definition | [cute_headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cute_headers/xmake.lua) |

##### Install command

```console
xrepo install cute_headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cute_headers")
```


### cutlass (msys)


| Description | *CUDA Templates for Linear Algebra Subroutines* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/cutlass](https://github.com/NVIDIA/cutlass) |
| License | BSD-3-Clause |
| Versions | v3.2.0, v3.4.1, v3.5.0, v3.5.1, v3.6.0, v3.7.0, v3.8.0, v3.9.0, v4.0.0 |
| Architectures | i386, x86_64 |
| Definition | [cutlass/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cutlass/xmake.lua) |

##### Install command

```console
xrepo install cutlass
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cutlass")
```


### cwt-cucumber (msys)


| Description | *A C++ Cucumber interpreter* |
| -- | -- |
| Homepage | [https://github.com/ThoSe1990/cwt-cucumber](https://github.com/ThoSe1990/cwt-cucumber) |
| License | MIT |
| Versions | 2.5, 2.6, 2.7 |
| Architectures | i386, x86_64 |
| Definition | [cwt-cucumber/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cwt-cucumber/xmake.lua) |

##### Install command

```console
xrepo install cwt-cucumber
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cwt-cucumber")
```


### cxxgraph (msys)


| Description | *Header-Only C++ Library for Graph Representation and Algorithms* |
| -- | -- |
| Homepage | [https://zigrazor.github.io/CXXGraph](https://zigrazor.github.io/CXXGraph) |
| License | AGPL-3.0 |
| Versions | v3.1.0, v4.1.0 |
| Architectures | i386, x86_64 |
| Definition | [cxxgraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cxxgraph/xmake.lua) |

##### Install command

```console
xrepo install cxxgraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cxxgraph")
```


### cxxopts (msys)


| Description | *Lightweight C++ command line option parser* |
| -- | -- |
| Homepage | [https://github.com/jarro2783/cxxopts](https://github.com/jarro2783/cxxopts) |
| License | MIT |
| Versions | v2.2.0, v3.0.0, v3.1.1, v3.2.0, v3.2.1, v3.3.1 |
| Architectures | i386, x86_64 |
| Definition | [cxxopts/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/c/cxxopts/xmake.lua) |

##### Install command

```console
xrepo install cxxopts
```

##### Integration in the project (xmake.lua)

```lua
add_requires("cxxopts")
```



## d
### dataframe (msys)


| Description | *This is a C++ analytical library that provides interface and functionality similar to packages/libraries in Python and R.* |
| -- | -- |
| Homepage | [https://github.com/hosseinmoein/DataFrame](https://github.com/hosseinmoein/DataFrame) |
| License | MIT |
| Versions | 1.21.0, 1.22.0, 3.0.0, 3.1.0, 3.2.0, 3.3.0, 3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [dataframe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dataframe/xmake.lua) |

##### Install command

```console
xrepo install dataframe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dataframe")
```


### datatype99 (msys)


| Description | *Algebraic data types for C99* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/datatype99](https://github.com/Hirrolot/datatype99) |
| License | MIT |
| Versions | 1.6.3, 1.6.4, 1.6.5 |
| Architectures | i386, x86_64 |
| Definition | [datatype99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/datatype99/xmake.lua) |

##### Install command

```console
xrepo install datatype99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("datatype99")
```


### date (msys)


| Description | *A date and time library for use with C++11 and C++14.* |
| -- | -- |
| Homepage | [https://github.com/HowardHinnant/date](https://github.com/HowardHinnant/date) |
| License | MIT |
| Versions | v3.0.1, v3.0.3, v3.0.4 |
| Architectures | i386, x86_64 |
| Definition | [date/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/date/xmake.lua) |

##### Install command

```console
xrepo install date
```

##### Integration in the project (xmake.lua)

```lua
add_requires("date")
```


### dav1d (msys)


| Description | *dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed, size and correctness.* |
| -- | -- |
| Homepage | [https://www.videolan.org/projects/dav1d.html](https://www.videolan.org/projects/dav1d.html) |
| License | BSD-2-Clause |
| Versions | 0.9.0, 1.1.0, 1.4.3, 1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [dav1d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dav1d/xmake.lua) |

##### Install command

```console
xrepo install dav1d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dav1d")
```


### daw_header_libraries (msys)


| Description | *Various header libraries mostly future std lib, replacements for(e.g. visit), or some misc * |
| -- | -- |
| Homepage | [https://beached.github.io/header_libraries/](https://beached.github.io/header_libraries/) |
| License | BSL-1.0 |
| Versions | v2.96.1, v2.102.0, v2.106.0, v2.106.1, v2.110.0, v2.114.0, v2.114.1, v2.118.0, v2.123.2 |
| Architectures | i386, x86_64 |
| Definition | [daw_header_libraries/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/daw_header_libraries/xmake.lua) |

##### Install command

```console
xrepo install daw_header_libraries
```

##### Integration in the project (xmake.lua)

```lua
add_requires("daw_header_libraries")
```


### daw_json_link (msys)


| Description | *Fast, convenient JSON serialization and parsing in C++* |
| -- | -- |
| Homepage | [https://beached.github.io/daw_json_link/](https://beached.github.io/daw_json_link/) |
| License | BSL-1.0 |
| Versions | v3.20.1, v3.23.2, v3.24.0, v3.24.1, v3.26.0, v3.28.3, v3.29.2, v3.30.2 |
| Architectures | i386, x86_64 |
| Definition | [daw_json_link/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/daw_json_link/xmake.lua) |

##### Install command

```console
xrepo install daw_json_link
```

##### Integration in the project (xmake.lua)

```lua
add_requires("daw_json_link")
```


### dbg-macro (msys)


| Description | *A dbg(…) macro for C++* |
| -- | -- |
| Homepage | [https://github.com/sharkdp/dbg-macro](https://github.com/sharkdp/dbg-macro) |
| License | MIT |
| Versions | v0.4.0, v0.5.0, v0.5.1 |
| Architectures | i386, x86_64 |
| Definition | [dbg-macro/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dbg-macro/xmake.lua) |

##### Install command

```console
xrepo install dbg-macro
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dbg-macro")
```


### debug-hpp (msys)


| Description | *printing everything including STL containers without pain* |
| -- | -- |
| Homepage | [https://github.com/archibate/debug-hpp](https://github.com/archibate/debug-hpp) |
| License | Unlicense |
| Versions | 2024.09.06 |
| Architectures | i386, x86_64 |
| Definition | [debug-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debug-hpp/xmake.lua) |

##### Install command

```console
xrepo install debug-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debug-hpp")
```


### debug_assert (msys)


| Description | *Simple, flexible and modular assertion macro.* |
| -- | -- |
| Homepage | [http://foonathan.net/blog/2016/09/16/assertions.html](http://foonathan.net/blog/2016/09/16/assertions.html) |
| License | zlib |
| Versions | v1.3.4 |
| Architectures | i386, x86_64 |
| Definition | [debug_assert/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debug_assert/xmake.lua) |

##### Install command

```console
xrepo install debug_assert
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debug_assert")
```


### debugbreak (msys)


| Description | *break into the debugger programmatically* |
| -- | -- |
| Homepage | [https://github.com/scottt/debugbreak](https://github.com/scottt/debugbreak) |
| License | BSD-2-Clause |
| Versions | v1.0 |
| Architectures | i386, x86_64 |
| Definition | [debugbreak/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/debugbreak/xmake.lua) |

##### Install command

```console
xrepo install debugbreak
```

##### Integration in the project (xmake.lua)

```lua
add_requires("debugbreak")
```


### decimal_for_cpp (msys)


| Description | *Decimal data type support, for COBOL-like fixed-point operations on currency/money values.* |
| -- | -- |
| Homepage | [https://github.com/vpiotr/decimal_for_cpp](https://github.com/vpiotr/decimal_for_cpp) |
| License | BSD-3-Clause |
| Versions | 1.19, 1.20, 1.21 |
| Architectures | i386, x86_64 |
| Definition | [decimal_for_cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/decimal_for_cpp/xmake.lua) |

##### Install command

```console
xrepo install decimal_for_cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("decimal_for_cpp")
```


### demumble (msys)


| Description | *A better c++filt and a better undname.exe, in one binary.* |
| -- | -- |
| Homepage | [https://github.com/nico/demumble](https://github.com/nico/demumble) |
| License | Apache-2.0 |
| Versions | 2022.3.23 |
| Architectures | i386, x86_64 |
| Definition | [demumble/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/demumble/xmake.lua) |

##### Install command

```console
xrepo install demumble
```

##### Integration in the project (xmake.lua)

```lua
add_requires("demumble")
```


### dfdutils (msys)


| Description | *Utilities for working with Khronos data format descriptors* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/dfdutils](https://github.com/KhronosGroup/dfdutils) |
| License | Apache-2.0 |
| Versions | 2023.10.27 |
| Architectures | i386, x86_64 |
| Definition | [dfdutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dfdutils/xmake.lua) |

##### Install command

```console
xrepo install dfdutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dfdutils")
```


### digestpp (msys)


| Description | *C++11 header-only message digest library* |
| -- | -- |
| Homepage | [https://github.com/kerukuro/digestpp](https://github.com/kerukuro/digestpp) |
| License | MIT |
| Versions | 2023.11.8 |
| Architectures | i386, x86_64 |
| Definition | [digestpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/digestpp/xmake.lua) |

##### Install command

```console
xrepo install digestpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("digestpp")
```


### dipp (msys)


| Description | *C++ Dependency injection inspired inspired by .NET's Microsoft.Extensions.DependencyInjection* |
| -- | -- |
| Homepage | [https://github.com/01Pollux/dipp](https://github.com/01Pollux/dipp) |
| License | MIT |
| Versions | 2024.01.12 |
| Architectures | i386, x86_64 |
| Definition | [dipp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dipp/xmake.lua) |

##### Install command

```console
xrepo install dipp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dipp")
```


### dirent (msys)


| Description | *C/C++ library for retrieving information on files and directories* |
| -- | -- |
| Homepage | [https://github.com/tronkko/dirent](https://github.com/tronkko/dirent) |
| License | MIT |
| Versions | 1.24, 1.25 |
| Architectures | i386, x86_64 |
| Definition | [dirent/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dirent/xmake.lua) |

##### Install command

```console
xrepo install dirent
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dirent")
```


### dispenso (msys)


| Description | *The project provides high-performance concurrency, enabling highly parallel computation.* |
| -- | -- |
| Homepage | [https://github.com/facebookincubator/dispenso](https://github.com/facebookincubator/dispenso) |
| License | MIT |
| Versions | v1.1.0, v1.2.0, v1.3.0, v1.4.0 |
| Architectures | i386, x86_64 |
| Definition | [dispenso/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dispenso/xmake.lua) |

##### Install command

```console
xrepo install dispenso
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dispenso")
```


### distorm (msys)


| Description | *Powerful Disassembler Library For x86/AMD64* |
| -- | -- |
| Homepage | [https://github.com/gdabah/distorm](https://github.com/gdabah/distorm) |
| Versions | 2021.12.18 |
| Architectures | i386, x86_64 |
| Definition | [distorm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/distorm/xmake.lua) |

##### Install command

```console
xrepo install distorm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("distorm")
```


### dlib (msys)


| Description | *A toolkit for making real world machine learning and data analysis applications in C++* |
| -- | -- |
| Homepage | [https://dlib.net](https://dlib.net) |
| License | Boost |
| Versions | v19.22, v19.24.4, v19.24.5, v19.24.6, v19.24.8, v19.24.9, v20.0 |
| Architectures | i386, x86_64 |
| Definition | [dlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dlib/xmake.lua) |

##### Install command

```console
xrepo install dlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dlib")
```


### dlpack (msys)


| Description | *common in-memory tensor structure * |
| -- | -- |
| Homepage | [https://dmlc.github.io/dlpack/latest](https://dmlc.github.io/dlpack/latest) |
| License | Apache-2.0 |
| Versions | v0.8, v1.0, v1.1 |
| Architectures | i386, x86_64 |
| Definition | [dlpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dlpack/xmake.lua) |

##### Install command

```console
xrepo install dlpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dlpack")
```


### docopt (msys)


| Description | *Pythonic command line arguments parser (C++11 port)* |
| -- | -- |
| Homepage | [https://github.com/docopt/docopt.cpp](https://github.com/docopt/docopt.cpp) |
| License | BSL-1.0 |
| Versions | v0.6.3 |
| Architectures | i386, x86_64 |
| Definition | [docopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/docopt/xmake.lua) |

##### Install command

```console
xrepo install docopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("docopt")
```


### doctest (msys)


| Description | *The fastest feature-rich C++11/14/17/20 single-header testing framework for unit tests and TDD* |
| -- | -- |
| Homepage | [http://bit.ly/doctest-docs](http://bit.ly/doctest-docs) |
| License | MIT |
| Versions | 2.3.1, 2.3.6, 2.4.8, 2.4.9, 2.4.10, 2.4.11, 2.4.12 |
| Architectures | i386, x86_64 |
| Definition | [doctest/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/doctest/xmake.lua) |

##### Install command

```console
xrepo install doctest
```

##### Integration in the project (xmake.lua)

```lua
add_requires("doctest")
```


### double-conversion (msys)


| Description | *Efficient binary-decimal and decimal-binary conversion routines for IEEE doubles.* |
| -- | -- |
| Homepage | [https://github.com/google/double-conversion](https://github.com/google/double-conversion) |
| License | BSD-3-Clause |
| Versions | v3.1.5, v3.3.0, v3.3.1 |
| Architectures | i386, x86_64 |
| Definition | [double-conversion/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/double-conversion/xmake.lua) |

##### Install command

```console
xrepo install double-conversion
```

##### Integration in the project (xmake.lua)

```lua
add_requires("double-conversion")
```


### doxygen (msys)


| Description | *%s* |
| -- | -- |
| Homepage | [https://www.doxygen.nl/](https://www.doxygen.nl/) |
| License | GPL-2.0 |
| Versions | 1.9.1, 1.9.2, 1.9.3, 1.9.5, 1.9.6, 1.10.0 |
| Architectures | i386, x86_64 |
| Definition | [doxygen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/doxygen/xmake.lua) |

##### Install command

```console
xrepo install doxygen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("doxygen")
```


### dr_flac (msys)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.12.29, 0.12.39, 0.12.41, 0.12.42, 0.12.43 |
| Architectures | i386, x86_64 |
| Definition | [dr_flac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_flac/xmake.lua) |

##### Install command

```console
xrepo install dr_flac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_flac")
```


### dr_mp3 (msys)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.6.27, 0.6.34, 0.6.36, 0.6.37, 0.6.38, 0.6.39, 0.6.40 |
| Architectures | i386, x86_64 |
| Definition | [dr_mp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_mp3/xmake.lua) |

##### Install command

```console
xrepo install dr_mp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_mp3")
```


### dr_wav (msys)


| Description | *Single file audio decoding libraries for C/C++.* |
| -- | -- |
| Homepage | [https://github.com/mackron/dr_libs](https://github.com/mackron/dr_libs) |
| License | MIT |
| Versions | 0.12.19, 0.13.8, 0.13.10, 0.13.11, 0.13.12, 0.13.13, 0.13.16, 0.13.17 |
| Architectures | i386, x86_64 |
| Definition | [dr_wav/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dr_wav/xmake.lua) |

##### Install command

```console
xrepo install dr_wav
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dr_wav")
```


### dragonbox (msys)


| Description | *Reference implementation of Dragonbox in C++* |
| -- | -- |
| Homepage | [https://github.com/jk-jeon/dragonbox](https://github.com/jk-jeon/dragonbox) |
| License | Apache-2.0 |
| Versions | 1.1.3 |
| Architectures | i386, x86_64 |
| Definition | [dragonbox/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dragonbox/xmake.lua) |

##### Install command

```console
xrepo install dragonbox
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dragonbox")
```


### drogon (msys)


| Description | *Drogon: A C++14/17/20 based HTTP web application framework running on Linux/macOS/Unix/Windows* |
| -- | -- |
| Homepage | [https://github.com/an-tao/drogon/](https://github.com/an-tao/drogon/) |
| License | MIT |
| Versions | v1.4.1, v1.6.0, v1.7.1, v1.7.3, v1.7.5, v1.8.0, v1.8.1, v1.8.2, v1.9.1, v1.9.3, v1.9.4, v1.9.5, v1.9.6, v1.9.8, v1.9.9, v1.9.10, v1.9.11 |
| Architectures | i386, x86_64 |
| Definition | [drogon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/drogon/xmake.lua) |

##### Install command

```console
xrepo install drogon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("drogon")
```


### duktape (msys)


| Description | *Duktape - embeddable Javascript engine with a focus on portability and compact footprint* |
| -- | -- |
| Homepage | [https://github.com/svaarala/duktape](https://github.com/svaarala/duktape) |
| License | MIT |
| Versions | 2.7.0 |
| Architectures | i386, x86_64 |
| Definition | [duktape/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/duktape/xmake.lua) |

##### Install command

```console
xrepo install duktape
```

##### Integration in the project (xmake.lua)

```lua
add_requires("duktape")
```


### dylib (msys)


| Description | *C++ cross-platform wrapper around dynamic loading of shared libraries (dll, so, dylib)* |
| -- | -- |
| Homepage | [https://conan.io/center/recipes/dylib](https://conan.io/center/recipes/dylib) |
| License | MIT |
| Versions | v2.2.1 |
| Architectures | i386, x86_64 |
| Definition | [dylib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dylib/xmake.lua) |

##### Install command

```console
xrepo install dylib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dylib")
```


### dyncall (msys)


| Description | *dyncall library provides a clean and portable C interface to dynamically issue calls to foreign code using small call kernels written in assembly.* |
| -- | -- |
| Homepage | [https://www.dyncall.org](https://www.dyncall.org) |
| Versions | 1.4 |
| Architectures | i386, x86_64 |
| Definition | [dyncall/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/d/dyncall/xmake.lua) |

##### Install command

```console
xrepo install dyncall
```

##### Integration in the project (xmake.lua)

```lua
add_requires("dyncall")
```



## e
### eabase (msys)


| Description | *EABase is a small set of header files that define platform-independent data types and platform feature macros.* |
| -- | -- |
| Homepage | [https://github.com/electronicarts/EABase](https://github.com/electronicarts/EABase) |
| License | BSD-3-Clause |
| Versions | 2.09.05 |
| Architectures | i386, x86_64 |
| Definition | [eabase/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eabase/xmake.lua) |

##### Install command

```console
xrepo install eabase
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eabase")
```


### easy_profiler (msys)


| Description | *Lightweight profiler library for c++* |
| -- | -- |
| Homepage | [https://github.com/yse/easy_profiler](https://github.com/yse/easy_profiler) |
| License | MIT |
| Versions | v2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [easy_profiler/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easy_profiler/xmake.lua) |

##### Install command

```console
xrepo install easy_profiler
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easy_profiler")
```


### easyloggingpp (msys)


| Description | *Single header C++ logging library.* |
| -- | -- |
| Homepage | [https://github.com/amrayn/easyloggingpp](https://github.com/amrayn/easyloggingpp) |
| License | MIT |
| Versions | v9.97.0, v9.97.1 |
| Architectures | i386, x86_64 |
| Definition | [easyloggingpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easyloggingpp/xmake.lua) |

##### Install command

```console
xrepo install easyloggingpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easyloggingpp")
```


### easywsclient (msys)


| Description | *A short and sweet WebSocket client for C++* |
| -- | -- |
| Homepage | [https://github.com/dhbaird/easywsclient](https://github.com/dhbaird/easywsclient) |
| License | MIT |
| Versions | 2021.01.12 |
| Architectures | i386, x86_64 |
| Definition | [easywsclient/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/easywsclient/xmake.lua) |

##### Install command

```console
xrepo install easywsclient
```

##### Integration in the project (xmake.lua)

```lua
add_requires("easywsclient")
```


### edlib (msys)


| Description | *Lightweight, super fast C/C++ (& Python) library for sequence alignment using edit (Levenshtein) distance.* |
| -- | -- |
| Homepage | [http://martinsos.github.io/edlib](http://martinsos.github.io/edlib) |
| License | MIT |
| Versions | v1.2.7 |
| Architectures | i386, x86_64 |
| Definition | [edlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/edlib/xmake.lua) |

##### Install command

```console
xrepo install edlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("edlib")
```


### effolkronium-random (msys)


| Description | *Random for modern C++ with convenient API* |
| -- | -- |
| Homepage | [https://github.com/effolkronium/random](https://github.com/effolkronium/random) |
| License | MIT |
| Versions | v1.4.1, v1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [effolkronium-random/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/effolkronium-random/xmake.lua) |

##### Install command

```console
xrepo install effolkronium-random
```

##### Integration in the project (xmake.lua)

```lua
add_requires("effolkronium-random")
```


### egl-headers (msys)


| Description | *EGL API and Extension Registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/EGL-Registry](https://github.com/KhronosGroup/EGL-Registry) |
| License | MIT |
| Versions | 2023.12.16 |
| Architectures | i386, x86_64 |
| Definition | [egl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/egl-headers/xmake.lua) |

##### Install command

```console
xrepo install egl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("egl-headers")
```


### eigen (msys)


| Description | *C++ template library for linear algebra* |
| -- | -- |
| Homepage | [https://eigen.tuxfamily.org/](https://eigen.tuxfamily.org/) |
| License | MPL-2.0 |
| Versions | 3.3.7, 3.3.8, 3.3.9, 3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [eigen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eigen/xmake.lua) |

##### Install command

```console
xrepo install eigen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eigen")
```


### elfio (msys)


| Description | *ELFIO - ELF (Executable and Linkable Format) reader and producer implemented as a header only C++ library* |
| -- | -- |
| Homepage | [http://serge1.github.io/ELFIO](http://serge1.github.io/ELFIO) |
| License | MIT |
| Versions | 3.11 |
| Architectures | i386, x86_64 |
| Definition | [elfio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/elfio/xmake.lua) |

##### Install command

```console
xrepo install elfio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("elfio")
```


### emhash (msys)


| Description | *Fast and memory efficient c++ flat hash map/set* |
| -- | -- |
| Homepage | [https://github.com/ktprime/emhash](https://github.com/ktprime/emhash) |
| License | MIT |
| Versions | 2024.06.01, 2025.03.19, 2025.03.24 |
| Architectures | i386, x86_64 |
| Definition | [emhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emhash/xmake.lua) |

##### Install command

```console
xrepo install emhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emhash")
```


### emio (msys)


| Description | *A safe and fast high-level and low-level character input/output library for bare-metal and RTOS based embedded systems with a very small binary footprint.* |
| -- | -- |
| Homepage | [https://viatorus.github.io/emio/](https://viatorus.github.io/emio/) |
| Versions | 0.4.0, 0.7.0, 0.8.0, 0.9.0 |
| Architectures | i386, x86_64 |
| Definition | [emio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/emio/xmake.lua) |

##### Install command

```console
xrepo install emio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("emio")
```


### enet (msys)


| Description | *Reliable UDP networking library.* |
| -- | -- |
| Homepage | [http://enet.bespin.org](http://enet.bespin.org) |
| License | MIT |
| Versions | v1.3.17, v1.3.18 |
| Architectures | i386, x86_64 |
| Definition | [enet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enet/xmake.lua) |

##### Install command

```console
xrepo install enet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enet")
```


### enet6 (msys)


| Description | *A fork of ENet (reliable UDP networking library) in order to add IPv6 support.* |
| -- | -- |
| Homepage | [https://github.com/SirLynix/enet6](https://github.com/SirLynix/enet6) |
| License | MIT |
| Versions | v6.0.0, v6.0.1, v6.0.2, v6.1.0, v6.1.2 |
| Architectures | i386, x86_64 |
| Definition | [enet6/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enet6/xmake.lua) |

##### Install command

```console
xrepo install enet6
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enet6")
```


### enkits (msys)


| Description | *A permissively licensed C and C++ Task Scheduler for creating parallel programs.* |
| -- | -- |
| Homepage | [https://github.com/dougbinks/enkiTS](https://github.com/dougbinks/enkiTS) |
| License | zlib |
| Versions | v1.10, v1.11 |
| Architectures | i386, x86_64 |
| Definition | [enkits/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/enkits/xmake.lua) |

##### Install command

```console
xrepo install enkits
```

##### Integration in the project (xmake.lua)

```lua
add_requires("enkits")
```


### entt (msys)


| Description | *Gaming meets modern C++ - a fast and reliable entity component system (ECS) and much more.* |
| -- | -- |
| Homepage | [https://github.com/skypjack/entt](https://github.com/skypjack/entt) |
| License | MIT |
| Versions | v3.6.0, v3.7.0, v3.7.1, v3.8.0, v3.8.1, v3.9.0, v3.10.0, v3.10.1, v3.10.3, v3.11.0, v3.11.1, v3.12.1, v3.12.2, v3.13.0, v3.13.1, v3.13.2, v3.14.0, v3.15.0 |
| Architectures | i386, x86_64 |
| Definition | [entt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/entt/xmake.lua) |

##### Install command

```console
xrepo install entt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("entt")
```


### etl (msys)


| Description | *Embedded Template Library* |
| -- | -- |
| Homepage | [https://www.etlcpp.com](https://www.etlcpp.com) |
| License | MIT |
| Versions | 20.38.0, 20.38.10, 20.38.11, 20.38.13, 20.38.16, 20.38.17, 20.39.1, 20.39.2, 20.39.3, 20.39.4, 20.40.0, 20.40.1, 20.41.0, 20.41.1, 20.41.2, 20.41.3, 20.41.4, 20.41.5, 20.41.6, 20.41.7, 20.42.0, 20.42.1, 20.42.2 |
| Architectures | i386, x86_64 |
| Definition | [etl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/etl/xmake.lua) |

##### Install command

```console
xrepo install etl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("etl")
```


### eve (msys)


| Description | *Expressive Vector Engine - SIMD in C++ Goes Brrrr* |
| -- | -- |
| Homepage | [https://jfalcou.github.io/eve/](https://jfalcou.github.io/eve/) |
| License | BSL-1.0 |
| Versions | 2023.02.15 |
| Architectures | i386, x86_64 |
| Definition | [eve/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eve/xmake.lua) |

##### Install command

```console
xrepo install eve
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eve")
```


### eventpp (msys)


| Description | *Event Dispatcher and callback list for C++* |
| -- | -- |
| Homepage | [https://github.com/wqking/eventpp](https://github.com/wqking/eventpp) |
| License | Apache-2.0 |
| Versions | v0.1.3 |
| Architectures | i386, x86_64 |
| Definition | [eventpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/eventpp/xmake.lua) |

##### Install command

```console
xrepo install eventpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("eventpp")
```


### expat (msys)


| Description | *XML 1.0 parser* |
| -- | -- |
| Homepage | [https://libexpat.github.io](https://libexpat.github.io) |
| License | MIT |
| Versions | 2.2.6, 2.2.10, 2.3.0, 2.4.1, 2.4.5, 2.4.7, 2.4.8, 2.5.0, 2.6.2, 2.6.3, 2.6.4, 2.7.1 |
| Architectures | i386, x86_64 |
| Definition | [expat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expat/xmake.lua) |

##### Install command

```console
xrepo install expat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expat")
```


### expected-lite (msys)


| Description | *expected lite - Expected objects in C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/expected-lite](https://github.com/martinmoene/expected-lite) |
| License | BSL-1.0 |
| Versions | v0.6.3, v0.8.0, v0.9.0 |
| Architectures | i386, x86_64 |
| Definition | [expected-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expected-lite/xmake.lua) |

##### Install command

```console
xrepo install expected-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expected-lite")
```


### expresscpp (msys)


| Description | *Fast, unopinionated, minimalist web framework for C++ Perfect for building REST APIs.* |
| -- | -- |
| Homepage | [https://github.com/expresscpp/expresscpp.git](https://github.com/expresscpp/expresscpp.git) |
| License | MIT |
| Versions | v0.20.0 |
| Architectures | i386, x86_64 |
| Definition | [expresscpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/expresscpp/xmake.lua) |

##### Install command

```console
xrepo install expresscpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("expresscpp")
```


### extra-cmake-modules (msys)


| Description | *Extra CMake Modules (ECM) extends CMake with additional modules and scripts.* |
| -- | -- |
| Homepage | [https://invent.kde.org/frameworks/extra-cmake-modules](https://invent.kde.org/frameworks/extra-cmake-modules) |
| Versions | v6.10.0 |
| Architectures | i386, x86_64 |
| Definition | [extra-cmake-modules/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/e/extra-cmake-modules/xmake.lua) |

##### Install command

```console
xrepo install extra-cmake-modules
```

##### Integration in the project (xmake.lua)

```lua
add_requires("extra-cmake-modules")
```



## f
### fakeit (msys)


| Description | *C++ mocking made easy. A simple yet very expressive, headers only library for c++ mocking.* |
| -- | -- |
| Homepage | [https://github.com/eranpeer/FakeIt](https://github.com/eranpeer/FakeIt) |
| License | MIT |
| Versions | 2.4.0, 2.4.1 |
| Architectures | i386, x86_64 |
| Definition | [fakeit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fakeit/xmake.lua) |

##### Install command

```console
xrepo install fakeit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fakeit")
```


### faker-cxx (msys)


| Description | *C++ Faker library for generating fake (but realistic) data.* |
| -- | -- |
| Homepage | [https://cieslarmichal.github.io/faker-cxx/](https://cieslarmichal.github.io/faker-cxx/) |
| License | MIT |
| Versions | v2.0.0, v3.0.0, v4.0.1 |
| Architectures | i386, x86_64 |
| Definition | [faker-cxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/faker-cxx/xmake.lua) |

##### Install command

```console
xrepo install faker-cxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("faker-cxx")
```


### fann (msys)


| Description | *Official github repository for Fast Artificial Neural Network Library (FANN)* |
| -- | -- |
| Homepage | [https://github.com/libfann/fann](https://github.com/libfann/fann) |
| License | LGPL-2.1 |
| Versions | 2021.03.14, 2024.04.16 |
| Architectures | i386, x86_64 |
| Definition | [fann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fann/xmake.lua) |

##### Install command

```console
xrepo install fann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fann")
```


### fast-cdr (msys)


| Description | *eProsima FastCDR library provides two serialization mechanisms. One is the standard CDR serialization mechanism, while the other is a faster implementation of it.* |
| -- | -- |
| Homepage | [https://www.eprosima.com](https://www.eprosima.com) |
| License | Apache-2.0 |
| Versions | v1.1.0, v2.1.3, v2.2.1, v2.2.2, v2.2.3, v2.2.4, v2.2.5, v2.2.6, v2.3.0 |
| Architectures | i386, x86_64 |
| Definition | [fast-cdr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast-cdr/xmake.lua) |

##### Install command

```console
xrepo install fast-cdr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast-cdr")
```


### fast-lzma2 (msys)


| Description | *Fast LZMA2 Library* |
| -- | -- |
| Homepage | [https://github.com/conor42/fast-lzma2](https://github.com/conor42/fast-lzma2) |
| License | BSD-3-Clause |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [fast-lzma2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast-lzma2/xmake.lua) |

##### Install command

```console
xrepo install fast-lzma2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast-lzma2")
```


### fast_float (msys)


| Description | *Fast and exact implementation of the C++ from_chars functions for float and double types: 4x faster than strtod* |
| -- | -- |
| Homepage | [https://github.com/fastfloat/fast_float](https://github.com/fastfloat/fast_float) |
| License | Apache-2.0 |
| Versions | v3.4.0, v3.5.1, v3.10.1, v5.2.0, v5.3.0, v6.0.0, v6.1.0, v6.1.1, v6.1.3, v6.1.4, v6.1.5, v6.1.6, v7.0.0, v8.0.0, v8.0.2 |
| Architectures | i386, x86_64 |
| Definition | [fast_float/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_float/xmake.lua) |

##### Install command

```console
xrepo install fast_float
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_float")
```


### fast_io (msys)


| Description | *Significantly faster input/output for C++20* |
| -- | -- |
| Homepage | [https://github.com/cppfastio/fast_io](https://github.com/cppfastio/fast_io) |
| License | MIT |
| Versions | 2023.1.28, 2024.3.31, 2025.06.13 |
| Architectures | i386, x86_64 |
| Definition | [fast_io/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_io/xmake.lua) |

##### Install command

```console
xrepo install fast_io
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_io")
```


### fast_obj (msys)


| Description | *Fast C OBJ parser* |
| -- | -- |
| Homepage | [https://github.com/thisistherk/fast_obj](https://github.com/thisistherk/fast_obj) |
| License | MIT |
| Versions | v1.3 |
| Architectures | i386, x86_64 |
| Definition | [fast_obj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fast_obj/xmake.lua) |

##### Install command

```console
xrepo install fast_obj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fast_obj")
```


### fastcppcsvparser (msys)


| Description | *This is a small, easy-to-use and fast header-only library for reading comma separated value (CSV) files (by ben-strasser)* |
| -- | -- |
| Homepage | [https://github.com/ben-strasser/fast-cpp-csv-parser](https://github.com/ben-strasser/fast-cpp-csv-parser) |
| Versions | 2021.01.03 |
| Architectures | i386, x86_64 |
| Definition | [fastcppcsvparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastcppcsvparser/xmake.lua) |

##### Install command

```console
xrepo install fastcppcsvparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastcppcsvparser")
```


### fastmod (msys)


| Description | *A header file for fast 32-bit division remainders on 64-bit hardware.* |
| -- | -- |
| Homepage | [https://github.com/lemire/fastmod](https://github.com/lemire/fastmod) |
| License | Apache-2.0 |
| Versions | v0.1.0 |
| Architectures | i386, x86_64 |
| Definition | [fastmod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fastmod/xmake.lua) |

##### Install command

```console
xrepo install fastmod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fastmod")
```


### fatal (msys)


| Description | *Fatal is a library for fast prototyping software in modern C++.* |
| -- | -- |
| Homepage | [https://github.com/facebook/fatal](https://github.com/facebook/fatal) |
| License | BSD |
| Versions | 2024.06.24 |
| Architectures | i386, x86_64 |
| Definition | [fatal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fatal/xmake.lua) |

##### Install command

```console
xrepo install fatal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fatal")
```


### fcpw (msys)


| Description | *FCPW: Fastest Closest Points in the West* |
| -- | -- |
| Homepage | [https://github.com/rohan-sawhney/fcpw](https://github.com/rohan-sawhney/fcpw) |
| License | MIT |
| Versions | v1.0.5, v1.1.2, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [fcpw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fcpw/xmake.lua) |

##### Install command

```console
xrepo install fcpw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fcpw")
```


### fdk-aac (msys)


| Description | *A standalone library of the Fraunhofer FDK AAC code from Android.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/opencore-amr/](https://sourceforge.net/projects/opencore-amr/) |
| License | Apache-2.0 |
| Versions | 2.0.0, 2.0.1, 2.0.2, 2.0.3 |
| Architectures | i386, x86_64 |
| Definition | [fdk-aac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fdk-aac/xmake.lua) |

##### Install command

```console
xrepo install fdk-aac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fdk-aac")
```


### ffts (msys)


| Description | *The Fastest Fourier Transform in the South* |
| -- | -- |
| Homepage | [http://anthonix.com/ffts](http://anthonix.com/ffts) |
| Versions | 2019.03.19 |
| Architectures | i386, x86_64 |
| Definition | [ffts/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/ffts/xmake.lua) |

##### Install command

```console
xrepo install ffts
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ffts")
```


### fftw (msys)


| Description | *A C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions.* |
| -- | -- |
| Homepage | [http://fftw.org/](http://fftw.org/) |
| License | GPL-2.0 |
| Versions | 3.3.8, 3.3.9, 3.3.10 |
| Architectures | i386, x86_64 |
| Definition | [fftw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fftw/xmake.lua) |

##### Install command

```console
xrepo install fftw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fftw")
```


### fgt (msys)


| Description | *C++ library for fast Gauss transforms.* |
| -- | -- |
| Homepage | [http://gadomski.github.io/fgt](http://gadomski.github.io/fgt) |
| License | LGPL-2.1 |
| Versions | v0.4.11 |
| Architectures | i386, x86_64 |
| Definition | [fgt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fgt/xmake.lua) |

##### Install command

```console
xrepo install fgt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fgt")
```


### fixed-containers (msys)


| Description | *C++ Fixed Containers* |
| -- | -- |
| Homepage | [https://github.com/teslamotors/fixed-containers](https://github.com/teslamotors/fixed-containers) |
| License | MIT |
| Versions | 2025.01.03 |
| Architectures | i386, x86_64 |
| Definition | [fixed-containers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fixed-containers/xmake.lua) |

##### Install command

```console
xrepo install fixed-containers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fixed-containers")
```


### flann (msys)


| Description | *Fast Library for Approximate Nearest Neighbors* |
| -- | -- |
| Homepage | [https://github.com/flann-lib/flann/](https://github.com/flann-lib/flann/) |
| License | BSD-3-Clause |
| Versions | 1.9.1, 1.9.2 |
| Architectures | i386, x86_64 |
| Definition | [flann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flann/xmake.lua) |

##### Install command

```console
xrepo install flann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flann")
```


### flatbuffers (msys)


| Description | *FlatBuffers is a cross platform serialization library architected for maximum memory efficiency.* |
| -- | -- |
| Homepage | [http://google.github.io/flatbuffers/](http://google.github.io/flatbuffers/) |
| License | Apache-2.0 |
| Versions | v1.12.0, v2.0.0, v23.1.21, v23.5.26, v24.3.25, v24.12.23, v25.2.10 |
| Architectures | i386, x86_64 |
| Definition | [flatbuffers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flatbuffers/xmake.lua) |

##### Install command

```console
xrepo install flatbuffers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flatbuffers")
```


### flatcc (msys)


| Description | *FlatBuffers Compiler and Library in C for C* |
| -- | -- |
| Homepage | [https://github.com/dvidelabs/flatcc](https://github.com/dvidelabs/flatcc) |
| License | Apache-2.0 |
| Versions | v0.6.1, 2025.04.08 |
| Architectures | i386, x86_64 |
| Definition | [flatcc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flatcc/xmake.lua) |

##### Install command

```console
xrepo install flatcc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flatcc")
```


### flecs (msys)


| Description | *A fast entity component system (ECS) for C & C++* |
| -- | -- |
| Homepage | [https://github.com/SanderMertens/flecs](https://github.com/SanderMertens/flecs) |
| License | MIT |
| Versions | v2.4.8, v3.0.0, v3.2.4, v3.2.5, v3.2.6, v3.2.7, v3.2.8, v3.2.9, v3.2.10, v3.2.11, v3.2.12, v4.0.0, v4.0.1, v4.0.2, v4.0.3, v4.0.4, v4.0.5, v4.1.0 |
| Architectures | i386, x86_64 |
| Definition | [flecs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flecs/xmake.lua) |

##### Install command

```console
xrepo install flecs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flecs")
```


### flex (msys)


| Description | *%s* |
| -- | -- |
| Homepage | [https://github.com/westes/flex/](https://github.com/westes/flex/) |
| License | BSD-2-Clause |
| Versions | 2.6.4 |
| Architectures | i386, x86_64 |
| Definition | [flex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flex/xmake.lua) |

##### Install command

```console
xrepo install flex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flex")
```


### fltk (msys)


| Description | *Fast Light Toolkit* |
| -- | -- |
| Homepage | [https://www.fltk.org](https://www.fltk.org) |
| Versions | 1.3.9 |
| Architectures | i386, x86_64 |
| Definition | [fltk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fltk/xmake.lua) |

##### Install command

```console
xrepo install fltk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fltk")
```


### flux (msys)


| Description | *A C++20 library for sequence-orientated programming* |
| -- | -- |
| Homepage | [https://tristanbrindle.com/flux/](https://tristanbrindle.com/flux/) |
| License | BSL-1.0 |
| Versions | v0.4.0 |
| Architectures | i386, x86_64 |
| Definition | [flux/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/flux/xmake.lua) |

##### Install command

```console
xrepo install flux
```

##### Integration in the project (xmake.lua)

```lua
add_requires("flux")
```


### fluxsort (msys)


| Description | *A branchless stable quicksort / mergesort hybrid.* |
| -- | -- |
| Homepage | [https://github.com/scandum/fluxsort](https://github.com/scandum/fluxsort) |
| License | MIT |
| Versions | 2023.02.05 |
| Architectures | i386, x86_64 |
| Definition | [fluxsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fluxsort/xmake.lua) |

##### Install command

```console
xrepo install fluxsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fluxsort")
```


### fmi (msys)


| Description | *Specification of the Functional Mock-Up Interface (FMI)* |
| -- | -- |
| Homepage | [https://fmi-standard.org/](https://fmi-standard.org/) |
| Versions | v3.0.1, v3.0.2 |
| Architectures | i386, x86_64 |
| Definition | [fmi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmi/xmake.lua) |

##### Install command

```console
xrepo install fmi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmi")
```


### fmt (msys)


| Description | *fmt is an open-source formatting library for C++. It can be used as a safe and fast alternative to (s)printf and iostreams.* |
| -- | -- |
| Homepage | [https://fmt.dev](https://fmt.dev) |
| License | MIT |
| Versions | 5.3.0, 6.0.0, 6.2.0, 7.1.3, 8.0.0, 8.0.1, 8.1.1, 9.0.0, 9.1.0, 10.0.0, 10.1.0, 10.1.1, 10.2.0, 10.2.1, 11.0.0, 11.0.1, 11.0.2, 11.1.0, 11.1.1, 11.1.2, 11.1.3, 11.1.4, 11.2.0 |
| Architectures | i386, x86_64 |
| Definition | [fmt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fmt/xmake.lua) |

##### Install command

```console
xrepo install fmt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fmt")
```


### fpm (msys)


| Description | *C++ header-only fixed-point math library* |
| -- | -- |
| Homepage | [https://mikelankamp.github.io/fpm](https://mikelankamp.github.io/fpm) |
| License | MIT |
| Versions | 2024.09.06 |
| Architectures | i386, x86_64 |
| Definition | [fpm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fpm/xmake.lua) |

##### Install command

```console
xrepo install fpm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fpm")
```


### freerdp (msys)


| Description | *FreeRDP is a free remote desktop protocol library and clients * |
| -- | -- |
| Homepage | [http://www.freerdp.com](http://www.freerdp.com) |
| License | Apache-2.0 |
| Versions | 3.15.0, 3.16.0 |
| Architectures | i386, x86_64 |
| Definition | [freerdp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freerdp/xmake.lua) |

##### Install command

```console
xrepo install freerdp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freerdp")
```


### freetype (msys)


| Description | *A freely available software library to render fonts.* |
| -- | -- |
| Homepage | [https://www.freetype.org](https://www.freetype.org) |
| License | BSD |
| Versions | 2.9.1, 2.10.4, 2.11.0, 2.11.1, 2.12.0, 2.12.1, 2.13.0, 2.13.1, 2.13.3 |
| Architectures | i386, x86_64 |
| Definition | [freetype/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/freetype/xmake.lua) |

##### Install command

```console
xrepo install freetype
```

##### Integration in the project (xmake.lua)

```lua
add_requires("freetype")
```


### fribidi (msys)


| Description | *The Free Implementation of the Unicode Bidirectional Algorithm.* |
| -- | -- |
| Homepage | [https://github.com/fribidi/fribidi](https://github.com/fribidi/fribidi) |
| License | LGPL-2.1 |
| Versions | 1.0.10, 1.0.11, 1.0.12, 1.0.13, 1.0.14, 1.0.15, 1.0.16 |
| Architectures | i386, x86_64 |
| Definition | [fribidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fribidi/xmake.lua) |

##### Install command

```console
xrepo install fribidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fribidi")
```


### frozen (msys)


| Description | *A header-only, constexpr alternative to gperf for C++14 users* |
| -- | -- |
| Homepage | [https://github.com/serge-sans-paille/frozen](https://github.com/serge-sans-paille/frozen) |
| License | Apache-2.0 |
| Versions | 1.1.1, 1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [frozen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/frozen/xmake.lua) |

##### Install command

```console
xrepo install frozen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("frozen")
```


### fruit (msys)


| Description | *Fruit, a dependency injection framework for C++* |
| -- | -- |
| Homepage | [https://github.com/google/fruit/wiki](https://github.com/google/fruit/wiki) |
| License | Apache-2.0 |
| Versions | v3.7.0, v3.7.1 |
| Architectures | i386, x86_64 |
| Definition | [fruit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fruit/xmake.lua) |

##### Install command

```console
xrepo install fruit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fruit")
```


### funchook (msys)


| Description | *Hook function calls by inserting jump instructions at runtime.* |
| -- | -- |
| Homepage | [https://github.com/kubo/funchook](https://github.com/kubo/funchook) |
| License | GPL-2.0-or-later |
| Versions | v1.1.3 |
| Architectures | i386, x86_64 |
| Definition | [funchook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/funchook/xmake.lua) |

##### Install command

```console
xrepo install funchook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("funchook")
```


### function2 (msys)


| Description | *Improved and configurable drop-in replacement to std::function that supports move only types, multiple overloads and more* |
| -- | -- |
| Homepage | [http://naios.github.io/function2](http://naios.github.io/function2) |
| License | BSL-1.0 |
| Versions | 4.1.0, 4.2.0, 4.2.1, 4.2.2, 4.2.3, 4.2.4, 4.2.5 |
| Architectures | i386, x86_64 |
| Definition | [function2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/function2/xmake.lua) |

##### Install command

```console
xrepo install function2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("function2")
```


### functionalplus (msys)


| Description | *Functional Programming Library for C++. Write concise and readable C++ code.* |
| -- | -- |
| Homepage | [http://www.editgym.com/fplus-api-search/](http://www.editgym.com/fplus-api-search/) |
| License | BSL-1.0 |
| Versions | v0.2.22, v0.2.23, v0.2.24, v0.2.25 |
| Architectures | i386, x86_64 |
| Definition | [functionalplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/functionalplus/xmake.lua) |

##### Install command

```console
xrepo install functionalplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("functionalplus")
```


### fx-gltf (msys)


| Description | *A C++14/C++17 header-only library for simple, efficient, and robust serialization/deserialization of glTF 2.0* |
| -- | -- |
| Homepage | [https://github.com/jessey-git/fx-gltf](https://github.com/jessey-git/fx-gltf) |
| License | MIT |
| Versions | v1.2.0, v2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [fx-gltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/f/fx-gltf/xmake.lua) |

##### Install command

```console
xrepo install fx-gltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("fx-gltf")
```



## g
### gcem (msys)


| Description | *A C++ compile-time math library using generalized constant expressions* |
| -- | -- |
| Homepage | [https://www.kthohr.com/gcem.html](https://www.kthohr.com/gcem.html) |
| License | Apache-2.0 |
| Versions | v1.13.1, v1.16.0, v1.17.0, v1.18.0 |
| Architectures | i386, x86_64 |
| Definition | [gcem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gcem/xmake.lua) |

##### Install command

```console
xrepo install gcem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gcem")
```


### gelldur-eventbus (msys)


| Description | *A lightweight and very fast event bus / event framework for C++17 * |
| -- | -- |
| Homepage | [https://github.com/gelldur/EventBus](https://github.com/gelldur/EventBus) |
| License | Apache-2.0 |
| Versions | v3.1.2 |
| Architectures | i386, x86_64 |
| Definition | [gelldur-eventbus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gelldur-eventbus/xmake.lua) |

##### Install command

```console
xrepo install gelldur-eventbus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gelldur-eventbus")
```


### genie (msys)


| Description | *GENie - Project generator tool* |
| -- | -- |
| Homepage | [https://github.com/bkaradzic/GENie](https://github.com/bkaradzic/GENie) |
| License | BSD-3-Clause |
| Versions | 1160, 1165, 1170 |
| Architectures | i386, x86_64 |
| Definition | [genie/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/genie/xmake.lua) |

##### Install command

```console
xrepo install genie
```

##### Integration in the project (xmake.lua)

```lua
add_requires("genie")
```


### gflags (msys)


| Description | *The gflags package contains a C++ library that implements commandline flags processing.* |
| -- | -- |
| Homepage | [https://github.com/gflags/gflags/](https://github.com/gflags/gflags/) |
| License | BSD-3-Clause |
| Versions | v2.2.2 |
| Architectures | i386, x86_64 |
| Definition | [gflags/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gflags/xmake.lua) |

##### Install command

```console
xrepo install gflags
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gflags")
```


### gfortran (msys)


| Description | *The GNU Fortran compiler* |
| -- | -- |
| Homepage | [https://gcc.gnu.org/fortran/](https://gcc.gnu.org/fortran/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [gfortran/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gfortran/xmake.lua) |

##### Install command

```console
xrepo install gfortran
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gfortran")
```


### gfx-timsort (msys)


| Description | *A C++ implementation of timsort* |
| -- | -- |
| Homepage | [https://github.com/timsort/cpp-TimSort](https://github.com/timsort/cpp-TimSort) |
| License | MIT |
| Versions | v3.0.0, v3.0.1 |
| Architectures | i386, x86_64 |
| Definition | [gfx-timsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gfx-timsort/xmake.lua) |

##### Install command

```console
xrepo install gfx-timsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gfx-timsort")
```


### ggml (msys)


| Description | *Tensor library for machine learning* |
| -- | -- |
| Homepage | [https://github.com/ggml-org/ggml](https://github.com/ggml-org/ggml) |
| License | MIT |
| Versions | 2025.03.05 |
| Architectures | i386, x86_64 |
| Definition | [ggml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ggml/xmake.lua) |

##### Install command

```console
xrepo install ggml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ggml")
```


### ghc_filesystem (msys)


| Description | *An implementation of C++17 std::filesystem for C++11/C++14/C++17/C++20 on Windows, macOS, Linux and FreeBSD.* |
| -- | -- |
| Homepage | [https://github.com/gulrak/filesystem](https://github.com/gulrak/filesystem) |
| License | MIT |
| Versions | v1.5.10, v1.5.12, v1.5.14 |
| Architectures | i386, x86_64 |
| Definition | [ghc_filesystem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/ghc_filesystem/xmake.lua) |

##### Install command

```console
xrepo install ghc_filesystem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ghc_filesystem")
```


### gifdec (msys)


| Description | *small C GIF decoder* |
| -- | -- |
| Homepage | [https://github.com/lecram/gifdec](https://github.com/lecram/gifdec) |
| Versions | 2021.12.04 |
| Architectures | i386, x86_64 |
| Definition | [gifdec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gifdec/xmake.lua) |

##### Install command

```console
xrepo install gifdec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gifdec")
```


### giflib (msys)


| Description | *A library for reading and writing gif images.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/giflib/](https://sourceforge.net/projects/giflib/) |
| License | MIT |
| Versions | 5.2.1, 5.2.2 |
| Architectures | i386, x86_64 |
| Definition | [giflib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/giflib/xmake.lua) |

##### Install command

```console
xrepo install giflib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("giflib")
```


### gklib (msys)


| Description | *A library of various helper routines and frameworks used by many of the lab's software* |
| -- | -- |
| Homepage | [https://github.com/KarypisLab/GKlib](https://github.com/KarypisLab/GKlib) |
| License | Apache-2.0 |
| Versions | 2023.03.26 |
| Architectures | i386, x86_64 |
| Definition | [gklib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gklib/xmake.lua) |

##### Install command

```console
xrepo install gklib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gklib")
```


### glaze (msys)


| Description | *Extremely fast, in memory, JSON and interface library for modern C++* |
| -- | -- |
| Homepage | [https://github.com/stephenberry/glaze](https://github.com/stephenberry/glaze) |
| License | MIT |
| Versions | v1.3.5, v2.2.0, v2.3.1, v2.4.2, v2.4.4, v2.5.3, v2.6.4, v2.7.0, v2.9.5, v3.1.7, v3.3.2, v3.6.0, v3.6.2, v4.0.1, v4.2.2, v4.4.2, v4.4.3, v5.0.2, v5.1.0, v5.1.2, v5.2.0, v5.2.1, v5.3.0, v5.3.1, v5.4.0, v5.4.1, v5.5.0, v5.5.1, v5.5.2, v5.5.4 |
| Architectures | i386, x86_64 |
| Definition | [glaze/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glaze/xmake.lua) |

##### Install command

```console
xrepo install glaze
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glaze")
```


### glbinding (msys)


| Description | *A C++ binding for the OpenGL API, generated using the gl.xml specification. * |
| -- | -- |
| Homepage | [https://glbinding.org](https://glbinding.org) |
| License | MIT |
| Versions | v2.0.0, v2.1.1, v2.1.2, v2.1.3, v2.1.4, v3.0.2, v3.1.0, v3.3.0, v3.4.0, v3.5.0 |
| Architectures | i386, x86_64 |
| Definition | [glbinding/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glbinding/xmake.lua) |

##### Install command

```console
xrepo install glbinding
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glbinding")
```


### glfw (msys)


| Description | *GLFW is an Open Source, multi-platform library for OpenGL, OpenGL ES and Vulkan application development.* |
| -- | -- |
| Homepage | [https://www.glfw.org/](https://www.glfw.org/) |
| License | zlib |
| Versions | 3.3.2, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.3.8, 3.3.9, 3.4 |
| Architectures | i386, x86_64 |
| Definition | [glfw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glfw/xmake.lua) |

##### Install command

```console
xrepo install glfw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glfw")
```


### gli (msys)


| Description | *OpenGL Image (GLI)* |
| -- | -- |
| Homepage | [https://gli.g-truc.net/](https://gli.g-truc.net/) |
| Versions | 0.8.2.0 |
| Architectures | i386, x86_64 |
| Definition | [gli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gli/xmake.lua) |

##### Install command

```console
xrepo install gli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gli")
```


### glm (msys)


| Description | *OpenGL Mathematics (GLM)* |
| -- | -- |
| Homepage | [https://glm.g-truc.net/](https://glm.g-truc.net/) |
| License | MIT |
| Versions | 0.9.9+8, 1.0.0, 1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [glm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glm/xmake.lua) |

##### Install command

```console
xrepo install glm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glm")
```


### glob (msys)


| Description | *Glob for C++17* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/glob](https://github.com/p-ranav/glob) |
| License | MIT |
| Versions | 2024.04.18 |
| Architectures | i386, x86_64 |
| Definition | [glob/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glob/xmake.lua) |

##### Install command

```console
xrepo install glob
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glob")
```


### glog (msys)


| Description | *C++ implementation of the Google logging module* |
| -- | -- |
| Homepage | [https://github.com/google/glog/](https://github.com/google/glog/) |
| License | BSD-3-Clause |
| Versions | v0.4.0, v0.5.0, v0.6.0, v0.7.0, v0.7.1 |
| Architectures | i386, x86_64 |
| Definition | [glog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glog/xmake.lua) |

##### Install command

```console
xrepo install glog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glog")
```


### glpk (msys)


| Description | *The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/glpk/](https://www.gnu.org/software/glpk/) |
| License | GPL-3.0 |
| Versions | 5.0 |
| Architectures | i386, x86_64 |
| Definition | [glpk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glpk/xmake.lua) |

##### Install command

```console
xrepo install glpk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glpk")
```


### glslang (msys)


| Description | *Khronos-reference front end for GLSL/ESSL, partial front end for HLSL, and a SPIR-V generator.* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/glslang/](https://github.com/KhronosGroup/glslang/) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | i386, x86_64 |
| Definition | [glslang/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glslang/xmake.lua) |

##### Install command

```console
xrepo install glslang
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glslang")
```


### glu (msys)


| Description | *OpenGL utility library* |
| -- | -- |
| Homepage | [https://gitlab.freedesktop.org/mesa/glu](https://gitlab.freedesktop.org/mesa/glu) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [glu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glu/xmake.lua) |

##### Install command

```console
xrepo install glu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glu")
```


### glx (msys)


| Description | *an extension to the X Window System core protocol providing an interface between OpenGL and the X Window System* |
| -- | -- |
| Homepage | [https://www.khronos.org/registry/OpenGL-Refpages/gl2.1/xhtml/glXIntro.xml](https://www.khronos.org/registry/OpenGL-Refpages/gl2.1/xhtml/glXIntro.xml) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [glx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/glx/xmake.lua) |

##### Install command

```console
xrepo install glx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("glx")
```


### gmp (msys)


| Description | *GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating-point numbers.* |
| -- | -- |
| Homepage | [https://gmplib.org/](https://gmplib.org/) |
| License | LGPL-3.0 |
| Versions | 6.2.1, 6.3.0 |
| Architectures | i386, x86_64 |
| Definition | [gmp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmp/xmake.lua) |

##### Install command

```console
xrepo install gmp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmp")
```


### gmssl (msys)


| Description | *Password Toolkit supporting National secret chip SM2/SM3/SM4/SM9/SSL* |
| -- | -- |
| Homepage | [https://github.com/guanzhi/GmSSL](https://github.com/guanzhi/GmSSL) |
| License | Apache-2.0 |
| Versions | v3.1.0, v3.1.1 |
| Architectures | i386, x86_64 |
| Definition | [gmssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gmssl/xmake.lua) |

##### Install command

```console
xrepo install gmssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gmssl")
```


### gn (msys)


| Description | *GN is a meta-build system that generates build files for Ninja.* |
| -- | -- |
| Homepage | [https://gn.googlesource.com/gn](https://gn.googlesource.com/gn) |
| Versions | 20211117 |
| Architectures | i386, x86_64 |
| Definition | [gn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gn/xmake.lua) |

##### Install command

```console
xrepo install gn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gn")
```


### gnu-rm (msys)


| Description | *GNU Arm Embedded Toolchain* |
| -- | -- |
| Homepage | [https://developer.arm.com/tools-and-software/open-source-software/developer-tools/gnu-toolchain/gnu-rm](https://developer.arm.com/tools-and-software/open-source-software/developer-tools/gnu-toolchain/gnu-rm) |
| Versions | 2020.10, 2021.10, 2024.12 |
| Architectures | i386, x86_64 |
| Definition | [gnu-rm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gnu-rm/xmake.lua) |

##### Install command

```console
xrepo install gnu-rm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gnu-rm")
```


### godotcpp (msys)


| Description | *C++ bindings for the Godot script API* |
| -- | -- |
| Homepage | [https://godotengine.org/](https://godotengine.org/) |
| Versions | 3.2, 3.3, 3.4.0, 3.4.3, 3.4.4, 3.4.5, 3.5, 3.5.1, 3.5.2 |
| Architectures | i386, x86_64 |
| Definition | [godotcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/godotcpp/xmake.lua) |

##### Install command

```console
xrepo install godotcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("godotcpp")
```


### google-cloud-cpp (msys)


| Description | *C++ Client Libraries for Google Cloud Services* |
| -- | -- |
| Homepage | [https://github.com/googleapis/google-cloud-cpp](https://github.com/googleapis/google-cloud-cpp) |
| License | Apache-2.0 |
| Versions | v2.33.0, v2.34.0, v2.36.0, v2.37.0, v2.38.0, v2.39.0 |
| Architectures | i386, x86_64 |
| Definition | [google-cloud-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/google-cloud-cpp/xmake.lua) |

##### Install command

```console
xrepo install google-cloud-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("google-cloud-cpp")
```


### gperf (msys)


| Description | *Perfect hash function generator.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/gperf](https://www.gnu.org/software/gperf) |
| License | GPL-3.0-or-later |
| Versions | 3.1 |
| Architectures | i386, x86_64 |
| Definition | [gperf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gperf/xmake.lua) |

##### Install command

```console
xrepo install gperf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gperf")
```


### graaf (msys)


| Description | *A general-purpose lightweight C++ graph library* |
| -- | -- |
| Homepage | [https://bobluppes.github.io/graaf/](https://bobluppes.github.io/graaf/) |
| License | MIT |
| Versions | v1.1.1 |
| Architectures | i386, x86_64 |
| Definition | [graaf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/graaf/xmake.lua) |

##### Install command

```console
xrepo install graaf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("graaf")
```


### grpc (msys)


| Description | *The C based gRPC (C++, Python, Ruby, Objective-C, PHP, C#)* |
| -- | -- |
| Homepage | [https://grpc.io](https://grpc.io) |
| License | Apache-2.0 |
| Versions | v1.51.3, v1.62.1, v1.68.2, v1.69.0 |
| Architectures | i386, x86_64 |
| Definition | [grpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/grpc/xmake.lua) |

##### Install command

```console
xrepo install grpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("grpc")
```


### gsl (msys)


| Description | *Guidelines Support Library* |
| -- | -- |
| Homepage | [https://github.com/microsoft/GSL](https://github.com/microsoft/GSL) |
| License | MIT |
| Versions | v3.1.0, v4.0.0, v4.1.0, v4.2.0 |
| Architectures | i386, x86_64 |
| Definition | [gsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gsl/xmake.lua) |

##### Install command

```console
xrepo install gsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gsl")
```


### gsl-lite (msys)


| Description | *gsl-lite – A single-file header-only version of ISO C++ Guidelines Support Library (GSL) for C++98, C++11, and later* |
| -- | -- |
| Homepage | [https://github.com/gsl-lite/gsl-lite](https://github.com/gsl-lite/gsl-lite) |
| License | MIT |
| Versions | v0.41.0, v0.42.0, v0.43.0, v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [gsl-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gsl-lite/xmake.lua) |

##### Install command

```console
xrepo install gsl-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gsl-lite")
```


### gtest (msys)


| Description | *Google Testing and Mocking Framework.* |
| -- | -- |
| Homepage | [https://github.com/google/googletest](https://github.com/google/googletest) |
| License | BSD-3 |
| Versions | v1.8.1, v1.10.0, v1.11.0, v1.12.0, v1.12.1, v1.13.0, v1.14.0, v1.15.2, v1.16.0, v1.17.0 |
| Architectures | i386, x86_64 |
| Definition | [gtest/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gtest/xmake.lua) |

##### Install command

```console
xrepo install gtest
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gtest")
```


### guetzli (msys)


| Description | *Perceptual JPEG encoder* |
| -- | -- |
| Homepage | [https://github.com/google/guetzli](https://github.com/google/guetzli) |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [guetzli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/guetzli/xmake.lua) |

##### Install command

```console
xrepo install guetzli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("guetzli")
```


### gumbo-parser (msys)


| Description | *An HTML5 parsing library in pure C99* |
| -- | -- |
| Homepage | [https://github.com/google/gumbo-parser](https://github.com/google/gumbo-parser) |
| License | Apache-2.0 |
| Versions | v0.10.1 |
| Architectures | i386, x86_64 |
| Definition | [gumbo-parser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gumbo-parser/xmake.lua) |

##### Install command

```console
xrepo install gumbo-parser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gumbo-parser")
```


### gyp-next (msys)


| Description | *A fork of the GYP build system for use in the Node.js projects* |
| -- | -- |
| Homepage | [https://github.com/nodejs/gyp-next](https://github.com/nodejs/gyp-next) |
| License | BSD-3-Clause |
| Versions | v0.11.0, v0.16.1, v0.16.2, v0.18.0, v0.18.1, v0.18.2, v0.18.3, v0.19.1, v0.20.0, v0.20.2 |
| Architectures | i386, x86_64 |
| Definition | [gyp-next/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gyp-next/xmake.lua) |

##### Install command

```console
xrepo install gyp-next
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gyp-next")
```


### gzip-hpp (msys)


| Description | *Gzip header-only C++ library* |
| -- | -- |
| Homepage | [https://github.com/mapbox/gzip-hpp](https://github.com/mapbox/gzip-hpp) |
| License | MIT |
| Versions | v0.1.0 |
| Architectures | i386, x86_64 |
| Definition | [gzip-hpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/g/gzip-hpp/xmake.lua) |

##### Install command

```console
xrepo install gzip-hpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("gzip-hpp")
```



## h
### h3 (msys)


| Description | *Hexagonal hierarchical geospatial indexing system* |
| -- | -- |
| Homepage | [https://h3geo.org](https://h3geo.org) |
| License | Apache-2.0 |
| Versions | v4.3.0 |
| Architectures | i386, x86_64 |
| Definition | [h3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/h3/xmake.lua) |

##### Install command

```console
xrepo install h3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("h3")
```


### happly (msys)


| Description | *A C++ header-only parser for the PLY file format.* |
| -- | -- |
| Homepage | [https://github.com/nmwsharp/happly](https://github.com/nmwsharp/happly) |
| License | MIT |
| Versions | 2022.01.07 |
| Architectures | i386, x86_64 |
| Definition | [happly/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/happly/xmake.lua) |

##### Install command

```console
xrepo install happly
```

##### Integration in the project (xmake.lua)

```lua
add_requires("happly")
```


### harfbuzz (msys)


| Description | *HarfBuzz is a text shaping library.* |
| -- | -- |
| Homepage | [https://harfbuzz.github.io/](https://harfbuzz.github.io/) |
| License | MIT |
| Versions | 2.8.1, 2.9.0, 3.0.0, 3.1.1, 4.4.1, 5.3.1, 6.0.0, 7.3.0, 8.0.0, 8.0.1, 8.1.0, 8.1.1, 8.3.0, 8.4.0, 8.5.0, 9.0.0, 10.0.1, 10.1.0, 10.2.0, 10.3.0, 10.4.0, 11.2.1 |
| Architectures | i386, x86_64 |
| Definition | [harfbuzz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/harfbuzz/xmake.lua) |

##### Install command

```console
xrepo install harfbuzz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("harfbuzz")
```


### hash-library (msys)


| Description | *Portable C++ hashing library* |
| -- | -- |
| Homepage | [https://create.stephan-brumme.com/hash-library/](https://create.stephan-brumme.com/hash-library/) |
| License | zlib |
| Versions | 2021.09.29 |
| Architectures | i386, x86_64 |
| Definition | [hash-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hash-library/xmake.lua) |

##### Install command

```console
xrepo install hash-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hash-library")
```


### hedley (msys)


| Description | *A C/C++ header to help move #ifdefs out of your code* |
| -- | -- |
| Homepage | [https://nemequ.github.io/hedley/](https://nemequ.github.io/hedley/) |
| License | CC0-1.0 |
| Versions | v15 |
| Architectures | i386, x86_64 |
| Definition | [hedley/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hedley/xmake.lua) |

##### Install command

```console
xrepo install hedley
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hedley")
```


### hexl (msys)


| Description | *Intel:registered: Homomorphic Encryption Acceleration Library accelerates modular arithmetic operations used in homomorphic encryption* |
| -- | -- |
| Homepage | [https://intel.github.io/hexl](https://intel.github.io/hexl) |
| License | Apache-2.0 |
| Versions | v1.2.5, v1.2.6 |
| Architectures | i386, x86_64 |
| Definition | [hexl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hexl/xmake.lua) |

##### Install command

```console
xrepo install hexl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hexl")
```


### highs (msys)


| Description | *Linear optimization software* |
| -- | -- |
| Homepage | [https://github.com/ERGO-Code/HiGHS](https://github.com/ERGO-Code/HiGHS) |
| License | MIT |
| Versions | v1.5.3, v1.7.0, v1.7.1, v1.7.2, v1.8.0, v1.8.1, v1.9.0, v1.10.0, v1.11.0 |
| Architectures | i386, x86_64 |
| Definition | [highs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/highs/xmake.lua) |

##### Install command

```console
xrepo install highs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("highs")
```


### highway (msys)


| Description | *Performance-portable, length-agnostic SIMD with runtime dispatch* |
| -- | -- |
| Homepage | [https://github.com/google/highway](https://github.com/google/highway) |
| License | Apache-2.0 |
| Versions | 1.1.0, 1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [highway/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/highway/xmake.lua) |

##### Install command

```console
xrepo install highway
```

##### Integration in the project (xmake.lua)

```lua
add_requires("highway")
```


### hiredis (msys)


| Description | *Minimalistic C client for Redis >= 1.2* |
| -- | -- |
| Homepage | [https://github.com/redis/hiredis](https://github.com/redis/hiredis) |
| License | BSD-3-Clause |
| Versions | v1.0.2, v1.1.0, v1.2.0, v1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [hiredis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hiredis/xmake.lua) |

##### Install command

```console
xrepo install hiredis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hiredis")
```


### hopscotch-map (msys)


| Description | *A C++ implementation of a fast hash map and hash set using hopscotch hashing* |
| -- | -- |
| Homepage | [https://github.com/Tessil/hopscotch-map](https://github.com/Tessil/hopscotch-map) |
| License | MIT |
| Versions | v2.3.0, v2.3.1 |
| Architectures | i386, x86_64 |
| Definition | [hopscotch-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hopscotch-map/xmake.lua) |

##### Install command

```console
xrepo install hopscotch-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hopscotch-map")
```


### houdini (msys)


| Description | *Houdini is built from the ground up to be a procedural system that empowers artists to work freely, create multiple iterations and rapidly share workflows with colleagues.* |
| -- | -- |
| Homepage | [https://www.sidefx.com/](https://www.sidefx.com/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [houdini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/houdini/xmake.lua) |

##### Install command

```console
xrepo install houdini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("houdini")
```


### http_parser (msys)


| Description | *Parser for HTTP messages written in C.* |
| -- | -- |
| Homepage | [https://github.com/nodejs/http-parser](https://github.com/nodejs/http-parser) |
| License | MIT |
| Versions | v2.9.4 |
| Architectures | i386, x86_64 |
| Definition | [http_parser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/http_parser/xmake.lua) |

##### Install command

```console
xrepo install http_parser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("http_parser")
```


### hyprwayland-scanner (msys)


| Description | *A Hyprland implementation of wayland-scanner, in and for C++.* |
| -- | -- |
| Homepage | [https://github.com/hyprwm/hyprwayland-scanner](https://github.com/hyprwm/hyprwayland-scanner) |
| License | BSD-3-Clause |
| Versions | v0.4.4 |
| Architectures | i386, x86_64 |
| Definition | [hyprwayland-scanner/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/h/hyprwayland-scanner/xmake.lua) |

##### Install command

```console
xrepo install hyprwayland-scanner
```

##### Integration in the project (xmake.lua)

```lua
add_requires("hyprwayland-scanner")
```



## i
### icu4c (msys)


| Description | *C/C++ libraries for Unicode and globalization.* |
| -- | -- |
| Homepage | [http://site.icu-project.org/](http://site.icu-project.org/) |
| Versions | 64.2, 68.1, 68.2, 69.1, 70.1, 71.1, 72.1, 73.1, 73.2, 75.1, 76.1, 77.1 |
| Architectures | i386, x86_64 |
| Definition | [icu4c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/icu4c/xmake.lua) |

##### Install command

```console
xrepo install icu4c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("icu4c")
```


### idna (msys)


| Description | *C++ library implementing the to_ascii and to_unicode functions from the Unicode Technical Standard.* |
| -- | -- |
| Homepage | [https://github.com/ada-url/idna](https://github.com/ada-url/idna) |
| License | Apache-2.0 |
| Versions | 0.2.0, 0.3.2, 0.3.3, 0.3.4 |
| Architectures | i386, x86_64 |
| Definition | [idna/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/idna/xmake.lua) |

##### Install command

```console
xrepo install idna
```

##### Integration in the project (xmake.lua)

```lua
add_requires("idna")
```


### ifort (msys)


| Description | *The Fortran Compiler provided by Intel®* |
| -- | -- |
| Homepage | [https://www.intel.com/content/www/us/en/developer/tools/oneapi/fortran-compiler.html](https://www.intel.com/content/www/us/en/developer/tools/oneapi/fortran-compiler.html) |
| Versions | 2021.4.0+3224 |
| Architectures | i386, x86_64 |
| Definition | [ifort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ifort/xmake.lua) |

##### Install command

```console
xrepo install ifort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ifort")
```


### igraph (msys)


| Description | *Library for the analysis of networks* |
| -- | -- |
| Homepage | [https://igraph.org](https://igraph.org) |
| License | GPL-2.0 |
| Versions | 0.10.15, 0.10.16 |
| Architectures | i386, x86_64 |
| Definition | [igraph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/igraph/xmake.lua) |

##### Install command

```console
xrepo install igraph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("igraph")
```


### iguana (msys)


| Description | *universal serialization engine* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/iguana](https://github.com/qicosmos/iguana) |
| License | Apache-2.0 |
| Versions | v1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.0.7, 1.0.8, 1.0.9 |
| Architectures | i386, x86_64 |
| Definition | [iguana/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iguana/xmake.lua) |

##### Install command

```console
xrepo install iguana
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iguana")
```


### im3d (msys)


| Description | *File Dialog for Dear ImGui* |
| -- | -- |
| Homepage | [https://github.com/john-chapman/im3d](https://github.com/john-chapman/im3d) |
| License | MIT |
| Versions | 2023.06.09 |
| Architectures | i386, x86_64 |
| Definition | [im3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/im3d/xmake.lua) |

##### Install command

```console
xrepo install im3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("im3d")
```


### imath (msys)


| Description | *Imath is a C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics* |
| -- | -- |
| Homepage | [https://github.com/AcademySoftwareFoundation/Imath/](https://github.com/AcademySoftwareFoundation/Imath/) |
| License | BSD-3-Clause |
| Versions | v3.1.0, v3.1.1, v3.1.2, v3.1.3, v3.1.4, v3.1.5, v3.1.9, v3.1.10, v3.1.11, v3.1.12 |
| Architectures | i386, x86_64 |
| Definition | [imath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imath/xmake.lua) |

##### Install command

```console
xrepo install imath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imath")
```


### imgui (msys)


| Description | *Bloat-free Immediate Mode Graphical User interface for C++ with minimal dependencies* |
| -- | -- |
| Homepage | [https://github.com/ocornut/imgui](https://github.com/ocornut/imgui) |
| License | MIT |
| Versions | v1.75, v1.76, v1.77, v1.78, v1.79, v1.80, v1.81, v1.82, v1.83-docking, v1.83, v1.84.1, v1.84.2, v1.85-docking, v1.85, v1.86, v1.87-docking, v1.87, v1.88-docking, v1.88, v1.89-docking, v1.89, v1.89.3-docking, v1.89.3, v1.89.4-docking, v1.89.4, v1.89.5-docking, v1.89.5, v1.89.6-docking, v1.89.6, v1.89.7-docking, v1.89.7, v1.89.8-docking, v1.89.8, v1.89.9-docking, v1.89.9, v1.90-docking, v1.90, v1.90.1-docking, v1.90.1, v1.90.2-docking, v1.90.2, v1.90.3-docking, v1.90.3, v1.90.4-docking, v1.90.4, v1.90.5-docking, v1.90.5, v1.90.6-docking, v1.90.6, v1.90.7-docking, v1.90.7, v1.90.8-docking, v1.90.8, v1.90.9-docking, v1.90.9, v1.91.0-docking, v1.91.0, v1.91.1-docking, v1.91.1, v1.91.2-docking, v1.91.2, v1.91.3-docking, v1.91.3, v1.91.4-docking, v1.91.4, v1.91.5-docking, v1.91.5, v1.91.6-docking, v1.91.6, v1.91.7-docking, v1.91.7, v1.91.8-docking, v1.91.8, v1.91.9-docking, v1.91.9, v1.92.0-docking, v1.92.0 |
| Architectures | i386, x86_64 |
| Definition | [imgui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/imgui/xmake.lua) |

##### Install command

```console
xrepo install imgui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("imgui")
```


### implot3d (msys)


| Description | *Immediate Mode 3D Plotting* |
| -- | -- |
| Homepage | [https://github.com/brenocq/implot3d](https://github.com/brenocq/implot3d) |
| License | MIT |
| Versions | v0.2 |
| Architectures | i386, x86_64 |
| Definition | [implot3d/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/implot3d/xmake.lua) |

##### Install command

```console
xrepo install implot3d
```

##### Integration in the project (xmake.lua)

```lua
add_requires("implot3d")
```


### indicators (msys)


| Description | *Activity Indicators for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/indicators](https://github.com/p-ranav/indicators) |
| License | MIT |
| Versions | 2.2, 2.3 |
| Architectures | i386, x86_64 |
| Definition | [indicators/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/indicators/xmake.lua) |

##### Install command

```console
xrepo install indicators
```

##### Integration in the project (xmake.lua)

```lua
add_requires("indicators")
```


### infoware (msys)


| Description | *C++ Library for pulling system and hardware information, without hitting the command line.* |
| -- | -- |
| Homepage | [https://github.com/ThePhD/infoware](https://github.com/ThePhD/infoware) |
| License | CC0-1.0 |
| Versions | 2023.04.12 |
| Architectures | i386, x86_64 |
| Definition | [infoware/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/infoware/xmake.lua) |

##### Install command

```console
xrepo install infoware
```

##### Integration in the project (xmake.lua)

```lua
add_requires("infoware")
```


### inifile-cpp (msys)


| Description | *A header-only and easy to use Ini file parser for C++.* |
| -- | -- |
| Homepage | [https://github.com/Rookfighter/inifile-cpp](https://github.com/Rookfighter/inifile-cpp) |
| License | MIT |
| Versions | 2022.06.25 |
| Architectures | i386, x86_64 |
| Definition | [inifile-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inifile-cpp/xmake.lua) |

##### Install command

```console
xrepo install inifile-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inifile-cpp")
```


### inih (msys)


| Description | *Simple .INI file parser in C, good for embedded systems* |
| -- | -- |
| Homepage | [https://github.com/benhoyt/inih](https://github.com/benhoyt/inih) |
| Versions | 58, 59, 60 |
| Architectures | i386, x86_64 |
| Definition | [inih/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inih/xmake.lua) |

##### Install command

```console
xrepo install inih
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inih")
```


### iniparser (msys)


| Description | *ini file parser* |
| -- | -- |
| Homepage | [http://ndevilla.free.fr/iniparser](http://ndevilla.free.fr/iniparser) |
| License | MIT |
| Versions | v4.2.6 |
| Architectures | i386, x86_64 |
| Definition | [iniparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/iniparser/xmake.lua) |

##### Install command

```console
xrepo install iniparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("iniparser")
```


### inipp (msys)


| Description | *Simple C++ ini parser.* |
| -- | -- |
| Homepage | [https://github.com/mcmtroffaes/inipp](https://github.com/mcmtroffaes/inipp) |
| License | MIT |
| Versions | 2022.02.03, 2025.06.17 |
| Architectures | i386, x86_64 |
| Definition | [inipp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inipp/xmake.lua) |

##### Install command

```console
xrepo install inipp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inipp")
```


### inja (msys)


| Description | *A Template Engine for Modern C++* |
| -- | -- |
| Homepage | [https://pantor.github.io/inja/](https://pantor.github.io/inja/) |
| License | MIT |
| Versions | v2.1.0, v3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [inja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/inja/xmake.lua) |

##### Install command

```console
xrepo install inja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("inja")
```


### interface99 (msys)


| Description | *Full-featured interfaces for C99* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/interface99](https://github.com/Hirrolot/interface99) |
| License | MIT |
| Versions | 1.0.0, 1.0.1, 1.0.2 |
| Architectures | i386, x86_64 |
| Definition | [interface99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/interface99/xmake.lua) |

##### Install command

```console
xrepo install interface99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("interface99")
```


### intx (msys)


| Description | *Extended precision integer C++ library* |
| -- | -- |
| Homepage | [https://github.com/chfast/intx](https://github.com/chfast/intx) |
| License | Apache-2.0 |
| Versions | v0.11.0, v0.12.0, v0.12.1, v0.13.0 |
| Architectures | i386, x86_64 |
| Definition | [intx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/intx/xmake.lua) |

##### Install command

```console
xrepo install intx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("intx")
```


### ip2region (msys)


| Description | *IP address region search library.* |
| -- | -- |
| Homepage | [https://github.com/lionsoul2014/ip2region](https://github.com/lionsoul2014/ip2region) |
| License | Apache-2.0 |
| Versions | v2020.10.31 |
| Architectures | i386, x86_64 |
| Definition | [ip2region/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ip2region/xmake.lua) |

##### Install command

```console
xrepo install ip2region
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ip2region")
```


### irrxml (msys)


| Description | *High speed and easy-to-use XML Parser for C++* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/irrlicht/](https://sourceforge.net/projects/irrlicht/) |
| Versions | 1.2 |
| Architectures | i386, x86_64 |
| Definition | [irrxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/irrxml/xmake.lua) |

##### Install command

```console
xrepo install irrxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("irrxml")
```


### isocline (msys)


| Description | *Isocline is a portable GNU readline alternative * |
| -- | -- |
| Homepage | [https://github.com/daanx/isocline](https://github.com/daanx/isocline) |
| License | MIT |
| Versions | 2022.01.16 |
| Architectures | i386, x86_64 |
| Definition | [isocline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/isocline/xmake.lua) |

##### Install command

```console
xrepo install isocline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("isocline")
```


### ispc (msys)


| Description | *Intel® Implicit SPMD Program Compiler* |
| -- | -- |
| Homepage | [https://ispc.github.io/](https://ispc.github.io/) |
| License | BSD-3-Clause |
| Versions | 1.17.0, 1.25.3, 1.26.0, 1.27.0 |
| Architectures | i386, x86_64 |
| Definition | [ispc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ispc/xmake.lua) |

##### Install command

```console
xrepo install ispc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ispc")
```


### itlib (msys)


| Description | *A collection of std-like single-header C++ libraries* |
| -- | -- |
| Homepage | [https://github.com/iboB/itlib](https://github.com/iboB/itlib) |
| License | MIT |
| Versions | v1.10.3, v1.11.0, v1.11.1, v1.11.4, v1.11.5, v1.11.7 |
| Architectures | i386, x86_64 |
| Definition | [itlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/itlib/xmake.lua) |

##### Install command

```console
xrepo install itlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("itlib")
```


### ittapi (msys)


| Description | *Intel® Instrumentation and Tracing Technology (ITT) and Just-In-Time (JIT) API* |
| -- | -- |
| Homepage | [https://github.com/intel/ittapi](https://github.com/intel/ittapi) |
| License | BSD-3-Clause |
| Versions | v3.24.4, v3.24.6, v3.24.7, v3.24.8, v3.25.1, v3.25.2, v3.25.3, v3.25.4, v3.25.5, v3.26.1 |
| Architectures | i386, x86_64 |
| Definition | [ittapi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ittapi/xmake.lua) |

##### Install command

```console
xrepo install ittapi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ittapi")
```


### ixwebsocket (msys)


| Description | *websocket and http client and server library, with TLS support and very few dependencies* |
| -- | -- |
| Homepage | [https://github.com/machinezone/IXWebSocket](https://github.com/machinezone/IXWebSocket) |
| License | BSD-3-Clause |
| Versions | v11.4.4, v11.4.5, v11.4.6 |
| Architectures | i386, x86_64 |
| Definition | [ixwebsocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/i/ixwebsocket/xmake.lua) |

##### Install command

```console
xrepo install ixwebsocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ixwebsocket")
```



## j
### jack2 (msys)


| Description | *Cross-platform API that enables device sharing and inter-application audio routing* |
| -- | -- |
| Homepage | [https://jackaudio.org/](https://jackaudio.org/) |
| License | GPL-2.0 |
| Versions | v1.9.22 |
| Architectures | i386, x86_64 |
| Definition | [jack2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jack2/xmake.lua) |

##### Install command

```console
xrepo install jack2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jack2")
```


### jansson (msys)


| Description | *C library for encoding, decoding and manipulating JSON data* |
| -- | -- |
| Homepage | [https://github.com/akheron/jansson](https://github.com/akheron/jansson) |
| License | MIT |
| Versions | 2.14, 2.14.1 |
| Architectures | i386, x86_64 |
| Definition | [jansson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jansson/xmake.lua) |

##### Install command

```console
xrepo install jansson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jansson")
```


### jerryscript (msys)


| Description | *Ultra-lightweight JavaScript engine for the Internet of Things.* |
| -- | -- |
| Homepage | [https://jerryscript.net](https://jerryscript.net) |
| License | Apache-2.0 |
| Versions | 2024.12.03 |
| Architectures | i386, x86_64 |
| Definition | [jerryscript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jerryscript/xmake.lua) |

##### Install command

```console
xrepo install jerryscript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jerryscript")
```


### jpcre2 (msys)


| Description | *C++ wrapper  for PCRE2 Library* |
| -- | -- |
| Homepage | [https://docs.neurobin.org/jpcre2/latest/](https://docs.neurobin.org/jpcre2/latest/) |
| License | BSD-3-Clause |
| Versions | 2021.06.15 |
| Architectures | i386, x86_64 |
| Definition | [jpcre2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jpcre2/xmake.lua) |

##### Install command

```console
xrepo install jpcre2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jpcre2")
```


### jrtplib (msys)


| Description | *JRTPLIB is an object-oriented RTP library written in C++* |
| -- | -- |
| Homepage | [https://research.edm.uhasselt.be/jori/page/CS/Jrtplib.html](https://research.edm.uhasselt.be/jori/page/CS/Jrtplib.html) |
| License | MIT |
| Versions | 2023.11.23 |
| Architectures | i386, x86_64 |
| Definition | [jrtplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jrtplib/xmake.lua) |

##### Install command

```console
xrepo install jrtplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jrtplib")
```


### jsmn (msys)


| Description | *Jsmn is a world fastest JSON parser/tokenizer* |
| -- | -- |
| Homepage | [https://github.com/zserge/jsmn](https://github.com/zserge/jsmn) |
| License | MIT |
| Versions | v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [jsmn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsmn/xmake.lua) |

##### Install command

```console
xrepo install jsmn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsmn")
```


### json-c (msys)


| Description | *JSON parser for C* |
| -- | -- |
| Homepage | [https://github.com/json-c/json-c/wiki](https://github.com/json-c/json-c/wiki) |
| License | MIT |
| Versions | 0.17 |
| Architectures | i386, x86_64 |
| Definition | [json-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json-c/xmake.lua) |

##### Install command

```console
xrepo install json-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json-c")
```


### json.h (msys)


| Description | *single header json parser for C and C++* |
| -- | -- |
| Homepage | [https://github.com/sheredom/json.h](https://github.com/sheredom/json.h) |
| Versions | 2022.11.27, 2024.07.19 |
| Architectures | i386, x86_64 |
| Definition | [json.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/json.h/xmake.lua) |

##### Install command

```console
xrepo install json.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("json.h")
```


### jsoncons (msys)


| Description | *A C++, header-only library for constructing JSON and JSON-like data formats, with JSON Pointer, JSON Patch, JSONPath, JMESPath, CSV, MessagePack, CBOR, BSON, UBJSON* |
| -- | -- |
| Homepage | [https://danielaparker.github.io/jsoncons/](https://danielaparker.github.io/jsoncons/) |
| License | BSL-1.0 |
| Versions | v0.170.2, v0.176.0, v0.177.0, v0.178.0, v1.0.0, v1.1.0, v1.2.0, v1.3.0, v1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [jsoncons/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsoncons/xmake.lua) |

##### Install command

```console
xrepo install jsoncons
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsoncons")
```


### jsoncpp (msys)


| Description | *A C++ library for interacting with JSON.* |
| -- | -- |
| Homepage | [https://github.com/open-source-parsers/jsoncpp/wiki](https://github.com/open-source-parsers/jsoncpp/wiki) |
| License | MIT |
| Versions | 1.9.4, 1.9.5, 1.9.6 |
| Architectures | i386, x86_64 |
| Definition | [jsoncpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jsoncpp/xmake.lua) |

##### Install command

```console
xrepo install jsoncpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jsoncpp")
```


### jthread (msys)


| Description | *The JThread package provides some classes to make use of threads easy on different platforms* |
| -- | -- |
| Homepage | [https://github.com/j0r1/JThread](https://github.com/j0r1/JThread) |
| License | MIT |
| Versions | 2023.08.18 |
| Architectures | i386, x86_64 |
| Definition | [jthread/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jthread/xmake.lua) |

##### Install command

```console
xrepo install jthread
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jthread")
```


### jwasm (msys)


| Description | *JWasm continuation* |
| -- | -- |
| Homepage | [https://github.com/JWasm/JWasm](https://github.com/JWasm/JWasm) |
| License | JWasm |
| Versions | 2025.01.10 |
| Architectures | i386, x86_64 |
| Definition | [jwasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jwasm/xmake.lua) |

##### Install command

```console
xrepo install jwasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jwasm")
```


### jwt-cpp (msys)


| Description | *A header only library for creating and validating json web tokens in c++* |
| -- | -- |
| Homepage | [https://thalhammer.github.io/jwt-cpp/](https://thalhammer.github.io/jwt-cpp/) |
| License | MIT |
| Versions | v0.6.0, v0.7.0, v0.7.1 |
| Architectures | i386, x86_64 |
| Definition | [jwt-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jwt-cpp/xmake.lua) |

##### Install command

```console
xrepo install jwt-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jwt-cpp")
```


### jxrlib (msys)


| Description | *jxrlib is JPEG XR Image Codec reference implementation library released by Microsoft under BSD-2-Clause License. This repo is a clone of jxrlib as released by Microsoft from it's original Codeplex location https://jxrlib.codeplex.com.  The only changes comprise addition of LICENSE and README.md in repo root.* |
| -- | -- |
| Homepage | [https://github.com/4creators/jxrlib](https://github.com/4creators/jxrlib) |
| License | BSD-2-Clause |
| Versions | v2019.10.9 |
| Architectures | i386, x86_64 |
| Definition | [jxrlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/j/jxrlib/xmake.lua) |

##### Install command

```console
xrepo install jxrlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("jxrlib")
```



## k
### kangaru (msys)


| Description | *🦘 A dependency injection container for C++11, C++14 and later* |
| -- | -- |
| Homepage | [https://github.com/gracicot/kangaru](https://github.com/gracicot/kangaru) |
| License | MIT |
| Versions | v4.3.1, v4.3.2 |
| Architectures | i386, x86_64 |
| Definition | [kangaru/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kangaru/xmake.lua) |

##### Install command

```console
xrepo install kangaru
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kangaru")
```


### kcp (msys)


| Description | *A Fast and Reliable ARQ Protocol.* |
| -- | -- |
| Homepage | [https://github.com/skywind3000/kcp](https://github.com/skywind3000/kcp) |
| License | MIT |
| Versions | 1.7 |
| Architectures | i386, x86_64 |
| Definition | [kcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kcp/xmake.lua) |

##### Install command

```console
xrepo install kcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kcp")
```


### kdbindings (msys)


| Description | *Reactive programming & data binding in C++* |
| -- | -- |
| Homepage | [https://github.com/KDAB/KDBindings](https://github.com/KDAB/KDBindings) |
| License | MIT |
| Versions | v1.0.5, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [kdbindings/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kdbindings/xmake.lua) |

##### Install command

```console
xrepo install kdbindings
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kdbindings")
```


### keystone (msys)


| Description | *Keystone assembler framework: Core (Arm, Arm64, Hexagon, Mips, PowerPC, Sparc, SystemZ & X86) + bindings* |
| -- | -- |
| Homepage | [http://www.keystone-engine.org](http://www.keystone-engine.org) |
| License | GPL-2.0 |
| Versions | 0.9.2 |
| Architectures | i386, x86_64 |
| Definition | [keystone/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/keystone/xmake.lua) |

##### Install command

```console
xrepo install keystone
```

##### Integration in the project (xmake.lua)

```lua
add_requires("keystone")
```


### khaledhosny-ots (msys)


| Description | *Sanitizer for OpenType* |
| -- | -- |
| Homepage | [https://github.com/khaledhosny/ots](https://github.com/khaledhosny/ots) |
| License | BSD-3-Clause |
| Versions | v9.2.0 |
| Architectures | i386, x86_64 |
| Definition | [khaledhosny-ots/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/khaledhosny-ots/xmake.lua) |

##### Install command

```console
xrepo install khaledhosny-ots
```

##### Integration in the project (xmake.lua)

```lua
add_requires("khaledhosny-ots")
```


### khrplatform (msys)


| Description | *Khronos Shared Platform Header (<KHR/khrplatform.h>)* |
| -- | -- |
| Homepage | [https://registry.khronos.org/EGL](https://registry.khronos.org/EGL) |
| Versions | latest |
| Architectures | i386, x86_64 |
| Definition | [khrplatform/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/khrplatform/xmake.lua) |

##### Install command

```console
xrepo install khrplatform
```

##### Integration in the project (xmake.lua)

```lua
add_requires("khrplatform")
```


### kiwisolver (msys)


| Description | *Efficient C++ implementation of the Cassowary constraint solving algorithm* |
| -- | -- |
| Homepage | [https://kiwisolver.readthedocs.io/en/latest/](https://kiwisolver.readthedocs.io/en/latest/) |
| Versions | 1.3.1, 1.3.2, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.4.8 |
| Architectures | i386, x86_64 |
| Definition | [kiwisolver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kiwisolver/xmake.lua) |

##### Install command

```console
xrepo install kiwisolver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kiwisolver")
```


### klib (msys)


| Description | *A standalone and lightweight C library* |
| -- | -- |
| Homepage | [http://attractivechaos.github.io/klib/](http://attractivechaos.github.io/klib/) |
| License | MIT |
| Versions | 2024.06.03 |
| Architectures | i386, x86_64 |
| Definition | [klib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/klib/xmake.lua) |

##### Install command

```console
xrepo install klib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("klib")
```


### kotlin-native (msys)


| Description | *The Kotlin Programming Language. * |
| -- | -- |
| Homepage | [https://kotlinlang.org](https://kotlinlang.org) |
| Versions | 2.1.10, 2.1.21 |
| Architectures | i386, x86_64 |
| Definition | [kotlin-native/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kotlin-native/xmake.lua) |

##### Install command

```console
xrepo install kotlin-native
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kotlin-native")
```


### ktx (msys)


| Description | *KTX (Khronos Texture) Library and Tools* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/KTX-Software](https://github.com/KhronosGroup/KTX-Software) |
| License | Apache-2.0 |
| Versions | v4.4.0 |
| Architectures | i386, x86_64 |
| Definition | [ktx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/ktx/xmake.lua) |

##### Install command

```console
xrepo install ktx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ktx")
```


### kuba-zip (msys)


| Description | *A portable, simple zip library written in C* |
| -- | -- |
| Homepage | [https://github.com/kuba--/zip](https://github.com/kuba--/zip) |
| License | Unlicense |
| Versions | v0.2.2, v0.2.5, v0.2.6, v0.3.1, v0.3.2, v0.3.3, v0.3.4, v0.3.5 |
| Architectures | i386, x86_64 |
| Definition | [kuba-zip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/k/kuba-zip/xmake.lua) |

##### Install command

```console
xrepo install kuba-zip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("kuba-zip")
```



## l
### lastools (msys)


| Description | *efficient tools for LiDAR processing* |
| -- | -- |
| Homepage | [https://github.com/LAStools/LAStools](https://github.com/LAStools/LAStools) |
| License | LGPL-2.0 |
| Versions | v2.0.3 |
| Architectures | i386, x86_64 |
| Definition | [lastools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lastools/xmake.lua) |

##### Install command

```console
xrepo install lastools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lastools")
```


### lazy_importer (msys)


| Description | *library for importing functions from dlls in a hidden, reverse engineer unfriendly way* |
| -- | -- |
| Homepage | [https://github.com/JustasMasiulis/lazy_importer](https://github.com/JustasMasiulis/lazy_importer) |
| License | Apache-2.0 |
| Versions | 2023.08.02 |
| Architectures | i386, x86_64 |
| Definition | [lazy_importer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lazy_importer/xmake.lua) |

##### Install command

```console
xrepo install lazy_importer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lazy_importer")
```


### lcms (msys)


| Description | *A free, open source, CMM engine. It provides fast transforms between ICC profiles.* |
| -- | -- |
| Homepage | [https://www.littlecms.com/](https://www.littlecms.com/) |
| License | MIT |
| Versions | 2.17 |
| Architectures | i386, x86_64 |
| Definition | [lcms/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lcms/xmake.lua) |

##### Install command

```console
xrepo install lcms
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lcms")
```


### lemon (msys)


| Description | *Library for Efficient Modeling and Optimization in Networks.* |
| -- | -- |
| Homepage | [https://lemon.cs.elte.hu/trac/lemon](https://lemon.cs.elte.hu/trac/lemon) |
| License | BSL-1.0 |
| Versions | 1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [lemon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lemon/xmake.lua) |

##### Install command

```console
xrepo install lemon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lemon")
```


### lerc (msys)


| Description | *Limited Error Raster Compression* |
| -- | -- |
| Homepage | [https://github.com/esri/lerc](https://github.com/esri/lerc) |
| License | Apache-2.0 |
| Versions | v4.0.0 |
| Architectures | i386, x86_64 |
| Definition | [lerc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lerc/xmake.lua) |

##### Install command

```console
xrepo install lerc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lerc")
```


### leveldb (msys)


| Description | *LevelDB is a fast key-value storage library written at Google that provides an ordered mapping from string keys to string values.* |
| -- | -- |
| Homepage | [https://github.com/google/leveldb](https://github.com/google/leveldb) |
| License | BSD-3-Clause |
| Versions | 1.22, 1.23 |
| Architectures | i386, x86_64 |
| Definition | [leveldb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/leveldb/xmake.lua) |

##### Install command

```console
xrepo install leveldb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("leveldb")
```


### lexbor (msys)


| Description | *Lexbor is development of an open source HTML Renderer library. https://lexbor.com* |
| -- | -- |
| Homepage | [https://github.com/lexbor/lexbor](https://github.com/lexbor/lexbor) |
| License | Apache-2.0 |
| Versions | v2.2.0, v2.3.0, v2.4.0 |
| Architectures | i386, x86_64 |
| Definition | [lexbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lexbor/xmake.lua) |

##### Install command

```console
xrepo install lexbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lexbor")
```


### lexy (msys)


| Description | *C++ parsing DSL* |
| -- | -- |
| Homepage | [https://lexy.foonathan.net](https://lexy.foonathan.net) |
| License | BSL-1.0 |
| Versions | 2022.03.21, 2022.12.1 |
| Architectures | i386, x86_64 |
| Definition | [lexy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lexy/xmake.lua) |

##### Install command

```console
xrepo install lexy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lexy")
```


### liba52 (msys)


| Description | *Library for decoding ATSC A/52 (AC-3) audio streams* |
| -- | -- |
| Homepage | [https://liba52.sourceforge.io](https://liba52.sourceforge.io) |
| License | GPL-2.0-or-later |
| Versions | v0.8.0 |
| Architectures | i386, x86_64 |
| Definition | [liba52/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liba52/xmake.lua) |

##### Install command

```console
xrepo install liba52
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liba52")
```


### libass (msys)


| Description | *libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format.* |
| -- | -- |
| Homepage | [https://github.com/libass/libass](https://github.com/libass/libass) |
| License | ISC |
| Versions | 0.15.2, 0.16.0, 0.17.0, 0.17.1 |
| Architectures | i386, x86_64 |
| Definition | [libass/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libass/xmake.lua) |

##### Install command

```console
xrepo install libass
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libass")
```


### libatomic_ops (msys)


| Description | *The atomic_ops project (Atomic memory update operations portable implementation)* |
| -- | -- |
| Homepage | [https://github.com/bdwgc/libatomic_ops/wiki/Download](https://github.com/bdwgc/libatomic_ops/wiki/Download) |
| License | GPL-2.0 |
| Versions | v7.8.2 |
| Architectures | i386, x86_64 |
| Definition | [libatomic_ops/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libatomic_ops/xmake.lua) |

##### Install command

```console
xrepo install libatomic_ops
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libatomic_ops")
```


### libavif (msys)


| Description | *libavif - Library for encoding and decoding .avif files* |
| -- | -- |
| Homepage | [https://github.com/AOMediaCodec/libavif](https://github.com/AOMediaCodec/libavif) |
| License | BSD-2-Clause |
| Versions | v0.9.1, v1.0.4, v1.1.0, v1.1.1, v1.2.1, v1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [libavif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libavif/xmake.lua) |

##### Install command

```console
xrepo install libavif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libavif")
```


### libb2 (msys)


| Description | *C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp* |
| -- | -- |
| Homepage | [https://blake2.net](https://blake2.net) |
| License | CC0-1.0 |
| Versions | v0.98.1 |
| Architectures | i386, x86_64 |
| Definition | [libb2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libb2/xmake.lua) |

##### Install command

```console
xrepo install libb2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libb2")
```


### libbacktrace (msys)


| Description | *A C library that may be linked into a C/C++ program to produce symbolic backtraces* |
| -- | -- |
| Homepage | [https://github.com/ianlancetaylor/libbacktrace](https://github.com/ianlancetaylor/libbacktrace) |
| License | BSD-3-Clause |
| Versions | 2025.04.10 |
| Architectures | i386, x86_64 |
| Definition | [libbacktrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbacktrace/xmake.lua) |

##### Install command

```console
xrepo install libbacktrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbacktrace")
```


### libbigwig (msys)


| Description | *A C library for handling bigWig files* |
| -- | -- |
| Homepage | [https://github.com/dpryan79/libBigWig](https://github.com/dpryan79/libBigWig) |
| License | MIT |
| Versions | 0.4.7, 0.4.8 |
| Architectures | i386, x86_64 |
| Definition | [libbigwig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libbigwig/xmake.lua) |

##### Install command

```console
xrepo install libbigwig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libbigwig")
```


### libc++ (msys)


| Description | *libc++ is a new implementation of the C++ standard library, targeting C++11 and above.* |
| -- | -- |
| Homepage | [https://libcxx.llvm.org/](https://libcxx.llvm.org/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [libc++/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libc++/xmake.lua) |

##### Install command

```console
xrepo install libc++
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libc++")
```


### libcbor (msys)


| Description | *CBOR protocol implementation for C* |
| -- | -- |
| Homepage | [https://github.com/PJK/libcbor](https://github.com/PJK/libcbor) |
| License | MIT |
| Versions | v0.11.0, v0.12.0 |
| Architectures | i386, x86_64 |
| Definition | [libcbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcbor/xmake.lua) |

##### Install command

```console
xrepo install libcbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcbor")
```


### libcoro (msys)


| Description | *C++20 coroutine library* |
| -- | -- |
| Homepage | [https://github.com/jbaldwin/libcoro](https://github.com/jbaldwin/libcoro) |
| License | Apache-2.0 |
| Versions | v0.12.1, v0.13.0, v0.14.0, v0.14.1, v0.15.0 |
| Architectures | i386, x86_64 |
| Definition | [libcoro/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcoro/xmake.lua) |

##### Install command

```console
xrepo install libcoro
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcoro")
```


### libcpuid (msys)


| Description | *a small C library for x86 CPU detection and feature extraction* |
| -- | -- |
| Homepage | [https://github.com/anrieff/libcpuid](https://github.com/anrieff/libcpuid) |
| License | BSD-2-Clause |
| Versions | v0.5.1, v0.6.3, v0.6.4, v0.6.5, v0.7.0, v0.7.1, v0.8.0 |
| Architectures | i386, x86_64 |
| Definition | [libcpuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcpuid/xmake.lua) |

##### Install command

```console
xrepo install libcpuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcpuid")
```


### libcron (msys)


| Description | *A C++ scheduling library using cron formatting.* |
| -- | -- |
| Homepage | [https://github.com/PerMalmberg/libcron](https://github.com/PerMalmberg/libcron) |
| License | MIT |
| Versions | v1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [libcron/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libcron/xmake.lua) |

##### Install command

```console
xrepo install libcron
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libcron")
```


### libde265 (msys)


| Description | *Open h.265 video codec implementation.* |
| -- | -- |
| Homepage | [https://www.libde265.org/](https://www.libde265.org/) |
| License | LGPL-3.0 |
| Versions | 1.0.8, 1.0.15, 1.0.16 |
| Architectures | i386, x86_64 |
| Definition | [libde265/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libde265/xmake.lua) |

##### Install command

```console
xrepo install libde265
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libde265")
```


### libdeflate (msys)


| Description | *libdeflate is a library for fast, whole-buffer DEFLATE-based compression and decompression.* |
| -- | -- |
| Homepage | [https://github.com/ebiggers/libdeflate](https://github.com/ebiggers/libdeflate) |
| License | MIT |
| Versions | v1.8, v1.10, v1.13, v1.15, v1.17, v1.19, v1.20, v1.21, v1.22, v1.23, v1.24 |
| Architectures | i386, x86_64 |
| Definition | [libdeflate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdeflate/xmake.lua) |

##### Install command

```console
xrepo install libdeflate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdeflate")
```


### libdicom (msys)


| Description | *C library for reading DICOM files* |
| -- | -- |
| Homepage | [https://libdicom.readthedocs.io](https://libdicom.readthedocs.io) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [libdicom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdicom/xmake.lua) |

##### Install command

```console
xrepo install libdicom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdicom")
```


### libdisasm (msys)


| Description | *The libdisasm library provides basic disassembly of Intel x86 instructions from a binary stream.* |
| -- | -- |
| Homepage | [https://bastard.sourceforge.net/libdisasm.html](https://bastard.sourceforge.net/libdisasm.html) |
| License | MIT |
| Versions | 0.23 |
| Architectures | i386, x86_64 |
| Definition | [libdisasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdisasm/xmake.lua) |

##### Install command

```console
xrepo install libdisasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdisasm")
```


### libdivide (msys)


| Description | *Official git repository for libdivide: optimized integer division* |
| -- | -- |
| Homepage | [https://libdivide.com](https://libdivide.com) |
| License | BSL-1.0 |
| Versions | 5.0, v5.2.0 |
| Architectures | i386, x86_64 |
| Definition | [libdivide/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdivide/xmake.lua) |

##### Install command

```console
xrepo install libdivide
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdivide")
```


### libdivsufsort (msys)


| Description | *A lightweight suffix array sorting library* |
| -- | -- |
| Homepage | [https://android.googlesource.com/platform/external/libdivsufsort/](https://android.googlesource.com/platform/external/libdivsufsort/) |
| Versions | 2021.2.18 |
| Architectures | i386, x86_64 |
| Definition | [libdivsufsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdivsufsort/xmake.lua) |

##### Install command

```console
xrepo install libdivsufsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdivsufsort")
```


### libdom (msys)


| Description | *LibDOM is an implementation of the W3C DOM* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libdom](https://www.netsurf-browser.org/projects/libdom) |
| License | MIT |
| Versions | 0.4.2 |
| Architectures | i386, x86_64 |
| Definition | [libdom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdom/xmake.lua) |

##### Install command

```console
xrepo install libdom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdom")
```


### libdwarf (msys)


| Description | *Libdwarf is a C library intended to simplify reading (and writing) applications using DWARF2, DWARF3, DWARF4 and DWARF5* |
| -- | -- |
| Homepage | [https://www.prevanders.net/dwarf.html](https://www.prevanders.net/dwarf.html) |
| License | LGPL-2.1 |
| Versions | 0.8.0, 0.9.0, 0.9.1, 0.9.2, 0.10.0, 0.10.1, 0.11.0, 0.11.1, 0.12.0, 2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [libdwarf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libdwarf/xmake.lua) |

##### Install command

```console
xrepo install libdwarf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libdwarf")
```


### libebur128 (msys)


| Description | *A library implementing the EBU R128 loudness standard.* |
| -- | -- |
| Homepage | [https://github.com/jiixyj/libebur128](https://github.com/jiixyj/libebur128) |
| License | MIT |
| Versions | v1.2.6 |
| Architectures | i386, x86_64 |
| Definition | [libebur128/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libebur128/xmake.lua) |

##### Install command

```console
xrepo install libebur128
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libebur128")
```


### libedit (msys)


| Description | *Autotool- and libtoolized port of the NetBSD Editline library (libedit).* |
| -- | -- |
| Homepage | [http://thrysoee.dk/editline](http://thrysoee.dk/editline) |
| License | BSD-3-Clause |
| Versions | 3.1 |
| Architectures | i386, x86_64 |
| Definition | [libedit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libedit/xmake.lua) |

##### Install command

```console
xrepo install libedit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libedit")
```


### libelfin (msys)


| Description | *C++11 ELF/DWARF parser* |
| -- | -- |
| Homepage | [https://github.com/aclements/libelfin](https://github.com/aclements/libelfin) |
| License | MIT |
| Versions | v0.3 |
| Architectures | i386, x86_64 |
| Definition | [libelfin/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libelfin/xmake.lua) |

##### Install command

```console
xrepo install libelfin
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libelfin")
```


### libenvpp (msys)


| Description | *A modern C++ library for type-safe environment variable parsing* |
| -- | -- |
| Homepage | [https://github.com/ph3at/libenvpp](https://github.com/ph3at/libenvpp) |
| License | Apache-2.0 |
| Versions | v1.1.0, v1.4.0, v1.4.1, v1.4.2, v1.4.3, v1.4.4, v1.5.1 |
| Architectures | i386, x86_64 |
| Definition | [libenvpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libenvpp/xmake.lua) |

##### Install command

```console
xrepo install libenvpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libenvpp")
```


### libevent (msys)


| Description | *Event notification library* |
| -- | -- |
| Homepage | [https://libevent.org/](https://libevent.org/) |
| License | BSD-3-Clause |
| Versions | 2.1.12 |
| Architectures | i386, x86_64 |
| Definition | [libevent/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libevent/xmake.lua) |

##### Install command

```console
xrepo install libevent
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libevent")
```


### libfacedetection (msys)


| Description | *An open source library for face detection in images. The face detection speed can reach 1000FPS. * |
| -- | -- |
| Homepage | [https://github.com/ShiqiYu/libfacedetection](https://github.com/ShiqiYu/libfacedetection) |
| License | BSD-3-Clause |
| Versions | v3.0 |
| Architectures | i386, x86_64 |
| Definition | [libfacedetection/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfacedetection/xmake.lua) |

##### Install command

```console
xrepo install libfacedetection
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfacedetection")
```


### libfido2 (msys)


| Description | *Provides library functionality for FIDO2, including communication with a device over USB or NFC.* |
| -- | -- |
| Homepage | [https://github.com/Yubico/libfido2](https://github.com/Yubico/libfido2) |
| License | BSD-2-Clause |
| Versions | 1.15.0 |
| Architectures | i386, x86_64 |
| Definition | [libfido2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfido2/xmake.lua) |

##### Install command

```console
xrepo install libfido2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfido2")
```


### libfixmath (msys)


| Description | *Cross Platform Fixed Point Maths Library* |
| -- | -- |
| Homepage | [https://code.google.com/p/libfixmath/](https://code.google.com/p/libfixmath/) |
| License | MIT |
| Versions | 2023.08.06 |
| Architectures | i386, x86_64 |
| Definition | [libfixmath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfixmath/xmake.lua) |

##### Install command

```console
xrepo install libfixmath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfixmath")
```


### libfixmatrix (msys)


| Description | *C library for fixed point matrix, quaternion and vector calculations* |
| -- | -- |
| Homepage | [https://github.com/PetteriAimonen/libfixmatrix](https://github.com/PetteriAimonen/libfixmatrix) |
| License | MIT |
| Versions | 2014.01.17 |
| Architectures | i386, x86_64 |
| Definition | [libfixmatrix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfixmatrix/xmake.lua) |

##### Install command

```console
xrepo install libfixmatrix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfixmatrix")
```


### libflac (msys)


| Description | *Free Lossless Audio Codec* |
| -- | -- |
| Homepage | [https://xiph.org/flac](https://xiph.org/flac) |
| License | BSD |
| Versions | 1.3.3, 1.4.2, 1.4.3, 1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [libflac/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libflac/xmake.lua) |

##### Install command

```console
xrepo install libflac
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libflac")
```


### libfork (msys)


| Description | *A bleeding-edge, lock-free, wait-free, continuation-stealing tasking library built on C++20's coroutines* |
| -- | -- |
| Homepage | [https://conorwilliams.github.io/libfork/](https://conorwilliams.github.io/libfork/) |
| License | MPL-2.0 |
| Versions | v3.8.0 |
| Architectures | i386, x86_64 |
| Definition | [libfork/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libfork/xmake.lua) |

##### Install command

```console
xrepo install libfork
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libfork")
```


### libgit2 (msys)


| Description | *A cross-platform, linkable library implementation of Git that you can use in your application.* |
| -- | -- |
| Homepage | [https://libgit2.org/](https://libgit2.org/) |
| License | GPL-2.0-only |
| Versions | v1.3.0, v1.7.1, v1.8.0, v1.8.1, v1.8.2, v1.8.4, v1.9.0, v1.9.1 |
| Architectures | i386, x86_64 |
| Definition | [libgit2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgit2/xmake.lua) |

##### Install command

```console
xrepo install libgit2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgit2")
```


### libgit2cpp (msys)


| Description | *C++ wrapper for libgit2* |
| -- | -- |
| Homepage | [https://github.com/AndreyG/libgit2cpp](https://github.com/AndreyG/libgit2cpp) |
| Versions | 2024.06.09 |
| Architectures | i386, x86_64 |
| Definition | [libgit2cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libgit2cpp/xmake.lua) |

##### Install command

```console
xrepo install libgit2cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libgit2cpp")
```


### libharu (msys)


| Description | *libHaru is a free, cross platform, open source library for generating PDF files.* |
| -- | -- |
| Homepage | [http://libharu.org/](http://libharu.org/) |
| License | zlib |
| Versions | 2.3.0, v2.4.5 |
| Architectures | i386, x86_64 |
| Definition | [libharu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libharu/xmake.lua) |

##### Install command

```console
xrepo install libharu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libharu")
```


### libhat (msys)


| Description | *A high-performance, modern, C++20 library designed around game hacking* |
| -- | -- |
| Homepage | [https://github.com/BasedInc/libhat](https://github.com/BasedInc/libhat) |
| License | MIT |
| Versions | v0.5.0, v0.6.0 |
| Architectures | i386, x86_64 |
| Definition | [libhat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libhat/xmake.lua) |

##### Install command

```console
xrepo install libhat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libhat")
```


### libhubbub (msys)


| Description | *Hubbub is an HTML5 compliant parsing library* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libhubbub](https://www.netsurf-browser.org/projects/libhubbub) |
| License | MIT |
| Versions | 0.3.8 |
| Architectures | i386, x86_64 |
| Definition | [libhubbub/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libhubbub/xmake.lua) |

##### Install command

```console
xrepo install libhubbub
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libhubbub")
```


### libid3tag (msys)


| Description | *ID3 tag manipulation library* |
| -- | -- |
| Homepage | [https://www.underbit.com/products/mad/](https://www.underbit.com/products/mad/) |
| License | GPL-2.0-or-later |
| Versions | 0.16.3 |
| Architectures | i386, x86_64 |
| Definition | [libid3tag/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libid3tag/xmake.lua) |

##### Install command

```console
xrepo install libid3tag
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libid3tag")
```


### libidn2 (msys)


| Description | *Libidn2 is an implementation of the IDNA2008 + TR46 specifications.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libidn/](https://www.gnu.org/software/libidn/) |
| License | LGPL-3.0 |
| Versions | 2.3.2, 2.3.8 |
| Architectures | i386, x86_64 |
| Definition | [libidn2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libidn2/xmake.lua) |

##### Install command

```console
xrepo install libidn2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libidn2")
```


### libjpeg (msys)


| Description | *A widely used C library for reading and writing JPEG image files.* |
| -- | -- |
| Homepage | [http://ijg.org/](http://ijg.org/) |
| Versions | v9b, v9c, v9d, v9e, v9f |
| Architectures | i386, x86_64 |
| Definition | [libjpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjpeg/xmake.lua) |

##### Install command

```console
xrepo install libjpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjpeg")
```


### libjq (msys)


| Description | *Command-line JSON processor* |
| -- | -- |
| Homepage | [https://jqlang.org](https://jqlang.org) |
| License | MIT |
| Versions | 1.7.1, 1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [libjq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjq/xmake.lua) |

##### Install command

```console
xrepo install libjq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjq")
```


### libjxl (msys)


| Description | *JPEG XL image format reference implementation* |
| -- | -- |
| Homepage | [https://jpeg.org/jpegxl](https://jpeg.org/jpegxl) |
| License | BSD-3-Clause |
| Versions | v0.8.2 |
| Architectures | i386, x86_64 |
| Definition | [libjxl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libjxl/xmake.lua) |

##### Install command

```console
xrepo install libjxl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libjxl")
```


### libkdtree (msys)


| Description | *libkdtree++ is an STL-like C++ template container implementation of k-dimensional space sorting, using a kd-tree. It sports a theoretically unlimited number of dimensions, and can store any data structure* |
| -- | -- |
| Homepage | [https://github.com/nvmd/libkdtree](https://github.com/nvmd/libkdtree) |
| Versions | 0.7.4 |
| Architectures | i386, x86_64 |
| Definition | [libkdtree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libkdtree/xmake.lua) |

##### Install command

```console
xrepo install libkdtree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libkdtree")
```


### libkeyfinder (msys)


| Description | *Musical key detection for digital audio, GPL v3* |
| -- | -- |
| Homepage | [https://mixxxdj.github.io/libkeyfinder/](https://mixxxdj.github.io/libkeyfinder/) |
| License | GPL-3.0 |
| Versions | 2.2.8 |
| Architectures | i386, x86_64 |
| Definition | [libkeyfinder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libkeyfinder/xmake.lua) |

##### Install command

```console
xrepo install libkeyfinder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libkeyfinder")
```


### libmaxminddb (msys)


| Description | *C library for the MaxMind DB file format* |
| -- | -- |
| Homepage | [https://maxmind.github.io/libmaxminddb/](https://maxmind.github.io/libmaxminddb/) |
| License | Apache-2.0 |
| Versions | 1.10.0, 1.11.0, 1.12.2 |
| Architectures | i386, x86_64 |
| Definition | [libmaxminddb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmaxminddb/xmake.lua) |

##### Install command

```console
xrepo install libmaxminddb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmaxminddb")
```


### libmem (msys)


| Description | *Cross-platform game hacking library for C, C++, Rust, and Python, supporting process/memory hacking, hooking, detouring, and DLL/SO injection.* |
| -- | -- |
| Homepage | [https://github.com/rdbo/libmem](https://github.com/rdbo/libmem) |
| License | AGPL-3.0 |
| Versions | 5.0.2, 5.0.3, 5.0.4, 5.0.5 |
| Architectures | i386, x86_64 |
| Definition | [libmem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmem/xmake.lua) |

##### Install command

```console
xrepo install libmem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmem")
```


### libmobi (msys)


| Description | *C library for handling Kindle (MOBI) formats of ebook documents* |
| -- | -- |
| Homepage | [https://github.com/bfabiszewski/libmobi](https://github.com/bfabiszewski/libmobi) |
| License | MIT |
| Versions | v0.12 |
| Architectures | i386, x86_64 |
| Definition | [libmobi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmobi/xmake.lua) |

##### Install command

```console
xrepo install libmobi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmobi")
```


### libmodbus (msys)


| Description | *A Modbus library for Linux, Mac OS, FreeBSD and Windows* |
| -- | -- |
| Homepage | [https://libmodbus.org](https://libmodbus.org) |
| License | LGPL-2.1 |
| Versions | v3.1.10 |
| Architectures | i386, x86_64 |
| Definition | [libmodbus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmodbus/xmake.lua) |

##### Install command

```console
xrepo install libmodbus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmodbus")
```


### libmodplug (msys)


| Description | *libmodplug GitHub repository* |
| -- | -- |
| Homepage | [http://modplug-xmms.sf.net](http://modplug-xmms.sf.net) |
| License | Public Domain |
| Versions | 2022.1.31 |
| Architectures | i386, x86_64 |
| Definition | [libmodplug/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmodplug/xmake.lua) |

##### Install command

```console
xrepo install libmodplug
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmodplug")
```


### libmorton (msys)


| Description | *C++ header-only library with methods to efficiently encode/decode Morton codes in/from 2D/3D coordinates* |
| -- | -- |
| Homepage | [https://github.com/Forceflow/libmorton](https://github.com/Forceflow/libmorton) |
| License | MIT |
| Versions | v0.2.12 |
| Architectures | i386, x86_64 |
| Definition | [libmorton/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmorton/xmake.lua) |

##### Install command

```console
xrepo install libmorton
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmorton")
```


### libmspack (msys)


| Description | *libmspack is a portable library for some loosely related Microsoft compression formats.* |
| -- | -- |
| Homepage | [https://www.cabextract.org.uk/libmspack/](https://www.cabextract.org.uk/libmspack/) |
| License | LGPL-2.0 |
| Versions | v0.10.1alpha, v1.11 |
| Architectures | i386, x86_64 |
| Definition | [libmspack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmspack/xmake.lua) |

##### Install command

```console
xrepo install libmspack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmspack")
```


### libmysofa (msys)


| Description | *Reader for AES SOFA files to get better HRTFs* |
| -- | -- |
| Homepage | [https://github.com/hoene/libmysofa](https://github.com/hoene/libmysofa) |
| License | BSD-3-Clause |
| Versions | v1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [libmysofa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libmysofa/xmake.lua) |

##### Install command

```console
xrepo install libmysofa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libmysofa")
```


### libnpy (msys)


| Description | *C++ library for reading and writing of numpy's .npy files* |
| -- | -- |
| Homepage | [https://github.com/llohse/libnpy](https://github.com/llohse/libnpy) |
| License | MIT |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [libnpy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnpy/xmake.lua) |

##### Install command

```console
xrepo install libnpy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnpy")
```


### libnpy-matajoh (msys)


| Description | *C++ library for reading and writing of numpy's .npy files* |
| -- | -- |
| Homepage | [https://github.com/matajoh/libnpy](https://github.com/matajoh/libnpy) |
| License | MIT |
| Versions | v1.5.3 |
| Architectures | i386, x86_64 |
| Definition | [libnpy-matajoh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libnpy-matajoh/xmake.lua) |

##### Install command

```console
xrepo install libnpy-matajoh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libnpy-matajoh")
```


### libomp (msys)


| Description | *LLVM's OpenMP runtime library.* |
| -- | -- |
| Homepage | [https://openmp.llvm.org/](https://openmp.llvm.org/) |
| Versions | 10.0.1, 11.1.0, 12.0.1, 19.1.0 |
| Architectures | i386, x86_64 |
| Definition | [libomp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libomp/xmake.lua) |

##### Install command

```console
xrepo install libomp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libomp")
```


### liboqs (msys)


| Description | *C library for prototyping and experimenting with quantum-resistant cryptography* |
| -- | -- |
| Homepage | [https://openquantumsafe.org](https://openquantumsafe.org) |
| License | MIT |
| Versions | 0.10.1, 0.11.0, 0.12.0, 0.13.0, 0.14.0 |
| Architectures | i386, x86_64 |
| Definition | [liboqs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liboqs/xmake.lua) |

##### Install command

```console
xrepo install liboqs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liboqs")
```


### libp11 (msys)


| Description | *PKCS#11 wrapper library* |
| -- | -- |
| Homepage | [https://github.com/OpenSC/libp11](https://github.com/OpenSC/libp11) |
| License | LGPL-2.1 |
| Versions | 0.4.13 |
| Architectures | i386, x86_64 |
| Definition | [libp11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libp11/xmake.lua) |

##### Install command

```console
xrepo install libp11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libp11")
```


### libparserutils (msys)


| Description | *LibParserUtils is a library for building efficient parsers* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libparserutils](https://www.netsurf-browser.org/projects/libparserutils) |
| License | MIT |
| Versions | 0.2.5 |
| Architectures | i386, x86_64 |
| Definition | [libparserutils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libparserutils/xmake.lua) |

##### Install command

```console
xrepo install libparserutils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libparserutils")
```


### libpcap (msys)


| Description | *the LIBpcap interface to various kernel packet capture mechanism* |
| -- | -- |
| Homepage | [https://www.tcpdump.org/](https://www.tcpdump.org/) |
| License | BSD-3-Clause |
| Versions | 1.10.1, 1.10.2, 1.10.3, 1.10.4, 1.10.5 |
| Architectures | i386, x86_64 |
| Definition | [libpcap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpcap/xmake.lua) |

##### Install command

```console
xrepo install libpcap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpcap")
```


### libpeconv (msys)


| Description | *A library to load, manipulate, dump PE files. See also: https://github.com/hasherezade/libpeconv_tpl* |
| -- | -- |
| Homepage | [https://hasherezade.github.io/libpeconv](https://hasherezade.github.io/libpeconv) |
| License | BSD-2-Clause |
| Versions | 2023.05.31, 2024.09.06 |
| Architectures | i386, x86_64 |
| Definition | [libpeconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpeconv/xmake.lua) |

##### Install command

```console
xrepo install libpeconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpeconv")
```


### libplist (msys)


| Description | *Library for Apple Binary- and XML-Property Lists* |
| -- | -- |
| Homepage | [https://www.libimobiledevice.org/](https://www.libimobiledevice.org/) |
| License | LGPL-2.1 |
| Versions | 2.2.0, 2.6.0, 2.7.0 |
| Architectures | i386, x86_64 |
| Definition | [libplist/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libplist/xmake.lua) |

##### Install command

```console
xrepo install libplist
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libplist")
```


### libpng (msys)


| Description | *The official PNG reference library* |
| -- | -- |
| Homepage | [http://www.libpng.org/pub/png/libpng.html](http://www.libpng.org/pub/png/libpng.html) |
| License | libpng-2.0 |
| Versions | v1.2.56, v1.6.34, v1.6.35, v1.6.36, v1.6.37, v1.6.40, v1.6.42, v1.6.43, v1.6.44, v1.6.46, v1.6.47, v1.6.48, v1.6.49, v1.6.50 |
| Architectures | i386, x86_64 |
| Definition | [libpng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpng/xmake.lua) |

##### Install command

```console
xrepo install libpng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpng")
```


### libpopcnt (msys)


| Description | *🚀 Fast C/C++ bit population count library* |
| -- | -- |
| Homepage | [https://github.com/kimwalisch/libpopcnt](https://github.com/kimwalisch/libpopcnt) |
| License | BSD-2-Clause |
| Versions | v3.1 |
| Architectures | i386, x86_64 |
| Definition | [libpopcnt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libpopcnt/xmake.lua) |

##### Install command

```console
xrepo install libpopcnt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libpopcnt")
```


### libqrencode (msys)


| Description | *A fast and compact QR Code encoding library* |
| -- | -- |
| Homepage | [https://github.com/fukuchi/libqrencode](https://github.com/fukuchi/libqrencode) |
| License | LGPL-2.1 |
| Versions | 4.1.1 |
| Architectures | i386, x86_64 |
| Definition | [libqrencode/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libqrencode/xmake.lua) |

##### Install command

```console
xrepo install libqrencode
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libqrencode")
```


### librdkafka (msys)


| Description | *The Apache Kafka C/C++ library* |
| -- | -- |
| Homepage | [https://github.com/edenhill/librdkafka](https://github.com/edenhill/librdkafka) |
| Versions | v1.6.2, v1.8.2-POST2 |
| Architectures | i386, x86_64 |
| Definition | [librdkafka/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/librdkafka/xmake.lua) |

##### Install command

```console
xrepo install librdkafka
```

##### Integration in the project (xmake.lua)

```lua
add_requires("librdkafka")
```


### libremidi (msys)


| Description | *A modern C++ MIDI real-time & file I/O library. Supports Windows, macOS, Linux and WebMIDI.* |
| -- | -- |
| Homepage | [https://github.com/jcelerier/libremidi](https://github.com/jcelerier/libremidi) |
| License | BSD-2-Clause |
| Versions | v3.0, v4.5.0, v5.1.0, v5.2.0, v5.3.0, v5.3.1 |
| Architectures | i386, x86_64 |
| Definition | [libremidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libremidi/xmake.lua) |

##### Install command

```console
xrepo install libremidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libremidi")
```


### libsais (msys)


| Description | *libsais is a library for linear time suffix array, longest common prefix array and burrows wheeler transform construction based on induced sorting algorithm.* |
| -- | -- |
| Homepage | [https://github.com/IlyaGrebnov/libsais](https://github.com/IlyaGrebnov/libsais) |
| License | Apache-2.0 |
| Versions | v2.7.1, v2.7.3, v2.7.5, v2.8.0, v2.8.1, v2.8.2, v2.8.3, v2.8.4, v2.8.7, v2.10.0, v2.10.1, v2.10.2 |
| Architectures | i386, x86_64 |
| Definition | [libsais/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsais/xmake.lua) |

##### Install command

```console
xrepo install libsais
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsais")
```


### libsdl (msys)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 2.0.8, 2.0.12, 2.0.14, 2.0.16, 2.0.18, 2.0.20, 2.0.22, 2.24.0, 2.24.2, 2.26.0, 2.26.1, 2.26.2, 2.26.3, 2.26.4, 2.26.5, 2.28.0, 2.28.1, 2.28.2, 2.28.3, 2.28.4, 2.28.5, 2.30.0, 2.30.1, 2.30.2, 2.30.3, 2.30.4, 2.30.5, 2.30.6, 2.30.7, 2.30.8, 2.30.9, 2.30.10, 2.32.2 |
| Architectures | i386, x86_64 |
| Definition | [libsdl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl/xmake.lua) |

##### Install command

```console
xrepo install libsdl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl")
```


### libsdl2 (msys)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 2.0.8, 2.0.12, 2.0.14, 2.0.16, 2.0.18, 2.0.20, 2.0.22, 2.24.0, 2.24.2, 2.26.0, 2.26.1, 2.26.2, 2.26.3, 2.26.4, 2.26.5, 2.28.0, 2.28.1, 2.28.2, 2.28.3, 2.28.4, 2.28.5, 2.30.0, 2.30.1, 2.30.2, 2.30.3, 2.30.4, 2.30.5, 2.30.6, 2.30.7, 2.30.8, 2.30.9, 2.30.10, 2.32.2 |
| Architectures | i386, x86_64 |
| Definition | [libsdl2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2/xmake.lua) |

##### Install command

```console
xrepo install libsdl2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2")
```


### libsdl2_image (msys)


| Description | *Simple DirectMedia Layer image loading library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 2.6.0, 2.6.1, 2.6.2, 2.6.3, 2.8.0, 2.8.1, 2.8.2, 2.8.3, 2.8.4, 2.8.5, 2.8.8 |
| Architectures | i386, x86_64 |
| Definition | [libsdl2_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_image")
```


### libsdl2_mixer (msys)


| Description | *Simple DirectMedia Layer mixer audio library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_mixer/](https://www.libsdl.org/projects/SDL_mixer/) |
| License | zlib |
| Versions | 2.0.4, 2.6.0, 2.6.1, 2.6.2, 2.8.0, 2.8.1 |
| Architectures | i386, x86_64 |
| Definition | [libsdl2_mixer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_mixer/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_mixer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_mixer")
```


### libsdl2_net (msys)


| Description | *Simple DirectMedia Layer networking library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_net/](https://www.libsdl.org/projects/SDL_net/) |
| License | zlib |
| Versions | 2.2.0 |
| Architectures | i386, x86_64 |
| Definition | [libsdl2_net/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_net/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_net
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_net")
```


### libsdl2_ttf (msys)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 2.20.0, 2.20.1, 2.20.2, 2.22.0, 2.24.0 |
| Architectures | i386, x86_64 |
| Definition | [libsdl2_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl2_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl2_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl2_ttf")
```


### libsdl3 (msys)


| Description | *Simple DirectMedia Layer* |
| -- | -- |
| Homepage | [https://www.libsdl.org/](https://www.libsdl.org/) |
| License | zlib |
| Versions | 3.2.0, 3.2.2, 3.2.6, 3.2.8, 3.2.10, 3.2.14, 3.2.16 |
| Architectures | i386, x86_64 |
| Definition | [libsdl3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3/xmake.lua) |

##### Install command

```console
xrepo install libsdl3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3")
```


### libsdl3_image (msys)


| Description | *Image decoding for many popular formats for Simple Directmedia Layer.* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 3.2.0 |
| Architectures | i386, x86_64 |
| Definition | [libsdl3_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl3_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3_image")
```


### libsdl3_ttf (msys)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 3.2.0, 3.2.2 |
| Architectures | i386, x86_64 |
| Definition | [libsdl3_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl3_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl3_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl3_ttf")
```


### libsdl_image (msys)


| Description | *Simple DirectMedia Layer image loading library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_image](https://github.com/libsdl-org/SDL_image) |
| License | zlib |
| Versions | 2.6.0, 2.6.1, 2.6.2, 2.6.3, 2.8.0, 2.8.1, 2.8.2, 2.8.3, 2.8.4, 2.8.5, 2.8.8 |
| Architectures | i386, x86_64 |
| Definition | [libsdl_image/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_image/xmake.lua) |

##### Install command

```console
xrepo install libsdl_image
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_image")
```


### libsdl_mixer (msys)


| Description | *Simple DirectMedia Layer mixer audio library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_mixer/](https://www.libsdl.org/projects/SDL_mixer/) |
| License | zlib |
| Versions | 2.0.4, 2.6.0, 2.6.1, 2.6.2, 2.8.0, 2.8.1 |
| Architectures | i386, x86_64 |
| Definition | [libsdl_mixer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_mixer/xmake.lua) |

##### Install command

```console
xrepo install libsdl_mixer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_mixer")
```


### libsdl_net (msys)


| Description | *Simple DirectMedia Layer networking library* |
| -- | -- |
| Homepage | [https://www.libsdl.org/projects/SDL_net/](https://www.libsdl.org/projects/SDL_net/) |
| License | zlib |
| Versions | 2.2.0 |
| Architectures | i386, x86_64 |
| Definition | [libsdl_net/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_net/xmake.lua) |

##### Install command

```console
xrepo install libsdl_net
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_net")
```


### libsdl_ttf (msys)


| Description | *Simple DirectMedia Layer text rendering library* |
| -- | -- |
| Homepage | [https://github.com/libsdl-org/SDL_ttf/](https://github.com/libsdl-org/SDL_ttf/) |
| License | zlib |
| Versions | 2.20.0, 2.20.1, 2.20.2, 2.22.0, 2.24.0 |
| Architectures | i386, x86_64 |
| Definition | [libsdl_ttf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsdl_ttf/xmake.lua) |

##### Install command

```console
xrepo install libsdl_ttf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsdl_ttf")
```


### libsigcplusplus (msys)


| Description | *libsigc++ implements a typesafe callback system for standard C++. It allows you to define signals and to connect those signals to any callback function, either global or a member function, regardless of whether it is static or virtual.* |
| -- | -- |
| Homepage | [https://libsigcplusplus.github.io/libsigcplusplus/](https://libsigcplusplus.github.io/libsigcplusplus/) |
| License | LGPL-3.0 |
| Versions | 3.4.0, 3.6.0 |
| Architectures | i386, x86_64 |
| Definition | [libsigcplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsigcplusplus/xmake.lua) |

##### Install command

```console
xrepo install libsigcplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsigcplusplus")
```


### libsmb2 (msys)


| Description | *SMB2/3 userspace client* |
| -- | -- |
| Homepage | [https://github.com/sahlberg/libsmb2](https://github.com/sahlberg/libsmb2) |
| License | LGPL-2.1 |
| Versions | 2024.07.16 |
| Architectures | i386, x86_64 |
| Definition | [libsmb2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsmb2/xmake.lua) |

##### Install command

```console
xrepo install libsmb2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsmb2")
```


### libsodium (msys)


| Description | *Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.* |
| -- | -- |
| Homepage | [https://libsodium.org](https://libsodium.org) |
| License | ISC |
| Versions | 1.0.18, 1.0.19, 1.0.20 |
| Architectures | i386, x86_64 |
| Definition | [libsodium/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsodium/xmake.lua) |

##### Install command

```console
xrepo install libsodium
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsodium")
```


### libsoundio (msys)


| Description | *C library for cross-platform real-time audio input and output.* |
| -- | -- |
| Homepage | [http://libsound.io/](http://libsound.io/) |
| License | MIT |
| Versions | 2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [libsoundio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsoundio/xmake.lua) |

##### Install command

```console
xrepo install libsoundio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsoundio")
```


### libspng (msys)


| Description | *Simple, modern libpng alternative* |
| -- | -- |
| Homepage | [https://libspng.org](https://libspng.org) |
| License | BSD-2-Clause |
| Versions | v0.7.1, v0.7.4 |
| Architectures | i386, x86_64 |
| Definition | [libspng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libspng/xmake.lua) |

##### Install command

```console
xrepo install libspng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libspng")
```


### libsquish (msys)


| Description | *The libSquish library compresses images with the DXT standard (also known as S3TC).* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/libsquish/](https://sourceforge.net/projects/libsquish/) |
| License | MIT |
| Versions | 1.15 |
| Architectures | i386, x86_64 |
| Definition | [libsquish/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsquish/xmake.lua) |

##### Install command

```console
xrepo install libsquish
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsquish")
```


### libssh (msys)


| Description | *C library implementing the SSH2 protocol* |
| -- | -- |
| Homepage | [https://www.libssh2.org/](https://www.libssh2.org/) |
| License | BSD-3-Clause |
| Versions | 0.11.1 |
| Architectures | i386, x86_64 |
| Definition | [libssh/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libssh/xmake.lua) |

##### Install command

```console
xrepo install libssh
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libssh")
```


### libssh2 (msys)


| Description | *C library implementing the SSH2 protocol* |
| -- | -- |
| Homepage | [https://www.libssh2.org/](https://www.libssh2.org/) |
| License | BSD-3-Clause |
| Versions | 1.10.0, 1.11.0, 1.11.1 |
| Architectures | i386, x86_64 |
| Definition | [libssh2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libssh2/xmake.lua) |

##### Install command

```console
xrepo install libssh2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libssh2")
```


### libsv (msys)


| Description | *libsv - Public domain cross-platform semantic versioning in c99* |
| -- | -- |
| Homepage | [https://github.com/uael/sv](https://github.com/uael/sv) |
| Versions | 2021.11.27 |
| Architectures | i386, x86_64 |
| Definition | [libsv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsv/xmake.lua) |

##### Install command

```console
xrepo install libsv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsv")
```


### libsvgtiny (msys)


| Description | *Libsvgtiny is a library for parsing SVG files for display.* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libsvgtiny](https://www.netsurf-browser.org/projects/libsvgtiny) |
| License | MIT |
| Versions | 0.1.8 |
| Architectures | i386, x86_64 |
| Definition | [libsvgtiny/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsvgtiny/xmake.lua) |

##### Install command

```console
xrepo install libsvgtiny
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsvgtiny")
```


### libsvm (msys)


| Description | *A simple, easy-to-use, and efficient software for SVM classification and regression* |
| -- | -- |
| Homepage | [https://github.com/cjlin1/libsvm](https://github.com/cjlin1/libsvm) |
| License | BSD-3-Clause |
| Versions | v325, v332, v333, v334, v335, v336 |
| Architectures | i386, x86_64 |
| Definition | [libsvm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libsvm/xmake.lua) |

##### Install command

```console
xrepo install libsvm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libsvm")
```


### libtasn1 (msys)


| Description | *Libtasn1 is the ASN.1 library used by GnuTLS, p11-kit and some other packages.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libtasn1/](https://www.gnu.org/software/libtasn1/) |
| License | LGPL-2.1 |
| Versions | 4.15.0, 4.19.0, 4.20.0 |
| Architectures | i386, x86_64 |
| Definition | [libtasn1/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtasn1/xmake.lua) |

##### Install command

```console
xrepo install libtasn1
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtasn1")
```


### libtcod (msys)


| Description | *A collection of tools and algorithms for developing traditional roguelikes.  Such as field-of-view, pathfinding, and a tile-based terminal emulator.* |
| -- | -- |
| Homepage | [https://github.com/libtcod/libtcod](https://github.com/libtcod/libtcod) |
| License | BSD-3-Clause |
| Versions | 2.1.1 |
| Architectures | i386, x86_64 |
| Definition | [libtcod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtcod/xmake.lua) |

##### Install command

```console
xrepo install libtcod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtcod")
```


### libtiff (msys)


| Description | *TIFF Library and Utilities.* |
| -- | -- |
| Homepage | [http://www.simplesystems.org/libtiff/](http://www.simplesystems.org/libtiff/) |
| Versions | v4.1.0, v4.2.0, v4.3.0, v4.4.0, v4.6.0, v4.7.0 |
| Architectures | i386, x86_64 |
| Definition | [libtiff/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtiff/xmake.lua) |

##### Install command

```console
xrepo install libtiff
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtiff")
```


### libtomcrypt (msys)


| Description | *A fairly comprehensive, modular and portable cryptographic toolkit.* |
| -- | -- |
| Homepage | [https://www.libtom.net](https://www.libtom.net) |
| License | Unlicense |
| Versions | 2024.06.26 |
| Architectures | i386, x86_64 |
| Definition | [libtomcrypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtomcrypt/xmake.lua) |

##### Install command

```console
xrepo install libtomcrypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtomcrypt")
```


### libtommath (msys)


| Description | *LibTomMath is a free open source portable number theoretic multiple-precision integer library written entirely in C.* |
| -- | -- |
| Homepage | [https://www.libtom.net](https://www.libtom.net) |
| License | Unlicense |
| Versions | 1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [libtommath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtommath/xmake.lua) |

##### Install command

```console
xrepo install libtommath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtommath")
```


### libtool (msys)


| Description | *A generic library support script.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libtool/](https://www.gnu.org/software/libtool/) |
| Versions | 2.4.5, 2.4.6, 2.4.7, 2.5.4 |
| Architectures | i386, x86_64 |
| Definition | [libtool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libtool/xmake.lua) |

##### Install command

```console
xrepo install libtool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libtool")
```


### libudis86 (msys)


| Description | *Disassembler Library for x86 and x86-64* |
| -- | -- |
| Homepage | [http://udis86.sourceforge.net](http://udis86.sourceforge.net) |
| License | BSD-2-Clause |
| Versions | 2014.12.25 |
| Architectures | i386, x86_64 |
| Definition | [libudis86/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libudis86/xmake.lua) |

##### Install command

```console
xrepo install libudis86
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libudis86")
```


### libunifex (msys)


| Description | *The 'libunifex' project is a prototype implementation of the C++ sender/receiver async programming model that is currently being considered for standardisation.* |
| -- | -- |
| Homepage | [https://github.com/facebookexperimental/libunifex](https://github.com/facebookexperimental/libunifex) |
| License | Apache-2.0 |
| Versions | v0.4.0 |
| Architectures | i386, x86_64 |
| Definition | [libunifex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libunifex/xmake.lua) |

##### Install command

```console
xrepo install libunifex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libunifex")
```


### libunistring (msys)


| Description | *This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/libunistring/](https://www.gnu.org/software/libunistring/) |
| License | GPL-3.0 |
| Versions | 0.9.10, 1.1, 1.3 |
| Architectures | i386, x86_64 |
| Definition | [libunistring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libunistring/xmake.lua) |

##### Install command

```console
xrepo install libunistring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libunistring")
```


### libusb (msys)


| Description | *A cross-platform library to access USB devices * |
| -- | -- |
| Homepage | [https://libusb.info](https://libusb.info) |
| License | LGPL-2.1 |
| Versions | v1.0.26, v1.0.27, v1.0.28, v1.0.29 |
| Architectures | i386, x86_64 |
| Definition | [libusb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libusb/xmake.lua) |

##### Install command

```console
xrepo install libusb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libusb")
```


### libuuid (msys)


| Description | *Portable uuid C library* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/libuuid](https://sourceforge.net/projects/libuuid) |
| License | BSD-3-Clause |
| Versions | 1.0.3 |
| Architectures | i386, x86_64 |
| Definition | [libuuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libuuid/xmake.lua) |

##### Install command

```console
xrepo install libuuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libuuid")
```


### libuv (msys)


| Description | *A multi-platform support library with a focus on asynchronous I/O.* |
| -- | -- |
| Homepage | [http://libuv.org/](http://libuv.org/) |
| License | MIT |
| Versions | v1.22.0, v1.23.0, v1.23.1, v1.23.2, v1.24.0, v1.24.1, v1.25.0, v1.26.0, v1.27.0, v1.28.0, v1.40.0, v1.41.0, v1.42.0, v1.43.0, v1.44.1, v1.45.0, v1.46.0, v1.47.0, v1.48.0, v1.49.0, v1.49.1, v1.49.2, v1.50.0, v1.51.0 |
| Architectures | i386, x86_64 |
| Definition | [libuv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libuv/xmake.lua) |

##### Install command

```console
xrepo install libuv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libuv")
```


### libva (msys)


| Description | *Libva is an implementation for VA-API (Video Acceleration API)* |
| -- | -- |
| Homepage | [https://01.org/linuxmedia](https://01.org/linuxmedia) |
| Versions | 2.21.0 |
| Architectures | i386, x86_64 |
| Definition | [libva/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libva/xmake.lua) |

##### Install command

```console
xrepo install libva
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libva")
```


### libwapcaplet (msys)


| Description | *LibWapcaplet is a string internment library* |
| -- | -- |
| Homepage | [https://www.netsurf-browser.org/projects/libwapcaplet](https://www.netsurf-browser.org/projects/libwapcaplet) |
| License | MIT |
| Versions | 0.4.3 |
| Architectures | i386, x86_64 |
| Definition | [libwapcaplet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwapcaplet/xmake.lua) |

##### Install command

```console
xrepo install libwapcaplet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwapcaplet")
```


### libwebm (msys)


| Description | *Library for muxing and demuxing WebM media container files* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/webm/libwebm](https://chromium.googlesource.com/webm/libwebm) |
| License | BSD-3-Clause |
| Versions | 1.0.0+31 |
| Architectures | i386, x86_64 |
| Definition | [libwebm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebm/xmake.lua) |

##### Install command

```console
xrepo install libwebm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebm")
```


### libwebp (msys)


| Description | *Library to encode and decode images in WebP format.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/webm/libwebp/](https://chromium.googlesource.com/webm/libwebp/) |
| License | BSD-3-Clause |
| Versions | v1.1.0, v1.2.0, v1.2.1, v1.2.2, v1.2.3, v1.2.4, v1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [libwebp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebp/xmake.lua) |

##### Install command

```console
xrepo install libwebp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebp")
```


### libwebsockets (msys)


| Description | *canonical libwebsockets.org websocket library* |
| -- | -- |
| Homepage | [https://github.com/warmcat/libwebsockets](https://github.com/warmcat/libwebsockets) |
| License | MIT |
| Versions | v4.3.3, v4.3.4, v4.3.5 |
| Architectures | i386, x86_64 |
| Definition | [libwebsockets/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libwebsockets/xmake.lua) |

##### Install command

```console
xrepo install libwebsockets
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libwebsockets")
```


### libxlsxwriter (msys)


| Description | *A C library for creating Excel XLSX files.* |
| -- | -- |
| Homepage | [https://libxlsxwriter.github.io](https://libxlsxwriter.github.io) |
| License | BSD-2-Clause |
| Versions | 1.1.5 |
| Architectures | i386, x86_64 |
| Definition | [libxlsxwriter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxlsxwriter/xmake.lua) |

##### Install command

```console
xrepo install libxlsxwriter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxlsxwriter")
```


### libxml2 (msys)


| Description | *The XML C parser and toolkit of Gnome.* |
| -- | -- |
| Homepage | [http://xmlsoft.org/](http://xmlsoft.org/) |
| License | MIT |
| Versions | v2.11.9, v2.12.9, v2.13.2, v2.13.4, v2.14.3 |
| Architectures | i386, x86_64 |
| Definition | [libxml2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxml2/xmake.lua) |

##### Install command

```console
xrepo install libxml2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxml2")
```


### libxslt (msys)


| Description | *Libxslt is the XSLT C library developed for the GNOME project.* |
| -- | -- |
| Homepage | [http://xmlsoft.org/XSLT/](http://xmlsoft.org/XSLT/) |
| License | MIT |
| Versions | v1.1.42, v1.1.43 |
| Architectures | i386, x86_64 |
| Definition | [libxslt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libxslt/xmake.lua) |

##### Install command

```console
xrepo install libxslt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libxslt")
```


### libyuv (msys)


| Description | *libyuv is an open source project that includes YUV scaling and conversion functionality.* |
| -- | -- |
| Homepage | [https://chromium.googlesource.com/libyuv/libyuv/](https://chromium.googlesource.com/libyuv/libyuv/) |
| License | BSD-3-Clause |
| Versions | 1891, 1913 |
| Architectures | i386, x86_64 |
| Definition | [libyuv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libyuv/xmake.lua) |

##### Install command

```console
xrepo install libyuv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libyuv")
```


### libzen (msys)


| Description | *Small C++ derivate classes to have an easier life* |
| -- | -- |
| Homepage | [https://mediaarea.net](https://mediaarea.net) |
| License | zlib |
| Versions | v0.4.41 |
| Architectures | i386, x86_64 |
| Definition | [libzen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzen/xmake.lua) |

##### Install command

```console
xrepo install libzen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzen")
```


### libzip (msys)


| Description | *A C library for reading, creating, and modifying zip archives.* |
| -- | -- |
| Homepage | [https://libzip.org/](https://libzip.org/) |
| License | BSD-3-Clause |
| Versions | v1.8.0, v1.9.2, v1.10.1, v1.11.1, v1.11.2, v1.11.3, v1.11.4 |
| Architectures | i386, x86_64 |
| Definition | [libzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzip/xmake.lua) |

##### Install command

```console
xrepo install libzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzip")
```


### libzippp (msys)


| Description | *C++ wrapper for libzip* |
| -- | -- |
| Homepage | [https://github.com/ctabin/libzippp](https://github.com/ctabin/libzippp) |
| Versions | 7.1 |
| Architectures | i386, x86_64 |
| Definition | [libzippp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/libzippp/xmake.lua) |

##### Install command

```console
xrepo install libzippp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("libzippp")
```


### lief (msys)


| Description | *Library to Instrument Executable Formats.* |
| -- | -- |
| Homepage | [https://lief.quarkslab.com](https://lief.quarkslab.com) |
| License | Apache-2.0 |
| Versions | 0.10.1, 0.11.5, 0.14.0, 0.14.1, 0.15.1, 0.16.0, 0.16.1, 0.16.2, 0.16.3, 0.16.4, 0.16.5, 0.16.6 |
| Architectures | i386, x86_64 |
| Definition | [lief/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lief/xmake.lua) |

##### Install command

```console
xrepo install lief
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lief")
```


### lightmapper (msys)


| Description | *A C/C++ single-file library for drop-in lightmap baking. Just use your existing OpenGL renderer to bounce light!* |
| -- | -- |
| Homepage | [https://github.com/ands/lightmapper](https://github.com/ands/lightmapper) |
| Versions | 2022.01.03 |
| Architectures | i386, x86_64 |
| Definition | [lightmapper/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lightmapper/xmake.lua) |

##### Install command

```console
xrepo install lightmapper
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lightmapper")
```


### limonp (msys)


| Description | *C++ headers(hpp) library with Python style.* |
| -- | -- |
| Homepage | [https://github.com/yanyiwu/limonp](https://github.com/yanyiwu/limonp) |
| License | MIT |
| Versions | v0.9.0, v1.0.0, v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [limonp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/limonp/xmake.lua) |

##### Install command

```console
xrepo install limonp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("limonp")
```


### linalg (msys)


| Description | *linalg.h is a single header, public domain, short vector math library for C++.* |
| -- | -- |
| Homepage | [https://github.com/sgorsten/linalg](https://github.com/sgorsten/linalg) |
| License | Unlicense license |
| Versions | v2.2 |
| Architectures | i386, x86_64 |
| Definition | [linalg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linalg/xmake.lua) |

##### Install command

```console
xrepo install linalg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linalg")
```


### linmath.h (msys)


| Description | *a lean linear math library, aimed at graphics programming. Supports vec3, vec4, mat4x4 and quaternions* |
| -- | -- |
| Homepage | [https://github.com/datenwolf/linmath.h](https://github.com/datenwolf/linmath.h) |
| License | WTFPL |
| Versions | 2022.06.19 |
| Architectures | i386, x86_64 |
| Definition | [linmath.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/linmath.h/xmake.lua) |

##### Install command

```console
xrepo install linmath.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("linmath.h")
```


### liquid-dsp (msys)


| Description | *digital signal processing library for software-defined radios* |
| -- | -- |
| Homepage | [http://liquidsdr.org](http://liquidsdr.org) |
| License | MIT |
| Versions | v1.7.0 |
| Architectures | i386, x86_64 |
| Definition | [liquid-dsp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/liquid-dsp/xmake.lua) |

##### Install command

```console
xrepo install liquid-dsp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("liquid-dsp")
```


### litehtml (msys)


| Description | *Fast and lightweight HTML/CSS rendering engine* |
| -- | -- |
| Homepage | [http://www.litehtml.com/](http://www.litehtml.com/) |
| License | BSD-3-Clause |
| Versions | v0.9 |
| Architectures | i386, x86_64 |
| Definition | [litehtml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/litehtml/xmake.lua) |

##### Install command

```console
xrepo install litehtml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("litehtml")
```


### littlefs (msys)


| Description | *A little fail-safe filesystem designed for microcontrollers* |
| -- | -- |
| Homepage | [https://github.com/littlefs-project/littlefs](https://github.com/littlefs-project/littlefs) |
| License | BSD-3-Clause |
| Versions | v2.5.0, v2.8.2, v2.9.2, v2.9.3, v2.10.1, v2.11.0, v2.11.1 |
| Architectures | i386, x86_64 |
| Definition | [littlefs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/littlefs/xmake.lua) |

##### Install command

```console
xrepo install littlefs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("littlefs")
```


### llama.cpp (msys)


| Description | *Port of Facebook's LLaMA model in C/C++* |
| -- | -- |
| Homepage | [https://github.com/ggerganov/llama.cpp](https://github.com/ggerganov/llama.cpp) |
| License | MIT |
| Versions | 3775 |
| Architectures | i386, x86_64 |
| Definition | [llama.cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llama.cpp/xmake.lua) |

##### Install command

```console
xrepo install llama.cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llama.cpp")
```


### llhttp (msys)


| Description | *Port of http_parser to llparse* |
| -- | -- |
| Homepage | [https://github.com/nodejs/llhttp](https://github.com/nodejs/llhttp) |
| License | MIT |
| Versions | v3.0.0, v8.1.0, v9.2.1 |
| Architectures | i386, x86_64 |
| Definition | [llhttp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llhttp/xmake.lua) |

##### Install command

```console
xrepo install llhttp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llhttp")
```


### llvm (msys)


| Description | *The LLVM Compiler Infrastructure* |
| -- | -- |
| Homepage | [https://llvm.org/](https://llvm.org/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [llvm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm/xmake.lua) |

##### Install command

```console
xrepo install llvm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm")
```


### llvm-arm (msys)


| Description | *A project dedicated to building LLVM toolchain for 32-bit Arm embedded targets.* |
| -- | -- |
| Homepage | [https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm](https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm) |
| Versions | 17.0.1 |
| Architectures | i386, x86_64 |
| Definition | [llvm-arm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm-arm/xmake.lua) |

##### Install command

```console
xrepo install llvm-arm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm-arm")
```


### llvm-mingw (msys)


| Description | *An LLVM/Clang/LLD based mingw-w64 toolchain* |
| -- | -- |
| Homepage | [https://github.com/mstorsjo/llvm-mingw](https://github.com/mstorsjo/llvm-mingw) |
| Versions | 20211002, 20220323, 20240417 |
| Architectures | i386, x86_64 |
| Definition | [llvm-mingw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/llvm-mingw/xmake.lua) |

##### Install command

```console
xrepo install llvm-mingw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("llvm-mingw")
```


### lmdb (msys)


| Description | *Read-only mirror of official repo on openldap.org. Issues and pull requests here are ignored. Use OpenLDAP ITS for issues.* |
| -- | -- |
| Homepage | [http://www.openldap.org/software/repo.html](http://www.openldap.org/software/repo.html) |
| Versions | 0.9.31 |
| Architectures | i386, x86_64 |
| Definition | [lmdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lmdb/xmake.lua) |

##### Install command

```console
xrepo install lmdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lmdb")
```


### lockfree (msys)


| Description | *A collection of lock-free data structures written in standard C++11* |
| -- | -- |
| Homepage | [https://github.com/DNedic/lockfree](https://github.com/DNedic/lockfree) |
| License | MIT |
| Versions | 2.0.10 |
| Architectures | i386, x86_64 |
| Definition | [lockfree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lockfree/xmake.lua) |

##### Install command

```console
xrepo install lockfree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lockfree")
```


### lodepng (msys)


| Description | *PNG encoder and decoder in C and C++.* |
| -- | -- |
| Homepage | [https://lodev.org/lodepng/](https://lodev.org/lodepng/) |
| License | zlib |
| Versions | 2025.05.06 |
| Architectures | i386, x86_64 |
| Definition | [lodepng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lodepng/xmake.lua) |

##### Install command

```console
xrepo install lodepng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lodepng")
```


### log4cplus (msys)


| Description | *log4cplus is a simple to use C++ logging API providing thread-safe, flexible, and arbitrarily granular control over log management and configuration.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/log4cplus/](https://sourceforge.net/projects/log4cplus/) |
| License | BSD-2-Clause |
| Versions | 2.0.6, 2.0.7, 2.1.1, 2.1.2 |
| Architectures | i386, x86_64 |
| Definition | [log4cplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/log4cplus/xmake.lua) |

##### Install command

```console
xrepo install log4cplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("log4cplus")
```


### loguru (msys)


| Description | *A lightweight C++ logging library* |
| -- | -- |
| Homepage | [https://github.com/emilk/loguru](https://github.com/emilk/loguru) |
| Versions | v2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [loguru/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/loguru/xmake.lua) |

##### Install command

```console
xrepo install loguru
```

##### Integration in the project (xmake.lua)

```lua
add_requires("loguru")
```


### ls-hpack (msys)


| Description | *LiteSpeed HPACK (RFC7541) Library* |
| -- | -- |
| Homepage | [https://github.com/litespeedtech/ls-hpack](https://github.com/litespeedtech/ls-hpack) |
| License | MIT |
| Versions | v2.3.3, v2.3.4 |
| Architectures | i386, x86_64 |
| Definition | [ls-hpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/ls-hpack/xmake.lua) |

##### Install command

```console
xrepo install ls-hpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ls-hpack")
```


### ls-qpack (msys)


| Description | *QPACK compression library for use with HTTP/3* |
| -- | -- |
| Homepage | [https://github.com/litespeedtech/ls-qpack](https://github.com/litespeedtech/ls-qpack) |
| License | MIT |
| Versions | v2.5.3, v2.5.4, v2.5.5, v2.6.0, v2.6.1, v2.6.2 |
| Architectures | i386, x86_64 |
| Definition | [ls-qpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/ls-qpack/xmake.lua) |

##### Install command

```console
xrepo install ls-qpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ls-qpack")
```


### lua (msys)


| Description | *A powerful, efficient, lightweight, embeddable scripting language.* |
| -- | -- |
| Homepage | [http://lua.org](http://lua.org) |
| Versions | v5.1.1, v5.1.5, v5.2.3, v5.2.4, v5.3.6, v5.4.1, v5.4.2, v5.4.3, v5.4.4, v5.4.6, v5.4.7 |
| Architectures | i386, x86_64 |
| Definition | [lua/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lua/xmake.lua) |

##### Install command

```console
xrepo install lua
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lua")
```


### lua-format (msys)


| Description | *Code formatter for Lua* |
| -- | -- |
| Homepage | [https://github.com/Koihik/LuaFormatter](https://github.com/Koihik/LuaFormatter) |
| Versions | 1.3.5 |
| Architectures | i386, x86_64 |
| Definition | [lua-format/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lua-format/xmake.lua) |

##### Install command

```console
xrepo install lua-format
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lua-format")
```


### luabridge3 (msys)


| Description | *LuaBridge3 is a lightweight and dependency-free library for mapping data, functions, and classes back and forth between C++ and Lua.* |
| -- | -- |
| Homepage | [https://kunitoki.github.io/LuaBridge3](https://kunitoki.github.io/LuaBridge3) |
| License | MIT |
| Versions | 3.0-rc3, 3.0-rc4 |
| Architectures | i386, x86_64 |
| Definition | [luabridge3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/luabridge3/xmake.lua) |

##### Install command

```console
xrepo install luabridge3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("luabridge3")
```


### luau (msys)


| Description | *A fast, small, safe, gradually typed embeddable scripting language derived from Lua.* |
| -- | -- |
| Homepage | [https://www.luau.org/](https://www.luau.org/) |
| License | MIT |
| Versions | 0.538, 0.623, 0.624, 0.638, 0.640, 0.642, 0.643, 0.683 |
| Architectures | i386, x86_64 |
| Definition | [luau/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/luau/xmake.lua) |

##### Install command

```console
xrepo install luau
```

##### Integration in the project (xmake.lua)

```lua
add_requires("luau")
```


### lunasvg (msys)


| Description | *LunaSVG - SVG rendering library in C++* |
| -- | -- |
| Homepage | [https://github.com/sammycage/lunasvg](https://github.com/sammycage/lunasvg) |
| License | MIT |
| Versions | v2.3.5, v2.3.9, v2.4.0, v2.4.1, v3.0.1, v3.1.0, v3.2.0, v3.3.0 |
| Architectures | i386, x86_64 |
| Definition | [lunasvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lunasvg/xmake.lua) |

##### Install command

```console
xrepo install lunasvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lunasvg")
```


### lunzip (msys)


| Description | *Lunzip is a decompressor for the lzip format written in C.* |
| -- | -- |
| Homepage | [https://www.nongnu.org/lzip/lunzip.html](https://www.nongnu.org/lzip/lunzip.html) |
| License | GPL-2.0-or-later |
| Versions | 1.15 |
| Architectures | i386, x86_64 |
| Definition | [lunzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lunzip/xmake.lua) |

##### Install command

```console
xrepo install lunzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lunzip")
```


### lvgl (msys)


| Description | *Light and Versatile Graphics Library* |
| -- | -- |
| Homepage | [https://lvgl.io](https://lvgl.io) |
| License | MIT |
| Versions | v8.0.2, v8.2.0, v9.0.0, v9.1.0 |
| Architectures | i386, x86_64 |
| Definition | [lvgl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lvgl/xmake.lua) |

##### Install command

```console
xrepo install lvgl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lvgl")
```


### lwlog (msys)


| Description | *Very fast synchronous and asynchronous C++17 logging library* |
| -- | -- |
| Homepage | [https://github.com/ChristianPanov/lwlog](https://github.com/ChristianPanov/lwlog) |
| License | MIT |
| Versions | v1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [lwlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lwlog/xmake.lua) |

##### Install command

```console
xrepo install lwlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lwlog")
```


### lyra (msys)


| Description | *A simple to use, composable, command line parser for C++ 11 and beyond* |
| -- | -- |
| Homepage | [https://www.bfgroup.xyz/Lyra/](https://www.bfgroup.xyz/Lyra/) |
| License | BSL-1.0 |
| Versions | 1.5.1, 1.6, 1.6.1 |
| Architectures | i386, x86_64 |
| Definition | [lyra/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lyra/xmake.lua) |

##### Install command

```console
xrepo install lyra
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lyra")
```


### lz4 (msys)


| Description | *LZ4 - Extremely fast compression* |
| -- | -- |
| Homepage | [https://www.lz4.org/](https://www.lz4.org/) |
| Versions | v1.9.3, v1.9.4, v1.10.0 |
| Architectures | i386, x86_64 |
| Definition | [lz4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lz4/xmake.lua) |

##### Install command

```console
xrepo install lz4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lz4")
```


### lzav (msys)


| Description | *Fast In-Memory Data Compression Algorithm (safe, inline C/C++) 460+MB/s compress, 2500+MB/s decompress, ratio better than LZ4* |
| -- | -- |
| Homepage | [https://github.com/avaneev/lzav](https://github.com/avaneev/lzav) |
| License | MIT |
| Versions | 2.14, 4.0, 4.3, 4.4, 4.5, 4.7, 4.9, 4.19 |
| Architectures | i386, x86_64 |
| Definition | [lzav/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzav/xmake.lua) |

##### Install command

```console
xrepo install lzav
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzav")
```


### lzham_codec (msys)


| Description | *Lossless data compression codec with LZMA-like ratios but 1.5x-8x faster decompression speed, C/C++* |
| -- | -- |
| Homepage | [https://github.com/richgel999/lzham_codec](https://github.com/richgel999/lzham_codec) |
| Versions | 2023.01.03 |
| Architectures | i386, x86_64 |
| Definition | [lzham_codec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzham_codec/xmake.lua) |

##### Install command

```console
xrepo install lzham_codec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzham_codec")
```


### lzma (msys)


| Description | *LZMA SDK* |
| -- | -- |
| Homepage | [https://www.7-zip.org/sdk.html](https://www.7-zip.org/sdk.html) |
| Versions | 19.00, 21.07, 22.01, 23.01, 24.09 |
| Architectures | i386, x86_64 |
| Definition | [lzma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzma/xmake.lua) |

##### Install command

```console
xrepo install lzma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzma")
```


### lzo (msys)


| Description | *LZO is a portable lossless data compression library written in ANSI C.* |
| -- | -- |
| Homepage | [http://www.oberhumer.com/opensource/lzo](http://www.oberhumer.com/opensource/lzo) |
| License | GPL-2.0 |
| Versions | 2.10 |
| Architectures | i386, x86_64 |
| Definition | [lzo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/l/lzo/xmake.lua) |

##### Install command

```console
xrepo install lzo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("lzo")
```



## m
### m4 (msys)


| Description | *Macro processing language* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/m4](https://www.gnu.org/software/m4) |
| Versions | 1.4.18, 1.4.19 |
| Architectures | i386, x86_64 |
| Definition | [m4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/m4/xmake.lua) |

##### Install command

```console
xrepo install m4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("m4")
```


### maddy (msys)


| Description | *C++ Markdown to HTML header-only parser library* |
| -- | -- |
| Homepage | [https://github.com/progsource/maddy](https://github.com/progsource/maddy) |
| License | MIT |
| Versions | 1.2.1, 1.3.0, 1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [maddy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/maddy/xmake.lua) |

##### Install command

```console
xrepo install maddy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("maddy")
```


### magic_enum (msys)


| Description | *Static reflection for enums (to string, from string, iteration) for modern C++, work with any enum type without any macro or boilerplate code* |
| -- | -- |
| Homepage | [https://github.com/Neargye/magic_enum](https://github.com/Neargye/magic_enum) |
| License | MIT |
| Versions | v0.7.3, v0.8.0, v0.8.1, v0.8.2, v0.9.0, v0.9.5, v0.9.6, v0.9.7 |
| Architectures | i386, x86_64 |
| Definition | [magic_enum/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/magic_enum/xmake.lua) |

##### Install command

```console
xrepo install magic_enum
```

##### Integration in the project (xmake.lua)

```lua
add_requires("magic_enum")
```


### mailio (msys)


| Description | *mailio is a cross platform C++ library for MIME format and SMTP, POP3 and IMAP protocols. It is based on standard C++ 17 and Boost library.* |
| -- | -- |
| Homepage | [https://github.com/karastojko/mailio](https://github.com/karastojko/mailio) |
| License | BSD |
| Versions | 0.23.0, 0.24.1 |
| Architectures | i386, x86_64 |
| Definition | [mailio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mailio/xmake.lua) |

##### Install command

```console
xrepo install mailio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mailio")
```


### make (msys)


| Description | *GNU make tool.* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/make/](https://www.gnu.org/software/make/) |
| Versions | 4.2.1, 4.3, 4.4.1 |
| Architectures | i386, x86_64 |
| Definition | [make/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/make/xmake.lua) |

##### Install command

```console
xrepo install make
```

##### Integration in the project (xmake.lua)

```lua
add_requires("make")
```


### makeself (msys)


| Description | *A self-extracting archiving tool for Unix systems, in 100% shell script.* |
| -- | -- |
| Homepage | [https://makeself.io](https://makeself.io) |
| Versions | 2.5.0 |
| Architectures | i386, x86_64 |
| Definition | [makeself/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/makeself/xmake.lua) |

##### Install command

```console
xrepo install makeself
```

##### Integration in the project (xmake.lua)

```lua
add_requires("makeself")
```


### mallocvis (msys)


| Description | *allocation visualization in svg graph* |
| -- | -- |
| Homepage | [https://github.com/archibate/mallocvis](https://github.com/archibate/mallocvis) |
| Versions | 2024.07.17 |
| Architectures | i386, x86_64 |
| Definition | [mallocvis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mallocvis/xmake.lua) |

##### Install command

```console
xrepo install mallocvis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mallocvis")
```


### manif (msys)


| Description | *A small C++11 header-only library for Lie theory.* |
| -- | -- |
| Homepage | [https://artivis.github.io/manif](https://artivis.github.io/manif) |
| License | MIT |
| Versions | 0.0.5 |
| Architectures | i386, x86_64 |
| Definition | [manif/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/manif/xmake.lua) |

##### Install command

```console
xrepo install manif
```

##### Integration in the project (xmake.lua)

```lua
add_requires("manif")
```


### mapbox_earcut (msys)


| Description | *A C++ port of earcut.js, a fast, header-only polygon triangulation library.* |
| -- | -- |
| Homepage | [https://github.com/mapbox/earcut.hpp](https://github.com/mapbox/earcut.hpp) |
| License | ISC |
| Versions | 2.2.3, 2.2.4 |
| Architectures | i386, x86_64 |
| Definition | [mapbox_earcut/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_earcut/xmake.lua) |

##### Install command

```console
xrepo install mapbox_earcut
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_earcut")
```


### mapbox_eternal (msys)


| Description | *A C++14 compile-time/constexpr map and hash map with minimal binary footprint* |
| -- | -- |
| Homepage | [https://github.com/mapbox/eternal](https://github.com/mapbox/eternal) |
| License | ISC |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [mapbox_eternal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_eternal/xmake.lua) |

##### Install command

```console
xrepo install mapbox_eternal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_eternal")
```


### mapbox_geometry (msys)


| Description | *Provides header-only, generic C++ interfaces for geometry types, geometry collections, and features.* |
| -- | -- |
| Homepage | [https://github.com/mapbox/geometry.hpp](https://github.com/mapbox/geometry.hpp) |
| License | ISC |
| Versions | 1.1.0, 2.0.3 |
| Architectures | i386, x86_64 |
| Definition | [mapbox_geometry/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_geometry/xmake.lua) |

##### Install command

```console
xrepo install mapbox_geometry
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_geometry")
```


### mapbox_polylabel (msys)


| Description | *A fast algorithm for finding the pole of inaccessibility of a polygon (in JavaScript and C++)* |
| -- | -- |
| Homepage | [https://github.com/mapbox/polylabel](https://github.com/mapbox/polylabel) |
| License | ISC |
| Versions | v2.0.0, v2.0.1 |
| Architectures | i386, x86_64 |
| Definition | [mapbox_polylabel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_polylabel/xmake.lua) |

##### Install command

```console
xrepo install mapbox_polylabel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_polylabel")
```


### mapbox_variant (msys)


| Description | *C++11/C++14 Variant* |
| -- | -- |
| Homepage | [https://github.com/mapbox/variant](https://github.com/mapbox/variant) |
| License | BSD |
| Versions | v1.2.0, 2020.12.02 |
| Architectures | i386, x86_64 |
| Definition | [mapbox_variant/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mapbox_variant/xmake.lua) |

##### Install command

```console
xrepo install mapbox_variant
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mapbox_variant")
```


### marisa (msys)


| Description | *Matching Algorithm with Recursively Implemented StorAge.* |
| -- | -- |
| Homepage | [https://github.com/s-yata/marisa-trie](https://github.com/s-yata/marisa-trie) |
| Versions | v0.2.6, v0.3.0, v0.3.1 |
| Architectures | i386, x86_64 |
| Definition | [marisa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/marisa/xmake.lua) |

##### Install command

```console
xrepo install marisa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("marisa")
```


### matchit (msys)


| Description | *A lightweight single-header pattern-matching library for C++17 with macro-free APIs.* |
| -- | -- |
| Homepage | [https://bowenfu.github.io/matchit.cpp/](https://bowenfu.github.io/matchit.cpp/) |
| License | Apache-2.0 |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [matchit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matchit/xmake.lua) |

##### Install command

```console
xrepo install matchit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matchit")
```


### materialx (msys)


| Description | *MaterialX is an open standard for the exchange of rich material and look-development content across applications and renderers.* |
| -- | -- |
| Homepage | [http://www.materialx.org/](http://www.materialx.org/) |
| License | Apache-2.0 |
| Versions | v1.38.10, v1.39.0, v1.39.3 |
| Architectures | i386, x86_64 |
| Definition | [materialx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/materialx/xmake.lua) |

##### Install command

```console
xrepo install materialx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("materialx")
```


### mathfu (msys)


| Description | *C++ math library developed primarily for games focused on simplicity and efficiency.* |
| -- | -- |
| Homepage | [http://google.github.io/mathfu](http://google.github.io/mathfu) |
| License | Apache-2.0 |
| Versions | 2022.5.10 |
| Architectures | i386, x86_64 |
| Definition | [mathfu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mathfu/xmake.lua) |

##### Install command

```console
xrepo install mathfu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mathfu")
```


### mathter (msys)


| Description | *A flexible and fast matrix, transform and geometry library.* |
| -- | -- |
| Homepage | [https://github.com/petiaccja/Mathter](https://github.com/petiaccja/Mathter) |
| License | MIT |
| Versions | v1.1.1, v1.1.2, v2.0.1 |
| Architectures | i386, x86_64 |
| Definition | [mathter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mathter/xmake.lua) |

##### Install command

```console
xrepo install mathter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mathter")
```


### matlab (msys)


| Description | *Build MEX function or engine application in matlab* |
| -- | -- |
| Homepage | [https://www.mathworks.com/help/matlab/ref/mex.html](https://www.mathworks.com/help/matlab/ref/mex.html) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [matlab/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/matlab/xmake.lua) |

##### Install command

```console
xrepo install matlab
```

##### Integration in the project (xmake.lua)

```lua
add_requires("matlab")
```


### mbedtls (msys)


| Description | *An open source, portable, easy to use, readable and flexible TLS library, and reference implementation of the PSA Cryptography API* |
| -- | -- |
| Homepage | [https://tls.mbed.org](https://tls.mbed.org) |
| License | Apache-2.0 |
| Versions | v2.7.6, v2.13.0, v2.25.0, v2.28.3, v3.4.0, v3.5.1, v3.6.0, v3.6.1 |
| Architectures | i386, x86_64 |
| Definition | [mbedtls/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mbedtls/xmake.lua) |

##### Install command

```console
xrepo install mbedtls
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mbedtls")
```


### mcfgthread (msys)


| Description | *Cornerstone of the MOST efficient std::thread on Windows for mingw-w64* |
| -- | -- |
| Homepage | [https://gcc-mcf.lhmouse.com/](https://gcc-mcf.lhmouse.com/) |
| License | GPL-3.0 |
| Versions | 1.8.4, 1.9.1, 2.1.1 |
| Architectures | i386, x86_64 |
| Definition | [mcfgthread/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mcfgthread/xmake.lua) |

##### Install command

```console
xrepo install mcfgthread
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mcfgthread")
```


### md4c (msys)


| Description | *C Markdown parser. Fast. SAX-like interface. Compliant to CommonMark specification.* |
| -- | -- |
| Homepage | [https://github.com/mity/md4c](https://github.com/mity/md4c) |
| License | MIT |
| Versions | 2024.02.25 |
| Architectures | i386, x86_64 |
| Definition | [md4c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/md4c/xmake.lua) |

##### Install command

```console
xrepo install md4c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("md4c")
```


### mdns (msys)


| Description | *Public domain mDNS/DNS-SD library in C* |
| -- | -- |
| Homepage | [https://github.com/mjansson/mdns](https://github.com/mjansson/mdns) |
| License | Unlicense |
| Versions | 1.4.2, 1.4.3 |
| Architectures | i386, x86_64 |
| Definition | [mdns/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mdns/xmake.lua) |

##### Install command

```console
xrepo install mdns
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mdns")
```


### melon (msys)


| Description | *A generic cross-platform C library that includes many commonly used components and frameworks, and a new scripting language interpreter. It currently supports C99 and Aspect-Oriented Programming (AOP).* |
| -- | -- |
| Homepage | [http://doc.melonc.io](http://doc.melonc.io) |
| License | BSD-3-Clause |
| Versions | 2025.01.18 |
| Architectures | i386, x86_64 |
| Definition | [melon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/melon/xmake.lua) |

##### Install command

```console
xrepo install melon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("melon")
```


### meson (msys)


| Description | *Fast and user friendly build system.* |
| -- | -- |
| Homepage | [https://mesonbuild.com/](https://mesonbuild.com/) |
| License | Apache-2.0 |
| Versions | 0.50.1, 0.56.0, 0.58.0, 0.58.1, 0.59.1, 0.59.2, 0.60.1, 0.61.2, 0.62.1, 1.0.0, 1.1.0, 1.1.1, 1.3.0, 1.3.1, 1.3.2, 1.4.0, 1.4.1, 1.4.2, 1.5.1, 1.5.2, 1.6.0, 1.6.1, 1.7.0, 1.7.2, 1.8.0, 1.8.1, 1.8.2 |
| Architectures | i386, x86_64 |
| Definition | [meson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/meson/xmake.lua) |

##### Install command

```console
xrepo install meson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("meson")
```


### metalang99 (msys)


| Description | *Full-blown preprocessor metaprogramming* |
| -- | -- |
| Homepage | [https://github.com/Hirrolot/metalang99](https://github.com/Hirrolot/metalang99) |
| License | MIT |
| Versions | 1.13.2, 1.13.3, 1.13.5 |
| Architectures | i386, x86_64 |
| Definition | [metalang99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/metalang99/xmake.lua) |

##### Install command

```console
xrepo install metalang99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("metalang99")
```


### metis (msys)


| Description | *Serial Graph Partitioning and Fill-reducing Matrix Ordering* |
| -- | -- |
| Homepage | [http://glaros.dtc.umn.edu/gkhome/metis/metis/overview](http://glaros.dtc.umn.edu/gkhome/metis/metis/overview) |
| License | Apache-2.0 |
| Versions | v5.2.1 |
| Architectures | i386, x86_64 |
| Definition | [metis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/metis/xmake.lua) |

##### Install command

```console
xrepo install metis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("metis")
```


### mhook (msys)


| Description | *A Windows API hooking library * |
| -- | -- |
| Homepage | [https://github.com/martona/mhook](https://github.com/martona/mhook) |
| License | MIT |
| Versions | 2022.04.12 |
| Architectures | i386, x86_64 |
| Definition | [mhook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mhook/xmake.lua) |

##### Install command

```console
xrepo install mhook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mhook")
```


### micro-gl (msys)


| Description | *Realtime, Embeddable, Modular, Headers Only C++11 CPU vector graphics. no STD lib, no FPU and no GPU required !* |
| -- | -- |
| Homepage | [http://micro-gl.github.io/docs/microgl](http://micro-gl.github.io/docs/microgl) |
| Versions | 2023.08.30 |
| Architectures | i386, x86_64 |
| Definition | [micro-gl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/micro-gl/xmake.lua) |

##### Install command

```console
xrepo install micro-gl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("micro-gl")
```


### microsoft-gsl (msys)


| Description | *Guidelines Support Library* |
| -- | -- |
| Homepage | [https://github.com/microsoft/GSL](https://github.com/microsoft/GSL) |
| License | MIT |
| Versions | v3.1.0, v4.0.0, v4.1.0, v4.2.0 |
| Architectures | i386, x86_64 |
| Definition | [microsoft-gsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-gsl/xmake.lua) |

##### Install command

```console
xrepo install microsoft-gsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-gsl")
```


### microsoft-kuku (msys)


| Description | *Kuku is a compact and convenient cuckoo hashing library written in C++.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/Kuku](https://github.com/microsoft/Kuku) |
| License | MIT |
| Versions | v2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [microsoft-kuku/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-kuku/xmake.lua) |

##### Install command

```console
xrepo install microsoft-kuku
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-kuku")
```


### microsoft-proxy (msys)


| Description | *Proxy: Easy Polymorphism in C++* |
| -- | -- |
| Homepage | [https://github.com/microsoft/proxy](https://github.com/microsoft/proxy) |
| License | MIT |
| Versions | 1.1.1, 2.2.1, 2.3.0, 2.4.0, 3.0.0, 3.1.0, 3.2.0, 3.2.1, 3.3.0, 3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [microsoft-proxy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-proxy/xmake.lua) |

##### Install command

```console
xrepo install microsoft-proxy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-proxy")
```


### microsoft-seal (msys)


| Description | *Microsoft SEAL is an easy-to-use and powerful homomorphic encryption library.* |
| -- | -- |
| Homepage | [https://www.microsoft.com/en-us/research/group/cryptography-research/](https://www.microsoft.com/en-us/research/group/cryptography-research/) |
| License | MIT |
| Versions | v4.1.2 |
| Architectures | i386, x86_64 |
| Definition | [microsoft-seal/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/microsoft-seal/xmake.lua) |

##### Install command

```console
xrepo install microsoft-seal
```

##### Integration in the project (xmake.lua)

```lua
add_requires("microsoft-seal")
```


### mikktspace (msys)


| Description | *A common standard for tangent space used in baking tools to produce normal maps.* |
| -- | -- |
| Homepage | [http://www.mikktspace.com/](http://www.mikktspace.com/) |
| Versions | 2020.03.26 |
| Architectures | i386, x86_64 |
| Definition | [mikktspace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mikktspace/xmake.lua) |

##### Install command

```console
xrepo install mikktspace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mikktspace")
```


### mimalloc (msys)


| Description | *mimalloc (pronounced 'me-malloc') is a general purpose allocator with excellent performance characteristics.* |
| -- | -- |
| Homepage | [https://github.com/microsoft/mimalloc](https://github.com/microsoft/mimalloc) |
| License | MIT |
| Versions | v1.6.7, v1.7.0, v1.7.1, v1.7.2, v1.7.3, v1.7.6, v1.7.7, v1.8.7, v2.0.1, v2.0.2, v2.0.3, v2.0.5, v2.0.6, v2.0.7, v2.1.2, v2.1.7 |
| Architectures | i386, x86_64 |
| Definition | [mimalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mimalloc/xmake.lua) |

##### Install command

```console
xrepo install mimalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mimalloc")
```


### mini (msys)


| Description | *INI file reader and writer* |
| -- | -- |
| Homepage | [https://github.com/metayeti/mINI](https://github.com/metayeti/mINI) |
| License | MIT |
| Versions | 0.9.15, 0.9.16, 0.9.17, 0.9.18 |
| Architectures | i386, x86_64 |
| Definition | [mini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mini/xmake.lua) |

##### Install command

```console
xrepo install mini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mini")
```


### miniaudio (msys)


| Description | *Single file audio playback and capture library written in C.* |
| -- | -- |
| Homepage | [https://miniaud.io](https://miniaud.io) |
| License | MIT |
| Versions | 0.11.15, 0.11.16, 0.11.17, 0.11.18, 0.11.21, 0.11.22 |
| Architectures | i386, x86_64 |
| Definition | [miniaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniaudio/xmake.lua) |

##### Install command

```console
xrepo install miniaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniaudio")
```


### miniball (msys)


| Description | *For computing the smallest enclosing balls of points in arbitrary dimensions* |
| -- | -- |
| Homepage | [https://people.inf.ethz.ch/gaertner/subdir/software/miniball.html](https://people.inf.ethz.ch/gaertner/subdir/software/miniball.html) |
| License | GPL-3.0 |
| Versions | v3.0 |
| Architectures | i386, x86_64 |
| Definition | [miniball/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniball/xmake.lua) |

##### Install command

```console
xrepo install miniball
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniball")
```


### minifb (msys)


| Description | *MiniFB is a small cross platform library to create a frame buffer that you can draw pixels in* |
| -- | -- |
| Homepage | [https://github.com/emoon/minifb](https://github.com/emoon/minifb) |
| License | MIT |
| Versions | 2023.09.21 |
| Architectures | i386, x86_64 |
| Definition | [minifb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minifb/xmake.lua) |

##### Install command

```console
xrepo install minifb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minifb")
```


### minilzo (msys)


| Description | *A very lightweight subset of the LZO library intended for easy inclusion with your application* |
| -- | -- |
| Homepage | [http://www.oberhumer.com/opensource/lzo/#minilzo](http://www.oberhumer.com/opensource/lzo/#minilzo) |
| Versions | 2.10 |
| Architectures | i386, x86_64 |
| Definition | [minilzo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minilzo/xmake.lua) |

##### Install command

```console
xrepo install minilzo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minilzo")
```


### minimp3 (msys)


| Description | *Minimalistic MP3 decoder single header library* |
| -- | -- |
| Homepage | [https://github.com/lieff/minimp3](https://github.com/lieff/minimp3) |
| License | CC0 |
| Versions | 2021.05.29 |
| Architectures | i386, x86_64 |
| Definition | [minimp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minimp3/xmake.lua) |

##### Install command

```console
xrepo install minimp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minimp3")
```


### minitrace (msys)


| Description | *Simple C/C++ library for producing JSON traces suitable for Chrome's built-in trace viewer (about:tracing).* |
| -- | -- |
| Homepage | [https://github.com/hrydgard/minitrace](https://github.com/hrydgard/minitrace) |
| License | MIT |
| Versions | 2023.09.04 |
| Architectures | i386, x86_64 |
| Definition | [minitrace/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minitrace/xmake.lua) |

##### Install command

```console
xrepo install minitrace
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minitrace")
```


### miniz (msys)


| Description | *miniz: Single C source file zlib-replacement library* |
| -- | -- |
| Homepage | [https://github.com/richgel999/miniz/](https://github.com/richgel999/miniz/) |
| License | MIT |
| Versions | 2.1.0, 2.2.0, 3.0.2 |
| Architectures | i386, x86_64 |
| Definition | [miniz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/miniz/xmake.lua) |

##### Install command

```console
xrepo install miniz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("miniz")
```


### minizip (msys)


| Description | *Mini zip and unzip based on zlib* |
| -- | -- |
| Homepage | [https://www.zlib.net/](https://www.zlib.net/) |
| License | zlib |
| Versions | v1.2.10, v1.2.11, v1.2.12, v1.2.13 |
| Architectures | i386, x86_64 |
| Definition | [minizip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minizip/xmake.lua) |

##### Install command

```console
xrepo install minizip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minizip")
```


### minizip-ng (msys)


| Description | *Fork of the popular zip manipulation library found in the zlib distribution.* |
| -- | -- |
| Homepage | [https://github.com/zlib-ng/minizip-ng](https://github.com/zlib-ng/minizip-ng) |
| License | zlib |
| Versions | 3.0.3, 3.0.5, 4.0.4, 4.0.5, 4.0.6, 4.0.7, 4.0.8, 4.0.10 |
| Architectures | i386, x86_64 |
| Definition | [minizip-ng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minizip-ng/xmake.lua) |

##### Install command

```console
xrepo install minizip-ng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minizip-ng")
```


### minja (msys)


| Description | *A minimalistic C++ Jinja templating engine for LLM chat templates* |
| -- | -- |
| Homepage | [https://github.com/google/minja](https://github.com/google/minja) |
| License | MIT |
| Versions | 2025.01.31 |
| Architectures | i386, x86_64 |
| Definition | [minja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/minja/xmake.lua) |

##### Install command

```console
xrepo install minja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("minja")
```


### mjson (msys)


| Description | *C/C++ JSON parser, emitter, JSON-RPC engine for embedded systems* |
| -- | -- |
| Homepage | [https://github.com/cesanta/mjson](https://github.com/cesanta/mjson) |
| License | MIT |
| Versions | 1.2.6, 1.2.7 |
| Architectures | i386, x86_64 |
| Definition | [mjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mjson/xmake.lua) |

##### Install command

```console
xrepo install mjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mjson")
```


### mma (msys)


| Description | *A self-contained C++ implementation of MMA and GCMMA.* |
| -- | -- |
| Homepage | [https://github.com/jdumas/mma](https://github.com/jdumas/mma) |
| License | MIT |
| Versions | 2018.08.01 |
| Architectures | i386, x86_64 |
| Definition | [mma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mma/xmake.lua) |

##### Install command

```console
xrepo install mma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mma")
```


### mmeter (msys)


| Description | *A simple WIP profiler library for c++. Include the 2 files and you're ready to go.* |
| -- | -- |
| Homepage | [https://github.com/LMauricius/MMeter](https://github.com/LMauricius/MMeter) |
| License | MIT |
| Versions | 2.0 |
| Architectures | i386, x86_64 |
| Definition | [mmeter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mmeter/xmake.lua) |

##### Install command

```console
xrepo install mmeter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mmeter")
```


### mongoose (msys)


| Description | *Embedded Web Server* |
| -- | -- |
| Homepage | [https://mongoose.ws](https://mongoose.ws) |
| License | GPL-2.0 |
| Versions | 7.11, 7.13, 7.14, 7.15, 7.16, 7.17, 7.18 |
| Architectures | i386, x86_64 |
| Definition | [mongoose/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mongoose/xmake.lua) |

##### Install command

```console
xrepo install mongoose
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mongoose")
```


### morton-nd (msys)


| Description | *A header-only compile-time Morton encoding / decoding library for N dimensions.* |
| -- | -- |
| Homepage | [https://github.com/morton-nd/morton-nd](https://github.com/morton-nd/morton-nd) |
| License | MIT |
| Versions | v4.0.0 |
| Architectures | i386, x86_64 |
| Definition | [morton-nd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/morton-nd/xmake.lua) |

##### Install command

```console
xrepo install morton-nd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("morton-nd")
```


### mpfr (msys)


| Description | *The MPFR library is a C library for multiple-precision floating-point computations with correct rounding.* |
| -- | -- |
| Homepage | [https://www.mpfr.org/](https://www.mpfr.org/) |
| License | LGPL-3.0 |
| Versions | 4.1.0, 4.2.0 |
| Architectures | i386, x86_64 |
| Definition | [mpfr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpfr/xmake.lua) |

##### Install command

```console
xrepo install mpfr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpfr")
```


### mpmcqueue (msys)


| Description | *A bounded multi-producer multi-consumer concurrent queue written in C++11* |
| -- | -- |
| Homepage | [https://github.com/rigtorp/MPMCQueue](https://github.com/rigtorp/MPMCQueue) |
| License | MIT |
| Versions | v1.0 |
| Architectures | i386, x86_64 |
| Definition | [mpmcqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mpmcqueue/xmake.lua) |

##### Install command

```console
xrepo install mpmcqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mpmcqueue")
```


### mscharconv (msys)


| Description | *<charconv> from Microsoft STL, but multi-platform * |
| -- | -- |
| Homepage | [https://github.com/iboB/mscharconv](https://github.com/iboB/mscharconv) |
| Versions | latest |
| Architectures | i386, x86_64 |
| Definition | [mscharconv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mscharconv/xmake.lua) |

##### Install command

```console
xrepo install mscharconv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mscharconv")
```


### msdf-atlas-gen (msys)


| Description | *Multi-channel signed distance field atlas generator* |
| -- | -- |
| Homepage | [https://github.com/Chlumsky/msdf-atlas-gen](https://github.com/Chlumsky/msdf-atlas-gen) |
| License | MIT |
| Versions | v1.3 |
| Architectures | i386, x86_64 |
| Definition | [msdf-atlas-gen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msdf-atlas-gen/xmake.lua) |

##### Install command

```console
xrepo install msdf-atlas-gen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msdf-atlas-gen")
```


### msdfgen (msys)


| Description | *Multi-channel signed distance field generator* |
| -- | -- |
| Homepage | [https://github.com/Chlumsky/msdfgen](https://github.com/Chlumsky/msdfgen) |
| License | MIT |
| Versions | v1.10, v1.11, v1.12, v1.12.1 |
| Architectures | i386, x86_64 |
| Definition | [msdfgen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msdfgen/xmake.lua) |

##### Install command

```console
xrepo install msdfgen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msdfgen")
```


### msgpack-cxx (msys)


| Description | *MessagePack implementation for C++* |
| -- | -- |
| Homepage | [https://msgpack.org/](https://msgpack.org/) |
| License | BSL-1.0 |
| Versions | 4.1.1, 6.1.0, 6.1.1, 7.0.0 |
| Architectures | i386, x86_64 |
| Definition | [msgpack-cxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msgpack-cxx/xmake.lua) |

##### Install command

```console
xrepo install msgpack-cxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msgpack-cxx")
```


### msgpack23 (msys)


| Description | *A modern, header-only C++ library for MessagePack serialization and deserialization. msgpack.org[c++23]* |
| -- | -- |
| Homepage | [https://github.com/rwindegger/msgpack23](https://github.com/rwindegger/msgpack23) |
| License | MIT |
| Versions | v2.1 |
| Architectures | i386, x86_64 |
| Definition | [msgpack23/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msgpack23/xmake.lua) |

##### Install command

```console
xrepo install msgpack23
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msgpack23")
```


### msvc (msys)


| Description | *Microsoft Visual C/C++ Compiler* |
| -- | -- |
| Homepage | [https://visualstudio.microsoft.com/zh-hans/visual-cpp-build-tools/](https://visualstudio.microsoft.com/zh-hans/visual-cpp-build-tools/) |
| Versions | 14.29.16+11, 14.30.17+0, 14.31.17+1, 14.32.17+2, 14.33.17+3, 14.34.17+4, 14.35.17+5, 14.36.17+6, 14.37.17+7, 14.38.17+8, 14.39.17+9, 14.40.17+10, 14.41.17+11, 14.42.17+12, 14.43.17+13 |
| Architectures | i386, x86_64 |
| Definition | [msvc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msvc/xmake.lua) |

##### Install command

```console
xrepo install msvc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msvc")
```


### msvc-wine (msys)


| Description | *Scripts for setting up and running MSVC in Wine on Linux* |
| -- | -- |
| Homepage | [https://github.com/mstorsjo/msvc-wine](https://github.com/mstorsjo/msvc-wine) |
| Versions | 2025.03.02 |
| Architectures | i386, x86_64 |
| Definition | [msvc-wine/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/msvc-wine/xmake.lua) |

##### Install command

```console
xrepo install msvc-wine
```

##### Integration in the project (xmake.lua)

```lua
add_requires("msvc-wine")
```


### mujs (msys)


| Description | *An embeddable Javascript interpreter in C.* |
| -- | -- |
| Homepage | [http://mujs.com/](http://mujs.com/) |
| License | ISC |
| Versions | 1.3.4, 1.3.5, 1.3.6 |
| Architectures | i386, x86_64 |
| Definition | [mujs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mujs/xmake.lua) |

##### Install command

```console
xrepo install mujs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mujs")
```


### munkres-algorithm (msys)


| Description | *Modern C++ implementation of Munkres (Hungarian) algorithm* |
| -- | -- |
| Homepage | [https://github.com/aaron-michaux/munkres-algorithm](https://github.com/aaron-michaux/munkres-algorithm) |
| License | MIT |
| Versions | 2021.04.05 |
| Architectures | i386, x86_64 |
| Definition | [munkres-algorithm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/munkres-algorithm/xmake.lua) |

##### Install command

```console
xrepo install munkres-algorithm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("munkres-algorithm")
```


### muparserx (msys)


| Description | *A C++ Library for Parsing Expressions with Strings, Complex Numbers, Vectors, Matrices and more.* |
| -- | -- |
| Homepage | [http://beltoforion.de/en/muparserx](http://beltoforion.de/en/muparserx) |
| License | BSD-2-Clause |
| Versions | v4.0.12 |
| Architectures | i386, x86_64 |
| Definition | [muparserx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/muparserx/xmake.lua) |

##### Install command

```console
xrepo install muparserx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("muparserx")
```


### muslcc (msys)


| Description | *static cross- and native- musl-based toolchains.* |
| -- | -- |
| Homepage | [https://musl.cc/](https://musl.cc/) |
| Versions | 20210202 |
| Architectures | i386, x86_64 |
| Definition | [muslcc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/muslcc/xmake.lua) |

##### Install command

```console
xrepo install muslcc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("muslcc")
```


### mustache (msys)


| Description | *Mustache text templates for modern C++* |
| -- | -- |
| Homepage | [https://github.com/kainjow/Mustache](https://github.com/kainjow/Mustache) |
| License | BSL-1.0 |
| Versions | 2021.12.10 |
| Architectures | i386, x86_64 |
| Definition | [mustache/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/m/mustache/xmake.lua) |

##### Install command

```console
xrepo install mustache
```

##### Integration in the project (xmake.lua)

```lua
add_requires("mustache")
```



## n
### named_type (msys)


| Description | *Implementation of strong types in C++.* |
| -- | -- |
| Homepage | [https://github.com/joboccara/NamedType](https://github.com/joboccara/NamedType) |
| License | MIT |
| Versions | v1.1.0.20210209 |
| Architectures | i386, x86_64 |
| Definition | [named_type/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/named_type/xmake.lua) |

##### Install command

```console
xrepo install named_type
```

##### Integration in the project (xmake.lua)

```lua
add_requires("named_type")
```


### nameof (msys)


| Description | *Nameof operator for modern C++, simply obtain the name of a variable, type, function, macro, and enum* |
| -- | -- |
| Homepage | [https://github.com/Neargye/nameof](https://github.com/Neargye/nameof) |
| License | MIT |
| Versions | 0.10.3, 0.10.4 |
| Architectures | i386, x86_64 |
| Definition | [nameof/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nameof/xmake.lua) |

##### Install command

```console
xrepo install nameof
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nameof")
```


### nanoarrow (msys)


| Description | *Helpers for Arrow C Data & Arrow C Stream interfaces* |
| -- | -- |
| Homepage | [https://arrow.apache.org/nanoarrow](https://arrow.apache.org/nanoarrow) |
| License | Apache-2.0 |
| Versions | 0.6.0 |
| Architectures | i386, x86_64 |
| Definition | [nanoarrow/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanoarrow/xmake.lua) |

##### Install command

```console
xrepo install nanoarrow
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanoarrow")
```


### nanobench (msys)


| Description | *Simple, fast, accurate single-header microbenchmarking functionality for C++11/14/17/20* |
| -- | -- |
| Homepage | [https://nanobench.ankerl.com](https://nanobench.ankerl.com) |
| License | MIT |
| Versions | v4.3.11 |
| Architectures | i386, x86_64 |
| Definition | [nanobench/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanobench/xmake.lua) |

##### Install command

```console
xrepo install nanobench
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanobench")
```


### nanoflann (msys)


| Description | *nanoflann: a C++11 header-only library for Nearest Neighbor (NN) search with KD-trees* |
| -- | -- |
| Homepage | [https://github.com/jlblancoc/nanoflann/](https://github.com/jlblancoc/nanoflann/) |
| License | BSD-2-Clause |
| Versions | v1.3.2, v1.4.2, v1.5.0, v1.5.5, v1.6.0, v1.6.1, v1.6.2, v1.7.0, v1.7.1 |
| Architectures | i386, x86_64 |
| Definition | [nanoflann/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanoflann/xmake.lua) |

##### Install command

```console
xrepo install nanoflann
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanoflann")
```


### nanomsg (msys)


| Description | *A simple high-performance implementation of several "scalability protocols".* |
| -- | -- |
| Homepage | [https://nanomsg.org](https://nanomsg.org) |
| License | MIT |
| Versions | 1.2.1 |
| Architectures | i386, x86_64 |
| Definition | [nanomsg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanomsg/xmake.lua) |

##### Install command

```console
xrepo install nanomsg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanomsg")
```


### nanopb (msys)


| Description | *Protocol Buffers with small code size* |
| -- | -- |
| Homepage | [https://jpa.kapsi.fi/nanopb/](https://jpa.kapsi.fi/nanopb/) |
| License | zlib |
| Versions | 0.4.9 |
| Architectures | i386, x86_64 |
| Definition | [nanopb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanopb/xmake.lua) |

##### Install command

```console
xrepo install nanopb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanopb")
```


### nanosvg (msys)


| Description | *Simple stupid SVG parser* |
| -- | -- |
| Homepage | [https://github.com/memononen/nanosvg](https://github.com/memononen/nanosvg) |
| License | zlib |
| Versions | 2022.07.09 |
| Architectures | i386, x86_64 |
| Definition | [nanosvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nanosvg/xmake.lua) |

##### Install command

```console
xrepo install nanosvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nanosvg")
```


### nasm (msys)


| Description | *Netwide Assembler (NASM) is an 80x86 assembler.* |
| -- | -- |
| Homepage | [https://www.nasm.us/](https://www.nasm.us/) |
| License | BSD-2-Clause |
| Versions | 2.13.03, 2.15.05, 2.16.01, 2.16.03 |
| Architectures | i386, x86_64 |
| Definition | [nasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nasm/xmake.lua) |

##### Install command

```console
xrepo install nasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nasm")
```


### nazarautils (msys)


| Description | *Header-only utility library for Nazara projects* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/NazaraUtils](https://github.com/NazaraEngine/NazaraUtils) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [nazarautils/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nazarautils/xmake.lua) |

##### Install command

```console
xrepo install nazarautils
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nazarautils")
```


### ncnn (msys)


| Description | *High-performance neural network inference framework optimized for the mobile platform* |
| -- | -- |
| Homepage | [https://github.com/Tencent/ncnn](https://github.com/Tencent/ncnn) |
| License | BSD-3-Clause |
| Versions | 20250503 |
| Architectures | i386, x86_64 |
| Definition | [ncnn/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ncnn/xmake.lua) |

##### Install command

```console
xrepo install ncnn
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ncnn")
```


### ncurses (msys)


| Description | *A free software emulation of curses.* |
| -- | -- |
| Homepage | [https://invisible-island.net/ncurses/](https://invisible-island.net/ncurses/) |
| License | MIT |
| Versions | 6.1, 6.2, 6.3, 6.4, 6.5 |
| Architectures | i386, x86_64 |
| Definition | [ncurses/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ncurses/xmake.lua) |

##### Install command

```console
xrepo install ncurses
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ncurses")
```


### ndk (msys)


| Description | *Android NDK toolchain.* |
| -- | -- |
| Homepage | [https://developer.android.com/ndk](https://developer.android.com/ndk) |
| Versions | 21.0, 22.0, 26.0, 27.0 |
| Architectures | i386, x86_64 |
| Definition | [ndk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ndk/xmake.lua) |

##### Install command

```console
xrepo install ndk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ndk")
```


### neargye-scope_guard (msys)


| Description | *Scope Guard & Defer C++* |
| -- | -- |
| Homepage | [https://github.com/Neargye/scope_guard](https://github.com/Neargye/scope_guard) |
| License | MIT |
| Versions | 2022.04.05 |
| Architectures | i386, x86_64 |
| Definition | [neargye-scope_guard/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/neargye-scope_guard/xmake.lua) |

##### Install command

```console
xrepo install neargye-scope_guard
```

##### Integration in the project (xmake.lua)

```lua
add_requires("neargye-scope_guard")
```


### nettle (msys)


| Description | *Nettle is a cryptographic library that is designed to fit easily in more or less any context.* |
| -- | -- |
| Homepage | [https://www.lysator.liu.se/~nisse/nettle/](https://www.lysator.liu.se/~nisse/nettle/) |
| License | LGPL-3.0 |
| Versions | 3.6, 3.9.1, 3.10.1 |
| Architectures | i386, x86_64 |
| Definition | [nettle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nettle/xmake.lua) |

##### Install command

```console
xrepo install nettle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nettle")
```


### nghttp2 (msys)


| Description | *nghttp2 is an implementation of HTTP/2 and its header compression algorithm HPACK in C.* |
| -- | -- |
| Homepage | [http://nghttp2.org/](http://nghttp2.org/) |
| License | MIT |
| Versions | 1.46.0, 1.58.0, 1.59.0, 1.60.0, 1.61.0, 1.62.0, 1.62.1, 1.63.0, 1.64.0, 1.65.0, 1.66.0 |
| Architectures | i386, x86_64 |
| Definition | [nghttp2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nghttp2/xmake.lua) |

##### Install command

```console
xrepo install nghttp2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nghttp2")
```


### nghttp3 (msys)


| Description | *HTTP/3 library written in C* |
| -- | -- |
| Homepage | [https://github.com/ngtcp2/nghttp3](https://github.com/ngtcp2/nghttp3) |
| License | MIT |
| Versions | v1.3.0, v1.4.0, v1.5.0, v1.6.0, v1.7.0, v1.8.0, v1.10.1 |
| Architectures | i386, x86_64 |
| Definition | [nghttp3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nghttp3/xmake.lua) |

##### Install command

```console
xrepo install nghttp3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nghttp3")
```


### nifti (msys)


| Description | *C libraries for NIFTI support* |
| -- | -- |
| Homepage | [https://github.com/NIFTI-Imaging/nifti_clib](https://github.com/NIFTI-Imaging/nifti_clib) |
| Versions | 2024.01.25 |
| Architectures | i386, x86_64 |
| Definition | [nifti/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nifti/xmake.lua) |

##### Install command

```console
xrepo install nifti
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nifti")
```


### niftiheader (msys)


| Description | *Header structure descriptions for the nifti1 and nifti2 file formats.* |
| -- | -- |
| Homepage | [https://nifti.nimh.nih.gov/](https://nifti.nimh.nih.gov/) |
| License | Public Domain |
| Versions | 0.0.1 |
| Architectures | i386, x86_64 |
| Definition | [niftiheader/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/niftiheader/xmake.lua) |

##### Install command

```console
xrepo install niftiheader
```

##### Integration in the project (xmake.lua)

```lua
add_requires("niftiheader")
```


### nim (msys)


| Description | *Nim is a statically typed compiled systems programming language* |
| -- | -- |
| Homepage | [https://nim-lang.org/](https://nim-lang.org/) |
| Versions | 2.0.2 |
| Architectures | i386, x86_64 |
| Definition | [nim/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nim/xmake.lua) |

##### Install command

```console
xrepo install nim
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nim")
```


### ninja (msys)


| Description | *Small build system for use with gyp or CMake.* |
| -- | -- |
| Homepage | [https://ninja-build.org/](https://ninja-build.org/) |
| License | Apache-2.0 |
| Versions | v1.9.0, v1.10.1, v1.10.2, v1.11.0, v1.11.1, v1.12.1, v1.13.1 |
| Architectures | i386, x86_64 |
| Definition | [ninja/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ninja/xmake.lua) |

##### Install command

```console
xrepo install ninja
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ninja")
```


### nlohmann_json (msys)


| Description | *JSON for Modern C++* |
| -- | -- |
| Homepage | [https://nlohmann.github.io/json/](https://nlohmann.github.io/json/) |
| License | MIT |
| Versions | v3.9.1, v3.10.0, v3.10.5, v3.11.2, v3.11.3, v3.12.0 |
| Architectures | i386, x86_64 |
| Definition | [nlohmann_json/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nlohmann_json/xmake.lua) |

##### Install command

```console
xrepo install nlohmann_json
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nlohmann_json")
```


### nlopt (msys)


| Description | *library for nonlinear optimization, wrapping many algorithms for global and local, constrained or unconstrained, optimization* |
| -- | -- |
| Homepage | [https://github.com/stevengj/nlopt](https://github.com/stevengj/nlopt) |
| License | LGPL-2.1 |
| Versions | v2.7.0, v2.7.1, v2.8.0, v2.9.1, v2.10.0 |
| Architectures | i386, x86_64 |
| Definition | [nlopt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nlopt/xmake.lua) |

##### Install command

```console
xrepo install nlopt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nlopt")
```


### nmd (msys)


| Description | *An x86 assembler and disassembler along with a C89 header file (nmd_assembly.h), and a C89 2D graphics library (nmd_graphics.h).* |
| -- | -- |
| Homepage | [https://github.com/Nomade040/nmd](https://github.com/Nomade040/nmd) |
| License | Unlicense |
| Versions | 2021.03.28 |
| Architectures | i386, x86_64 |
| Definition | [nmd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nmd/xmake.lua) |

##### Install command

```console
xrepo install nmd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nmd")
```


### nod (msys)


| Description | *Small, header only signals and slots C++11 library.* |
| -- | -- |
| Homepage | [https://github.com/fr00b0/nod](https://github.com/fr00b0/nod) |
| License | MIT |
| Versions | v0.5.4 |
| Architectures | i386, x86_64 |
| Definition | [nod/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nod/xmake.lua) |

##### Install command

```console
xrepo install nod
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nod")
```


### node-addon-api (msys)


| Description | *Module for using Node-API from C++* |
| -- | -- |
| Homepage | [https://github.com/nodejs/node-addon-api](https://github.com/nodejs/node-addon-api) |
| License | MIT |
| Versions | v8.0.0, v8.2.2, v8.3.0, v8.3.1, v8.4.0 |
| Architectures | i386, x86_64 |
| Definition | [node-addon-api/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-addon-api/xmake.lua) |

##### Install command

```console
xrepo install node-addon-api
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-addon-api")
```


### node-api-headers (msys)


| Description | *C-based Node-API headers* |
| -- | -- |
| Homepage | [https://github.com/nodejs/node-api-headers](https://github.com/nodejs/node-api-headers) |
| License | MIT |
| Versions | v1.1.0, v1.2.0, v1.3.0, v1.4.0, v1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [node-api-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-api-headers/xmake.lua) |

##### Install command

```console
xrepo install node-api-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-api-headers")
```


### node-api-stub (msys)


| Description | *Node-API stub* |
| -- | -- |
| Homepage | [https://github.com/napi-bindings/node-api-stub](https://github.com/napi-bindings/node-api-stub) |
| License | MIT |
| Versions | 8.0.0 |
| Architectures | i386, x86_64 |
| Definition | [node-api-stub/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/node-api-stub/xmake.lua) |

##### Install command

```console
xrepo install node-api-stub
```

##### Integration in the project (xmake.lua)

```lua
add_requires("node-api-stub")
```


### nodesoup (msys)


| Description | *Force-directed graph layout with Fruchterman-Reingold* |
| -- | -- |
| Homepage | [https://github.com/olvb/nodesoup](https://github.com/olvb/nodesoup) |
| License | Unlicense |
| Versions | 2020.09.05 |
| Architectures | i386, x86_64 |
| Definition | [nodesoup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nodesoup/xmake.lua) |

##### Install command

```console
xrepo install nodesoup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nodesoup")
```


### noisy (msys)


| Description | *A C++ type to trace calls to special member functions.* |
| -- | -- |
| Homepage | [https://vzalzal.com/posts/noisy-the-class-you-wrote-a-hundred-times/](https://vzalzal.com/posts/noisy-the-class-you-wrote-a-hundred-times/) |
| License | MIT |
| Versions | 2024.04.22 |
| Architectures | i386, x86_64 |
| Definition | [noisy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/noisy/xmake.lua) |

##### Install command

```console
xrepo install noisy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("noisy")
```


### npcap_sdk (msys)


| Description | *Npcap is the Nmap Project's packet capture (and sending) library for Microsoft Windows.* |
| -- | -- |
| Homepage | [https://npcap.com/](https://npcap.com/) |
| Versions | 1.12, 1.13, 1.15 |
| Architectures | i386, x86_64 |
| Definition | [npcap_sdk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/npcap_sdk/xmake.lua) |

##### Install command

```console
xrepo install npcap_sdk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("npcap_sdk")
```


### nsync (msys)


| Description | *nsync is a C library that exports various synchronization primitives, such as mutexes* |
| -- | -- |
| Homepage | [https://github.com/google/nsync](https://github.com/google/nsync) |
| License | Apache-2.0 |
| Versions | 1.28.1, 1.29.1, 1.29.2 |
| Architectures | i386, x86_64 |
| Definition | [nsync/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nsync/xmake.lua) |

##### Install command

```console
xrepo install nsync
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nsync")
```


### ntkernel-error-category (msys)


| Description | *A C++ 11 std::error_category for the NT kernel's NTSTATUS error codes * |
| -- | -- |
| Homepage | [https://github.com/ned14/ntkernel-error-category](https://github.com/ned14/ntkernel-error-category) |
| License | Apache-2.0 |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [ntkernel-error-category/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/ntkernel-error-category/xmake.lua) |

##### Install command

```console
xrepo install ntkernel-error-category
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ntkernel-error-category")
```


### nuklear (msys)


| Description | *A single-header ANSI C immediate mode cross-platform GUI library* |
| -- | -- |
| Homepage | [https://immediate-mode-ui.github.io/Nuklear/doc/index.html](https://immediate-mode-ui.github.io/Nuklear/doc/index.html) |
| License | MIT |
| Versions | 4.10.5, 4.12.0, 4.12.2, 4.12.3, 4.12.4, 4.12.5, 4.12.6, 4.12.7 |
| Architectures | i386, x86_64 |
| Definition | [nuklear/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nuklear/xmake.lua) |

##### Install command

```console
xrepo install nuklear
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nuklear")
```


### nvtx (msys)


| Description | *A C-based Application Programming Interface (API) for annotating events, code ranges, and resources in your applications.* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/NVTX](https://github.com/NVIDIA/NVTX) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [nvtx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nvtx/xmake.lua) |

##### Install command

```console
xrepo install nvtx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nvtx")
```


### nzsl (msys)


| Description | *NZSL is a shader language inspired by Rust and C++ which compiles to GLSL or SPIRV* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/ShaderLang](https://github.com/NazaraEngine/ShaderLang) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [nzsl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/n/nzsl/xmake.lua) |

##### Install command

```console
xrepo install nzsl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("nzsl")
```



## o
### obfuscate (msys)


| Description | *Guaranteed compile-time string literal obfuscation header-only library for C++14* |
| -- | -- |
| Homepage | [https://github.com/adamyaxley/Obfuscate](https://github.com/adamyaxley/Obfuscate) |
| License | Unlicense |
| Versions | 2024.02.11 |
| Architectures | i386, x86_64 |
| Definition | [obfuscate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/obfuscate/xmake.lua) |

##### Install command

```console
xrepo install obfuscate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("obfuscate")
```


### obfusheader.h (msys)


| Description | *Obfusheader.h is a portable header file for C++14 compile-time obfuscation.* |
| -- | -- |
| Homepage | [https://github.com/ac3ss0r/obfusheader.h](https://github.com/ac3ss0r/obfusheader.h) |
| License | Apache-2.0 |
| Versions | 2024.08.19 |
| Architectures | i386, x86_64 |
| Definition | [obfusheader.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/obfusheader.h/xmake.lua) |

##### Install command

```console
xrepo install obfusheader.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("obfusheader.h")
```


### ocilib (msys)


| Description | *OCILIB (C and C++ Drivers for Oracle) - Open source C and C++ library for accessing Oracle databases* |
| -- | -- |
| Homepage | [http://www.ocilib.net](http://www.ocilib.net) |
| License | Apache-2.0 |
| Versions | v4.7.6, v4.7.7, v4.8.0 |
| Architectures | i386, x86_64 |
| Definition | [ocilib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ocilib/xmake.lua) |

##### Install command

```console
xrepo install ocilib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ocilib")
```


### octree (msys)


| Description | *Octree/Quadtree/N-dimensional linear tree* |
| -- | -- |
| Homepage | [https://github.com/attcs/Octree](https://github.com/attcs/Octree) |
| License | MIT |
| Versions | v2.5 |
| Architectures | i386, x86_64 |
| Definition | [octree/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/octree/xmake.lua) |

##### Install command

```console
xrepo install octree
```

##### Integration in the project (xmake.lua)

```lua
add_requires("octree")
```


### offsetallocator (msys)


| Description | *Fast O(1) offset allocator with minimal fragmentation* |
| -- | -- |
| Homepage | [https://github.com/sebbbi/OffsetAllocator](https://github.com/sebbbi/OffsetAllocator) |
| License | MIT |
| Versions | 2023.03.27 |
| Architectures | i386, x86_64 |
| Definition | [offsetallocator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/offsetallocator/xmake.lua) |

##### Install command

```console
xrepo install offsetallocator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("offsetallocator")
```


### olive.c (msys)


| Description | *Simple 2D Graphics Library for C* |
| -- | -- |
| Homepage | [https://tsoding.github.io/olive.c/](https://tsoding.github.io/olive.c/) |
| License | MIT |
| Versions | 2022.12.14 |
| Architectures | i386, x86_64 |
| Definition | [olive.c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/olive.c/xmake.lua) |

##### Install command

```console
xrepo install olive.c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("olive.c")
```


### omath (msys)


| Description | *Cross-platform modern general purpose math library written in C++23* |
| -- | -- |
| Homepage | [http://libomath.org](http://libomath.org) |
| License | zlib |
| Versions | v3.0.3 |
| Architectures | i386, x86_64 |
| Definition | [omath/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/omath/xmake.lua) |

##### Install command

```console
xrepo install omath
```

##### Integration in the project (xmake.lua)

```lua
add_requires("omath")
```


### oniguruma (msys)


| Description | *regular expression library* |
| -- | -- |
| Homepage | [https://github.com/kkos/oniguruma](https://github.com/kkos/oniguruma) |
| License | BSD |
| Versions | v6.9.9, v6.9.10 |
| Architectures | i386, x86_64 |
| Definition | [oniguruma/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/oniguruma/xmake.lua) |

##### Install command

```console
xrepo install oniguruma
```

##### Integration in the project (xmake.lua)

```lua
add_requires("oniguruma")
```


### onnx (msys)


| Description | *Open standard for machine learning interoperability* |
| -- | -- |
| Homepage | [https://onnx.ai/](https://onnx.ai/) |
| License | Apache-2.0 |
| Versions | v1.11.0, v1.12.0, v1.15.0, v1.16.0, v1.16.1, v1.16.2, v1.17.0, v1.18.0 |
| Architectures | i386, x86_64 |
| Definition | [onnx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/onnx/xmake.lua) |

##### Install command

```console
xrepo install onnx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("onnx")
```


### opencl-clhpp (msys)


| Description | *OpenCL API C++ bindings* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenCL-CLHPP/](https://github.com/KhronosGroup/OpenCL-CLHPP/) |
| License | Apache-2.0 |
| Versions | 1.2.8, 2.0.15 |
| Architectures | i386, x86_64 |
| Definition | [opencl-clhpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencl-clhpp/xmake.lua) |

##### Install command

```console
xrepo install opencl-clhpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencl-clhpp")
```


### opencl-headers (msys)


| Description | *Khronos OpenCL-Headers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenCL-Headers/](https://github.com/KhronosGroup/OpenCL-Headers/) |
| License | Apache-2.0 |
| Versions | v2021.06.30, v2023.12.14, v2024.05.08, v2024.10.24, v2025.06.13 |
| Architectures | i386, x86_64 |
| Definition | [opencl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencl-headers/xmake.lua) |

##### Install command

```console
xrepo install opencl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencl-headers")
```


### opencolorio (msys)


| Description | *A complete color management solution geared towards motion picture production with an emphasis on visual effects and computer animation.* |
| -- | -- |
| Homepage | [https://opencolorio.org/](https://opencolorio.org/) |
| License | BSD-3-Clause |
| Versions | v2.1.0, v2.1.1, v2.3.2, v2.4.2 |
| Architectures | i386, x86_64 |
| Definition | [opencolorio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opencolorio/xmake.lua) |

##### Install command

```console
xrepo install opencolorio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opencolorio")
```


### openexr (msys)


| Description | *OpenEXR provides the specification and reference implementation of the EXR file format, the professional-grade image storage format of the motion picture industry.* |
| -- | -- |
| Homepage | [https://www.openexr.com/](https://www.openexr.com/) |
| License | BSD-3-Clause |
| Versions | v2.5.3, v2.5.5, v2.5.7, v3.1.0, v3.1.1, v3.1.3, v3.1.4, v3.1.5, v3.2.1, v3.2.3, v3.2.4, v3.3.0, v3.3.1, v3.3.2, v3.3.3, v3.3.4 |
| Architectures | i386, x86_64 |
| Definition | [openexr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openexr/xmake.lua) |

##### Install command

```console
xrepo install openexr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openexr")
```


### openfbx (msys)


| Description | *Lightweight open source FBX importer* |
| -- | -- |
| Homepage | [https://github.com/nem0/OpenFBX](https://github.com/nem0/OpenFBX) |
| License | MIT |
| Versions | v0.9 |
| Architectures | i386, x86_64 |
| Definition | [openfbx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openfbx/xmake.lua) |

##### Install command

```console
xrepo install openfbx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openfbx")
```


### opengl (msys)


| Description | *OpenGL - The Industry Standard for High Performance Graphics* |
| -- | -- |
| Homepage | [https://opengl.org/](https://opengl.org/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [opengl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opengl/xmake.lua) |

##### Install command

```console
xrepo install opengl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opengl")
```


### opengl-headers (msys)


| Description | *OpenGL, OpenGL ES, and OpenGL ES-SC API and Extension Registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/OpenGL-Registry/](https://github.com/KhronosGroup/OpenGL-Registry/) |
| License | MIT |
| Versions | 2024.01.04 |
| Architectures | i386, x86_64 |
| Definition | [opengl-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opengl-headers/xmake.lua) |

##### Install command

```console
xrepo install opengl-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opengl-headers")
```


### openh264 (msys)


| Description | *OpenH264 is a codec library which supports H.264 encoding and decoding.* |
| -- | -- |
| Homepage | [http://www.openh264.org/](http://www.openh264.org/) |
| License | BSD-2-Clause |
| Versions | v2.1.1, v2.4.1, v2.5.0, v2.6.0 |
| Architectures | i386, x86_64 |
| Definition | [openh264/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openh264/xmake.lua) |

##### Install command

```console
xrepo install openh264
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openh264")
```


### openjdk (msys)


| Description | *Java Development Kit builds, from Oracle* |
| -- | -- |
| Homepage | [https://jdk.java.net](https://jdk.java.net) |
| License | GPL-2.0 |
| Versions | 21.0.5 |
| Architectures | x86_64 |
| Definition | [openjdk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openjdk/xmake.lua) |

##### Install command

```console
xrepo install openjdk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openjdk")
```


### opentelemetry-cpp (msys)


| Description | *OpenTelemetry is a collection of tools, APIs, and SDKs. Use it to instrument, generate, collect, and export telemetry data (metrics, logs, and traces) to help you analyze your software’s performance and behavior.* |
| -- | -- |
| Homepage | [https://opentelemetry.io/](https://opentelemetry.io/) |
| License | Apache-2.0 |
| Versions | v1.16.1, v1.19.0 |
| Architectures | i386, x86_64 |
| Definition | [opentelemetry-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/opentelemetry-cpp/xmake.lua) |

##### Install command

```console
xrepo install opentelemetry-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("opentelemetry-cpp")
```


### openxlsx (msys)


| Description | *A C++ library for reading, writing, creating and modifying Microsoft Excel® (.xlsx) files.* |
| -- | -- |
| Homepage | [https://github.com/troldal/OpenXLSX](https://github.com/troldal/OpenXLSX) |
| License | BSD-3-Clause |
| Versions | 2024.10.17 |
| Architectures | i386, x86_64 |
| Definition | [openxlsx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openxlsx/xmake.lua) |

##### Install command

```console
xrepo install openxlsx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openxlsx")
```


### openxr (msys)


| Description | *Generated headers and sources for OpenXR loader.* |
| -- | -- |
| Homepage | [https://khronos.org/openxr](https://khronos.org/openxr) |
| License | Apache-2.0 |
| Versions | 1.1.49 |
| Architectures | i386, x86_64 |
| Definition | [openxr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/openxr/xmake.lua) |

##### Install command

```console
xrepo install openxr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("openxr")
```


### optional-lite (msys)


| Description | *optional lite - A C++17-like optional, a nullable object for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/optional-lite](https://github.com/martinmoene/optional-lite) |
| License | BSL-1.0 |
| Versions | v3.6.0 |
| Architectures | i386, x86_64 |
| Definition | [optional-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/optional-lite/xmake.lua) |

##### Install command

```console
xrepo install optional-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("optional-lite")
```


### optix (msys)


| Description | *NVIDIA OPTIX™ RAY TRACING ENGINE* |
| -- | -- |
| Homepage | [https://developer.nvidia.com/optix](https://developer.nvidia.com/optix) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [optix/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/optix/xmake.lua) |

##### Install command

```console
xrepo install optix
```

##### Integration in the project (xmake.lua)

```lua
add_requires("optix")
```


### orangeduck_mpc (msys)


| Description | *A Parser Combinator library for C* |
| -- | -- |
| Homepage | [https://github.com/orangeduck/mpc](https://github.com/orangeduck/mpc) |
| Versions | 0.9.0 |
| Architectures | i386, x86_64 |
| Definition | [orangeduck_mpc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/orangeduck_mpc/xmake.lua) |

##### Install command

```console
xrepo install orangeduck_mpc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("orangeduck_mpc")
```


### ordered_map (msys)


| Description | *C++ hash map and hash set which preserve the order of insertion* |
| -- | -- |
| Homepage | [https://github.com/Tessil/ordered-map](https://github.com/Tessil/ordered-map) |
| License | MIT |
| Versions | v1.0.0, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [ordered_map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ordered_map/xmake.lua) |

##### Install command

```console
xrepo install ordered_map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ordered_map")
```


### ormpp (msys)


| Description | *modern C++ ORM, C++17, support mysql, postgresql,sqlite* |
| -- | -- |
| Homepage | [https://github.com/qicosmos/ormpp](https://github.com/qicosmos/ormpp) |
| License | Apache-2.0 |
| Versions | v0.1.1, v0.1.2, 0.1.3 |
| Architectures | i386, x86_64 |
| Definition | [ormpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ormpp/xmake.lua) |

##### Install command

```console
xrepo install ormpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ormpp")
```


### osmanip (msys)


| Description | *A cross-platform library for output stream manipulation using ANSI escape sequences.* |
| -- | -- |
| Homepage | [https://github.com/JustWhit3/osmanip](https://github.com/JustWhit3/osmanip) |
| License | MIT |
| Versions | v4.6.1 |
| Architectures | i386, x86_64 |
| Definition | [osmanip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/osmanip/xmake.lua) |

##### Install command

```console
xrepo install osmanip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("osmanip")
```


### osqp (msys)


| Description | *The Operator Splitting QP Solver* |
| -- | -- |
| Homepage | [https://osqp.org/](https://osqp.org/) |
| License | Apache-2.0 |
| Versions | v0.6.3 |
| Architectures | i386, x86_64 |
| Definition | [osqp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/osqp/xmake.lua) |

##### Install command

```console
xrepo install osqp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("osqp")
```


### out_ptr (msys)


| Description | *Repository for a C++11 implementation of std::out_ptr (p1132), as a standalone library!* |
| -- | -- |
| Homepage | [https://github.com/soasis/out_ptr](https://github.com/soasis/out_ptr) |
| License | Apache-2.0 |
| Versions | 2022.10.07 |
| Architectures | i386, x86_64 |
| Definition | [out_ptr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/out_ptr/xmake.lua) |

##### Install command

```console
xrepo install out_ptr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("out_ptr")
```


### outcome (msys)


| Description | *Provides very lightweight outcome<T> and result<T> (non-Boost edition)* |
| -- | -- |
| Homepage | [https://github.com/ned14/outcome](https://github.com/ned14/outcome) |
| License | Apache-2.0 |
| Versions | v2.2.4 |
| Architectures | i386, x86_64 |
| Definition | [outcome/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/outcome/xmake.lua) |

##### Install command

```console
xrepo install outcome
```

##### Integration in the project (xmake.lua)

```lua
add_requires("outcome")
```


### ozz-animation (msys)


| Description | *Open source c++ skeletal animation library and toolset* |
| -- | -- |
| Homepage | [http://guillaumeblanc.github.io/ozz-animation/](http://guillaumeblanc.github.io/ozz-animation/) |
| License | MIT |
| Versions | 0.14.2, 0.14.3, 0.15.0, 0.16.0 |
| Architectures | i386, x86_64 |
| Definition | [ozz-animation/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/o/ozz-animation/xmake.lua) |

##### Install command

```console
xrepo install ozz-animation
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ozz-animation")
```



## p
### pahomqttc (msys)


| Description | *Eclipse Paho MQTT C Client Library* |
| -- | -- |
| Homepage | [https://github.com/eclipse/paho.mqtt.c](https://github.com/eclipse/paho.mqtt.c) |
| License | EPL-2.0 |
| Versions | v1.3.13, v1.3.14 |
| Architectures | i386, x86_64 |
| Definition | [pahomqttc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pahomqttc/xmake.lua) |

##### Install command

```console
xrepo install pahomqttc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pahomqttc")
```


### pahomqttcpp (msys)


| Description | *Eclipse Paho MQTT C++ Client Library* |
| -- | -- |
| Homepage | [https://github.com/eclipse/paho.mqtt.cpp](https://github.com/eclipse/paho.mqtt.cpp) |
| License | EPL-2.0 |
| Versions | v1.2.0, v1.3.2, v1.4.0, v1.4.1, v1.5.0, v1.5.1, v1.5.2 |
| Architectures | i386, x86_64 |
| Definition | [pahomqttcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pahomqttcpp/xmake.lua) |

##### Install command

```console
xrepo install pahomqttcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pahomqttcpp")
```


### parallel-hashmap (msys)


| Description | *A family of header-only, very fast and memory-friendly hashmap and btree containers.* |
| -- | -- |
| Homepage | [https://greg7mdp.github.io/parallel-hashmap/](https://greg7mdp.github.io/parallel-hashmap/) |
| License | Apache-2.0 |
| Versions | v1.3.12, 1.33, 1.34, 1.35, 1.37, v2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [parallel-hashmap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/parallel-hashmap/xmake.lua) |

##### Install command

```console
xrepo install parallel-hashmap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("parallel-hashmap")
```


### patch (msys)


| Description | *GNU patch, which applies diff files to original files.* |
| -- | -- |
| Homepage | [http://www.gnu.org/software/patch/patch.html](http://www.gnu.org/software/patch/patch.html) |
| Versions | 2.7.6 |
| Architectures | i386, x86_64 |
| Definition | [patch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/patch/xmake.lua) |

##### Install command

```console
xrepo install patch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("patch")
```


### paul_thread_pool (msys)


| Description | *A modern, fast, lightweight thread pool library based on C++20* |
| -- | -- |
| Homepage | [https://github.com/DeveloperPaul123/thread-pool](https://github.com/DeveloperPaul123/thread-pool) |
| License | MIT |
| Versions | 0.6.2, 0.7.0 |
| Architectures | i386, x86_64 |
| Definition | [paul_thread_pool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/paul_thread_pool/xmake.lua) |

##### Install command

```console
xrepo install paul_thread_pool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("paul_thread_pool")
```


### pcg-cpp (msys)


| Description | *PCG — C++ Implementation* |
| -- | -- |
| Homepage | [http://www.pcg-random.org](http://www.pcg-random.org) |
| License | Apache-2.0 |
| Versions | 2022.04.09 |
| Architectures | i386, x86_64 |
| Definition | [pcg-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcg-cpp/xmake.lua) |

##### Install command

```console
xrepo install pcg-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcg-cpp")
```


### pcre2 (msys)


| Description | *A Perl Compatible Regular Expressions Library* |
| -- | -- |
| Homepage | [https://www.pcre.org/](https://www.pcre.org/) |
| License | BSD-3-Clause |
| Versions | 10.39, 10.40, 10.42, 10.43, 10.44 |
| Architectures | i386, x86_64 |
| Definition | [pcre2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pcre2/xmake.lua) |

##### Install command

```console
xrepo install pcre2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pcre2")
```


### pdfio (msys)


| Description | *PDFio is a simple C library for reading and writing PDF files.* |
| -- | -- |
| Homepage | [https://www.msweet.org/pdfio](https://www.msweet.org/pdfio) |
| License | Apache-2.0 |
| Versions | v1.3.0, v1.3.1, v1.3.2, v1.4.0, v1.5.0 |
| Architectures | i386, x86_64 |
| Definition | [pdfio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pdfio/xmake.lua) |

##### Install command

```console
xrepo install pdfio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pdfio")
```


### pe-parse (msys)


| Description | *Principled, lightweight C/C++ PE parser* |
| -- | -- |
| Homepage | [https://github.com/trailofbits/pe-parse](https://github.com/trailofbits/pe-parse) |
| License | MIT |
| Versions | 2024.06.04 |
| Architectures | i386, x86_64 |
| Definition | [pe-parse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pe-parse/xmake.lua) |

##### Install command

```console
xrepo install pe-parse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pe-parse")
```


### pedeps (msys)


| Description | *Cross-platform C library to read data from PE/PE+ files (the format of Windows .exe and .dll files)* |
| -- | -- |
| Homepage | [https://github.com/brechtsanders/pedeps](https://github.com/brechtsanders/pedeps) |
| License | MIT |
| Versions | 0.1.15 |
| Architectures | i386, x86_64 |
| Definition | [pedeps/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pedeps/xmake.lua) |

##### Install command

```console
xrepo install pedeps
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pedeps")
```


### pegtl (msys)


| Description | *Parsing Expression Grammar Template Library* |
| -- | -- |
| Homepage | [https://github.com/taocpp/PEGTL](https://github.com/taocpp/PEGTL) |
| License | BSL-1.0 |
| Versions | 3.2.2, 3.2.5, 3.2.7, 3.2.8 |
| Architectures | i386, x86_64 |
| Definition | [pegtl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pegtl/xmake.lua) |

##### Install command

```console
xrepo install pegtl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pegtl")
```


### peloader (msys)


| Description | *PE loader with various shellcode injection techniques* |
| -- | -- |
| Homepage | [https://github.com/Hagrid29/PELoader](https://github.com/Hagrid29/PELoader) |
| Versions | 2022.10.17 |
| Architectures | i386, x86_64 |
| Definition | [peloader/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/peloader/xmake.lua) |

##### Install command

```console
xrepo install peloader
```

##### Integration in the project (xmake.lua)

```lua
add_requires("peloader")
```


### perlinnoise (msys)


| Description | *Header-only Perlin noise library for modern C++ (C++17/C++20)* |
| -- | -- |
| Homepage | [https://github.com/Reputeless/PerlinNoise](https://github.com/Reputeless/PerlinNoise) |
| License | MIT |
| Versions | v3.0.0 |
| Architectures | i386, x86_64 |
| Definition | [perlinnoise/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/perlinnoise/xmake.lua) |

##### Install command

```console
xrepo install perlinnoise
```

##### Integration in the project (xmake.lua)

```lua
add_requires("perlinnoise")
```


### pffft (msys)


| Description | *PFFFT, a pretty fast Fourier Transform.* |
| -- | -- |
| Homepage | [https://bitbucket.org/jpommier/pffft/](https://bitbucket.org/jpommier/pffft/) |
| License | BSD-like (FFTPACK license) |
| Versions | 2024.11.29 |
| Architectures | i386, x86_64 |
| Definition | [pffft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pffft/xmake.lua) |

##### Install command

```console
xrepo install pffft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pffft")
```


### physfs (msys)


| Description | *A portable, flexible file i/o abstraction* |
| -- | -- |
| Homepage | [https://icculus.org/physfs/](https://icculus.org/physfs/) |
| License | zlib |
| Versions | 2024.09.23 |
| Architectures | i386, x86_64 |
| Definition | [physfs/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/physfs/xmake.lua) |

##### Install command

```console
xrepo install physfs
```

##### Integration in the project (xmake.lua)

```lua
add_requires("physfs")
```


### picobench (msys)


| Description | *A micro microbenchmarking library for C++11 in a single header file* |
| -- | -- |
| Homepage | [https://github.com/iboB/picobench](https://github.com/iboB/picobench) |
| License | MIT |
| Versions | 2.06, 2.07, 2.08 |
| Architectures | i386, x86_64 |
| Definition | [picobench/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picobench/xmake.lua) |

##### Install command

```console
xrepo install picobench
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picobench")
```


### picojson (msys)


| Description | *A header-file-only, JSON parser serializer in C++* |
| -- | -- |
| Homepage | [https://pocoproject.org/](https://pocoproject.org/) |
| License | BSD-2-Clause |
| Versions | v1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [picojson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picojson/xmake.lua) |

##### Install command

```console
xrepo install picojson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picojson")
```


### picosha2 (msys)


| Description | *a header-file-only, SHA256 hash generator in C++* |
| -- | -- |
| Homepage | [https://github.com/okdshin/PicoSHA2](https://github.com/okdshin/PicoSHA2) |
| License | MIT |
| Versions | 2022.08.08 |
| Architectures | i386, x86_64 |
| Definition | [picosha2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/picosha2/xmake.lua) |

##### Install command

```console
xrepo install picosha2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("picosha2")
```


### pixman (msys)


| Description | *Low-level library for pixel manipulation.* |
| -- | -- |
| Homepage | [https://cairographics.org/](https://cairographics.org/) |
| License | MIT |
| Versions | 0.42.0, 0.42.2, 0.43.2, 0.43.4, 0.46.2 |
| Architectures | i386, x86_64 |
| Definition | [pixman/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pixman/xmake.lua) |

##### Install command

```console
xrepo install pixman
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pixman")
```


### pkg-config (msys)


| Description | *A helper tool used when compiling applications and libraries.* |
| -- | -- |
| Homepage | [https://freedesktop.org/wiki/Software/pkg-config/](https://freedesktop.org/wiki/Software/pkg-config/) |
| Versions | 0.29.2 |
| Architectures | i386, x86_64 |
| Definition | [pkg-config/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pkg-config/xmake.lua) |

##### Install command

```console
xrepo install pkg-config
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pkg-config")
```


### pkgconf (msys)


| Description | *A program which helps to configure compiler and linker flags for development frameworks.* |
| -- | -- |
| Homepage | [http://pkgconf.org](http://pkgconf.org) |
| Versions | 1.7.4, 1.8.0, 1.9.3, 1.9.4, 1.9.5, 2.0.3, 2.4.3, 2.5.1 |
| Architectures | i386, x86_64 |
| Definition | [pkgconf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pkgconf/xmake.lua) |

##### Install command

```console
xrepo install pkgconf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pkgconf")
```


### pl_mpeg (msys)


| Description | *Single file C library for decoding MPEG1 Video and MP2 Audio* |
| -- | -- |
| Homepage | [https://github.com/phoboslab/pl_mpeg](https://github.com/phoboslab/pl_mpeg) |
| License | MIT |
| Versions | 2024.04.12 |
| Architectures | i386, x86_64 |
| Definition | [pl_mpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pl_mpeg/xmake.lua) |

##### Install command

```console
xrepo install pl_mpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pl_mpeg")
```


### platformfolders (msys)


| Description | *A C++ library to look for special directories like "My Documents" and "%APPDATA%" so that you do not need to write Linux, Windows or Mac OS X specific code* |
| -- | -- |
| Homepage | [https://github.com/sago007/PlatformFolders](https://github.com/sago007/PlatformFolders) |
| License | MIT |
| Versions | 4.2.0 |
| Architectures | i386, x86_64 |
| Definition | [platformfolders/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/platformfolders/xmake.lua) |

##### Install command

```console
xrepo install platformfolders
```

##### Integration in the project (xmake.lua)

```lua
add_requires("platformfolders")
```


### plf_colony (msys)


| Description | *An unordered C++ data container providing fast iteration/insertion/erasure while maintaining pointer/iterator validity to non-erased elements regardless of insertions/erasures. Provides higher-performance than std:: library containers for high-modification scenarios with unordered data.* |
| -- | -- |
| Homepage | [https://plflib.org/colony.htm](https://plflib.org/colony.htm) |
| License | zlib |
| Versions | v7.41 |
| Architectures | i386, x86_64 |
| Definition | [plf_colony/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_colony/xmake.lua) |

##### Install command

```console
xrepo install plf_colony
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_colony")
```


### plf_hive (msys)


| Description | *plf::hive is a fork of plf::colony to match the current C++ standards proposal.* |
| -- | -- |
| Homepage | [https://plflib.org/colony.htm](https://plflib.org/colony.htm) |
| License | zlib |
| Versions | 2024.04.21 |
| Architectures | i386, x86_64 |
| Definition | [plf_hive/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_hive/xmake.lua) |

##### Install command

```console
xrepo install plf_hive
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_hive")
```


### plf_indiesort (msys)


| Description | *A sort wrapper enabling both use of random-access sorting on non-random access containers, and increased performance for the sorting of large types.* |
| -- | -- |
| Homepage | [https://plflib.org/indiesort.htm](https://plflib.org/indiesort.htm) |
| License | zlib |
| Versions | v1.41 |
| Architectures | i386, x86_64 |
| Definition | [plf_indiesort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_indiesort/xmake.lua) |

##### Install command

```console
xrepo install plf_indiesort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_indiesort")
```


### plf_list (msys)


| Description | *A data container replicating std::list functionality but with (on average) 333% faster insertion, 81% faster erasure and 16% faster iteration.* |
| -- | -- |
| Homepage | [https://plflib.org/list.htm](https://plflib.org/list.htm) |
| License | zlib |
| Versions | 2.73 |
| Architectures | i386, x86_64 |
| Definition | [plf_list/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_list/xmake.lua) |

##### Install command

```console
xrepo install plf_list
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_list")
```


### plf_nanotimer (msys)


| Description | *A cross-platform lowest-overhead microsecond-precision timer for simple benchmarking on Linux/BSD/Windows/Mac.* |
| -- | -- |
| Homepage | [https://plflib.org/nanotimer.htm](https://plflib.org/nanotimer.htm) |
| License | zlib |
| Versions | v1.07 |
| Architectures | i386, x86_64 |
| Definition | [plf_nanotimer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_nanotimer/xmake.lua) |

##### Install command

```console
xrepo install plf_nanotimer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_nanotimer")
```


### plf_queue (msys)


| Description | *A data container replicating std::queue functionality but with better performance than standard library containers in a queue context.* |
| -- | -- |
| Homepage | [https://plflib.org/queue.htm](https://plflib.org/queue.htm) |
| License | zlib |
| Versions | v2.0.3 |
| Architectures | i386, x86_64 |
| Definition | [plf_queue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_queue/xmake.lua) |

##### Install command

```console
xrepo install plf_queue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_queue")
```


### plf_rand (msys)


| Description | *A replacement for rand()/srand() that's ~700% faster with (typically) better statistical distribution. An adaptation of PCG with fallback to xorshift for C++98/03.* |
| -- | -- |
| Homepage | [https://plflib.org/rand.htm](https://plflib.org/rand.htm) |
| License | zlib |
| Versions | v1.05 |
| Architectures | i386, x86_64 |
| Definition | [plf_rand/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_rand/xmake.lua) |

##### Install command

```console
xrepo install plf_rand
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_rand")
```


### plf_reorderase (msys)


| Description | *A faster method for singular erasures, ranged erasures, and erase_if-style erasures for vector/deque/static_vector when element order is not important.* |
| -- | -- |
| Homepage | [https://plflib.org/reorderase.htm](https://plflib.org/reorderase.htm) |
| License | zlib |
| Versions | v1.11 |
| Architectures | i386, x86_64 |
| Definition | [plf_reorderase/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_reorderase/xmake.lua) |

##### Install command

```console
xrepo install plf_reorderase
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_reorderase")
```


### plf_stack (msys)


| Description | *A data container replicating std::stack functionality but with better performance than standard library containers in a stack context.* |
| -- | -- |
| Homepage | [https://plflib.org/stack.htm](https://plflib.org/stack.htm) |
| License | zlib |
| Versions | v2.03 |
| Architectures | i386, x86_64 |
| Definition | [plf_stack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plf_stack/xmake.lua) |

##### Install command

```console
xrepo install plf_stack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plf_stack")
```


### plfit (msys)


| Description | *Fitting power-law distributions to empirical data, according to the method of Clauset, Shalizi and Newman* |
| -- | -- |
| Homepage | [https://github.com/ntamas/plfit](https://github.com/ntamas/plfit) |
| License | GPL-2.0 |
| Versions | 1.0.0, 1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [plfit/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plfit/xmake.lua) |

##### Install command

```console
xrepo install plfit
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plfit")
```


### plog (msys)


| Description | *Portable, simple and extensible C++ logging library* |
| -- | -- |
| Homepage | [https://github.com/SergiusTheBest/plog](https://github.com/SergiusTheBest/plog) |
| License | MIT |
| Versions | 1.1.9, 1.1.10 |
| Architectures | i386, x86_64 |
| Definition | [plog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plog/xmake.lua) |

##### Install command

```console
xrepo install plog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plog")
```


### plusaes (msys)


| Description | *Header only C++ AES cipher library* |
| -- | -- |
| Homepage | [https://kkayataka.github.io/plusaes/doc/index.html](https://kkayataka.github.io/plusaes/doc/index.html) |
| License | BSL-1.0 |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [plusaes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plusaes/xmake.lua) |

##### Install command

```console
xrepo install plusaes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plusaes")
```


### plutosvg (msys)


| Description | *Tiny SVG rendering library in C* |
| -- | -- |
| Homepage | [https://github.com/sammycage/plutosvg](https://github.com/sammycage/plutosvg) |
| License | MIT |
| Versions | v0.0.2, v0.0.3, v0.0.4, v0.0.5, v0.0.6, v0.0.7 |
| Architectures | i386, x86_64 |
| Definition | [plutosvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plutosvg/xmake.lua) |

##### Install command

```console
xrepo install plutosvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plutosvg")
```


### plutovg (msys)


| Description | *Tiny 2D vector graphics library in C* |
| -- | -- |
| Homepage | [https://github.com/sammycage/plutovg](https://github.com/sammycage/plutovg) |
| License | MIT |
| Versions | v0.0.1, v0.0.6, v0.0.7, v0.0.8, v0.0.9, v0.0.12, v0.0.13, v1.0.0, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [plutovg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/plutovg/xmake.lua) |

##### Install command

```console
xrepo install plutovg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("plutovg")
```


### pocketfft (msys)


| Description | *FFT implementation based on FFTPack, but with several improvements* |
| -- | -- |
| Homepage | [https://github.com/mreineck/pocketfft](https://github.com/mreineck/pocketfft) |
| License | BSD-3-Clause |
| Versions | 2023.02.14 |
| Architectures | i386, x86_64 |
| Definition | [pocketfft/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pocketfft/xmake.lua) |

##### Install command

```console
xrepo install pocketfft
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pocketfft")
```


### poco (msys)


| Description | *The POCO C++ Libraries are powerful cross-platform C++ libraries for building network- and internet-based applications that run on desktop, server, mobile, IoT, and embedded systems.* |
| -- | -- |
| Homepage | [https://pocoproject.org/](https://pocoproject.org/) |
| License | BSL-1.0 |
| Versions | 1.11.0, 1.11.1, 1.11.6, 1.11.8, 1.12.1, 1.12.2, 1.12.4, 1.12.5, 1.13.3 |
| Architectures | i386, x86_64 |
| Definition | [poco/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poco/xmake.lua) |

##### Install command

```console
xrepo install poco
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poco")
```


### poly2tri (msys)


| Description | *2D constrained Delaunay triangulation library* |
| -- | -- |
| Homepage | [https://github.com/jhasse/poly2tri](https://github.com/jhasse/poly2tri) |
| License | BSD-3-Clause |
| Versions | 2024.02.08 |
| Architectures | i386, x86_64 |
| Definition | [poly2tri/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poly2tri/xmake.lua) |

##### Install command

```console
xrepo install poly2tri
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poly2tri")
```


### polyclipping (msys)


| Description | *Polygon and line clipping and offsetting library* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/polyclipping](https://sourceforge.net/projects/polyclipping) |
| License | BSL-1.0 |
| Versions | 6.4.2 |
| Architectures | i386, x86_64 |
| Definition | [polyclipping/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/polyclipping/xmake.lua) |

##### Install command

```console
xrepo install polyclipping
```

##### Integration in the project (xmake.lua)

```lua
add_requires("polyclipping")
```


### portable_build_tools (msys)


| Description | *Portable VS Build Tools installer* |
| -- | -- |
| Homepage | [https://github.com/Data-Oriented-House/PortableBuildTools](https://github.com/Data-Oriented-House/PortableBuildTools) |
| Versions | v2.8, v2.8.1, v2.9.2, v2.10, v2.10.2 |
| Architectures | i386, x86_64 |
| Definition | [portable_build_tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/portable_build_tools/xmake.lua) |

##### Install command

```console
xrepo install portable_build_tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("portable_build_tools")
```


### portaudio (msys)


| Description | *PortAudio is a cross-platform, open-source C language library for real-time audio input and output.* |
| -- | -- |
| Homepage | [http://www.portaudio.com](http://www.portaudio.com) |
| Versions | 2023.08.05, 2024.08.25 |
| Architectures | i386, x86_64 |
| Definition | [portaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/portaudio/xmake.lua) |

##### Install command

```console
xrepo install portaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("portaudio")
```


### poselib (msys)


| Description | *Minimal solvers for calibrated camera pose estimation* |
| -- | -- |
| Homepage | [https://github.com/PoseLib/PoseLib](https://github.com/PoseLib/PoseLib) |
| License | BSD-3-Clause |
| Versions | v2.0.4 |
| Architectures | i386, x86_64 |
| Definition | [poselib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/poselib/xmake.lua) |

##### Install command

```console
xrepo install poselib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("poselib")
```


### postgresql (msys)


| Description | *PostgreSQL Database Management System* |
| -- | -- |
| Homepage | [https://www.postgresql.org/](https://www.postgresql.org/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [postgresql/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/postgresql/xmake.lua) |

##### Install command

```console
xrepo install postgresql
```

##### Integration in the project (xmake.lua)

```lua
add_requires("postgresql")
```


### ppqsort (msys)


| Description | *Efficient implementation of parallel quicksort algorithm* |
| -- | -- |
| Homepage | [https://github.com/GabTux/PPQSort](https://github.com/GabTux/PPQSort) |
| Versions | v1.0.5 |
| Architectures | i386, x86_64 |
| Definition | [ppqsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/ppqsort/xmake.lua) |

##### Install command

```console
xrepo install ppqsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ppqsort")
```


### pprint (msys)


| Description | *Pretty Printer for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/pprint](https://github.com/p-ranav/pprint) |
| License | MIT |
| Versions | 2020.2.20 |
| Architectures | i386, x86_64 |
| Definition | [pprint/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pprint/xmake.lua) |

##### Install command

```console
xrepo install pprint
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pprint")
```


### pqp (msys)


| Description | *A Proximity Query Package* |
| -- | -- |
| Homepage | [http://gamma.cs.unc.edu/SSV/](http://gamma.cs.unc.edu/SSV/) |
| Versions | 1.3 |
| Architectures | i386, x86_64 |
| Definition | [pqp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pqp/xmake.lua) |

##### Install command

```console
xrepo install pqp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pqp")
```


### premake5 (msys)


| Description | *Premake - Powerfully simple build configuration* |
| -- | -- |
| Homepage | [https://premake.github.io/](https://premake.github.io/) |
| Versions | 2022.11.17 |
| Architectures | i386, x86_64 |
| Definition | [premake5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/premake5/xmake.lua) |

##### Install command

```console
xrepo install premake5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("premake5")
```


### proj (msys)


| Description | *PROJ is a generic coordinate transformation software that transforms geospatial coordinates from one coordinate reference system (CRS) to another.* |
| -- | -- |
| Homepage | [https://proj.org/index.html](https://proj.org/index.html) |
| License | MIT |
| Versions | 6.3.1, 8.2.1, 9.0.1, 9.4.0 |
| Architectures | i386, x86_64 |
| Definition | [proj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/proj/xmake.lua) |

##### Install command

```console
xrepo install proj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("proj")
```


### promise-cpp (msys)


| Description | *C++ promise/A+ library in Javascript style.* |
| -- | -- |
| Homepage | [https://github.com/xhawk18/promise-cpp](https://github.com/xhawk18/promise-cpp) |
| License | MIT |
| Versions | 2.1.3, 2.1.5 |
| Architectures | i386, x86_64 |
| Definition | [promise-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/promise-cpp/xmake.lua) |

##### Install command

```console
xrepo install promise-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("promise-cpp")
```


### protobuf-cpp (msys)


| Description | *Google's data interchange format for cpp* |
| -- | -- |
| Homepage | [https://developers.google.com/protocol-buffers/](https://developers.google.com/protocol-buffers/) |
| License | BSD-3-Clause |
| Versions | 3.8.0, 3.11.2, 3.12.0, 3.12.3, 3.13.0, 3.14.0, 3.15.5, 3.15.8, 3.17.3, 3.19.4, 26.1, 27.0, 27.2, 27.3, 28.0, 28.1, 29.2, 29.3, 30.2, 31.0, 31.1 |
| Architectures | i386, x86_64 |
| Definition | [protobuf-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/protobuf-cpp/xmake.lua) |

##### Install command

```console
xrepo install protobuf-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("protobuf-cpp")
```


### protoc (msys)


| Description | *Google's data interchange format compiler* |
| -- | -- |
| Homepage | [https://developers.google.com/protocol-buffers/](https://developers.google.com/protocol-buffers/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [protoc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/protoc/xmake.lua) |

##### Install command

```console
xrepo install protoc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("protoc")
```


### prvhash (msys)


| Description | *PRVHASH - Pseudo-Random-Value Hash* |
| -- | -- |
| Homepage | [https://github.com/avaneev/prvhash](https://github.com/avaneev/prvhash) |
| License | MIT |
| Versions | 4.0, 4.3.2 |
| Architectures | i386, x86_64 |
| Definition | [prvhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/prvhash/xmake.lua) |

##### Install command

```console
xrepo install prvhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("prvhash")
```


### pugixml (msys)


| Description | *Light-weight, simple and fast XML parser for C++ with XPath support* |
| -- | -- |
| Homepage | [https://pugixml.org/](https://pugixml.org/) |
| License | MIT |
| Versions | v1.11.4, v1.13, v1.14, v1.15 |
| Architectures | i386, x86_64 |
| Definition | [pugixml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pugixml/xmake.lua) |

##### Install command

```console
xrepo install pugixml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pugixml")
```


### pycdc (msys)


| Description | *C++ python bytecode disassembler and decompiler* |
| -- | -- |
| Homepage | [https://github.com/zrax/pycdc](https://github.com/zrax/pycdc) |
| License | GPL-3.0 |
| Versions | 2024.08.12 |
| Architectures | i386, x86_64 |
| Definition | [pycdc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pycdc/xmake.lua) |

##### Install command

```console
xrepo install pycdc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pycdc")
```


### pyincpp (msys)


| Description | *A C++ type library that is as easy to use as Python built-in types.* |
| -- | -- |
| Homepage | [https://github.com/chen-qingyu/pyincpp](https://github.com/chen-qingyu/pyincpp) |
| License | MIT |
| Versions | v1.3.2, v1.3.3, v1.4.1, v1.6.0, v1.6.1, v2.3.0, v2.4.0, v2.4.1, v2.5.1, v2.5.2, v2.6.0, v2.6.1 |
| Architectures | i386, x86_64 |
| Definition | [pyincpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pyincpp/xmake.lua) |

##### Install command

```console
xrepo install pyincpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pyincpp")
```


### pystring (msys)


| Description | *Pystring is a collection of C++ functions which match the interface and behavior of python's string class methods using std::string.* |
| -- | -- |
| Homepage | [https://github.com/imageworks/pystring](https://github.com/imageworks/pystring) |
| License | BSD-3-Clause |
| Versions | 2020.02.04, 2023.07.23, 2025.06.23 |
| Architectures | i386, x86_64 |
| Definition | [pystring/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/pystring/xmake.lua) |

##### Install command

```console
xrepo install pystring
```

##### Integration in the project (xmake.lua)

```lua
add_requires("pystring")
```


### python (msys)


| Description | *The python programming language.* |
| -- | -- |
| Homepage | [https://www.python.org/](https://www.python.org/) |
| License | PSF |
| Versions | 2.7.18, 3.7.9, 3.8.10, 3.9.5, 3.9.6, 3.9.10, 3.9.13, 3.10.6, 3.10.11, 3.11.3, 3.11.8, 3.11.9, 3.12.3, 3.12.8, 3.12.10, 3.13.0, 3.13.1, 3.13.2 |
| Architectures | i386, x86_64 |
| Definition | [python/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/python/xmake.lua) |

##### Install command

```console
xrepo install python
```

##### Integration in the project (xmake.lua)

```lua
add_requires("python")
```


### python-launcher (msys)


| Description | *The python programming language.* |
| -- | -- |
| Homepage | [https://www.python.org/](https://www.python.org/) |
| Versions | 3.9.6, 3.9.10, 3.9.13, 3.10.6, 3.11.3, 3.12.8, 3.13.1 |
| Architectures | i386, x86_64 |
| Definition | [python-launcher/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/python-launcher/xmake.lua) |

##### Install command

```console
xrepo install python-launcher
```

##### Integration in the project (xmake.lua)

```lua
add_requires("python-launcher")
```


### python2 (msys)


| Description | *The python programming language.* |
| -- | -- |
| Homepage | [https://www.python.org/](https://www.python.org/) |
| Versions | 2.7.15, 2.7.18 |
| Architectures | i386, x86_64 |
| Definition | [python2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/p/python2/xmake.lua) |

##### Install command

```console
xrepo install python2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("python2")
```



## q
### qcbor (msys)


| Description | *Comprehensive, powerful, commercial-quality CBOR encoder/ decoder that is still suited for small devices.* |
| -- | -- |
| Homepage | [https://github.com/laurencelundblade/QCBOR](https://github.com/laurencelundblade/QCBOR) |
| License | BSD-3-Clause |
| Versions | v1.4.1, v1.5.1 |
| Architectures | i386, x86_64 |
| Definition | [qcbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qcbor/xmake.lua) |

##### Install command

```console
xrepo install qcbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qcbor")
```


### qdldl (msys)


| Description | *A free LDL factorisation routine* |
| -- | -- |
| Homepage | [https://github.com/osqp/qdldl](https://github.com/osqp/qdldl) |
| License | Apache-2.0 |
| Versions | v0.1.7, v0.1.8 |
| Architectures | i386, x86_64 |
| Definition | [qdldl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qdldl/xmake.lua) |

##### Install command

```console
xrepo install qdldl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qdldl")
```


### qhull (msys)


| Description | *Qhull computes the convex hull, Delaunay triangulation, Voronoi diagram, halfspace intersection about a point, furthest-site Delaunay triangulation, and furthest-site Voronoi diagram.* |
| -- | -- |
| Homepage | [http://www.qhull.org/](http://www.qhull.org/) |
| Versions | 2020.2 |
| Architectures | i386, x86_64 |
| Definition | [qhull/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qhull/xmake.lua) |

##### Install command

```console
xrepo install qhull
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qhull")
```


### qmsetup (msys)


| Description | *CMake Modules and Basic Libraries for C/C++ projects.* |
| -- | -- |
| Homepage | [https://github.com/stdware/qmsetup](https://github.com/stdware/qmsetup) |
| License | MIT |
| Versions | 2024.09.02 |
| Architectures | i386, x86_64 |
| Definition | [qmsetup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qmsetup/xmake.lua) |

##### Install command

```console
xrepo install qmsetup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qmsetup")
```


### qoa (msys)


| Description | *The “Quite OK Audio Format” for fast, lossy audio compression* |
| -- | -- |
| Homepage | [https://github.com/phoboslab/qoa](https://github.com/phoboslab/qoa) |
| License | MIT |
| Versions | 2024.07.02 |
| Architectures | i386, x86_64 |
| Definition | [qoa/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qoa/xmake.lua) |

##### Install command

```console
xrepo install qoa
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qoa")
```


### qoi (msys)


| Description | *The Quite OK Image Format for fast, lossless image compression* |
| -- | -- |
| Homepage | [https://qoiformat.org/](https://qoiformat.org/) |
| License | MIT |
| Versions | 2021.12.22, 2022.11.17, 2024.03.18, 2025.06.18 |
| Architectures | i386, x86_64 |
| Definition | [qoi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qoi/xmake.lua) |

##### Install command

```console
xrepo install qoi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qoi")
```


### qr-code-generator-c (msys)


| Description | *High-quality QR Code generator library in Java, TypeScript/JavaScript, Python, Rust, C++, C.* |
| -- | -- |
| Homepage | [https://www.nayuki.io/page/qr-code-generator-library](https://www.nayuki.io/page/qr-code-generator-library) |
| Versions | v1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [qr-code-generator-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qr-code-generator-c/xmake.lua) |

##### Install command

```console
xrepo install qr-code-generator-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qr-code-generator-c")
```


### qr-code-generator-cpp (msys)


| Description | *High-quality QR Code generator library in Java, TypeScript/JavaScript, Python, Rust, C++, C.* |
| -- | -- |
| Homepage | [https://www.nayuki.io/page/qr-code-generator-library](https://www.nayuki.io/page/qr-code-generator-library) |
| Versions | v1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [qr-code-generator-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qr-code-generator-cpp/xmake.lua) |

##### Install command

```console
xrepo install qr-code-generator-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qr-code-generator-cpp")
```


### qtifw (msys)


| Description | *The Qt Installer Framework provides a set of tools and utilities to create installers for the supported desktop Qt platforms: Linux, Microsoft Windows, and macOS.* |
| -- | -- |
| Homepage | [https://doc.qt.io/qtinstallerframework/](https://doc.qt.io/qtinstallerframework/) |
| License | GPL-3 |
| Versions | 4.7.0 |
| Architectures | i386, x86_64 |
| Definition | [qtifw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/qtifw/xmake.lua) |

##### Install command

```console
xrepo install qtifw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("qtifw")
```


### quadsort (msys)


| Description | *Quadsort is a branchless stable adaptive mergesort faster than quicksort.* |
| -- | -- |
| Homepage | [https://github.com/scandum/quadsort](https://github.com/scandum/quadsort) |
| License | Unlicense |
| Versions | 1.1.5+4, 1.2.1+3 |
| Architectures | i386, x86_64 |
| Definition | [quadsort/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quadsort/xmake.lua) |

##### Install command

```console
xrepo install quadsort
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quadsort")
```


### quake_triangle (msys)


| Description | *A Two-Dimensional Quality Mesh Generator and Delaunay Triangulator.* |
| -- | -- |
| Homepage | [http://www.cs.cmu.edu/~quake/triangle.html](http://www.cs.cmu.edu/~quake/triangle.html) |
| Versions | 1.6 |
| Architectures | i386, x86_64 |
| Definition | [quake_triangle/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quake_triangle/xmake.lua) |

##### Install command

```console
xrepo install quake_triangle
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quake_triangle")
```


### quantlib (msys)


| Description | *The QuantLib C++ library* |
| -- | -- |
| Homepage | [http://quantlib.org](http://quantlib.org) |
| Versions | 1.33, 1.34, 1.35 |
| Architectures | i386, x86_64 |
| Definition | [quantlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quantlib/xmake.lua) |

##### Install command

```console
xrepo install quantlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quantlib")
```


### quickcpplib (msys)


| Description | *Eliminate all the tedious hassle when making state-of-the-art C++ 14 - 23 libraries!* |
| -- | -- |
| Homepage | [https://github.com/ned14/quickcpplib](https://github.com/ned14/quickcpplib) |
| License | Apache-2.0 |
| Versions | 20221116 |
| Architectures | i386, x86_64 |
| Definition | [quickcpplib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickcpplib/xmake.lua) |

##### Install command

```console
xrepo install quickcpplib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickcpplib")
```


### quickjs-ng (msys)


| Description | *QuickJS, the Next Generation: a mighty JavaScript engine* |
| -- | -- |
| Homepage | [https://github.com/quickjs-ng/quickjs](https://github.com/quickjs-ng/quickjs) |
| License | MIT |
| Versions | v0.5.0, v0.6.1, v0.7.0, v0.8.0, v0.9.0 |
| Architectures | i386, x86_64 |
| Definition | [quickjs-ng/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quickjs-ng/xmake.lua) |

##### Install command

```console
xrepo install quickjs-ng
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quickjs-ng")
```


### quirc (msys)


| Description | *QR decoder library* |
| -- | -- |
| Homepage | [https://github.com/dlbeer/quirc](https://github.com/dlbeer/quirc) |
| License | ISC |
| Versions | v1.2 |
| Architectures | i386, x86_64 |
| Definition | [quirc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/q/quirc/xmake.lua) |

##### Install command

```console
xrepo install quirc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("quirc")
```



## r
### radeonrays (msys)


| Description | *Radeon Rays is ray intersection acceleration library for hardware and software multiplatforms using CPU and GPU* |
| -- | -- |
| Homepage | [https://github.com/GPUOpen-LibrariesAndSDKs/RadeonRays_SDK](https://github.com/GPUOpen-LibrariesAndSDKs/RadeonRays_SDK) |
| License | MIT |
| Versions | 4.1 |
| Architectures | i386, x86_64 |
| Definition | [radeonrays/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/radeonrays/xmake.lua) |

##### Install command

```console
xrepo install radeonrays
```

##### Integration in the project (xmake.lua)

```lua
add_requires("radeonrays")
```


### rang (msys)


| Description | *A Minimal, Header only Modern c++ library for terminal goodies 💄✨* |
| -- | -- |
| Homepage | [https://agauniyal.github.io/rang/](https://agauniyal.github.io/rang/) |
| License | Unlicense |
| Versions | 2022.07.01 |
| Architectures | i386, x86_64 |
| Definition | [rang/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rang/xmake.lua) |

##### Install command

```console
xrepo install rang
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rang")
```


### range-v3 (msys)


| Description | *Range library for C++14/17/20, basis for C++20's std::ranges* |
| -- | -- |
| Homepage | [https://github.com/ericniebler/range-v3/](https://github.com/ericniebler/range-v3/) |
| License | BSL-1.0 |
| Versions | 0.11.0, 0.12.0 |
| Architectures | i386, x86_64 |
| Definition | [range-v3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/range-v3/xmake.lua) |

##### Install command

```console
xrepo install range-v3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("range-v3")
```


### rapidcsv (msys)


| Description | *C++ header-only library for CSV parsing (by d99kris)* |
| -- | -- |
| Homepage | [https://github.com/d99kris/rapidcsv](https://github.com/d99kris/rapidcsv) |
| License | BSD-3-Clause |
| Versions | v8.50, v8.80, v8.82, v8.83, v8.84, v8.85, v8.87 |
| Architectures | i386, x86_64 |
| Definition | [rapidcsv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidcsv/xmake.lua) |

##### Install command

```console
xrepo install rapidcsv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidcsv")
```


### rapidfuzz (msys)


| Description | *Rapid fuzzy string matching in C++ using the Levenshtein Distance* |
| -- | -- |
| Homepage | [https://rapidfuzz.github.io/rapidfuzz-cpp](https://rapidfuzz.github.io/rapidfuzz-cpp) |
| License | MIT |
| Versions | v3.0.2, v3.0.4, v3.0.5, v3.1.1, v3.3.2 |
| Architectures | i386, x86_64 |
| Definition | [rapidfuzz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidfuzz/xmake.lua) |

##### Install command

```console
xrepo install rapidfuzz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidfuzz")
```


### rapidhash (msys)


| Description | *Very fast, high quality, platform independant hashing algorithm.* |
| -- | -- |
| Homepage | [https://github.com/Nicoshev/rapidhash](https://github.com/Nicoshev/rapidhash) |
| License | BSD-2-Clause |
| Versions | v1.0 |
| Architectures | i386, x86_64 |
| Definition | [rapidhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidhash/xmake.lua) |

##### Install command

```console
xrepo install rapidhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidhash")
```


### rapidjson (msys)


| Description | *RapidJSON is a JSON parser and generator for C++.* |
| -- | -- |
| Homepage | [https://github.com/Tencent/rapidjson](https://github.com/Tencent/rapidjson) |
| License | MIT |
| Versions | v1.1.0-arrow, v1.1.0, 2022.7.20, 2023.12.6, 2024.08.16, 2025.02.05 |
| Architectures | i386, x86_64 |
| Definition | [rapidjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidjson/xmake.lua) |

##### Install command

```console
xrepo install rapidjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidjson")
```


### rapidobj (msys)


| Description | *A fast, header-only, C++17 library for parsing Wavefront .obj files.* |
| -- | -- |
| Homepage | [https://github.com/guybrush77/rapidobj](https://github.com/guybrush77/rapidobj) |
| License | MIT |
| Versions | v1.1 |
| Architectures | i386, x86_64 |
| Definition | [rapidobj/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidobj/xmake.lua) |

##### Install command

```console
xrepo install rapidobj
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidobj")
```


### rapidxml (msys)


| Description | *An attempt to create the fastest XML parser possible* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/rapidxml](https://sourceforge.net/projects/rapidxml) |
| License | MIT |
| Versions | 1.13 |
| Architectures | i386, x86_64 |
| Definition | [rapidxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rapidxml/xmake.lua) |

##### Install command

```console
xrepo install rapidxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rapidxml")
```


### raw_pdb (msys)


| Description | *A C++11 library for reading Microsoft Program DataBase PDB files* |
| -- | -- |
| Homepage | [https://github.com/MolecularMatters/raw_pdb](https://github.com/MolecularMatters/raw_pdb) |
| License | BSD-2-Clause |
| Versions | 2022.10.17, 2024.08.27 |
| Architectures | i386, x86_64 |
| Definition | [raw_pdb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/raw_pdb/xmake.lua) |

##### Install command

```console
xrepo install raw_pdb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("raw_pdb")
```


### re-flex (msys)


| Description | *A high-performance C++ regex library and lexical analyzer generator with Unicode support.* |
| -- | -- |
| Homepage | [https://www.genivia.com/doc/reflex/html](https://www.genivia.com/doc/reflex/html) |
| License | BSD-3-Clause |
| Versions | v4.3.0, v4.4.0, v4.5.0, v5.0.1, v5.2.2, v5.3.0 |
| Architectures | i386, x86_64 |
| Definition | [re-flex/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re-flex/xmake.lua) |

##### Install command

```console
xrepo install re-flex
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re-flex")
```


### re-spirv (msys)


| Description | *Lightweight and fast SPIR-V re-optimizer designed around spec constant usage.* |
| -- | -- |
| Homepage | [https://github.com/rt64/re-spirv](https://github.com/rt64/re-spirv) |
| License | MIT |
| Versions | 2024.08.07 |
| Architectures | i386, x86_64 |
| Definition | [re-spirv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re-spirv/xmake.lua) |

##### Install command

```console
xrepo install re-spirv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re-spirv")
```


### re2 (msys)


| Description | *RE2 is a fast, safe, thread-friendly alternative to backtracking regular expression engines like those used in PCRE, Perl, and Python. It is a C++ library.* |
| -- | -- |
| Homepage | [https://github.com/google/re2](https://github.com/google/re2) |
| License | BSD-3-Clause |
| Versions | 2020.11.01, 2021.06.01, 2021.08.01, 2021.11.01, 2022.02.01, 2023.11.01, 2024.03.01, 2024.04.01, 2024.06.01, 2024.07.02, 2025.07.17 |
| Architectures | i386, x86_64 |
| Definition | [re2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re2/xmake.lua) |

##### Install command

```console
xrepo install re2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re2")
```


### re2c (msys)


| Description | *Lexer generator for C, C++, D, Go, Haskell, Java, JS, OCaml, Python, Rust, Swift, V and Zig.* |
| -- | -- |
| Homepage | [https://re2c.org](https://re2c.org) |
| License | Public Domain |
| Versions | 4.2, 4.3 |
| Architectures | i386, x86_64 |
| Definition | [re2c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/re2c/xmake.lua) |

##### Install command

```console
xrepo install re2c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("re2c")
```


### reaction (msys)


| Description | *A lightweight, header-only reactive programming framework leveraging modern C++20 features for building efficient dataflow applications.* |
| -- | -- |
| Homepage | [https://github.com/lumia431/reaction](https://github.com/lumia431/reaction) |
| License | MIT |
| Versions | 2025.04.16 |
| Architectures | i386, x86_64 |
| Definition | [reaction/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reaction/xmake.lua) |

##### Install command

```console
xrepo install reaction
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reaction")
```


### reactiveplusplus (msys)


| Description | *Implementation of async observable/observer (Reactive Programming) in C++ with care about performance and templates in mind in ReactiveX approach* |
| -- | -- |
| Homepage | [https://victimsnino.github.io/ReactivePlusPlus/v2/docs/html/md_docs_2readme.html](https://victimsnino.github.io/ReactivePlusPlus/v2/docs/html/md_docs_2readme.html) |
| License | BSL-1.0 |
| Versions | v0.2.3, v2.1.0, v2.1.1, v2.2.2 |
| Architectures | i386, x86_64 |
| Definition | [reactiveplusplus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reactiveplusplus/xmake.lua) |

##### Install command

```console
xrepo install reactiveplusplus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reactiveplusplus")
```


### readerwriterqueue (msys)


| Description | *A fast single-producer, single-consumer lock-free queue for C++* |
| -- | -- |
| Homepage | [https://github.com/cameron314/readerwriterqueue](https://github.com/cameron314/readerwriterqueue) |
| License | BSD-3-Clause |
| Versions | v1.0.6, v1.0.7 |
| Architectures | i386, x86_64 |
| Definition | [readerwriterqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/readerwriterqueue/xmake.lua) |

##### Install command

```console
xrepo install readerwriterqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("readerwriterqueue")
```


### readline (msys)


| Description | *Library for command-line editing* |
| -- | -- |
| Homepage | [https://tiswww.case.edu/php/chet/readline/rltop.html](https://tiswww.case.edu/php/chet/readline/rltop.html) |
| License | GPL-3.0-or-later |
| Versions | 8.1, 8.2, 8.2.13 |
| Architectures | i386, x86_64 |
| Definition | [readline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/readline/xmake.lua) |

##### Install command

```console
xrepo install readline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("readline")
```


### recastnavigation (msys)


| Description | *Navigation-mesh Toolset for Games* |
| -- | -- |
| Homepage | [https://github.com/recastnavigation/recastnavigation](https://github.com/recastnavigation/recastnavigation) |
| License | zlib |
| Versions | 1.5.1, v1.6.0 |
| Architectures | i386, x86_64 |
| Definition | [recastnavigation/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/recastnavigation/xmake.lua) |

##### Install command

```console
xrepo install recastnavigation
```

##### Integration in the project (xmake.lua)

```lua
add_requires("recastnavigation")
```


### reflect-cpp (msys)


| Description | *A C++20 library for fast serialization, deserialization and validation using reflection. Supports JSON, BSON, CBOR, flexbuffers, msgpack, TOML, XML, YAML / msgpack.org[C++20]* |
| -- | -- |
| Homepage | [https://github.com/getml/reflect-cpp](https://github.com/getml/reflect-cpp) |
| License | MIT |
| Versions | v0.10.0, v0.11.1, v0.12.0, v0.13.0, v0.14.0, v0.14.1, v0.16.0, v0.17.0, v0.18.0, v0.19.0 |
| Architectures | i386, x86_64 |
| Definition | [reflect-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reflect-cpp/xmake.lua) |

##### Install command

```console
xrepo install reflect-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reflect-cpp")
```


### remotery (msys)


| Description | *Single C file, Realtime CPU/GPU Profiler with Remote Web Viewer* |
| -- | -- |
| Homepage | [https://github.com/Celtoys/Remotery](https://github.com/Celtoys/Remotery) |
| License | Apache-2.0 |
| Versions | 2023.08.02 |
| Architectures | i386, x86_64 |
| Definition | [remotery/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/remotery/xmake.lua) |

##### Install command

```console
xrepo install remotery
```

##### Integration in the project (xmake.lua)

```lua
add_requires("remotery")
```


### replxx (msys)


| Description | *A readline and libedit replacement that supports UTF-8, syntax highlighting, hints and Windows and is BSD licensed.* |
| -- | -- |
| Homepage | [https://github.com/AmokHuginnsson/replxx](https://github.com/AmokHuginnsson/replxx) |
| License | BSD-3-Clause |
| Versions | 2021.11.25 |
| Architectures | i386, x86_64 |
| Definition | [replxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/replxx/xmake.lua) |

##### Install command

```console
xrepo install replxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("replxx")
```


### reproc (msys)


| Description | *a cross-platform C/C++ library that simplifies starting, stopping and communicating with external programs.* |
| -- | -- |
| Homepage | [https://github.com/DaanDeMeyer/reproc](https://github.com/DaanDeMeyer/reproc) |
| License | MIT |
| Versions | v14.2.4, v14.2.5 |
| Architectures | i386, x86_64 |
| Definition | [reproc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/reproc/xmake.lua) |

##### Install command

```console
xrepo install reproc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("reproc")
```


### restinio (msys)


| Description | *Cross-platform, efficient, customizable, and robust asynchronous HTTP/WebSocket server C++14 library with the right balance between performance and ease of use* |
| -- | -- |
| Homepage | [https://github.com/Stiffstream/restinio](https://github.com/Stiffstream/restinio) |
| License | BSD-3-Clause |
| Versions | 0.6.17, 0.6.18, 0.6.19 |
| Architectures | i386, x86_64 |
| Definition | [restinio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/restinio/xmake.lua) |

##### Install command

```console
xrepo install restinio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("restinio")
```


### ricab-scope_guard (msys)


| Description | *A modern C++ scope guard that is easy to use but hard to misuse.* |
| -- | -- |
| Homepage | [https://ricab.github.io/scope_guard/](https://ricab.github.io/scope_guard/) |
| License | Unlicense |
| Versions | v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [ricab-scope_guard/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ricab-scope_guard/xmake.lua) |

##### Install command

```console
xrepo install ricab-scope_guard
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ricab-scope_guard")
```


### ring-span-lite (msys)


| Description | *ring-span lite - A C++yy-like ring_span type for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/ring-span-lite](https://github.com/martinmoene/ring-span-lite) |
| License | BSL-1.0 |
| Versions | v0.7.0 |
| Architectures | i386, x86_64 |
| Definition | [ring-span-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ring-span-lite/xmake.lua) |

##### Install command

```console
xrepo install ring-span-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ring-span-lite")
```


### robin-hood-hashing (msys)


| Description | *Fast & memory efficient hashtable based on robin hood hashing for C++11/14/17/20* |
| -- | -- |
| Homepage | [https://github.com/martinus/robin-hood-hashing](https://github.com/martinus/robin-hood-hashing) |
| License | MIT |
| Versions | 3.11.3, 3.11.5 |
| Architectures | i386, x86_64 |
| Definition | [robin-hood-hashing/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robin-hood-hashing/xmake.lua) |

##### Install command

```console
xrepo install robin-hood-hashing
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robin-hood-hashing")
```


### robin-map (msys)


| Description | *A C++ implementation of a fast hash map and hash set using robin hood hashing* |
| -- | -- |
| Homepage | [https://github.com/Tessil/robin-map](https://github.com/Tessil/robin-map) |
| License | MIT |
| Versions | v0.6.3, v1.2.1, v1.2.2, v1.3.0, v1.4.0 |
| Architectures | i386, x86_64 |
| Definition | [robin-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robin-map/xmake.lua) |

##### Install command

```console
xrepo install robin-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robin-map")
```


### robotstxt (msys)


| Description | *The repository contains Google's robots.txt parser and matcher as a C++ librar.* |
| -- | -- |
| Homepage | [https://github.com/google/robotstxt](https://github.com/google/robotstxt) |
| License | Apache-2.0 |
| Versions | 2021.11.24 |
| Architectures | i386, x86_64 |
| Definition | [robotstxt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/robotstxt/xmake.lua) |

##### Install command

```console
xrepo install robotstxt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("robotstxt")
```


### rocket (msys)


| Description | *Fast single header signal/slots library for C++* |
| -- | -- |
| Homepage | [https://github.com/tripleslash/rocket](https://github.com/tripleslash/rocket) |
| Versions | 2020.06.03, 2024.08.21 |
| Architectures | i386, x86_64 |
| Definition | [rocket/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rocket/xmake.lua) |

##### Install command

```console
xrepo install rocket
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rocket")
```


### rpclib (msys)


| Description | *rpclib is a modern C++ msgpack-RPC server and client library* |
| -- | -- |
| Homepage | [http://rpclib.net](http://rpclib.net) |
| License | MIT |
| Versions | v2.3.0 |
| Architectures | i386, x86_64 |
| Definition | [rpclib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rpclib/xmake.lua) |

##### Install command

```console
xrepo install rpclib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rpclib")
```


### rply (msys)


| Description | *RPly is a library that lets applications read and write PLY files.* |
| -- | -- |
| Homepage | [http://w3.impa.br/~diego/software/rply/](http://w3.impa.br/~diego/software/rply/) |
| License | MIT |
| Versions | 1.1.4 |
| Architectures | i386, x86_64 |
| Definition | [rply/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rply/xmake.lua) |

##### Install command

```console
xrepo install rply
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rply")
```


### rpmalloc (msys)


| Description | *Public domain cross platform lock free thread caching 16-byte aligned memory allocator implemented in C* |
| -- | -- |
| Homepage | [https://github.com/mjansson/rpmalloc](https://github.com/mjansson/rpmalloc) |
| License | MIT |
| Versions | 1.4.4, 1.4.5 |
| Architectures | i386, x86_64 |
| Definition | [rpmalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rpmalloc/xmake.lua) |

##### Install command

```console
xrepo install rpmalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rpmalloc")
```


### rsm-autotoml (msys)


| Description | *toml++ wrapper for basic node types* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/AutoTOML](https://github.com/Ryan-rsm-McKenzie/AutoTOML) |
| License | MIT |
| Versions | 2020.12.29 |
| Architectures | i386, x86_64 |
| Definition | [rsm-autotoml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-autotoml/xmake.lua) |

##### Install command

```console
xrepo install rsm-autotoml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-autotoml")
```


### rsm-mmio (msys)


| Description | *A cross-platform memory-mapped io library for C++* |
| -- | -- |
| Homepage | [https://github.com/Ryan-rsm-McKenzie/mmio](https://github.com/Ryan-rsm-McKenzie/mmio) |
| License | MIT |
| Versions | 2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [rsm-mmio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rsm-mmio/xmake.lua) |

##### Install command

```console
xrepo install rsm-mmio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rsm-mmio")
```


### rtaudio (msys)


| Description | *A set of C++ classes that provide a common API for realtime audio input/output across Linux (native ALSA, JACK, PulseAudio and OSS), Macintosh OS X (CoreAudio and JACK), and Windows (DirectSound, ASIO, and WASAPI) operating systems.* |
| -- | -- |
| Homepage | [https://github.com/thestk/rtaudio](https://github.com/thestk/rtaudio) |
| Versions | 6.0.0, 6.0.1 |
| Architectures | i386, x86_64 |
| Definition | [rtaudio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rtaudio/xmake.lua) |

##### Install command

```console
xrepo install rtaudio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rtaudio")
```


### rtmidi (msys)


| Description | *A set of C++ classes that provide a common API for realtime MIDI input/output across Linux (ALSA & JACK), Macintosh OS X (CoreMIDI) and Windows (Multimedia)* |
| -- | -- |
| Homepage | [https://github.com/thestk/rtmidi](https://github.com/thestk/rtmidi) |
| Versions | 6.0.0 |
| Architectures | i386, x86_64 |
| Definition | [rtmidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rtmidi/xmake.lua) |

##### Install command

```console
xrepo install rtmidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rtmidi")
```


### rttr (msys)


| Description | *rttr: An open source library, which adds reflection to C++.* |
| -- | -- |
| Homepage | [https://www.rttr.org](https://www.rttr.org) |
| License | MIT |
| Versions | 0.9.7 |
| Architectures | i386, x86_64 |
| Definition | [rttr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rttr/xmake.lua) |

##### Install command

```console
xrepo install rttr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rttr")
```


### ruapu (msys)


| Description | *Detect CPU features with single-file* |
| -- | -- |
| Homepage | [https://github.com/nihui/ruapu](https://github.com/nihui/ruapu) |
| License | MIT |
| Versions | 0.1.0 |
| Architectures | i386, x86_64 |
| Definition | [ruapu/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/ruapu/xmake.lua) |

##### Install command

```console
xrepo install ruapu
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ruapu")
```


### rust (msys)


| Description | *Rust is a general-purpose programming language emphasizing performance, type safety, and concurrency.* |
| -- | -- |
| Homepage | [https://rust-lang.org](https://rust-lang.org) |
| Versions | 1.86.0 |
| Architectures | i386, x86_64 |
| Definition | [rust/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rust/xmake.lua) |

##### Install command

```console
xrepo install rust
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rust")
```


### rustup (msys)


| Description | *An installer for the systems programming language Rust* |
| -- | -- |
| Homepage | [https://rustup.rs](https://rustup.rs) |
| Versions | 1.28.1 |
| Architectures | i386, x86_64 |
| Definition | [rustup/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rustup/xmake.lua) |

##### Install command

```console
xrepo install rustup
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rustup")
```


### rxcpp (msys)


| Description | *Compose async and event-based programs using observable sequences and LINQ-style query operators.* |
| -- | -- |
| Homepage | [http://reactivex.io/RxCpp/](http://reactivex.io/RxCpp/) |
| License | Apache-2.0 |
| Versions | v3.0.0, v4.1.1 |
| Architectures | i386, x86_64 |
| Definition | [rxcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/r/rxcpp/xmake.lua) |

##### Install command

```console
xrepo install rxcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("rxcpp")
```



## s
### s7 (msys)


| Description | *s7 is a Scheme interpreter intended as an extension language for other applications.* |
| -- | -- |
| Homepage | [https://ccrma.stanford.edu/software/snd/snd/s7.html](https://ccrma.stanford.edu/software/snd/snd/s7.html) |
| Versions | 2023.04.13 |
| Architectures | i386, x86_64 |
| Definition | [s7/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/s7/xmake.lua) |

##### Install command

```console
xrepo install s7
```

##### Integration in the project (xmake.lua)

```lua
add_requires("s7")
```


### safetyhook (msys)


| Description | *C++23 procedure hooking library.* |
| -- | -- |
| Homepage | [https://cursey.dev/safetyhook](https://cursey.dev/safetyhook) |
| License | BSL-1.0 |
| Versions | v0.6.4, v0.6.5, v0.6.6, v0.6.7, v0.6.9 |
| Architectures | i386, x86_64 |
| Definition | [safetyhook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/safetyhook/xmake.lua) |

##### Install command

```console
xrepo install safetyhook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("safetyhook")
```


### sailormoon_flags (msys)


| Description | *Simple, extensible, header-only C++17 argument parser released into the public domain.* |
| -- | -- |
| Homepage | [https://github.com/sailormoon/flags](https://github.com/sailormoon/flags) |
| License | MIT |
| Versions | 1.1 |
| Architectures | i386, x86_64 |
| Definition | [sailormoon_flags/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sailormoon_flags/xmake.lua) |

##### Install command

```console
xrepo install sailormoon_flags
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sailormoon_flags")
```


### scnlib (msys)


| Description | *scnlib is a modern C++ library for replacing scanf and std::istream* |
| -- | -- |
| Homepage | [https://scnlib.readthedocs.io/](https://scnlib.readthedocs.io/) |
| License | Apache-2.0 |
| Versions | v0.4, v1.1.2, v2.0.2, v2.0.3, v3.0.1, v4.0.1 |
| Architectures | i386, x86_64 |
| Definition | [scnlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/scnlib/xmake.lua) |

##### Install command

```console
xrepo install scnlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("scnlib")
```


### scons (msys)


| Description | *A software construction tool* |
| -- | -- |
| Homepage | [https://scons.org](https://scons.org) |
| Versions | 4.1.0, 4.3.0, 4.6.0, 4.7.0, 4.8.0, 4.9.1 |
| Architectures | i386, x86_64 |
| Definition | [scons/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/scons/xmake.lua) |

##### Install command

```console
xrepo install scons
```

##### Integration in the project (xmake.lua)

```lua
add_requires("scons")
```


### semver (msys)


| Description | *Semantic Versioning for modern C++* |
| -- | -- |
| Homepage | [https://github.com/Neargye/semver](https://github.com/Neargye/semver) |
| License | MIT |
| Versions | v1.0.0-rc |
| Architectures | i386, x86_64 |
| Definition | [semver/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/semver/xmake.lua) |

##### Install command

```console
xrepo install semver
```

##### Integration in the project (xmake.lua)

```lua
add_requires("semver")
```


### sfl-library (msys)


| Description | *C++11 header-only library. Small and static vector. Small and static flat map/set. Compact vector. Segmented vector.* |
| -- | -- |
| Homepage | [https://github.com/slavenf/sfl-library](https://github.com/slavenf/sfl-library) |
| License | zlib |
| Versions | 1.5.0, 1.6.0 |
| Architectures | i386, x86_64 |
| Definition | [sfl-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfl-library/xmake.lua) |

##### Install command

```console
xrepo install sfl-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfl-library")
```


### sfparse (msys)


| Description | *Structured Field Values parser* |
| -- | -- |
| Homepage | [https://github.com/ngtcp2/sfparse](https://github.com/ngtcp2/sfparse) |
| License | MIT |
| Versions | 2024.05.12, 2024.12.15 |
| Architectures | i386, x86_64 |
| Definition | [sfparse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sfparse/xmake.lua) |

##### Install command

```console
xrepo install sfparse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sfparse")
```


### shaderc (msys)


| Description | *A collection of tools, libraries, and tests for Vulkan shader compilation.* |
| -- | -- |
| Homepage | [https://github.com/google/shaderc](https://github.com/google/shaderc) |
| License | Apache-2.0 |
| Versions | v2022.2, v2024.0, v2024.1 |
| Architectures | i386, x86_64 |
| Definition | [shaderc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/shaderc/xmake.lua) |

##### Install command

```console
xrepo install shaderc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("shaderc")
```


### sheenbidi (msys)


| Description | *A sophisticated implementation of Unicode Bidirectional Algorithm* |
| -- | -- |
| Homepage | [https://github.com/Tehreer/SheenBidi](https://github.com/Tehreer/SheenBidi) |
| License | Apache-2.0 |
| Versions | v2.6, v2.7, v2.8 |
| Architectures | i386, x86_64 |
| Definition | [sheenbidi/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sheenbidi/xmake.lua) |

##### Install command

```console
xrepo install sheenbidi
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sheenbidi")
```


### simdcomp (msys)


| Description | *A simple C library for compressing lists of integers using binary packing* |
| -- | -- |
| Homepage | [https://github.com/lemire/simdcomp](https://github.com/lemire/simdcomp) |
| License | BSD-3-Clause |
| Versions | 2023.08.19 |
| Architectures | i386, x86_64 |
| Definition | [simdcomp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simdcomp/xmake.lua) |

##### Install command

```console
xrepo install simdcomp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simdcomp")
```


### simdutf (msys)


| Description | *Unicode routines (UTF8, UTF16, UTF32): billions of characters per second using SSE2, AVX2, NEON, AVX-512. Part of Node.js.* |
| -- | -- |
| Homepage | [https://simdutf.github.io/simdutf/](https://simdutf.github.io/simdutf/) |
| License | Apache-2.0 |
| Versions | v3.2.17, v4.0.9, v5.2.3, v5.2.4, v5.2.6, v5.2.8, v5.3.0, v5.3.4, v5.3.11, v5.4.15, v5.5.0, v5.6.3, v5.7.1, v5.7.2, v6.2.0, v6.5.0, v7.0.0, v7.2.1, v7.3.2, v7.3.3 |
| Architectures | i386, x86_64 |
| Definition | [simdutf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simdutf/xmake.lua) |

##### Install command

```console
xrepo install simdutf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simdutf")
```


### simpleini (msys)


| Description | *Cross-platform C++ library providing a simple API to read and write INI-style configuration files.* |
| -- | -- |
| Homepage | [https://github.com/brofield/simpleini](https://github.com/brofield/simpleini) |
| License | MIT |
| Versions | v4.19, v4.22 |
| Architectures | i386, x86_64 |
| Definition | [simpleini/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simpleini/xmake.lua) |

##### Install command

```console
xrepo install simpleini
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simpleini")
```


### simsimd (msys)


| Description | *Vector Similarity Functions 3x-200x Faster than SciPy and NumPy* |
| -- | -- |
| Homepage | [https://ashvardanian.com/posts/simsimd-faster-scipy/](https://ashvardanian.com/posts/simsimd-faster-scipy/) |
| License | Apache-2.0 |
| Versions | v3.9.0, v4.3.1, v4.3.2, v5.4.4, v5.6.0, v5.6.4, v5.9.6, v6.0.5, v6.1.1, v6.2.1, v6.2.3, v6.4.0, v6.4.1, v6.4.3, v6.5.0 |
| Architectures | i386, x86_64 |
| Definition | [simsimd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/simsimd/xmake.lua) |

##### Install command

```console
xrepo install simsimd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("simsimd")
```


### snappy (msys)


| Description | *A fast compressor/decompressor* |
| -- | -- |
| Homepage | [https://github.com/google/snappy](https://github.com/google/snappy) |
| Versions | 1.1.8, 1.1.9, 1.1.10, 1.2.0, 1.2.1, 1.2.2 |
| Architectures | i386, x86_64 |
| Definition | [snappy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snappy/xmake.lua) |

##### Install command

```console
xrepo install snappy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snappy")
```


### snitch (msys)


| Description | *Lightweight C++20 testing framework.* |
| -- | -- |
| Homepage | [https://github.com/cschreib/snitch](https://github.com/cschreib/snitch) |
| License | BSL-1.0 |
| Versions | 1.0.0, 1.2.4, 1.2.5, 1.3.1, 1.3.2 |
| Architectures | i386, x86_64 |
| Definition | [snitch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snitch/xmake.lua) |

##### Install command

```console
xrepo install snitch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snitch")
```


### snmalloc (msys)


| Description | *Message passing based allocator* |
| -- | -- |
| Homepage | [https://github.com/microsoft/snmalloc](https://github.com/microsoft/snmalloc) |
| License | MIT |
| Versions | 0.6.0, 0.6.2, 0.7.0, 0.7.1 |
| Architectures | i386, x86_64 |
| Definition | [snmalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snmalloc/xmake.lua) |

##### Install command

```console
xrepo install snmalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snmalloc")
```


### snowhouse (msys)


| Description | *An assertion library for C++* |
| -- | -- |
| Homepage | [https://github.com/banditcpp/snowhouse](https://github.com/banditcpp/snowhouse) |
| License | BSL-1.0 |
| Versions | v5.0.0 |
| Architectures | i386, x86_64 |
| Definition | [snowhouse/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/snowhouse/xmake.lua) |

##### Install command

```console
xrepo install snowhouse
```

##### Integration in the project (xmake.lua)

```lua
add_requires("snowhouse")
```


### sobjectizer (msys)


| Description | *An implementation of Actor, Publish-Subscribe, and CSP models in one rather small C++ framework. With performance, quality, and stability proved by years in the production.* |
| -- | -- |
| Homepage | [https://stiffstream.com/en/products/sobjectizer.html](https://stiffstream.com/en/products/sobjectizer.html) |
| Versions | 5.8.0, 5.8.4 |
| Architectures | i386, x86_64 |
| Definition | [sobjectizer/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sobjectizer/xmake.lua) |

##### Install command

```console
xrepo install sobjectizer
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sobjectizer")
```


### soci (msys)


| Description | *Official repository of the SOCI - The C++ Database Access Library* |
| -- | -- |
| Homepage | [http://soci.sourceforge.net/](http://soci.sourceforge.net/) |
| License | BSL-1.0 |
| Versions | v4.0.3 |
| Architectures | i386, x86_64 |
| Definition | [soci/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soci/xmake.lua) |

##### Install command

```console
xrepo install soci
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soci")
```


### socket-io-client (msys)


| Description | *C++11 implementation of Socket.IO client* |
| -- | -- |
| Homepage | [https://github.com/socketio/socket.io-client-cpp](https://github.com/socketio/socket.io-client-cpp) |
| License | MIT |
| Versions | 2024.07.17 |
| Architectures | i386, x86_64 |
| Definition | [socket-io-client/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/socket-io-client/xmake.lua) |

##### Install command

```console
xrepo install socket-io-client
```

##### Integration in the project (xmake.lua)

```lua
add_requires("socket-io-client")
```


### sockpp (msys)


| Description | *Modern C++ socket library* |
| -- | -- |
| Homepage | [https://github.com/fpagliughi/sockpp](https://github.com/fpagliughi/sockpp) |
| License | BSD-3-Clause |
| Versions | v0.8.1, v0.8.3, v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [sockpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sockpp/xmake.lua) |

##### Install command

```console
xrepo install sockpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sockpp")
```


### soil2 (msys)


| Description | *SOIL2 is a tiny C library used primarily for uploading textures into OpenGL.* |
| -- | -- |
| Homepage | [https://github.com/SpartanJ/SOIL2](https://github.com/SpartanJ/SOIL2) |
| License | MIT-0 |
| Versions | 2024.10.14 |
| Architectures | i386, x86_64 |
| Definition | [soil2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soil2/xmake.lua) |

##### Install command

```console
xrepo install soil2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soil2")
```


### sokol (msys)


| Description | *Simple STB-style cross-platform libraries for C and C++, written in C.* |
| -- | -- |
| Homepage | [https://github.com/floooh/sokol](https://github.com/floooh/sokol) |
| License | zlib |
| Versions | 2022.02.10, 2023.01.27, 2024.07.10, 2024.12.08, 2025.03.20 |
| Architectures | i386, x86_64 |
| Definition | [sokol/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sokol/xmake.lua) |

##### Install command

```console
xrepo install sokol
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sokol")
```


### sokol-tools (msys)


| Description | *Command line tools for use with sokol headers* |
| -- | -- |
| Homepage | [https://github.com/floooh/sokol-tools](https://github.com/floooh/sokol-tools) |
| License | MIT |
| Versions | 2025.02.10 |
| Architectures | i386, x86_64 |
| Definition | [sokol-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sokol-tools/xmake.lua) |

##### Install command

```console
xrepo install sokol-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sokol-tools")
```


### sol2 (msys)


| Description | *A C++ library binding to Lua.* |
| -- | -- |
| Homepage | [https://github.com/ThePhD/sol2](https://github.com/ThePhD/sol2) |
| Versions | v3.2.1, v3.2.2, v3.2.3, v3.3.0, v3.3.1, v3.5.0 |
| Architectures | i386, x86_64 |
| Definition | [sol2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sol2/xmake.lua) |

##### Install command

```console
xrepo install sol2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sol2")
```


### soloud (msys)


| Description | *SoLoud is an easy to use, free, portable c/c++ audio engine for games.* |
| -- | -- |
| Homepage | [https://github.com/jarikomppa/soloud](https://github.com/jarikomppa/soloud) |
| License | zlib |
| Versions | 2020.02.07 |
| Architectures | i386, x86_64 |
| Definition | [soloud/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soloud/xmake.lua) |

##### Install command

```console
xrepo install soloud
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soloud")
```


### sophus (msys)


| Description | *C++ implementation of Lie Groups using Eigen.* |
| -- | -- |
| Homepage | [https://strasdat.github.io/Sophus/](https://strasdat.github.io/Sophus/) |
| License | MIT |
| Versions | 1.22.10, 1.24.6 |
| Architectures | i386, x86_64 |
| Definition | [sophus/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sophus/xmake.lua) |

##### Install command

```console
xrepo install sophus
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sophus")
```


### soundtouch (msys)


| Description | *SoundTouch Audio Processing Library* |
| -- | -- |
| Homepage | [https://modplug-xmms.sourceforge.net](https://modplug-xmms.sourceforge.net) |
| License | LGPL-2.1 |
| Versions | 2.3.2 |
| Architectures | i386, x86_64 |
| Definition | [soundtouch/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soundtouch/xmake.lua) |

##### Install command

```console
xrepo install soundtouch
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soundtouch")
```


### soxr (msys)


| Description | *The SoX Resampler library libsoxr performs fast, high-quality one-dimensional sample rate conversion.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/soxr](https://sourceforge.net/projects/soxr) |
| License | LGPL-2.1 |
| Versions | 0.1.3 |
| Architectures | i386, x86_64 |
| Definition | [soxr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/soxr/xmake.lua) |

##### Install command

```console
xrepo install soxr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("soxr")
```


### span-lite (msys)


| Description | *span lite - A C++20-like span for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/span-lite](https://github.com/martinmoene/span-lite) |
| License | BSL |
| Versions | 0.10.3, 0.11.0 |
| Architectures | i386, x86_64 |
| Definition | [span-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/span-lite/xmake.lua) |

##### Install command

```console
xrepo install span-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("span-lite")
```


### sparse-map (msys)


| Description | *C++ implementation of a memory efficient hash map and hash set* |
| -- | -- |
| Homepage | [https://github.com/Tessil/sparse-map](https://github.com/Tessil/sparse-map) |
| License | MIT |
| Versions | v0.6.2 |
| Architectures | i386, x86_64 |
| Definition | [sparse-map/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sparse-map/xmake.lua) |

##### Install command

```console
xrepo install sparse-map
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sparse-map")
```


### spdlog (msys)


| Description | *Fast C++ logging library.* |
| -- | -- |
| Homepage | [https://github.com/gabime/spdlog](https://github.com/gabime/spdlog) |
| License | MIT |
| Versions | v1.2.1, v1.3.1, v1.4.2, v1.5.0, v1.8.0, v1.8.1, v1.8.2, v1.8.5, v1.9.0, v1.9.1, v1.9.2, v1.10.0, v1.11.0, v1.12.0, v1.13.0, v1.14.0, v1.14.1, v1.15.0, v1.15.1, v1.15.2, v1.15.3 |
| Architectures | i386, x86_64 |
| Definition | [spdlog/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spdlog/xmake.lua) |

##### Install command

```console
xrepo install spdlog
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spdlog")
```


### spine-runtimes (msys)


| Description | *2D skeletal animation runtimes for Spine.* |
| -- | -- |
| Homepage | [http://esotericsoftware.com](http://esotericsoftware.com) |
| License | Spine Runtimes |
| Versions | 3.8 |
| Architectures | i386, x86_64 |
| Definition | [spine-runtimes/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spine-runtimes/xmake.lua) |

##### Install command

```console
xrepo install spine-runtimes
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spine-runtimes")
```


### spirv-headers (msys)


| Description | *SPIR-V Headers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Headers/](https://github.com/KhronosGroup/SPIRV-Headers/) |
| License | MIT |
| Versions | 1.2.198+0, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | i386, x86_64 |
| Definition | [spirv-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-headers/xmake.lua) |

##### Install command

```console
xrepo install spirv-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-headers")
```


### spirv-tools (msys)


| Description | *SPIR-V Tools* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/SPIRV-Tools/](https://github.com/KhronosGroup/SPIRV-Tools/) |
| License | Apache-2.0 |
| Versions | 1.2.154+1, 1.2.162+0, 1.2.189+1, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | i386, x86_64 |
| Definition | [spirv-tools/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spirv-tools/xmake.lua) |

##### Install command

```console
xrepo install spirv-tools
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spirv-tools")
```


### spot (msys)


| Description | *Spot: a platform for LTL and ω-automata manipulation* |
| -- | -- |
| Homepage | [https://spot.lrde.epita.fr/](https://spot.lrde.epita.fr/) |
| License | GPL-3.0 |
| Versions | 2.10.1, 2.13.2 |
| Architectures | i386, x86_64 |
| Definition | [spot/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/spot/xmake.lua) |

##### Install command

```console
xrepo install spot
```

##### Integration in the project (xmake.lua)

```lua
add_requires("spot")
```


### sqlite-vec (msys)


| Description | *A vector search SQLite extension that runs anywhere!* |
| -- | -- |
| Homepage | [https://github.com/asg017/sqlite-vec](https://github.com/asg017/sqlite-vec) |
| License | Apache-2.0 |
| Versions | 0.1.3, 0.1.6 |
| Architectures | i386, x86_64 |
| Definition | [sqlite-vec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite-vec/xmake.lua) |

##### Install command

```console
xrepo install sqlite-vec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite-vec")
```


### sqlite3 (msys)


| Description | *The most used database engine in the world* |
| -- | -- |
| Homepage | [https://sqlite.org/](https://sqlite.org/) |
| License | Public Domain |
| Versions | 3.23.0+0, 3.24.0+0, 3.34.0+100, 3.35.0+300, 3.35.0+400, 3.36.0+0, 3.37.0+200, 3.39.0+200, 3.43.0+200, 3.45.0+100, 3.45.0+300, 3.45.0+200, 3.46.0+0, 3.46.0+100, 3.47.0+200, 3.47.0+0, 3.47.0+100, 3.48.0+0, 3.49.0+100, 3.49.0+200, 3.49.0+0, 3.50.0+100, 3.50.0+200, 3.50.0+0, 3.50.0+300 |
| Architectures | i386, x86_64 |
| Definition | [sqlite3/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite3/xmake.lua) |

##### Install command

```console
xrepo install sqlite3
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite3")
```


### sqlite3-lemon (msys)


| Description | *A parser generator* |
| -- | -- |
| Homepage | [https://sqlite.org/](https://sqlite.org/) |
| License | Public Domain |
| Versions | 3.49.0+200 |
| Architectures | i386, x86_64 |
| Definition | [sqlite3-lemon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite3-lemon/xmake.lua) |

##### Install command

```console
xrepo install sqlite3-lemon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite3-lemon")
```


### sqlite_orm (msys)


| Description | *SQLite ORM light header only library for modern C++* |
| -- | -- |
| Homepage | [https://github.com/fnc12/sqlite_orm](https://github.com/fnc12/sqlite_orm) |
| Versions | v1.8.2, v1.9, v1.9.1 |
| Architectures | i386, x86_64 |
| Definition | [sqlite_orm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlite_orm/xmake.lua) |

##### Install command

```console
xrepo install sqlite_orm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlite_orm")
```


### sqlitecpp (msys)


| Description | *SQLiteC++ (SQLiteCpp) is a smart and easy to use C++ SQLite3 wrapper.* |
| -- | -- |
| Homepage | [http://srombauts.github.io/SQLiteCpp](http://srombauts.github.io/SQLiteCpp) |
| License | MIT |
| Versions | 3.2.1, 3.3.1, 3.3.2, 3.3.3 |
| Architectures | i386, x86_64 |
| Definition | [sqlitecpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqlitecpp/xmake.lua) |

##### Install command

```console
xrepo install sqlitecpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqlitecpp")
```


### sqrat (msys)


| Description | *Sqrat is a C++ library for Squirrel that facilitates exposing classes and other native functionality to Squirrel scripts.* |
| -- | -- |
| Homepage | [http://scrat.sourceforge.net/](http://scrat.sourceforge.net/) |
| License | zlib |
| Versions | 0.9.2 |
| Architectures | i386, x86_64 |
| Definition | [sqrat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sqrat/xmake.lua) |

##### Install command

```console
xrepo install sqrat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sqrat")
```


### squirrel (msys)


| Description | *Official repository for the programming language Squirrel* |
| -- | -- |
| Homepage | [http://www.squirrel-lang.org](http://www.squirrel-lang.org) |
| License | MIT |
| Versions | v3.2 |
| Architectures | i386, x86_64 |
| Definition | [squirrel/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/squirrel/xmake.lua) |

##### Install command

```console
xrepo install squirrel
```

##### Integration in the project (xmake.lua)

```lua
add_requires("squirrel")
```


### srell (msys)


| Description | *SRELL (std::regex-like library) is a Unicode-aware regular expression template library for C++.* |
| -- | -- |
| Homepage | [https://akenotsuki.com/misc/srell](https://akenotsuki.com/misc/srell) |
| License | BSD-2-Clause |
| Versions | 3.018, 4.019, 4.063 |
| Architectures | i386, x86_64 |
| Definition | [srell/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/srell/xmake.lua) |

##### Install command

```console
xrepo install srell
```

##### Integration in the project (xmake.lua)

```lua
add_requires("srell")
```


### sse2neon (msys)


| Description | *A translator from Intel SSE intrinsics to Arm/Aarch64 NEON implementation* |
| -- | -- |
| Homepage | [https://github.com/DLTcollab/sse2neon](https://github.com/DLTcollab/sse2neon) |
| License | MIT |
| Versions | v1.7.0, v1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [sse2neon/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sse2neon/xmake.lua) |

##### Install command

```console
xrepo install sse2neon
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sse2neon")
```


### sse2rvv (msys)


| Description | *A translator from Intel SSE intrinsics to RISCV-V Extension implementation* |
| -- | -- |
| Homepage | [https://github.com/pattonkan/sse2rvv](https://github.com/pattonkan/sse2rvv) |
| License | MIT |
| Versions | 2024.02.18 |
| Architectures | i386, x86_64 |
| Definition | [sse2rvv/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/sse2rvv/xmake.lua) |

##### Install command

```console
xrepo install sse2rvv
```

##### Integration in the project (xmake.lua)

```lua
add_requires("sse2rvv")
```


### ssp (msys)


| Description | *C++ CSV parser* |
| -- | -- |
| Homepage | [https://github.com/red0124/ssp](https://github.com/red0124/ssp) |
| License | MIT |
| Versions | v1.6.1, v1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [ssp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/ssp/xmake.lua) |

##### Install command

```console
xrepo install ssp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ssp")
```


### stb (msys)


| Description | *single-file public domain (or MIT licensed) libraries for C/C++* |
| -- | -- |
| Homepage | [https://github.com/nothings/stb](https://github.com/nothings/stb) |
| Versions | 2019.02.07, 2021.07.13, 2021.09.10, 2023.01.30, 2023.12.15, 2024.06.01, 2025.03.14 |
| Architectures | i386, x86_64 |
| Definition | [stb/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stb/xmake.lua) |

##### Install command

```console
xrepo install stb
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stb")
```


### stc (msys)


| Description | *A modern, user friendly, generic, type-safe and fast C99 container library: String, Vector, Sorted and Unordered Map and Set, Deque, Forward List, Smart Pointers, Bitset and Random numbers.* |
| -- | -- |
| Homepage | [https://github.com/stclib/STC](https://github.com/stclib/STC) |
| License | MIT |
| Versions | v4.2, v5.0 |
| Architectures | i386, x86_64 |
| Definition | [stc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stc/xmake.lua) |

##### Install command

```console
xrepo install stc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stc")
```


### stdexec (msys)


| Description | *`std::execution`, the proposed C++ framework for asynchronous and parallel programming. * |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/stdexec](https://github.com/NVIDIA/stdexec) |
| License | Apache-2.0 |
| Versions | 2024.03.08, 2024.12.08 |
| Architectures | i386, x86_64 |
| Definition | [stdexec/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stdexec/xmake.lua) |

##### Install command

```console
xrepo install stdexec
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stdexec")
```


### stduuid (msys)


| Description | *A C++17 cross-platform implementation for UUIDs* |
| -- | -- |
| Homepage | [https://github.com/mariusbancila/stduuid](https://github.com/mariusbancila/stduuid) |
| License | MIT |
| Versions | v1.2.3 |
| Architectures | i386, x86_64 |
| Definition | [stduuid/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stduuid/xmake.lua) |

##### Install command

```console
xrepo install stduuid
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stduuid")
```


### steam-audio (msys)


| Description | *Valve's steam audio library* |
| -- | -- |
| Homepage | [https://valvesoftware.github.io/steam-audio/](https://valvesoftware.github.io/steam-audio/) |
| License | Apache-2.0 |
| Versions | v4.6.0, v4.6.1 |
| Architectures | i386, x86_64 |
| Definition | [steam-audio/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/steam-audio/xmake.lua) |

##### Install command

```console
xrepo install steam-audio
```

##### Integration in the project (xmake.lua)

```lua
add_requires("steam-audio")
```


### step20 (msys)


| Description | *Step20 is a C++20, header-only library of STL-like algorithms and data structures* |
| -- | -- |
| Homepage | [https://github.com/storm-ptr/step20](https://github.com/storm-ptr/step20) |
| License | MIT |
| Versions | 2023.08.21 |
| Architectures | i386, x86_64 |
| Definition | [step20/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/step20/xmake.lua) |

##### Install command

```console
xrepo install step20
```

##### Integration in the project (xmake.lua)

```lua
add_requires("step20")
```


### stfl (msys)


| Description | *stfl with Newsboat-related bugfixes* |
| -- | -- |
| Homepage | [https://github.com/newsboat/stfl](https://github.com/newsboat/stfl) |
| License | LGPL-3.0 |
| Versions | 2024.12.24 |
| Architectures | i386, x86_64 |
| Definition | [stfl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stfl/xmake.lua) |

##### Install command

```console
xrepo install stfl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stfl")
```


### strawberry-perl (msys)


| Description | *Strawberry Perl is a perl environment for MS Windows containing all you need to run and develop perl applications.* |
| -- | -- |
| Homepage | [http://strawberryperl.com/](http://strawberryperl.com/) |
| Versions | 5.32.0+1 |
| Architectures | i386, x86_64 |
| Definition | [strawberry-perl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/strawberry-perl/xmake.lua) |

##### Install command

```console
xrepo install strawberry-perl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("strawberry-perl")
```


### streamvbyte (msys)


| Description | *Fast integer compression in C using the StreamVByte codec* |
| -- | -- |
| Homepage | [https://github.com/lemire/streamvbyte](https://github.com/lemire/streamvbyte) |
| License | Apache-2.0 |
| Versions | v1.0.0, v2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [streamvbyte/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/streamvbyte/xmake.lua) |

##### Install command

```console
xrepo install streamvbyte
```

##### Integration in the project (xmake.lua)

```lua
add_requires("streamvbyte")
```


### string-view-lite (msys)


| Description | *string_view lite - A C++17-like string_view for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/string-view-lite](https://github.com/martinmoene/string-view-lite) |
| License | BSL-1.0 |
| Versions | v1.7.0, v1.8.0 |
| Architectures | i386, x86_64 |
| Definition | [string-view-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/string-view-lite/xmake.lua) |

##### Install command

```console
xrepo install string-view-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("string-view-lite")
```


### stringbuilder (msys)


| Description | *Fast, efficient and convenient alternative to std::stringstream and std::string concatenation.* |
| -- | -- |
| Homepage | [https://github.com/Isameru/stringbuilder](https://github.com/Isameru/stringbuilder) |
| License | MIT |
| Versions | 2023.7.10 |
| Architectures | i386, x86_64 |
| Definition | [stringbuilder/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stringbuilder/xmake.lua) |

##### Install command

```console
xrepo install stringbuilder
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stringbuilder")
```


### stringzilla (msys)


| Description | *Up to 10x faster strings for C, C++, Python, Rust, and Swift, leveraging NEON, AVX2, AVX-512, and SWAR to accelerate search, sort, edit distances, alignment scores, etc 🦖* |
| -- | -- |
| Homepage | [https://ashvardanian.com/posts/stringzilla/](https://ashvardanian.com/posts/stringzilla/) |
| License | Apache-2.0 |
| Versions | v1.2.2, v2.0.3, v2.0.4, v3.0.0, v3.1.0, v3.1.1, v3.1.2, v3.2.0, v3.3.0, v3.3.1, v3.4.0, v3.4.1, v3.5.0, v3.6.0, v3.6.1, v3.6.2, v3.6.3, v3.6.4, v3.6.5, v3.6.6, v3.6.7, v3.6.8, v3.7.0, v3.7.1, v3.7.2, v3.7.3, v3.8.0, v3.8.1, v3.8.2, v3.8.3, v3.8.4, v3.9.5, v3.9.6, v3.9.8, v3.10.0, v3.10.5, v3.10.6, v3.10.7, v3.10.8, v3.10.9, v3.10.10, v3.10.11, v3.11.0, v3.11.1, v3.11.3, v3.12.1, v3.12.2, v3.12.3, v3.12.4, v3.12.5 |
| Architectures | i386, x86_64 |
| Definition | [stringzilla/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stringzilla/xmake.lua) |

##### Install command

```console
xrepo install stringzilla
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stringzilla")
```


### strong_type (msys)


| Description | *An additive strong typedef library for C++14/17/20.* |
| -- | -- |
| Homepage | [https://github.com/rollbear/strong_type](https://github.com/rollbear/strong_type) |
| License | BSL-1.0 |
| Versions | v15 |
| Architectures | i386, x86_64 |
| Definition | [strong_type/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/strong_type/xmake.lua) |

##### Install command

```console
xrepo install strong_type
```

##### Integration in the project (xmake.lua)

```lua
add_requires("strong_type")
```


### strtk (msys)


| Description | *C++ String Toolkit Library* |
| -- | -- |
| Homepage | [https://www.partow.net/programming/strtk/index.html](https://www.partow.net/programming/strtk/index.html) |
| License | MIT |
| Versions | 2020.01.01 |
| Architectures | i386, x86_64 |
| Definition | [strtk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/strtk/xmake.lua) |

##### Install command

```console
xrepo install strtk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("strtk")
```


### stx (msys)


| Description | *C++17 & C++ 20 error-handling and utility extensions. * |
| -- | -- |
| Homepage | [https://lamarrr.github.io/STX](https://lamarrr.github.io/STX) |
| License | MIT |
| Versions | v1.0.3, v1.0.5 |
| Architectures | i386, x86_64 |
| Definition | [stx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/stx/xmake.lua) |

##### Install command

```console
xrepo install stx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("stx")
```


### subhook (msys)


| Description | *Simple hooking library for C/C++ (x86 only, 32/64-bit, no dependencies)* |
| -- | -- |
| Homepage | [https://github.com/Zeex/subhook](https://github.com/Zeex/subhook) |
| License | BSD-2-Clause |
| Versions | 2023.02.10 |
| Architectures | i386, x86_64 |
| Definition | [subhook/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/subhook/xmake.lua) |

##### Install command

```console
xrepo install subhook
```

##### Integration in the project (xmake.lua)

```lua
add_requires("subhook")
```


### svector (msys)


| Description | *Compact SVO optimized vector for C++17 or higher* |
| -- | -- |
| Homepage | [https://github.com/martinus/svector](https://github.com/martinus/svector) |
| License | MIT |
| Versions | v1.0.3 |
| Architectures | i386, x86_64 |
| Definition | [svector/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/svector/xmake.lua) |

##### Install command

```console
xrepo install svector
```

##### Integration in the project (xmake.lua)

```lua
add_requires("svector")
```


### svt-av1 (msys)


| Description | *Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder)* |
| -- | -- |
| Homepage | [https://gitlab.com/AOMediaCodec/SVT-AV1](https://gitlab.com/AOMediaCodec/SVT-AV1) |
| License | BSD-3-Clause |
| Versions | v1.4.0, v1.4.1, v1.5.0, v1.6.0, v2.1.0, v2.2.1 |
| Architectures | i386, x86_64 |
| Definition | [svt-av1/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/svt-av1/xmake.lua) |

##### Install command

```console
xrepo install svt-av1
```

##### Integration in the project (xmake.lua)

```lua
add_requires("svt-av1")
```


### swig (msys)


| Description | *SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages.* |
| -- | -- |
| Homepage | [http://swig.org/](http://swig.org/) |
| License | GPL-3.0 |
| Versions | 4.0.2, 4.1.1 |
| Architectures | i386, x86_64 |
| Definition | [swig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swig/xmake.lua) |

##### Install command

```console
xrepo install swig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swig")
```


### swisseph (msys)


| Description | *Swiss Ephemeris source code, official release by Astrodienst.* |
| -- | -- |
| Homepage | [https://www.astro.com/swisseph/swephinfo_e.htm](https://www.astro.com/swisseph/swephinfo_e.htm) |
| License | AGPL-3.0 |
| Versions | v2.10.03 |
| Architectures | i386, x86_64 |
| Definition | [swisseph/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swisseph/xmake.lua) |

##### Install command

```console
xrepo install swisseph
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swisseph")
```


### swxjson (msys)


| Description | *A easy to use & convenient JSON library for C++11.* |
| -- | -- |
| Homepage | [https://github.com/swxlion/swxJson](https://github.com/swxlion/swxJson) |
| License | MIT |
| Versions | v1.0.9 |
| Architectures | i386, x86_64 |
| Definition | [swxjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/swxjson/xmake.lua) |

##### Install command

```console
xrepo install swxjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("swxjson")
```


### syscmdline (msys)


| Description | *C++ Advanced Command Line Parser* |
| -- | -- |
| Homepage | [https://github.com/SineStriker/syscmdline](https://github.com/SineStriker/syscmdline) |
| License | MIT |
| Versions | 2024.03.27 |
| Architectures | i386, x86_64 |
| Definition | [syscmdline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/s/syscmdline/xmake.lua) |

##### Install command

```console
xrepo install syscmdline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("syscmdline")
```



## t
### ta-lib (msys)


| Description | *Technical Analysis Library for financial market trading applications* |
| -- | -- |
| Homepage | [https://ta-lib.org/](https://ta-lib.org/) |
| License | BSD-3-Clause |
| Versions | 0.6.2, 0.6.4 |
| Architectures | i386, x86_64 |
| Definition | [ta-lib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/ta-lib/xmake.lua) |

##### Install command

```console
xrepo install ta-lib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ta-lib")
```


### tabulate (msys)


| Description | *Table Maker for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/p-ranav/tabulate](https://github.com/p-ranav/tabulate) |
| License | MIT |
| Versions | v1.5 |
| Architectures | i386, x86_64 |
| Definition | [tabulate/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tabulate/xmake.lua) |

##### Install command

```console
xrepo install tabulate
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tabulate")
```


### taglib (msys)


| Description | *TagLib Audio Meta-Data Library* |
| -- | -- |
| Homepage | [http://taglib.org/](http://taglib.org/) |
| License | LGPL-2.1 |
| Versions | v2.1, v2.1.1 |
| Architectures | i386, x86_64 |
| Definition | [taglib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taglib/xmake.lua) |

##### Install command

```console
xrepo install taglib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taglib")
```


### taocpp-json (msys)


| Description | *C++ header-only JSON library* |
| -- | -- |
| Homepage | [https://github.com/taocpp/json](https://github.com/taocpp/json) |
| License | MIT |
| Versions | 2025.03.11 |
| Architectures | i386, x86_64 |
| Definition | [taocpp-json/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taocpp-json/xmake.lua) |

##### Install command

```console
xrepo install taocpp-json
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taocpp-json")
```


### taywee_args (msys)


| Description | *A simple header-only C++ argument parser library.* |
| -- | -- |
| Homepage | [https://taywee.github.io/args/](https://taywee.github.io/args/) |
| License | MIT |
| Versions | 6.3.0, 6.4.6, 6.4.7 |
| Architectures | i386, x86_64 |
| Definition | [taywee_args/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/taywee_args/xmake.lua) |

##### Install command

```console
xrepo install taywee_args
```

##### Integration in the project (xmake.lua)

```lua
add_requires("taywee_args")
```


### tbox (msys)


| Description | *A glib-like multi-platform c library* |
| -- | -- |
| Homepage | [https://tboox.org](https://tboox.org) |
| Versions | v1.6.2, v1.6.3, v1.6.4, v1.6.5, v1.6.6, v1.6.7, v1.6.9, v1.7.1, v1.7.4, v1.7.5, v1.7.6 |
| Architectures | i386, x86_64 |
| Definition | [tbox/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tbox/xmake.lua) |

##### Install command

```console
xrepo install tbox
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tbox")
```


### tcb-span (msys)


| Description | *Implementation of C++20's std::span for older compilers* |
| -- | -- |
| Homepage | [https://github.com/tcbrindle/span](https://github.com/tcbrindle/span) |
| License | BSL-1.0 |
| Versions | 2022.06.15 |
| Architectures | i386, x86_64 |
| Definition | [tcb-span/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tcb-span/xmake.lua) |

##### Install command

```console
xrepo install tcb-span
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tcb-span")
```


### tclap (msys)


| Description | *This is a simple templatized C++ library for parsing command line arguments.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/tclap/](https://sourceforge.net/projects/tclap/) |
| License | MIT |
| Versions | 1.4.0-rc1 |
| Architectures | i386, x86_64 |
| Definition | [tclap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tclap/xmake.lua) |

##### Install command

```console
xrepo install tclap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tclap")
```


### teascript (msys)


| Description | *TeaScript C++ Library - embedded scripting language for C++ Applications* |
| -- | -- |
| Homepage | [https://tea-age.solutions/teascript/overview-and-highlights/](https://tea-age.solutions/teascript/overview-and-highlights/) |
| License | MPL-2.0 |
| Versions | v0.13.0, v0.14.0 |
| Architectures | i386, x86_64 |
| Definition | [teascript/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/teascript/xmake.lua) |

##### Install command

```console
xrepo install teascript
```

##### Integration in the project (xmake.lua)

```lua
add_requires("teascript")
```


### termcap (msys)


| Description | *Enables programs to use display terminals in a terminal-independent manner* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/termcap](https://www.gnu.org/software/termcap) |
| License | GPL-2.0-or-later |
| Versions | 1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [termcap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/termcap/xmake.lua) |

##### Install command

```console
xrepo install termcap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("termcap")
```


### termcolor (msys)


| Description | *Termcolor is a header-only C++ library for printing colored messages to the terminal. Written just for fun with a help of the Force.* |
| -- | -- |
| Homepage | [https://github.com/ikalnytskyi/termcolor](https://github.com/ikalnytskyi/termcolor) |
| License | BSD-3-Clause |
| Versions | 2.1.0 |
| Architectures | i386, x86_64 |
| Definition | [termcolor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/termcolor/xmake.lua) |

##### Install command

```console
xrepo install termcolor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("termcolor")
```


### tetgen (msys)


| Description | *A Quality Tetrahedral Mesh Generator and a 3D Delaunay Triangulator* |
| -- | -- |
| Homepage | [https://www.wias-berlin.de/software/index.jsp?id=TetGen](https://www.wias-berlin.de/software/index.jsp?id=TetGen) |
| License | AGPL-3.0 |
| Versions | 1.6.0 |
| Architectures | i386, x86_64 |
| Definition | [tetgen/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tetgen/xmake.lua) |

##### Install command

```console
xrepo install tetgen
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tetgen")
```


### tf_workstealingqueue (msys)


| Description | *A fast work-stealing queue template in C++* |
| -- | -- |
| Homepage | [https://github.com/taskflow/work-stealing-queue](https://github.com/taskflow/work-stealing-queue) |
| License | MIT |
| Versions | 2022.07.20 |
| Architectures | i386, x86_64 |
| Definition | [tf_workstealingqueue/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tf_workstealingqueue/xmake.lua) |

##### Install command

```console
xrepo install tf_workstealingqueue
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tf_workstealingqueue")
```


### theora (msys)


| Description | *Reference implementation of the Theora video compression format.* |
| -- | -- |
| Homepage | [https://theora.org/](https://theora.org/) |
| License | BSD-3-Clause |
| Versions | v1.0, v1.1.0, v1.1.1 |
| Architectures | i386, x86_64 |
| Definition | [theora/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/theora/xmake.lua) |

##### Install command

```console
xrepo install theora
```

##### Integration in the project (xmake.lua)

```lua
add_requires("theora")
```


### think-cell-library (msys)


| Description | *Think-cell core library* |
| -- | -- |
| Homepage | [https://www.think-cell.com/en/career/devblog/overview](https://www.think-cell.com/en/career/devblog/overview) |
| License | BSL-1.0 |
| Versions | 2023.1 |
| Architectures | i386, x86_64 |
| Definition | [think-cell-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/think-cell-library/xmake.lua) |

##### Install command

```console
xrepo install think-cell-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("think-cell-library")
```


### thorvg (msys)


| Description | *Thor Vector Graphics is a lightweight portable library used for drawing vector-based scenes and animations including SVG and Lottie. It can be freely utilized across various software platforms and applications to visualize graphical contents.* |
| -- | -- |
| Homepage | [https://www.thorvg.org](https://www.thorvg.org) |
| License | MIT |
| Versions | v0.13.2, v0.13.5, v0.13.6, v0.13.8, v0.14.1, v0.14.2, v0.14.3, v0.14.6, v0.14.10, v0.15.1, v0.15.2, v0.15.8, v1.0-pre10 |
| Architectures | i386, x86_64 |
| Definition | [thorvg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thorvg/xmake.lua) |

##### Install command

```console
xrepo install thorvg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thorvg")
```


### thread-pool (msys)


| Description | *BS::thread_pool: a fast, lightweight, and easy-to-use C++17 thread pool library* |
| -- | -- |
| Homepage | [https://github.com/bshoshany/thread-pool](https://github.com/bshoshany/thread-pool) |
| License | MIT |
| Versions | v3.3.0, v4.1.0, v5.0.0 |
| Architectures | i386, x86_64 |
| Definition | [thread-pool/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thread-pool/xmake.lua) |

##### Install command

```console
xrepo install thread-pool
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thread-pool")
```


### thrust (msys)


| Description | *The C++ parallel algorithms library.* |
| -- | -- |
| Homepage | [https://github.com/NVIDIA/thrust](https://github.com/NVIDIA/thrust) |
| License | Apache-2.0 |
| Versions | 1.17.0 |
| Architectures | i386, x86_64 |
| Definition | [thrust/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/thrust/xmake.lua) |

##### Install command

```console
xrepo install thrust
```

##### Integration in the project (xmake.lua)

```lua
add_requires("thrust")
```


### tidy-html5 (msys)


| Description | *The granddaddy of HTML tools, with support for modern standards* |
| -- | -- |
| Homepage | [http://www.html-tidy.org](http://www.html-tidy.org) |
| Versions | 5.9.20 |
| Architectures | i386, x86_64 |
| Definition | [tidy-html5/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tidy-html5/xmake.lua) |

##### Install command

```console
xrepo install tidy-html5
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tidy-html5")
```


### tiltedcore (msys)


| Description | *Core library from Tilted Phoques* |
| -- | -- |
| Homepage | [https://github.com/tiltedphoques/TiltedCore](https://github.com/tiltedphoques/TiltedCore) |
| Versions | v0.1.3, v0.1.4, v0.1.5, v0.1.6, v0.2.0, v0.2.1, v0.2.2, v0.2.3, v0.2.4, v0.2.5, v0.2.6, v0.2.7 |
| Architectures | i386, x86_64 |
| Definition | [tiltedcore/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiltedcore/xmake.lua) |

##### Install command

```console
xrepo install tiltedcore
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiltedcore")
```


### tiny-aes-c (msys)


| Description | *Small portable AES128/192/256 in C* |
| -- | -- |
| Homepage | [https://github.com/kokke/tiny-AES-c](https://github.com/kokke/tiny-AES-c) |
| License | Unlicense |
| Versions | 2021.12.22 |
| Architectures | i386, x86_64 |
| Definition | [tiny-aes-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-aes-c/xmake.lua) |

##### Install command

```console
xrepo install tiny-aes-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-aes-c")
```


### tiny-optional (msys)


| Description | *Replacement for std::optional that does not unnecessarily waste memory* |
| -- | -- |
| Homepage | [https://github.com/Sedeniono/tiny-optional](https://github.com/Sedeniono/tiny-optional) |
| License | BSL-1.0 |
| Versions | v1.2.0, v1.2.1, v1.3.1, v1.4.0 |
| Architectures | i386, x86_64 |
| Definition | [tiny-optional/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-optional/xmake.lua) |

##### Install command

```console
xrepo install tiny-optional
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-optional")
```


### tiny-process-library (msys)


| Description | *A small platform independent library making it simple to create and stop new processes in C++, as well as writing to stdin and reading from stdout and stderr of a new process* |
| -- | -- |
| Homepage | [https://gitlab.com/eidheim/tiny-process-library](https://gitlab.com/eidheim/tiny-process-library) |
| License | MIT |
| Versions | v2.0.4 |
| Architectures | i386, x86_64 |
| Definition | [tiny-process-library/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tiny-process-library/xmake.lua) |

##### Install command

```console
xrepo install tiny-process-library
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tiny-process-library")
```


### tinyalloc (msys)


| Description | *malloc / free replacement for unmanaged, linear memory situations (e.g. WASM, embedded devices...)* |
| -- | -- |
| Homepage | [https://github.com/thi-ng/tinyalloc](https://github.com/thi-ng/tinyalloc) |
| License | Apache-2.0 |
| Versions | 2021.10.08 |
| Architectures | i386, x86_64 |
| Definition | [tinyalloc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyalloc/xmake.lua) |

##### Install command

```console
xrepo install tinyalloc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyalloc")
```


### tinycbor (msys)


| Description | *Concise Binary Object Representation (CBOR) Library* |
| -- | -- |
| Homepage | [https://github.com/intel/tinycbor](https://github.com/intel/tinycbor) |
| License | MIT |
| Versions | v0.6.0, v0.6.1 |
| Architectures | i386, x86_64 |
| Definition | [tinycbor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycbor/xmake.lua) |

##### Install command

```console
xrepo install tinycbor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycbor")
```


### tinycolormap (msys)


| Description | *A header-only, single-file library for colormaps written in C++11* |
| -- | -- |
| Homepage | [https://github.com/yuki-koyama/tinycolormap](https://github.com/yuki-koyama/tinycolormap) |
| License | MIT |
| Versions | v0.7.0 |
| Architectures | i386, x86_64 |
| Definition | [tinycolormap/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycolormap/xmake.lua) |

##### Install command

```console
xrepo install tinycolormap
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycolormap")
```


### tinycrypt (msys)


| Description | *TinyCrypt Cryptographic Library* |
| -- | -- |
| Homepage | [https://github.com/intel/tinycrypt](https://github.com/intel/tinycrypt) |
| Versions | 2019.9.18 |
| Architectures | i386, x86_64 |
| Definition | [tinycrypt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycrypt/xmake.lua) |

##### Install command

```console
xrepo install tinycrypt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycrypt")
```


### tinycthread (msys)


| Description | *A small, portable implementation of the C11 threads API.* |
| -- | -- |
| Homepage | [https://github.com/tinycthread/tinycthread](https://github.com/tinycthread/tinycthread) |
| License | MIT |
| Versions | 2016.09.30 |
| Architectures | i386, x86_64 |
| Definition | [tinycthread/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinycthread/xmake.lua) |

##### Install command

```console
xrepo install tinycthread
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinycthread")
```


### tinydir (msys)


| Description | *Lightweight, portable and easy to integrate C directory and file reader* |
| -- | -- |
| Homepage | [https://github.com/cxong/tinydir](https://github.com/cxong/tinydir) |
| Versions | 1.2.6 |
| Architectures | i386, x86_64 |
| Definition | [tinydir/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinydir/xmake.lua) |

##### Install command

```console
xrepo install tinydir
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinydir")
```


### tinyexpr (msys)


| Description | *TinyExpr is a very small parser and evaluation library for evaluating math expressions from C.* |
| -- | -- |
| Homepage | [https://codeplea.com/tinyexpr](https://codeplea.com/tinyexpr) |
| License | zlib |
| Versions | 2022.11.21 |
| Architectures | i386, x86_64 |
| Definition | [tinyexpr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyexpr/xmake.lua) |

##### Install command

```console
xrepo install tinyexpr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyexpr")
```


### tinyexr (msys)


| Description | *Tiny OpenEXR image loader/saver library* |
| -- | -- |
| Homepage | [https://github.com/syoyo/tinyexr/](https://github.com/syoyo/tinyexr/) |
| License | BSD-3-Clause |
| Versions | v1.0.1, v1.0.8, v1.0.9, v1.0.10, v1.0.12 |
| Architectures | i386, x86_64 |
| Definition | [tinyexr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyexr/xmake.lua) |

##### Install command

```console
xrepo install tinyexr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyexr")
```


### tinyformat (msys)


| Description | *Minimal, type safe printf replacement library for C++* |
| -- | -- |
| Homepage | [https://github.com/c42f/tinyformat/](https://github.com/c42f/tinyformat/) |
| Versions | 2.3.0 |
| Architectures | i386, x86_64 |
| Definition | [tinyformat/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyformat/xmake.lua) |

##### Install command

```console
xrepo install tinyformat
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyformat")
```


### tinygltf (msys)


| Description | *Header only C++11 tiny glTF 2.0 library* |
| -- | -- |
| Homepage | [https://github.com/syoyo/tinygltf/](https://github.com/syoyo/tinygltf/) |
| License | MIT |
| Versions | v2.5.0, v2.6.3, v2.8.9, v2.8.13, v2.8.21, v2.8.22, v2.9.2, v2.9.3, v2.9.5, v2.9.6 |
| Architectures | i386, x86_64 |
| Definition | [tinygltf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinygltf/xmake.lua) |

##### Install command

```console
xrepo install tinygltf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinygltf")
```


### tinyjpeg (msys)


| Description | *Single header lib for JPEG encoding. Public domain. C99. stb style.* |
| -- | -- |
| Homepage | [https://github.com/serge-rgb/TinyJPEG](https://github.com/serge-rgb/TinyJPEG) |
| Versions | 2022.08.20 |
| Architectures | i386, x86_64 |
| Definition | [tinyjpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyjpeg/xmake.lua) |

##### Install command

```console
xrepo install tinyjpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyjpeg")
```


### tinymcp (msys)


| Description | *A lightweight C++ SDK for implementing the MCP Server.* |
| -- | -- |
| Homepage | [https://github.com/Qihoo360/TinyMCP](https://github.com/Qihoo360/TinyMCP) |
| License | MIT |
| Versions | 2025.05.16 |
| Architectures | i386, x86_64 |
| Definition | [tinymcp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinymcp/xmake.lua) |

##### Install command

```console
xrepo install tinymcp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinymcp")
```


### tinyspline (msys)


| Description | *ANSI C library for NURBS, B-Splines, and Bézier curves with interfaces for C++, C#, D, Go, Java, Javascript, Lua, Octave, PHP, Python, R, and Ruby.* |
| -- | -- |
| Homepage | [https://github.com/msteinbeck/tinyspline](https://github.com/msteinbeck/tinyspline) |
| License | MIT |
| Versions | v0.6.0 |
| Architectures | i386, x86_64 |
| Definition | [tinyspline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyspline/xmake.lua) |

##### Install command

```console
xrepo install tinyspline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyspline")
```


### tinyxml (msys)


| Description | *TinyXML is a simple, small, minimal, C++ XML parser that can be easily integrating into other programs.* |
| -- | -- |
| Homepage | [https://sourceforge.net/projects/tinyxml/](https://sourceforge.net/projects/tinyxml/) |
| License | zlib |
| Versions | 2.6.2 |
| Architectures | i386, x86_64 |
| Definition | [tinyxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyxml/xmake.lua) |

##### Install command

```console
xrepo install tinyxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyxml")
```


### tinyxml2 (msys)


| Description | *simple, small, efficient, C++ XML parser that can be easily integrating into other programs.* |
| -- | -- |
| Homepage | [http://www.grinninglizard.com/tinyxml2/](http://www.grinninglizard.com/tinyxml2/) |
| License | zlib |
| Versions | 8.0.0, 9.0.0, 10.0.0, 11.0.0 |
| Architectures | i386, x86_64 |
| Definition | [tinyxml2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tinyxml2/xmake.lua) |

##### Install command

```console
xrepo install tinyxml2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tinyxml2")
```


### tl_expected (msys)


| Description | *C++11/14/17 std::expected with functional-style extensions* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/expected](https://github.com/TartanLlama/expected) |
| License | CC0 |
| Versions | v1.0.0, v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [tl_expected/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_expected/xmake.lua) |

##### Install command

```console
xrepo install tl_expected
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_expected")
```


### tl_function_ref (msys)


| Description | *A lightweight, non-owning reference to a callable.* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/function_ref](https://github.com/TartanLlama/function_ref) |
| License | CC0 |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [tl_function_ref/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_function_ref/xmake.lua) |

##### Install command

```console
xrepo install tl_function_ref
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_function_ref")
```


### tl_optional (msys)


| Description | *C++11/14/17 std::optional with functional-style extensions and support for references.* |
| -- | -- |
| Homepage | [https://github.com/TartanLlama/optional](https://github.com/TartanLlama/optional) |
| License | CC0 |
| Versions | v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [tl_optional/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tl_optional/xmake.lua) |

##### Install command

```console
xrepo install tl_optional
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tl_optional")
```


### tlsf (msys)


| Description | *Two-Level Segregated Fit memory allocator implementation.* |
| -- | -- |
| Homepage | [https://github.com/mattconte/tlsf](https://github.com/mattconte/tlsf) |
| License | BSD-3-Clause |
| Versions | 2020.03.29 |
| Architectures | i386, x86_64 |
| Definition | [tlsf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tlsf/xmake.lua) |

##### Install command

```console
xrepo install tlsf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tlsf")
```


### tobiaslocker_base64 (msys)


| Description | *A modern C++ base64 encoder / decoder * |
| -- | -- |
| Homepage | [https://github.com/tobiaslocker/base64](https://github.com/tobiaslocker/base64) |
| License | MIT |
| Versions | 2024.02.26 |
| Architectures | i386, x86_64 |
| Definition | [tobiaslocker_base64/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tobiaslocker_base64/xmake.lua) |

##### Install command

```console
xrepo install tobiaslocker_base64
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tobiaslocker_base64")
```


### toml++ (msys)


| Description | *toml++ is a header-only TOML config file parser and serializer for C++17 (and later!).* |
| -- | -- |
| Homepage | [https://marzer.github.io/tomlplusplus/](https://marzer.github.io/tomlplusplus/) |
| License | MIT |
| Versions | v2.5.0, v3.0.0, v3.1.0, v3.2.0, v3.3.0, v3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [toml++/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toml++/xmake.lua) |

##### Install command

```console
xrepo install toml++
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toml++")
```


### toml11 (msys)


| Description | *TOML for Modern C++* |
| -- | -- |
| Homepage | [https://github.com/ToruNiina/toml11](https://github.com/ToruNiina/toml11) |
| License | MIT |
| Versions | v3.7.0, v3.8.1, v4.0.1, v4.0.2, v4.0.3, v4.1.0, v4.2.0, v4.3.0, v4.4.0 |
| Architectures | i386, x86_64 |
| Definition | [toml11/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toml11/xmake.lua) |

##### Install command

```console
xrepo install toml11
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toml11")
```


### tomlc99 (msys)


| Description | *TOML C library* |
| -- | -- |
| Homepage | [https://github.com/cktan/tomlc99](https://github.com/cktan/tomlc99) |
| License | MIT |
| Versions | 2023.09.30 |
| Architectures | i386, x86_64 |
| Definition | [tomlc99/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tomlc99/xmake.lua) |

##### Install command

```console
xrepo install tomlc99
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tomlc99")
```


### tomlcpp (msys)


| Description | *No fanfare TOML C++ Library* |
| -- | -- |
| Homepage | [https://github.com/cktan/tomlcpp](https://github.com/cktan/tomlcpp) |
| License | MIT |
| Versions | 2022.06.25 |
| Architectures | i386, x86_64 |
| Definition | [tomlcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tomlcpp/xmake.lua) |

##### Install command

```console
xrepo install tomlcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tomlcpp")
```


### toojpeg (msys)


| Description | *A JPEG encoder in a single C++ file* |
| -- | -- |
| Homepage | [https://create.stephan-brumme.com/toojpeg/](https://create.stephan-brumme.com/toojpeg/) |
| License | zlib |
| Versions | 1.5 |
| Architectures | i386, x86_64 |
| Definition | [toojpeg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/toojpeg/xmake.lua) |

##### Install command

```console
xrepo install toojpeg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("toojpeg")
```


### tracy (msys)


| Description | *C++ frame profiler* |
| -- | -- |
| Homepage | [https://github.com/wolfpld/tracy](https://github.com/wolfpld/tracy) |
| Versions | v0.8.2, v0.9, v0.9.1, v0.10, v0.11.0, v0.11.1, v0.12.0, v0.12.1, v0.12.2 |
| Architectures | i386, x86_64 |
| Definition | [tracy/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tracy/xmake.lua) |

##### Install command

```console
xrepo install tracy
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tracy")
```


### transwarp (msys)


| Description | *A header-only C++ library for task concurrency* |
| -- | -- |
| Homepage | [https://github.com/bloomen/transwarp](https://github.com/bloomen/transwarp) |
| License | MIT |
| Versions | 2.2.3 |
| Architectures | i386, x86_64 |
| Definition | [transwarp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/transwarp/xmake.lua) |

##### Install command

```console
xrepo install transwarp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("transwarp")
```


### trantor (msys)


| Description | *a non-blocking I/O tcp network lib based on c++14/17* |
| -- | -- |
| Homepage | [https://github.com/an-tao/trantor/](https://github.com/an-tao/trantor/) |
| License | BSD-3-Clause |
| Versions | v1.3.0, v1.4.1, v1.5.0, v1.5.2, v1.5.5, v1.5.6, v1.5.7, v1.5.8, v1.5.14, v1.5.17, v1.5.18, v1.5.19, v1.5.20, v1.5.21, v1.5.22, v1.5.23 |
| Architectures | i386, x86_64 |
| Definition | [trantor/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/trantor/xmake.lua) |

##### Install command

```console
xrepo install trantor
```

##### Integration in the project (xmake.lua)

```lua
add_requires("trantor")
```


### tree-sitter (msys)


| Description | *An incremental parsing system for programming tools* |
| -- | -- |
| Homepage | [https://tree-sitter.github.io/](https://tree-sitter.github.io/) |
| License | MIT |
| Versions | v0.21.0, v0.22.2, v0.22.5, v0.22.6, v0.23.0, v0.24.2, v0.24.3, v0.24.4, v0.24.5, v0.24.6, v0.25.3, v0.25.5, v0.25.6, v0.25.8 |
| Architectures | i386, x86_64 |
| Definition | [tree-sitter/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tree-sitter/xmake.lua) |

##### Install command

```console
xrepo install tree-sitter
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tree-sitter")
```


### trompeloeil (msys)


| Description | *A thread-safe header-only mocking framework for C++11/14 using the Boost Software License 1.0* |
| -- | -- |
| Homepage | [https://github.com/rollbear/trompeloeil](https://github.com/rollbear/trompeloeil) |
| License | BSL-1.0 |
| Versions | v43, v47, v48, v49 |
| Architectures | i386, x86_64 |
| Definition | [trompeloeil/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/trompeloeil/xmake.lua) |

##### Install command

```console
xrepo install trompeloeil
```

##### Integration in the project (xmake.lua)

```lua
add_requires("trompeloeil")
```


### tuplet (msys)


| Description | *A fast, simple tuple implementation that implements tuple as an aggregate* |
| -- | -- |
| Homepage | [https://github.com/codeinred/tuplet](https://github.com/codeinred/tuplet) |
| License | BSL-1.0 |
| Versions | v2.1.1 |
| Architectures | i386, x86_64 |
| Definition | [tuplet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tuplet/xmake.lua) |

##### Install command

```console
xrepo install tuplet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tuplet")
```


### tweeny (msys)


| Description | *A modern C++ tweening library* |
| -- | -- |
| Homepage | [http://mobius3.github.io/tweeny](http://mobius3.github.io/tweeny) |
| License | MIT |
| Versions | 2023.05.09 |
| Architectures | i386, x86_64 |
| Definition | [tweeny/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/tweeny/xmake.lua) |

##### Install command

```console
xrepo install tweeny
```

##### Integration in the project (xmake.lua)

```lua
add_requires("tweeny")
```


### type_safe (msys)


| Description | *Zero overhead utilities for preventing bugs at compile time* |
| -- | -- |
| Homepage | [https://type_safe.foonathan.net](https://type_safe.foonathan.net) |
| License | MIT |
| Versions | v0.2.2, v0.2.4 |
| Architectures | i386, x86_64 |
| Definition | [type_safe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/t/type_safe/xmake.lua) |

##### Install command

```console
xrepo install type_safe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("type_safe")
```



## u
### uasm (msys)


| Description | *UASM - Macro Assembler* |
| -- | -- |
| Homepage | [http://www.terraspace.co.uk/uasm.html](http://www.terraspace.co.uk/uasm.html) |
| Versions | v2.57r |
| Architectures | i386, x86_64 |
| Definition | [uasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uasm/xmake.lua) |

##### Install command

```console
xrepo install uasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uasm")
```


### uchardet (msys)


| Description | *uchardet is an encoding detector library, which takes a sequence of bytes in an unknown character encoding without any additional information, and attempts to determine the encoding of the text. * |
| -- | -- |
| Homepage | [https://www.freedesktop.org/wiki/Software/uchardet/](https://www.freedesktop.org/wiki/Software/uchardet/) |
| License | MPL-1.1 |
| Versions | 0.0.7, 0.0.8 |
| Architectures | i386, x86_64 |
| Definition | [uchardet/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uchardet/xmake.lua) |

##### Install command

```console
xrepo install uchardet
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uchardet")
```


### udt (msys)


| Description | *UDP-based Data Transfer Protocol* |
| -- | -- |
| Homepage | [https://github.com/dorkbox/UDT](https://github.com/dorkbox/UDT) |
| License | Apache-2.0 |
| Versions | 2017.12.03 |
| Architectures | i386, x86_64 |
| Definition | [udt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/udt/xmake.lua) |

##### Install command

```console
xrepo install udt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("udt")
```


### ufbx (msys)


| Description | *Single source file FBX loader* |
| -- | -- |
| Homepage | [https://github.com/ufbx/ufbx](https://github.com/ufbx/ufbx) |
| License | MIT |
| Versions | v0.6.1, v0.11.1, v0.12.0, v0.13.0, v0.14.0, v0.14.2, v0.14.3, v0.15.0, v0.15.1, v0.18.2, v0.20.0 |
| Architectures | i386, x86_64 |
| Definition | [ufbx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/ufbx/xmake.lua) |

##### Install command

```console
xrepo install ufbx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("ufbx")
```


### uni_algo (msys)


| Description | *Unicode Algorithms Implementation for C/C++* |
| -- | -- |
| Homepage | [https://github.com/uni-algo/uni-algo/](https://github.com/uni-algo/uni-algo/) |
| License | MIT |
| Versions | v0.7.1, v0.8.0, v0.8.1, v0.8.2, v1.0.0, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [uni_algo/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uni_algo/xmake.lua) |

##### Install command

```console
xrepo install uni_algo
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uni_algo")
```


### units (msys)


| Description | *A compile-time, header-only, dimensional analysis library built on c++14 with no dependencies.* |
| -- | -- |
| Homepage | [https://nholthaus.github.io/units/](https://nholthaus.github.io/units/) |
| License | MIT |
| Versions | v2.3.3, v2.3.4 |
| Architectures | i386, x86_64 |
| Definition | [units/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/units/xmake.lua) |

##### Install command

```console
xrepo install units
```

##### Integration in the project (xmake.lua)

```lua
add_requires("units")
```


### unity_test (msys)


| Description | *Simple Unit Testing for C* |
| -- | -- |
| Homepage | [http://www.throwtheswitch.org/unity](http://www.throwtheswitch.org/unity) |
| License | MIT |
| Versions | v2.4.3, v2.5.0, v2.5.1, v2.5.2, v2.6.0, v2.6.1 |
| Architectures | i386, x86_64 |
| Definition | [unity_test/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unity_test/xmake.lua) |

##### Install command

```console
xrepo install unity_test
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unity_test")
```


### unordered_dense (msys)


| Description | *A fast & densely stored hashmap and hashset based on robin-hood backward shift deletion.* |
| -- | -- |
| Homepage | [https://github.com/martinus/unordered_dense](https://github.com/martinus/unordered_dense) |
| License | MIT |
| Versions | v1.1.0, v1.4.0, v2.0.2, v3.0.0, v4.0.4, v4.4.0, v4.5.0 |
| Architectures | i386, x86_64 |
| Definition | [unordered_dense/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unordered_dense/xmake.lua) |

##### Install command

```console
xrepo install unordered_dense
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unordered_dense")
```


### unzip (msys)


| Description | *UnZip is an extraction utility for archives compressed in .zip format.* |
| -- | -- |
| Homepage | [http://infozip.sourceforge.net/UnZip.html](http://infozip.sourceforge.net/UnZip.html) |
| Versions | 6.0 |
| Architectures | i386, x86_64 |
| Definition | [unzip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/unzip/xmake.lua) |

##### Install command

```console
xrepo install unzip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("unzip")
```


### upa-url (msys)


| Description | *An implementation of the WHATWG URL Standard in C++* |
| -- | -- |
| Homepage | [https://upa-url.github.io/docs/](https://upa-url.github.io/docs/) |
| License | BSD-2-Clause |
| Versions | v1.0.0, v1.0.1, v1.0.2, v1.2.0, v2.0.0, v2.1.0, v2.2.0 |
| Architectures | i386, x86_64 |
| Definition | [upa-url/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/upa-url/xmake.lua) |

##### Install command

```console
xrepo install upa-url
```

##### Integration in the project (xmake.lua)

```lua
add_requires("upa-url")
```


### urdfdom (msys)


| Description | *A C++ parser for the Unified Robot Description Format (URDF)* |
| -- | -- |
| Homepage | [https://wiki.ros.org/urdf](https://wiki.ros.org/urdf) |
| License | BSD-3-Clause |
| Versions | 1.0.4, 4.0.0, 4.0.1, 5.0.2 |
| Architectures | i386, x86_64 |
| Definition | [urdfdom/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/urdfdom/xmake.lua) |

##### Install command

```console
xrepo install urdfdom
```

##### Integration in the project (xmake.lua)

```lua
add_requires("urdfdom")
```


### urdfdom-headers (msys)


| Description | *Headers for URDF parsers* |
| -- | -- |
| Homepage | [http://ros.org/wiki/urdf](http://ros.org/wiki/urdf) |
| License | BSD-3-Clause |
| Versions | 1.0.5, 1.1.1, 1.1.2, 2.0.0 |
| Architectures | i386, x86_64 |
| Definition | [urdfdom-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/urdfdom-headers/xmake.lua) |

##### Install command

```console
xrepo install urdfdom-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("urdfdom-headers")
```


### uriparser (msys)


| Description | *uriparser is a strictly RFC 3986 compliant URI parsing and handling library written in C89.* |
| -- | -- |
| Homepage | [https://uriparser.github.io/](https://uriparser.github.io/) |
| License | BSD-3-Clause |
| Versions | 0.9.5, 0.9.6, 0.9.7, 0.9.8 |
| Architectures | i386, x86_64 |
| Definition | [uriparser/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uriparser/xmake.lua) |

##### Install command

```console
xrepo install uriparser
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uriparser")
```


### usrsctp (msys)


| Description | *A portable SCTP userland stack* |
| -- | -- |
| Homepage | [https://github.com/sctplab/usrsctp](https://github.com/sctplab/usrsctp) |
| License | BSD-3-Clause |
| Versions | 0.9.5+0 |
| Architectures | i386, x86_64 |
| Definition | [usrsctp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/usrsctp/xmake.lua) |

##### Install command

```console
xrepo install usrsctp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("usrsctp")
```


### utf8.h (msys)


| Description | *single header utf8 string functions for C and C++* |
| -- | -- |
| Homepage | [https://github.com/sheredom/utf8.h](https://github.com/sheredom/utf8.h) |
| Versions | 2022.07.04, 2025.01.03 |
| Architectures | i386, x86_64 |
| Definition | [utf8.h/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utf8.h/xmake.lua) |

##### Install command

```console
xrepo install utf8.h
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utf8.h")
```


### utf8proc (msys)


| Description | *A clean C library for processing UTF-8 Unicode data* |
| -- | -- |
| Homepage | [https://juliastrings.github.io/utf8proc/](https://juliastrings.github.io/utf8proc/) |
| License | MIT |
| Versions | v2.7.0, v2.8.0, v2.9.0, v2.10.0 |
| Architectures | i386, x86_64 |
| Definition | [utf8proc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utf8proc/xmake.lua) |

##### Install command

```console
xrepo install utf8proc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utf8proc")
```


### utfcpp (msys)


| Description | *UTF8-CPP: UTF-8 with C++ in a Portable Way* |
| -- | -- |
| Homepage | [https://github.com/nemtrif/utfcpp](https://github.com/nemtrif/utfcpp) |
| License | BSL-1.0 |
| Versions | v3.2.1, v3.2.3, v3.2.4, v3.2.5, v4.0.0, v4.0.1, v4.0.2, v4.0.3, v4.0.4, v4.0.5, v4.0.6 |
| Architectures | i386, x86_64 |
| Definition | [utfcpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/utfcpp/xmake.lua) |

##### Install command

```console
xrepo install utfcpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("utfcpp")
```


### uthash (msys)


| Description | *C macros for hash tables and more* |
| -- | -- |
| Homepage | [https://troydhanson.github.io/uthash](https://troydhanson.github.io/uthash) |
| License | BSD |
| Versions | 2023.7.11, 2025.05.05 |
| Architectures | i386, x86_64 |
| Definition | [uthash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uthash/xmake.lua) |

##### Install command

```console
xrepo install uthash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uthash")
```


### uuid_v4 (msys)


| Description | *Super fast C++ library to generate and parse UUIDv4* |
| -- | -- |
| Homepage | [https://github.com/crashoz/uuid_v4](https://github.com/crashoz/uuid_v4) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [uuid_v4/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uuid_v4/xmake.lua) |

##### Install command

```console
xrepo install uuid_v4
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uuid_v4")
```


### uvw (msys)


| Description | *Header-only, event based, tiny and easy to use libuv wrapper in modern C++* |
| -- | -- |
| Homepage | [https://github.com/skypjack/uvw](https://github.com/skypjack/uvw) |
| License | MIT |
| Versions | v2.10.0, v2.11.0, v2.12.1, v3.0.0, v3.1.0, v3.2.0, v3.3.0, v3.4.0 |
| Architectures | i386, x86_64 |
| Definition | [uvw/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/u/uvw/xmake.lua) |

##### Install command

```console
xrepo install uvw
```

##### Integration in the project (xmake.lua)

```lua
add_requires("uvw")
```



## v
### variant-lite (msys)


| Description | *variant lite - A C++17-like variant, a type-safe union for C++98, C++11 and later in a single-file header-only library* |
| -- | -- |
| Homepage | [https://github.com/martinmoene/variant-lite](https://github.com/martinmoene/variant-lite) |
| License | BSL-1.0 |
| Versions | 2022.12.03 |
| Architectures | i386, x86_64 |
| Definition | [variant-lite/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/variant-lite/xmake.lua) |

##### Install command

```console
xrepo install variant-lite
```

##### Integration in the project (xmake.lua)

```lua
add_requires("variant-lite")
```


### vcpkg (msys)


| Description | *C++ Library Manager for Windows, Linux, and MacOS* |
| -- | -- |
| Homepage | [https://github.com/microsoft/vcpkg](https://github.com/microsoft/vcpkg) |
| License | MIT |
| Versions | 2024.05.24, 2024.07.12, 2024.08.23, 2024.09.30, 2024.10.21, 2024.11.16 |
| Architectures | i386, x86_64 |
| Definition | [vcpkg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vcpkg/xmake.lua) |

##### Install command

```console
xrepo install vcpkg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vcpkg")
```


### vectorial (msys)


| Description | *Vector math library with NEON/SSE support* |
| -- | -- |
| Homepage | [https://github.com/scoopr/vectorial](https://github.com/scoopr/vectorial) |
| Versions | 2019.06.28 |
| Architectures | i386, x86_64 |
| Definition | [vectorial/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vectorial/xmake.lua) |

##### Install command

```console
xrepo install vectorial
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vectorial")
```


### verdict (msys)


| Description | *Compute quality functions of 2 and 3-dimensional regions.* |
| -- | -- |
| Homepage | [https://github.com/sandialabs/verdict](https://github.com/sandialabs/verdict) |
| Versions | 1.4.2, 1.4.4 |
| Architectures | i386, x86_64 |
| Definition | [verdict/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/verdict/xmake.lua) |

##### Install command

```console
xrepo install verdict
```

##### Integration in the project (xmake.lua)

```lua
add_requires("verdict")
```


### verilator (msys)


| Description | *Verilator open-source SystemVerilog simulator and lint system* |
| -- | -- |
| Homepage | [https://verilator.org](https://verilator.org) |
| License | LGPL-3.0 |
| Versions | v5.016, v5.032, v5.034, v5.036 |
| Architectures | i386, x86_64 |
| Definition | [verilator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/verilator/xmake.lua) |

##### Install command

```console
xrepo install verilator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("verilator")
```


### visit_struct (msys)


| Description | *A miniature library for struct-field reflection in C++* |
| -- | -- |
| Homepage | [https://github.com/cbeck88/visit_struct](https://github.com/cbeck88/visit_struct) |
| License | BSL-1.0 |
| Versions | v1.1.0 |
| Architectures | i386, x86_64 |
| Definition | [visit_struct/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/visit_struct/xmake.lua) |

##### Install command

```console
xrepo install visit_struct
```

##### Integration in the project (xmake.lua)

```lua
add_requires("visit_struct")
```


### vladimirshaleev-ipaddress (msys)


| Description | *A library for working and manipulating IPv4/IPv6 addresses and networks* |
| -- | -- |
| Homepage | [https://vladimirshaleev.github.io/ipaddress/](https://vladimirshaleev.github.io/ipaddress/) |
| License | MIT |
| Versions | v1.1.0, v1.2.0 |
| Architectures | i386, x86_64 |
| Definition | [vladimirshaleev-ipaddress/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vladimirshaleev-ipaddress/xmake.lua) |

##### Install command

```console
xrepo install vladimirshaleev-ipaddress
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vladimirshaleev-ipaddress")
```


### vmaf (msys)


| Description | *Perceptual video quality assessment based on multi-method fusion.* |
| -- | -- |
| Homepage | [https://github.com/Netflix/vmaf](https://github.com/Netflix/vmaf) |
| License | BSD-2-Clause |
| Versions | v3.0.0 |
| Architectures | i386, x86_64 |
| Definition | [vmaf/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vmaf/xmake.lua) |

##### Install command

```console
xrepo install vmaf
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vmaf")
```


### vulkan-headers (msys)


| Description | *Vulkan Header files and API registry* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Headers/](https://github.com/KhronosGroup/Vulkan-Headers/) |
| License | Apache-2.0 |
| Versions | 1.2.154+0, 1.2.162+0, 1.2.182+0, 1.2.189+1, 1.2.198+0, 1.3.211+0, 1.3.231+1, 1.3.236+0, 1.3.239+0, 1.3.246+1, 1.3.250+1, 1.3.261+1, 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.3.290+0, 1.4.309+0 |
| Architectures | i386, x86_64 |
| Definition | [vulkan-headers/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-headers/xmake.lua) |

##### Install command

```console
xrepo install vulkan-headers
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-headers")
```


### vulkan-memory-allocator (msys)


| Description | *Easy to integrate Vulkan memory allocation library.* |
| -- | -- |
| Homepage | [https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/](https://gpuopen-librariesandsdks.github.io/VulkanMemoryAllocator/html/) |
| License | MIT |
| Versions | v3.0.0, v3.0.1, v3.1.0, v3.2.0, v3.2.1, v3.3.0 |
| Architectures | i386, x86_64 |
| Definition | [vulkan-memory-allocator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-memory-allocator/xmake.lua) |

##### Install command

```console
xrepo install vulkan-memory-allocator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-memory-allocator")
```


### vulkan-utility-libraries (msys)


| Description | *Utility libraries for Vulkan developers* |
| -- | -- |
| Homepage | [https://github.com/KhronosGroup/Vulkan-Utility-Libraries](https://github.com/KhronosGroup/Vulkan-Utility-Libraries) |
| License | Apache-2.0 |
| Versions | 1.3.268+0, 1.3.275+0, 1.3.280+0, 1.3.283+0, 1.4.309+0 |
| Architectures | i386, x86_64 |
| Definition | [vulkan-utility-libraries/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkan-utility-libraries/xmake.lua) |

##### Install command

```console
xrepo install vulkan-utility-libraries
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkan-utility-libraries")
```


### vulkansdk (msys)


| Description | *LunarG Vulkan® SDK* |
| -- | -- |
| Homepage | [https://www.lunarg.com/vulkan-sdk/](https://www.lunarg.com/vulkan-sdk/) |
| Versions |  |
| Architectures | i386, x86_64 |
| Definition | [vulkansdk/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vulkansdk/xmake.lua) |

##### Install command

```console
xrepo install vulkansdk
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vulkansdk")
```


### vvenc (msys)


| Description | *Fraunhofer Versatile Video Encoder (VVenC)* |
| -- | -- |
| Homepage | [https://www.hhi.fraunhofer.de/en/departments/vca/technologies-and-solutions/h266-vvc.html](https://www.hhi.fraunhofer.de/en/departments/vca/technologies-and-solutions/h266-vvc.html) |
| License | BSD-3-Clause-Clear |
| Versions | v1.9.0, v1.11.1, v1.12.0, v1.12.1, v1.13.0, v1.13.1 |
| Architectures | i386, x86_64 |
| Definition | [vvenc/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/v/vvenc/xmake.lua) |

##### Install command

```console
xrepo install vvenc
```

##### Integration in the project (xmake.lua)

```lua
add_requires("vvenc")
```



## w
### watcher (msys)


| Description | *Filesystem watcher. Works anywhere. Simple, efficient and friendly.* |
| -- | -- |
| Homepage | [https://github.com/e-dant/watcher](https://github.com/e-dant/watcher) |
| License | MIT |
| Versions | 0.9.5, 0.11.0, 0.12.2, 0.13.2, 0.13.5, 0.13.6 |
| Architectures | i386, x86_64 |
| Definition | [watcher/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/watcher/xmake.lua) |

##### Install command

```console
xrepo install watcher
```

##### Integration in the project (xmake.lua)

```lua
add_requires("watcher")
```


### webdriverxx (msys)


| Description | *A C++ client library for Selenium Webdriver* |
| -- | -- |
| Homepage | [https://GermanAizek.github.io/webdriverxx](https://GermanAizek.github.io/webdriverxx) |
| License | MIT |
| Versions | 2023.04.22, 2025.03.20 |
| Architectures | i386, x86_64 |
| Definition | [webdriverxx/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/webdriverxx/xmake.lua) |

##### Install command

```console
xrepo install webdriverxx
```

##### Integration in the project (xmake.lua)

```lua
add_requires("webdriverxx")
```


### websocketpp (msys)


| Description | *C++ websocket client/server library* |
| -- | -- |
| Homepage | [http://www.zaphoyd.com/websocketpp](http://www.zaphoyd.com/websocketpp) |
| Versions | 0.8.2 |
| Architectures | i386, x86_64 |
| Definition | [websocketpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/websocketpp/xmake.lua) |

##### Install command

```console
xrepo install websocketpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("websocketpp")
```


### webui (msys)


| Description | *Use any web browser as GUI, with your preferred language in the backend and HTML5 in the frontend, all in a lightweight portable lib.* |
| -- | -- |
| Homepage | [https://webui.me](https://webui.me) |
| License | MIT |
| Versions | 2.3.0, 2.4.2 |
| Architectures | i386, x86_64 |
| Definition | [webui/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/webui/xmake.lua) |

##### Install command

```console
xrepo install webui
```

##### Integration in the project (xmake.lua)

```lua
add_requires("webui")
```


### wgsl-validator (msys)


| Description | *WGSL validator in Rust with C bindings.* |
| -- | -- |
| Homepage | [https://github.com/NazaraEngine/wgsl-validator](https://github.com/NazaraEngine/wgsl-validator) |
| License | MIT |
| Versions | v1.0.0 |
| Architectures | i386, x86_64 |
| Definition | [wgsl-validator/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wgsl-validator/xmake.lua) |

##### Install command

```console
xrepo install wgsl-validator
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wgsl-validator")
```


### whereami (msys)


| Description | *Locate the current running executable and the current running module/library on the file system 🔎* |
| -- | -- |
| Homepage | [https://github.com/gpakosz/whereami](https://github.com/gpakosz/whereami) |
| License | MIT |
| Versions | 2024.08.26 |
| Architectures | i386, x86_64 |
| Definition | [whereami/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/whereami/xmake.lua) |

##### Install command

```console
xrepo install whereami
```

##### Integration in the project (xmake.lua)

```lua
add_requires("whereami")
```


### which (msys)


| Description | *shows the full path of (shell) commands* |
| -- | -- |
| Homepage | [https://www.gnu.org/software/which/](https://www.gnu.org/software/which/) |
| Versions | 2.16, 2.17, 2.19, 2.20, 2.21 |
| Architectures | i386, x86_64 |
| Definition | [which/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/which/xmake.lua) |

##### Install command

```console
xrepo install which
```

##### Integration in the project (xmake.lua)

```lua
add_requires("which")
```


### whisper.cpp (msys)


| Description | *Port of OpenAI's Whisper model in C/C++* |
| -- | -- |
| Homepage | [https://github.com/ggerganov/whisper.cpp](https://github.com/ggerganov/whisper.cpp) |
| Versions | 1.4.2, 1.5.4, 1.5.5, 1.6.0, 1.6.2 |
| Architectures | i386, x86_64 |
| Definition | [whisper.cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/whisper.cpp/xmake.lua) |

##### Install command

```console
xrepo install whisper.cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("whisper.cpp")
```


### wineditline (msys)


| Description | *An EditLine API implementation for the native Windows Console* |
| -- | -- |
| Homepage | [http://mingweditline.sourceforge.net](http://mingweditline.sourceforge.net) |
| License | BSD-3-Clause |
| Versions | 2.208 |
| Architectures | i386, x86_64 |
| Definition | [wineditline/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wineditline/xmake.lua) |

##### Install command

```console
xrepo install wineditline
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wineditline")
```


### winreg (msys)


| Description | *Convenient high-level C++ wrapper around the Windows Registry API* |
| -- | -- |
| Homepage | [https://github.com/GiovanniDicanio/WinReg](https://github.com/GiovanniDicanio/WinReg) |
| License | MIT |
| Versions | v6.1.0, v6.2.0, v6.3.0, v6.3.1, v6.3.2 |
| Architectures | i386, x86_64 |
| Definition | [winreg/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/winreg/xmake.lua) |

##### Install command

```console
xrepo install winreg
```

##### Integration in the project (xmake.lua)

```lua
add_requires("winreg")
```


### wirehair (msys)


| Description | *Wirehair : O(N) Fountain Code for Large Data* |
| -- | -- |
| Homepage | [http://wirehairfec.com](http://wirehairfec.com) |
| License | BSD-3-Clause |
| Versions | 2023.12.02 |
| Architectures | i386, x86_64 |
| Definition | [wirehair/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wirehair/xmake.lua) |

##### Install command

```console
xrepo install wirehair
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wirehair")
```


### wjakob_filesystem (msys)


| Description | *A tiny self-contained path manipulation library for C++* |
| -- | -- |
| Homepage | [https://github.com/wjakob/filesystem](https://github.com/wjakob/filesystem) |
| License | BSD-3-Clause |
| Versions | 2021.10.28 |
| Architectures | i386, x86_64 |
| Definition | [wjakob_filesystem/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wjakob_filesystem/xmake.lua) |

##### Install command

```console
xrepo install wjakob_filesystem
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wjakob_filesystem")
```


### woff2 (msys)


| Description | *Font compression reference code.* |
| -- | -- |
| Homepage | [https://github.com/google/woff2](https://github.com/google/woff2) |
| License | MIT |
| Versions | v1.0.2 |
| Architectures | i386, x86_64 |
| Definition | [woff2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/woff2/xmake.lua) |

##### Install command

```console
xrepo install woff2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("woff2")
```


### wolfssl (msys)


| Description | *The wolfSSL library is a small, fast, portable implementation of TLS/SSL for embedded devices to the cloud.  wolfSSL supports up to TLS 1.3!* |
| -- | -- |
| Homepage | [https://www.wolfssl.com](https://www.wolfssl.com) |
| License | GPL-2.0 |
| Versions | 5.3.0, 5.6.2, 5.6.3, 5.6.4, 5.6.6, 5.7.2 |
| Architectures | i386, x86_64 |
| Definition | [wolfssl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wolfssl/xmake.lua) |

##### Install command

```console
xrepo install wolfssl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wolfssl")
```


### wren (msys)


| Description | *Wren is a small, fast, class-based concurrent scripting language.* |
| -- | -- |
| Homepage | [http://wren.io](http://wren.io) |
| License | MIT |
| Versions | 0.4.0 |
| Architectures | i386, x86_64 |
| Definition | [wren/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wren/xmake.lua) |

##### Install command

```console
xrepo install wren
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wren")
```


### wyhash (msys)


| Description | *The FASTEST QUALITY hash function, random number generators (PRNG) and hash map.* |
| -- | -- |
| Homepage | [https://github.com/wangyi-fudan/wyhash](https://github.com/wangyi-fudan/wyhash) |
| License | Unlicense |
| Versions | 2023.04.10, 2024.06.07 |
| Architectures | i386, x86_64 |
| Definition | [wyhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/w/wyhash/xmake.lua) |

##### Install command

```console
xrepo install wyhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("wyhash")
```



## x
### x264 (msys)


| Description | *A free software library and application for encoding video streams into the H.264/MPEG-4 AVC compression format.* |
| -- | -- |
| Homepage | [https://www.videolan.org/developers/x264.html](https://www.videolan.org/developers/x264.html) |
| License | GPL-2.0 |
| Versions | v2018.09.25, v2021.09.29, v2023.04.04, v2024.02.27 |
| Architectures | i386, x86_64 |
| Definition | [x264/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/x264/xmake.lua) |

##### Install command

```console
xrepo install x264
```

##### Integration in the project (xmake.lua)

```lua
add_requires("x264")
```


### x265 (msys)


| Description | *A free software library and application for encoding video streams into the H.265/MPEG-H HEVC compression format.* |
| -- | -- |
| Homepage | [http://x265.org](http://x265.org) |
| License | GPL-2.0 |
| Versions | 3.2, 3.2.1, 3.3, 3.4, 4.0 |
| Architectures | i386, x86_64 |
| Definition | [x265/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/x265/xmake.lua) |

##### Install command

```console
xrepo install x265
```

##### Integration in the project (xmake.lua)

```lua
add_requires("x265")
```


### xapian-core (msys)


| Description | *Xapian is an Open Source Search Engine Library, with bindings to allow use from Perl, Python 2, Python 3, PHP 5, PHP 7, Java, Tcl, C#, Ruby, Lua, Erlang, Node.js, R.* |
| -- | -- |
| Homepage | [https://savannah.gnu.org/projects/osip](https://savannah.gnu.org/projects/osip) |
| License | GPL-2.0-or-later |
| Versions | 1.4.27, 1.4.28, 1.4.29 |
| Architectures | i386, x86_64 |
| Definition | [xapian-core/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xapian-core/xmake.lua) |

##### Install command

```console
xrepo install xapian-core
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xapian-core")
```


### xbyak (msys)


| Description | *JIT assembler for x86(IA-32)/x64(AMD64, x86-64) MMX/SSE/SSE2/SSE3/SSSE3/SSE4/FPU/AVX/AVX2/AVX-512* |
| -- | -- |
| Homepage | [https://github.com/herumi/xbyak](https://github.com/herumi/xbyak) |
| Versions | v6.02, v6.03, v6.73, v7.06 |
| Architectures | i386, x86_64 |
| Definition | [xbyak/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xbyak/xmake.lua) |

##### Install command

```console
xrepo install xbyak
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xbyak")
```


### xgrammar (msys)


| Description | *Fast, Flexible and Portable Structured Generation* |
| -- | -- |
| Homepage | [https://xgrammar.mlc.ai/](https://xgrammar.mlc.ai/) |
| License | Apache-2.0 |
| Versions | v0.1.19, v0.1.21 |
| Architectures | i386, x86_64 |
| Definition | [xgrammar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xgrammar/xmake.lua) |

##### Install command

```console
xrepo install xgrammar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xgrammar")
```


### xlnt (msys)


| Description | *Cross-platform user-friendly xlsx library for C++11+* |
| -- | -- |
| Homepage | [https://github.com/tfussell/xlnt](https://github.com/tfussell/xlnt) |
| License | MIT |
| Versions | 2023.03.02 |
| Architectures | i386, x86_64 |
| Definition | [xlnt/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xlnt/xmake.lua) |

##### Install command

```console
xrepo install xlnt
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xlnt")
```


### xpack (msys)


| Description | *convert json/xml/bson to c++ struct* |
| -- | -- |
| Homepage | [https://github.com/xyz347/xpack](https://github.com/xyz347/xpack) |
| License | Apache-2.0 |
| Versions | v1.0.5, v1.0.6 |
| Architectures | i386, x86_64 |
| Definition | [xpack/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xpack/xmake.lua) |

##### Install command

```console
xrepo install xpack
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xpack")
```


### xproperty (msys)


| Description | *Traitlets-like C++ properties and implementation of the observer pattern* |
| -- | -- |
| Homepage | [https://github.com/jupyter-xeus/xproperty](https://github.com/jupyter-xeus/xproperty) |
| License | BSD-3-Clause |
| Versions | 0.12.0 |
| Architectures | i386, x86_64 |
| Definition | [xproperty/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xproperty/xmake.lua) |

##### Install command

```console
xrepo install xproperty
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xproperty")
```


### xtl (msys)


| Description | *Basic tools (containers, algorithms) used by other quantstack packages* |
| -- | -- |
| Homepage | [https://github.com/xtensor-stack/xtl/](https://github.com/xtensor-stack/xtl/) |
| License | BSD-3-Clause |
| Versions | 0.7.2, 0.7.3, 0.7.4, 0.7.6, 0.7.7, 0.8.0 |
| Architectures | i386, x86_64 |
| Definition | [xtl/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xtl/xmake.lua) |

##### Install command

```console
xrepo install xtl
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xtl")
```


### xxhash (msys)


| Description | *xxHash is an extremely fast non-cryptographic hash algorithm, working at RAM speed limit.* |
| -- | -- |
| Homepage | [http://cyan4973.github.io/xxHash/](http://cyan4973.github.io/xxHash/) |
| License | BSD-2-Clause |
| Versions | v0.8.0, v0.8.1, v0.8.2, v0.8.3 |
| Architectures | i386, x86_64 |
| Definition | [xxhash/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xxhash/xmake.lua) |

##### Install command

```console
xrepo install xxhash
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xxhash")
```


### xz (msys)


| Description | *General-purpose data compression with high compression ratio.* |
| -- | -- |
| Homepage | [https://tukaani.org/xz/](https://tukaani.org/xz/) |
| Versions | 5.2.11, 5.2.12, 5.2.13, 5.4.2, 5.4.3, 5.4.4, 5.4.5, 5.4.6, 5.4.7, 5.6.2, 5.6.3, 5.6.4, 5.8.1 |
| Architectures | i386, x86_64 |
| Definition | [xz/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/x/xz/xmake.lua) |

##### Install command

```console
xrepo install xz
```

##### Integration in the project (xmake.lua)

```lua
add_requires("xz")
```



## y
### yaml-cpp (msys)


| Description | *A YAML parser and emitter in C++* |
| -- | -- |
| Homepage | [https://github.com/jbeder/yaml-cpp/](https://github.com/jbeder/yaml-cpp/) |
| License | MIT |
| Versions | 0.6.3, 0.7.0, 0.8.0 |
| Architectures | i386, x86_64 |
| Definition | [yaml-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yaml-cpp/xmake.lua) |

##### Install command

```console
xrepo install yaml-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yaml-cpp")
```


### yaml_cpp_struct (msys)


| Description | *It's easy to mapping yaml to cpp's struct* |
| -- | -- |
| Homepage | [https://github.com/fantasy-peak/yaml_cpp_struct](https://github.com/fantasy-peak/yaml_cpp_struct) |
| License | MIT |
| Versions | v1.0.2, v1.0.4 |
| Architectures | i386, x86_64 |
| Definition | [yaml_cpp_struct/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yaml_cpp_struct/xmake.lua) |

##### Install command

```console
xrepo install yaml_cpp_struct
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yaml_cpp_struct")
```


### yas (msys)


| Description | *Yet Another Serialization* |
| -- | -- |
| Homepage | [https://github.com/niXman/yas](https://github.com/niXman/yas) |
| Versions | 2023.09.13, 2025.02.19 |
| Architectures | i386, x86_64 |
| Definition | [yas/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yas/xmake.lua) |

##### Install command

```console
xrepo install yas
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yas")
```


### yasm (msys)


| Description | *Modular BSD reimplementation of NASM.* |
| -- | -- |
| Homepage | [https://yasm.tortall.net/](https://yasm.tortall.net/) |
| Versions | 1.3.0 |
| Architectures | i386, x86_64 |
| Definition | [yasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yasm/xmake.lua) |

##### Install command

```console
xrepo install yasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yasm")
```


### yoga (msys)


| Description | *Yoga is a cross-platform layout engine which implements Flexbox. Follow https://twitter.com/yogalayout for updates.* |
| -- | -- |
| Homepage | [https://yogalayout.com/](https://yogalayout.com/) |
| License | MIT |
| Versions | v2.0.1, v3.0.0, v3.0.2, v3.0.3, v3.0.4, v3.1.0, v3.2.0, v3.2.1 |
| Architectures | i386, x86_64 |
| Definition | [yoga/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yoga/xmake.lua) |

##### Install command

```console
xrepo install yoga
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yoga")
```


### yomm2 (msys)


| Description | *Fast, orthogonal, open multi-methods. Solve the Expression Problem in C++17.* |
| -- | -- |
| Homepage | [https://github.com/jll63/yomm2](https://github.com/jll63/yomm2) |
| License | BSL-1.0 |
| Versions | v1.4.0, v1.5.0, v1.5.1, v1.5.2, v1.6.0 |
| Architectures | i386, x86_64 |
| Definition | [yomm2/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yomm2/xmake.lua) |

##### Install command

```console
xrepo install yomm2
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yomm2")
```


### yxml (msys)


| Description | *Yxml - A small, fast and correct* XML parser* |
| -- | -- |
| Homepage | [https://dev.yorhel.nl/yxml](https://dev.yorhel.nl/yxml) |
| License | MIT |
| Versions | 2020.08.13 |
| Architectures | i386, x86_64 |
| Definition | [yxml/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yxml/xmake.lua) |

##### Install command

```console
xrepo install yxml
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yxml")
```


### yyjson (msys)


| Description | *The fastest JSON library in C.* |
| -- | -- |
| Homepage | [https://github.com/ibireme/yyjson](https://github.com/ibireme/yyjson) |
| License | MIT |
| Versions | 0.2.0, 0.3.0, 0.4.0, 0.5.0, 0.5.1, 0.8.0, 0.9.0, 0.10.0, 0.11.1 |
| Architectures | i386, x86_64 |
| Definition | [yyjson/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/y/yyjson/xmake.lua) |

##### Install command

```console
xrepo install yyjson
```

##### Integration in the project (xmake.lua)

```lua
add_requires("yyjson")
```



## z
### zasm (msys)


| Description | *x86-64 Assembler based on Zydis* |
| -- | -- |
| Homepage | [https://github.com/zyantific/zasm](https://github.com/zyantific/zasm) |
| Versions | 2023.06.21, 2024.05.14, 2025.03.02 |
| Architectures | i386, x86_64 |
| Definition | [zasm/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zasm/xmake.lua) |

##### Install command

```console
xrepo install zasm
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zasm")
```


### zbar (msys)


| Description | *Library for reading bar codes from various sources* |
| -- | -- |
| Homepage | [https://github.com/mchehab/zbar](https://github.com/mchehab/zbar) |
| License | LGPL-2.1 |
| Versions | 0.23.93 |
| Architectures | i386, x86_64 |
| Definition | [zbar/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zbar/xmake.lua) |

##### Install command

```console
xrepo install zbar
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zbar")
```


### zeromq (msys)


| Description | *High-performance, asynchronous messaging library* |
| -- | -- |
| Homepage | [https://zeromq.org/](https://zeromq.org/) |
| License | MPL-2.0 |
| Versions | 4.3.2, 4.3.4, 4.3.5 |
| Architectures | i386, x86_64 |
| Definition | [zeromq/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zeromq/xmake.lua) |

##### Install command

```console
xrepo install zeromq
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zeromq")
```


### zeus_expected (msys)


| Description | *Backporting std::expected to C++17.* |
| -- | -- |
| Homepage | [https://github.com/zeus-cpp/expected](https://github.com/zeus-cpp/expected) |
| License | MIT |
| Versions | v1.0.0, v1.0.1, v1.1.0, v1.1.1, v1.2.0, v1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [zeus_expected/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zeus_expected/xmake.lua) |

##### Install command

```console
xrepo install zeus_expected
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zeus_expected")
```


### zig (msys)


| Description | *Zig is a general-purpose programming language and toolchain for maintaining robust, optimal, and reusable software.* |
| -- | -- |
| Homepage | [https://ziglang.org](https://ziglang.org) |
| Versions | 0.10.1, 0.11.0, 0.12.0, 0.13.0, 0.14.0 |
| Architectures | i386, x86_64 |
| Definition | [zig/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zig/xmake.lua) |

##### Install command

```console
xrepo install zig
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zig")
```


### zint (msys)


| Description | *A barcode encoding library supporting over 50 symbologies including Code 128, Data Matrix, USPS OneCode, EAN-128, UPC/EAN, ITF, QR Code, Code 16k, PDF417, MicroPDF417, LOGMARS, Maxicode, GS1 DataBar, Aztec, Composite Symbols and more.* |
| -- | -- |
| Homepage | [http://www.zint.org.uk](http://www.zint.org.uk) |
| License | GPL-3.0 |
| Versions | 2.14.0, 2.15.0 |
| Architectures | i386, x86_64 |
| Definition | [zint/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zint/xmake.lua) |

##### Install command

```console
xrepo install zint
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zint")
```


### zip (msys)


| Description | *Info-ZIP zip utility* |
| -- | -- |
| Homepage | [http://www.info-zip.org/Zip.html](http://www.info-zip.org/Zip.html) |
| Versions | 3.0 |
| Architectures | i386, x86_64 |
| Definition | [zip/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zip/xmake.lua) |

##### Install command

```console
xrepo install zip
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zip")
```


### zlib (msys)


| Description | *A Massively Spiffy Yet Delicately Unobtrusive Compression Library* |
| -- | -- |
| Homepage | [http://www.zlib.net](http://www.zlib.net) |
| License | zlib |
| Versions | v1.2.10, v1.2.11, v1.2.12, v1.2.13, v1.3, v1.3.1 |
| Architectures | i386, x86_64 |
| Definition | [zlib/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlib/xmake.lua) |

##### Install command

```console
xrepo install zlib
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlib")
```


### zlibcomplete (msys)


| Description | *C++ interface to the ZLib library supporting compression with FLUSH, decompression, and std::string. RAII* |
| -- | -- |
| Homepage | [https://github.com/rudi-cilibrasi/zlibcomplete](https://github.com/rudi-cilibrasi/zlibcomplete) |
| License | MIT |
| Versions | 1.0.5 |
| Architectures | i386, x86_64 |
| Definition | [zlibcomplete/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zlibcomplete/xmake.lua) |

##### Install command

```console
xrepo install zlibcomplete
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zlibcomplete")
```


### zoe (msys)


| Description | *C++ File Download Library.* |
| -- | -- |
| Homepage | [https://github.com/winsoft666/zoe](https://github.com/winsoft666/zoe) |
| License | MIT |
| Versions | v3.6 |
| Architectures | i386, x86_64 |
| Definition | [zoe/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zoe/xmake.lua) |

##### Install command

```console
xrepo install zoe
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zoe")
```


### zopfli (msys)


| Description | *Zopfli Compression Algorithm is a compression library programmed in C to perform very good, but slow, deflate or zlib compression.* |
| -- | -- |
| Homepage | [https://github.com/google/zopfli](https://github.com/google/zopfli) |
| License | Apache-2.0 |
| Versions | 2021.06.14 |
| Architectures | i386, x86_64 |
| Definition | [zopfli/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zopfli/xmake.lua) |

##### Install command

```console
xrepo install zopfli
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zopfli")
```


### zpp_bits (msys)


| Description | *A lightweight C++20 serialization and RPC library* |
| -- | -- |
| Homepage | [https://github.com/eyalz800/zpp_bits](https://github.com/eyalz800/zpp_bits) |
| License | MIT |
| Versions | v4.4.25, v4.5, v4.5.1 |
| Architectures | i386, x86_64 |
| Definition | [zpp_bits/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zpp_bits/xmake.lua) |

##### Install command

```console
xrepo install zpp_bits
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zpp_bits")
```


### zpp_throwing (msys)


| Description | *Using coroutines to implement C++ exceptions for freestanding environments* |
| -- | -- |
| Homepage | [https://github.com/eyalz800/zpp_throwing](https://github.com/eyalz800/zpp_throwing) |
| License | MIT |
| Versions | v1.0.1 |
| Architectures | i386, x86_64 |
| Definition | [zpp_throwing/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zpp_throwing/xmake.lua) |

##### Install command

```console
xrepo install zpp_throwing
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zpp_throwing")
```


### zstd (msys)


| Description | *Zstandard - Fast real-time compression algorithm* |
| -- | -- |
| Homepage | [https://www.zstd.net/](https://www.zstd.net/) |
| License | BSD-3-Clause |
| Versions | v1.4.5, v1.5.0, v1.5.2, v1.5.5, v1.5.6, v1.5.7 |
| Architectures | i386, x86_64 |
| Definition | [zstd/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zstd/xmake.lua) |

##### Install command

```console
xrepo install zstd
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zstd")
```


### zstr (msys)


| Description | *A C++ header-only ZLib wrapper.* |
| -- | -- |
| Homepage | [https://github.com/mateidavid/zstr](https://github.com/mateidavid/zstr) |
| License | MIT |
| Versions | v1.0.7 |
| Architectures | i386, x86_64 |
| Definition | [zstr/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zstr/xmake.lua) |

##### Install command

```console
xrepo install zstr
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zstr")
```


### zxing-cpp (msys)


| Description | *C++ port of ZXing* |
| -- | -- |
| Homepage | [https://github.com/zxing-cpp/zxing-cpp](https://github.com/zxing-cpp/zxing-cpp) |
| License | Apache-2.0 |
| Versions | v2.2.1, v2.3.0 |
| Architectures | i386, x86_64 |
| Definition | [zxing-cpp/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zxing-cpp/xmake.lua) |

##### Install command

```console
xrepo install zxing-cpp
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zxing-cpp")
```


### zycore-c (msys)


| Description | *Internal library providing platform independent types, macros and a fallback for environments without LibC.* |
| -- | -- |
| Homepage | [https://github.com/zyantific/zycore-c](https://github.com/zyantific/zycore-c) |
| License | MIT |
| Versions | v1.0.0, v1.1.0, v1.2.0, v1.3.0, v1.4.0, v1.4.1, v1.5.0, v1.5.2 |
| Architectures | i386, x86_64 |
| Definition | [zycore-c/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zycore-c/xmake.lua) |

##### Install command

```console
xrepo install zycore-c
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zycore-c")
```


### zydis (msys)


| Description | *Fast and lightweight x86/x86-64 disassembler and code generation library* |
| -- | -- |
| Homepage | [https://zydis.re](https://zydis.re) |
| License | MIT |
| Versions | v3.2.1, v4.0.0, v4.1.0, v4.1.1 |
| Architectures | i386, x86_64 |
| Definition | [zydis/xmake.lua](https://github.com/xmake-io/xmake-repo/blob/master/packages/z/zydis/xmake.lua) |

##### Install command

```console
xrepo install zydis
```

##### Integration in the project (xmake.lua)

```lua
add_requires("zydis")
```



